<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:hl7="urn:hl7-org:v3" xmlns:cda="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. The name or details of 
    this mode may change during 1Q 2007.-->


<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@schema</axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:choose>
         <axsl:when test="count(. | ../namespace::*) = count(../namespace::*)">
            <axsl:value-of select="concat('.namespace::-',1+count(namespace::*),'-')"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA METADATA-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M5"/>
      <axsl:apply-templates select="/" mode="M6"/>
      <axsl:apply-templates select="/" mode="M49"/>
      <axsl:apply-templates select="/" mode="M50"/>
      <axsl:apply-templates select="/" mode="M51"/>
      <axsl:apply-templates select="/" mode="M52"/>
      <axsl:apply-templates select="/" mode="M53"/>
      <axsl:apply-templates select="/" mode="M54"/>
      <axsl:apply-templates select="/" mode="M55"/>
      <axsl:apply-templates select="/" mode="M56"/>
      <axsl:apply-templates select="/" mode="M57"/>
      <axsl:apply-templates select="/" mode="M58"/>
      <axsl:apply-templates select="/" mode="M59"/>
      <axsl:apply-templates select="/" mode="M60"/>
      <axsl:apply-templates select="/" mode="M61"/>
      <axsl:apply-templates select="/" mode="M62"/>
      <axsl:apply-templates select="/" mode="M63"/>
      <axsl:apply-templates select="/" mode="M64"/>
      <axsl:apply-templates select="/" mode="M65"/>
      <axsl:apply-templates select="/" mode="M66"/>
      <axsl:apply-templates select="/" mode="M67"/>
      <axsl:apply-templates select="/" mode="M68"/>
      <axsl:apply-templates select="/" mode="M69"/>
      <axsl:apply-templates select="/" mode="M70"/>
      <axsl:apply-templates select="/" mode="M71"/>
      <axsl:apply-templates select="/" mode="M72"/>
      <axsl:apply-templates select="/" mode="M73"/>
      <axsl:apply-templates select="/" mode="M74"/>
      <axsl:apply-templates select="/" mode="M75"/>
      <axsl:apply-templates select="/" mode="M76"/>
      <axsl:apply-templates select="/" mode="M77"/>
      <axsl:apply-templates select="/" mode="M78"/>
      <axsl:apply-templates select="/" mode="M79"/>
      <axsl:apply-templates select="/" mode="M80"/>
      <axsl:apply-templates select="/" mode="M81"/>
      <axsl:apply-templates select="/" mode="M82"/>
      <axsl:apply-templates select="/" mode="M83"/>
      <axsl:apply-templates select="/" mode="M84"/>
      <axsl:apply-templates select="/" mode="M85"/>
      <axsl:apply-templates select="/" mode="M86"/>
      <axsl:apply-templates select="/" mode="M87"/>
      <axsl:apply-templates select="/" mode="M88"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN -->

   <axsl:template match="text()" priority="-1" mode="M5"/>
   <axsl:template match="@*|node()" priority="-2" mode="M5">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M5"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M5"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.11Versturen JGZ-dossieroverdrachtverzoek (interactie)-->


	<!--RULE tmp-04d3390d-e1f3-4717-b6f3-ebe887844787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ" priority="683" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:creationTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:creationTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:creationTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:creationTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:versionCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:versionCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:versionCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:versionCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:processingCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:processingCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:processingCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:processingModeCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:processingModeCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:acceptAckCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:acceptAckCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:attentionLine is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:attentionLine)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:attentionLine komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:attentionLine)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:ControlActProcess)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:ControlActProcess)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b5535ed0-0529-4665-828a-4f70d774271e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:id" priority="682" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension<axsl:text> (</axsl:text>@root and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3bd50c75-c980-4d02-9747-c111578000bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:creationTime" priority="681" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d728221e-7309-4797-86f6-847efd2c4562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:versionCode" priority="680" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NICTIZEd2005-Okt')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='NICTIZEd2005-Okt')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c00e8541-f035-42d9-ba76-6e2df7c9d241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']" priority="679" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.1.6'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.1.6'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="interactionId" select="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht<axsl:text> (</axsl:text>not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-da784041-58c4-4abb-84da-a4a6ded7d040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']" priority="678" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.3.11.1'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.3.11.1'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@extension='810'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.<axsl:text> (</axsl:text>@extension='810'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d7f99d27-a815-4781-bd0d-fb4f33873935-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:processingCode" priority="677" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='P')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='P')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4adab08b-b3e0-496b-bbc5-fbe5066a2b99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode" priority="676" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='T')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='T')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ee882e3d-868f-4ef5-9de4-4fe580035bfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode" priority="675" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='AL')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''AL'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='AL')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ef11a7f3-a59e-4284-becd-6f89d4e9ed18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine" priority="674" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:keyWordText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:keyWordText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e94c3e7a-41fc-4358-96f7-595c1b351140-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:keyWordText" priority="673" mode="M6">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): de waarde van @code/@codeSystem MOET ''PATID' codeSystem '2.16.840.1.113883.2.4.15.1'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='Patient.id'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn<axsl:text> (</axsl:text>text()='Patient.id'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b5c291e4-71bc-4a4d-a5b6-b3ce99dfb8dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:value" priority="672" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-41b0728d-744d-47c3-86a2-e924a5bfb89b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:receiver" priority="671" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RCV' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.<axsl:text> (</axsl:text>@typeCode='RCV' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:device)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-507332ca-e626-41c6-8608-e78f0604c9a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device" priority="670" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b9f7ec5e-7151-45f8-aab0-043670880a4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']" priority="669" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.6'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fbc69e09-2368-42da-aa90-32621fb1f651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name" priority="668" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-88f66450-dbf0-40fa-bde7-90e42974e1e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:sender" priority="667" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SND' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.<axsl:text> (</axsl:text>@typeCode='SND' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:device)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:device)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9a33f081-fd7f-41d1-85da-002ecc31ee17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device" priority="666" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-47bb4c84-9acc-46ad-a54d-dab3ae74d1d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']" priority="665" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.6'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-35510e2d-6d8d-41fc-a3ea-9a19124b2476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name" priority="664" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-62aed4ea-7c8a-4e08-b1fb-61da4881f787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess" priority="663" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:text MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:text)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:reasonCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:reasonCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:languageCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:languageCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:languageCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationRecipient)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:informationRecipient MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:informationRecipient)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:dataEnterer)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:dataEnterer MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:dataEnterer)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedPerson]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedPerson]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:overseer is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:overseer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:overseer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:overseer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-168d7690-e232-4d05-bfb8-f5f2cf25b5d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id" priority="662" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cd2c58a9-68ee-4ad5-9269-7a395858f695-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code" priority="661" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f3c2e6a9-18f8-4865-ae39-817cf719d2b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime" priority="660" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0a0fe2e9-147b-4317-ba36-eefb6ca28e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]" priority="659" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:participant)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:participant)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-afe2d251-f304-46a5-a03c-c2e9d941176b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant" priority="658" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:AssignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:AssignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-585e30d7-e275-4971-aa67-656790e12b82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson" priority="657" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:telecom)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:noteText)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:noteText)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:time)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:modeCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:modeCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:signatureCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:signatureCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:signatureText)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:signatureText)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:Organization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:Organization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5345cd77-987e-4378-a4d3-15dc6a578ab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id" priority="656" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1' and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een UZI-nummer bevatten<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.1' and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b3247c80-13eb-4f1c-994e-204e38b668d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code" priority="655" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn<axsl:text> (</axsl:text>@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1a3a3066-5332-4d42-8558-d65808be40fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom" priority="654" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2c61c7c7-89f6-4afc-8f84-7514e8ad1472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name" priority="653" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-20faf6c5-e1e4-45dd-96f1-5e1d6e637da4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization" priority="652" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c7044c39-ff6a-4bff-9e94-e54349b583ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id" priority="651" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.3' and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): &gt;Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een URA bevatten<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.3' and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-138c25be-f086-43aa-b3f5-4ebba4c27b76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code" priority="650" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActAuthorOrPerformerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4715219f-b43f-47c6-94be-481563d784c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom" priority="649" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-21a3ab44-9463-4259-9f0f-a68f5d904188-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name" priority="648" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a3da1fb6-d75c-45ce-af8e-9d291524046f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr" priority="647" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c487e77b-91da-4065-9433-6c2b549a7acc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer" priority="646" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RESP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.<axsl:text> (</axsl:text>@typeCode='RESP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:AssignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:AssignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bfa7afe3-8093-4e2c-95c8-0ce0a55a0f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson" priority="645" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPrincipalChoiceList)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedPrincipalChoiceList)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:Organization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:Organization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-af4f3650-4e2c-4567-82da-382f92ecc546-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id" priority="644" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1' and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een UZI-nummer bevatten<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.1' and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5f1dc00a-73cc-47a0-af30-90d36220a285-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code" priority="643" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn<axsl:text> (</axsl:text>@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b3ef4b68-abaf-4ef4-b8a1-69c1c90581fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList" priority="642" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f2e8ab0d-0af6-4cd7-982e-d8bc7622aa94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson" priority="641" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a4e02775-c28d-4998-9e48-ea8148a2b225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name" priority="640" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-efc10154-be3e-437c-a749-879dfa8fbbf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization" priority="639" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a9dded1a-1f75-494e-ae4c-e99657f4357d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id" priority="638" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.3' and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet een URA bevatten<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.3' and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a9d855a0-2e5c-4e97-9398-32a4b3b9f0b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code" priority="637" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ceec2465-9e8d-48d9-a917-fd7fbeabc605-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name" priority="636" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-620dffbe-6edd-4b4b-b0a1-9781cd91c59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr" priority="635" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:city"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(ControlActOverseerPerson): Control Act: <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet tenminste de vestigingsplaats bevatten<axsl:text> (</axsl:text>hl7:city<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-12c7acc6-559c-4ff2-8749-5f2724915591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]" priority="634" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:CareProvisionRequest)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:CareProvisionRequest)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3e61b9d0-2fd1-4306-9d43-82f97ac2ddd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest" priority="633" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fb41b70f-677a-4987-84dd-63a39d4eba09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']" priority="632" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.10000'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.10000' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.10000'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f09364a4-897e-48fe-8a3e-1d841fe52b63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:id" priority="631" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bf3ea195-e921-4b58-ac4a-6871f2b95637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:code" priority="630" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9fcc3571-1b34-4939-8209-075ee0c2afd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:statusCode" priority="629" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-02378b66-77e3-4241-b732-778ebb6c276c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="628" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:time is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-16f6882f-28ce-47f6-8451-4a50b04b98a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time" priority="627" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c3d76450-65fe-4f0f-aec2-f5fca4e7b5f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]" priority="626" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:careProvisionEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:careProvisionEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:careProvisionEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:careProvisionEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SEQL' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'SEQL' zijn.<axsl:text> (</axsl:text>@typeCode='SEQL' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='true' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenDossieroverdrachtverzoek-payload): de waarde van @contextConductionInd MOET 'true' zijn.<axsl:text> (</axsl:text>@contextConductionInd='true' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-60718e8d-5920-46bc-b554-244450843f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent" priority="624" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:summary)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:summary komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:summary)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&gt;=2 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:subjectOf is required [min 2x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&gt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-99ed3f36-bb4c-4868-b396-34d7eb3fea37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:id" priority="623" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1b267040-b493-4a55-acf9-551ff434ff73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:code" priority="622" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-977bf424-149d-4796-94e0-955a9855f34d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:statusCode" priority="621" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed' of 'aborted'.<axsl:text> (</axsl:text>@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@code='completed'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(careProvisionDossier): Alleen in uitzonderlijke gevallen kan een dossierstatus bij overdracht iets anders dan 'completed' zijn.<axsl:text> (</axsl:text>@code='completed'<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ddc16990-9f27-4433-a4bf-9d2f87c9ec1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime" priority="620" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): element hl7:high is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:statusCode[@code='aborted' or @code='completed']) or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): Als statusCode='aborted' of statusCode='completed' dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.<axsl:text> (</axsl:text>not(../hl7:statusCode[@code='aborted' or @code='completed']) or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8546efb2-d09b-4a6f-8ab0-fbac31476a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low" priority="618" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-M): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-52c67bd3-0d26-42b2-aba3-9ce94f63d0b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high" priority="617" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b194a218-6c20-4983-85ee-15c75bf05441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]" priority="616" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="patRoot" select="hl7:patient/@root"/>
      <axsl:variable name="patExt" select="hl7:patient/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): De patiënt in de Payload (BSN '<axsl:text/>
               <axsl:value-of select="$patExt"/>
               <axsl:text/>') moet overeen komen met de patient in de attentionLine (BSN '<axsl:text/>
               <axsl:value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>
               <axsl:text/>')<axsl:text> (</axsl:text>not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0d2a4fc8-cf03-453f-b48f-2df88853f795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="615" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RESP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'RESP' zijn.<axsl:text> (</axsl:text>@typeCode='RESP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:time is required [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5bdf8d97-b579-45c7-b225-bb394aa9824a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time" priority="614" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6cb6a30c-4fb5-4010-8e15-4f781547a560-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low" priority="613" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-450690b8-ce72-4ce6-9ed5-c1fc5ae8bc7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high" priority="612" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9220316e-168f-45f0-a357-1d0e98742b2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="611" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:time is required [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-59a55495-5ac5-4be4-888a-23d1873bd6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time" priority="610" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9a474a9e-a206-4cba-9223-d56672a02c7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low" priority="609" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7ba22c48-c6dd-473b-8b50-2b332a831501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high" priority="608" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4ecbd1ab-c955-464a-864a-d89ee4234e3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage" priority="607" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='APND' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @typeCode MOET 'APND' zijn.<axsl:text> (</axsl:text>@typeCode='APND' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:document is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:document)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:document komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:document)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-901b1ad5-0548-46f5-a701-35165f39d76f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document" priority="606" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='DOC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @classCode MOET 'DOC' zijn.<axsl:text> (</axsl:text>@classCode='DOC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:effectiveTime/@value or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): effectiveTime is verplicht als het bestand geen JGZ-dossier betreft<axsl:text> (</axsl:text>hl7:effectiveTime/@value or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:author or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): author is verplicht als het bestand geen JGZ-dossier betreft<axsl:text> (</axsl:text>hl7:author or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:location or not(hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): location is verplicht als het bestand een JGZ-dossier betreft<axsl:text> (</axsl:text>hl7:location or not(hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:location)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:location komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:location)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6c6c51f9-3ef3-41be-b147-e0b0f3c16def-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code" priority="605" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @code MOET worden gekozen uit waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1a2991f8-cbaf-4325-ab3d-ff56d501f936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text" priority="604" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reference)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(DatatypeEDTextOrBase64): element hl7:reference MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:reference)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:thumbnail)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(DatatypeEDTextOrBase64): element hl7:thumbnail MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:thumbnail)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-88d8088b-e4c1-4076-965b-14d41c62cd78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document" priority="603" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a2ba36f6-32a9-477f-a3ef-46587176a2c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime" priority="601" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bf1c8dfc-0cb2-489b-be5e-c178c71f8400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author" priority="600" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-edd4fa95-bdc4-4753-9890-61848bd330dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity" priority="599" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:assignedPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:assignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2c6574b6-7630-4df2-9b03-a369c9f946b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson" priority="598" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-495203c1-75d2-4c1f-b260-ee6cffafc6a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name" priority="597" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d6eda274-ba04-4e53-b8f9-bd2b548585e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location" priority="596" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:archivalLocation)&gt;=1 and not(hl7:archivalLocation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:archivalLocation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:archivalLocation)&gt;=1 and not(hl7:archivalLocation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:archivalLocation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:archivalLocation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:archivalLocation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-72398c64-4ba3-48cc-98e5-45cabac98562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation" priority="595" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOCE' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOCE' zijn.<axsl:text> (</axsl:text>@typeCode='LOCE' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2347ce56-858a-4b27-aaff-608961816a9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name" priority="594" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-45229b57-c766-4393-b1ac-73ed00926428-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization" priority="593" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUTH' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUTH' zijn.<axsl:text> (</axsl:text>@typeCode='AUTH' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:consentEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:consentEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d2eebe04-8695-411a-88cc-0405034c59f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent" priority="592" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CONS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @classCode MOET 'CONS' zijn.<axsl:text> (</axsl:text>@classCode='CONS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'false' zijn bij een toestemming<axsl:text> (</axsl:text>(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'false' zijn bij een toestemming<axsl:text> (</axsl:text>(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'false' zijn bij een toestemming<axsl:text> (</axsl:text>(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'false' zijn bij een toestemming<axsl:text> (</axsl:text>(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@negationInd='true' or not(hl7:code[@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'true' zijn bij een bezwaar<axsl:text> (</axsl:text>@negationInd='true' or not(hl7:code[@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@negationInd='true' or not(hl7:code[@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd MOET 'true' zijn bij een bezwaar<axsl:text> (</axsl:text>@negationInd='true' or not(hl7:code[@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:author/hl7:assignedEntity1 or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): assignedEntity1 is verplicht bij toestemming aan verpleegkundige vaccinaties<axsl:text> (</axsl:text>hl7:author/hl7:assignedEntity1 or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:subjectOf) or hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): subjectOf/annotation is alleen mogelijk bij toestemming verstrekking informatie aan derden<axsl:text> (</axsl:text>not(hl7:subjectOf) or hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b4cf6563-a97f-4f9e-941c-60c6724ffc57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']" priority="591" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @code MOET één van de volgende codes bevatten: '469' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1163' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1398' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1165' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1395' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1404' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-05f7602e-cb8e-4066-8adc-c9adb25a9037-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']" priority="590" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-93edaf61-9f4e-4318-ad6e-9b398dc74361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author" priority="589" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:time is required [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient1|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]|hl7:assignedEntity1)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e0504b08-963d-4728-b9a2-a42d39217242-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time" priority="588" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c3d57acf-adda-479b-a044-d4579de00144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1" priority="587" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2413e22c-d1e5-42b2-8460-4befc9a5333a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship" priority="586" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-267b7cf9-ee90-4e2b-98f0-93d093c11bc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:code" priority="585" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='PRN' or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET de "Ouder" of "Anders" zijn.<axsl:text> (</axsl:text>@code='PRN' or @nullFlavor<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0f4b82bf-a42e-4f04-af29-97526243ad8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:relationshipHolder" priority="584" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fe37d439-d012-4439-81c3-638ab023d1d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1" priority="583" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a4f7c24d-593e-484f-91ce-5f2469974710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id" priority="582" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-05ec9032-8f5b-429c-8b00-74e8bb5bdf44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf" priority="581" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9c5de8a1-443f-4d1d-91da-baf808aad05b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation" priority="580" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0ae5b61f-6cdb-4bed-9987-8203696629ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code" priority="579" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventAuthorization): de waarde van @code/@codeSystem MOET ''1407' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-05b7596c-5955-4024-af3b-a1feaa573344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text" priority="578" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f93255db-29ac-42ab-8da4-7b97f392defe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary" priority="577" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:observationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:observationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ad54dc1b-fef0-4ad3-b7bb-fdd0c5af705c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent" priority="576" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-92ee06b7-9d0d-4fec-9910-eb1e28342f32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code" priority="575" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSummary): de waarde van @code/@codeSystem MOET ''492' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c25ebfcc-3c48-4c1a-97dc-2d2dec1c5d2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value" priority="574" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6a2bc1ca-4cff-4391-9eb7-786a5b604af1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]" priority="573" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1f6a8e98-999e-4e4e-863e-b4c84fef9c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1" priority="572" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b485e73f-4864-408b-a207-b6d4629d658e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData" priority="571" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-731a836c-27b7-481c-ab6d-8f70fa834446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code" priority="570" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-faf9775a-0913-4281-a5ed-4628ee30e79d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText" priority="569" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c8f0c814-fa2f-459c-b5f3-0097a005feff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value" priority="568" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5f8cbdfe-8db7-44f6-b4ea-1378f3974e26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo" priority="567" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-01c4b3b5-d477-408a-85f0-45b964f768a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS" priority="566" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d6393da7-0071-4970-b4aa-d737824d176e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="565" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cca95d22-1e16-48bf-adb7-e3f370ace2c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2" priority="564" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:metaData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f507664c-b858-430d-b5d1-50071c024f64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData" priority="563" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-544c744d-35b1-4254-a1da-2238c8b1f884-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code" priority="562" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5d1ee7b8-24e8-4b8c-b548-b40d9108d001-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value" priority="561" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-de35ef77-031c-4dd5-9f1c-769427bd7dfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo" priority="560" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e5dfaf63-9774-4696-9c42-338670cfd3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS" priority="559" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-98ed23eb-c7a7-4e25-92f3-3f0f3b0cab18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="558" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-79a18724-9758-459d-80bc-947f7a36de94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]" priority="557" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-20045707-9f49-4112-a680-bfd676e5d473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]" priority="556" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-aff672e0-b99b-45b4-91bf-b5b681da8d87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]" priority="555" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-df29c40d-25e9-4885-a41a-106d598bbd42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6" priority="554" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationControlActEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:informationControlActEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7f1807fc-f6e0-4ab6-9cb2-18accc901776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent" priority="553" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFO' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'INFO' zijn.<axsl:text> (</axsl:text>@classCode='INFO' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationRecipient)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:informationRecipient)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d056fcc9-eef5-4afd-b4a1-aa2f90e1d82a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:code" priority="552" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @code/@codeSystem MOET ''476' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2873e3ca-2787-42c0-9f01-6f85736fce89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:text" priority="551" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9ae3c937-ee7e-4eb0-b33e-27ccc9f7cdd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:effectiveTime" priority="550" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d6817176-4577-47bf-a64c-004d3e6a3910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient" priority="549" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='IRCP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'IRCP' zijn.<axsl:text> (</axsl:text>@typeCode='IRCP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d3ce6956-2a8b-4b81-b154-9d00c4bbbe0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient" priority="548" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-951a668d-5ae1-41f9-8dfe-5066354282fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship" priority="547" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fda2685f-72ff-4452-b610-72a0f559d856-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:code" priority="546" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='PRN' or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET de "Ouder" of "Anders" zijn.<axsl:text> (</axsl:text>@code='PRN' or @nullFlavor<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-35811a5d-4f6a-4fec-9993-831d13b378a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:relationshipHolder" priority="545" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent6InformationControlAct): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6456588d-bb93-4bf4-aefd-7ba3d3b198dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7" priority="544" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent7Activity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:encounter[@moodCode='EVN']|hl7:encounter[@moodCode='INT']|hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]|hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0e270219-3379-4cfa-89b2-2d93bcb908a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']" priority="543" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ENC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.<axsl:text> (</axsl:text>@classCode='ENC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:author MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:author)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consultant)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:consultant komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consultant)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inFulfillmentOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:inFulfillmentOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:inFulfillmentOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a1d7e164-5d9c-4936-8644-80d0cb4c6f3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id" priority="542" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET een waarde in @root en @extension hebben.<axsl:text> (</axsl:text>@root and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1595cb90-b8d5-417b-9f49-eb9e2090e803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code" priority="541" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5610c92f-d019-40c4-803f-a228cf43615e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode" priority="540" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='completed') or (@code='aborted')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'aborted'.<axsl:text> (</axsl:text>@nullFlavor or (@code='completed') or (@code='aborted')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1f307622-143d-4e4d-aef1-696c972fa80a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime" priority="539" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9a70adf1-37d1-4e57-9a5c-8fd882caa6c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode" priority="538" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9f65360e-385e-46b2-b3a5-b4826d78fcc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer" priority="537" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7439fc96-6e2b-4d69-bee3-ecf77a721659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity" priority="536" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-355e6cff-e8af-431b-b027-4f4f17b66b52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id" priority="535" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c4ba9c47-a6dc-4062-b65a-2ff71f8a623b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant" priority="534" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.<axsl:text> (</axsl:text>@typeCode='CON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4bcb7b0f-b355-4170-aa2e-29ef9c15ba50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity" priority="533" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9a3b84f8-7cf4-43e4-ba33-6bcdc345357a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code" priority="532" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0e9f7cfd-ef21-4807-a742-a036f847f62c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText" priority="531" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-85d82d89-6e1b-4bb3-8f98-284817532d4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort" priority="530" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='ESC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.<axsl:text> (</axsl:text>@typeCode='ESC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsibleParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:responsibleParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0f09e72a-8ac0-4c9d-bc54-40537b662d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty" priority="529" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:agentPerson)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:agentPerson is required [min 1x].<axsl:text> (</axsl:text>count(hl7:agentPerson)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:agentPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:agentPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8c7ff993-16e7-4dd9-94b1-b360799e686c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:code" priority="528" mode="M6">
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a7fd7758-6011-4faa-9acc-93def8b03731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:agentPerson" priority="527" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@xsi:nil"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-32759655-c178-4d53-b82c-c71ffc1a36d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf" priority="526" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='FLFS' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'FLFS' zijn.<axsl:text> (</axsl:text>@typeCode='FLFS' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:encounter is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:encounter)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:encounter komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:encounter)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c5e1cced-1290-459c-9129-c5462b01c84c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter" priority="525" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ENC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.<axsl:text> (</axsl:text>@classCode='ENC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:id MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:id)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:effectiveTime MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:effectiveTime)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:reasonCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:reasonCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:performer MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:performer)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consultant)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:consultant MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:consultant)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:escort)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:escort MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:escort)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inFulFillmentOf)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:inFulFillmentOf MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:inFulFillmentOf)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertinentInformation)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:pertinentInformation MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:pertinentInformation)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component1)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:component1 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component1)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component2)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:component2 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component2)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministration)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:substanceAdministration MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:substanceAdministration)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component4)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:component4 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component4)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component5)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:component5 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component5)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:subjectOf MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:subjectOf1 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf1)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf2)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:subjectOf2 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf2)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c88bfae6-489e-4629-9298-9a31d6c7fad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:code" priority="524" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d5cfe7dc-d727-4120-b078-8835b22d5686-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:statusCode" priority="523" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='completed') or (@code='cancelled')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'cancelled'.<axsl:text> (</axsl:text>@nullFlavor or (@code='completed') or (@code='cancelled')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(@code='cancelled') or ../hl7:subjectOf"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(activityEncounterEVN): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@code='cancelled', maar er is geen reden waarom<axsl:text> (</axsl:text>not(@code='cancelled') or ../hl7:subjectOf<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-20267016-2b98-424a-890e-e024ac64b4bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author" priority="522" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b2836fa2-f9be-4a6f-a79b-b824013a8315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:patient" priority="521" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c82b8388-dcf4-4dbf-994b-6e0e535714bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship" priority="520" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-57a02e03-bf61-4c59-aabb-e7dd73e831b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:code" priority="519" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1e9ef0af-68bf-46b2-8400-051f267184ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:relationshipHolder" priority="518" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e48c8bd5-21fb-40a7-864e-ae9a4d5cdd6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1" priority="517" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9419f082-b112-41aa-a54e-d736817739ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1/hl7:code" priority="516" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='02')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@code '02' moet in element personalRelationship<axsl:text> (</axsl:text>not(@code='02')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='03')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@code '03' moet in element patient<axsl:text> (</axsl:text>not(@code='03')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-41304ed9-6691-4a08-bdb0-2ea5aecd35bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]" priority="515" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dc837d16-be23-441e-97fd-c408defc6de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]" priority="514" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-30ecb74e-c598-4383-aff5-6aa50cba8f3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]" priority="513" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bec50326-e267-489e-8641-0b2e68868d64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]" priority="512" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-acf5308c-a41b-4f4d-941e-e4d61d5545b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]" priority="511" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-99113b06-5781-41bd-bdc3-e720435bd245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]" priority="510" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-02deaae0-e8ac-4d9f-b814-0d74ad04f4af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]" priority="509" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3a431c33-d89d-42e1-b5b8-010968de950a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]" priority="508" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-56c87226-b2c3-4f2c-9a50-1d2e2c3501d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]" priority="507" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8bc630e6-a17d-47f9-ae4b-d54bf366834e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]" priority="506" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ce2905e2-5005-41ee-9c84-8f4583e9443c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]" priority="505" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-008659c9-74dd-441b-bbeb-1b9da201f84f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]" priority="504" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f1bb3040-c39c-4803-bfe5-561f3d7a6e99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]" priority="503" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bea45468-4fa9-4742-bf4f-5b3160596cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]" priority="502" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-04f317de-dc19-4b2a-b37b-205ac6b344d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]" priority="501" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d952a974-7f35-4a2e-a8b3-7fad5400d055-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]" priority="500" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3949bf7a-bb60-4921-864b-1043b3abf566-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]" priority="499" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2fb72016-1493-4631-9513-86f50e4fb52b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]" priority="498" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cb8410dd-4c4f-442e-944c-a32b34c79dbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]" priority="497" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f1276eca-8b59-474c-8c9f-c6ccc0491cfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]" priority="496" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e815284e-a66e-491d-8447-c1d1b3b6331f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]" priority="495" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-24bfb568-bf61-4a79-91b1-83faf62f58b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]" priority="494" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e2f4a0ea-6c5b-4d25-bc54-3d5f06374a63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]" priority="493" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-95679489-bae5-4de8-bf49-b8ad6eee3314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]" priority="492" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ea9d30c4-1c13-4815-a230-ed50f19cca2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1" priority="491" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8b631f36-cd30-45fe-a565-dfe5ab0c2ce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData" priority="489" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8b7eb4e3-c2c6-49f8-97e8-b0e827b0760c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code" priority="488" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e0d16a8e-02a7-49ef-a2f1-3113335f6c15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText" priority="487" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-70c060ca-f5ae-4881-8224-50ca5dff90ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value" priority="486" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-39a5e9dd-9eab-49ca-86c7-f5599116c8e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo" priority="485" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-13e3227f-35a0-4e38-af81-af5cb72f65e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS" priority="484" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8c19af2a-2b60-4829-9d6e-74015f9fb806-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="483" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-59858ed6-ce87-4b12-8d85-a0c43e4367c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2" priority="482" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a48ad01e-5cd3-4c28-ba8a-e4abd929908b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData" priority="480" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dc110fb5-ebb6-4165-9448-920038a67bbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code" priority="479" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cb2762ae-f1ed-4fc8-9930-cebdf5c42b0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value" priority="478" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2ceb110b-b1f5-4263-889d-bbf09c6821f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo" priority="477" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fe6d3ef1-0fec-4616-83eb-844711078962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS" priority="476" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2bcdd776-4d25-497b-b1cd-b377e56ef872-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="475" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-220861a8-9840-4cd1-9039-b9ae534cc461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]" priority="474" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-eb28e6b7-e719-448e-91af-4e91f9143558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]" priority="473" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cabee929-2bcb-41e6-8602-1a0d00e0ad9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]" priority="472" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:advice)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4ada5825-a9a4-4692-b5dc-52678976e267-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice" priority="470" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFRM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.<axsl:text> (</axsl:text>@classCode='INFRM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-81d0daa7-3e26-4c2a-b74c-eddc7740a77c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code" priority="469" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fefe172f-7f79-4460-b54c-12be58081b70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component" priority="468" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d629b188-b0e0-402e-9168-140efa1af87c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act" priority="467" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cca81837-e2a7-431d-8c53-32c0490ce664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code" priority="466" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-231451e3-c51c-4a08-b8f1-8e4491a0230d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text" priority="465" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5fc87491-8bb8-4f27-a9c1-ad7f3f787423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf" priority="464" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:abortedEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:abortedEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:abortedEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:abortedEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-03a421b0-fddf-44bd-bc10-1e97f257ed65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent" priority="463" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='STC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @classCode MOET 'STC' zijn.<axsl:text> (</axsl:text>@classCode='STC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:reasonCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d6b4d813-3cfe-4eaf-b8a4-1e2c5011de54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:code" priority="462" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e5ad3240-fd7c-497f-95ab-e98764d67e1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode" priority="461" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.309'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1c833b07-4d30-4fd8-8b21-75131497536f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="460" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-01d1df2b-56eb-4f32-862b-afee04c156d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="458" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6c6aef91-39c5-4101-a6cb-cb18d0def6f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="457" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4f5c06c4-2057-4177-b639-99297ad0b850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="456" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5f465aca-2972-472a-bb11-3a87e6563931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="455" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0e887f6b-97b5-4260-9418-0077d6b2d219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="454" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ffd27d05-ef0f-42de-946a-34d2c5a9ec7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="453" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d5edbcd1-2ae3-4116-b7dc-258c7f22aaf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="452" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0fea2ee7-eed6-48d1-852e-f004faec4e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="451" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-07c93932-640f-461e-b5c4-cba74c65bb1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="450" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e137b1fb-5f4a-43ef-833f-b76f8817195f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="449" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9798f32a-3a06-4998-a0c3-1c3167cabdf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="448" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fa70851d-6ab6-4cff-9d60-d8682e1d40aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="447" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fbe21b11-c381-4393-bef8-d4d99ca3e141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="446" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-11837c29-398f-4641-b0dc-da3c17ed9356-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="445" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a4c854c0-2cfa-41d1-9065-eca6f53b967e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="444" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3bb7b3fc-4bd7-49d6-97f9-4c1fc2afae50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="443" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-03af62ea-3bf3-44d2-ae5f-b45c6c011aa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="442" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-eb1dc933-a2a7-4fd3-b20d-ce27970a2a02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="441" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-de936501-faf6-4bae-a2a4-ccd1f548f0ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="440" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a09d90e8-4ec8-44d4-bc0c-aff9628bde8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="439" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-af925d77-8a36-4289-a533-15015551e6ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="438" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8c38dabe-8216-4235-9dc5-931d601b7884-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="437" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4c293141-8712-49f3-b915-599d2817249d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="436" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e513f727-63f9-41ac-8b75-2eec41bdfc3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="435" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-32eb2d5c-9be1-478e-a6e6-7aca5e6a999a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="434" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-64900101-2d37-4656-aef2-735f1a655289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="433" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8f4dc8d2-d314-4823-ba34-19fd080081d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2" priority="432" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-19fe5f09-bcea-4626-9ed9-56466f5c62aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation" priority="431" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3612a10e-13fe-438b-8f17-4d94c7e4fd34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:code" priority="430" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterEVN): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9fc5bf07-f078-4f00-98f8-053a521e5454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:text" priority="429" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-80020db9-f5ce-498b-8f09-662b33bcc019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']" priority="428" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ENC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @classCode MOET 'ENC' zijn.<axsl:text> (</axsl:text>@classCode='ENC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consultant)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:consultant komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consultant)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inFulfillmentOf)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:inFulfillmentOf MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:inFulfillmentOf)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3ac417ed-fa80-4dba-aaa4-0d61ef0b83dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id" priority="427" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET een waarde in @root en @extension hebben.<axsl:text> (</axsl:text>@root and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3eba358a-7588-44a6-baf2-e63ebdffef07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code" priority="426" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e5e0f031-a89b-437f-93d0-84c0c571d7d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode" priority="425" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='cancelled')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @code MOET ''cancelled'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='cancelled')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-25f91df5-9d97-4cb4-bbc9-b8f741cbcc89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime" priority="424" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a32eef10-bdda-42d2-8f48-eec2d95dc6cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode" priority="423" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3d39f0b5-649c-44d8-82d2-46970b1b7151-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer" priority="422" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1b4d6f55-c01c-4c91-9e9e-844e095098ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity" priority="421" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c8a39391-15ec-4e5a-ac8e-a3bbd532befb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id" priority="420" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5f285f7b-0365-422c-8bce-796758d4b311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author" priority="419" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8302c901-b606-44bc-897d-ab50f5a8c43b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient" priority="418" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9d15dbe0-e0a9-4af5-8bc8-7a8167c107fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship" priority="417" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9778d7df-69d3-4d07-a064-b00212dc85d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:code" priority="416" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9cb1da3c-26ff-49d8-b9f6-4a5ee94887e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:relationshipHolder" priority="415" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6309d794-35d8-48e1-9750-9c8f768c48d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1" priority="414" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ba462e90-4900-4adc-9aa3-bb8425ed3050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1/hl7:code" priority="413" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='02')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@code '02' moet in element personalRelationship<axsl:text> (</axsl:text>not(@code='02')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='03')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEncounterINTAuthor): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@code '03' moet in element patient<axsl:text> (</axsl:text>not(@code='03')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d848d375-9a34-43ac-8f2a-78117fb9ea3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant" priority="412" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.<axsl:text> (</axsl:text>@typeCode='CON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1ac48f06-faf9-4113-9c08-9439459810c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity" priority="411" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9cd483d3-be08-4018-867b-a1a53556ca26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code" priority="410" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-edaf959a-2624-49cb-bc20-bb587c0ee848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText" priority="409" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0db61780-ff26-414b-b947-83c288b96c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort" priority="408" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='ESC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.<axsl:text> (</axsl:text>@typeCode='ESC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsibleParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:responsibleParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-93f1dc32-3ad2-4bc5-b950-c6d3c6e61c10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty" priority="407" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:agentPerson)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:agentPerson is required [min 1x].<axsl:text> (</axsl:text>count(hl7:agentPerson)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:agentPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:agentPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ce6d54d2-4128-4c8e-85ed-567dae1add80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:code" priority="406" mode="M6">
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d1a40693-c02b-4421-aec2-f8ca58a796b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:agentPerson" priority="405" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@xsi:nil"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3b3a176c-d88d-4165-90ec-abb1fe93ae3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]" priority="404" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ad30ee49-5ec7-41d2-b16d-7f706fcea847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]" priority="403" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a6c3f74d-3eb8-4769-94e0-807a110491ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]" priority="402" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8097e8c2-56bf-4800-88ea-ebb8f7a3ed1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]" priority="401" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f9803ca8-783e-4148-8043-16e2859c8aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]" priority="400" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8a9e1ece-8770-41cb-977e-5e92074115cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]" priority="399" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c595f00f-fca8-4f3b-b976-7c9b1e497f3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]" priority="398" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b2c63207-b470-4c72-a3be-a723c0e2ff37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]" priority="397" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d1ff0ff2-b677-4f99-9aea-3e5343bfd45a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]" priority="396" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9bb7ea6e-aa9e-4205-a061-85327a12fb08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]" priority="395" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-77a9df55-62ec-48dd-89fb-2fe35e8a3048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]" priority="394" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b4378ca9-8686-46a9-8705-b2fdff6f334a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]" priority="393" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dbe9ca59-81d1-4ef5-bc60-cebe926ef653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]" priority="392" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-91621de3-e19c-4367-a799-194556854979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]" priority="391" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cfbdea8f-931f-4baa-b77a-6563782c3b5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]" priority="390" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ef9cfa96-1421-4c46-a8bd-ba0f9fb941b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]" priority="389" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1cd62347-f4a7-488d-b35e-4a1e4dbe4082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]" priority="388" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a714af70-fd20-464d-9637-0c447a066da6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]" priority="387" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f394b67a-db90-414a-a120-4562f8390541-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]" priority="386" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0c99e1d1-9b6f-487a-a5ca-85ba8063fc9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]" priority="385" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d1bcd49c-87ab-40b0-8503-d921cff07e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]" priority="384" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-50b21cb7-a071-43b5-9d44-a9026e713523-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]" priority="383" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5f90864a-95b3-4a04-9350-854d0e66c4c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]" priority="382" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4ab53130-18a8-4169-a642-205f4356f816-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]" priority="381" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b50ff76e-c6a8-4993-abe6-03b805b09150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1" priority="380" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-90fcab5f-d144-447a-855e-e062950b54e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData" priority="378" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0a2efb31-adb2-4a16-b8a0-7dfd3de21c74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code" priority="377" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d2e707e9-5481-41a7-9ee9-b913c55fdeb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText" priority="376" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-af2f938f-e211-497b-b5fb-8cf5c34af2d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value" priority="375" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b7f647f5-5f40-4e50-8b41-260450254646-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo" priority="374" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ddd499db-c41c-48d9-afaf-e93f23708b63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS" priority="373" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4279efa7-c882-429b-8884-d6e51e167a02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="372" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-23c2bd1c-d04a-403d-982c-1edb4ac79233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2" priority="371" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ccb2b77f-6a1e-4d6a-bab2-b19e303dbff4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData" priority="369" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-18a49409-31c2-4593-a816-ae64d60de7e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code" priority="368" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6f667675-6831-462d-b622-0aca07f270a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value" priority="367" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1133d3db-4e07-415a-85f7-7daf8f096592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo" priority="366" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-597b1fc8-c5e1-431c-b794-186bf9f4a640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS" priority="365" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9f080b51-0cb7-49cd-9ca9-a88a9ac540c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="364" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-28ff7b8e-6f61-467b-8573-e046213a80f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]" priority="363" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a45e604d-b6a5-40ad-9f19-1b28f2696bef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]" priority="362" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c6b07caa-876e-40fd-9e7f-8e8b0de28f24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]" priority="361" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:advice)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-36095802-67c1-4d3f-a879-1e59035548b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice" priority="359" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFRM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.<axsl:text> (</axsl:text>@classCode='INFRM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-803f28e4-5f76-4935-be67-1a4d4ccc5bee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code" priority="358" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5c35fcf5-d873-4a06-9401-f3d4cd2e00ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component" priority="357" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f3d9cd62-f76d-4ec3-b43c-047ca916243a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act" priority="356" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-80e96a50-8d0b-43ae-85a7-3add132e57ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code" priority="355" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ef85420d-10cb-4eca-9838-c872edc7722c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text" priority="354" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-16026a38-084d-4b30-9210-7c9f7f5532d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf" priority="353" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:abortedEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:abortedEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:abortedEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:abortedEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-18348bfc-bb26-4820-aff0-6cd80154b8ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent" priority="352" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='STC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @classCode MOET 'STC' zijn.<axsl:text> (</axsl:text>@classCode='STC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:reasonCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a986a4ba-c9c3-4ad3-8b86-d6d23734de8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:code" priority="351" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dcffb5e0-84f1-40d1-9748-f47791797491-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode" priority="350" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.309' of '03' codeSystem '2.16.840.1.113883.2.4.4.40.309'.<axsl:text> (</axsl:text>@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-63841cdf-d366-4a91-9792-763434db5119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="349" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8eedfffd-cd99-49cb-a682-fb7b46dafa09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="347" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8710ea14-88e8-4959-a002-2ff7bce86c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="346" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dd3bdb99-851d-4cbc-9d24-c5d6d86bf152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="345" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d7ee079a-e62b-4d8b-a237-7a9d8263fdc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="344" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b0e61d43-42e2-4363-aae5-c78172542ef5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="343" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ec7f8882-7738-4815-8a5b-37d7a85b9f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="342" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4e0dca5a-2310-43b7-b207-3c217372dd73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="341" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cb3fc221-5de9-496c-ae09-d762fd10065f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="340" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c4c27c5e-5934-479b-8abe-745416a42baa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="339" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-50289739-b92a-4656-966a-99854991598b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="338" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-007090a4-fec7-439e-80c6-15d72f368eb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="337" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c0dfbbc6-8d7f-48d3-a68c-30f630caefcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="336" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-450e95a2-f87b-400f-9c3f-36167653244f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="335" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d5f9941f-7187-4360-8fb5-06a290a15b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="334" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7d74efce-3f7f-405c-ae21-0bd0020c2e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="333" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e96ef2b0-8ac5-4242-9367-bae8b73a5b39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="332" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-43df3d0c-10f0-4db1-ac33-cd78267d3e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="331" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-11fcf7ea-1d0c-4eb9-8bf4-cd83695c0d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="330" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-775787f4-833e-4f8d-b76d-4f05af935bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="329" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c96caa2e-64b0-4abb-bbc9-9380a066bb43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="328" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f38c27ca-467b-4c15-8ac2-23f2455e916a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="327" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e62a06a4-ccff-4f7c-bade-55cee5d09e62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="326" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-88b13551-953b-4811-b658-5547b3042d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="325" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5974742f-07f7-4103-9cc4-f26763d763bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="324" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e695785d-530b-41ae-a531-13206b3fcb97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="323" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-44acae8b-f919-47db-8825-a9c7462c5a65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="322" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c69b8880-e0dd-4d77-a5dd-907393db88d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2" priority="321" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-39038c69-5121-4606-9e6a-d1ce6fdbf613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation" priority="320" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e92231d8-60be-462a-b03e-56314688240f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:code" priority="319" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityEncounterINT): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-908f1a89-fcd9-4fc0-929f-df0a3b220e43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:text" priority="318" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8d6a8712-64f8-47bf-b146-9c5371ee169a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity" priority="317" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:author MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:author)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consultant)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:consultant komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consultant)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-88f36fa4-ac46-451b-af92-b70352af7991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:id" priority="316" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET een waarde in @root en @extension hebben.<axsl:text> (</axsl:text>@root and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4f7b0ec1-1750-48d0-bf19-20022631621e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:code" priority="315" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8bcdc9c5-bd5e-421b-a471-c48204073b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:effectiveTime" priority="314" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a303bd53-e647-4f7c-8194-0c7e6c617879-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer" priority="313" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-999b3899-a43d-4455-8556-933fb764e6b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity" priority="312" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5673e46a-08df-4dd3-9920-7baa883b3958-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity/hl7:id" priority="311" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-87fb5fd4-7ee4-4bd4-8450-5bd16b73e145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant" priority="310" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.<axsl:text> (</axsl:text>@typeCode='CON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b7de4d00-9092-479c-9818-a9474ae6aef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity" priority="309" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-84a0317b-115b-42ff-b919-a5d329ab89a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code" priority="308" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-381b2c78-41c9-41e1-a27e-8078cd520f13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText" priority="307" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-189e7eb6-32fb-4a77-9c38-c19e7da5f1b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]" priority="306" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a5cbe494-a1fa-4f43-aaaa-234cfd4a3406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]" priority="305" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-589988c1-5ba5-465e-be05-862c0e27a9f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]" priority="304" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-37935583-781b-4521-91e1-29629fa59f57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]" priority="303" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-de6136c6-e647-43ba-8555-b84c570e4033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]" priority="302" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-610a4c3f-9bd3-4ccb-a2e0-01701fba9f76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]" priority="301" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-40881be7-4ea7-4f44-b49c-8429c0b35551-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]" priority="300" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-52a75bbe-4906-4cc1-b060-3af7ed3cd7b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]" priority="299" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6facad47-2e8e-499a-ba24-8db00bdb00e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]" priority="298" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9fda5d63-3084-4c44-8fee-9e314c661c42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]" priority="297" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f156b9c6-ae51-410c-9240-3a2efbd906c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]" priority="296" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-92482d96-bd7e-4357-aac7-3b292643f325-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]" priority="295" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f31d5277-c0fa-49d9-827b-3b57197edba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]" priority="294" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f5906cbb-0ffd-4097-a650-e585a1fa54e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]" priority="293" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f3a04e56-ebc6-4d84-a844-7e3651f823ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]" priority="292" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-60b53572-7cdf-4713-bb3b-4e1b1564550a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]" priority="291" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7b368bab-57c8-4d0a-b629-2e72f637e4a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]" priority="290" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-217846af-03e1-4aad-9f4f-accfaa8e8de1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]" priority="289" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cfa09c87-2629-4fac-b299-012667d31a5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]" priority="288" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0e0f56f0-76df-445b-bc56-ffcbfca0fbdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]" priority="287" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-03b793ae-f2bb-474a-b6b5-6242b7fe9332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]" priority="286" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6109ca01-16a6-4906-a81f-377872bdc47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]" priority="285" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-89a09e0b-27b8-46a9-baae-402f78e2d420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]" priority="284" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7fd7bd9b-d97b-4de3-921a-5de0a2fd7427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]" priority="283" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-624db90e-b103-4384-a9a2-ac8808a67899-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1" priority="282" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-40775c5e-41ed-4ccf-aaca-da8262fcf404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData" priority="280" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f3ed6fad-e491-445e-990c-4f0603721fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code" priority="279" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-643fcad9-8e7f-4a58-932d-1dd9791f07b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText" priority="278" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ba5fd50c-5295-4e00-a405-1af4cb540a01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:value" priority="277" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bf718ae2-bf3c-49b3-b839-0da4259634e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo" priority="276" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-99685083-f42b-4924-adb2-6aaef657572d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS" priority="275" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7830ab13-2096-4595-bf5b-cb1aae123740-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="274" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dc12c1f2-2444-4656-9de4-9e1e36ea4d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2" priority="273" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d44bd108-1441-40c5-8bd3-594e2d795e44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData" priority="271" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2e73d56f-6fea-4be6-ae2c-0fa978711474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:code" priority="270" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7c1bd7ad-d08e-4f71-a377-06fbb621fecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:value" priority="269" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ef8e4cac-3aea-4677-843e-fd31d0482752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo" priority="268" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-946b529c-6d17-473d-820a-3a43b22415bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS" priority="267" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ad64e7b1-648b-4674-8710-6d9bafd9684b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="266" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7dea7184-cd7c-4e17-ac48-7d18669992e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]" priority="265" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0b723c12-739d-4fb3-bc6a-cb400f59c0eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]" priority="264" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3b266694-d565-4a88-ac28-3ae2a921b949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]" priority="263" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:advice)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-186a1af0-d7cc-4e2f-a233-3aa7b67877a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice" priority="261" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFRM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.<axsl:text> (</axsl:text>@classCode='INFRM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1472f75e-21c6-4c79-8a45-76fe0146a4ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code" priority="260" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3e1ced61-e4cb-4406-93f8-fa0e064c3e46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component" priority="259" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-17eb34b6-3485-4b81-a83d-865b1b6b6533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act" priority="258" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-32a971ed-0f16-466d-b6d8-1739e59932a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code" priority="257" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cdec7c67-7de5-465e-9288-d6b972efd600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text" priority="256" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9944de64-7674-480f-9f23-6d089916a991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="255" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-db605edf-7330-4cc1-a71f-46ffe93fef04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="253" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a2b63e90-2758-47dc-bd55-dc5dd807aaca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="252" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a7c2e9e8-a1f7-43b1-be40-87526f21b4b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="251" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7acd7c4e-5e1f-486e-be85-4953d7038348-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="250" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-01b2ac19-0988-4a68-8214-0cd0ffb93eb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="249" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-37e1f10d-4028-4758-9950-9772ef11bbb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="248" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2209639e-fa37-4a67-b865-7ed6a7a8a66f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="247" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f6c1f4db-36b9-4aaa-b58a-66e3934e0e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="246" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-98b1e8a7-8c99-4a5a-9db0-37c3ed91d5ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="245" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-86d3a1f8-0a26-4a76-a11e-f0e0cd5ece0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="244" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b0ff474e-9744-4513-bce2-9973ce41944c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="243" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-73fa0a02-02b0-4a72-99ac-0c16cf759bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="242" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f59cb09e-678e-4d4c-a247-b4c684e91d59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="241" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-35e82266-413a-4fc1-81a3-9b15b72d2903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="240" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1b048e3c-ac13-4e9d-bc38-4c084c3b672b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="239" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-94c248d5-0b3a-453a-8d3c-9b894a3b298e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="238" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e512e4d7-2118-48a4-bc63-7e491e09ecc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="237" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fe7dac38-0bb7-4b29-ac81-65a25c28d0d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="236" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d706990b-acbd-43c5-8ede-998249bf7924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="235" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-77f72da7-5252-42ce-b195-8768a578187a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="234" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-218ddc2e-947b-4296-9d76-cbdf34c9ce0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="233" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-72474aa1-dce9-46b7-9c55-74ba018aad0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="232" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-eff80342-d575-4f2d-9aa6-5ab385b1e03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="231" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7f29afc8-dbc2-4ec3-95f9-69969afb3282-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="230" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-db0363aa-dcc7-4517-814d-ce0a9b9bef40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="229" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e5bdf592-a6e7-4572-862f-11ace90aa56c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="228" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e693a18b-d44f-4b71-a4fd-a09f9965449e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2" priority="227" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-342461c4-3eb4-4bc6-a497-e43837d9930b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation" priority="226" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f9b232bf-8877-4f96-9c52-c130e8b2a57f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:code" priority="225" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityNonEncounterCareActivity): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-276cc137-4fdb-4f19-ad69-1c882eaff231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:text" priority="224" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d406f42e-bae0-4df3-b443-c3855d6d1164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent" priority="223" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:author MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:author)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consultant)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:consultant komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consultant)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation|hl7:pertinentInformation)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8a29bbd9-c5f3-477e-a61b-85ecad584aae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:id" priority="222" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET een waarde in @root en @extension hebben.<axsl:text> (</axsl:text>@root and @extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-de485314-1476-42f1-ba64-afd9593e2f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:code" priority="221" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): Als activiteitcode 30 'Melding' wordt gebruikt dan MOET pertinentInformation/rubricCluster de meldingdetails bevatten (rubriek 52).<axsl:text> (</axsl:text>not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:component4"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): Als activiteitcode 33 'Uitvoering hielprik/vaccinatie buiten organisatie' wordt gebruikt dan MOET component4/heelPrick de hielprikdetails bevatten (rubriek 37)..<axsl:text> (</axsl:text>not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:component4<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e768014c-642d-4322-b768-ca80f7555a77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:effectiveTime" priority="220" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7c871ce6-51be-4c59-a190-355457168288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer" priority="219" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-41c5a8a3-0e25-489a-a9d6-51e5716c5c83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity" priority="218" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-402579c2-961a-41bc-ac3d-0f9276273dab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity/hl7:id" priority="217" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-60b4b2b9-d656-4ff0-8034-58b595919ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant" priority="216" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.<axsl:text> (</axsl:text>@typeCode='CON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ed963e51-ee16-4a44-80d5-bed4f9be8426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity" priority="215" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b60ea8fc-1cd1-44fe-8d8b-d4719298b7e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code" priority="214" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5184e9a2-deb9-42f8-81fa-6bf0595a3d89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText" priority="213" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-b8c66170-df9a-4403-a86d-d8d2eb468f6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]" priority="212" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fc15602a-2cb9-4e39-9bda-a3190cbb09d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]" priority="211" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2bb81264-68e0-4ec8-a562-6e6b1b547afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]" priority="210" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-02d3d648-b235-4fbc-99b5-dfb29e91d647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]" priority="209" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f1a1783f-c040-4542-9bc3-e967096b5c82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]" priority="208" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-281d9a6c-f7c9-4fd5-a441-2b2df1e4de40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]" priority="207" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5d6adb03-7fbf-4f28-9a8e-5462e9b36cec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]" priority="206" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1410d117-2f76-45f1-a829-5237de2eb0cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]" priority="205" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-25a986d0-3dd8-4964-80a0-4ff81882f811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]" priority="204" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1712e1fa-317b-4860-90e0-3769295275d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]" priority="203" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-47e4afb9-9ae7-4209-b76e-f694b73bfd9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]" priority="202" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-af685958-9c39-45dd-87f4-9de36ba33b8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]" priority="201" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8ac6be79-ae86-4e1d-9fab-30d11551435f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]" priority="200" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-466dfd9d-643e-46ba-b123-91b98cc5615d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]" priority="199" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-aa1127d8-85c3-4dca-863e-c2ee0c4455fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]" priority="198" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-163d9b3f-7a14-4af8-9e05-37463e97414f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]" priority="197" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a5502c3e-5834-4bd2-a3dc-14bdef049cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]" priority="196" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-239b10f3-24c6-4196-bce4-19c64b3bbbeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]" priority="195" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e599b65d-27f8-4d45-838f-f43eff8edcce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]" priority="194" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d9a1b4e7-d38f-4f67-8738-707fc3995c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]" priority="193" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bafe0fc8-39fe-4383-b745-d79667d89cdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]" priority="192" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-93dba248-4729-45fa-be01-659763319fc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]" priority="191" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1e0542e9-3f7f-41ee-b8f5-8e35ec8423f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]" priority="190" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1ee667c9-73a0-4be9-a808-1b9ab2c443d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]" priority="189" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-920b1e7d-265d-4224-813a-df740d37f6cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1" priority="188" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:nonBDSData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:nonBDSData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1f3f7d99-7403-4df5-b284-573b23417c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData" priority="186" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-90e0b692-6898-46ca-97a4-1bae9d0085ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code" priority="185" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-438d3852-f8a4-4ab3-a357-755470ecdd63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText" priority="184" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-97dabef7-5c7e-4f1e-b4c4-89357db8660d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:value" priority="183" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3ec61725-1ca4-4dad-aa8a-9bc7f94834e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo" priority="182" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-029055a4-fb8d-4d3d-8a8c-43496700f74a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS" priority="181" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2c583645-2a69-4da8-adf7-b4e39ad53af4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="180" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3f852f4b-d7f3-4beb-97db-9de33cb442c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2" priority="179" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:metaData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:metaData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-32c07372-dd4f-4f41-8289-5f9303be587f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData" priority="177" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertainsTo)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertainsTo)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-03ce2aff-4f58-467b-a14a-a13344896da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:code" priority="176" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5a08b815-f8f7-4aba-8221-1131514d6d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:value" priority="175" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d5b1026b-059d-4a47-b3c0-b7645bd87fc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo" priority="174" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:categoryInBDS)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:categoryInBDS)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ee046744-4ddf-4f73-973d-12e084034bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS" priority="173" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CATEGORY' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.<axsl:text> (</axsl:text>@classCode='CATEGORY' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-3947520e-0acc-4ccc-9341-7a47ee5d861c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code" priority="172" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2b7b81a6-a1c8-4d0e-b39e-c50956392f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]" priority="171" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a672d99e-c59e-46d0-bcb2-dd72bb2e1b2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]" priority="170" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-76e79eee-e2f9-4490-bcb2-d3ef8cfa0ec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]" priority="169" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:advice)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:advice)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-cb5176d1-72c1-400f-a19e-ef0d22450b93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice" priority="167" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFRM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.<axsl:text> (</axsl:text>@classCode='INFRM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-db2f5389-f396-4941-b361-157104fb1623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code" priority="166" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-41e2ca28-7edb-413e-9a15-84973e56e9e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component" priority="165" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-622f5255-3859-4c98-bd4e-e16a2f9dc172-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act" priority="164" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a770ff1a-c142-4029-a607-998d5cef7004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code" priority="163" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f762b923-4c92-4c9b-b56c-ac26790983c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text" priority="162" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-045a5b62-e994-4027-b62b-f09a65a4c1fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="161" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d93b7c9f-a054-4129-8e18-6da5b1eb7626-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="159" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bb24cf5b-283e-4d20-a8ae-d3c670934011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="158" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7900bd43-f731-4dd6-806f-d1899ec782dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="157" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2e5469ac-280b-4a42-aeff-ebb2d682b04c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="156" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-12cb305d-a88b-40b4-a9b9-0af3c08f5edf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="155" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-debe640f-25ea-4c16-8c77-d67df1d4271d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="154" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-f580e5a2-81a3-43fb-a288-3f84075691cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="153" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-65e43dc4-dcb7-4f12-b75c-9d334cfe8d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="152" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2cc5ec96-97a4-4adc-908e-d4b4c38455b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="151" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-892e1154-6e41-4a23-a496-382fe7ac4454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="150" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-d6048352-043f-4e38-a65e-e69e3f7c12fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="149" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-4674a22f-4ce1-4939-b5be-cfaffc35f90b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="148" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-7cfa6e2b-154d-458e-a17b-498af33d1e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="147" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e3dea0e2-b6cb-4ed2-acdc-44b803b73a91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="146" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-daf8d89a-3d7d-4e52-bea3-3a3e0a187d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="145" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a6dc08dc-40c5-4dc1-8b84-221778e7a1b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="144" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-71866662-9217-4857-85ab-79fea8221660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="143" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-21d10acd-1271-47b6-88d1-de3dc2a84822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="142" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-fb8d4fcc-ff3f-4267-a307-b0a0ebfe5e49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="141" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-72cfb245-c519-4b83-a486-e28939a217cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="140" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-19f6f8cd-84a1-4da6-ad6a-4635dc7a2d97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="139" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-5df20a4a-9c33-4227-85cf-6ff626e03f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="138" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-93053927-1e68-40ce-b621-b3a1cf8ea24f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="137" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-e02e1480-37d1-45ae-8c84-478c8d2bcc9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="136" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8c02a3c2-4791-4d34-b995-d98b309f29bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="135" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8de041f2-a949-4aef-9dce-a5f9c2242c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="134" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-bda219ff-d4dd-422a-8f9b-fac253ec0212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2" priority="133" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0340b9b2-bb15-4e47-9ece-d41b39ac63a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation" priority="132" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8af5e1c3-a29a-48bb-8a75-6ed296e345b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:code" priority="131" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activityRegistrationEvent): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-8a1cc113-d0bd-482c-979d-e34dc8925ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:text" priority="130" mode="M6">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-313921c7-97a6-4c47-a0aa-05d263f4ff5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf" priority="129" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a0741897-d669-482f-a52c-6f0cc8d036d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="128" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='STC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.<axsl:text> (</axsl:text>@classCode='STC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-56c3aa10-f126-4763-961f-7846dbfd722a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="127" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''1197' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9fd1e343-cd84-45da-b4f0-f216027d5fbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime" priority="126" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0c6fef2a-f6ff-457b-a161-67e57e7e04c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode" priority="125" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-9caea99b-cd53-4f7b-a325-a1fc18f99e8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author" priority="124" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:time is required [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a8e4dc0a-6a0e-4656-a66d-063e0f3ae9bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time" priority="123" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-ef789090-9017-460f-9975-d93d6b8e49d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low" priority="122" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-af513e61-c492-4243-853e-3c7a6ab6afe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high" priority="121" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-77ac73ac-ac8b-4ebe-b06b-22366ee93d7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity" priority="120" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:representedOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:representedOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-58c26093-4cbe-431a-992a-0641740fe3fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']" priority="119" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.122'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.122'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-dd7eb6b9-d62e-4cd2-8b3b-dc64b128c6f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']" priority="118" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.1'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6708145e-f2ae-487f-9c82-e1adc68606e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']" priority="117" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0ff80d4a-124b-4d15-a602-0908804e8a63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization" priority="116" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1639871f-616c-4c39-b6c9-b2e459e796d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id" priority="115" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-04e1da44-0130-4b03-8ed7-1d39fee2c641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="114" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='STC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.<axsl:text> (</axsl:text>@classCode='STC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-76832843-04f5-4b0e-b1c7-96a9641f2f4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="113" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''487' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-40ded6df-f4ef-4b5b-8e7d-4f12a49607e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime" priority="112" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-a2c66086-4dce-40ed-9ea9-fc410130ce3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode" priority="111" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1c005cc0-58d5-48e2-8424-936bccd13a53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author" priority="110" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:time is required [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-1bda714a-0606-45a6-846d-2d5994e08462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time" priority="109" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-692338c9-3509-4574-bdb6-504fe6481fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low" priority="108" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-6450ff3e-1890-42b3-8dbc-58f8f45848cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high" priority="107" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-0244918f-3dbe-45cd-bc4c-f409fa350ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity" priority="106" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:representedOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:representedOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-2d5b9b3a-c0a3-4def-9ccf-b5b9c691e751-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']" priority="105" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.122'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.122'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c5971d16-fd12-43db-a5a9-40382d5f8e34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']" priority="104" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.1'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-652a3dc1-50da-44cb-bfc8-2943389d33be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']" priority="103" mode="M6">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-df9d1733-1909-455f-bf48-b89670babb45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization" priority="102" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-c1a7ae3d-41a0-46f4-b7f6-a3c241f7bdba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id" priority="101" mode="M6">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M6"/>
   <axsl:template match="@*|node()" priority="-2" mode="M6">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M6"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M6"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.102R_PatientNL GBA [identified/confirmable]-->


	<!--RULE tmp-517dbca0-76ba-4da8-a336-fbd99701f717-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient" priority="111" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-85950504-590c-4339-8d90-d31074698fad-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']" priority="110" mode="M49">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.102'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.102' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.102'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-68270079-347f-4d69-986d-95d68680b740-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']" priority="109" mode="M49">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NA' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.<axsl:text> (</axsl:text>@nullFlavor='NA' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-62ec7f3d-53e4-45d6-ae50-d070926e435d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:addr" priority="108" mode="M49">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(R_PatientNL-GBA-identified-confirmable): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> is voor deze template niet gespecificeerd<axsl:text> (</axsl:text>not(.)<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-5a815306-fa3f-4e44-b752-2d160c6e74e2-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson" priority="107" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-d11e8d22-66bc-44f0-8113-76f9f183286f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name" priority="106" mode="M49">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@use='OR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @use MOET 'OR' zijn.<axsl:text> (</axsl:text>@use='OR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:prefix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:prefix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:prefix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-a551490b-d921-4cc0-a4c3-b54f136f0958-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:given" priority="105" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@qualifier)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@qualifier is niet toegestaan<axsl:text> (</axsl:text>not(@qualifier)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-81018ee4-4958-45d8-aefc-903592fd633b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix" priority="104" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='VV BR' or @qualifier='BR VV'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de voorvoegsels van de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='VV BR' or @qualifier='BR VV'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-b00e520b-1a14-47ae-9793-e8b12e2e8d70-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:family" priority="103" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @qualifier MOET 'BR' zijn.<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-6ca20f42-6a46-4105-9349-15ad9acfc2af-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode" priority="102" mode="M49">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-GBA-identified-confirmable): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.102.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>

	<!--RULE tmp-fd982803-7bb5-4dc4-81cd-e52e3b7daade-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient/hl7:patientPerson/hl7:birthTime" priority="101" mode="M49">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M49"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M49"/>
   <axsl:template match="@*|node()" priority="-2" mode="M49">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M49"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M49"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.103R_PatientNL_JGZ Informal [identified/confirmable]-->


	<!--RULE tmp-6a5a207a-23b6-4826-8f03-6d1a244a581e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient" priority="118" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:addr is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:addr komt te vaak voor [max 2x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-d4f061de-19e6-46d8-98e8-d0dc0324a67b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']" priority="117" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.103'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.103' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.103'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-c1489cab-9591-40e3-8857-70e5f1f328ba-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:id" priority="116" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NA' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.<axsl:text> (</axsl:text>@nullFlavor='NA' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-bf90e18a-4604-4f87-9697-6136e90f0932-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:addr" priority="115" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@use"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): Het attribuut @use moet, indien aanwezig, overeenkomen met het adres in het administratieve geboortebericht van de verloskundige of moet “HP” (Primair woonadres) of “PST” (Postadres) zijn indien de geboortemelding uit het GBA is ontvangen.<axsl:text> (</axsl:text>@use<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:houseNumber is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:houseNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:buildingNumberSuffix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:buildingNumberSuffix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:additionalLocator komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:additionalLocator)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:postalCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:postalCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:city|hl7:county)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): keuze (hl7:city of hl7:county) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-71ed9f46-9f41-47fc-bf32-602f565a3e4f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:statusCode" priority="114" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-881cd9f4-c231-4ae2-b160-e216b3721ac9-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson" priority="113" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthOrderNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthOrderNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-c60cce70-3c3e-4b7d-af94-e3b37821c61c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']" priority="112" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.163'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.163' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.163'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-31712da4-c470-4e9b-98e4-1e80ecb8008e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:name" priority="111" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use) or @use='OR' or @use='L'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: @use moet indien aanwezig 'OR' of 'L' zijn<axsl:text> (</axsl:text>not(@use) or @use='OR' or @use='L'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:prefix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:prefix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-17fad311-a1a4-4c05-985d-21b01e1fdc26-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix" priority="110" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='VV BR' or @qualifier='BR VV'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de voorvoegsels van de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='VV BR' or @qualifier='BR VV'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-e1e01c15-6a2e-4c01-b065-114d61bdef28-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:name/hl7:family" priority="109" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-e44810af-ebeb-4a4e-8222-cf975467a7e6-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode" priority="108" mode="M50">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-784968e6-5efa-4b5a-8674-5006f7a29491-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:birthTime" priority="107" mode="M50">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-15730ba8-5d17-4e58-9e7f-333f429d1f4e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd" priority="106" mode="M50">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-b99337af-ce16-4968-9398-1ffb77cb20b1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber" priority="105" mode="M50">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="preceding-sibling::hl7:multipleBirthInd/@value='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> kan alleen een waarde hebben bij meerlingen<axsl:text> (</axsl:text>preceding-sibling::hl7:multipleBirthInd/@value='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-d3e23230-81fc-4066-9979-5ea963f03725-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:contactParty" priority="104" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-224c11c7-894b-44f8-8f5f-3e43cf15bb72-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom" priority="103" mode="M50">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-96d1f3e0-81f2-4617-b9dc-d06e0af6bc89-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime" priority="102" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:low or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht<axsl:text> (</axsl:text>hl7:low or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>

	<!--RULE tmp-435e4c94-f3f3-499c-8291-2b07775cf462-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson" priority="101" mode="M50">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.103.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M50"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M50"/>
   <axsl:template match="@*|node()" priority="-2" mode="M50">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M50"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M50"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.116A_Rijksvaccinatie [universal]-->


	<!--RULE tmp-00992dfb-d480-4352-8208-8c2a7181801d-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent" priority="154" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SBADM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'SBADM' zijn.<axsl:text> (</axsl:text>@classCode='SBADM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@negationInd='true') or hl7:authorization"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): als <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization<axsl:text> (</axsl:text>not(@negationInd='true') or hl7:authorization<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@negationInd='true' or not(hl7:authorization)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): als <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization<axsl:text> (</axsl:text>@negationInd='true' or not(hl7:authorization)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:consumable is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:consumable komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reason)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:reason komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reason)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:causeOf2)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:causeOf2 komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:causeOf2)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:component komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-f9fc619d-ab63-4d37-8239-8cc79c7d8631-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']" priority="153" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.116'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.116' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.116'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-7bd2cb81-17f0-4b5b-8312-e2ee4c4d0c45-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:code" priority="152" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-03e6ddef-9a79-4c97-aa30-15a5dbfb30f8-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:effectiveTime" priority="151" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@value,'^[0-9]{8}')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet tenminste tot op de dag nauwkeurig worden opgegeven<axsl:text> (</axsl:text>matches(@value,'^[0-9]{8}')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-25321e5e-e112-478d-a2e9-08182ed8ab58-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable" priority="150" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CSM' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CSM' zijn.<axsl:text> (</axsl:text>@typeCode='CSM' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:medication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:medication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:medication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-1d5f09e8-8c51-4f79-a04c-f57905bb1908-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication" priority="149" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ADMM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'ADMM' zijn.<axsl:text> (</axsl:text>@classCode='ADMM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:administrableMedicine is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-18e3fa8a-c355-4298-8d6f-68c9164b7a27-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine" priority="148" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MMAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'MMAT' zijn.<axsl:text> (</axsl:text>@classCode='MMAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:lotNumberText or ../../../hl7:authorization"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar<axsl:text> (</axsl:text>hl7:lotNumberText or ../../../hl7:authorization<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:lotNumberText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:lotNumberText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:lotNumberText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-4e5d46aa-35ae-4fee-ae88-2652986a76b8-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code" priority="147" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-9c709af8-b70d-4bbb-9ff6-18a250f9f355-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText" priority="146" mode="M51">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../../../../hl7:authorization)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn<axsl:text> (</axsl:text>not(../../../../hl7:authorization)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-50f78ed0-dbb5-49b8-9301-820977e966e0-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="145" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-8ebd53c9-1b4f-49a8-ae43-71f2192852eb-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason" priority="144" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:vaccinationReason)&gt;=1 and not(hl7:vaccinationReason/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:vaccinationReason is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:vaccinationReason)&gt;=1 and not(hl7:vaccinationReason/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:vaccinationReason)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:vaccinationReason komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:vaccinationReason)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-81e28ec0-3de3-416e-9493-066050fe2b9a-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason" priority="143" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-08eeddc4-bc9a-4a16-8ff8-5b32c7b2c7d1-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:code" priority="142" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''686' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-11e60f1b-1fd6-42f1-8185-308f0f33ead0-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:reason/hl7:vaccinationReason/hl7:value" priority="141" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0417_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0417_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0417_HL7 W0417 Reden van enting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0417_HL7 W0417 Reden van enting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-81ea675b-3063-413f-a174-43dc6505e85a-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1" priority="140" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CAUS' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CAUS' zijn.<axsl:text> (</axsl:text>@typeCode='CAUS' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:serologyTest)&gt;=1 and not(hl7:serologyTest/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:serologyTest is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:serologyTest)&gt;=1 and not(hl7:serologyTest/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:serologyTest)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:serologyTest komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:serologyTest)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-bc926145-f376-47d3-86dd-fe0e0fbb8655-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest" priority="139" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-8c9df5f6-2934-4a56-a202-3550dfc15830-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:code" priority="138" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''869' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-099ed0b5-8aa8-4c11-8592-f27252d00cc0-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf1/hl7:serologyTest/hl7:value" priority="137" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-9f4287d4-d394-4bd4-95e8-672089960bd3-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2" priority="136" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CAUS' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'CAUS' zijn.<axsl:text> (</axsl:text>@typeCode='CAUS' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:adverseReaction)&gt;=1 and not(hl7:adverseReaction/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:adverseReaction is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:adverseReaction)&gt;=1 and not(hl7:adverseReaction/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:adverseReaction)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:adverseReaction komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:adverseReaction)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-09fd22dc-2a9a-4dbd-83d1-900055b97158-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction" priority="135" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-3750e38f-a9ea-4596-9ef7-82c7bb4f554b-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:code" priority="134" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''874' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-7410bd06-2532-41e1-9e4d-3ddc37383357-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime" priority="133" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-37621617-da55-45b3-97c6-d950da586434-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:low" priority="132" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-8ae9d605-a9fb-4646-afc7-f27d311145d1-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:effectiveTime/hl7:high" priority="131" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-a36d2e46-b80e-48fc-9b17-e945d5259dfa-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:value" priority="130" mode="M51">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-1273442c-5040-4b37-b338-2f3cb51ea44d-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf" priority="129" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:informationControlActEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:informationControlActEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:informationControlActEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:informationControlActEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-475903c5-5865-45c4-a2e6-db55e92d2903-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent" priority="128" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INFO' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'INFO' zijn.<axsl:text> (</axsl:text>@classCode='INFO' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-1938cf47-0b9b-4eca-8a34-51b5837226fe-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:code" priority="127" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''875' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-fad13f3a-da67-422a-a137-0ff0f5521483-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:effectiveTime" priority="126" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-9283ef90-dfd7-464b-b171-ce9b79912759-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer" priority="125" mode="M51">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:assignedPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:assignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-58678a0c-8a20-4ef6-810f-0b656c4e1ac2-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson" priority="124" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-d7ef5de0-c94c-491e-87a0-37ded89182d2-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:causeOf2/hl7:adverseReaction/hl7:subjectOf/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson/hl7:id" priority="123" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-167ca739-a77c-45a9-b7a9-d49b30ae3e1c-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization" priority="122" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUTH' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'AUTH' zijn.<axsl:text> (</axsl:text>@typeCode='AUTH' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:consentEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:consentEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-c3f1fad0-a66d-407e-940a-21bb92796ec7-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent" priority="121" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CONS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'CONS' zijn.<axsl:text> (</axsl:text>@classCode='CONS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-d01aff53-8426-424c-83fb-3da7abb706af-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code" priority="120" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-f9e7bc90-d49c-4bd2-96f1-f3b12d98be41-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf" priority="119" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:observationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:observationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-a7e28493-581e-4308-928c-d8e92d505905-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent" priority="118" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-3dc40ec2-f98f-4951-b210-38533e65143e-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code" priority="117" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-8f71b30c-6329-42ad-9b24-f406b9429d46-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value" priority="116" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-360a0cf3-3df3-44da-bd04-35bbcf6baee6-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component" priority="115" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): keuze (hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): keuze (hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-4c0d18b0-edc0-4cee-b76c-9e188a9855f1-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']" priority="114" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-eee2a6bc-931e-4da6-81a2-ace1f589a43c-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code" priority="113" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''608' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-13aed7a8-85d9-4b7a-bf1c-6a82cdc285b4-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value" priority="112" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0416_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0416_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0416_HL7 W0416 Type oproepkaart (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0416_HL7 W0416 Type oproepkaart (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-ba3cb6c3-6188-4987-a47c-e166c2f385a1-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']" priority="111" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-08324bf2-d45c-4623-9ee8-d78fd514602e-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code" priority="110" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''872' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-c2d4ab47-436a-4269-86ed-382e2a20cd0c-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value" priority="109" mode="M51">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-02c5bd3a-87b9-48cd-a09d-cf58a3d52e3d-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']" priority="108" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-1c962fa8-84fe-4971-9cb4-d38b4f9c647c-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:code" priority="107" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''5063' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-63f4893e-8bff-4b53-9894-d97a802d34c2-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:component/hl7:vaccinationObservation[@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']/hl7:value" priority="106" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0408_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0408_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0408_HL7 W0408 BCG litteken (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0408_HL7 W0408 BCG litteken (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-9b5e89f3-6944-4921-81af-4799e6ec0fd0-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf" priority="105" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:scheduleDeviation)&gt;=1 and not(hl7:scheduleDeviation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:scheduleDeviation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:scheduleDeviation)&gt;=1 and not(hl7:scheduleDeviation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:scheduleDeviation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:scheduleDeviation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:scheduleDeviation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-282db2d4-e115-49b4-82cb-c48639c3f2ed-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation" priority="104" mode="M51">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:text or hl7:value"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): Element text (toelichting) en/of value (reden) MOET een waarde bevatten<axsl:text> (</axsl:text>hl7:text or hl7:value<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-fe7ad40e-ba0e-4f48-b308-2aa3019e0507-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code" priority="103" mode="M51">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code/@codeSystem MOET ''686' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-94558ed0-42d5-4bd7-b64d-e8f991e43172-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:text" priority="102" mode="M51">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>

	<!--RULE tmp-2eda7c4a-ef1a-41e0-93c4-3fb278c87716-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.116']]/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value" priority="101" mode="M51">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0429_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0429_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0429_HL7 W0429 Reden afwijkend schema (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0429_HL7 W0429 Reden afwijkend schema (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.116.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M51"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M51"/>
   <axsl:template match="@*|node()" priority="-2" mode="M51">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M51"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M51"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.117A_Rijksvaccinatie [informational]-->


	<!--RULE tmp-270ebd24-25df-4198-b23e-f911af677f67-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]" priority="118" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:substanceAdministrationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-e85d4c64-c715-40b0-80b9-6af863f54ecd-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent" priority="117" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SBADM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'SBADM' zijn.<axsl:text> (</axsl:text>@classCode='SBADM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@negationInd='true') or hl7:authorization"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): als <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization<axsl:text> (</axsl:text>not(@negationInd='true') or hl7:authorization<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@negationInd='true' or not(hl7:authorization)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): als <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization<axsl:text> (</axsl:text>@negationInd='true' or not(hl7:authorization)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:consumable is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:consumable komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-2be3cc36-6599-4cd1-88c8-4c1b94d92109-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']" priority="116" mode="M52">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.117'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.117'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-ecd3359e-a033-4a14-924f-1f4bc4c7f78e-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:code" priority="115" mode="M52">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-a7a43f93-8912-435f-8590-215d8a1a1b60-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:effectiveTime" priority="114" mode="M52">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@value,'^[0-9]{8}')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet tenminste tot op de dag nauwkeurig worden opgegeven<axsl:text> (</axsl:text>matches(@value,'^[0-9]{8}')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-24019fc2-972b-44e9-b169-f7c93248050c-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable" priority="113" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CSM' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'CSM' zijn.<axsl:text> (</axsl:text>@typeCode='CSM' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:medication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:medication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:medication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-ebbc6bd7-229c-4adf-8c3b-45955774db23-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication" priority="112" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ADMM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'ADMM' zijn.<axsl:text> (</axsl:text>@classCode='ADMM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:administrableMedicine is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:administrableMedicine komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-3a77b596-3403-4c69-b629-f3bad27681d5-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine" priority="111" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MMAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'MMAT' zijn.<axsl:text> (</axsl:text>@classCode='MMAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:lotNumberText or ../../../hl7:authorization"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar<axsl:text> (</axsl:text>hl7:lotNumberText or ../../../hl7:authorization<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:lotNumberText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:lotNumberText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:lotNumberText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-e51c1e8e-ad04-42bb-92ae-720f328b6967-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code" priority="110" mode="M52">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-57351790-17be-46df-8386-98429281a3e3-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText" priority="109" mode="M52">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../../../../hl7:authorization)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn<axsl:text> (</axsl:text>not(../../../../hl7:authorization)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-1c562ef8-b5d0-44c7-b7d9-e51c68bd1f6e-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="108" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-3b42e35a-97a6-4e2a-881b-7125ede6bd0f-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization" priority="107" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUTH' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'AUTH' zijn.<axsl:text> (</axsl:text>@typeCode='AUTH' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:consentEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consentEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:consentEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consentEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-6b1407d0-b152-46a8-98be-7bff50af1e66-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent" priority="106" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CONS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'CONS' zijn.<axsl:text> (</axsl:text>@classCode='CONS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:reasonOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-f021198f-2512-4e2d-b20c-d1804dbf0595-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code" priority="105" mode="M52">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-963e8c66-800b-4b8f-bd25-f65340b428d4-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf" priority="104" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:observationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:observationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-6a547194-b8db-409e-bfeb-17f52132a36e-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent" priority="103" mode="M52">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-ea9f1cb7-e7f7-4f9c-8a1d-2a8dc687ea19-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code" priority="102" mode="M52">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>

	<!--RULE tmp-e42d3b1e-3f3a-4fc3-9d10-d627a5e5c8ba-->

   <axsl:template match="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value" priority="101" mode="M52">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.117.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M52"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M52"/>
   <axsl:template match="@*|node()" priority="-2" mode="M52">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M52"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M52"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.118A_NeonateData [universal]-->


	<!--RULE tmp-8c315ead-077d-4422-b4f9-47ab97d47959-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]" priority="167" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:neonateData)&gt;=1 and not(hl7:neonateData/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:neonateData is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:neonateData)&gt;=1 and not(hl7:neonateData/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:neonateData)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:neonateData komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:neonateData)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-0c7538b5-ff3c-4465-a454-f654778d0b22-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData" priority="166" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ORGANIZER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'ORGANIZER' zijn.<axsl:text> (</axsl:text>@classCode='ORGANIZER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-5c27a63c-4851-4574-826b-c4cbb965beef-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']" priority="165" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.118'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.118' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.118'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-18b0eec7-af62-43b5-a40b-ec19e99e138d-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:code" priority="164" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''R016' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-ac284af1-9c4d-4c39-9354-9bb872b194a7-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1" priority="163" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inPatientEncounter)&gt;=1 and not(hl7:inPatientEncounter/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:inPatientEncounter is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:inPatientEncounter)&gt;=1 and not(hl7:inPatientEncounter/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inPatientEncounter)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:inPatientEncounter komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:inPatientEncounter)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-0eadfa0d-52fe-43bd-95c1-81fc9bb10427-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter" priority="162" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ENC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'ENC' zijn.<axsl:text> (</axsl:text>@classCode='ENC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:location)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:location komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:location)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-65945f96-5a88-499c-85ad-bd54e7e141f4-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code" priority="161" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''IMP' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-65a4312f-19eb-4e63-8e78-85f4bbcba061-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime" priority="160" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-7fbd3b30-6091-43e9-998e-d3efa12ebf57-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low" priority="159" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-3ee7efda-1715-45a6-a629-9dec8404adc8-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high" priority="158" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-734023c2-7161-4ff2-8a81-1e545eecc470-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location" priority="157" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:serviceDeliveryLocation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:serviceDeliveryLocation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:serviceDeliveryLocation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-feb668e7-ac28-4027-b032-a0fc4869b5de-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation" priority="156" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SDLOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'SDLOC' zijn.<axsl:text> (</axsl:text>@typeCode='SDLOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:locationOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:locationOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:locationOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-565c8369-46c0-417d-b591-25f23159755f-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code" priority="155" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='PEDICU' and @codeSystem='2.16.840.1.113883.5.111')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''PEDICU' codeSystem '2.16.840.1.113883.5.111'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='PEDICU' and @codeSystem='2.16.840.1.113883.5.111')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-c223c911-6708-4e2c-acd7-053e79291720-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf" priority="154" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:incubatorAccommodation)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:incubatorAccommodation is required [min 1x].<axsl:text> (</axsl:text>count(hl7:incubatorAccommodation)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:incubatorAccommodation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:incubatorAccommodation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:incubatorAccommodation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-dfbeee75-4884-4485-9b67-23470300aea3-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation" priority="153" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACCM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'ACCM' zijn.<axsl:text> (</axsl:text>@classCode='ACCM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-06d3174e-e991-46b3-9fed-3b2c49a00b55-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code" priority="152" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''144' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-d0247672-7279-41cd-9904-3ebfbf01677a-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2" priority="151" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministrationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:substanceAdministrationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-622323b8-9e10-425a-adea-2c712cf9189f-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent" priority="150" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SBADM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'SBADM' zijn.<axsl:text> (</axsl:text>@classCode='SBADM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:consumable is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:consumable komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-b2e0730e-5ec2-4a14-8a40-a30c859564d4-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable" priority="149" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CSM' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'CSM' zijn.<axsl:text> (</axsl:text>@typeCode='CSM' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:medication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:medication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:medication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-6f62d91d-106a-42de-9610-5d2e682aad89-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication" priority="148" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ADMM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'ADMM' zijn.<axsl:text> (</axsl:text>@classCode='ADMM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:materialKind)&gt;=1 and not(hl7:materialKind/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:materialKind is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:materialKind)&gt;=1 and not(hl7:materialKind/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:materialKind)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:materialKind komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:materialKind)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-2c6ccd77-af97-48aa-a282-347196632786-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind" priority="147" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'MAT' zijn.<axsl:text> (</axsl:text>@classCode='MAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-6c0b5e03-0f34-4da3-af49-c512da69db49-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind/hl7:code" priority="146" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '137' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '138' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '629' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-c3f102b6-1be1-40e5-9f69-67e5050b5fb6-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3" priority="145" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-f52406e1-fcd6-465e-8e5b-162d393e80a0-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="144" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-474e2864-0284-4c9d-ae3a-5d76abadc23d-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="143" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''108' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-85557ff1-6b08-48c7-a742-64db9b4367fa-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="142" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-b626131b-e744-4953-ac5a-dd5beea7db7d-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="141" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="parent::hl7:component3/../hl7:component3[./*/hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] and ./*/hl7:value[@value='true']]"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): Als er sprake is van een volgnumer bij meerling dan MOET de meerlingindicator (BDS-element 108) op 'true' staan<axsl:text> (</axsl:text>parent::hl7:component3/../hl7:component3[./*/hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] and ./*/hl7:value[@value='true']]<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-dc273da2-6122-497b-a93e-4957fb7afc3d-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="140" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''109' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-5429243d-5a15-4a74-b1b9-fcf2ea330f27-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="139" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET in bereik [1..] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-61867bb8-afe9-479a-ba74-946e07899931-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]" priority="138" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-8e062d2f-ea03-4868-9df8-9e9959d9556f-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code" priority="137" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''8339-4' codeSystem '2.16.840.1.113883.6.1'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-10cca3ef-7b48-40b1-8592-deccf24e57f0-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value" priority="136" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen en exact op 0 decimalen nauwkeurig zijn <axsl:text> (</axsl:text>(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-b8fa5a39-80a5-48bb-a043-efa3735adb32-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="135" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-1a8f685c-1c0b-4ed9-bd75-d3d79b0e047d-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="134" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''111' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-bbb9c808-8e70-4917-b471-a5c03a7895cd-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="133" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen en exact op 0 decimalen nauwkeurig zijn <axsl:text> (</axsl:text>(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-399a5fb0-2c47-4529-98b3-fb84ab2ceb5b-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="132" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-9ef2d004-402f-405d-94e2-dffbd8fc3854-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="131" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''112' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-537c549e-c062-4e91-8275-2152c1749c4f-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="130" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999 and (matches($theValue, '^[-+]?[0-9]*$'))))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen en exact op 0 decimalen nauwkeurig zijn <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999 and (matches($theValue, '^[-+]?[0-9]*$'))))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-de98f52e-da68-4f06-bf84-19544980156a-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="129" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-3105fc3b-6f8a-44d7-8c6c-5acbce79c751-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="128" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''113' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-120f7774-301e-4e96-9328-229039cbce3e-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="127" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=999 and (matches($theValue, '^[-+]?[0-9]*$'))))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..999] liggen en exact op 0 decimalen nauwkeurig zijn <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm' and number($theValue)&lt;=999 and (matches($theValue, '^[-+]?[0-9]*$'))))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-3e65f6d8-fe32-4518-995d-15430165b82c-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="126" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-eaaa4b8e-9c0d-45d2-8647-76ec5cbacb7e-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="125" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''114' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-4dc922e8-cf2a-44a8-9ccb-b634d9516304-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="124" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-89482583-9d11-4c81-b9c8-ada4cca72360-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="123" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-eb7e6f64-da6b-4036-9ab9-551b6296130b-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="122" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''115' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-c85835d1-edd9-41cc-857e-7f145b94c6b3-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="121" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-21d5fbff-3158-4957-959c-0bbc27224c00-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]" priority="120" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-8bb9f54d-5580-49dc-ab36-74dbc5492188-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code" priority="119" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '9272-6' codeSystem '2.16.840.1.113883.6.1' of '9274-2' codeSystem '2.16.840.1.113883.6.1'.<axsl:text> (</axsl:text>@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-0bb692fd-ff48-4530-8616-3c03076731e4-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value" priority="118" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-0129ce6d-86a9-4b4b-bacd-c147b230d8e6-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="117" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-37b1b133-c986-4647-bfae-9633d8638972-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="116" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '626' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '131' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '133' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '134' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '135' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '145' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-97b140d9-05f6-4af9-9d6e-b47d0a23060a-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="115" mode="M53">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-d8163f4c-1961-444a-8a65-8beec8f7ab28-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="114" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-8aad1a2a-5cbd-450f-9d8f-b23dc83549e7-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="113" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '747' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1340' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-1ae8c350-288d-4413-b05b-04c496d2e095-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="112" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-ced08ca0-c57f-49ca-ba63-f7e179f742ee-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="111" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-fff837fa-6dbf-4dae-82f1-151f3feaf136-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="110" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''139' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-d8de1736-a1a1-49d0-b698-a303a9489144-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="109" mode="M53">
      <axsl:variable name="elmcount" select="count(hl7:low|hl7:high)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]<axsl:text> (</axsl:text>$elmcount&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-499d74a8-a6db-4316-83c0-b05251e5a05e-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:low" priority="108" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-77bc9717-c042-466e-9a18-e2de336e0d60-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:high" priority="107" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-53e44dc4-f452-4d8f-946f-214a35ffcd31-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="106" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-c7826b18-3041-40a1-bc4e-e22e6cbba28a-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="105" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''140' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-2c24121e-b018-4f49-be6a-de688cb14f09-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="104" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-02c253e1-f56b-4f14-9f7c-12d0097583f8-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="103" mode="M53">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:targetSiteCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-a150751d-f0eb-473d-9ef9-5e8bb5acfe68-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="102" mode="M53">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''142' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>

	<!--RULE tmp-52698a5a-d2e4-43e4-a676-91b31ea337bd-->

   <axsl:template match="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="101" mode="M53">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.118.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M53"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M53"/>
   <axsl:template match="@*|node()" priority="-2" mode="M53">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M53"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M53"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.119A_OntvangenZorg [universal]-->


	<!--RULE tmp-b9d8bc8b-a3f7-4ce2-b66c-2617f1eb27a0-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]" priority="122" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientCareProvision)&gt;=1 and not(hl7:patientCareProvision/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:patientCareProvision is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientCareProvision)&gt;=1 and not(hl7:patientCareProvision/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientCareProvision)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:patientCareProvision komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientCareProvision)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-c2f6fc9d-5f5a-4ec1-a548-97bf69531b13-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision" priority="121" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:statusCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:subject is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:subject komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:goal)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:goal komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:goal)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:reasonOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-e6b3e64d-85ed-4bea-9c22-742212b06b73-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']" priority="120" mode="M54">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.119'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.119' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.119'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-16b03bb8-0058-40b2-8c35-434fce2b3ae4-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:code" priority="119" mode="M54">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0305_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0305_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0305_HL7 W0305 Type zorg (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0305_HL7 W0305 Type zorg (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-4e12176a-1858-4850-8509-1c2c7d363756-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:text" priority="118" mode="M54">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-a1658cb9-d18e-46a4-bb72-a4253863583c-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:statusCode" priority="117" mode="M54">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active') or (@code='completed')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed'.<axsl:text> (</axsl:text>@nullFlavor or (@code='active') or (@code='completed')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='ASKU' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.<axsl:text> (</axsl:text>@nullFlavor='ASKU' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-897e1039-b573-4d66-8ebc-434cb0aa947f-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime" priority="116" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-cc55665f-18f5-4c57-b8d0-88df37adbcb6-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:low" priority="115" mode="M54">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-c267256b-f2e7-4abd-b685-64ba762c535b-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:effectiveTime/hl7:high" priority="114" mode="M54">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-fabfc9f4-ec18-4e17-bd64-6842152a5e48-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject" priority="113" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-22d8ff42-a075-4d97-b2cf-69c88e527523-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:patient" priority="112" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-33e46aff-7751-4839-859b-91311bd10cee-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship" priority="111" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-663c0343-ad93-414b-ada2-5b491d804f1f-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:code" priority="110" mode="M54">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0307_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0307_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0307_HL7 W0307 Zorg voor (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0307_HL7 W0307 Zorg voor (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-7b13e47f-1a29-471f-b5fe-5f30f2d06a4b-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder" priority="109" mode="M54">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-672801b4-6d4b-4c95-af7d-3442eb6bc960-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal" priority="108" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:observationGoal is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationGoal)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:observationGoal komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationGoal)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-ecfdbe82-d7ed-4972-b03e-73228d821bbf-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal" priority="107" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-85c938b5-3055-4dd7-b97e-fcd427faebce-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:code" priority="106" mode="M54">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @code/@codeSystem MOET ''829' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-c30df809-1d3c-47ce-95fe-4d51fe5da830-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:goal/hl7:observationGoal/hl7:text" priority="105" mode="M54">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-db663f84-6360-427b-8f48-101f22fdbe72-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf" priority="104" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientCareObservation)&gt;=1 and not(hl7:patientCareObservation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:patientCareObservation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientCareObservation)&gt;=1 and not(hl7:patientCareObservation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientCareObservation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:patientCareObservation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientCareObservation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-50840344-8a54-4aef-bce9-cae1a103759b-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation" priority="103" mode="M54">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-03370ca3-6e90-411b-a01e-851219ef7987-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:code" priority="102" mode="M54">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_OntvangenZorg-universal): de waarde van @code/@codeSystem MOET ''365' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.119.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>

	<!--RULE tmp-5c49c3c1-8b8e-4fab-bd3d-ad5e170df184-->

   <axsl:template match="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation/hl7:value" priority="101" mode="M54">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M54"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M54"/>
   <axsl:template match="@*|node()" priority="-2" mode="M54">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M54"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M54"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.120A_ZorgPlan [universal]-->


	<!--RULE tmp-8917451d-3ef5-4cba-9110-ed81c8de6e94-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]" priority="132" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:carePlan is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:carePlan)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:carePlan komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:carePlan)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-d1d831da-1b2e-44b1-8d0b-72f801f80f41-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan" priority="131" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:component komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:finalGoal)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:finalGoal komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:finalGoal)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertinentInformation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:pertinentInformation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertinentInformation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:subject is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:subject komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-69fa9e1f-64d1-4ee5-ab6e-0e6113bc6701-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']" priority="130" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.120'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.120' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.120'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-d8ea0a1a-223f-4787-94db-3e51a27cd047-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id" priority="129" mode="M55">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-b14ea7a3-c4ee-49a7-8cd7-d8e72a12babb-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code" priority="128" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-8a53ade5-ea1b-4b2a-af8b-398ba7fd064c-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime" priority="127" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-36ef295e-d8d9-4987-90d8-e66c8fcc6d50-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low" priority="126" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-9bf9657e-2ac6-49bf-b8bb-ae90bdc99f0b-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high" priority="125" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-2a6e0fe2-4970-41c6-bf8a-8eb679b76ba5-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component" priority="124" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationIntent)&gt;=1 and not(hl7:observationIntent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:observationIntent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationIntent)&gt;=1 and not(hl7:observationIntent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationIntent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:observationIntent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationIntent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-48adfe5a-6d34-48b5-b86e-60a280109dd0-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent" priority="123" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-156adcdf-86ae-478b-b14c-047900851edd-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code" priority="122" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-5e749646-9489-4515-a10e-0becf055ca68-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value" priority="121" mode="M55">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (string-length(string($theValue))&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben <axsl:text> (</axsl:text>(@nullFlavor or (string-length(string($theValue))&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-5b598bbc-41f7-4dd8-8233-16ddd417356e-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal" priority="120" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='OBJF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.<axsl:text> (</axsl:text>@typeCode='OBJF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:observationGoal is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationGoal)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:observationGoal komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observationGoal)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-0971aacc-adcd-4ced-aba4-631a2d082523-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal" priority="119" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='GOL' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.<axsl:text> (</axsl:text>@moodCode='GOL' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-bcf5d901-3539-447a-a9df-e68af8604144-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code" priority="118" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-64236f68-e2b0-4047-a95d-d6cc9dd35a39-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value" priority="117" mode="M55">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (string-length(string($theValue))&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben <axsl:text> (</axsl:text>(@nullFlavor or (string-length(string($theValue))&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-686b7f75-ee63-420d-ae35-66df2fe75e9c-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation" priority="116" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PERT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.<axsl:text> (</axsl:text>@typeCode='PERT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:evaluationEvent)&gt;=1 and not(hl7:evaluationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:evaluationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:evaluationEvent)&gt;=1 and not(hl7:evaluationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:evaluationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:evaluationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:evaluationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-6f29432a-22a9-4d4b-85d6-cb9ec9157bc7-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent" priority="115" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-8b7472ef-d77a-412d-a58d-4cb234ad3eba-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code" priority="114" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-566a6af4-d0b8-4d0d-b0fb-2a9d82895e70-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value" priority="113" mode="M55">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (string-length(string($theValue))&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben <axsl:text> (</axsl:text>(@nullFlavor or (string-length(string($theValue))&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-a8d559f4-a403-4b4f-b46b-e6fb50b8898f-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject" priority="112" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextControlCode='AN' or not(@contextControlCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.<axsl:text> (</axsl:text>@contextControlCode='AN' or not(@contextControlCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='true' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.<axsl:text> (</axsl:text>@contextConductionInd='true' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@conjunctionCode='AND' or not(@conjunctionCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.<axsl:text> (</axsl:text>@conjunctionCode='AND' or not(@conjunctionCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@conjunctionCode"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:problem)&gt;=1 and not(hl7:problem/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:problem is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:problem)&gt;=1 and not(hl7:problem/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:problem)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:problem komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:problem)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-39542159-8471-4284-81e7-ef1bebeecb73-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem" priority="111" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:reasonOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-4b6528c8-182a-441e-b063-301dd27eabec-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code" priority="110" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-1303f73c-12ad-400a-8638-5750ba196f0a-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text" priority="109" mode="M55">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-bc1a34ab-70c0-49d9-8a6d-2bbc37e06347-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf" priority="108" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:condition)&gt;=1 and not(hl7:condition/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:condition is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:condition)&gt;=1 and not(hl7:condition/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:condition)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:condition komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:condition)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-d4fa75e4-b412-4e1a-9cff-2083623505a6-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition" priority="107" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-1eeaf35b-cefc-4a77-807f-e3deb343646b-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code" priority="106" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-158d58f8-e816-4c12-9c9c-44c74b556d22-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text" priority="105" mode="M55">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-8a74e984-b0fa-4bee-ac6d-2b2cda468c62-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf" priority="104" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:symptom)&gt;=1 and not(hl7:symptom/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:symptom is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:symptom)&gt;=1 and not(hl7:symptom/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:symptom)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:symptom komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:symptom)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-5d530a2b-9fc9-40c8-8112-8f67dfc9b016-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom" priority="103" mode="M55">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-ecc76290-8577-44c2-abd8-505a7291fcfa-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code" priority="102" mode="M55">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.120.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>

	<!--RULE tmp-895424ba-9d1b-44e7-b86f-df21e1ecdae3-->

   <axsl:template match="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text" priority="101" mode="M55">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M55"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M55"/>
   <axsl:template match="@*|node()" priority="-2" mode="M55">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M55"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M55"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.121A_Zwangerschap [universal]-->


	<!--RULE tmp-669fedd6-7950-4caa-bbae-743516b31b4a-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]" priority="160" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pregnancyCondition)&gt;=1 and not(hl7:pregnancyCondition/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:pregnancyCondition is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:pregnancyCondition)&gt;=1 and not(hl7:pregnancyCondition/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pregnancyCondition)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:pregnancyCondition komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pregnancyCondition)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d004544b-aea1-49a4-8bb7-8b55cc436535-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition" priority="159" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='COND' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'COND' zijn.<axsl:text> (</axsl:text>@classCode='COND' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:subject is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:subject komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:outcome)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:outcome komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:outcome)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:sequelTo)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:sequelTo MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:sequelTo)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-97fe47ea-b604-4c9c-afbd-6d612ae45d77-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']" priority="158" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.121'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.121' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.121'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-c9c329c8-2b66-493d-93d2-678ff7efc913-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code" priority="157" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R014' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-5f980fab-2c77-4362-a300-464a8d3cd0af-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject" priority="156" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-773d1b20-da4d-4782-b3d7-f84e532ad482-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject" priority="155" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patient)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:patient MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:patient)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d779833d-8689-4800-8757-c94ae46f84d3-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient" priority="154" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-298ad475-22b0-4618-940a-3e423ab53aa2-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship" priority="153" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:relationshipHolder is required [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d05c6d67-a93a-4016-84bb-dcdc7d0e30aa-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code" priority="152" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''NMTH' codeSystem '2.16.840.1.113883.5.111'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-90584d86-a1cd-4e61-9d42-43017f4287ea-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder" priority="151" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-3bee20c3-04db-4106-bfa6-9ac471c3352c-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1" priority="150" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-ebfdc38c-efee-4998-b76e-490a6e1c4579-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="149" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-b872449f-5794-4649-8179-17eff0908d80-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="148" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''82' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-687d44a8-601e-46d5-9f04-dc92f5befc5e-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="147" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='d'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET eenheid 'd' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='d'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-28fd29a9-b553-4072-a028-7b2ae7168f44-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="146" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-7d04df37-6985-4815-82b9-93d713a5b1fd-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="145" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '91' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '92' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-6cd661a0-e067-495d-bf33-7c1c2fb2183a-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="144" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-81435a32-06b9-4b96-8846-5952902209aa-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="143" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-14b986b2-e641-4857-b4a4-76f898e24407-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="142" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''93' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-12bd333b-0554-4ca0-84e0-6e2e1ddb88c0-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="141" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-f98af1e0-5fbd-41ed-82da-cd95b15d6c74-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component" priority="140" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:detailPregnancyObservation)&gt;=1 and not(hl7:detailPregnancyObservation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:detailPregnancyObservation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:detailPregnancyObservation)&gt;=1 and not(hl7:detailPregnancyObservation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:detailPregnancyObservation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:detailPregnancyObservation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:detailPregnancyObservation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-9ec06439-b8c3-4f93-851e-2959afc28303-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation" priority="139" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-8a4aa05a-f29d-4d48-81ab-9b75e32281d9-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code" priority="138" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''745' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-146b69d8-1522-45a8-8771-5811b8401d06-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value" priority="137" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-59a4114a-b165-471a-a045-10a638e57c6a-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="136" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-fca6894a-7537-4baf-ad54-b52a03fb4d5d-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="135" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''619' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-edcb88bb-578c-472e-bde4-6aea7fb7b39a-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="134" mode="M56">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET in bereik [1..] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d708aab5-fbba-4bd6-9352-2c6b68c71389-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="133" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:component)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d039c7f2-6dc7-49f7-b239-5f07d34126a3-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="132" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '740' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '741' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-e363f17d-7738-4c11-acec-10196709d433-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="131" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET in bereik [1..] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-eecf460c-a747-4a3a-b0a4-bb574b0071e7-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2" priority="130" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:substanceAdministrationEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:substanceAdministrationEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-9b261447-98e7-4207-8875-81a86bea5323-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent" priority="129" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SBADM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'SBADM' zijn.<axsl:text> (</axsl:text>@classCode='SBADM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:consumable is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:consumable)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:consumable komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:consumable)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-7fd69dc7-1bde-420d-bb71-f17f54b59884-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable" priority="128" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='CSM' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'CSM' zijn.<axsl:text> (</axsl:text>@typeCode='CSM' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:medication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:medication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:medication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:medication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-484f4ec6-ae61-4ae1-a0ed-7685a17bbc6c-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication" priority="127" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ADMM' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'ADMM' zijn.<axsl:text> (</axsl:text>@classCode='ADMM' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:administrableMedicine is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrableMedicine)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrableMedicine)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-5c8c37b6-f9bc-425e-a49e-4fd0a9ceea87-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine" priority="126" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MMAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'MMAT' zijn.<axsl:text> (</axsl:text>@classCode='MMAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-1cf3c56e-b6cc-4021-914e-42345868e0ef-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code" priority="125" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-e363524e-0050-47c0-b01c-0ea4a3caee1d-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome" priority="124" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='OUTC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'OUTC' zijn.<axsl:text> (</axsl:text>@typeCode='OUTC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:delivery)&gt;=1 and not(hl7:delivery/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:delivery is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:delivery)&gt;=1 and not(hl7:delivery/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:delivery)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:delivery komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:delivery)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-a4042d68-418a-47bf-b207-8793f393af21-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery" priority="123" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PROC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'PROC' zijn.<axsl:text> (</axsl:text>@classCode='PROC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-8a8a7613-6d12-4b2f-8a24-bf0f5bb04f77-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code" priority="122" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R015' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d671f449-a149-459c-bb30-84f35bef9024-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component" priority="121" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-da70287f-0c7f-4d94-8505-0b6ee27be5dd-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="120" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-751278a8-a333-4c15-ac4b-00989f7f5b0b-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="119" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''97' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-0616ffd6-95b0-4aa6-b8ca-d9fe8ca8ab11-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="118" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='min'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='min'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-f10a8812-c2fc-4952-b665-463dc6d5b19f-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="117" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-803523b3-4b57-4046-8383-e954ac1dedb1-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="116" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''98' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-83c48620-f191-48bc-acdd-0cfc4d024b43-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="115" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='min'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='min'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-dd4e303f-7df6-4716-8a7a-d959977b3ac6-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="114" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-34bb3687-e50a-412d-b6a4-14cadf25f3e9-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="113" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''100' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-f4664554-c822-41da-9c01-1169f4d90eb4-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="112" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-2a166f54-ef3a-48b3-94a8-dff0642056dd-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]" priority="111" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-50e31e97-0255-4040-ad15-764ef0de185c-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code" priority="110" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''38386-9' codeSystem '2.16.840.1.113883.6.1'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-24ccab65-9e08-429b-a439-cc4b28214cad-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value" priority="109" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-9cca8a96-8def-48e3-a3d3-4d2ec709b261-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="108" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-1759a274-6592-4ed2-9ace-ea24ddd7a770-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="107" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '105' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1323' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-342a2bde-ea29-4a11-b931-498f3eea2217-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="106" mode="M56">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-6865597b-ce1d-40d6-89b3-10e3adb4ac38-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]" priority="105" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-48646915-7162-4bca-bc92-4a4a3b9075f5-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code" priority="104" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '106' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '107' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1324' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-d9c1fda4-ac36-49fd-b6b7-a6adb2c110b2-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value" priority="103" mode="M56">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-f3ea5b89-c6d8-4f49-839c-d839de1184eb-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo" priority="102" mode="M56">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:sequenceNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): element hl7:sequenceNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:sequenceNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>

	<!--RULE tmp-fc0c04cc-807c-4b09-b23e-b910066b37ea-->

   <axsl:template match="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber" priority="101" mode="M56">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=1))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_Zwangerschap-universal): value MOET in bereik [1..] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=1))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.121.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M56"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M56"/>
   <axsl:template match="@*|node()" priority="-2" mode="M56">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M56"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M56"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.122R_AssignedEntityNL [identified]-->


	<!--RULE tmp-17739ebd-c8c5-4d97-812c-b7e7283b49f4-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity" priority="106" mode="M57">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:representedOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:representedOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>

	<!--RULE tmp-394d1745-4b1a-4015-823b-a8da7f8b4a2e-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']" priority="105" mode="M57">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.122'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.122'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>

	<!--RULE tmp-82611048-73e2-49fa-9404-42eb53812029-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']" priority="104" mode="M57">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.1'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>

	<!--RULE tmp-7f6c8c32-deea-40db-8bb9-891cd1fb4ca1-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']" priority="103" mode="M57">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.<axsl:text> (</axsl:text>@root='2.16.528.1.1007.3.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>

	<!--RULE tmp-d64218f8-2208-43fb-b0ee-b4107c19fdd2-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization" priority="102" mode="M57">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.122.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>

	<!--RULE tmp-c508d354-c2da-4b49-8f27-d87aed29d191-->

   <axsl:template match="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']]/hl7:assignedEntity/hl7:representedOrganization/hl7:id" priority="101" mode="M57">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M57"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M57"/>
   <axsl:template match="@*|node()" priority="-2" mode="M57">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M57"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M57"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.130Bericht 5 Hielprikverzoek (payload)-->


	<!--RULE tmp-02271c11-58a4-4a5a-a2a7-3f06f5a9623a-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]" priority="144" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:procedureRequest is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:procedureRequest)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:procedureRequest komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:procedureRequest)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-9d90d42f-e9c1-4cd6-b5aa-b08b4efadc28-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest" priority="143" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SPECCOLLECT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'SPECCOLLECT' zijn.<axsl:text> (</axsl:text>@classCode='SPECCOLLECT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:realmCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:realmCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:realmCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:realmCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:recordTarget is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:recordTarget)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:recordTarget komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:recordTarget)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reason)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:reason komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reason)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertinentInformation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:pertinentInformation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertinentInformation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf6)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:subjectOf6 komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf6)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-6e9306c1-39e9-4ab6-aef7-1a1ad8325dc3-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:realmCode" priority="142" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NL')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code MOET ''NL'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='NL')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-a6a26ce2-2ec3-4c62-a1d1-d2ccb6954153-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']" priority="141" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.130'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.130' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.130'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-b24f986b-551b-4a89-bc74-3fee7831456e-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:id" priority="140" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-660687eb-7bb5-4edf-9b0f-498279838c04-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:code" priority="139" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik<axsl:text> (</axsl:text>(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik<axsl:text> (</axsl:text>(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): subjectOf6 moet de aanvullende informatie bevatten bij een verzoek voor een (herhaalde) tweede hielprik<axsl:text> (</axsl:text>not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-2953457a-f8de-467e-88f8-776a246965b0-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:statusCode" priority="138" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-34a54dbc-ac55-4983-acb7-d2f140c0fe73-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget" priority="137" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:patient is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patient)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:patient komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patient)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:patient is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patient)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:patient komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patient)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RCT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RCT' zijn.<axsl:text> (</axsl:text>@typeCode='RCT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="patRoot" select="hl7:patient/@root"/>
      <axsl:variable name="patExt" select="hl7:patient/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): De patiënt in de Payload (BSN '<axsl:text/>
               <axsl:value-of select="$patExt"/>
               <axsl:text/>') moet overeen komen met de patient in de attentionLine (BSN '<axsl:text/>
               <axsl:value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>
               <axsl:text/>')<axsl:text> (</axsl:text>not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-4fefebf8-aa57-4e09-9113-019e4759e340-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient" priority="135" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-aab4b5c0-b7c3-4576-8d56-e4148ef52fbb-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']" priority="134" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.172'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.172' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.172'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_SubjectNL_JGZ-Informal-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-2c8457ed-9cd8-4c44-a69c-7e62dfb50c9e-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient" priority="133" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:addr is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:addr komt te vaak voor [max 2x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-15b93671-5d5d-4a2d-9775-61ea11879470-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']" priority="132" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.103'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.103' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.103'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-b3695dec-5c5b-491a-a5ef-57ff97f0a842-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:id" priority="131" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NA' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.<axsl:text> (</axsl:text>@nullFlavor='NA' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-6dd2d466-0f87-4352-9a09-60b560d28a11-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:addr" priority="130" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@use"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): Het attribuut @use moet, indien aanwezig, overeenkomen met het adres in het administratieve geboortebericht van de verloskundige of moet “HP” (Primair woonadres) of “PST” (Postadres) zijn indien de geboortemelding uit het GBA is ontvangen.<axsl:text> (</axsl:text>@use<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:houseNumber is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:houseNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:buildingNumberSuffix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:buildingNumberSuffix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:additionalLocator komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:additionalLocator)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:postalCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): element hl7:postalCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:city|hl7:county)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): keuze (hl7:city of hl7:county) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-4554e357-de46-4194-ae9f-d478aa6b5769-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:statusCode" priority="129" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-Informal-identified-confirmable): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-08003c05-c9b8-47a7-8890-73d1aa5c38af-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson" priority="128" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthOrderNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthOrderNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-b3781f5f-ca6d-4029-a8c7-1ddaaf21548a-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']" priority="127" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.163'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.163' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.163'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-014b287d-b147-4c61-a4a7-b0061494bcdb-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name" priority="126" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use) or @use='OR' or @use='L'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: @use moet indien aanwezig 'OR' of 'L' zijn<axsl:text> (</axsl:text>not(@use) or @use='OR' or @use='L'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:prefix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:prefix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-cd420470-3f42-43a2-92b2-7b56b2f49534-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix" priority="125" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='VV BR' or @qualifier='BR VV'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de voorvoegsels van de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='VV BR' or @qualifier='BR VV'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-9b568290-38d4-4a2d-9c4a-0cfa72b5b2b9-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:name/hl7:family" priority="124" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-0745fab2-a8c9-4271-9d31-8e7db70fe19a-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode" priority="123" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-cf8c1a4d-fdf2-4f2c-94c8-92b9b4dca81d-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:birthTime" priority="122" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-e755551b-26ff-4d98-adc4-634b226c1570-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd" priority="121" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-aa680077-96e0-4412-a44f-94fdb9a9c674-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber" priority="120" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="preceding-sibling::hl7:multipleBirthInd/@value='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> kan alleen een waarde hebben bij meerlingen<axsl:text> (</axsl:text>preceding-sibling::hl7:multipleBirthInd/@value='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-fe806015-8a2e-4f45-bda7-d9efad936c1a-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:contactParty" priority="119" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-501fb93c-7f6a-4bc2-98ff-264cd1609006-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom" priority="118" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-a35808b0-a04a-486a-b3dd-7ab1c20bfc7c-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime" priority="117" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:low or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht<axsl:text> (</axsl:text>hl7:low or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-53292419-7931-482f-8b68-4d246d88a153-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson" priority="116" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-5387956f-ce39-474f-869f-6fb2ed612336-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:reason" priority="115" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-4d562fce-e91e-42ac-b630-c3abdd560a0a-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:reason/hl7:act" priority="114" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ALRT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ALRT' zijn.<axsl:text> (</axsl:text>@classCode='ALRT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-659333a4-cfb2-4aa6-9b79-1c6f8838e0fa-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code" priority="113" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0317_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0317_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): @displayName is verplicht<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-60a44619-8f78-4d9e-8bc8-9c1be611582d-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:pertinentInformation" priority="112" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='REFR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'REFR' zijn.<axsl:text> (</axsl:text>@typeCode='REFR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-bfacc030-005c-43f8-966a-676082d10fcc-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act" priority="111" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='DOC'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'DOC' zijn.<axsl:text> (</axsl:text>@classCode='DOC'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-2b138a5e-1d8d-43a1-8fa3-956f32067d72-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id" priority="110" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-db84c1c8-66e7-44f8-8a9b-354c5ffeca15-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code" priority="109" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code/@codeSystem MOET ''1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-6e928b4a-6277-4136-a830-895bed6ccb71-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6" priority="108" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:seperatableInd is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:seperatableInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:seperatableInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:seperatableInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-778213a0-bd8c-4787-a11f-ed88f400b488-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd" priority="107" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @value MOET 'false' zijn.<axsl:text> (</axsl:text>@value='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-bb4ccb3e-2ce5-4627-a6ff-0e079282e640-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation" priority="106" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:author is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-d22723ca-4ef8-4f89-8af2-ac86515eada9-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text" priority="105" mode="M58">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-f8a19c83-8bca-4a2a-9c76-2e66572772ef-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode" priority="104" mode="M58">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='completed')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @code MOET ''completed'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='completed')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-9478e54f-ebbd-442e-ada3-10e232380c76-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author" priority="103" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-a8f28724-a483-40d3-91d5-8d0c7e4eb8ca-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity" priority="102" mode="M58">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.130.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>

	<!--RULE tmp-60b208e6-e93d-4117-9a07-a7aa53d2dfe0-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id" priority="101" mode="M58">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M58"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M58"/>
   <axsl:template match="@*|node()" priority="-2" mode="M58">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M58"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M58"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.131R_PatientNL_JGZ [universal]-->


	<!--RULE tmp-f981ed51-34e2-4c9e-8cb7-32ccb2a9bc85-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient" priority="331" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=3"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): keuze (hl7:addr[@use='HP' or @use='PST'] of hl7:addr[@use and not(@use='OR')] of hl7:addr[not(@use) and hl7:useablePeriod]) bevat te veel elementen [max 3x]<axsl:text> (</axsl:text>$elmcount&lt;=3<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:confidentialityCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:confidentialityCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:confidentialityCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:subjectOf1 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf1)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:patientPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:patientPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:patientPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3676836d-26b6-4c01-9b49-33738011dccb-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']" priority="330" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.131'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.131' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.131'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f3035e7b-5795-42a7-b01f-8250cbf86efd-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']" priority="329" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ca4fba62-26fa-4a2e-9507-d8df81af4eb2-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']" priority="328" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@use MOET waarde 'HP' of 'PST' bevatten<axsl:text> (</axsl:text>count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:streetName is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:streetName)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:additionalLocator)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:county is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:county)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-75503813-aba5-4ae6-bd05-09b1247c0809-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:streetName" priority="327" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-81a58f43-c20f-487d-99ed-4c41925cbe87-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber" priority="326" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-43d89399-429a-43be-b9ad-7efd4c431f56-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator" priority="325" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='to' or text()='by'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET 'to' of 'by' bevatten<axsl:text> (</axsl:text>text()='to' or text()='by'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b15021ba-6cf2-4a88-a277-52661b0d8739-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode" priority="324" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length(text())=7"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET formaat 'nnnn AA' zijn (met spatie)<axsl:text> (</axsl:text>string-length(text())=7<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2c7b5cc0-1d9a-42ef-a8eb-9716679c2124-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:county" priority="323" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-913a91d4-7dc4-404e-8da0-f50442ebccf3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod" priority="322" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fedf3dc9-c9be-4dd3-bfd4-6ceb87712072-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low" priority="321" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fad9226a-d482-45c7-924d-1f45f217433c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high" priority="320" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2df6da93-b73a-44d5-997b-61d7fe933cd4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]" priority="319" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@use"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.<axsl:text> (</axsl:text>@use<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c1a04f6a-34f0-47cb-8bf7-b14a02d84245-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:streetName" priority="318" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-10939526-2167-42e5-a07b-914a89729dd4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber" priority="317" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6146a845-ed70-41ee-bbc2-8c46c66e2b8d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix" priority="316" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-698377f1-28ec-4639-8fdb-f247c45709cc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator" priority="315" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='to' or text()='by'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET 'to' of 'by' bevatten<axsl:text> (</axsl:text>text()='to' or text()='by'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7ded8ca9-1902-45cd-967d-0834d0148618-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:postalCode" priority="314" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f0038404-da47-4781-af92-5d859bae4c93-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:city" priority="313" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d56afeb9-cc5f-4645-b794-5aed63284089-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:county" priority="312" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6cacbdf2-f4b3-4823-ad05-2f685ed31e9a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:country" priority="311" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-22945ae6-3ff5-4d32-9656-1e380aca5b0e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:delimiter" priority="310" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b08ce2a0-c798-42e9-a4ed-54c8d93be437-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:desc" priority="309" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f7448b0a-b1f2-4a3a-8679-1c3ececa0d70-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod" priority="308" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-309988fc-5c14-4041-9a85-f5faa6587f8c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low" priority="307" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b058d79c-20a4-4207-b187-2948632329cd-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high" priority="306" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-76997526-db2f-4d74-b18e-22becfcbb525-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]" priority="305" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.<axsl:text> (</axsl:text>not(@use)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:streetName)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:houseNumber)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:buildingNumberSuffix)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:buildingNumberSuffix)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:additionalLocator)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:postalCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:city)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:city)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:county)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:country)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:delimiter)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:delimiter)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:desc)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:desc)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4e692976-5312-4c63-a36a-1deb6319b0bc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country" priority="304" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ea858203-50c3-4e5f-a277-e46f816ce95d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod" priority="303" mode="M59">
      <axsl:variable name="elmcount" select="count(hl7:low|hl7:high)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]<axsl:text> (</axsl:text>$elmcount&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-58d7a04e-d78a-4816-8a7b-6a49f9825162-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low" priority="302" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b0337704-6b53-42ce-8801-a03f817290e9-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high" priority="301" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-8d74fa9d-9d92-47a4-aac5-6d002db0155a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:telecom" priority="297" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-70a11554-9eee-41a8-b082-858a1bb15e80-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:statusCode" priority="296" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ac0a44d8-6c20-4d6d-ac9b-06355073f56b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:confidentialityCode" priority="295" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-823f38f3-6b26-43a5-9793-0dfa8368ef9a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf" priority="294" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COV' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'COV' zijn.<axsl:text> (</axsl:text>@typeCode='COV' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9d5dc25c-2922-4a97-8d58-e71fdad685d6-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord" priority="293" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='COV' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.<axsl:text> (</axsl:text>@classCode='COV' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:component is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e1803e98-eaa1-4f8c-8a31-f48769aec536-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component" priority="292" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:policyOrProgram)&gt;=1 and not(hl7:policyOrProgram/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:policyOrProgram is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:policyOrProgram)&gt;=1 and not(hl7:policyOrProgram/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:policyOrProgram)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:policyOrProgram komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:policyOrProgram)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a4341802-991b-4b63-8eba-3115fa52cfda-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram" priority="291" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='COV' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.<axsl:text> (</axsl:text>@classCode='COV' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:coveredParty[@nullFlavor]|hl7:coveredParty[not(@nullFlavor)])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0c697689-4f3f-4f0e-9739-d1613a83a8bc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:code" priority="290" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='HIP' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Health Insurance Policy')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @code/@codeSystem MOET ''HIP' codeSystem '2.16.840.1.113883.5.4' displayName='Health Insurance Policy'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='HIP' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Health Insurance Policy')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-31e662c2-c1ac-4050-95af-f5d60c6c63e2-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[@nullFlavor]" priority="289" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COV' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.<axsl:text> (</axsl:text>@typeCode='COV' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:type='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @xsi:type MOET 'true' zijn.<axsl:text> (</axsl:text>@xsi:type='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@xsi:type"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a7d8f494-089c-48fd-8afd-7e747e8628f7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]" priority="288" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COV' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.<axsl:text> (</axsl:text>@typeCode='COV' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:underwritingOrganization)&gt;=1 and not(hl7:underwritingOrganization/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:underwritingOrganization is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:underwritingOrganization)&gt;=1 and not(hl7:underwritingOrganization/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:underwritingOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:underwritingOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:underwritingOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4a442253-b290-47fb-b9d5-0bb07238eacf-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:id" priority="287" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNC'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'UNC' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNC'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@extension"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@extension moet het polisnummer bevatten<axsl:text> (</axsl:text>@extension<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-61a0ddfa-dc52-48e5-8505-baeb087ac6e0-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:code" priority="286" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de waarde van @code MOET worden gekozen uit waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-994099b5-2ae1-43bd-9b12-73f0608ddb71-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization" priority="285" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id or hl7:name"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET tenminste een id of naam bevatten.<axsl:text> (</axsl:text>hl7:id or hl7:name<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_CoverageNL-minimal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3cc812e8-2c67-4ade-bd3e-39116affe527-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:id" priority="284" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.4'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(A_CoverageNL-minimal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> bevat geen UZOVI-nummer. Dat kan alleen voor niet-Nederlandse verzekeraars.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.4'<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fcb1e30f-8874-4386-a134-dc867bd25218-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:name" priority="283" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ba751f56-ccb0-418a-accf-909955a5b59f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1" priority="282" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeObservation)&gt;=1 and not(hl7:administrativeObservation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:administrativeObservation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrativeObservation)&gt;=1 and not(hl7:administrativeObservation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeObservation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:administrativeObservation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeObservation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-20bdb387-3f86-46ac-9c81-d5479cf1dcd1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation" priority="281" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-85851ec7-8427-430f-b932-e7e3a3e6cb7e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:code" priority="280" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f544753b-97f4-4ae2-95d9-8d5c554499fa-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:value" priority="279" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-79518654-c5aa-408e-9a0c-65665e7f90f3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2" priority="278" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:identityDocument)&gt;=1 and not(hl7:identityDocument/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:identityDocument is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:identityDocument)&gt;=1 and not(hl7:identityDocument/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:identityDocument)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:identityDocument komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:identityDocument)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b9779b51-4004-4b53-9614-4c9d3497e99b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument" priority="277" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='DOC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'DOC' zijn.<axsl:text> (</axsl:text>@classCode='DOC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-bcbb67d6-b8ce-47b8-ad3e-71070d439416-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:id" priority="276" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0aaf4e05-12b0-4843-a5e1-5608fe15ef54-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:code" priority="275" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1169f4a9-71a3-421f-b291-e9eb96357bba-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf" priority="274" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:verification)&gt;=1 and not(hl7:verification/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:verification is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:verification)&gt;=1 and not(hl7:verification/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:verification)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:verification komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:verification)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e92ff4cf-c514-4571-ae6a-f4972f5cb073-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification" priority="273" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='VERIF' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'VERIF' zijn.<axsl:text> (</axsl:text>@classCode='VERIF' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fd27dfcf-3e32-4c62-805f-cce1613903c5-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:code" priority="272" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '700' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1394' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c7856291-7ecb-40b5-96c1-5dba960e7590-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:effectiveTime" priority="271" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5c3be107-0a41-4b10-a16b-ef29d13ab84e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:value" priority="270" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6d7c5340-e19f-4527-8252-0d95a5ece341-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson" priority="269" mode="M59">
      <axsl:variable name="elmcount" select="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 2x]<axsl:text> (</axsl:text>$elmcount&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthOrderNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthOrderNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:maritalStatusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:maritalStatusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:maritalStatusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:asEmployee)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:asEmployee MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:asEmployee)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(asOtherIds)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element asOtherIds MAG NIET voorkomen.<axsl:text> (</axsl:text>count(asOtherIds)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(careGiver)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element careGiver MAG NIET voorkomen.<axsl:text> (</axsl:text>count(careGiver)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(birthPlace)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(birthPlace)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(guarantorRole)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element guarantorRole MAG NIET voorkomen.<axsl:text> (</axsl:text>count(guarantorRole)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-25736850-a7d7-43c3-82f9-a570bf89ae4a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']" priority="268" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@use='OR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @use MOET 'OR' zijn.<axsl:text> (</axsl:text>@use='OR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:family is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-77e1d352-cedb-4870-983a-322fd3e8a724-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:given" priority="267" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR' or not(@qualifier)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.<axsl:text> (</axsl:text>@qualifier='BR' or not(@qualifier)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0af933a3-191f-499e-bfa3-7baaf4583c50-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:family" priority="266" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5ead5c66-c049-4765-a494-d88afa5d353c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']" priority="265" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@use='L'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.<axsl:text> (</axsl:text>@use='L'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:validTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:validTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-58a4e0d4-e039-4cfc-add1-946c670f4292-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:prefix" priority="264" mode="M59">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@qualifier"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(NaamZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.<axsl:text> (</axsl:text>@qualifier<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7b96e25f-2077-4b91-adfa-e6b61d6f4880-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime" priority="263" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3c6aef4f-0f09-4662-b101-43df9d956b41-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:low" priority="262" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3c3dc9c7-85a3-424d-9969-d8562799a4f1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:high" priority="261" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-19a42f31-7476-4786-869b-dbbe226f8ead-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode" priority="260" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-109487f3-bfa8-433b-9e17-8c179ae2297a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:birthTime" priority="259" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b02e4699-7fca-4904-aff6-3a30f7e3acdd-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd" priority="258" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d76f8ac0-e05e-49d2-9a69-ec73f0dbef88-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber" priority="257" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9d5dac12-2785-40d2-a61d-132c3b565a3d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:maritalStatusCode" priority="256" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst MaritalStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MaritalStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4b59d380-aea3-42c2-b4aa-433933041d46-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider" priority="255" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.<axsl:text> (</axsl:text>@classCode='PAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:subjectOf is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:subjectOf komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f0421c62-a44d-4fee-83be-db0b371b9c08-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf" priority="254" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:careProvision)&gt;=1 and not(hl7:careProvision/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:careProvision is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:careProvision)&gt;=1 and not(hl7:careProvision/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:careProvision)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:careProvision komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:careProvision)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d6fb4b28-8afe-40a0-9589-225ed9dbdc1e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision" priority="253" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:effectiveTime[@xsi:type='IVL_TS']|hl7:effectiveTime[@xsi:type='SXPR_TS'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): keuze (hl7:effectiveTime[@xsi:type='IVL_TS'] of hl7:effectiveTime[@xsi:type='SXPR_TS']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:performer is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6267483c-3b6a-4996-87f4-a5c2ce8b9eb1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:code" priority="252" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fff47224-2723-47bf-b7d1-4b92aed32629-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']" priority="251" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6c752352-b842-485b-a96d-bb495272c1ab-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low" priority="250" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1e308c30-d417-4bbe-af8b-6123d64b0852-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high" priority="249" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c7f065ab-018b-4da6-ab12-b8ebc3099e0c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']" priority="248" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:comp[@xsi:type='IVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='IVL_TS']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:comp[@xsi:type='IVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='IVL_TS']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:comp[@xsi:type='IVL_TS'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:comp[@xsi:type='IVL_TS'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:comp[@xsi:type='PIVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='PIVL_TS']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:comp[@xsi:type='PIVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='PIVL_TS']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:comp[@xsi:type='PIVL_TS'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:comp[@xsi:type='PIVL_TS'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c6c86738-58d4-4a0f-95a1-5fdd08a2a945-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']" priority="247" mode="M59">
      <axsl:variable name="elmcount" select="count(hl7:low|hl7:high)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]<axsl:text> (</axsl:text>$elmcount&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b0782624-becf-4c5e-bfac-172ce9e21170-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low" priority="246" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1ad1c5c7-3299-4529-9871-3b1e4de75ca3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high" priority="245" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-465c5376-c9e8-4ffd-a422-ce3a83559b1f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']" priority="244" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:phase)&gt;=1 and not(hl7:phase/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:phase is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:phase)&gt;=1 and not(hl7:phase/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:phase)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:phase komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:phase)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:period is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:period)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:period komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:period)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-cf33a08c-9b1d-40b1-a627-44e8eaa86818-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase" priority="243" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:width is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:width komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:width)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:low MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:low)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:high MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:high)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-12ce804b-00b8-4662-80b1-22773a7a72d6-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:width" priority="242" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='h'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): value MOET eenheid 'h' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='h'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2e1234f4-2e5d-4b9c-bf77-eb6c381afbfc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period" priority="241" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='wk'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): value MOET eenheid 'wk' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='wk'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value='1'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @value MOET '1' zijn.<axsl:text> (</axsl:text>@value='1'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7e088e29-4bc9-45a5-af32-6b8da3c2c02d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:reasonCode" priority="240" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="../@negationInd='true' and ../hl7:code[@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.2']"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> mag alleen een waarde bevatten als er géén gebruik wordt gemaakt van de peuterspeelzaal<axsl:text> (</axsl:text>../@negationInd='true' and ../hl7:code[@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.2']<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fc403d53-ac68-477d-98b4-a28b7ce8c832-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer" priority="239" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(parent::hl7:*/@negation='true') or (@xsi:nil='true' and @nullFlavor='NA')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET @xsi:nil='true' en @nullFlavor='NA' bevatten als <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/@negationInd='true'.<axsl:text> (</axsl:text>not(parent::hl7:*/@negation='true') or (@xsi:nil='true' and @nullFlavor='NA')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedProvider)&gt;=1 and not(hl7:assignedProvider/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:assignedProvider is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedProvider)&gt;=1 and not(hl7:assignedProvider/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedProvider)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:assignedProvider komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedProvider)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c8db7b1e-8357-4f0f-b84b-38913e63748c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider" priority="238" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:effectiveTime)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-c32bf82e-d724-4ec1-9845-ebf01a8b4883-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:id" priority="237" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-dd329c65-5f2a-44d1-bb39-96073a727775-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:code" priority="236" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-53927d6a-4834-4192-9891-d583446740a7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization" priority="235" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fcc83485-b12e-4070-984d-62fbc99ce85a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id" priority="234" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-8b615194-6f71-44b3-8632-943dce10bd95-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:code" priority="233" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1cb542a4-7133-4fae-9476-ce5bd10a0f3b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:name" priority="232" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-87c62c77-a573-4a98-bcb0-a8fad6dd98a2-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty" priority="231" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ECON' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.<axsl:text> (</axsl:text>@classCode='ECON' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-eb326c9d-2832-4398-9b19-c76d817cedc0-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson" priority="230" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-26f34eca-c9e4-4817-8a44-87caff2d1545-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code" priority="229" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9cafec80-e6ac-4efc-8ee6-7be8337d8204-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code/hl7:originalText" priority="228" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-15f18013-621b-48d5-8525-4b80dcc9284e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:name" priority="227" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2ab85c86-5f79-4192-a073-cab4f313a5f3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:telecom" priority="226" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4a8b8e52-4646-4d3c-999d-21161d08b642-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen" priority="225" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CIT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CIT' zijn.<axsl:text> (</axsl:text>@classCode='CIT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:politicalNation)&gt;=1 and not(hl7:politicalNation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:politicalNation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:politicalNation)&gt;=1 and not(hl7:politicalNation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:politicalNation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:politicalNation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:politicalNation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-698bc7a0-be20-4998-9dc6-0af32ba5cc72-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:code" priority="224" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst CitizenRoleType DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CitizenRoleType DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e7c4a25a-d70c-4ad6-a229-88354aeff5e5-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime" priority="223" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f592c63e-ecda-4031-aefc-01d6f937a74e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:low" priority="222" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-11017fac-bf80-4ae6-9eb1-a5e59c17cf3c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:high" priority="221" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e2ff5dfc-2817-49ff-a6f4-d82d9d3942b4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation" priority="220" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='NAT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'NAT' zijn.<axsl:text> (</axsl:text>@classCode='NAT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-68827be1-af9d-474a-9de3-9794d7f160c3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:code" priority="219" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7779c08b-3ee6-4597-89ee-e079bfaa485e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:name" priority="218" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-8f57e015-9171-4541-a0d3-455b25c3cc5e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent" priority="217" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='STD' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'STD' zijn.<axsl:text> (</axsl:text>@classCode='STD' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:code)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:addr)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:telecom)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:statusCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:quantity)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:quantity MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:quantity)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:schoolOrganization)&gt;=1 and not(hl7:schoolOrganization/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:schoolOrganization is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:schoolOrganization)&gt;=1 and not(hl7:schoolOrganization/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:schoolOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:schoolOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:schoolOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a1a0dc02-4fff-4cb6-ae1a-0838a7aa90d6-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:id" priority="216" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNC'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNC' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNC'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3d64aa4f-8caf-46d7-afe4-a62f682baddd-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:code" priority="215" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7c8686a0-8cdf-428f-9d8d-b74281dcc283-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime" priority="214" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:low or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET low en/of high bevatten.<axsl:text> (</axsl:text>hl7:low or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a496a49d-caef-4af5-9c26-e7736e8a8744-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:low" priority="213" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-fcaf8d12-1934-4441-87f7-c79b6ed1afea-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:high" priority="212" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3f9f41ad-2c1c-495b-9d35-fada1f5b13aa-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization" priority="211" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ORG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.<axsl:text> (</axsl:text>@classCode='ORG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.15']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.15']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:organizationContains)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:organizationContains komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:organizationContains)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-61acf2fd-1444-44e2-b1b9-b3702e943d9d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.15']" priority="210" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.15'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.15' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.15'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-72ca04f0-167f-46cf-bd8d-d4321a316d7e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:code" priority="209" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f344d1f4-bff9-4a30-9ba2-f5befa5ccbc8-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty" priority="208" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ECON' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.<axsl:text> (</axsl:text>@classCode='ECON' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3996d6f9-8098-43a1-b9a5-587e3271fc14-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code" priority="207" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f6ad0e87-4c0b-4999-ae45-4e1d988da5a1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code/hl7:originalText" priority="206" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d26e432b-839a-4025-9fb5-28861798031f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:telecom" priority="205" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-66490ae6-0004-43c6-b1b6-98526fa1cf5c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime" priority="204" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5b173e6b-2942-447f-a624-68e8b6b7f10d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:low" priority="203" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-12ecc594-befe-47ea-9482-2affd47a6b56-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:high" priority="202" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9d673b25-3f20-4ecf-8076-692ce699754a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson" priority="201" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-54bfba39-55d3-49cd-b2a1-8e2d7f0ca2fa-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson/hl7:name" priority="200" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7323c520-ce81-421c-9926-c2118bcaac5d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains" priority="199" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PART' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PART' zijn.<axsl:text> (</axsl:text>@classCode='PART' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:partOrganization)&gt;=1 and not(hl7:partOrganization/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:partOrganization is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:partOrganization)&gt;=1 and not(hl7:partOrganization/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:partOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:partOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:partOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-cc1c1ca7-01a1-453f-82f2-f880d083b948-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization" priority="198" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ORG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.<axsl:text> (</axsl:text>@classCode='ORG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7e463bd4-66fa-4b39-ba74-5c7c25753f49-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id" priority="197" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-90496bfe-8070-43c6-b049-f4a20c571796-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code" priority="196" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-87dee952-0988-465d-b024-c0c695f2e480-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code/hl7:originalText" priority="195" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f836f6d6-193b-4564-bb5f-9230ccebdfb3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name" priority="194" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-32ea91c6-f7fd-44f2-b25a-533b35f8c1ca-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember" priority="193" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MBR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.<axsl:text> (</axsl:text>@classCode='MBR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:id)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:code)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:statusCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:effectiveTime)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:group)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:group)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-bee9ea41-96c3-4cd8-a539-2cb5650df9a8-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group" priority="192" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ORG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.<axsl:text> (</axsl:text>@classCode='ORG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:desc)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:desc)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:member)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:member)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-158d91c1-ce82-4f68-9cdf-e08687f57618-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:id" priority="191" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4ef3728b-d357-4ba5-bf87-12521aac84da-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:code" priority="190" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b930ed96-9e0f-46f1-895f-2f87b110324d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:desc" priority="189" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-76ad23cb-901f-42e8-8c38-9d97996bd21e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty" priority="188" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CON' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CON' zijn.<axsl:text> (</axsl:text>@classCode='CON' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3b3a595a-0b9b-469c-8e9f-63533183fe08-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code" priority="187" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d273449a-dbb8-4c7e-8fb3-4aaa9c9e33f0-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code/hl7:originalText" priority="186" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5bee4e2a-4a9a-42f7-b7a1-31b6929e1cd1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom" priority="185" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-772f1d46-9cd0-42af-a03b-cc8af1716820-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime" priority="184" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-071a125d-8f89-40c3-bfef-dd93e7e4ab14-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low" priority="183" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-57788a13-2c94-47d5-867f-4bd2698e9673-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high" priority="182" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4eeadb15-3b87-4a71-8f59-16bd9636e55a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson" priority="181" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f21a273f-5c44-4a9c-85f1-8f5af854a6b7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name" priority="180" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-eef60d75-09d8-4555-9934-6e7ee80f2839-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian" priority="179" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='GUARD' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'GUARD' zijn.<axsl:text> (</axsl:text>@classCode='GUARD' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:id)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:addr)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:telecom)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:statusCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:effectiveTime)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:guardianPerson)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:guardianPerson is required [min 1x].<axsl:text> (</axsl:text>count(hl7:guardianPerson)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:guardianPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:guardianPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:guardianPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:guardianOrganization)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:guardianOrganization MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:guardianOrganization)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d4294b8f-3b43-4686-9003-eb4aa9980bf3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code" priority="178" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-cfa0bf8e-972b-4416-855a-9fb9e5f7f338-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianPerson" priority="177" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@xsi:nil MOET 'true' bevatten.<axsl:text> (</axsl:text>@xsi:nil='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1bff6a8a-ca49-42e5-acdd-4961cba88303-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship" priority="176" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder1)&gt;=1 and not(hl7:relationshipHolder1/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder1)&gt;=1 and not(hl7:relationshipHolder1/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder1)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:relationshipHolder1)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:relationshipHolder2)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:relationshipHolder2 MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:relationshipHolder2)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-99a156eb-bd47-4a1b-9a8a-9642bd886c85-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code" priority="175" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-6b08a32b-c4bb-4a5a-859d-15b8e657c7d4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']" priority="174" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@use MOET waarde 'HP' of 'PST' bevatten<axsl:text> (</axsl:text>count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:streetName is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:streetName)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].<axsl:text> (</axsl:text>count(hl7:houseNumber)&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:additionalLocator)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:postalCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:county is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:county)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-055ef7c3-3965-4fbc-99c4-963826fa7be1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:streetName" priority="173" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-68432d5f-f978-47ee-8379-f036faa84807-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber" priority="172" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4110e858-ac5d-432f-a464-1bf1341afa51-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator" priority="171" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='to' or text()='by'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET 'to' of 'by' bevatten<axsl:text> (</axsl:text>text()='to' or text()='by'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3c590b66-e48b-4506-8822-3a618699b289-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode" priority="170" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length(text())=7"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET formaat 'nnnn AA' zijn (met spatie)<axsl:text> (</axsl:text>string-length(text())=7<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d3caaf27-61a9-415d-9466-39e93dd55f4c-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:county" priority="169" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresOfficieel): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ec0fac94-d989-41ee-a791-df2487fdbc67-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod" priority="168" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2d33e409-e5a9-4f68-ab5b-e4dbb5b69f60-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low" priority="167" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-90347ae1-948b-4d61-aa56-4224898036bc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high" priority="166" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5418dd44-a5b2-48fc-b9a9-d217f20eebb2-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]" priority="165" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@use"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.<axsl:text> (</axsl:text>@use<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5165cbaa-1ec2-425d-9afc-670e816d9cf3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:streetName" priority="164" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-3b4b5d3d-1527-41e1-bc14-d733ec9ad5f7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber" priority="163" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-29c7813e-1095-42a1-b2a8-fbec04e933c9-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix" priority="162" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-59152d27-cef5-46dd-a831-ce2cba2df1c4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator" priority="161" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='to' or text()='by'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET 'to' of 'by' bevatten<axsl:text> (</axsl:text>text()='to' or text()='by'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ffdf40b4-b947-4869-8bf7-db067e984550-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:postalCode" priority="160" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9845d768-c7b3-4a8d-b30c-ff83461043bc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:city" priority="159" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-70da2e26-ee97-43a8-870c-f30b6aff86ac-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:county" priority="158" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-19df0482-ceb3-4b8f-a866-39aed220814a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:country" priority="157" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f10df89c-23ba-4990-99b0-ec02643456a7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:delimiter" priority="156" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-032a030e-5e90-4b7b-8b24-00827d6efec7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:desc" priority="155" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-907765ac-c8cf-432c-9b9f-fec371a0ca1d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod" priority="154" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b8333a4b-a2d3-4791-9989-cfc2041d46d1-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low" priority="153" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1ec7936d-8fae-48fb-a2a0-0916e34c5537-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high" priority="152" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-55e0f124-555f-4614-be0d-d56b3927eea8-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]" priority="151" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.<axsl:text> (</axsl:text>not(@use)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:streetName)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:streetName)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:houseNumber)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:houseNumber)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:buildingNumberSuffix)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:buildingNumberSuffix)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:additionalLocator)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:additionalLocator)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:postalCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:postalCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:city)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:city)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:county)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:country)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:delimiter)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:delimiter)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:desc)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:desc)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:useablePeriod)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:useablePeriod)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-9640e26d-408c-4e01-97ed-2ff25c587163-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country" priority="150" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-78f68810-9236-4d84-aaaa-cacc3c678d55-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod" priority="149" mode="M59">
      <axsl:variable name="elmcount" select="count(hl7:low|hl7:high)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]<axsl:text> (</axsl:text>$elmcount&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-bb75f24c-8a95-4d85-9833-847be3fbdfa4-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low" priority="148" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0368a487-4555-49a3-8cd2-4c137099ed81-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high" priority="147" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ed402ec9-6644-4fc9-afda-bee2ace365ad-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom" priority="143" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-ce82b5af-30ac-461f-9a48-729e2320a386-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1" priority="142" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:deceasedInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:deceasedInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:deceasedInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:deceasedTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:deceasedTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:deceasedTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:educationLevelCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:educationLevelCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:educationLevelCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:religiousAffiliationCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:religiousAffiliationCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:religiousAffiliationCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:asEmployee)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:asEmployee komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:asEmployee)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(birthPlace)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(birthPlace)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-36e7d9bb-553a-46f5-afc4-8f469dadf307-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:id[@root='2.16.840.1.113883.2.4.6.3']" priority="141" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.3'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7e7c3540-52a0-47fd-97ac-ffb752ceb89b-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']" priority="140" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@use='OR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @use MOET 'OR' zijn.<axsl:text> (</axsl:text>@use='OR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:family is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-d8ede35d-4fba-414d-82a4-d4c0de377ef3-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:given" priority="139" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR' or not(@qualifier)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.<axsl:text> (</axsl:text>@qualifier='BR' or not(@qualifier)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-7eb407fe-54ff-4890-a885-424ebe0908c0-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:family" priority="138" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0a995ed2-9e40-42cf-8e3d-f39cdea25644-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']" priority="137" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@use='L'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.<axsl:text> (</axsl:text>@use='L'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:validTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:validTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-facf2b4d-dfd8-43c0-b95f-bb097a9a96fc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:prefix" priority="136" mode="M59">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@qualifier"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(NaamZoalsBekendBijInstelling): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.<axsl:text> (</axsl:text>@qualifier<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-f5e72ed6-b1e7-4085-b2e8-d386f53fc8ed-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime" priority="135" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-b312c110-2d9f-4dad-847d-a655ef10a450-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:low" priority="134" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-391ed18b-b3c6-4cd8-b2b9-bd04fe913b8e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:high" priority="133" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-da45432d-c9ac-49c8-aa2f-11c51a18263f-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:administrativeGenderCode" priority="132" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-53907d51-0fb5-4c71-94e8-19956ff93795-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:birthTime" priority="131" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e8d469ae-c312-4d84-8e0f-af3b56199d0e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedInd" priority="130" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1584ecb5-8020-4570-8a1c-32949b811232-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedTime" priority="129" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-092e64ee-e8b5-4658-b8f7-57ff07664edf-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:educationLevelCode" priority="128" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-daebf281-5845-4f08-8e3e-a638482f4770-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode" priority="127" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2ab9b18b-edaf-4b83-88e1-8ae5ed1b3b7d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode/hl7:originalText" priority="126" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0c0e0545-b021-442e-8a0e-886c15add144-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee" priority="125" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0df68ab8-dec7-43c9-afe1-c124f830a154-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code" priority="124" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-8c772437-34b8-443a-93f8-234a9ec35b27-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code/hl7:originalText" priority="123" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-0add1d35-b795-4253-a452-48ddc156b6ab-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember" priority="122" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MBR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.<axsl:text> (</axsl:text>@classCode='MBR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:id)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:code)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:statusCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:effectiveTime)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:subjectOf)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:group)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:group)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-41f1fc8a-61ac-492f-9a65-ac0f401fc305-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group" priority="121" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ORG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.<axsl:text> (</axsl:text>@classCode='ORG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:desc)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:desc)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:member)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:member)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-54df5814-dc38-4c70-877a-f89665040e48-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:id" priority="120" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-43c6a878-4e48-4492-b582-3d8777444a46-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:code" priority="119" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-e6a2ac37-4cf0-41f4-a5ee-61204bd7fe1e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:desc" priority="118" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-4ef1a35e-b63f-43ff-9368-f4d741dc737e-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace" priority="117" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2ffd3c3b-426d-4091-a1f7-60dfad634708-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr" priority="116" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:country)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-1072058d-3618-43a0-8a3e-279d5e0e4301-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr/hl7:country" priority="115" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2938b79a-4959-4643-8ee6-a081d224939a-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication" priority="114" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:languageCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:languageCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:languageCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-2bfc113a-d36f-473d-9fde-2ea76b219219-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication/hl7:languageCode" priority="113" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='1.0.639.2')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='1.0.639.2')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a11585e0-4f6d-4c74-8d94-bf741451d222-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf" priority="112" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationshipObservation)&gt;=1 and not(hl7:personalRelationshipObservation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationshipObservation)&gt;=1 and not(hl7:personalRelationshipObservation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationshipObservation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationshipObservation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-789b4b85-166e-433d-98bf-aabc6f239181-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation" priority="111" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-934ef69f-a8f1-4f0a-8c62-19fdaea067fc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:code" priority="110" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '78' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1322' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1367' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1374' codeSystem '2.16.840.1.113883.2.4.4.40.267'.<axsl:text> (</axsl:text>@nullFlavor or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-5797f011-3eac-4f15-9e17-b3bc938080f6-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:value" priority="109" mode="M59">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-61406984-1318-4701-938c-8b333e6d6afc-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace" priority="108" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:addr is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:addr)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:addr)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-90a928ff-c98b-497d-83f6-af42dd161906-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr" priority="107" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:county is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:county)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:county komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:county)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:country)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:country)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-af7539e2-b892-4e1b-af41-c0b477478163-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:county" priority="106" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a9d5b1d8-d4d1-4067-b85a-50f531564490-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:country" priority="105" mode="M59">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen<axsl:text> (</axsl:text>not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-a00de525-62b4-454f-b807-c6476bcbdf18-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication" priority="104" mode="M59">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:languageCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:languageCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:languageCode)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:languageCode MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:languageCode)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:modeCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:modeCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:modeCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:proficiencyLevelCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:proficiencyLevelCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-bdc785fd-1aac-4f02-b3d1-ad05880e4499-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode" priority="103" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='1.0.639.2')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='1.0.639.2')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-db20611c-2eea-4d3d-8f1d-f30ceaf3a5d7-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:modeCode" priority="102" mode="M59">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='LTRC' and @codeSystem='2.16.840.1.113883.5.60')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code/@codeSystem MOET ''LTRC' codeSystem '2.16.840.1.113883.5.60'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='LTRC' and @codeSystem='2.16.840.1.113883.5.60')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>

	<!--RULE tmp-318cc434-2fc7-4a5b-8930-61214e7a662d-->

   <axsl:template match="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode" priority="101" mode="M59">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.131.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M59"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M59"/>
   <axsl:template match="@*|node()" priority="-2" mode="M59">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M59"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M59"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.133A_HeelPrick [universal]-->


	<!--RULE tmp-52e5865d-6922-4c18-9f6e-7a8885fe0a2a-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick" priority="117" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SPECCOLLECT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @classCode MOET 'SPECCOLLECT' zijn.<axsl:text> (</axsl:text>@classCode='SPECCOLLECT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(@negationInd='true') or hl7:reasonCode"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(A_HeelPrick-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd='true' maar er is geen reden niet afgenomen in reasonCode<axsl:text> (</axsl:text>not(@negationInd='true') or hl7:reasonCode<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@negationInd='true' or not(hl7:reasonCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Warning:</axsl:text>(A_HeelPrick-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@negationInd!='true' maar er is toch een reden niet afgenomen in reasonCode<axsl:text> (</axsl:text>@negationInd='true' or not(hl7:reasonCode)<axsl:text> / </axsl:text>warning<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:reasonCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reasonCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:outcome)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:outcome komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:outcome)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-ca1827eb-f7fe-413a-aa0f-996dead4eb45-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']" priority="116" mode="M60">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.133'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.133' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.133'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-80da9619-720c-4a77-af2d-349b438cd21e-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:code" priority="115" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-26318e36-e1c1-4cfd-a026-583ff0b5ce78-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:reasonCode" priority="114" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0313_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0313_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-7ce6fef7-408b-4b7d-b427-89d3e7235fa6-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer" priority="113" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:time is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:time)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:time komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:time)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-7c200c75-a36b-4326-913e-fbb56c6951d3-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:time" priority="112" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-c25c08cc-244d-4f60-abb6-071187345064-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity" priority="111" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:assignedPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:representedOrganization)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:representedOrganization komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:representedOrganization)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-2f192314-2e49-4f11-aa41-1ef737da26f1-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson" priority="110" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-77de101c-8e36-4921-b716-6170cfd26917-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name" priority="109" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-64ba1138-0c27-43bd-8960-8ee48985d79d-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization" priority="108" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-d62dc3de-34b6-48e0-b5ec-a558bb571bae-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id" priority="107" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-ebfb1261-3c45-452e-82ed-9c4e8b4ef0cc-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome" priority="106" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='OUTC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @typeCode MOET 'OUTC' zijn.<axsl:text> (</axsl:text>@typeCode='OUTC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:result)&gt;=1 and not(hl7:result/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:result is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:result)&gt;=1 and not(hl7:result/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:result)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:result komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:result)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-83dab4fa-994c-4508-b692-fc7d3e0d7f04-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result" priority="105" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-c95a096b-5728-4c31-964a-fd36e9cfbc7d-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:id" priority="104" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-dbb6dcdb-d593-4dfd-bdfb-a5ca9bf7c0ad-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:code" priority="103" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-b76f24ff-160d-4c98-8cb6-175c35f9862f-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:outcome/hl7:result/hl7:value" priority="102" mode="M60">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0321_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0321_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0321_HL7 W0321 Uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0321_HL7 W0321 Uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>

	<!--RULE tmp-da96eab4-1417-48d7-a3d5-bf7b80d5df03-->

   <axsl:template match="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]" priority="101" mode="M60">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='FLFS' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @typeCode MOET 'FLFS' zijn.<axsl:text> (</axsl:text>@typeCode='FLFS' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false' or not(@contextConductionInd)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false' or not(@contextConductionInd)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.133.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M60"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M60"/>
   <axsl:template match="@*|node()" priority="-2" mode="M60">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M60"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M60"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.134Hielprikverzoek (geen patiënt)-->


	<!--RULE tmp-1fab419b-8f56-42f3-8631-a42e56e5ef0b-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]" priority="122" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:procedureRequest is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:procedureRequest)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:procedureRequest komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:procedureRequest)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-5a42ebd4-98f7-4661-badd-e65ea61c5f5b-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest" priority="121" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='SPECCOLLECT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @classCode MOET 'SPECCOLLECT' zijn.<axsl:text> (</axsl:text>@classCode='SPECCOLLECT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:realmCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:realmCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:realmCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:realmCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reason)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:reason komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:reason)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:pertinentInformation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:pertinentInformation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:pertinentInformation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf6)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:subjectOf6 komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf6)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-e7b56d88-c7a0-4e2c-8935-eae5cdfdcd35-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:realmCode" priority="120" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='NL')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code MOET ''NL'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='NL')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-e7dc621c-1676-41c9-8aa4-03b12979562d-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']" priority="119" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.134'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.134' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.134'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-ba5910de-e55b-4e59-ae2e-825e32e3255f-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:id" priority="118" mode="M61">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-5b2adf89-9ee0-4440-aa6b-ba956667271c-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:code" priority="117" mode="M61">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0316_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik<axsl:text> (</axsl:text>(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik<axsl:text> (</axsl:text>not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik<axsl:text> (</axsl:text>not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): subjectOf6 moet de aanvullende informatie bevatten bij een verzoek voor een (herhaalde) tweede hielprik<axsl:text> (</axsl:text>not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-11cfeed7-8c32-46ec-893a-9597bdfd219c-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:statusCode" priority="116" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code MOET ''active'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='active')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-976ec16b-a3c1-4916-9aeb-c51d7e39d1bf-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason" priority="115" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-9a91afa1-70c3-4649-a416-9853a1c3c9a3-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act" priority="114" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ALRT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @classCode MOET 'ALRT' zijn.<axsl:text> (</axsl:text>@classCode='ALRT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-efa05fb8-a53e-4e18-87db-319a8c6411c4-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code" priority="113" mode="M61">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0647_HL7 W0647 BDS Elementen DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): @displayName is verplicht<axsl:text> (</axsl:text>@displayName or not(@code)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-992e3c23-f013-4242-9665-5ec564407e03-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation" priority="112" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='REFR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @typeCode MOET 'REFR' zijn.<axsl:text> (</axsl:text>@typeCode='REFR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:act is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:act)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:act komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:act)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-239caeee-5484-49f1-817a-c6e695971624-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act" priority="111" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='DOC'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @classCode MOET 'DOC' zijn.<axsl:text> (</axsl:text>@classCode='DOC'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-002a922d-c1b9-4c6d-b01f-77308f6c06e5-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id" priority="110" mode="M61">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-45dbc076-2384-4919-9618-b7df07c16660-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code" priority="109" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code/@codeSystem MOET ''1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-be438ba3-41ff-41b6-a932-09f5629b1264-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6" priority="108" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@contextConductionInd='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.<axsl:text> (</axsl:text>@contextConductionInd='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:seperatableInd is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:seperatableInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:seperatableInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:seperatableInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-e126b00d-75df-47f4-abc7-dd7e25c7696b-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd" priority="107" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value='false'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @value MOET 'false' zijn.<axsl:text> (</axsl:text>@value='false'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-5384e6be-d909-4477-9db6-b64b190d552c-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation" priority="106" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:author is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:author komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-f5ebafc8-63de-44ea-bc60-a4b15a891d59-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text" priority="105" mode="M61">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-dede3df2-aab5-43b5-ae7c-0ffdbd055e16-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode" priority="104" mode="M61">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='completed')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @code MOET ''completed'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='completed')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-699d3a7e-f90c-424d-b461-229b5ee80267-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author" priority="103" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-32744a20-9bf4-4ae8-8c0e-0f43c41cd130-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity" priority="102" mode="M61">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='ASSIGNED'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): de waarde van @typeCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@typeCode='ASSIGNED'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.134.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>

	<!--RULE tmp-91fc1ed6-b2f8-4b1b-ba8f-ff7aad512bed-->

   <axsl:template match="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id" priority="101" mode="M61">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M61"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M61"/>
   <axsl:template match="@*|node()" priority="-2" mode="M61">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M61"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M61"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.140Bericht 3 Geldige partijnummers (payload)-->


	<!--RULE tmp-cae21045-51ce-427a-8a5d-5b2608295e71-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]" priority="124" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:ProductList is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:ProductList)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:ProductList komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:ProductList)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-20ba0f7a-e761-4387-be63-98df8f70e45d-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList" priority="123" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='LIST' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.<axsl:text> (</axsl:text>@classCode='LIST' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-b82a2da9-2bc5-4ef3-8066-0066c5ac1858-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']" priority="122" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.140'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.140'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-7432a040-4813-4521-848c-6b58370fca2f-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code" priority="121" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @code/@codeSystem MOET ''373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-882a9d27-2c7b-4675-afce-69baf71f9bc7-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime" priority="120" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-c9c4c708-8e63-46d8-8037-469bdf979018-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low" priority="119" mode="M62">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (string-length(string($theValue))&gt;=14))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben <axsl:text> (</axsl:text>(@nullFlavor or (string-length(string($theValue))&gt;=14))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-dbd3c44c-ff1f-4704-8be3-09b4291a3118-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high" priority="118" mode="M62">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (string-length(string($theValue))&gt;=14))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben <axsl:text> (</axsl:text>(@nullFlavor or (string-length(string($theValue))&gt;=14))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-c860783e-baf6-4e69-afd1-31b3a0d1aecd-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product" priority="114" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRD'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.<axsl:text> (</axsl:text>@typeCode='PRD'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:instanceOfKind)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:instanceOfKind)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-c71fdf86-d154-4911-a8fe-5a4353a8a6bf-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind" priority="113" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INST'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.<axsl:text> (</axsl:text>@classCode='INST'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:productInstanceInstance)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:productInstanceInstance)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:kindOfProduct)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:kindOfProduct)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-65438e52-2a90-4bed-9261-b0896d3ff794-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance" priority="112" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MMAT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.<axsl:text> (</axsl:text>@classCode='MMAT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:expirationTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:expirationTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:asInstanceOfKind)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:asInstanceOfKind)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-018671c8-4b43-480b-a197-c12cdc9bc2b4-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id" priority="111" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@extension and (@root or @nullFlavor='UNC')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.<axsl:text> (</axsl:text>@extension and (@root or @nullFlavor='UNC')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-586ecd13-ff89-403f-b04d-1a3f14bdda4d-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime" priority="110" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:low)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-1d259141-999d-4881-a30f-ee68f24c7c46-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high" priority="109" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-aa8befec-7aff-495a-9592-a4aa2c6ebb06-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low" priority="107" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-3cd431e3-33cf-491f-8669-6438e2e992a9-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind" priority="105" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='INST'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.<axsl:text> (</axsl:text>@classCode='INST'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:kindOfMaterialKind)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:kindOfMaterialKind)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-2a50a69c-24d5-4d01-bfe4-6c960ba40b1b-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind" priority="104" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MAT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.<axsl:text> (</axsl:text>@classCode='MAT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-7339d1da-3552-4f48-b372-24884fb12b1c-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code" priority="103" mode="M62">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.76')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.76'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.76')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@displayName"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/>/@displayName MOET de weergavenaam bevatten<axsl:text> (</axsl:text>@displayName<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-54799121-006e-41fb-b60d-328a298ed16a-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct" priority="102" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='MAT'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.<axsl:text> (</axsl:text>@classCode='MAT'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='KIND'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.<axsl:text> (</axsl:text>@determinerCode='KIND'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>

	<!--RULE tmp-e2b5dc2e-5448-4e57-b82f-ed3e15378e8e-->

   <axsl:template match="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code" priority="101" mode="M62">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.140.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code and @codeSystem and @displayName)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.<axsl:text> (</axsl:text>@nullFlavor or (@code and @codeSystem and @displayName)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.<axsl:text> (</axsl:text>not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M62"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M62"/>
   <axsl:template match="@*|node()" priority="-2" mode="M62">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M62"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M62"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.163PatientPerson [universal]-->


	<!--RULE tmp-2af3151a-0fc7-44a8-a8ef-18945590b60b-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson" priority="113" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:administrativeGenderCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:administrativeGenderCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:birthTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:birthTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthInd)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthInd)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:multipleBirthOrderNumber)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:multipleBirthOrderNumber)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactParty)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactParty)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-f533c54c-32cd-42a8-87ee-d7bd2ea30f8a-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']" priority="112" mode="M63">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.163'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.163' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.163'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-dc29dbea-7fb4-47b4-ad7f-97a4ef358bbe-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name" priority="111" mode="M63">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use) or @use='OR' or @use='L'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: @use moet indien aanwezig 'OR' of 'L' zijn<axsl:text> (</axsl:text>not(@use) or @use='OR' or @use='L'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:given)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:given)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:prefix)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:prefix)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:family)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-8ec097a2-3e38-4728-833d-17008b151fee-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:prefix" priority="110" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='VV BR' or @qualifier='BR VV'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de voorvoegsels van de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='VV BR' or @qualifier='BR VV'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-e663997b-58e8-4bd9-8bba-ad55aec94440-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:family" priority="109" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@qualifier='BR'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet de geslachtsnaam bevatten<axsl:text> (</axsl:text>@qualifier='BR'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-11bd0d44-a880-421f-91f8-edadb7b08c56-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:administrativeGenderCode" priority="108" mode="M63">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-2e7b2741-27c3-4bc8-8306-ecce8e3c654d-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:birthTime" priority="107" mode="M63">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-415cdab7-468e-4f68-8cd0-4f413994d356-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthInd" priority="106" mode="M63">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-a7901e42-b626-4268-b273-fcb039990639-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthOrderNumber" priority="105" mode="M63">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="preceding-sibling::hl7:multipleBirthInd/@value='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): <axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> kan alleen een waarde hebben bij meerlingen<axsl:text> (</axsl:text>preceding-sibling::hl7:multipleBirthInd/@value='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-1ad22106-8c23-41d0-8587-a9515b51d002-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty" priority="104" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:contactPerson)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:contactPerson)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-1693c080-2927-44df-9d61-b5e6ea79add5-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:telecom" priority="103" mode="M63">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-8dcac6ef-e44f-47f1-9850-bf2bb97b7970-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime" priority="102" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:low or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht<axsl:text> (</axsl:text>hl7:low or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>

	<!--RULE tmp-673d2b16-1b97-450a-bf86-dcc973162b91-->

   <axsl:template match="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:contactPerson" priority="101" mode="M63">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PSN' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.<axsl:text> (</axsl:text>@classCode='PSN' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@determinerCode='INSTANCE' or not(@determinerCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.<axsl:text> (</axsl:text>@determinerCode='INSTANCE' or not(@determinerCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:name)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:name)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.163.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M63"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M63"/>
   <axsl:template match="@*|node()" priority="-2" mode="M63">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M63"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M63"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.100.180Bericht 4 Versturen vaccinaties (payload)-->


	<!--RULE tmp-ad4486a3-81f6-4c7b-9c42-092acfe2daee-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]" priority="119" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:CareProvisionEvent)&gt;=1 and not(hl7:CareProvisionEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:CareProvisionEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:CareProvisionEvent)&gt;=1 and not(hl7:CareProvisionEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:CareProvisionEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:CareProvisionEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:CareProvisionEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-695b6ed8-58a2-4b57-8b1b-2f59aff47d18-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent" priority="118" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:statusCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:statusCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:statusCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:component is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:component komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-812c0453-8927-49e2-bd7e-3fca0ee9520a-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']" priority="117" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.180'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.180' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.180'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-84ff0ed7-4b6f-4e7e-9c17-3d47401daff4-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:id" priority="116" mode="M64">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-e67174eb-a548-4287-b2ae-69dd93182db9-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:code" priority="115" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-e5d0f349-8d2e-4ed4-84fc-add8e7358470-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:statusCode" priority="114" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='active') or (@code='aborted') or (@code='completed')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'aborted' of 'completed'.<axsl:text> (</axsl:text>@nullFlavor or (@code='active') or (@code='aborted') or (@code='completed')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-fc1bedc6-a81f-49d2-84bf-706580f67216-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:effectiveTime" priority="113" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-104973ec-e335-4422-ae7a-db4b0b55df6f-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high" priority="112" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(../../hl7:statusCode[@code='aborted' or @code='completed'])=0 or hl7:high"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): Als statusCode/@code='aborted' of statusCode/@code='completed' dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.<axsl:text> (</axsl:text>count(../../hl7:statusCode[@code='aborted' or @code='completed'])=0 or hl7:high<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-708f9cce-f657-4daf-90dc-830315b1e45e-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low" priority="110" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-ae4ee5ad-4b5c-4c76-80ae-97db93fdc429-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]" priority="108" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="patRoot" select="hl7:patient/@root"/>
      <axsl:variable name="patExt" select="hl7:patient/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): De patiënt in de Payload (BSN '<axsl:text/>
               <axsl:value-of select="$patExt"/>
               <axsl:text/>') moet overeen komen met de patient in de attentionLine (BSN '<axsl:text/>
               <axsl:value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>
               <axsl:text/>')<axsl:text> (</axsl:text>not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-cd64fc2e-a5db-43b7-b67d-bfb5054870fa-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="107" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-a0ccdb34-4ada-48c9-aa99-cda8a36cdd1e-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]" priority="106" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'AUT' zijn.<axsl:text> (</axsl:text>@typeCode='AUT' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-4f234ebd-15f9-431d-ae62-266ad7abf77f-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:component" priority="105" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:encounterEvent)&gt;=1 and not(hl7:encounterEvent/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:encounterEvent is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:encounterEvent)&gt;=1 and not(hl7:encounterEvent/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:encounterEvent)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:encounterEvent komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:encounterEvent)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-5fb698ef-ed9c-4f97-954a-8d51438d1784-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent" priority="104" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ENC' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @classCode MOET 'ENC' zijn.<axsl:text> (</axsl:text>@classCode='ENC' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]])&gt;=1 and not(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): element hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]])&gt;=1 and not(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-e42d791a-2dd2-40e8-980f-e9e9b0a43f11-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:code" priority="103" mode="M64">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '02' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '03' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '04' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '05' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '06' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '07' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '08' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '09' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '10' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '11' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '12' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '13' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '14' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '15' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '16' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '17' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '18' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '19' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '20' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '21' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '22' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '23' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '24' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '25' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '26' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '27' codeSystem '2.16.840.1.113883.2.4.4.40.308' of '97' codeSystem '2.16.840.1.113883.2.4.4.40.308'.<axsl:text> (</axsl:text>@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-ecf9a594-3750-4339-8028-42b842c416a5-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:effectiveTime" priority="102" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@value,'^[0-9]{8}')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): <axsl:text/>
               <axsl:value-of select="name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="name(.)"/>
               <axsl:text/> moet tenminste tot op de dag nauwkeurig worden opgegeven<axsl:text> (</axsl:text>matches(@value,'^[0-9]{8}')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>

	<!--RULE tmp-da5d555d-92a5-47d3-88de-735d2257db12-->

   <axsl:template match="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]" priority="101" mode="M64">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.180.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M64"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M64"/>
   <axsl:template match="@*|node()" priority="-2" mode="M64">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M64"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M64"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11012Rubriek 12 Erfelijke belasting en ouderkenmerken-->


	<!--RULE tmp-b665f593-10ee-448b-81e1-5d65ead6b51c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']" priority="393" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): element hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c8c77076-ee9e-4720-9fc3-28a5c264d815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']" priority="392" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11012'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11012' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11012'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-01d156f8-d697-4567-bf22-399df3bd3bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:code" priority="391" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster12): de waarde van @code/@codeSystem MOET ''R012' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8bd83247-d657-429d-ba5a-3ce91010458e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="390" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d437229e-0713-4ba7-873d-0b24e259815a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="389" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4a1255b6-21c5-4986-825b-56a97f9eff13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']" priority="388" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40079'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40079' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40079'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-885c05a8-cbd9-4b5e-a183-94ed4bac309a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="387" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): de waarde van @code/@codeSystem MOET ''79' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-64306587-e236-4f41-965f-f3d9a49688e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="386" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-70f36a79-ed64-4716-8cca-ef00d1ae1a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="384" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3f3cb676-7d5e-44c1-a274-4d45007c2041-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="383" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-461406df-1c6a-4448-8879-4db8b389196f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="382" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6531264a-e9a3-4850-b619-e69fc12204b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="381" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-bfd318ba-9641-4c9d-839c-7e3f94a5af01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="380" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-11685795-bea1-49f6-b772-ce44a704c533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="379" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ca6f7bd0-8e93-4a06-aa1b-9335e975cea9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="378" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-267e7b8e-078b-49aa-87b9-27762be4b1cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="377" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8f013161-faa0-41e7-a493-a9c7df345d2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="376" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-70f76ae1-8379-4d1e-bdbb-30cf0a78595e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="375" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-28746a67-4bc5-4a58-99e1-640715c64d4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="373" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b9b039ca-0b9a-472b-8e39-3def99191890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="372" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d6f9e17b-7d57-41d4-9e73-6d6a8f545d8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="371" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-dc71ab63-6f13-4ea7-ba86-ce9fbd356be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="370" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-64b6708c-7e87-41f7-aa16-971f81397651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="369" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7e9c7714-8a4e-4768-add5-f490338ef16f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="368" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2a0759a0-cf1f-4dc1-9ed6-8ae067c670c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="367" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f79fb885-7c2f-4d30-be13-574a35ff9ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="366" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-dc7484fd-a461-45f3-ab26-66c7273a23f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="365" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-84b692f3-b763-4530-b55b-e860148715a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="364" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3997943a-468b-4082-9979-32955680bdbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="363" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e50ecef7-f593-46ae-9ab0-ae03643c2c10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="362" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-14ce99b6-0a65-401b-a146-ad4227d5bacf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="361" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6af36069-0b29-426c-aa2b-47819508c71c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="360" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e7c6bae6-0753-4146-9f12-7083f1eacc14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f87b2163-895e-4cb4-b32b-1184bd22a33e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a52067c8-1ec8-4a46-b57b-ff8b55e07074-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="357" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ad64a65c-2bd6-49e1-8850-caf8205854b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="356" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8dfc1f13-99e1-46bf-815d-58ee61a2dcd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="355" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f333826c-6faa-440e-8b8d-f32a4f66ea18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="354" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-734acf09-8b59-4eba-9f72-6afe69a7c772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="353" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-18c5aa17-422d-400b-b024-2825576ff30e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="352" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c68f2305-33dc-4c7c-834b-3240efcee06c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="351" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-27ec8b4b-b1c5-4d4b-a21f-c1ad2a01c2de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="350" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a1981526-7c37-4bf2-b4d9-015ad2a1ba32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="349" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c8679829-45be-4d2a-bf45-6e1929d42dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="348" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-cf49855b-235a-40e2-b5b8-00903e7b5ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="347" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5846017a-deb5-47f9-b2bf-773239ac7ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="346" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7c595ae3-db65-4eb2-aa1c-34abeaa1b33f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="345" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2143b84f-72cd-41e7-a659-10b254145aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="344" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e6eb74a3-33dd-4db8-854e-f40fb9b3e490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="343" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-41cf109b-ef1a-4f06-9b3c-ed4d546a0faf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="342" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:subject is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:subject komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9fb4ee00-f7b5-4c2c-9f6b-269c46d92723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']" priority="341" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40080'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40080' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40080'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-08c134be-29cd-40d7-81d3-0a3b28898781-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="340" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @code/@codeSystem MOET ''80' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5464095c-53f7-44a3-a8f0-9afa03f32271-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="339" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0114_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0114_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @code MOET worden gekozen uit waardenlijst W0114_HL7 W0114 Erfelijke ziekten (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0114_HL7 W0114 Erfelijke ziekten (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1f54f98f-69f6-4087-80f0-88b1fc30c187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="338" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:personalRelationship is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationship)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:personalRelationship komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationship)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3fdeda4e-9d04-4ad2-8f19-081d66ae0ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject/hl7:personalRelationship" priority="337" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-34ef05af-9ab8-4759-905e-f289a688c72e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject/hl7:personalRelationship/hl7:code" priority="336" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0115_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0115_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @code MOET worden gekozen uit waardenlijst W0115_HL7 W0115 Familielid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0115_HL7 W0115 Familielid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f1110a3d-7e58-4c31-8d81-8d85048284a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="334" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3e6a8e2f-239f-49f4-a441-efdc11b76e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="333" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-dff1cf8d-a369-475d-9d12-25f0b667427e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="332" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-94ce100b-b256-498e-9d8a-ec1ccc48fc08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="330" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9daaceec-d52b-40db-bea1-1fffc81c2a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="329" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-906e92d3-466f-4550-88f0-1785a7d56b1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="328" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c4cc32bd-b7fa-442d-a977-ce09c5e2de9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="327" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a4dbe4c6-63c0-44a3-b90c-2ba3a92567ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="326" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4c567536-3698-413f-9396-ddd40e6156a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="325" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0980c29e-2383-4115-86b5-65aab82f00c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="323" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4107c46e-bbbc-4b68-85c5-941a85d4f8f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="322" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3e44740d-ba0f-4eda-af4f-456e4a85a47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="321" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ff2d9c0e-1189-4b62-b105-12c669ece6bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="320" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ad076b0e-6833-485f-9cfb-4e4318a132e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="319" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6c52ce75-d4f5-4653-8822-4a8561cf8a61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="318" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b768e9d0-e305-4741-89ae-6de59b4dc36b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="317" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f1c3556a-65fd-450d-ac0f-9c05b4b3e6be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="316" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8eb38f0d-330d-42b0-b415-d1eb4f739fa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="315" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1b1e8463-e75c-4b21-a1d6-a83a6cfcd37d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="314" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d7404ef8-4268-4a09-a8df-adf8410b101a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="313" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2c27bea7-d3bf-47f8-9bc9-9ceeba8b3a43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="312" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2467e4b1-43cd-4517-b0c5-6741b8c38941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="311" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-51e4114f-fc91-4937-9158-d0aa0c994844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="310" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-db504795-0008-4034-b4b6-242feece6035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="309" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8ee0b75c-7eb4-483c-ac47-8ea100aee785-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="308" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0f2deeb8-39af-4a14-817d-939d808383a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="307" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a84e8b29-430c-48ae-98b0-e27f74cc1616-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="306" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-bdf29434-af38-4358-bac9-5d73c64f9c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="305" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c9cec60e-d8e3-4c58-840f-c3366bf931f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="304" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-83f215b2-4ea1-4f35-876e-fa5e58c9e2aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="303" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e90a3350-b9f3-42ac-b843-c14129c7d901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="302" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b12035a7-ecd3-4cd7-b5b5-5141dc7ebfa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="301" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7621bcaa-ef66-4fb1-bd0e-358ff5190d56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="300" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f06a08f8-c5cb-46ed-8052-8b1bfec6b06e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="299" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-729da2a2-f8d3-4d14-ba8c-ca3a71a45120-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="298" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2a1dbb92-8d1f-4af2-8a36-41f64392a967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="297" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1959ea57-6c34-47d1-ae8b-987da04fd6ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="296" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-746fb30b-b01c-481c-a18a-3a31bcc874aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="295" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7aa01ba6-184e-40f5-ae18-cd39b1669d80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="294" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-627ba1f1-d310-4a5c-90e5-c0d4e9032104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="293" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-29b031a8-af21-4748-823f-5f7ac5cb3444-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="292" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:subject is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subject)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:subject komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subject)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4cb14068-333c-4102-8ada-2ab2abec6de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']" priority="291" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40070'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40070' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40070'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-57d79f2f-1f78-4cd4-a2b9-736ddbdf3dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="290" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de waarde van @code/@codeSystem MOET ''70' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b56dbaa1-8e57-4fea-990a-7715780b6d1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="289" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0116_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0116_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de waarde van @code MOET worden gekozen uit waardenlijst W0116_HL7 W0116 Ouderkenmerken (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0116_HL7 W0116 Ouderkenmerken (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b0ba4c51-d0c1-4784-91f7-cb84635e5321-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="288" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:personalRelationship is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:personalRelationship)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:personalRelationship komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:personalRelationship)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b5fe48c8-31d4-4037-9284-96b3dd65b981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject/hl7:personalRelationship" priority="287" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PRS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de waarde van @classCode MOET 'PRS' zijn.<axsl:text> (</axsl:text>@classCode='PRS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3e9bdfba-f15c-4e6f-b041-53efbcc15587-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject/hl7:personalRelationship/hl7:code" priority="286" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0117_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0117_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de waarde van @code MOET worden gekozen uit waardenlijst W0117_HL7 W0117 Vader/moeder (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ouderkenmerken): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0117_HL7 W0117 Vader/moeder (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9189bbf4-77f5-4f9a-ae67-88f72859cecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="284" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-99524e26-d9d8-4b24-913a-e63a8ca8a41a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="283" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a2aad8b0-e7d7-4713-ad07-b49f859c0cef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="282" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d95fcdfc-1dc1-4741-9987-eb48ce53013b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="280" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2941b61a-4436-4de5-a451-71cf6cae523f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="279" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c1fe7c65-f427-468c-a59f-9e2155187a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="278" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5fbbfe6c-9cef-46a3-8078-420601c17be1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="277" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6faa8a1b-b291-4f41-8fd4-229e3723fa4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="276" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ba0fc98c-68be-405c-9e42-64860c8b112c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="275" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-56eb2a87-5837-4ada-99de-78ac50265d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="273" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-cb68c582-e9ba-4db8-a972-c273532cc104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="272" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a80c7bae-f488-4bda-a693-ce8948626ece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="271" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b370207f-8e1c-4796-b808-93ec45781770-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="270" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f914f5ab-6f43-4111-a5ae-1d1ed74a1077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="269" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f56ae704-6123-45bf-a422-f52bd1095974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="268" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0faab848-44e2-4787-92d0-ec298e34b00b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="267" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2759ae92-83b9-4f75-b4a0-bfb76f3303e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="266" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f0d4e964-122a-4919-abee-eabc311b8e07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4f8b43be-8813-4fe0-b68e-23f61562c279-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d450e260-52c6-41ab-848e-7558203389f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-46288a1b-247b-40e5-9cd8-4996382e02da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5da84383-96bf-4224-8516-e00eab43c687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b4aad1c7-8fdd-4abf-a9c2-d2f3d7d219b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9e1dbd70-724b-4c77-be0c-851bf5319177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b37ed4d0-aa43-4af1-aff5-999f183f8022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9bb6bfde-ef45-4df5-8f55-23cb093db568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="257" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-83fa43c3-bb04-4f77-b0c4-8953f7ef39f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="256" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-eb4905e3-fdbb-4880-a96c-122b4b649593-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="255" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e02f0d6a-0779-4186-976a-260d2d7c101b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="254" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3c70b5ab-c790-4591-9a2d-9be849599378-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="253" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-fa7136c5-58e5-4c4c-bbc0-1eaeb75e22c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="252" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4e5453bf-e2aa-47a5-ab3f-7495dea39720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="251" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-820fe49f-6603-4970-a648-497fae79b1b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="250" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5fe1505a-f7fb-4214-b39f-9159a5755c6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="249" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-26902dd1-2f40-48f7-888f-0ddcab0cd811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="248" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d957878b-a33d-43a3-b3d2-6cc7f4bf9eb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="247" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e2bf15d8-85ae-465d-b95f-4c66e0bfc227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="246" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2856c620-c54e-4bd8-ba5f-62844b2cdfc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="245" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2061d418-88b5-43af-8558-7175daab57ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="244" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6131d8dc-a031-4ea2-a6b6-2f043d1eb9b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="243" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-dfe0d123-9cad-4109-aa11-023cfe16ca78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="242" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b7c858f3-c602-473f-9dd8-a156bcb69f9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']" priority="241" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40238'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40238' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40238'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f2924d3f-64ad-4d77-bcfb-1b49b4db2034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="240" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): de waarde van @code/@codeSystem MOET ''238' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f22dadb9-d190-4e4f-b527-f961ff405889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="239" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-32b69764-bdd6-4acf-bb2f-167f619b5338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="238" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0256_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0256_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): de waarde van @code MOET worden gekozen uit waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_moeder): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5cbf2a2e-6720-4a78-9bf6-48aca84b1d9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="236" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2be83ea6-d683-45e5-a812-25fd7149f227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="234" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5799369d-5bc9-4d0a-bb8a-45f77623c9d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="233" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1a31e367-d1ab-4ed3-bd51-361319c36281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="232" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-afdf10cf-2ed7-4c73-89d7-4acd0e968704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="231" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e62bb3d9-d5ff-4248-bd06-6b9b60023291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="230" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-17fc1ade-947f-4107-9a05-da2e9226dd2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="229" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-51af49bb-1ce7-4ecd-a575-73a3469e87e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="228" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-064a1540-9da0-4753-84ab-d5feb573e3f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="227" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-828c75f9-6031-4ec7-88a2-ac58e648f452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="225" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-307e8d27-40fc-433d-8d17-f3e078bfb43e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="224" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-06b22e84-c39b-4618-938a-6158d289060f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="223" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-37a23388-e49b-497a-863e-a4ec933e1965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="222" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-16edb685-4cc2-46a2-8908-fbdf96f9d0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="221" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-bab0b0b4-4996-40e3-834d-a215b204db44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="220" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b0b06f31-58c0-4eb1-9a81-60fe8da34809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="219" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0965b67f-4f67-4f35-a143-3a12968a3edd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="218" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9b787d06-a61d-4919-bb89-ed7b08a7cf16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="217" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3168d4cc-fcc4-4160-b35e-b89663c48e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="216" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7c0ce365-3812-4d1c-8043-483ce7dcf649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="215" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-eb48b524-e1f1-4770-8480-e31956a137c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="214" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d4850a0e-bfa0-4159-b9dc-08442a860886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="213" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f27d2806-2310-4bda-8f87-f0452795f519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="212" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f71abcbd-943f-47d6-868d-ace7c36949a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-06c43f09-3f47-47b1-81d2-97fa9339cf15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ec8eab8f-933b-44e5-814e-8e6947f56132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="209" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-20d5dfcc-e537-4007-8849-2a046c18debd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="208" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d7d8d73c-41dd-492d-a1e3-3eac7dd47e8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="207" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7cd63355-55a8-4118-ba89-ebe581971fa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="206" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-08045adb-02ce-46a1-b028-05ce27d2b738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="205" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-984442a3-b3f7-4bc5-a80d-95aa5daddcfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="204" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ce4e0d35-f662-487f-9afb-8dc0d381b54f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="203" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1c067eb2-4822-47bb-9ef7-964e8255d1bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="202" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ec755325-c3e8-4087-8868-fa628c90f880-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="201" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9df93cb8-a782-407c-904e-9a0cfb5d810c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="200" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4d6ad8c3-aad9-4ef5-9ceb-06b6c1653e63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="199" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-517b9f97-70e9-4e2c-aa7d-bfd168c0b6c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="198" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ded0a7dd-edfa-408f-90ee-46156fea1bac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="197" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b5efccc7-451f-42d6-b906-71c247309513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="196" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-99d880ef-ba9d-411b-8c1f-dcb4d9ae0793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="195" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e58d6d74-5a90-4d7a-a179-745d8d60b387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="194" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6eb24400-1811-498d-9673-cf860b5c1294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']" priority="193" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40240'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40240' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40240'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f2a01ee0-86e6-40d7-b162-710b8d344c99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="192" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): de waarde van @code/@codeSystem MOET ''240' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8fdf1ae3-8b6e-4496-bd1c-6c2329bb2d0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="191" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0da9aa91-5075-4cf2-b8ef-375c03a8f87b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="190" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0256_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0256_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): de waarde van @code MOET worden gekozen uit waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte_biologische_vader): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-888a6f09-b216-44a4-9a2f-92b3e7b12ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ad4a2040-c00e-4ec7-a3f3-69929a1c20d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-48da8e31-6e09-4fc8-972e-80711ee017fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-491df167-704f-4556-9e67-44f5bd43578f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d1439d39-fb97-41ac-ba30-d651073ef87d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ff19c86c-d9f1-4e2c-bedb-771731d15426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e16f264c-193b-4d15-972a-11e923e13b05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-81f4978d-50ec-46e0-a1e5-9ffedcbca23a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-086e0094-991f-4860-a557-8842cef931f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9caeffa8-0b39-491c-9940-4bc964772511-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-04e2e9cb-1581-4559-99c6-8c8e68c21de5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-becb5f06-8ac0-4cfe-8700-a016bdc05704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1ac58e43-9e96-4d81-8d03-76ddd1c3d3df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e20fb633-9284-44a2-9563-1c9eb4608a8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4108b6c4-cc7f-4e46-b26b-a5aef344452a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b28ce1a9-518c-4a68-9dbf-cf43ce3e0d98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-51f4036f-678b-4cd2-a205-da8479f63c09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5248e02d-dd95-4325-af44-d5a2094f8a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-bf1b3798-38c4-493a-8b6b-f203c5075a09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0752f7bb-b165-4615-85bc-21e616b3bf22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2fb63166-67ed-431a-a8fa-9d63a5544303-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c9a4ebc5-ffc3-45b9-9e48-29ee5542cdde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-4d740d55-07ce-4a6f-8db7-20c3ab2fc1a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6df5723c-2951-4a0d-89d2-82ea5ff1402e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-82584975-4634-44e7-9467-c79a63438855-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-f393620b-66e8-4012-834a-3d9b5bb50610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3d1a5263-685e-43f0-af25-cac29bc96a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-52670f18-44e0-4a8b-9292-9c01e7b24764-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d3d6a9a7-0048-4f96-b58c-06784c4355c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-28b677c7-4164-4af5-b596-55e9bfafee9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a070f671-6d81-4da3-a864-359d8bfe469a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8ed0026d-d5e1-40a2-a06f-becc04c40979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-272596b8-2c41-46ad-97d6-8118d0a43d5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0486b8d5-a064-48e6-b985-8e42bb878c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2d0da3f5-53d8-417b-861e-461c35d1f0b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-da8ddebb-3826-43c1-af48-69eca1af517c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3a5978d5-4d49-4c03-a92c-fdd901d17fcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-95bfbb34-c472-4498-9610-9b45abaf0691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-728c5b48-27e3-4846-bc7b-c06e2249ed0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-cf3f0d4b-e21b-4acd-883a-3e8ddb42eec8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b0b944bf-df2c-43f3-890c-946aa79a4881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-0f7c1865-71c8-4ac2-8d3f-1d02018f1f68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']" priority="145" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40808'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40808' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40808'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-54de4854-8412-4bd5-bf7d-eceec8cfcc07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lengte_ouders): de waarde van @code/@codeSystem MOET ''808' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-9abbee69-3f4f-4c1b-80f6-c9a73ff1c99d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c6428a80-6ad7-49d9-b7e1-46706e0567d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-1b805475-45b8-4b15-af3e-262667731b58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-079e8806-33f6-4883-9414-fa0d94641574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-778ccd79-c8ee-4b2d-a6a0-4506c3d84b01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-43363a66-2f4e-4fe4-9331-ba2067c7a93d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-37e09a3e-e01b-438b-8dd0-cc79d97495a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-92b0af25-dbfc-4cb0-bca9-7d7bb7f47ce1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-91563ff1-7028-4298-8929-5fd6f4cbf1ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-750356da-dd62-4d03-93d3-d8f80d56d7ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8e27b2a0-7f00-443a-bba3-a313e81b86ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-884990e9-0fda-40a3-99eb-722d5898cf9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-6f173c6f-7cce-46b5-9f22-127f7b9acea5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-05ca841d-aa9c-40fb-8530-02b0459af627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-236ca95f-66c8-4752-8bd1-36b84477a84e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-75806872-8e7e-4cff-9e13-e008a23f31b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-fbc6a249-8d21-4bbe-8f26-07e1a20e8b41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-56324abc-477a-4b25-a7d6-95f985874554-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5204fdb1-ce38-45a7-b781-637025dcf837-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-111afb9d-505b-424f-ab97-78dccaa6c21d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-c48dc2d8-3977-475e-8f85-bf22a9eb8cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-d239e57c-e179-4bae-aa02-00925a4eb833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-98acb67b-fd79-4f6b-b437-352fdce7fb3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-44b25769-381d-42d9-8c36-1f9a86ba6661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-166eb93b-4ee5-4d1f-89d5-2f0f99802883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-2ab2b137-e54c-46af-a958-9ec6ec3c3fa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-ce7e1251-648c-491b-8ccd-c73da37506f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-8e36d1a9-0579-492a-9e23-7ba5fb05d368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-a6c6b804-b5b7-48ed-897a-647fe2730caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-3ef46a19-147b-4fe3-b8c7-c029f8171f48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M65">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b1f6c98c-748c-4dfe-90ed-64564ab7349d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-116d4ce0-aa15-4524-b9ef-1d6d0650288a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-b917b891-dc20-4b90-82f1-3595cf200d0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5877748a-28fa-4f2c-952d-102c1ca719cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-58a1a730-a6e6-455a-a01d-a521119d2211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5d688ab1-832d-48b7-89a3-ddfc2bcd2c82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-e8b58800-c957-445e-a995-dbaff1089bb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-7ce5771c-c8cc-471d-8900-d21d70c57ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-65016692-3e0e-4750-a0a7-aad4099e0e61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M65">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-5fa5abc6-c963-46e3-bd49-1f0ea87a5e72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M65">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11012.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>

	<!--RULE tmp-71f4fd6a-d4e8-4045-a1e0-756b60a53112-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']/hl7:component[hl7:observation[hl7:code[@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M65">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M65"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M65"/>
   <axsl:template match="@*|node()" priority="-2" mode="M65">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M65"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M65"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11013Rubriek 13 Bedreigingen uit de directe omgeving-->


	<!--RULE tmp-32543afd-bad7-4a89-816a-8194b963b000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']" priority="432" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): element hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8decb507-9522-43bc-8cd9-58c85489f30e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']" priority="431" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11013'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11013' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11013'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7fca0e1d-176a-4772-8986-d305d98bdcea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:code" priority="430" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R013' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster13): de waarde van @code/@codeSystem MOET ''R013' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R013' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1e211d25-2899-463c-ad66-86b577bd270e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-709da28a-06f4-4f2e-97f1-35a96f2521d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b6240173-c091-4850-809f-3413cc348dfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41384']" priority="427" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41384'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41384' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41384'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9304a9a8-c1c1-43fd-9ad1-ab7d0e979d9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreigingen_nagevraagd): de waarde van @code/@codeSystem MOET ''1384' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-24a96b5a-49a8-45ee-a032-015b13498762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-dbcb5c6c-e98d-4040-a166-ffe655863723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a62ea4b2-d693-4803-ae0f-f5c36fa32b34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-80e382e2-71d0-4e0b-8e60-e26efb4050d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4b34b34d-5a2f-443a-84b1-61e674c5e807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8c9ac767-811f-4dd7-bd57-eac204a8ecef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bc14ed79-baef-4c94-9ce1-ce5786c01bf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9d5ef665-d45f-461a-8010-b9fdf2731f3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ad3bdfa1-63c4-4f65-9edb-ff028e9dab38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-67bbed07-570f-44f3-af5b-3ff1e8ee6d7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d7ece134-76ad-4644-8f4c-038402a16faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a813c74a-f16b-4b77-b464-48e60712f74f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-01a83228-c0da-4efd-b1b7-6599078d3a01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-41296e43-a0b7-447c-aa58-5cc091f04b5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5590e169-bdfc-487c-a7ba-dd6a5efa592a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c755bf22-87cc-4180-bcd2-3128c9740b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c036b71a-fd40-43d3-9cc9-c203b14309bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-71efc44f-bc3f-46d9-9d49-7f9952611495-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-46343449-5e48-4f85-8d38-5f6471c2ee10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bb9a418e-79f8-40bc-bc28-d383160b0b85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b6b737f4-ea20-4c77-b112-536be1688886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d22cfc4b-b3ef-4bd8-8120-4f727d4ba559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-65c3ea13-11e3-4921-aef7-d209a0572853-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-04a48a53-962c-4e99-80b9-082c2252b941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-aebbdc13-52be-4b17-8401-1bb43d384c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-499d7ab9-cf09-4037-8574-83504b409881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7b9239da-9a9f-45ac-a165-f6e46b58b404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-938d7f3d-9f84-43b5-aef8-37eda93b601e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9cf47183-d4bb-4c27-8080-89e7ee21068c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-745785ee-bdd0-4c2b-89af-85e89d513b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-68045ec8-d0cc-432a-a97c-c8815a0e5cfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-745b9f22-5167-428e-9b53-e4ce222feecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9a58f4a5-8f8a-4f55-88bc-dcb1f73ca0c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-467b4c4d-cae7-446b-bcab-7fa966211afb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e006de07-831b-4bbb-84a0-4a155e4cbd94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-47f6edac-3928-4421-ba1e-fb474f4e1da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8576566a-fb0d-4bc9-ab33-7c198f86d461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-68a97889-0f5f-4bfe-a537-5f0f190f4be4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b6106b0d-209e-45e6-b0c2-f5b63c4ec6ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-41aff309-a587-45b0-b091-e97995c88184-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-04d66dd6-7a35-40a3-849d-b7793990c908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1384' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-aca5830f-57f1-4a60-8438-a1a4499db6dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3f00a939-0254-4aa9-9b49-57b4938f53f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-93257c06-3087-4287-9cee-4b2450777065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40481']" priority="380" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40481'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40481' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40481'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3c629d46-da4f-4389-b720-800bdb5310dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): de waarde van @code/@codeSystem MOET ''481' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d7bf5b46-6e27-4bd8-a97b-173a83629969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0118_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0118_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): de waarde van @code MOET worden gekozen uit waardenlijst W0118_HL7 W0118 Bedreiging sociaal milieu (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_sociaal_milieu): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0118_HL7 W0118 Bedreiging sociaal milieu (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-39653d07-ca4b-4774-a1bf-ee8ac0e5909d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a715f263-a65a-461b-a0ac-cac77adac4b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-da9c29fc-95be-4eb6-bfc4-9871738e1f53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0c1d0247-9704-4f82-8218-08686ff83351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-62221b4d-b59e-45aa-8b6e-4509697c4466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-84de34c6-6fc6-4ff1-9fdb-6471625518da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-af680b03-9dd2-4a5d-b366-fe3fd646a244-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f8d7e478-2a6c-4a7d-b3dc-19e389421ae7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3a409544-a6bc-4d6b-9eae-99f547845929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-784d3347-93af-40f5-b68d-475e4fd844a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-80f048be-bb5b-4d86-aedd-935784b1690e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b90133a5-2fcb-4e64-8f5a-466ea9a1b266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3b3f674b-d833-4539-80f3-5fafa9b7f736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b08c2167-9d4f-4879-b830-3cd1bfed06ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5b726ec5-6c02-45db-b615-5a15d0c9c93a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1483b3bc-3ffd-46b6-8604-de80bfaf7359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-16ccf2a2-9277-40eb-b37a-465919b79e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-895bfc2d-9b3d-42c0-ae03-307db3738b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0d474725-4188-44c4-b00e-0c92fe9e2f07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-57c2b6ab-ac2f-4bb5-961d-2db19e5db42b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-df90b583-07c5-441d-8275-c96f09da6fc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0da6ee32-aa93-44db-9c0f-a8125698761a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-04b0ee82-002c-48de-b6fe-0c3e1ca99170-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8b754243-e9e6-4e4b-9110-2adda8bf95cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5dac351e-faeb-4a4d-bd5a-1431d0615e22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c3c0674a-cf8c-46d6-bc0f-b1653695e289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ef3443ee-8e01-4751-9601-3a905d2667f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0c27b070-3507-4937-9e05-b2711c4c6e31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0c925d79-18a5-4155-9760-81f58ea294f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a3d3a2e6-6fc3-4c43-be53-e2daba23b02a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f5aca1e1-f5a2-47dd-86fb-81466f831aa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-724b6647-df68-4e5f-98e1-87e7dabc565c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-41dbe9f7-2328-4814-8ff8-14eb1292d84d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2fd03be2-f8f8-4b47-97a7-31ed26a13765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a391a3a8-9519-4d79-81e0-6d5da9a215ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9150dd60-9260-4a70-9fa5-395fda02207c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a710b6c5-9932-4265-98ec-371a0e7c2b30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-99058259-8234-4bc5-8fda-58e1942ab6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9b8979df-7b0d-471e-bec1-8ba1be9e680f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a568e67e-2df1-44a6-94da-adf38c496b39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='481' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7c99fce4-ec7d-45dc-8561-c09f152aa3e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bf0d05a1-29a9-42f7-94be-c5603d6537f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-373d0731-4b4e-449d-839b-9505950248f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40827']" priority="333" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40827'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40827' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40827'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bf291063-f524-4aac-b280-2cc2b2c8feac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): de waarde van @code/@codeSystem MOET ''827' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7d972e06-5a7c-4d1e-b2f9-6feb13bfdded-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0119_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0119_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): de waarde van @code MOET worden gekozen uit waardenlijst W0119_HL7 W0119 Bedreiging fysiek milieu (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bedreiging_fysiek_milieu): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0119_HL7 W0119 Bedreiging fysiek milieu (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1a06d1de-eb5c-4d3e-8b62-3e2d5ceb175e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a180d78f-6ca3-4f47-bd89-69c6313ee7c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-797d143d-4e54-4496-858b-8b741b4107a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-197cdefe-bcfb-4fb5-a843-3a6d895007e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-47fcaa45-5191-49c3-a4e2-663e08745271-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a9b699a3-394a-44e6-8bdf-4a07d49a1fe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b37a0b23-db1a-4ef0-ad18-8b1dd5c2ac76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e26e5182-7ab4-40d7-8cb7-b3d30d900c34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e5b077f5-6d25-46e6-830d-2f7ef8c8a9dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2c3ed0fa-0d32-4221-aab6-a980ec09ce49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-941daee4-d9c5-4176-9af7-33f79cf74888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-56db1b29-a339-4224-8f51-1b6f3151962f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b1496d26-f6ff-439e-adb4-fd7fa0b0d524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4836c33e-aec2-4058-99de-90be3ff4df5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8b47de43-13b1-468b-8798-2fdf332d0173-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e519ae33-c5c3-4907-80ed-6c2e79d7431e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-541bfc51-365d-46da-a8b0-e21c5d3e7770-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7a295f04-3675-49e9-84f1-d296e323e291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6705cc71-b3a6-41df-ae4e-57fad8421563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-354a91be-de5e-40cf-b58a-97794d4ff283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-180acdf5-1673-4d17-bf10-35bb47cc648a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-457a08eb-0450-46dd-9f8b-0f887756a58e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-86046805-196f-4589-9626-77512f6f5cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d00ae93a-7a6c-4620-8012-873b799650d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e60ab1e9-87ee-4467-980c-3bc9745d19e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5372bd2c-78b9-4d7d-b15c-8d49714df0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-97bc652b-97ad-4cce-a2aa-59ddb72cdaa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5537063a-8ace-4854-9911-d832c0950291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a23597f3-bac1-46ce-b75d-187fff0a1297-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-28c95c27-6e1b-4b7f-a87e-8a615de3ef77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-327dbaef-81de-4206-98f3-98c22e124a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1b2eb1a2-e9bb-4d70-9b39-e49a05e70563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5f017705-1326-4f51-8d1d-4734848e12a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c60c4590-84dc-45ec-9404-2811534d71e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-911eaea3-888b-42e2-8e14-c0470c037c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-af8a833f-0a61-4e81-aeb1-3f69bff15355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6d6e214d-cc2a-4e7d-93b4-8b0856e853fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-54decebc-5a86-49df-bdc2-ae0592fcf772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d142f544-b2c9-4451-a6bf-1e7939a75426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ac9b3450-9d79-46a5-acfb-de2dc14ac065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='827' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e9623f0f-564b-4ef3-be6c-49e8c7b6307f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-86ee8a55-8cfb-4d49-9621-b28efc46cc9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-aa58b321-8628-4870-be39-fe4cf5544c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40739']" priority="286" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40739'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40739' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40739'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3c91111d-0949-4f9d-9652-07aaf72dd2e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): de waarde van @code/@codeSystem MOET ''739' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a0e7e96b-7325-4781-b745-bd0e94fefc2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0656_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0656_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): de waarde van @code MOET worden gekozen uit waardenlijst W0656_HL7 W0656 Risico-inventarisatie VGV (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inventarisatie_VGV): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0656_HL7 W0656 Risico-inventarisatie VGV (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3222bd6e-680a-4733-9276-5ea26dc610e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9d3ba782-50e4-4d08-8118-6b9632dbbd12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-dd9a153b-559d-4e83-a4a6-19f3eed903da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-caf356f3-534b-4d99-b540-630dd5e1997a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8091604a-e1ae-4427-8f55-96e527e3ada3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bf3dc1e4-4d64-4968-bbd9-7b89c69b870d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6e073b5b-4e18-48af-b451-e85fcfabacc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e30e77d9-18fd-42a5-b06a-32b5540e3b23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b54c6b44-8b2c-4c55-9376-7a1dc9565ba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3e8eedec-a03a-40f8-b6bf-22f4598fe0a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e0ef0f9a-e557-4e4a-9f48-19ac34825a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e8950be4-be6e-4968-8e1b-518ee986b907-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-15e43a46-2191-4a76-bd40-1187052755d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-345ccbf5-63de-430a-8b4a-42657cd4b7b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9762f4fc-80b2-44a9-8cf5-330d1860c9ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-66a4a808-86e4-41b9-945a-d78c599479db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c2d3bb0d-4f0f-4b99-9531-b70c555a30df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-474da7c7-2a23-418e-97e2-cd5dec3d9c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-15f07413-f922-452b-9672-90ab0c88fef7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-dfd08b17-5bca-473a-b7b2-27a5b95a7917-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0fbb8099-4893-460f-ac34-e745d5b17cf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0190b6b6-dad4-4c2a-b4e6-6944f3230fbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-691039dd-cee8-4ccb-a075-6b7529a4da2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-937f3396-6fc1-475e-9c38-93bb1b8eb2dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1eab0b14-2b24-4819-97b9-eac3b68a5beb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-813318a7-4bda-47a1-b7e1-0ca50fc75b87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-439cc430-0cd4-4716-85b9-000f58e3b104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-639ab6c4-abee-4d24-8be2-d8c18fd48e98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e62e15af-3ac1-4bee-8574-cd0ddb7bf727-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6c147234-d562-45f4-aef3-249a3e6e497f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-737b94ac-c816-4997-83f7-761aa9345fbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5343e938-1bf9-4521-a856-6f6c21e8a86b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d8eba249-3d8b-4b81-a97c-289d37474739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-70502085-b3f3-4406-8f2a-856917b55696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0196e9ac-818c-46bd-8c3e-40bf3c350ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c755032c-4396-4550-b68f-0889993083fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8cc21db8-a2af-4ebf-ab77-eba648430636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-fb46e5d4-aa5a-426a-b9ed-5ca248af66e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8a5309d7-2707-46e3-a5be-748094405df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-107b077f-4b77-4239-b5d4-23bc00dbc492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='739' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-af3dabcb-6b85-4b4c-b084-fd390a164574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-33dfd0d6-152c-46e0-9b25-a9885693674a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-83c9d54c-a5f4-4d3f-bf4f-1886c2f20a37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41414']" priority="239" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41414'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41414' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41414'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c110f77e-ee8c-498e-b9a8-41237931ca67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): de waarde van @code/@codeSystem MOET ''1414' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3a89883c-cce0-407d-a086-3a29342c45aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0653_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0653_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): de waarde van @code MOET worden gekozen uit waardenlijst W0653_HL7 W0653 Risico-inschatting VGV (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Risico-inschatting_VGV_op_dit_moment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0653_HL7 W0653 Risico-inschatting VGV (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-24277b5d-cad0-4421-9206-71decaf239c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3a736611-3db2-4731-a948-f3438e4488de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ea6d36b3-b80e-4f0d-bde5-1b43b1f6ea6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d976ca41-0327-46ca-8940-0fcfa48b12b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-43f0c90b-e710-4e73-bdc1-4290fbc29108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8bfccb7e-443b-4523-b5ac-54b839d3b222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-515e6e03-44ee-4271-9b07-ced21c3d5df3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7415f634-f5ef-4756-9045-31330f78cc49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9058937b-0161-4791-a57b-8efc2b482966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-001a3213-48b4-4408-a2e5-ce4012dd481d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-209f44e8-6baf-4818-9291-e59c46563670-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ac36dc29-b8cc-4843-bf07-7d61242b6268-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a12210c3-870b-43e4-9d4c-154a756896b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-21152399-9996-46a2-bedf-1b184d8c42ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ffc97469-9ee7-4aa5-8867-6301589e76a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c024245c-1c75-4c12-94e5-3456c4ece45e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-129c548a-ada6-45ba-bf3a-cef3d600392d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-777f8168-3ce3-4b8d-af81-f95b7d489f5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f14c4746-735d-4fa6-a06e-a04eb379902f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d83d50cf-369e-43d6-bb93-5264a2e873c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0467bde0-da03-459a-82f6-95f0fde16918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6dafeddb-c8ea-4993-a998-c8af3cd4c00f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4dd0fe21-34b3-4684-a539-a17fc881f1a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b8cc6cc4-2ebe-4d76-8299-c6d95ea8f8d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e2b159fc-1aed-44b3-9c97-cee6cb944b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9e90d89c-5fd3-42fc-9d82-b3d206352b34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9955af76-689e-48ff-9783-4a4f590fe78a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e12209a0-0053-4d17-9b9b-3c837842af64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d15c9a24-8b4a-4221-af48-c96269c915d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ac75f0e9-3119-4be1-965f-8d0a44b24da8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1356773b-0920-4169-b729-b6891e1d0932-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8e9def79-9ac2-4e0b-b415-56834a505916-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5c267aa5-8364-4028-b270-7cb97adc8f7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7f947f64-cf8c-459c-b3e2-d65b518fc273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5e17441d-c0a5-486e-9bc0-aec6d3c8f049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-434db338-db5e-40dc-b8fc-ebd9dc63beed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5acda208-d9aa-448f-ac45-14759b1f3c21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a23ad325-d35f-4a3e-917a-8c343cd911bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ee7d5c93-24f2-4a69-9add-5143c2c72b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-402dde2e-4844-460a-a5b6-f63d77290c15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1414' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0047f282-67b1-4f55-954f-23b90821a1b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-87e31d0b-618b-4382-acb0-e3b27cbb3079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-09442b68-3150-4975-ba11-eb29892bec33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41415']" priority="192" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41415'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41415' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41415'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8d85f3ad-173f-4a1f-b706-cf6dece39d15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verklaring_tegen_VGV_meegegeven): de waarde van @code/@codeSystem MOET ''1415' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c2238156-b4c8-44cf-a2cc-41feba5a13d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d9b32064-1639-4db5-b1ca-6add1c6fa1fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d9cf3fbe-ff7c-498b-84d1-0977117d0064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6251825f-37f7-4d79-a631-52eb10d6a957-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-cf6d8b59-9153-4db7-bd3d-168e978c0027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-51a79db5-5eea-4477-be20-331da1ae02bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-99894515-8d90-4c30-ab27-72c09362b9db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-195612df-97e7-47e4-8184-4a75f403facd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0afb597c-74cc-42c0-a1a7-bb495cb64e8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-46a84aec-b018-4342-8198-b307e4cf4d35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6e4db457-cc5c-42b4-835c-7b07656d5976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c7146262-07a1-494a-9bfe-10c63a87e3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4e5fb995-3361-4495-a8d5-046de91f4dd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4d247ad3-b9fa-424a-b9bb-6356e6d79ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-be04b4d6-6287-43fb-ae05-c4e88291bc79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-86279f65-d92c-4f0c-92e1-5ff4c8d89dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f85083cf-6622-498a-b7ab-ff84768762a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f0ddba31-1d1c-4e81-b539-fc8c080e6e69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d736929a-2a8f-4f22-b2c3-0bf1fa76f540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2f61a626-6983-4ef8-8a92-7271896c18ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b04dfdba-69b4-4040-a938-2239466808f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-57e5b753-95ff-4fac-9a40-4b0bf1aecc25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-df6a8936-1865-4f58-a3ef-3d7fadaeb04a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ccce08c1-86af-4579-b47a-e8902b9b75f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-68655dd5-7ca2-4f67-881a-3705759ae5de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2aeceb52-0a19-4b2e-85e7-0e8a5b482782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0400f58f-df36-484c-ad6d-efb80ad15c07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-58350987-99d9-4d8d-8b7d-d20a68b2e28c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-d38e1368-2977-4e46-a4d5-53d518b50dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c50e2d1f-132d-4f91-8d71-fc44afc9a8b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3610b87e-7761-467b-9c99-3d885886b345-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-313cfa84-f340-4d81-aed1-684a85c88ca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3b56119a-65a6-4dde-9f3e-7dc4b44e6029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f90a4e9b-92b9-4f1f-86bd-da9e37fcab5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b34e722b-eb1e-44bc-b5e6-147823e4fc4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f5270189-5aaf-4255-ac71-4d7b7406a717-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-3f5edb28-ebbf-4dd8-b785-a2ce813e295e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4ec8f6a7-25a2-4c47-8578-502ef98d59a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-84410435-1258-4967-8633-98cf37905f1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-757133f9-8325-4b66-8b2b-51e278f9ace8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c3938d77-e7d9-4143-9a57-f60fe0d5f0a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1415' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a9f1d76e-edcf-447e-9db1-dc49d80a5519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bf561542-d51a-477b-b049-d6e48b9e5ba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5d0f5a79-829f-4af4-ab35-b52b69448ea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41416']" priority="145" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41416'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41416' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41416'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-15dd421b-7c97-43d0-8f8a-ce93844222d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VGV): de waarde van @code/@codeSystem MOET ''1416' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-4b9dd20e-55f5-46bc-9d8f-c7d3d443835c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-71047ff5-7299-489d-8d75-bafa8989545b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-0c8396d5-9c4e-4d7b-a558-3bce04230121-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-19cca5a5-d4e0-4388-8d79-7df2c9f96fcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-6c720be1-89e9-4481-b90e-dce8cf5bd8c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e5dae416-db2a-46fb-b915-459254a90a53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7ca67892-0ce2-48fd-8030-ab2c94b1d02c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-40b66cf5-179c-44aa-9c66-efe2a7622bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-40ba2b94-6f6d-4921-9c6a-2c0d77f33773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-e2f9a102-928e-45af-9abc-4a2f46ad93c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-bae32bbb-1109-461e-b1ca-e8dfceb3ccc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f7e4e019-90db-4f9b-ab0a-914d8e51f0a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f66295b9-a34a-4b80-b5e5-c297d2d4b72c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-a04959b7-b55b-4ac8-87a1-af3afae0a418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-5c43ee44-f38a-418d-982e-dffc0608b71d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f132812f-53a3-4ad1-b69d-d028a32ca0e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f727a8e0-4a35-41b2-933c-f52f4128dd4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-81917b2c-0c72-4060-9522-02cd2d7aea19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2fa7c3ca-f021-45ac-8a43-6812d39efc47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c42af945-e86b-4858-8da9-8ac03bd035a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-48a1d791-841d-41c0-a617-f3836c7f92d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-72ef674f-80f2-40b3-b248-09635d2c50c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-fbf0b44a-ec49-4126-aab4-6d1483830054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-1811cb78-ef62-485d-9823-fc6a2b1a8b8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-2f4ae701-dcc0-4814-85d9-5e51e440d965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c4b059ec-b95b-44ca-8802-603481e76192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-b7888fb4-8c51-4d5b-b97d-fa5654db0d8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-8c42f0d2-aefb-4863-b8b8-da9a06e2f086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f2488034-cf6a-4e03-bef8-fc0a78e2e247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-193eb8f8-bcfe-4c20-9493-f63fa46f4569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M66">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9c30ff94-a2c4-453b-a356-1c292cf57a82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-f90c849b-9d6d-4ea0-99af-a5880375ce5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-ec7df2d7-f4f2-46ac-84a7-00798b2a2ca8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-9ebb0a08-4c13-4cff-8c7f-f7229591875e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-fcf89f77-9de6-4fa1-8cbf-aa3673e59eba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-eec344ad-3c98-4c20-b77e-918e71128e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-83f9894e-cf80-436e-96bf-fd0026738ee2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-dccca94b-dfd2-4bcb-bb5d-a4532e08ef32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-c6b1ea4f-adc5-4cb2-8cfc-51c290be27eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M66">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-efeb7635-c34c-4304-9582-501976a167f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M66">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11013.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>

	<!--RULE tmp-7b3cba06-19fe-4b03-8908-d8dbe06e69bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11013']/hl7:component[hl7:observation[hl7:code[@code='1416' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M66">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M66"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M66"/>
   <axsl:template match="@*|node()" priority="-2" mode="M66">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M66"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M66"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11019Rubriek 19 Terugkerende anamnese-->


	<!--RULE tmp-4e0480e7-7732-4f99-94e6-33ba9fffd666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']" priority="1370" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac9f2052-36e6-4ddd-82b3-204cccc49509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']" priority="1369" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11019'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11019' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11019'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fb146158-d62c-4a55-8599-6e36ddaaeee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:code" priority="1368" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R019' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @code/@codeSystem MOET ''R019' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R019' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bae7ba24-92aa-4572-81e8-dcaab0cb6598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1367" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-19860f4c-fff4-4e3e-900b-fc75c133ccb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1366" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6500e131-c414-4b7e-9e5f-05e62d74048b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40148']" priority="1365" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40148'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40148' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40148'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a745a9f4-a97c-41f9-bf11-0ed0a0991f5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1364" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese_nagevraagd): de waarde van @code/@codeSystem MOET ''148' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3444c59f-5799-4595-aeae-7606ac1ea0fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1363" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-686ee0c7-cc1f-4879-9dd9-08ccb78b2eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1361" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e72807a-dad4-44df-8d6c-895629573712-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1360" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cd55b668-291d-4373-9f72-923de0b5613f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1359" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8c712cfb-8add-4021-9482-aaee23a5f33e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1358" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bede4ffa-2818-4009-8739-a6c319b8839c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1357" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c4abfa40-e242-4b2a-9cfb-2e090b13e750-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1356" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-43e29665-3edc-4e97-b26a-f4957491d95f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1355" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-310ca6f2-c895-45b0-830d-354c5fd13157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1354" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6bb2c1fe-f20d-424e-8dfc-d3457c6bb02d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1353" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a3f1146e-9699-4576-9759-1d50261a0cb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1352" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2823f781-197e-44cd-b7fe-27edd6bc42e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1350" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e9634caa-6173-401e-9ddb-ce4713ba8227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1349" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9d75b608-e267-4a1e-aaf2-80d7e51b5301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1348" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-03297dec-bfd1-4551-a51f-9a265265eff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1347" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-03582dd9-3f29-47c8-80b9-cd36fd7e414b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1346" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83696fec-1253-4bc8-969e-603f30baae78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1345" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f212a207-38a6-4498-84b1-8e7255e1d433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1344" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4b8e8f20-7110-42ee-9f62-11a6203767b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1343" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0bb91748-5fe2-4929-8de7-77a9661b2dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1342" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-92753a7d-3a89-4b25-adbe-b33cc63ec887-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1341" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c777d8e4-546e-4e0a-9e78-e63293d2bac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1340" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-20433bf9-82df-49b7-a863-1782916a0e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1339" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-be713058-afb9-4034-9282-b7fbcde9b347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1338" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2a653349-838a-4876-b1fb-6d7290028f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1337" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e91fa9e9-6c23-4aca-a39b-872944d75292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1336" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c90c8871-b90a-4b8d-b72e-372575f7dc9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1335" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3d00e56a-a5d9-49d8-9383-85e730005bf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1334" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5d473d46-ebb6-435b-b373-30a32a6e5b3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1333" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2eba3eac-5a1d-4ad2-b22c-dad271d6e447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1332" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-939ea68f-d411-483b-88ad-b2b485675f0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1331" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-70b89215-b06e-4171-a867-b5eecb025ca0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1330" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-916c9bc1-c0ee-41f2-8e8e-161018171a83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1329" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2cb7c204-d6a4-427f-832d-db452d03c9ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1328" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-869cb099-5dc9-4d2b-9d8b-a75756b1098f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1327" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f7a3cf29-a88a-441d-9d63-43359a2ba19e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1326" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cbd360ee-94b7-4290-af6d-9c289112b9a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1325" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e8a8c8e2-6e5c-4c1c-b4d0-524f806331ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1324" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9aaadec7-0a43-40f4-adcf-5f578cdbdaf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1323" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4a6daccb-2cf2-4b9b-8dfb-d48ac6dddf72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1322" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f69b11f2-c5c2-46d9-8a69-4257778108bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='148' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1321" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-99415566-4d7a-44a9-836c-4b72b76c4af4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1320" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b4719579-6e22-4acc-81bc-21802a2d342d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1319" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f08a8e96-25ed-4e3d-a991-6b057688429f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40748']" priority="1318" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40748'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40748' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40748'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-55c86996-4efa-42fa-af46-7101c95107dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1317" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anamnese): de waarde van @code/@codeSystem MOET ''748' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-14ffa342-c12b-449c-a737-39acbeebd8c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1316" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1c05aaa6-c8a3-484a-966e-ff8af5d578cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1314" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a92460a5-dbd5-44a0-90e1-380d3cc65546-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1313" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2b7008c2-c1f6-4aba-b89b-a8b9d28a75a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1312" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-00781da4-9070-4fbd-829a-86f74e6f80d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1311" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-266325c9-1306-4964-aef9-609301189846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1310" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ed1d5792-1ce9-46f4-a72c-9a7ed8abb34c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1309" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8d2333f4-f0bd-4126-b912-5bba03b6b960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1308" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-da43cd2f-b586-4a47-af73-e97e8e66a657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1307" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1daa0a8b-2c26-4f2a-be17-1d8782cd5f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1306" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-313b2e4b-4fc9-40b8-a040-3d4c5c158b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1305" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-33bfc3b5-944a-4494-a451-0a018ddd9518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1303" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8b3118e7-7a72-43e1-a4d6-be064577d6c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1302" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39502174-b701-46b5-8d2c-147be57831b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1301" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5cb6dc8d-e408-40e7-9883-9a54408cea0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1300" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-87e7d187-4b59-4502-b695-1615ea159c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1299" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0b4c5144-2e54-46ac-886c-52d38abda556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1298" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1c354a1d-3c2b-4bb4-8974-ef63cba4b213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1297" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aa99aaf7-c92c-4111-8f0a-3b2cbddd1fe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1296" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83a9ab42-1a07-4e42-b587-9e6d2988c960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1295" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8a7105a1-8abc-47ec-a09c-f1512c917140-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1294" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-44a966f9-2bea-4253-82c8-2cec66998836-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1293" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4497d3c5-72fe-4c83-ab78-95a30a4e0c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1292" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3193b580-0f7e-4a0f-a928-e6240690cba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1291" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-da114395-1916-4d3b-9e4b-456e62666eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1290" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3a7234d1-1972-4187-9827-9531146c8fce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1289" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fffe8d68-4ecf-4676-bb31-f3de122a5044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1288" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-424a03df-d334-4c8b-a146-a4e2654fdcd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1287" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-42482ad1-0ccc-45ed-b296-b87e45570b7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1286" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-405b6129-514c-41b1-8bc1-c03b8eeb4faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1285" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-37b8920f-9222-476e-8308-e689134b8f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1284" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e2b8a742-b064-43e7-9cab-6157875403bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1283" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-79b53b31-5c85-4ac3-9768-f0dd281bccce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1282" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-abe1c59b-cb78-448f-b86f-54f07ec5e2a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1281" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ad2ba416-02b0-4c90-84a6-6ac1b28017b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1280" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-70bf2f1d-a1aa-46ec-bf21-d72fc3166c8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1279" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f6b4abda-c130-4aa5-a11e-6f4a3c89ce1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1278" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5a3b22b8-d0c0-43c5-9de3-748e433520b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1277" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4e222427-f7dd-465b-aad3-3c6393a9266f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1276" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a42b783e-c08c-4645-a501-cf70aed60d92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1275" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a205e0eb-a614-4425-a83a-5acb8aad0e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='748' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1274" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3148b323-1e6d-40ab-99e8-56dc0950daea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1273" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c2d59f8d-e286-428a-a735-a3ba12c5870e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1272" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-328583a7-bdf5-47ae-ad07-1bfdce8e8161-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40514']" priority="1271" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40514'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40514' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40514'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9aa372dd-b80d-4950-8ea6-6343e20149b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1270" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): de waarde van @code/@codeSystem MOET ''514' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-450518e5-5519-4964-84e1-2c69544c8e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1269" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0195_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0195_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): de waarde van @code MOET worden gekozen uit waardenlijst W0195_HL7 W0195 Ervaren gezondheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ervaren_gezondheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0195_HL7 W0195 Ervaren gezondheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3f9b0b9e-6508-4c5f-8cf9-a1c01075ab1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1267" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4424a841-d984-4a49-ba2d-143022ef5efd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1266" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b78d69fd-3a77-4191-bb00-ddbfdb09172e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1265" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8ae7e215-1788-4622-9540-a35a3e6f3e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1264" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea1b3be4-3ff3-4213-afcd-f51c74ee7283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1263" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-038fbb0c-d21d-4afa-a011-20f0b41408de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1262" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-10a68a82-0a3c-48a2-8135-7e3e77c35dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1261" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1893ba89-28bb-472d-abbb-7dd6444143fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1260" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-30b84d10-8903-47bc-b7aa-c1d6de431676-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1259" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97e9d7e3-472f-42bf-a5bf-c92ec270694b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1258" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9c0ab75b-5e34-44b1-b7ab-cd4a62ce35ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1256" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fd7b3973-eae0-4a9d-9e7a-919d01f061b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1255" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3f748ccd-3e5e-480a-b32e-0a67e955e830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1254" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3721dc31-a7de-408c-b761-d1f8e85e8a30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1253" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e15ae442-0b8e-4579-a1c1-38273ba4ad92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1252" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-915f37e2-d987-47b2-bcd5-2d55256e7c7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1251" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-98c04253-d12f-4a3b-9a7c-461a7ef8107e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1250" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a85485f8-2df8-4ad3-afe0-4b23b0692661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1249" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-928e3c51-d687-4ff6-a3ab-1cdd3bfebba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1248" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-36856153-b2be-43d0-b455-7254900f89d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1247" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c1ba5e62-8839-4f60-bdeb-6dee5535ee3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1246" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac99b00b-0d30-4e6f-aab1-e077edb9a59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1245" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-24af7b56-69ba-46c5-885a-78427b5fccf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1244" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-28992035-3f2e-46f0-9f0f-3917e7875edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1243" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c7c814eb-4603-4a85-a790-5a4d88108066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1242" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-acb85b12-060d-4bf1-847c-1b9e5372fb00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1241" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a239cfd9-374b-4eb2-9df5-1f0fc7ead45a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1240" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-de33a1a4-1362-429a-a2fd-2d475fdd2bf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1239" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16553bad-9118-43e9-8a96-66aecee01cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1238" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc2541bf-5667-436a-95a9-f85f9eb2d674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1237" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9044e223-7af9-4f5c-a564-377d0363eb2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1236" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-760a527c-1918-4b73-a7c9-8ad8b4eb7110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1235" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e1631696-8908-43dd-8a64-d176099ee994-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1234" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bc993631-ecaa-4da0-b5c9-58ea9ce1e454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1233" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1b14389a-6f91-40f0-813a-a0302b92a5fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1232" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bbb46e08-e5d9-4bf9-8df6-7782f53cf108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1231" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39f623b7-ce49-4d2e-a871-71e6bd3f5d97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1230" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-01087f29-cb69-4c12-a677-1c7474e729df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1229" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-db0bfb39-3a11-429e-a1d6-e8b627c60a17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1228" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-502d2a36-29b9-4b1e-bc80-76b52e051a64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='514' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1227" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-917cd953-aafe-4804-be67-04311bb2de92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1226" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-48980a44-1e26-4d5f-b99c-5b694ce58fa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1225" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9d8efa78-73e5-40fa-a259-9e27e83ca39f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40323']" priority="1224" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40323'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40323' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40323'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d9b9bbff-a573-4e6b-b872-4d456016408f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1223" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voedingeetgedrag): de waarde van @code/@codeSystem MOET ''323' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d4fece68-7dd6-4faf-8062-73e2732853e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1222" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-15bfba43-cdb4-4fb6-adad-f3049cf3830b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1220" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-388ad49d-7828-41f3-8ab6-c64d99f6f481-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1219" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aef7d8c5-6c61-4eed-849a-f9f3ceecb2ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1218" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ec4d05ba-3a54-4893-8710-a880dc2ce394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1217" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-87033051-2a91-431f-8b53-a46fc03e12b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1216" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c7f202ae-2738-4131-9e97-44704a629d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1215" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4db6dfd5-018d-4f79-b51f-30193e862b0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1214" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-31459cf5-a754-4285-8cb8-184a0bf6d5df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1213" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25fae882-ae8e-476d-8643-e8b25171f96c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1212" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d0110005-dea4-4125-afce-87eae7e807bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1211" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9bf743d5-1dac-4304-9e05-01a98067ef77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1209" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83974f72-d8a4-468d-9602-c6d0ea06f417-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1208" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fdabda69-3577-47c6-9627-c893d60b6109-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1207" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-daafb565-88e0-4426-a149-5384e79b18ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1206" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7520a883-ee8a-44d0-94f9-23c8401ba956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1205" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb4502ad-159e-4f6d-a58a-c875c323ea74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1204" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd2c3bbe-5c52-4f46-8e64-ff2b4b253236-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1203" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-decdd5ad-e55e-4dea-9027-5b081bd2d68e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1202" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-237ab475-958a-4966-a3eb-ff36248fba90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1201" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f57968e2-00d5-40fa-8e73-4b0dad323a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1200" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-96cd34d9-c0a2-45d0-a1a6-a6888983f8b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1199" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c647360-dad3-470c-9441-7938b0340188-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1198" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ed56a3f4-f203-47b9-99f2-a71fe2ed09e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1197" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e6bca6fa-14d2-4e6b-b74e-2e163740530f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1196" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-729dab67-f150-4ea9-8282-8d289125f388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1195" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-18e1b050-8169-4ccc-95d5-a89935d6ce93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1194" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d605d97d-c374-43b7-86a7-f7a2d0c419cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1193" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-90f1050b-7dde-4ff5-968e-1ee456a81316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1192" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-11885307-4acf-4915-95dc-d07758300386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1191" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9cf2f179-d9d8-4064-a4c3-7383dfb3c126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1190" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-de624c73-9e03-402b-ba4b-0ad39fd5d1e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1189" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e23a23cc-40b3-4c9e-ba2f-39569ce4cb93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1188" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a42cdb4-bc06-42f3-8916-2d501db31842-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1187" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e6a982f9-fd0d-40ba-8285-02ce39b22501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1186" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d01f2207-ddf7-4794-a9af-176af2cfb513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1185" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e96b9070-26ca-4332-b565-50dbe7fd1e33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1184" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8cb3217a-c8a3-4a38-be52-5740df436501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1183" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afa5402a-6f3e-4014-a75a-2a2b17c21547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1182" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a39c4777-b32c-421d-b00f-499980e2ecde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1181" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c5df5fad-069f-4bb9-a05b-b176af61eb5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1180" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-77090eb7-e9b2-41b0-8f97-4b0b72435b44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1179" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-812b09ea-870f-41f5-becb-0e3229bfac62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1178" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c3e224b6-170a-4fc5-a1d0-ebebab10e31c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40496']" priority="1177" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40496'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40496' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40496'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2dcd41fa-5c70-48b9-b4a4-a5ba93613d63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1176" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): de waarde van @code/@codeSystem MOET ''496' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fb944b19-f187-4044-973a-08a7753b5189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1175" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): de waarde van @code MOET worden gekozen uit waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melkvoeding_op_dit_moment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e5219837-9e62-4f80-8b10-729a6e1db924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1173" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-59eae541-b2d7-48dc-937e-838865fb2939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1172" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e4759dd0-2c8d-4c81-9194-8835c5b0c2e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1171" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-17e6f8c0-2768-410e-a1a6-b4b7e6dd768d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1170" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a4b6deb-2eb9-4219-800c-437866112624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1169" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac347607-41be-4a17-97e2-ba9163803330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1168" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0bc7de67-8cf3-43c5-804c-cfd31a293617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1167" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-66b26db2-daba-430a-af0d-1fd3b7db2b43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1166" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-55983cde-6fa0-4ae7-a300-a5341db2aad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1165" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c9c76326-5a2b-4a6e-98ad-99ea6f678309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1164" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1ae37e7b-917c-460c-9614-b0be45583ce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1162" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2428ea5a-400d-4552-942f-730d96a4c739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1161" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ab2cf033-5f60-4d4e-a36b-546289cb350a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1160" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5227766e-e1fb-4c65-af87-b6f9e7ac7c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1159" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-95d045fc-310b-4a57-9b52-c3eb44e0fba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1158" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-de023b15-0917-4d65-9b1b-361e386f08bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1157" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f628ad8c-eb87-4163-9a72-77c523ac54f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1156" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9bd3797f-076f-4e7c-80dc-f2a62af37cf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1155" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-999681af-78ea-435e-a443-c4953700e69d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1154" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3478d7d8-b486-4806-b590-50ed193e16f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1153" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2990992e-6b5f-4c4e-838e-02399c1f1dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1152" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4ceaeb0e-7c31-458d-8a25-b16c893ec710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1151" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-54454031-98f6-49ff-a06e-810140d4b377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1150" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e50ab38-98d5-4482-a47a-23975c7e45f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1149" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5350be09-0707-46a7-93d7-fe161c314b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1148" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83312808-8e4e-46c9-ae7e-378a26c4edde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1147" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f133960e-ee44-4ceb-b4db-111c999ef22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1146" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b8bdf482-c92e-4051-b91b-84d2226deadc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1145" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d0a6a8c8-2b94-411c-a370-290264b3ad4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1144" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b649dd2d-ce8a-4702-b854-edf2db08d6b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1143" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ba15297d-0983-433a-aba8-790016be59d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1142" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-563baf77-1efb-48ed-b8eb-46ee1b41f2a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1141" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4728ff19-c537-435f-a01d-868f7da7ad96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1140" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c1cf306-f953-4913-8a2d-f7a287e1b0ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1139" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6bb0bf2b-1ed2-4382-a1c2-aa2b7fed20c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1138" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dfc64cbd-1d6a-4855-a881-879b17c7afc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1137" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0519edc0-ee37-4c95-b2a5-7fa246d4d6cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1136" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e658440d-7cdf-4432-ac20-c0459d9a9c94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1135" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4590654f-5da0-4682-8c36-20754f9d7557-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1134" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0fce1cf3-4685-40f0-bc59-332b962618e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='496' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1133" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2b791eb4-7c2e-408d-a8e8-53ea8f5485fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1132" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d90c0cd6-2db9-4226-be8c-f28d18a81cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1131" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac239297-1f43-4305-9294-b2618fbfae5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41337']" priority="1130" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41337'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41337' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41337'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-32cab7ee-73d8-4102-8b3e-c40a4cc4a39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1129" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_K): de waarde van @code/@codeSystem MOET ''1337' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1be51d65-b948-428c-b8ee-706edfeefc85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1128" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e323205b-ee99-4cc7-9fea-bb2774289585-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1126" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5cac25b6-a57f-4345-a757-f8fb64ac88ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1125" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a31cae92-bbfc-4d37-8917-815aaf65c205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1124" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c62f7c60-ebcf-42ed-8fda-42c36b71529c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1123" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-43adff0d-ab87-4967-bc38-5daeb22fb62a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1122" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c2577fe-1f88-4498-a3f0-2faf112c85c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1121" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a9039e8e-1309-48bd-a6c7-b926ab70cf56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1120" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7e8d7e13-7e72-41e5-9398-1017a1905a95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1119" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea959265-ed75-41d7-bf55-7ee4f391d373-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1118" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08d7cc6b-e6c0-4f88-9f43-a435f943184b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1117" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb4089ab-fe60-4737-b492-df54099364a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1115" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afc93261-c940-43af-af2d-3b60cbf8853f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1114" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-67024737-2fe0-4618-99af-c3e6b4b9c5d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1113" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ae4546ec-31c0-4a6d-ba00-a5a80ed17ddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1112" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a8af7a79-0095-4aa8-bad6-dea09432d731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1111" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a90a0f36-b86a-4dfa-9183-d8f4245610bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1110" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ca2b4f75-4592-4222-b503-31e63c2935ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1109" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-595b4081-1582-48c2-b9b7-01218c067380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1108" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d7d4bf87-ccd4-45a2-a446-99c2838311d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1107" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e7499f2c-9c70-4c55-b555-075588e0c383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1106" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6205d1c5-e153-4763-ab86-cee944495d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1105" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d2d97b9f-b39a-436a-a379-cddd6035617b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1104" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3d0e5760-a829-45e3-9320-0aff93e7b741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1103" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dab6544b-2f01-4a48-91a3-ee6b78656256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1102" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fb1d06ba-c4fd-4b6d-b8ac-15a9ce1d338c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1101" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-639629a1-7955-4dc0-96b1-c5723c865b21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1100" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5b36eed4-9d93-4cdf-936e-c5bf8202e330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1099" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-77049fb7-918b-46a4-babd-25f29713acbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1098" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-272b5c1a-393b-4152-a60c-3ce2207d8d9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1097" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16d14620-e296-4cc9-9c50-6e8c80a342a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1096" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c7b6a267-4f84-433e-a96b-2f24c64d9b3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1095" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-463ee4d0-0d18-461c-91b6-884df9e8ee5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1094" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e91945a2-5825-4f96-92c6-64ab0c5e1613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1093" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-708009c0-0cd5-4329-82ff-ef1e0270621d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1092" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-56beee86-2567-4093-9d0f-54ec96124b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1091" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6c82e690-4b6a-458a-92ae-1bddce2ae5fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1090" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5bce7b4c-f2eb-44a2-8a8a-0c1ff3fd65fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1089" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f1f8185d-6c52-4c52-95d5-5b7900d8bcc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1088" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-78658254-5979-4395-a701-fbb3c1126a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1087" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c93ef184-bb2e-4eed-b308-c6b762b0ee84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1337' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1086" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5d11ec34-1845-4505-ac29-50e2e42cb989-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1085" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-47a65d7c-394e-4c0d-a64a-2404cb67a472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1084" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9862bd3c-40c1-40cb-82d0-6603ae79a2ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41338']" priority="1083" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41338'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41338' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41338'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1043c541-643a-4f19-98e9-6cebd66f3301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1082" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Vitamine_D): de waarde van @code/@codeSystem MOET ''1338' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-085004e0-8daf-4f44-bb51-22f9a5d3a130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1081" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-76932e85-925c-4080-8336-1e9f982a8e7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1079" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea5b74ab-f42d-4b7a-92a1-25166cdd31d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1078" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b81013dd-db59-4136-bbf4-2050db52a88d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1077" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afc7aa6f-3a2d-43ac-be69-3a997d42641d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1076" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d396f00e-a5e0-4b7c-98e3-8aac87aa5a77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1075" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-43939216-3260-45b8-9e9f-a539e39620a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1074" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4da9eba7-0268-40f8-8fbc-1f0b41282e72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1073" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1091ae12-c787-4a62-b7a3-ef955e4092fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1072" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-58fc080b-72bf-4e22-9114-3e21b2aafba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1071" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ca340e54-aa95-4b15-bfa5-dc1c5f2748d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1070" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4c689bca-55b5-46db-9dd6-24b07859b227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1068" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fe4b0a64-6143-4d44-8478-e3ddbf184d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1067" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0580c3d5-5b56-407e-8d99-44a85f1d6ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1066" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e0cb5995-4a49-4fb2-a8a7-ac8a0a3eec35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1065" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-92f30a26-a7a0-45f7-9da4-f57b2696542c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1064" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-723873e0-7e28-4ed1-a7f7-1cb53f8f5477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1063" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-72d0d9d0-6f87-47bf-820a-3647c578956c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1062" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-05ebb9fc-b633-462a-b4ca-778055691ee1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1061" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3239c1ab-558e-461c-85b5-2b0760a70661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1060" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5d652567-098f-4f3e-a078-6a9f5647a544-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1059" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-917ede2e-932b-4ae7-b8f3-40f41eb62060-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1058" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-489af335-0e6e-43ff-9d3c-4ac86a78fdb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1057" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-de158e52-f65e-458d-9dbd-ef41bedd822d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1056" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83f43f6e-1cfb-405d-8b31-f91c3a28d9e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1055" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d11ce340-ecab-4ebc-9c78-b10959e3b55a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1054" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bc0d14ec-d368-49a4-8c3e-b0b05042b519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1053" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ada5c326-8763-4cb7-bfdf-25585b293979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1052" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f9a3593c-8bca-4ed8-a138-598bd1a15566-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1051" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-54ad4499-035f-49d4-bad2-2949817d048b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1050" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fafce982-b644-45e6-8dea-117339038a2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1049" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-37d0cd9c-36ee-4af3-ae98-c681365e5fe9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1048" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-420e3128-fb22-4706-84ca-86d91051ab0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1047" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c85b764c-8788-4f91-8cf9-91ad96eef825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1046" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0ccd890f-8541-4e1a-b8af-f2c6aca65169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1045" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3ffc5b06-6462-4fc1-92d5-ccbd3af42ad1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1044" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-90fa322d-d878-4d48-9ceb-6138f4752db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1043" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7648f46b-ff1b-4bc4-939f-9f08e81dfe3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1042" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-127736cc-2e77-4ab0-b148-f7937922d0c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1041" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-15a8f01f-ab20-4b28-a32e-eaf63175f5f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1040" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-493721db-e31c-4833-b8f7-124ed733ca62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1338' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1039" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd9c4485-52b9-4c55-9fb2-42f24c97177b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1038" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b4bdaa3d-b521-4b26-9e99-446091b6f39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1037" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-697d7d1c-d8c0-4806-818b-3774d187dc26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41339']" priority="1036" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41339'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41339' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41339'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fe16ac2d-485a-4de6-bfcd-f2a0186b7a5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1035" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_vitamine): de waarde van @code/@codeSystem MOET ''1339' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ee7e52d9-a478-4def-a8c6-99c6aaad0c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1034" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-53963189-d653-466d-9df8-e131914218a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1032" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dcba5fd5-0ee7-4bf7-8c31-fe2c1ae24914-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1031" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc13fadf-20c3-4931-b639-3329c425e27a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1030" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7c7796f2-b05c-4122-a90e-53eb8f4ed9cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1029" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-31103bef-2c9b-4381-ac9b-824fc8cd57c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1028" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6c8a3ebe-f201-4a6b-b3f7-9795c82ad26e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1027" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e8bbbc4-55f0-4921-a23e-3ac700248593-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1026" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d05b0180-bc95-429d-8898-e0272b230800-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1025" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-825ae2c9-e74c-42b2-9ec8-a297b32c7aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1024" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39c38750-a67d-4407-b5f1-e6eab8c01eeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1023" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-368a66be-b26f-4d3f-9e6f-894eaa03ef1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1021" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd8ca9c8-8980-40bc-b969-ca32eb6a8fbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1020" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fdff4772-8b4b-4064-ae8e-9ea77456abb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1019" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bbb603ad-ada0-465c-b549-d189a48ecc01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1018" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d1918175-f1af-40ee-b427-6d311195dd12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1017" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1d8357a6-0f2b-4a5b-bd80-e8404f9f416d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1016" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-eafd1926-2ea5-40b7-a518-964e579d2f0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1015" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6828dff9-64c5-4d74-b3a2-efb5dfb1284e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1014" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dcfb7964-4a29-4441-9359-0a06027abb41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1013" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e6f64f2-fe64-4a38-8c2e-7e8d18c6b83c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1012" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7e28336e-7c3e-4bfe-bb0f-8db6ab375b0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1011" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7c424359-b15f-431d-985f-f5a0ad5ed928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1010" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-82605295-4c97-4542-ba42-a350f27dd646-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1009" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-084cd121-68ef-4967-90ea-8ce79aa07b4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1008" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-35a4f370-5481-4603-a1de-afce76a5956e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1007" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7e71baf3-73b1-49c7-906d-d0fc10bd0b24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1006" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b82f6096-8e63-4de4-82ea-f880e376a10f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1005" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3f74504d-0e51-49dd-a9e4-da51fae846ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1004" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-50ea5456-890c-47ee-ba4a-6d24e84746dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1003" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a31a50ab-8fb5-4946-8490-e550f055b39d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1002" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b96675b5-fe8e-4784-aacc-dc6eed37c17e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1001" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b8885aa5-2bd5-450a-94fe-8bfcf9927247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1000" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a4fde53f-cbc1-41f8-a402-aee81862b2e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="999" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-65f56635-2ac1-4574-9599-5a84a715cc8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="998" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-619b581f-74c5-4139-92da-078c17d13789-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="997" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-795dde59-e05b-4b39-b91b-11dc25597571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="996" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a5b02f58-861c-4f05-a870-0e60e6acb611-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="995" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1c0a55b9-df92-4da1-be0c-ffc862526eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="994" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-844d0698-8006-4104-8d8f-d1421411360e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="993" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aa1f011c-a60f-43ba-b348-91e724d42976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="992" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3e1beabe-bb83-4908-b6eb-10cc29cad77c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="991" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b1154b81-622f-4226-a55e-58a9eb7dc294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="990" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-35d536ee-2087-4239-9e43-b430e9bcfa9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40322']" priority="989" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40322'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40322' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40322'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c82b9a3d-f4f9-4527-9686-a5148abab382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="988" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_slapenwaken): de waarde van @code/@codeSystem MOET ''322' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-94e25d04-d5ca-4ad8-9feb-e04781f34733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="987" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb501587-ebdd-4ad0-b558-9718fc691329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="985" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9b3eaf53-5252-4d91-9067-5a6fb56edf90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="984" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd2e0760-d1e4-4b96-86fa-1578214737c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="983" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bbfb3dea-5355-428e-bd5a-f57aef0ae16a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="982" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8d673931-141b-4274-8c02-91777534438e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="981" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-03c0541c-f0dd-4ffe-a751-8d0a93ac1423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="980" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-29751486-d3c8-4bd1-9f41-a303ce882b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="979" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f325aa64-909c-45e1-988b-ed83ccd3110a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="978" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f4ef891a-e1ac-4094-a153-ba29b947f589-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="977" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9f160ff5-fd4f-4e11-a9cf-a1e33d886d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="976" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1f47149b-8ac5-4cf8-8864-6e7c13af8493-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="974" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-724d1d02-3183-4a16-9966-bc28d25c64be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="973" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9398edd3-a1f3-4ba6-a6f8-97c528988224-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="972" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-36088a78-fb93-4826-bdd2-92b92681c60d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="971" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b10c241b-7006-483e-b8b1-3f6b7517f802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="970" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4d2ecfa7-c2ee-43d3-8609-a5f1c4e9aebf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="969" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bdb1147c-8548-4a29-9656-d59eec92a215-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="968" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d722d0eb-c957-48f7-93b4-288e4c6f25de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="967" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e7dddb19-0ec6-4897-88a7-c32db39c8b24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="966" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1dcac532-9dfb-4995-b6f9-1e957191babc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="965" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ffe549ab-a51e-45c8-876c-08d1c059e26a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="964" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4208e5e1-9ab6-4451-90b6-0f37ebce67d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="963" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-98273322-f86a-401c-b17c-cf9072097bdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="962" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-89600362-61f2-4d22-945e-9b055c631c2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="961" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fccf5794-a45c-480b-921a-5682dd6e3a1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="960" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a6064bdf-db7c-4c5d-b905-7f8fc369db7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="959" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9ceb78d8-0607-4e9c-b442-aa0b890d3008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="958" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5edac3ba-8c04-45e1-ba0e-da8cb5e18d32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="957" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bfa983d4-bb03-4d5a-bd67-58da6a7dceca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="956" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1b4ef909-c580-45c8-8a44-0ce002bfce51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="955" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4e39ba92-8f01-444e-a22f-fe7b28058cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="954" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7b4a8832-0f5c-44a0-9b73-5fec874d1188-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="953" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9d11b9e2-3ba7-4b4a-bf8c-22bff0f2f688-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="952" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d0306479-8eea-4fb5-a363-1f4c31e3d55d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="951" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ba251ecc-65b5-4320-8c99-37aaf1b5430f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="950" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-abfaa82a-b4d9-4717-b9b3-9860a9c3831a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="949" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-460cca2f-660f-444d-a815-087d3c1950bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="948" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f14ccd19-8a5f-4f54-abd2-49e48efd4001-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="947" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bf47700c-eef3-42a8-85cb-63c450801d98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="946" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a2a7af59-366b-49a4-80ae-94a873bc6da7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="945" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e6563bcb-3ba0-4229-870c-7c7f30df9d88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="944" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4178a50f-b64c-44c5-82d3-9ec557ccce45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="943" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ab1c8201-ae99-4947-9027-728d6b5c91bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40179']" priority="942" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40179'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40179' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40179'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e3a3f43d-9427-47bf-8777-b97f515fde20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="941" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): de waarde van @code/@codeSystem MOET ''179' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2a5729a9-a8d0-4555-ba76-ff36c8cef599-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="940" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0225_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0225_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): de waarde van @code MOET worden gekozen uit waardenlijst W0225_HL7 W0225 Bijzonderheden mondgedrag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondgedrag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0225_HL7 W0225 Bijzonderheden mondgedrag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8d01f379-d467-4874-8119-95931f4fa369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="938" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d5e7feab-54cd-4706-9c3f-84d8c2f8a59d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="937" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97ea699a-3b77-436d-adb5-b336ecafa873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="936" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-71a8b291-4779-4587-8e51-a960617c8f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="935" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2bb40f09-5847-49c8-bc9a-467829bc6184-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="934" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bed34891-d131-4a30-a08e-7401fa06d707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="933" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-781522f4-b1c6-4241-ac99-7690773cfec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="932" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a5671a72-47a5-4698-9e67-deec2680d694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="931" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bcb79771-a9f0-459c-87e9-4f793c46607f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="930" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-174b69b0-8028-4c34-9d55-938a0fbd1dcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="929" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8e7f71c9-d2bb-47dc-a916-93e7868af3f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="927" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-60e90268-722c-4dff-9caf-4560bac8172a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="926" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4d7e2f79-fd90-4147-9410-df1c24992d86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="925" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea56ef6c-83e3-428e-9d99-058d760344eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="924" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cce7d4e4-d063-4e97-8184-b689a704bb9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="923" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f3acdf57-dd4e-4185-ac3b-5797093053c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="922" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aed58e22-ee0c-4e32-8c4e-da8955e8d04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="921" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0487782f-cfd1-4a62-b3a4-7bb37885450b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="920" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-46448af1-322c-4c65-9d2e-50af0a9be71a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="919" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f88a9a8b-63ba-46ae-8d0b-f9672df99e17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="918" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc87ca55-9821-4d34-9801-61cc0881e59c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="917" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c1e64e3-5daf-4df4-b814-15768408b06c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="916" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b3ca0489-477f-474c-bad1-a7a73e2d863c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="915" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9231d2a2-65c0-4dab-9e6b-ce4b89ce0b6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="914" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8621172b-6869-4507-a11b-8f1109f38775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="913" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c3082e05-5320-4721-b4bb-43fd379167f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="912" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-362a315e-a67b-469c-b49d-f7e58fbc0efc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="911" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-592aa04c-a1c5-40b0-8dc8-fcc4bfd50303-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="910" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7b03e577-366e-4e97-8503-f8fd6ce06574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="909" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c26a205-66c0-47d1-80d5-45c07aa94ddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="908" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b155c032-42c7-461e-92e2-29b3d1186f26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="907" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-900eb0b4-ea0b-4a8b-9115-1270177c770a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="906" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b70efe76-ac59-4fd8-9d44-7c79285f5a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="905" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a39cc277-557d-4c8f-a981-e90dd65f0600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="904" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dbf36fd3-f7fa-47de-aa49-c5c9826ef8eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="903" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7efb9d90-18c1-4c7d-a692-a6aee63e10c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="902" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-29aade64-ed4d-4ad5-b9c5-9351ab5d6ff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="901" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-990a4ae2-4558-4ee6-abf6-88b7af2a7f28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="900" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-15e77385-8979-47bb-962d-a547bf00cf31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="899" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9c88e574-c59a-44c6-81b7-55da37061c7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="898" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08278596-3ded-4ff6-8a11-41296267f169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="897" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6cc1e0f6-5b9c-4429-9a63-5162eab17aae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="896" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3b15763b-cdbc-41f4-bd26-3c91cb77b9ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40188']" priority="895" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40188'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40188' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40188'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-86151104-c40d-40ed-9c9a-6e04ddc4d6ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="894" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): de waarde van @code/@codeSystem MOET ''188' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9bbdf82d-ad0f-4ca5-a930-cd0cbb3f097c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="893" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0228_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0228_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): de waarde van @code MOET worden gekozen uit waardenlijst W0228_HL7 W0228 Poetsen gebit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Poetsen_gebit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0228_HL7 W0228 Poetsen gebit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1fa47ea5-200a-4c47-863c-75dc11fbf7e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="891" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c320fba-ce39-41fc-bb93-576d2d291c87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="890" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f86350a4-5031-446e-ad45-f6ba0e32c9e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="889" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e42941fb-95a5-4681-a4c2-dc0bf1c357c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="888" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9f74754b-ec0f-48db-9573-6385ce524729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="887" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1c425096-537a-4d19-b948-b7dbf2e74cd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="886" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cd40de43-6997-4aa8-a35e-6072585fd5b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="885" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5b06c3b5-0782-4e00-90fe-b3cb2dfaf50a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="884" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-851bd648-3f09-40f5-a9ff-402e0db580bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="883" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e6015f11-3c33-4ecf-bc6b-35c5dbfa8ebc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="882" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4bc70b67-d6dd-4cee-aa1f-75e800da41f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="880" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8001c9d1-95c6-4f3e-9725-0fbbac4afe60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="879" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8e16db3b-7c9f-457e-8116-10642487c803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="878" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97facfd7-b526-448a-b624-65517df5f5d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="877" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc61399f-cff8-4de4-8fad-2decf69f7d74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="876" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25e45474-a054-4989-8d4c-ac345d090938-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="875" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac7f3b38-4455-4e41-9845-3fe6facd685f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="874" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-602e0999-80fd-4fa4-917f-69baec4c5d5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="873" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a9c28db1-daed-4f4c-b88c-92dbfdff796d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="872" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-13218673-edb7-467c-a33b-50f2eb0c95cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="871" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7af90953-220c-422c-acfb-3399c8633e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="870" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7d30b742-a4e1-4096-961f-4cac877d1622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="869" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-01aec0d4-7eb3-4e79-9f9f-d2d7e4303364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="868" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0529d89e-f67f-4851-b7e0-ecad0e8cc3cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="867" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-da8e688c-f978-48bc-865f-6a18c0b8969b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="866" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fec507b0-bc5c-4bb1-ade3-eee7baf9860d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="865" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-766c3b65-8489-460c-80ee-ecc93f022362-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="864" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-36938a44-93f1-4f11-ab0a-9c541c4c1e9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="863" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b829c68c-4811-4cea-9b3c-a9bf9cbb6d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="862" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e3b5762-cc88-4d7d-9367-67a142adbdce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="861" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d496133c-ddf0-4ae9-b144-d85ceba374ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="860" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e843d499-1897-46aa-bf1a-e17eb2a790f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="859" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9ee3845f-9d93-43b6-a36b-593d8b8a6e54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="858" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4b53fb00-0c22-4208-94ff-7ea564f97ea7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="857" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea7855a3-fb41-441e-9bb5-dbf2a898a469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="856" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0faf5f97-1b9e-4f1f-b7c4-b974d2eeb331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="855" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f2901ee0-4758-43b9-9d59-0c7e4bebee57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="854" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6f47ca1c-bec4-4aa0-9ce7-f9f136df9627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="853" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-63c9d4c3-2165-4384-bf04-68020c6480a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="852" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-63587722-e5a2-4ab7-8144-a4fb5b00f317-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='188' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="851" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ff94e70d-cde6-4525-b3e0-f3526cc74ec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="850" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c69fc289-ab41-44d0-93f3-3b156f40a9be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="849" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-817eb23d-0899-456a-a8e5-9e7447a7b1f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40190']" priority="848" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40190'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40190' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40190'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83c51638-8ce8-42e6-90aa-251ec05a0eda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="847" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): de waarde van @code/@codeSystem MOET ''190' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c2f958aa-3160-46e6-acb2-c2096773e204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="846" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0229_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0229_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): de waarde van @code MOET worden gekozen uit waardenlijst W0229_HL7 W0229 Tandartsbezoek (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Tandartsbezoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0229_HL7 W0229 Tandartsbezoek (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-37ba5e52-0a5f-469d-9f0f-d6fb932f9ded-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="844" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aea6c9d8-644b-4ce7-b8b8-da2ca62fd9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="843" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ae95387c-5034-4f55-8d84-5c60b12350bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="842" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f0052935-032f-4df7-bd6b-6ccef58c2a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="841" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-33d2eece-1939-41b4-8b48-f22f6e962ad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="840" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-92769cb4-5b7d-4779-9583-98b1bab04e39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="839" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e8c3e8f2-18f7-47eb-a133-521260851157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="838" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b1ad8933-3e25-4c06-a243-5cf175a5b955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="837" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7dcd323d-a78c-490f-9df8-51fe1b75d7e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="836" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2bd36018-8bbb-420b-a80b-f5b49cfad814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="835" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3ace4d42-08cb-4750-9a8c-210765ae402a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="833" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8aa261aa-9017-46af-8d8c-82f6953b0cd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="832" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c23dcb74-060f-4985-b147-6dbaf07575ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="831" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a0131d95-df83-408b-b55f-7fdaffe73a69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="830" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e23f366e-0c1d-4f2b-9b1e-2857fcfdc0ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="829" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fefe3a54-d497-48a3-bf04-753e495a40f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="828" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-83c266ef-1d58-4285-adf9-4321b921be75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="827" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a5aadaa1-2406-4be6-993f-d89a0d88fd52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="826" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f7301f94-51d8-4dde-82f7-81ededd91b50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="825" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16132306-64ab-4754-8992-58bd391be9a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="824" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-577e4974-8c94-4645-8045-1d8741b699d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="823" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-20232e2e-5230-495f-acf5-eaf5ea5189ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="822" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d000ae6f-16b2-4faa-986f-6e051818249e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="821" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-00cd5a18-8036-457d-8766-2bacd8bf4e41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="820" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a0e6d7a-7a3e-4dfd-b298-9e03ddf25c2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="819" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-351320b5-f46b-4314-ae78-11deccb148e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="818" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-de69b936-f558-4d06-a32a-ddfecfa82b1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="817" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ed3b7ca3-69fc-45cf-8f9e-6896e95cc559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="816" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25365bee-3c70-423c-bd1e-c87a4c9f62dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="815" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3dc362bc-0935-447e-bb39-40f349d76458-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="814" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4027105d-0100-4142-9a38-320987ba24f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="813" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e2449f76-b908-4958-bc7a-d3bce5e7312a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="812" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-57c45baa-9555-4b80-a5a1-482d2fe66dc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="811" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-00047989-1829-4985-bb2b-61816456afee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="810" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-356e178a-be93-4d44-98d2-fdadb89da891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="809" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9645f5bf-5e00-451c-8723-16b20add1372-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="808" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dcf26774-f925-411a-945d-00a22cd88f72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="807" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cab43d17-c596-46d5-9d28-e075040cb0a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="806" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4b17e960-782c-4bba-9600-fb9348e0c61b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="805" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e55846f0-24a8-4b85-aa57-352c90e11850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='190' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="804" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f9918e3f-9aa1-4c1d-b849-68827e149a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="803" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f8fecedf-2cb0-4b2a-b9f5-1aa2aea7bf1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="802" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-70fa6a6a-b379-42b1-83ba-204e1a65c513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40510']" priority="801" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40510'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40510' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40510'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-553953cf-d04b-420c-ae8b-f22c9357b4a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="800" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): de waarde van @code/@codeSystem MOET ''510' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-47474a75-7741-4331-af9c-8ad283f6dd14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="799" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0198_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0198_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): de waarde van @code MOET worden gekozen uit waardenlijst W0198_HL7 W0198 Passief roken in huis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Passief_roken_in_huis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0198_HL7 W0198 Passief roken in huis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-abb56492-e60c-467b-9f0a-d8f268e7a5eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="797" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-149df1b0-8cf2-4d23-b3a3-d28cbb607a5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="796" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9f08633e-b86a-48c1-8d4b-2835e6d1991c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="795" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-91b5ca6f-6b4e-42ce-b4c9-2772fcdfe698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="794" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b2145f5f-592c-480b-8228-adc86fed8342-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="793" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b5505d5e-fd83-4944-b705-18aed671ace3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="792" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb503360-d7e8-4adb-bde0-f1a8abc0fc59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="791" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ed0ccd6d-9c66-40e7-9356-17eec08806a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="790" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ef15896-6929-4901-909f-c202cff3d3f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="789" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6ccab600-4662-4ec1-b18e-52f53af99f06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="788" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-eecba400-5161-4bf0-917a-97e7d8f981be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="786" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-89484a32-918d-4657-a4d5-2bdc24259df2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="785" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-573ae008-0a5c-4dca-a0c1-0626ce5d74e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="784" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08a075fc-5771-4b99-9f0a-90b3f6b4084f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="783" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e197178f-9983-4e64-acc6-8aa10c05bd30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="782" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2c82a7dc-f062-4231-bbdf-cd41e54e11ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="781" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-333f42db-3d51-4c7c-abd6-0dc62fffb2b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="780" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6c136d57-4ccc-4388-9ced-cf66b45b43d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="779" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c93fbf98-9697-458a-8301-424d5ace5ba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="778" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2bb19b9c-6cdb-4d84-93a7-a5f2fe0ad6a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="777" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-69879790-21d1-48a2-9d5f-373e9b7f861b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="776" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d5484034-6b11-49ed-b746-7adc67864843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="775" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-30fbae53-fa64-47ac-955f-e19b367fbb1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="774" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-117b6322-e074-44ea-a8e9-41a3020d2359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="773" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a032519a-ae3e-44d9-b020-cd128b5050b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="772" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-045d203e-9337-4bd3-a4ba-b87f245b69e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="771" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e749416-d9e0-4303-936f-a6107a724915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="770" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f4e27e6a-72c8-4f1a-b184-4342e9cf7037-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="769" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fd9dbca8-20ce-4094-a47f-fb47d8f0d084-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="768" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c4990f99-7f30-483f-ad8a-e7264bba8dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="767" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0927c2a6-247d-4e7e-9596-cb09875316f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="766" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0a16fcbc-9134-47e6-a3fe-84efb71bac7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="765" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8d2c7927-b9dc-4ef4-b890-474d4ed843c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="764" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6549ffad-cb93-4d7f-beb4-5215b24a35dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="763" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-795cf300-4e3c-45b6-9e0b-8fecde9901ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="762" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-46b35a5b-909f-4a4d-bfe2-518f852a65fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="761" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6dfb914c-b770-4d42-94fa-c9fd33216b49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="760" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a8744b74-a801-4bad-b96a-c52f8b7d9344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="759" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1ab70328-4f6b-4e9d-b731-6ac62d397759-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="758" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6edebd39-df7b-40c5-8a98-48ea6e5ce1aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='510' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="757" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f00ec72a-93a2-49f8-80d3-d6412a89760c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="756" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bf5f3f1c-4618-42a8-ba6f-00eaf9f188f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="755" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c58833d7-046e-43b6-ab08-74ce5b003021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40330']" priority="754" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40330'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40330' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40330'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39934c01-ef4f-4527-b036-dca4d064107a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="753" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lichaamsbeweging): de waarde van @code/@codeSystem MOET ''330' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e9ec0c1a-7523-4dd6-906f-f630c1d2730a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="752" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5da9169d-bbd7-4ee4-b6d6-09c89a0fed3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="750" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-505aef31-00d9-426a-979c-be6b9de3c329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="749" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e9c8a1dd-bb09-49a9-8e19-c3fb7a649381-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="748" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4a77a63a-63a0-4120-aa14-804ee653cfc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="747" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-71e12e24-c053-49f4-a5e0-be94763e0520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="746" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4385a5a2-08ad-4094-b855-263bda0f6155-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="745" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e9c84b65-d54e-403d-a0b5-5ca5ad4661b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="744" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a1dbee1c-512a-4a5b-93ea-160f2e1224cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="743" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2dedcbf8-7463-4064-9174-2875c25733f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="742" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7fb775bb-bb2f-458c-8353-c737c3bf4e7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="741" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39735f6d-bec6-4e8d-bd3b-b1fc0846810b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="739" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-77876230-9e34-470a-9bd3-3fd5d728f516-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="738" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f054d797-14be-49b4-bab8-37461550d6e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="737" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8e30886d-fd69-4b25-badd-bb246825f88e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="736" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-59efa201-99b0-4f00-ada7-4b37b355a524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="735" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-61fdafe8-c8c7-485b-a520-8fa859726dc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="734" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8be98078-4f5d-48e9-9860-7c80311feddc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="733" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7ad65dbf-54d6-43b6-8601-395f811c4d1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="732" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-59ee78b4-aa29-4b5b-9968-211e6f854743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="731" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5e13b0f0-2ee9-445b-a07c-cf38e9342bce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="730" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-20051e28-5424-4a37-8b21-d0c3073d2103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="729" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6a4821e7-9cd1-4994-b398-c43f7bbbd263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="728" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a1b5559a-633d-482c-8d2b-8a9cc43d0265-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="727" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6f6bbb19-4f06-4385-b2be-574be8eb2a47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="726" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0d1a5241-82d2-4a7a-819b-cf3e712043d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="725" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-545b8a9b-f2e0-4677-abc6-bd330a23c5b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="724" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a8e171d8-bda7-4598-b0bd-734c39db86b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="723" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f0279542-5c9a-4a19-9e82-9cdb320303d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="722" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-daee0eff-098d-48ac-be53-67ce3143df53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="721" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-96fd2da9-6c3f-42aa-86ba-13b456951ce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="720" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3a17276d-ae9e-494b-8064-caddcc1840cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="719" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f7b2372d-e5ef-4fe4-a6e3-703b42574a6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="718" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-075f4652-732b-41f4-93d9-0d5733fd345c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="717" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8c8ded2c-0920-4a32-b0a1-78d082128d93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="716" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5031d128-06e3-465e-8cfa-5b5c8eb5b346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="715" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-28d50d4f-e713-4fea-946e-faf62fc53c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="714" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b8d535a1-70b4-4ade-9a81-664d766c26b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="713" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b962c8bf-f4fd-4c63-b5e2-9529cdae05b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="712" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9dc9f1d0-a52e-4778-a2db-6399191d6bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="711" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-10c4f721-55cb-430d-b0df-964b2b137793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='330' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="710" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-35fb5cca-3b98-4777-bc14-1ed50ccb7fa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="709" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fec372dd-9350-4a35-aea9-997d7d81a97e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="708" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1874a7b1-7195-4020-91fb-e8dce9047a27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40752']" priority="707" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40752'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40752' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40752'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-deb7cb53-5ce4-4152-9529-5b5601dd64ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="706" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vrijetijdsbesteding): de waarde van @code/@codeSystem MOET ''752' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7276185c-cf7a-4ae7-a627-7474f0e4c214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="705" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a4415a72-f577-4019-a4ce-3c1961afc57c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="703" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-815c968d-cffb-4426-b1b1-b467f4b84b7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="702" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0be070f6-aed2-49c1-b535-8379cc4e4146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="701" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-837991ce-d44b-4192-b427-36c87d4c1a4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="700" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-375d2ab9-a301-4da0-b59b-e75244962e20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="699" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e8d73133-db6d-4824-9c81-c5dbf102eb16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="698" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4646cc26-f95d-45a6-8389-e3b66fa4e604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="697" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-84873208-7e4a-42a7-b07a-72b26f468b85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="696" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08031aa5-c1ef-4032-8a78-9f2782bb51b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="695" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-57cc92de-bfa7-4380-ac5d-e83bf326caa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="694" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-33bbd540-a831-42d4-88e1-719ca1f0cad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="692" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b7517604-2cec-4f31-8eec-6d155f172398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="691" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f364b3c0-0952-446c-9bd8-b09782b20368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="690" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd91d0d1-07f7-4310-b33a-290b9b1079ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="689" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fe268d10-da89-401f-aaec-6287ac635df0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="688" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ec0116b8-a4dd-439b-8dba-e87456260fa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="687" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2dd86baf-2656-4df8-938c-4720f9934fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="686" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8b13fb71-511d-421a-9645-846098a12e9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="685" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-eabec725-6e1c-42f5-83ac-7373cf1f9f3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-68c0680e-dd76-4263-8852-5f89227bfc96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0a30045c-26f9-47ea-a32c-4f4f3d47ac87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-93656ac5-577e-45e4-9655-53c9da08279e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-015f7b5d-6542-4ecd-a52c-7fc069e828c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="680" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-99cab1b5-8a91-41a0-a9b3-75622d9f9f3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="679" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d53bef8b-321c-4c1d-a098-1138153e1f6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="678" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-be6c2f2b-294d-42e4-a5e8-2ffaaba9b69a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="677" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb21933c-2524-4035-a565-b9718f1d770b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="676" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b5f44046-a4e0-40e3-8465-ce4dff9f3376-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="675" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d1302b85-1896-4daa-a503-867541759d1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="674" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d66f2d0b-afb8-43bd-99d8-824927a98d8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="673" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-21cdcd41-fb65-4733-9b93-b56e07aee189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="672" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-14fd8c6c-7d6b-4356-a615-9935b9ac1a66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="671" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d12afabd-eca1-4d5c-94b9-1f5639271dbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="670" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a0428b3e-676d-400c-b432-210ef6b50696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="669" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a5b9cd6b-84d9-49db-90cb-9817f5eff792-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="668" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5adf5c63-2c44-4d37-bf0d-289c7d1e5e86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="667" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3ff72f6d-87cc-4f82-b97b-8dc7f73c0973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="666" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc6ba9ae-2812-4bdc-81aa-093afe90d67b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="665" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-58c68112-7020-4acb-a597-72d03a90b142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="664" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-efde4932-402f-403e-9c20-8aa8391fe7b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='752' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="663" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9122102d-938f-42d9-92ba-60d3bfb82ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="662" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3909b6b0-c2ff-42ce-afa1-ecc3dd3ce294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="661" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5b260cea-f8c0-4692-9106-6eaa1cc7d315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40753']" priority="660" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40753'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40753' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40753'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0919e101-296d-4bc9-9f6d-59153e8c57d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="659" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemdiploma): de waarde van @code/@codeSystem MOET ''753' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-28ea4d12-86f4-456d-83d9-9876ebccaf8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="658" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f18fc37e-55bd-4de4-924f-30e8d567af9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="656" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1a5b4b85-6bae-4195-a724-727b7d93b49a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="655" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9e0b6d7a-155a-4a6a-9ef4-2f21a2a9d274-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="654" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0718aab7-5ca3-4087-b2a6-280726d13bbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="653" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a4ff3fc3-080c-4695-8805-845c116201eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="652" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c0f16fbd-aab3-46f4-ab4a-452dd53d8b2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="651" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d039d0b7-d9da-4be7-bcaa-5f1a2e60248f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="650" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a648f04a-6a59-4606-b3ce-08a9662f7780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="649" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-72dbfafc-29c7-48e7-b66e-874298f53205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="648" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ff2c5dc1-d78b-42c5-b413-8c769f3ea554-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="647" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a4f2dfdf-cc5a-4b2b-b7e2-2f138efb6d47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="645" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0680432a-cef6-4775-a539-27009936b970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="644" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2901f01a-3f2d-4a2c-b968-37b7571d061d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="643" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8e5f9643-7cc1-4c45-801a-b2ddd9ed7812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="642" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0652b2ac-e4d5-4e00-94c8-37c02c6d133e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="641" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-874497ef-3174-4668-be14-4fd4be521684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="640" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ce81b9f-2646-4d1e-8b62-fe7bb794752a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="639" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c3cd191-4d44-4029-8baf-c56311c89329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="638" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-59188941-19bd-4935-b8fe-2bb3fa7640ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-01a334fd-1f7a-4496-bd4a-9f9c63a8665b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2827c3f3-8c1d-45cc-802c-c20d15311a5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f4f2b3de-8832-4881-ad0f-76becd3195cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1620df9d-7043-4fc3-a058-2f83a35cb249-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bc5e7398-1321-4cf3-8cca-75dfb47d3ceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e393cf58-ec78-4db5-9952-655d7e1955f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="631" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e77a231b-a88f-45bd-9dd6-a80368a53404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="630" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-46645d3c-4db9-443e-8ee0-43666000ff1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="629" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9ba836dd-bbe1-4720-afd9-27dc56a0c340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="628" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aff9ac60-06fa-42e3-95bd-bbd783ee6054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="627" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-80093f25-a341-4648-a551-bef2c5e8df0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="626" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-730f0337-9b88-4411-a804-84f7296d57bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="625" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8948bf9e-af1a-4a03-8217-00ef453f427b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="624" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-89188569-d120-487f-8258-7b049eb63f24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="623" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2a731587-08d8-4285-8e80-2a949ca1b556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="622" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-553366b8-1f76-4867-8421-db50f55feafc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="621" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-029db972-486b-4c88-a3a5-37376bbe9be8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="620" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e06ac7c4-ac4f-4be0-ac5c-33e9dff3d485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="619" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f58e5f11-6a85-4785-a8bb-891029e65c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="618" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7e575936-1a68-416e-9130-f1b5e8bb8b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="617" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-06b5af6c-4d07-4fca-96dc-9a58cce7d4df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='753' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="616" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-601f4399-9d09-4e92-999e-11590ce901df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="615" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b2c70145-4388-46b2-8b9e-f57d0af2c34e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="614" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ef748974-0f59-43cf-9703-61ae583ee4ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41378']" priority="613" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41378'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41378' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41378'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e0c7f533-6e68-429e-8008-424a7f82f503-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="612" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): de waarde van @code/@codeSystem MOET ''1378' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a3d908a7-b385-401d-bb19-2077e54310d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="611" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0643_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0643_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): de waarde van @code MOET worden gekozen uit waardenlijst W0643_HL7 W0643 Zwemles (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zwemles): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0643_HL7 W0643 Zwemles (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-42d57dce-f99c-4aa2-aa61-1dc9a5a19ee2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="609" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97756f10-4c3b-4d54-854b-61077ea6956c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="608" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-26d07e0c-2e94-48d2-9d67-ef30293cad18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="607" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-048617f6-cfd6-4101-8e38-b4ade37c0df7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="606" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-89ac52ee-ff33-4602-b162-3021dde9d32e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="605" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8011524e-7884-456e-8cdd-d6d8dd9effa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="604" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4c18ce0e-4731-4d17-b262-0ee4cf910928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="603" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2925c5fd-2402-4aa5-af88-846a0a39adbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="602" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6d935720-9032-4a95-8a1e-92bce8467e5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="601" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4dc85837-88e0-4915-87c7-578e99a51ec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="600" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ef02828-afd3-4594-80a7-9d5c76b796c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="598" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5b89c1ed-2d60-4b7a-a9d9-7bff67a48854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="597" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5c26507f-bf29-4c14-b274-8dc4589bee06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="596" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d1c5812d-1817-4680-9ef9-2b0209c6659a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="595" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ec433e19-e5f7-474b-bf6a-a7dec6fbd66f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="594" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-631c59ef-2622-44a9-8f87-4ec57106d5ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="593" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8aae6e64-2c7d-410d-81ff-70370d6b4e72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="592" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-31586e1d-80c2-42be-b9bf-87d054b38cae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="591" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f0733647-92be-4129-aced-df66147b5dc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-28dfa2a3-c8eb-4795-a5ca-4102931f90e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7b978647-9432-4345-9783-96fd56fcb7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2c6104e4-2bae-4bb5-984d-af6c6c8f8b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-80d037cf-926d-4168-aa22-39ea661dbf62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cf720dde-5319-4498-8bf5-91b6fbc9a79c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-30556f69-304a-4100-9fc6-c5a996e0467c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="584" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-929735ca-437e-4314-a607-4bc47c1b91c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="583" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f7bff10b-75ed-4e3f-8d78-88fbacea7e1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="582" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f9f808c0-7c0c-436c-8a5a-616551a20259-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="581" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7429cf7b-b371-4d56-baa7-ef85f0efab97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="580" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8a45757f-9565-4b32-a91a-76df8f039aab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="579" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4d23fee6-eaf7-4881-9086-b844a6e2a249-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="578" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-da35c819-a9bd-41ab-a321-ee61a8929c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="577" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c81b1db9-28b4-4c6b-8146-378af29713a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="576" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3489cf05-eab3-4c3f-bd30-af7887c1bd91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="575" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ff393b1e-79e3-418b-88ba-54be7911b3ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="574" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e8dabf70-aa8d-4f93-bf4a-7576a9f95540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="573" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a9224f94-8e45-4bb2-8965-3a14243fc27a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="572" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-54b4ff3d-f617-466d-903d-c348951a9709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="571" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ae16d3f2-ff90-47cd-9af3-5c6754e0f75e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="570" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-20c521b6-432d-4b2b-92ec-56f9d5be0bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='1378' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="569" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1ef70c73-ded8-444e-83e1-7b52aaa3b8b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="568" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3ed71c51-0d4a-4226-81cd-8a076cc902a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="567" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): element hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-688c04a1-e8f4-439c-9dc6-947625fc3429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="566" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster19): de waarde van @code/@codeSystem MOET ''G087' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-51872c1b-ed7e-456f-b5bf-ed1c47c9fac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="565" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ce177d88-e533-445f-9e3c-2c9af81cccda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="564" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-58bb8d82-f9c2-430c-8eb6-4cdb82bf9ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40150']" priority="563" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40150'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40150' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40150'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8311ee53-9a9d-4872-bfa7-c50f949793a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="562" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reden_opname_ziekenhuis): de waarde van @code/@codeSystem MOET ''150' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bf13fa01-e0f6-422d-a3d7-66f529f24aff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="561" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f346f93d-4dd6-4204-be7c-6bde61b0c364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="559" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f8abc92c-413c-48db-9d79-4dba22f69aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="558" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4b63edef-e088-4966-a5c1-f940452f6af4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="557" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25e13d9f-ad7c-4d93-9af0-1ed749f43efc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="556" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4fe0010c-3804-4f36-9c1f-df26e4221847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="555" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b0c9b9c3-674e-483c-91be-7712fed4ea3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="554" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dd79be31-6930-422c-afc8-8c84b0de2ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="553" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1788c099-4d56-49a0-91fe-3581f04c4db1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="552" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cc2d8d10-5e2d-4a7c-851e-f8e2cb472bb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="551" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-091243fd-48de-4bfb-8616-8f025c391dd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="550" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4c50a34b-8fa4-47b7-95df-f3de9a30b5d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="548" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a10cd262-0981-470a-8379-57b495871614-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="547" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ee04e839-c241-4ba1-ab79-0a6d2b01bbdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="546" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a3eaaf6-7a67-408b-9c63-31ceb12ae162-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="545" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-56f89084-9d89-423f-9a56-13b47e57dc8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="544" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-47633c56-8a68-48dc-9a01-7afb5fdf331d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="543" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c9d1265d-a437-4b4f-9404-3c1b7812269c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="542" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-981a17af-a692-43f2-b2ad-3cb2822e3da2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="541" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fdfa29e0-019e-44cd-927c-824fc0bfaa8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="540" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c1434ade-d1b3-4275-a6af-c57170ee7890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="539" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0f5c2c0b-ea47-4196-ba2c-32c7b1ac416c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="538" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8fa1051b-0ee1-437b-a352-b145a0ca893e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="537" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d980147d-0747-4f8e-a81a-04d9b98ed7c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="536" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3e6e2cc4-973e-4dec-b40c-8e5f0c71bb41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="535" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d119dab0-e9b9-418d-bcb4-f325588738c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="534" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6c384dfa-c392-4fb8-b708-f612c2f3dd63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="533" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6e0279e3-62ff-4064-8171-1fac17b764f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="532" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1da024a1-2d7f-414a-a9cb-2cf187ca7cea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="531" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1cc8166a-2e30-42ec-916d-47e6f6b4c070-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="530" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-605f4365-1658-43b9-8284-9589fdff0200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="529" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5be46e8b-4504-479d-9466-9a973d62c19e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="528" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f58c644d-287f-4acb-bab9-8b75a570f400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="527" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c7fcc4c-9aa2-4174-bae1-6df62ba48b16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="526" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8e9c4133-842a-4adf-920c-f82f5327705b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="525" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afadc5cd-8500-4de2-bc50-5cf1d125b776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="524" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5feaf73f-e477-4458-b336-9ecb9c475c28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="523" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-98df5304-d8a1-43cf-915b-a37606a136cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="522" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16c19cc4-4087-4b0b-a3dd-1255e0a14844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="521" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-91c38107-8cfa-429a-8a16-74d9d1edb1ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="520" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-72dd2344-98c9-4593-ab08-8471eb9c3db9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="519" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e8fbffc6-ba99-4d8f-8fca-d23b4fae2abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="518" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e913566a-ba5b-4820-87a6-352c41bc3dbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="517" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1a7e05ec-1c54-4f1c-82fe-2dcd107d8064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41412']" priority="516" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41412'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41412' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41412'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2abf5315-1ded-4bbc-bbef-ce78556d6053-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="515" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_opname_ziekenhuis): de waarde van @code/@codeSystem MOET ''1412' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-071ab3d3-37f5-4e25-966c-f33574c0a9a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="514" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cab620cf-368c-4edb-97cf-b69b4cebf24b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="512" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-532e872f-79f1-46bd-a0c3-9873ba061dda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="511" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c9821d5e-df35-4d17-b21c-161654e1ec28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="510" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bc6b05a1-effb-4bd1-b578-9d9470ef0048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="509" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3fc85c83-ede5-4e10-b860-af6dd4894b55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="508" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cc733432-d7b4-4da5-a58f-63b182f21940-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="507" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6d553a31-454d-4d09-ab2d-1812af95ebfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="506" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f9502794-415d-4d3f-9ece-32434932cbda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="505" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd64ee84-e2d4-455b-8061-0956a663dd15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="504" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-695bbaec-b148-4354-afd2-e25c3961447b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="503" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-09ea8ffb-292f-45cc-9dd0-6acd6d2a304f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="501" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-df8d6507-25e0-4e0a-a724-67bf86fe8e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="500" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b05c608e-b027-4d0e-9c00-9feb11a12987-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="499" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c5a2de4-cefe-4983-807d-71000a183757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="498" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e94fc13f-99e4-4f33-af1d-4d512633ad0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="497" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f0d622c0-d6f8-4148-88e8-2ca897b25720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="496" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e221787c-2e63-4e79-a270-d9e38215f301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="495" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-71f75e2a-1b63-40f6-8497-62af7ff7fe7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="494" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8ec37e09-2c25-4e28-82a8-2f343b1b13b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="493" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d78f5930-9d5a-4a4a-b0d6-34f70081df46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="492" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1ff73b4e-726d-47e4-af55-3909ddcab6e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="491" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-27be6e6f-9dd8-431c-8f6f-b03ed9578370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="490" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16f73e2d-acf1-4899-99bd-4563cff0a0e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="489" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e2083cda-87e8-43ec-811e-9101c5ccb019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="488" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-33dd301e-c36b-4391-a01d-bfad7ba365b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="487" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e873cb09-bd32-4621-9d10-6b0f5d2fb5ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="486" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6badd591-80ec-4bcf-ae2a-a31b79451da3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="485" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0dd44da8-15ce-48a0-ae84-5096f1e0da89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="484" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8afcf283-93e4-4f28-9514-271d1ff9bf08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="483" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7778d243-c964-466d-85bd-68b54d13a4e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="482" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a27adac6-883f-4fd8-9d54-0cc9a5322ed3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="481" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9545f574-6e48-4519-88e2-168378079240-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="480" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-48bb8421-b1e1-4e84-b4b4-a5a094755604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="479" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-89a22e01-3220-4323-ada4-c6d307812723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="478" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a742dec-85ae-4044-b06b-675b23e8584f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="477" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-def16759-de3f-4467-85b2-64706db6eff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="476" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a95d3085-43dc-4b6e-b12f-692585536879-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="475" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-378c049a-572d-4dcb-a9db-d6cbfbf2233e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="474" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f385b7ad-d0a9-4f56-baa6-5b266b90e33c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="473" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f6bbc695-17c6-4566-aa7f-c996d8797f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1412' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="472" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dce60a45-87fd-4a44-b8f2-81e91945e99c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="471" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b3e0df2c-9cd4-4c05-96f3-33f7ed4d712c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="470" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f8ded617-cd09-42ea-a3c0-740fc4a27e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40149']" priority="469" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40149'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40149' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40149'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2724d27c-c51f-4628-a844-654e8f4daf92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="468" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): de waarde van @code/@codeSystem MOET ''149' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c23bee3-ac7b-4565-8cef-abd5ba896afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="467" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='d'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Duur_opname_ziekenhuis): value MOET eenheid 'd' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='d'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-64b080ce-2530-4cac-bb20-0ac97d3cddc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="465" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb07ea16-1ede-4cb4-82d2-9e4d64dc2b44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="464" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d6c4b505-d0a1-4e1a-ba7c-3a1b21cb9232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="463" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f6b90e9e-d79f-45ad-95cc-ffb7d0c156cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="462" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1e982712-137c-4240-ac76-94e103886f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="461" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-22bb5960-c486-43dd-9ea9-154fa2e53e67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="460" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7c92f873-cb15-4b2b-be2d-030913b7f458-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="459" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9941201f-dab6-4a0a-ab02-b0fefdced3d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="458" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-caa83101-b58c-4cdb-883a-bf2cc4b17870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="457" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-39bf8ad7-5189-4983-a567-2e46e65238f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="456" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a072dd89-b8f9-4c2d-be87-ed3871644175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="454" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1c2e82c6-e0b4-4675-a4aa-ecf6df137689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="453" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c28db5f9-eafe-4d36-82e0-399c92e2a7a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="452" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e7bcae3c-7cc5-4820-ab50-5fd07a18fa29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="451" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-852a29e2-8c18-47e2-98cc-9c56b30f32b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="450" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1584abc0-8e1f-4c66-8d4f-d191f5057abf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="449" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4c326600-167a-42b9-9ba9-c9963405586a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="448" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-24902726-4926-47d4-a11f-1672cb625675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="447" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3d5980f8-382e-4e24-9a03-91b816ec5def-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="446" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6559fa7e-8d1a-4d66-bf7b-e35aca7295fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="445" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-62d9d0a6-e348-481a-92d6-2445fb22afeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="444" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-85021fb7-a0d7-4db7-9b13-d1eca820ed8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="443" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6eef677f-da1a-462f-949c-f8821f6cb838-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="442" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c4dd1cdf-c984-42bc-89d3-3166e6e60c18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="441" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afdee8f7-ab78-4a89-a9ea-9331edfaf025-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="440" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bb734f83-b83f-4b33-834e-64bb5cc5adf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="439" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5de2a6c2-400e-464f-ae69-112acd5a6a87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="438" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-11c2ab02-ab66-46ca-a2ed-1ab83925bae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="437" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8532977b-8866-4e5b-a389-25cd19848837-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="436" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3c3c8e95-9025-4e6e-ac9a-bf8542001754-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="435" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c626abea-0575-41b3-a413-72760c1b969a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="434" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-53f3600f-a2d8-497f-ab66-a5b9d64a812c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="433" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08ba6a91-37c8-4ad3-8351-a4cbd7011850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="432" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-321b51ee-4fb0-4950-9712-b516751324b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="431" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c42270cd-fb8c-495c-a040-574582102190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="430" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-620989dd-8c8a-4c4c-8f15-42ab150a3577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="429" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-318fe7bf-d7f3-43d2-9a93-a6dd3ec5fc82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="428" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-14d1e95c-7c0f-44ba-a41a-372395cbb887-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="427" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-19280d18-ba9e-4230-900d-24ac7432549a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="426" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-64b60118-9b84-4ae8-a5cc-21418bc0f2c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='149' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="425" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-19d206d8-e955-42c4-97ee-644c7ca277c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="423" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f03730c8-7f84-4f70-891c-9ece96e852dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="422" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d16d990c-ee8a-4313-a14c-e5d6307b1255-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="421" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-694aff2b-ce45-4aff-a99f-5d2170a747c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="420" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e63d4ba2-8c13-4462-9250-75eb2d71e4d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="419" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5725f5de-588d-4d9b-abbd-3894f49c4b87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8833d67a-f67f-4075-97bc-9904c746227b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1b983e0b-8f1c-42e9-a66a-03a03dc080bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="416" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8c9605ed-d301-4eec-97ce-d1761583b733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="415" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-930f5be5-b1a4-47fb-bebb-4c9055d1855a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e1e91e97-a511-4bc1-9224-e427b0458a69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1b941262-8dda-4907-8c45-8e1a229b7dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b5a73b49-8789-434d-a036-f470b403d1ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1a7fa4b1-e832-4551-ac0e-6d967126331e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7ca48273-7205-4e98-9280-cf3e5ad390dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-21848bb1-0b5e-4c6e-8b71-fbcadd15a91c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-addde182-9f33-45e0-9071-9f194438c91c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-91e2509c-70cd-4e13-97ad-5d1a78a45eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d8884a53-9081-43f0-8000-7a61cb6f9374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-373d3a75-1ffe-4bed-8d9b-01c71acf4b95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5b6c0143-9521-4645-9686-e16732c95b38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9806443c-f88e-4443-aad3-bae55f88d4ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9a45603d-cbdc-4ac3-bc0a-bb9152f70118-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ad60bee3-7fc7-4ad4-9c7e-eeaf3ba133f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-27eaa979-819d-4b5f-8f1c-5ef40a9b677a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-753a8a8b-68f8-4768-b7c8-d2181f076068-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a00be620-944b-429d-8f4e-1f45f8357b1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-142163a5-5ea4-4292-8627-4dc9d1257c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c2e2cef1-0b1b-4ed4-a2ed-e141b0921019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1f7a60f9-4aab-4812-baed-a8439c728993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-48f171d2-14b0-4882-a4d5-877b2681478d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-75d2185f-7eb5-45b4-a3bc-7544eed33088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b7ae75c9-507e-4efc-986e-76be75966005-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-693eeeb7-122c-464b-b04f-4c681ede9f0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f781fa56-777c-47e6-b204-2542393f61f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-67bf176c-6ecc-43df-a0f1-5e2fcdba25bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-57637a69-15a4-4fb6-bf9e-f0b4b5d5212c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="386" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2df71c6d-656b-44b4-9673-11a186ae8704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="385" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bee7359d-2082-4671-8572-c16d4fa7a06a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-61bc9de8-c7e5-4303-b46b-fa37a171fa0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:groupCluster[hl7:code[@code='G087' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8a5ab36d-ba6a-404d-a618-38a0bfbbb9a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-79c049e2-1d7a-47b4-b0f2-1f6beceffa88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e513927d-0da0-4930-acf3-5497683756e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40754']" priority="380" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40754'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40754' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40754'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-146735b2-a5d5-4613-8c0d-a8c427fbcad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consult_huisartsspecialistderden): de waarde van @code/@codeSystem MOET ''754' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-71b9c6d3-e20b-469c-a5d3-89e2c81ecfb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-86ab4db8-426f-4d38-aff9-dd06ca03c235-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-604892c3-74f4-471c-bbc9-11e7774cdf2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-94e07d16-2ae2-4972-b526-e1179aabac99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-67e7ba1c-c7db-46c0-bbd3-d65dad7ac261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fd2d6280-205f-42e1-80ea-2bbb606e79c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6609e72b-c320-4106-8e83-ee66039bfc3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8f137f0a-d483-453c-a58c-f8abcb69c84e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0c7b0a76-3c7e-4441-9e2e-fd393fc338ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f4cab51d-fb67-4cc8-ba8b-98d1735a8703-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cdae7343-2f08-4fad-ac28-a15e326376f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cf6c6391-8200-4e26-b1c8-cff9b712dd9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fe3c45e2-693c-4822-a1a7-342cb711b65e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-62b95165-6d5a-484f-a0fc-0d776a8bf710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cdefa6b8-d225-45a8-9d0f-d1cfe532e815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-68148f98-dabb-46ef-a506-b4e770f2661d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7a399728-1e5a-4805-897e-32fe77318191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d08c65a5-9a44-4980-8d4e-7514ecec748b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c857d9a4-b726-4868-81a6-da1ee7dd7008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ba9915c3-0efd-4e33-8780-fde4f2258ade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-50cee8ec-7a77-40d4-822d-f6d7c1f0f5b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8f996070-e679-4931-a25b-9838e580fb97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8aa4f522-96fc-43b1-b2d6-81db36829846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-88ff676b-9b64-49af-9ace-14c4a191d834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a6513d5a-215f-4703-bbda-a626043614a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-63a5a8d7-0055-49e7-9852-6465db0a2807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f5bb766f-9f5e-4c92-b61a-dda8e940ee7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6400a5a0-9595-41b1-a7e3-0e91ec765227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c38325d3-9a9d-4d5a-8e42-d0c130e9271d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-777df350-7a35-4cda-9390-7d52a0e12573-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6a2029a3-7285-40a0-878a-417c0781870d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3eead52b-a3d6-426b-8dd4-7ef42216cf28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c60e69ae-90af-44a4-95dd-256c57d03a18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4388a19c-538f-4d79-86b8-8cce065325e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0daeb24b-1755-4fa6-abdf-c747eaf326a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cadba273-95cc-47f4-a0c3-9cabd9a68f44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ec2edea0-3183-49d8-aabc-8d4b76ece930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-73a31bdf-87c0-4993-a2e5-db0ca366a0b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e624785f-ddb0-41ec-b8a0-2eee954d1ace-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5feb938d-5ffb-4f34-b5aa-ff9215046592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ce7b77a2-217c-4c55-a4ab-06736cfee516-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='754' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b0fc8675-f3c1-4f99-a999-2b3d691b6456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6284f842-9d66-461e-bf8b-d1df17c4a0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bd562558-1d86-4239-b9f6-ddfbb058ac27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40152']" priority="333" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40152'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40152' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40152'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cf62df56-78cc-4a06-9c94-ec5fbd00c648-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kinder-ziekten): de waarde van @code/@codeSystem MOET ''152' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d3e47d5f-b544-448d-9cc7-eb39274fb01e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0d5011a7-0da1-4efb-ab46-3dc0fd687694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1bdc664d-1d62-4701-acec-2920c4d9b654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-21927465-7141-4782-b177-81147c1724e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3010835a-e76d-4952-9804-dfff0e11f0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-36afb874-ce8e-414a-9fd8-02a5321f6be6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f5c811a7-b1ac-4f5f-aafc-dc890dce63f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1d423ada-2416-48fa-84c5-d477335ad465-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d9cc9b8d-fbdf-4a30-9479-48a8e6841952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ceb5f904-d68c-4f47-b3b8-b884abd27d7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0416c93d-1900-48e3-9394-00283c036bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-eeaeb35b-5c77-4ac2-88a7-533d15e6ca1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ed9ca869-b9e9-4a4c-816d-42d7a2390880-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ed7f575-fb49-4a4b-a286-0b1b3a5ce2dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0fb97285-7986-4025-912d-d50464747897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b5d29fa6-2e6a-48b3-9c92-573a53752702-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-613a7c71-1910-44ed-8a45-86a7d8101e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-957b6b34-a609-4441-be53-ca354eae74ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0e63e020-f93c-4723-9d5c-4fbef531bb3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6b329b61-3d38-4d4d-9b1f-4d41693a9a0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-796170aa-0099-41b1-8d7c-66140b7895a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b67fbd17-9ae7-48b5-ae4d-6d8b61923387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97442d0f-d38c-40da-9354-4a773a83f8fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-efc23bdf-ab62-4650-88f9-d88c3d96d57e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e3be4ca6-732b-4fdc-8262-97e1828618a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-afb8f95e-193d-4aa4-a373-8fe5bb3e72ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-73dc9f1b-f6ee-44e7-ab14-903bc48962df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a05ae154-8845-4931-8a83-8bcf6519634b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-35c5a5e3-0496-46d7-820d-2100e2f86d87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-009a82da-a879-499a-8307-19672029f139-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-26ea7aa5-ed16-4b97-9c03-7055d2e96d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1e7d4837-4bc0-4c00-b576-2316d35c89a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bac8eaa1-9432-43a9-9798-329ecf64270e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e63d9927-df3e-4ea9-85ee-fe366dc1ae96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bced2f5d-87f7-4a32-a68c-5b444b2ba3bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6f6abfca-501c-4421-837b-e2698e7b7ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-81494532-d1fd-4e07-aadf-44d271fb7a50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-88c5cd58-1c71-4b3d-bc52-827194ad1f15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-30f96de4-1447-4ce3-9267-ec8a36c6a6c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1bb3fe47-2948-4362-933a-8ac6ac2b3447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-91ed1ea7-fd6b-4c37-b8c1-f56e38c5db6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-590d5e16-8842-42ad-b399-9497d80197b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d2c5b3c4-c4b0-4476-9c4a-9d6d11ae84d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c3db493b-b2e2-442e-8dae-9edfb505c930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40153']" priority="286" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40153'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40153' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40153'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d52e6367-20c0-4d83-b3a1-96a8d1db3b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Operaties): de waarde van @code/@codeSystem MOET ''153' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-35706ac6-8eae-49a0-ac69-a2c545035a1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4db9db74-680b-403e-80f8-ace9ddebffb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-74785934-cb1d-434a-bd5a-8b26b5d16acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c679b102-1f03-4b85-9183-1e27a9d120d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1a3df681-0180-4ccf-be57-f47d44a363a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-aca2a648-ba3b-4b0a-8c59-5878e4583aa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6d757478-cfe3-4485-b135-919c6c0c98ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-05467c58-94ac-4966-ab8f-37e48000dfd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-736de777-d668-49c8-a687-c94171151335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-07a0bb74-9833-4839-86f8-9ec4b76446ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f80f1d14-fe58-493c-9927-f6683afa147d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-028addd9-78e0-478d-8cb1-847e199222aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2dffc34e-3343-40a5-903b-e20bb9de39c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4f74cc45-9c0b-4f19-bd65-8c2c6a797cff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-391a9e17-edd9-4f57-a22e-1073efff13ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e329d13a-9bea-4467-b973-e5aba68ecbc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e24e0569-f2ea-4cff-90bd-0e8e15e3717a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e27c68ea-72da-4666-8119-3747c5886dac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-74c2b4c8-a2ac-453e-9246-0d5c9b4a2bfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6c7c90f3-1e69-47ef-b241-68e4a8ddbcc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b176e5d8-5319-4001-b582-e3880eaa29c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8cbe5c45-aae2-4d34-b7ec-7c33c80ce835-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-523a94f5-b781-4b34-a080-a04e5419f692-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e41dc7ec-6f27-4ac2-8a8f-46c08682216e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b43b0e74-d33b-433b-8767-117e096e310d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a259f0de-4a95-4988-bdc7-7f032e237e31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-23715102-6d4a-4be9-944c-d2043bc7414b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-baccd43a-507d-41f6-a492-b1c445505ade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-12762ee7-4ac6-40b2-aea5-0717ca9b36aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9108a77a-888c-4f62-abe9-b5883bda8ded-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b7f9ec1f-e717-4192-b8e3-6ca93775f0ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a7f1ce33-f32a-43e3-a55d-725fb2bc87e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f21e48f9-088a-4531-a516-5ccb22c18c1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-36528924-75d4-4557-9015-98acd09ef653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ef1a6efc-4821-449e-8079-138ce6ec3ce6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25e84118-d363-4b7a-b87c-6ab02bc934ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e873dbe1-67ca-4a6b-b7f0-98652d4af2ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-917b0699-e663-464b-955a-6fd69130060b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a8a6cdba-36f3-4233-a056-863385213594-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-469da3f4-2af5-42d9-b5f8-bdd4b86ea7b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1790f80e-3eae-4e9a-8c8f-b65256594b69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-84ab6ba0-46fc-4c62-8452-7ef0bc3f07fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-06ec1146-39a7-4d9f-bc54-25998a74aeac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-31020e04-019f-4d7b-8c42-2f169bb4157b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40154']" priority="239" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40154'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40154' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40154'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fb293319-6529-40b9-9af0-0d25a1f0caa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ongevallen): de waarde van @code/@codeSystem MOET ''154' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8fea3329-edf0-44bf-9e9e-569ee12329ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-325df0c4-0f04-44f4-b71a-2f6d6cac8b78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8fecb48e-e855-4d71-bfd5-602c7fba261a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f866c45e-1891-4cce-8774-f2a72eec6514-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-810069ab-f892-4179-89a1-0bf2dbbdc8fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8677b035-84f4-4064-b74d-e366f0a741bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f038d906-b620-4b0c-845c-721f083f193f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5c5168ee-6235-4f4a-a7a5-311ffd98e95a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ff095f09-e7fe-42d4-981b-4692232323dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ac5c19ca-d8e5-49dc-916a-69ff70bbe843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0964fc77-a65d-4bd1-b6b1-9f558b1d0624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-968a6de2-073b-4ea0-ae85-aff27074a3c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e5a56b1f-3f72-443b-8e3b-8dfd5de7a76f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ea306b7c-28c5-4856-a3a6-cb07ec40c045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16e150f0-db72-4c3d-8b31-bd4172f4bdc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6a0f0b1a-cfa0-4e60-b3c0-0d231ec0aa63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d82b35d4-817a-4d05-9b97-c7b1fbe46850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f3c5a38a-70b2-46ea-90cb-820a9ad6d4f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b611fdc8-fd72-4baf-a191-14728c7907da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1bc244c2-59d4-487a-8f1e-fc493d97a70b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6fb6f6c0-ab86-4336-b5bb-8f0a9ae3e941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-797263c8-964a-490a-9ef9-956e10ea299a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6ef50628-8de5-4a09-b1bc-8d6497b66827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-013f8380-3dbe-4859-8bf7-b7ed799c6095-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-20e59a37-755c-4a27-8922-12249893264e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-00297f08-4f4d-4d1b-a7a4-e786b50effa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ebc054fd-6eb0-4799-9472-54c273ae2c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b9d8609b-dadc-495a-9db2-8a0772bef732-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6cbd3504-bcca-45c4-aa75-c2fa03a50df9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f64540e0-82c8-4e98-817c-3db714792c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4734b7dc-e7c5-4bac-9cd7-17b850bd587b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6773ffae-ab8c-49d1-9831-86c8891a28a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1dc84454-d901-4fa4-9859-bc35c08005d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ee7fb293-fb24-4a59-8d56-bcf944aa07e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ee682e6-c8ad-413f-aafc-2408e3131cee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-f02c7072-6f94-45e4-9565-765d33065fe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1a77a4ee-0062-488d-a50e-a5c681fb9133-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-17be8415-6bb1-4a80-865c-89ad85f1cedf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1479b3ca-b72a-48ba-96d1-cb90cbe92f11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-91c94381-86e8-4a99-8ee6-baef9596b1d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ffaf986b-2257-4fc6-89cd-78e315053dcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-33573c62-c4a5-4771-8d2a-18a674b00367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d20d9fdd-e188-4e2f-b17f-03abfa36c347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8f1dfac8-b1e6-4862-8aff-04fa399a44e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40155']" priority="192" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40155'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40155' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40155'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-6be7769f-07ed-45c1-9065-5a54db94ba77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Medicijn_gebruik): de waarde van @code/@codeSystem MOET ''155' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-16bc3f29-adc6-4713-9bae-ca4cd1eb3ea5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d8bf7a99-3a99-4c5f-b0bc-9e1f2dade476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4846b234-ef9c-4de1-9b67-a32658abfcd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-29d83d50-478b-4c1d-b2d9-ace46847ec62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7851a112-ab7d-4050-a1cc-90f164684eaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a8b07050-250e-45f6-b3a5-fc841dabe587-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d9ce909d-af86-4484-b25a-eed3c1e5e072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d5d460a8-7afe-462b-8957-98e871949011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b7daee1a-b771-4004-a91f-86607165ffae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e952e018-fdbe-4c01-8785-28561b489a31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0cf9141d-492a-4fc7-8610-86b4d1566353-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-895efce5-b2ba-474d-b16e-80f54860e6bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4f449215-f1e4-4bd8-869f-5dd761603d00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4dde726e-d99c-4657-a36b-250d77f1feb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-13679b62-d2ed-4a43-9e69-44a50a7af490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b0dc25aa-985c-4cb3-b6e1-0a2ea2d6ec3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bc7616b1-560e-4f09-bb67-54b6d00f42dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-79ca8171-1969-4493-bb67-289f52f1c3a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-00c4d105-5b9e-4361-b110-52663670ebd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b568b374-4762-4a4c-a32b-b68bf0015854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9fb951c7-e184-4cd5-b4d2-5600cb3ee91b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-2a7e92f1-cb7e-421d-996c-e2f8cc419142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-67051f1c-f1cc-4ddf-9db8-46f3f043357a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e3196cf6-7e65-419e-a1aa-57ef769d7233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9400371b-49f5-400c-a1f5-d4b26d60f990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-975d0ef4-12d3-43a1-8a18-a4758c6fbb40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ef598447-55e3-44f5-a8d7-760bcf9fb347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1fb82a96-8a06-48fa-b099-36a01a8fc13c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-157d7124-31e5-4510-8382-32ff9e6da826-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9427bb3b-52f1-4615-9fbd-00faa6500842-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d2d3bd5a-0892-461f-a53b-065fb6d3c215-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-25ada020-7121-461f-b347-5d454604bb74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4ed13ebd-77ba-4819-b47c-1fd587ed1d03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-30b5b29c-31c2-4b2c-8cb6-5ec2cfa147f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-b6e6a282-5ebb-447c-b4f0-38391dd99987-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-3dcf6ba5-c9e3-425c-be75-7239ec843694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7f647b17-87ea-42ad-8dc9-e686c112b601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e3bc78af-8a81-4ee9-b534-60b00dac5056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-9c4b71d8-c6d2-4cb2-9878-0d45973af0ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-4689c7a5-ee0c-4de2-b3ae-af574221cca1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-be1805e8-30ba-4cdf-a38f-63f740e3ee25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-c6b22772-8be8-493c-a4d4-481175187034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0d30bba0-450a-404c-afa5-ba8e943ae6e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ef7970cc-78a3-4ed9-98f9-4abd19a95cae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40755']" priority="145" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40755'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40755' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40755'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-73155ce1-f5fb-4a0c-9c12-152a9c123fce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ingrijpende_gebeurtenissen): de waarde van @code/@codeSystem MOET ''755' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-1d83f658-9b82-4c69-b8d0-7e4572a355b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7abf12ed-27de-4298-a565-247b07892a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-e1f4b1e0-2ee4-4f0e-9df4-87dd341d7fd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ab65a180-d425-430b-bbcb-fbec2a72f5f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-289fca15-56ec-4f3c-8fa2-89ec968c615d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-ba46ee2b-51be-4ef0-99af-da6304c31021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d37b2004-87e0-4b36-ade8-b8184d7c36f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-67026400-ffab-45be-9933-bd9d4de3e7a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-90c0154a-da79-4086-922f-af248effc443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-da7d0609-9745-4175-9aac-850d982163cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-63f93dd9-d700-47af-b656-f24d5b04388f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5a7b0bdd-be2a-4a05-829d-304ee0bb6c35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-08650d7e-e38d-4889-b10a-11fb2b0578b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0a1e606c-110e-427a-83f7-a4a1df253114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-0845d106-6568-4b36-8426-3d94187ffdca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-03953ba9-9641-4d66-85ab-e62d2acb8e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-5ae076a3-82f8-444a-888c-909119e61b08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-97a1a26a-963c-4ee2-a605-d059cddb6040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-51f6fe71-4947-41b1-a1e4-2d4cf1a0dea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-38b0298f-14f7-41f4-ac1e-a972a9643ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-7096ead8-ce13-4ecb-8b58-670848ad3cc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-a7d8281a-98e3-4d3f-be1b-ad9564d85547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-44da2ff2-6418-4f06-a839-50d15c33969f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-362ee224-3018-47d4-8e32-eb3e09821064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-d022b690-ba66-4d53-a917-7676123005d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-026ff6c1-fe2b-4cb1-99c8-6ad5c2c48346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-dc0912b0-a900-4d77-9308-958793b7ae78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-473abef4-ea2d-4167-8369-e4d52d975382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fa59e69b-9acb-4e88-8471-a2a431b021e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-8a4edff4-7647-47cd-a3de-300228f92cb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M67">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-11a50e85-5bfe-47f6-b200-f6189765257f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cd041600-1b97-432c-9522-1086ad32990d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-69c0abe0-a6c9-48b3-be4b-2e9bc3a85cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-77efbbd6-caca-416f-8e42-8f2276f60182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-bae0ee05-f6be-4008-aa61-0c04a8cdd1ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-cd42b47d-d6f9-4058-9a32-69e888b42ab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-db4c8671-c84f-46f6-bc0d-47d022a22d82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-857e5d42-64da-4a0c-b632-51e0c4d6fe49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-05cb2bf8-fcc6-44ca-8736-9af319b86789-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M67">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-fd5732a1-c80e-4a67-97e4-6da63381a07d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M67">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11019.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>

	<!--RULE tmp-327bb2ec-3822-4361-a46c-bb9da5de0dd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11019']/hl7:component[hl7:observation[hl7:code[@code='755' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M67">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M67"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M67"/>
   <axsl:template match="@*|node()" priority="-2" mode="M67">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M67"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M67"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11020Rubriek 20 Algemene indruk-->


	<!--RULE tmp-72faef74-330f-4c7b-b73c-9cb2d9667cfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']" priority="714" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): element hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2600279e-709c-4f01-995c-52aa4cbebca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']" priority="713" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11020'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11020' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11020'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6de1b71f-d264-4299-a929-cb79dcb786ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:code" priority="712" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R020' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster20): de waarde van @code/@codeSystem MOET ''R020' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R020' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-266dada9-eed2-4f34-a0c8-b0d30a1b5cee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="711" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8b499a86-af62-46a8-9108-4f74ed0caa73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="710" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2bbfec79-83c7-4743-96e6-52618fe27a1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40756']" priority="709" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40756'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40756' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40756'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f99da86e-9018-4ebb-a1da-cabcb23e0110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="708" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Algemene_indruk_verkregen): de waarde van @code/@codeSystem MOET ''756' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-540e0672-b03c-4211-8524-e376ce7d073c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="707" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a50460c2-5b02-40ba-a321-445bd8207088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="705" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c98c53b3-3673-485a-9207-e6eb2f7b3697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="704" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b5770fe0-1f40-4b92-a846-59a49a80c4ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="703" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2158a329-5e2f-436e-94ba-17b7218b7d3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="702" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ad8d6fff-72dc-4f1d-82c0-c4546b56f2f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="701" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-48861728-8764-4844-9624-364b6c0a6e6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="700" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2575060d-0864-43e4-973f-8cfd27b74940-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="699" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-986ad7bc-79ef-41f3-80f6-55c84ab830b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="698" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1340d87f-794d-4a13-b521-02b7f075c39d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="697" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b91ba1c8-a30c-48ca-bda6-af6df65d14df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="696" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-10d9e207-6ab0-4f69-8c5f-da26101a92ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="694" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b56e1628-4c55-409e-b06f-cbe7ad6e9373-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="693" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3bd575d1-a245-43a6-98b7-1709347df5f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="692" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-013bb94e-11cf-4ca2-af21-fd364d407c4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="691" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6b50dbf6-74bb-4436-a6dc-2c5fab7081a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="690" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1284186f-dd81-4e61-93df-dbf57215fb0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="689" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c0cd7ea3-f1db-4457-be99-e11ecfc602ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="688" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-172840d7-c252-47be-a084-8ac07b929788-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="687" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4e9f8f1c-2b6d-47b9-920b-92907e4c4f1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8f32fada-7065-44f3-bc08-233c90574ec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4e90284b-4b21-4027-805b-080fb139b9e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2a854ef4-fa46-4567-bec2-73ec57de2dfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b7d999b0-c8e6-4767-ab99-6dd0d0e17783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e81d77cb-934e-4913-bf5c-00ffd49d8181-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b6257f8b-de07-4bca-8215-1939f6d2d275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="680" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-adb8cd35-1f08-4469-ab18-cf331e942b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="679" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1b7aaeae-ee9d-4a60-bfeb-7ec3ce52ec03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="678" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-98a06c6c-93ed-4749-960e-4b0690ea4db9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="677" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-de07d0fd-0884-4f3f-855f-e9e68ca25c63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="676" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8d933e52-3470-4324-947b-dc6f7df20904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="675" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3991b6a9-5bd5-4d0c-bbc8-e045e7976564-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="674" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-aefd0bad-33c2-497e-8c8c-92e1949cefa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="673" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c6d1eec0-6341-4a61-b38c-95fc4e7cd1c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="672" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c91c58c4-f2cf-4812-a9ce-dd8db94e674e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="671" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-964a0db4-3142-400e-a337-0b5786ba20e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="670" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e3c635fe-9b8d-4ad5-b041-dbd6a3470265-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="669" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bf0c4b12-6cac-42c1-8e34-8db9c9fed661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="668" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-69b9f358-b32b-48e5-983c-5ad9c81ad64d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="667" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-eb741eff-0be0-4b9a-b2fd-0efcff9a0dfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="666" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4478cdd4-b828-4820-857c-d0dcda650078-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='756' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="665" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d57e2631-f3d5-4e9a-8ebd-47a9aaed04e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="664" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5b5a79ff-ffa3-4065-a548-05a0389729e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="663" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5ffd27d2-4ca8-4832-9a29-ce8841c10c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40757']" priority="662" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40757'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40757' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40757'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6eba7706-a80d-4a10-a3f8-338b7be37960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="661" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_ouderkind): de waarde van @code/@codeSystem MOET ''757' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-63c77bfa-117d-42bf-985e-fbe14aaeda2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="660" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f28941a3-c7d9-4e62-8bb8-108c75a25dcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="658" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-331b2eba-da12-4898-bc35-11235cbb95b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="657" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4fa36f4d-96df-40de-9a4c-5bc717ea2be9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="656" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-75c02ba2-96e9-4919-9d4f-12b6ac42aaac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="655" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3fd0cebb-62c2-40dc-b1ea-66d4118040c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="654" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-74e1d3e4-4850-4f8c-abdf-27d125f68277-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="653" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a3d51c33-6235-4fb9-95e1-0bb5c0dc227a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="652" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8e62d237-0f1a-4024-a359-6e121414f5f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="651" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8d0f7dae-bfd0-40a8-a021-281c3c2e4553-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="650" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1fe26cf2-b64a-4e6c-ad94-f1730ff638ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="649" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-441ae654-4d8b-486b-8764-2b1c64c12a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="647" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-daa4c364-4f79-4c76-9e0e-d322db1e2290-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="646" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a06eb363-ee7a-47fb-b1c7-2dbdffd3448c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="645" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2aa4d0d4-0e85-466f-8189-22eedcb8dbd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="644" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-89de355b-b6e7-4c36-9093-ad369fd8bcfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="643" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7446f3ef-2e50-4e51-929c-595bcdbeff96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="642" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-83b6fa31-0b8c-4119-9951-c66070922f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="641" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-14be87c7-3a02-4842-a9f5-5e1d2da4185a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="640" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0df7bf05-2443-4b28-a9ef-9a3915790af3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-49120a02-8ce4-4c1b-b1df-8b6349deb819-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-89c8ae44-b610-4d9c-b057-6b12d0ff5c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-991d52c2-6088-49bd-a6e8-2cb5a19fbd32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6bdf347e-1bf2-4ddf-b4eb-8981c5d1b08c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cf445a4b-d806-46a1-94cd-a4d3e154dc97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b982f9cc-ee94-47d7-aaea-f7242d32e984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0c6e9c97-e034-40be-9215-c1a1a2556d20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-df925223-9ee9-4dc7-b387-5695feffa145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="631" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-92ac0b27-e969-4b73-8769-f77e65d87632-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="630" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-81f4401b-798d-400b-b32b-14a99acf136b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="629" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b0d160ae-0c7d-4d34-9085-15479cc26d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="628" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cda7a7b0-c6a3-45c9-94e4-f133584f6ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="627" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2e01eca1-59ef-4006-985b-4f260b578cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="626" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5c38197d-fde0-4493-b46b-4f01eefe7e50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="625" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6222583c-522b-4008-8f15-13afedf29b3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="624" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-06f25908-2c1a-4aad-9c79-2a1939e4a7cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="623" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c01c8b1d-9a2a-4b5f-9d1d-7d2961d7fb49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="622" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-759f6e86-fb49-460b-9355-91f50768c471-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="621" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e23eef84-152c-4059-bb87-c038e5f04578-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="620" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9f31d5d1-4a6f-493d-be0d-0e429268ab34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="619" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dcb96f68-7b0c-480c-8853-3456c21938bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='757' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="618" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-152b88c2-cd19-41d9-a91b-f669e2a0859f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="617" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e9f74cb2-f05d-43e6-a72e-c1e302845270-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="616" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bbac0e60-4dc1-49c7-828c-48c591b9384e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40758']" priority="615" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40758'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40758' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40758'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4e7562b7-7b22-4e54-b2fc-075eb3fac618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="614" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_kindJGZ-professional): de waarde van @code/@codeSystem MOET ''758' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-15c50d7a-78b0-4891-8c32-4a509933815f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="613" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c27982b6-849b-4e70-b578-873acb0f53c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="611" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-62616617-dfdf-4160-ac8e-97daf844f6fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="610" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-22fdfbc1-c85e-4cbd-ac36-4213208e1153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="609" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bdd719f7-0f1a-4862-a1fb-5d237296e82f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="608" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f4b0dbb8-df7a-4efd-8fe3-07c5ada94f01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="607" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-86b19887-47d3-4f3f-8476-3ee1622fa653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="606" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f10279f3-31e8-4650-bcaa-6696bdd623ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="605" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b4ef6955-b9a9-4d1d-b0f1-0442c4503c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="604" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-51bb527f-4c2c-4c08-8d01-0d56b7c0055d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="603" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-56bf6c0e-4606-4322-88df-6d39e0536b5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="602" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-43502dfb-354f-47e1-8951-ab6a061903c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="600" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-414d1080-0559-4feb-9051-dddc95a46f9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="599" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8efb6019-73db-4493-aeab-0b64d243c64d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="598" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a2a38326-b708-4f93-8a0d-5b0e530b8385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="597" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7b9e9564-c232-49e6-92d4-6367a3db5b9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="596" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-37a229d3-98e2-4a78-b025-dc3db3576a95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="595" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2bd44b2d-31c0-44c0-9ed1-091325dc163a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="594" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-aca4e156-3aa4-4e4e-b23a-8a830eceedcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="593" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0bc11b4e-7dfc-41bb-8674-9ee84fa242c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="592" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7000cc45-d010-4430-a168-3e77902a3e33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="591" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ef05f441-d07c-46b4-86f4-69151ec396e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9c766f7c-b5b4-47ea-af83-234f34476f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-622eb53a-7778-4eab-9b70-e43531368e79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b7a0f6e6-a4fb-443e-98e2-7de42bb7a7dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-89cf2133-cdfd-41fd-a40e-4ba48c402b38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f028181a-cb9d-4322-8aba-8a8356d0ce8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7e473522-7f66-4ea3-b145-544ade2ff6bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="584" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d230add5-527a-4e11-9642-a4d06bd93e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="583" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2b058d01-146c-4243-a712-9ec5bca08ae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="582" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-045e7398-540c-4bd4-bca1-560ccb8c4420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="581" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-56688c8e-2dbf-454c-98eb-38c8f5c238ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="580" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fd6ce136-acb8-48b2-9727-c879c94cf134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="579" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-27149e20-08f1-4e50-8c6e-b7512b3326e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="578" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c92243c4-aae2-46bb-9189-7048e88c9748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="577" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f05a9d2a-c37c-4c12-85b8-88d5fab8184e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="576" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e21c8473-0876-4505-adb7-b9cd288f4a1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="575" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ff99324d-f017-493f-8df5-1f67ecd9cadd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="574" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-617183d8-b716-4f5d-9454-b6d5dcb0f676-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="573" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bd7ced00-a4cb-4b1c-b74d-be1a8f39a416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="572" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-180cdec1-3d8e-4b19-b1dc-580002af552a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='758' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="571" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-42c7eeb5-79d7-497b-a93c-f994021d4738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="570" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bbd00582-22f2-4b51-a9a6-ae005c5d1167-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="569" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-243c51ac-94b3-40f7-8c40-6c32e9183098-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40759']" priority="568" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40759'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40759' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40759'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0e422a4c-a2be-4c22-9874-bc8410520128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="567" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedrag): de waarde van @code/@codeSystem MOET ''759' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2d34cc3d-6794-4f68-9939-3b4629fa6852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="566" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a131619f-bd85-4d52-9343-8eabf7eea7fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="564" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b7bab3dc-c7cc-46c9-8123-b86f95ee9a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="563" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cbdf9d37-82f8-43d0-a4cb-393039041a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="562" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-61f9cd4e-7d14-4bac-9fdd-188a8f3ee200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="561" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a82c87d5-ffa0-44a4-91d5-f8fbeb7c06b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="560" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c1972ed7-0bd4-42e5-81b9-5ce3181dc180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="559" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0f022170-c399-49d0-9f75-74a9d282d123-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="558" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-705e8de4-a4e6-4b25-bcee-1044ec34f620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="557" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-eb85c05e-16f5-4b39-8e7a-0fef35729c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="556" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-126279af-28f6-488c-973f-ef712c1f8c89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="555" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e5373928-14a3-4fec-b8bd-3f74420906be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="553" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ab47505c-b6c1-4493-bc76-757559b980cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="552" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6568fee4-d12f-4db9-b091-ed9c933bb6ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="551" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-571e0111-8fe0-44da-9f9a-493041d23a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="550" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-969efb95-cae6-4530-8cbe-1a95f4824ccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="549" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a14d095d-074a-4826-a057-0f30246f8311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="548" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9c04f3a9-3473-4c6d-81b0-70f414389f48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="547" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-016f275a-c99b-4827-b4a0-a8a84210c780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="546" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e9faa8fd-d78b-4897-8a2a-88f2021f70da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-295b04c2-7bb7-4366-9475-51a758804868-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-485f6edb-d8e2-4326-9940-7ad40f1faf70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-61b19b79-046d-4ec7-840b-d6ee26fe1d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9d3eb1d6-3d55-4495-9c14-8ccd0421b61c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="541" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2bbfef05-ad6c-4ef8-8412-27470bc1c2f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="540" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ffccb010-4fca-4907-82b3-37d913b0ee37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="539" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5d70161d-4369-4abd-a964-940249fb84d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="538" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-72f8a185-1a3c-4688-bcef-7f7dcd43ac07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="537" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c27f062f-8d97-4886-9a71-ac927a00d2c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="536" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-af28efea-4990-464e-ba52-56cb0874df89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="535" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e9acd11e-c479-423b-8117-d3c688aa3ab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="534" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-368acd3e-fd65-48c0-bad6-4008243402c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="533" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-70342573-9d0c-41ab-bdd4-3835696e270b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="532" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-52dd6595-008a-4f47-8fb6-8fe8203da65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="531" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1afe91a0-e5d8-469d-853e-6a0dac87d6d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="530" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1eb015f1-313f-450e-ad18-26a4b146231b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="529" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-546c240f-f418-4afe-9655-6699c0596195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="528" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cee70cdf-9213-45bc-80b1-986ffeb15ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="527" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-52c84948-31f0-4528-b4ea-eb0fa0ed6bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="526" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-189b72a0-a146-4e91-ad98-f6f7814fdd7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="525" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-693d06ab-c582-4522-ac54-823db37504bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='759' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="524" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1a4ca677-efb1-48e5-8994-d9a97587f83b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d8049f4d-2f35-4552-95b7-949cdebbee13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6865a9d0-81df-44e0-8ea2-a713efbc49e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40760']" priority="521" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40760'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40760' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40760'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4afb499b-6ab4-4a80-96b1-c1dc5b6ac84e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Stemming): de waarde van @code/@codeSystem MOET ''760' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ff9d4793-bc5f-456c-bfa8-962ea71f0aa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-85d5d3ec-2400-401d-ac6a-efaf7cef1bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="517" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-813767f7-6832-45d5-97f9-33ddedbe2c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="516" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-852bda17-7508-47f3-948d-77b0da6384f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="515" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-170adbe1-85ad-44bc-8f12-267ecd8df0c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="514" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-da3f69ad-bc76-4b5b-83e3-ee5267c73a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="513" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-673b35dc-b594-4fa4-9cb6-0daaf368fa52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="512" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b341a3e6-4db2-4f2f-8286-9e8f16cb9185-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="511" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9326bfd7-3180-4b75-b71b-f62e4c8d8de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="510" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e8f429c2-ea46-4db3-a26f-ad1b709b6f93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="509" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3809d600-a3be-4187-aad4-aa10f3c20948-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="508" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4c9c954f-cf13-45de-83f6-f5dfc236d87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="506" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7ee200ee-fc38-44fa-948e-206f2cebbf33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="505" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2465d697-95e4-4560-b207-80ee7b2ed1de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="504" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4027089a-ea7f-463c-8640-a769ee25ab09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="503" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8a11dacc-27e7-4b0b-82c0-de711e25e914-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="502" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f02f1692-77da-480b-9074-93d3d17ca314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="501" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3a137f9b-847a-4cc8-852e-fab7ed76892e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="500" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d35c3975-214a-4cee-82b7-8fb9075335f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="499" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ab7e13be-28e2-4739-8e25-cf655fb07f79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8c2de38e-5093-4f29-ac72-787e47f6d497-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-386a2e0f-d7cf-4899-bc57-e06c1fb4ccf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b548568e-da46-4d4d-ace0-2f8d44a2e5c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-083967f0-3a83-4c21-bb17-92eeea1573e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-21b3b0fa-4f11-4ee2-962a-bc815745e072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-71d9b562-cfcd-48e8-b2ff-bccae2f6d9e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a27378e4-2b60-4ac6-8162-8df2ced313f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8146f477-b7b7-4bbc-979a-2ef4e6d31f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="490" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1d4369f6-5967-4b11-a1a8-2f1eef0324f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="489" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-51ed9741-93ae-490a-933d-93032d70acae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="488" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a27dc73e-974a-45ba-80a2-0e7f526b755b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="487" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-afd3d24f-8cec-4dc3-acfa-bc46efb51545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="486" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1787f704-c7b3-42b2-b819-b9c503767722-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="485" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3d16eeb6-e914-43a8-872a-1a308f0bb639-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="484" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ba2d617e-0b43-43c9-a86d-c3f29ac32c7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="483" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1f4e0f19-b27d-427f-a683-02b4ab343eed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="482" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-996631b4-6049-4d3f-a229-a24f88abfb31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="481" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6e5203d1-af78-4736-853b-59011398585f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="480" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4606d24e-5e1d-4df8-808e-7b510b12b450-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="479" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-52a4217c-a935-4d8b-907f-b6ddc4c0fefb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="478" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-74fd1f25-6495-44e4-ba77-dcb479c78231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='760' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="477" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-58b1b808-e26e-41d7-88a4-efeb5796cee1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e8553f9c-07f3-41c1-b00e-3770737ff446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c0303356-1ff2-483a-b2f4-7e99505e0e39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40761']" priority="474" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40761'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40761' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40761'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d305c941-77c2-4015-a8f4-524a1ad4492d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verzorginghygiëne): de waarde van @code/@codeSystem MOET ''761' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-28617dec-c916-4304-b9b5-ba6349a01b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-623e597d-a69c-415e-938b-03fabdd35cb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-58641abb-62a3-4bc1-b2fc-fbb78c631758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-be5719b3-6098-42cf-bcc7-f01f47f98844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1c398489-acbd-45ed-87c4-a172741ecb35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9ee590c1-5206-4036-b441-28ba6735093d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3007fddf-7287-4ed2-8277-2b2a2429c6a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f7256459-1f6f-4e54-9d4a-18b80dbe09d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-226d4a4f-d84a-4343-a825-ba633e1e9c3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-de63c9b4-638c-44c7-87b7-5cecc1742642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-30185244-d0fb-4ff5-ad2d-05a7db646772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fea6c7cd-14e3-4d79-a951-ef831ed08afc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b1eeb985-7490-4139-b367-f5ee4c4820b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f05fa903-ed63-4b24-8377-4777b637767e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2cf25304-dc5b-4c14-8876-a10a18d35760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e4c4e12b-2e55-45a5-ba72-5fadd9d059f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b4a9a009-e97b-43d9-b6e7-41041243f389-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-042a4c6c-ccb0-4020-a0ad-825bd9d5aa7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a4dc5834-191a-4e84-94d2-d0580827e379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-413e3dd4-450b-43ec-b1e2-122499967858-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8a0ee09b-a52a-4fec-ae25-bbcd50d22e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9c5fd7ea-2b2d-4f07-81aa-d30627138eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0345a590-ead6-4510-b5d2-e2f94fa75385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2c8664e9-1e33-446c-9260-85b6ce199c77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ac4c3720-2de8-4fab-851e-ce2ecf24e133-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e17955b4-3202-44c5-841b-0d1b2b7ff039-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3f744e1f-6d65-4803-8563-9a21c58af962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4321b08e-d6b0-49f8-aee4-31d621c08eac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4a426c71-7489-440b-b119-c5cf89be2f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2efcd61a-4077-4900-9f3c-e3753cb2646d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d067a7f3-d3b5-4d7c-92b2-e028d0752f26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f937695c-be46-4e1c-8ce9-ccfbea926828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ae36f66e-832f-47f0-a715-5e9ac2c64ccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4a16fdc5-02ea-47ca-b4bf-7f8de442e95f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8c8c1f0a-ca4a-4467-aecf-8862b302f8ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a50e5818-a4b5-44fa-9305-568ba5eb9b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e3c289ce-b800-4cd1-afba-f66ae600c6f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fcf2c10f-59f9-4f2b-9b07-60f84f8aa93a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dc5ff761-56dc-42f4-b69e-76953878b741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8df12d5a-6fa5-4bba-a049-8325ebd13605-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-02d9209a-f12a-4460-be05-78830be7bce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='761' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a316ad3a-1191-488a-8945-8c33ca8c6bf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-baa52a24-ac4c-4fa1-bca0-02ff128ffb38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-85bf26ba-95a6-489f-bcda-8e3de1e419b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40762']" priority="427" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40762'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40762' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40762'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-18b64b50-58d2-434f-9c44-6987ccb81b68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ziek): de waarde van @code/@codeSystem MOET ''762' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-01332442-c67a-4141-932f-2df2c0bed0ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cf7363a8-f170-4bc9-b37e-3141478ad8a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4ee905f1-aa23-4889-8a80-1f9cb8c27feb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-71065ab2-452e-453e-9a40-0ea784fa0308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-383c0293-08eb-4407-a6a4-f6856322bfac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c6a65104-1298-41f3-92bb-07ad0c37d84b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-764284ff-eb7b-455f-b654-6929d46922de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6a03e80d-4e73-4302-8d95-1968eddf9731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-eea4f811-1b6d-46f2-b50a-e0d915a999ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c572f349-2ec9-4880-bc75-66abee3560f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-aede24e2-41e4-4534-b0f0-59f19e682d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c219bb78-7b31-4ca2-85c8-358de6e561ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5b3ce418-5dba-4ba2-a111-da75ce77a0ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2899db43-1c8f-4fd9-95e8-e7d1b0410091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a5c0497d-c1b4-4ce7-a716-ced2966b5831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d05fd0b1-2954-40e7-933c-5ba429046d50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-067cea7d-36da-493d-a72a-5ff2be9f9f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5d55bb58-c447-44b8-944b-d4a4e7525a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f1a72ae7-a582-4b20-8147-c8693644a3c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b107d1c7-1f12-446a-bb19-8493bc097a71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-eca8a564-353a-4725-ab7f-f867a7859783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cfa21a03-3f09-459c-85ef-ccbf903330fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3bbde77a-4939-457b-af34-9800d85596a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b5e8dd68-973e-4210-9b70-5f96fc9d8a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3c19c0ea-47f2-474f-b710-3f5f9de18f65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d1e7f07f-8360-423e-9cf1-2842b86247c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-27831ca6-3615-453e-98ee-17f135c5fc43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-441c2ce5-ba3c-4cd9-8e30-88ba1fa84f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cb2e5084-cbd2-486c-8f21-c17bad238737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9b8c5973-e65f-4b66-87ec-1e0264f6e966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-68afd537-b0dd-4df2-b9fa-4b2b020857c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4516790b-1769-457a-885e-e9ddcb5597cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-52dd9354-11c9-48e8-8731-b0cca578af85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b2e8c88d-9848-4652-ba99-a1f875268826-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a10aaac3-fefa-469a-a9a2-1fa234a5fd9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4820ac92-e6ee-40f7-9de2-f073647e6dbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0cbe2edd-5847-4f3b-bdf9-006c9ce0a422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-753155de-f45c-49ff-aa86-29a0539a6a64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-155e4c30-964e-4a70-9fe5-c40e6d08c915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0696cc6e-9b19-4caf-8ec3-d52e031ce4ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-59f7303a-73b3-4a8d-b965-e56b3ca2c84a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='762' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-39e38a4b-7729-42e7-ab9c-213df9ff4a28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2f9c7cac-f278-4cba-9723-e7928778dd59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-13b2d202-d39e-4b24-ad6b-753d8abaf272-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40763']" priority="380" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40763'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40763' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40763'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-55719f1c-5549-41ed-8f03-09638655df71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voorkeurshouding): de waarde van @code/@codeSystem MOET ''763' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-10a33432-7d4b-4a90-aa08-27cbc73eaa24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cb13409d-ed5c-450d-a854-d074496b976b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-707c218a-0c3e-45d5-984b-be8213594536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5b34e5d3-6c63-4c84-ab9b-1ab30f506622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dd9e8215-eecb-4d05-9f19-39dededc2f8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-056cebfc-92f3-45db-9eb1-934af2029b59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fad6adfd-1075-4af9-853a-0c37dd46dbba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-37907688-7f5e-42c9-9a94-0c7e8ca359aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7867c0a4-366e-4a65-8b7f-f4e4c3ec7f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1c54f1a1-db81-42b5-baf4-d2da33f43e8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dde4fbfe-a65b-4175-be3c-40c297564319-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c88d8bd4-e8d5-4c5e-aeb8-6d68bdf56c4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a1e99a1a-9d38-496d-be6a-bd6a604edd57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2448f4bc-ef44-437a-912f-cac6d6652594-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6dbaf815-aed6-4b16-8ca5-774ee384cff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-de53cede-088f-4f5e-a237-e206633773d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-27d4339f-538f-4e6e-8ce2-461934f0ddbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2ab2cfd4-7bd9-4783-8a61-e005ab657267-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e633ebb3-a45c-44ac-b776-57cb6384e427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9acf3120-a0fb-403b-90c2-87bf89eb0464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7b511e85-20de-40fe-8d5c-ccf83e64688c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-19fd49f2-0c16-4692-a0cf-6d4f961aee1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2e9d80a5-9f77-4fa4-9db4-ab39e48d0586-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9d60380a-738d-4f3a-8d91-afe649fcd3ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f25ce8a3-f5f7-499c-a0b4-30adc17a9204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-32a6bd34-dbed-471a-8586-02275f89a919-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6a49c6cf-9fe9-48d4-920f-2d17c7b6b663-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-39ed48dd-9453-4a24-88cc-0e4246e3bd59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f25806c4-899e-48f6-9d14-abfb36ebedd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f8a23dfe-706c-4164-a3ca-580c249ca37f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-59018e84-80be-47e7-a3fa-8f5300b4fd7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-de4fcd35-67af-47a0-8d83-6277809882a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2d542997-fd4f-43a4-b73f-d2224d1ad89f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7a335dfc-6fc7-442d-9bf4-6b6b4e86b385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3ff21c23-6ae2-480f-98c1-11609d904884-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fce1cabc-b2ef-4f5e-9798-75252f801869-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e2950842-94ca-493a-87d9-9953c637ac74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-677141e7-1983-4359-ac47-8154efdb38d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e031b0ce-6285-4a14-8215-6b8cda2a8e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7f4bb6e7-3582-4be6-be90-6b5b238c5008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-55585a6f-0d1c-4040-8e06-750ea44ebff4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='763' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3a0ba95c-70dd-42c4-a047-23027c0478b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ba1f1139-31ab-488a-b352-88f5367c9bb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-40424765-eaf4-422b-b983-c7753b0bf1db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40764']" priority="333" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40764'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40764' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40764'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0239cf35-6d9a-4af9-a2d6-0e9d6fa8101f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): de waarde van @code/@codeSystem MOET ''764' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8f74ffd2-bcf2-4dde-a60d-45ca0972b3a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichaamskant_voorkeurshouding): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2dd57146-d798-4362-8766-2d20cca19ae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4a8a64a5-6d35-4c32-91b4-e7f473091a40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1309092c-22b1-4881-9026-00df7a0a7074-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ccfc45f4-2ffe-4be9-bad8-f4fac5d1ff92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-56c76e4f-fdaa-4368-a7d9-873e319f5f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bfed062e-c580-4c6e-b4ed-b4b50a7c4fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ea52a1f4-7a01-40b4-a170-7fe1a76d9180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1eda2784-084d-4128-90c7-1b95db10e459-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-52b018e7-e629-41a5-837f-9938b904a124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a17967a9-be0b-4364-8eea-555ca3d6d38d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-34b7ff0e-6901-490d-a761-c269b81db8e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cde858c2-bf29-4b52-94e8-4093288cd077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a575e730-9308-4fce-bdbf-fad23a986294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-235d4a69-76eb-4ab9-b284-83a5deaa9769-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-174326cc-34a6-4aa0-9272-e89a29add982-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ef60c9d2-9fa5-4bfd-9094-fd879abe61c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8c9d68a6-afd9-4cc7-9606-202336fc4abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-63eff551-12d3-48fa-863f-2f643f808399-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e0a7a4c5-dd51-4c89-a4f5-9111f5e518d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f4d31700-20e1-4844-b41f-4d095e6e3ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-000586ae-4d19-4b8c-901e-aa945d7a9a15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e90fb715-62bc-48cf-bb9b-2f8893eb7bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-631fbf34-2691-4723-b8c6-2092fd99e3c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-824ce81d-62f5-46d1-9afc-f6f0a1045f48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4b30b321-be3a-415b-80c4-ebf3b3e1f0e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-25749b1e-de3b-4349-93fb-84240d8cfe6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9e2517b3-a3fb-4cf0-98c3-11a2ddb918a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ab1ae5c1-a593-4bf1-884d-92035a5325bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1c847fd9-2fe8-4301-8801-8fb59d01ba1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f5342cc9-08f8-43e7-81f8-eec5ec2757b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-45745ae1-fb46-46c8-94d7-c0e88940349e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9fb878cc-63e3-4d52-bd08-3831632c499a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5eea3cc1-44e4-4421-bd52-b67cabab4bb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8cd261f8-359e-48f4-9056-4be1f0c2071e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-96b6ae11-0d58-459a-9ad2-34bf6500ed91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ffb5c5ec-3dad-43c3-9ad9-1911dd8e65b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2ca21bcf-0e1c-4f26-a9ae-75fc19e8ab0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-86e37bd9-76c1-407f-9c76-1e052ee322ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-36126ecd-0249-439f-bee5-11528b6d034c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-43428430-c62c-4f7e-8570-0f29be541141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='764' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-64b9aee9-8a88-48c3-98b8-4dbbfa9ac6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6677cfe9-b27c-472b-ae8a-e142db7e5b8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d1598687-8cf9-4fb3-a8a6-6731cbed4d9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40765']" priority="286" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40765'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40765' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40765'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5e4aca12-a20c-4e72-8e1e-29bf78e1d5f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): de waarde van @code/@codeSystem MOET ''765' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-be0d9313-c658-4e21-97e0-7baba0310402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0207_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0207_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): de waarde van @code MOET worden gekozen uit waardenlijst W0207_HL7 W0207 Bijzonderheden kleur huid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_kleur_huid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0207_HL7 W0207 Bijzonderheden kleur huid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0bbff0f5-613a-45df-9ee6-0c0ec76763b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e91e1514-b37a-43a0-b1d8-7fc6666850f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-70b654bc-1b9d-4b59-b950-01656d436687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1bc5484b-b056-4bc4-bfde-74aa4353ac55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-36724669-cf2d-4573-a662-302915af0aee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d8d14d54-5515-43c9-a13b-36a1798ca4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d7ddc6f8-c527-4c82-8dbb-f765a3992d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7f5e9bda-ad2c-4b6b-8c01-f03178aabe6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-97548ddf-5de9-44a7-8ecf-37414c0f87a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3d7a0c71-8a5b-40df-9dbe-bad7e515af9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7c909535-4d4d-4bd7-8b1b-2f170cbbdf52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b485a2e4-699b-4b88-81c1-7e45f7f69b37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-39fc81b8-1abe-48ab-bace-f53d5894ce5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-48438582-8427-4c72-b9a1-7776b2903b9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-249972d5-3c54-4321-8d03-560f61943542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-79899996-6584-47b9-b451-a6a4bdcee4a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b3da2d58-c0ca-4ff3-a3e2-b3e8e36be3f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2966c14f-6a29-4a7e-a581-42f3405a678c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a09797b4-0280-4fbe-9867-d3560f09f8c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a55091b2-bc72-482a-85a5-5e3cfb2cafe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d3192062-84ea-4b08-8244-d425dce4849f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a7e08a76-3899-40d6-9f23-c37d7c3b76db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2bb056a0-35b1-4695-85e9-919734d4c467-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-65a252b4-b528-4e2c-abe8-bac8789fecd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f308955f-6e3a-4c31-b6b4-304af07b3f08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-240e4919-780e-49c1-9899-c44390af740a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-45e2f33f-eed7-4e51-b9d7-1850463b2893-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-59865378-4389-49b0-b80d-7647229550fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bfa79faf-d517-419b-aa34-88cae8c52f4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-08b5a54e-847b-4803-871b-efb56a5c5256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-11e45752-524d-46c9-abd1-d97525eb10a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-16d5d085-c7a4-4f21-9b35-368bc900723f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-64e7f3b9-dc63-4a63-b671-ec9915ddcbab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7a75e4b5-2882-4165-9a57-4ccadbaed61f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f3af0336-972f-4e68-b0e4-fa0f1058c065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-07d2ab3a-f7f2-4328-9f01-986bf86e89be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-721902d9-08d6-4399-a9dd-6d0fe47982d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e3275fac-7393-43a1-b373-dc23ea5df7c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b8a61e44-24e8-47f4-94ba-d0560fb040db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-27750ac0-48b3-4eb8-b6de-7478d15078b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='765' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d993e217-aa7b-4312-93b2-1d6f41538eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ca84baa7-8275-4408-ad2e-dcfd0a4475f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-89f55fd0-69e8-4f88-94b1-5191f5e37886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40766']" priority="239" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40766'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40766' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40766'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c690a2a2-fccc-46b2-b6a5-d472e3a31709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_vermoeid): de waarde van @code/@codeSystem MOET ''766' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dc2e6430-d30d-4a32-bddd-adba0bc09161-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a6739519-db8f-4955-b12a-2724f4cae413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5733262b-18fd-4d96-b2be-d8a43a178389-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4b1074f8-f6ac-4125-9c11-1855c9449f44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7202e487-4a81-4e3e-8a71-035fd5822c13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-76770a36-8e40-4e10-b497-845b0696d61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6ef97956-c02b-410d-879e-1d490c141c9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-31a59d9a-c889-4f36-98db-4869976bc678-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b3bf147a-ea98-40d4-a242-6ff91f9da0fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a9b5ad1a-7516-428c-b9ed-cebcf693396f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ac3b06a5-04ba-4637-82b9-6edee9d4b323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b5b1b87e-4622-4ae5-8688-b23d24835c45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-88c9c714-cce0-4ac9-995d-6010b76e21e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e5468ea6-f239-4cae-8555-71572ed42314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-35967465-233e-4653-92f4-93cb5ddb9939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-128ed992-b70e-453e-a7ee-97019465163d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5ed79080-ce4b-4e05-a78c-1a1c6d8c7827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c75bd966-128e-41fa-8e14-c30a0467a821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b098d89f-63c0-4e51-9f35-18e697aa04e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-57a3a449-19f4-4ab6-8e5f-143a494ea7c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-97725fbf-6fe8-4184-ac52-b808115da4a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b50685b3-e169-4a38-b72b-20cec9ee66f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2d7ec523-9c2d-4559-ad82-022fd54b684c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-82445fd7-39d9-4a45-bc0e-3ebf9fe77b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b055bb64-d01e-43f3-92f7-ffea5b956ae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-cffac39d-b45f-4d2b-b633-45be40ecb6d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c4c7f8da-42a0-48e9-b2d3-eff0b34b50d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-98cd12e1-ff59-40f8-a91e-483f91892342-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3f1e9f1f-2093-4e35-8e5f-441fbed63cb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8b1cc518-ffd1-4377-bb5d-078cf359d5c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bf2cde81-b1cb-463c-912b-fec69df7f226-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-052a3663-9923-49ef-a5e8-89afdf0b51fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-93851076-7c2b-437d-a63f-c29bc87efe30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f0ad26d3-7d29-449b-aa60-104caf4013ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3db8646e-993a-4e5e-85ea-dcbc72c1d682-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f4ad9a2c-ef5b-4e60-92c1-6920660f3e0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c227ccb1-ee92-49ab-9b54-6f9d6f1103b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8343d1ee-4a02-4bf9-9496-2102071a3b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f45aaca5-0ca5-4912-847a-01ddc94624bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6b40edbb-c8d6-4292-8c77-f32ba98d0b57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-da0f880c-a7ec-4f4a-96bb-1627d2fdd1cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='766' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d57c6545-eb47-468a-b095-7f35595ec2dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-17d40f26-468c-4f5f-8d78-3aff72c8a8d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d0189714-312c-4c62-9017-a12d706d5aad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40767']" priority="192" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40767'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40767' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40767'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6d0ef326-0e61-436a-bef0-156cf2343936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Snel_transpireren): de waarde van @code/@codeSystem MOET ''767' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8b49e2c2-0997-447a-a3de-3b67f92a8718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-1e0d8c42-339d-49c2-a888-f58b4478ecae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ffe0a9e2-a1f3-4765-ac7b-3c29d1663658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-342244de-4f97-4da4-9393-6ca429a19d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ba262533-0018-4a0b-bbe8-4d8eb20313d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6e343f94-cb95-4c9c-8169-022ee7880984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c0eea596-42cd-47ae-b721-044df1f2d15e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9b1aadb2-6ded-44d0-afcc-99f82a431cf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a260af8d-a512-4020-af16-15bbfcda3965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3f01b7ad-3780-4480-b491-e8ad3eb26062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b63a7337-ff57-4041-aa65-48f60292e9da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-8a53852d-b28a-4b30-a0ae-a52897bf4e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-909154b6-d310-4f3a-8ad1-4f600712699d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-de80550f-ad26-4670-b9ff-8e7dfaae8a8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d66fa1df-e529-4d17-8776-9e71225b4f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bdc8f276-e567-434f-b1bc-326f2b0b3ff9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-933c9511-b926-490d-803a-2d9df53c3bdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ebb97e13-0c0c-4894-ba38-7e291c9eb7b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5868b020-d014-4320-8fa7-3ccd40f0552f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-726274ba-82a8-43df-bfd2-353889f396f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-09101ba3-4b6b-44e6-91d2-4d73365a63be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b0f746a0-d0d3-49c5-98c3-f11d431982e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ec596fcd-9bf9-4d88-8d6c-8d582ed64e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e31c94e5-7bd5-4184-bf2a-0af4e5e8e285-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-64d3794c-203b-4528-b935-c5a04197b53e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2816a9e8-ef4e-4a5d-a19a-e5acdf82a609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a9d1dbdb-eb5c-44cb-a625-27c1105c52e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-57705e5b-5883-40b0-a0cd-acefee42dab1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e86b4f30-5256-4f21-8d88-e0b521c4ebec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9cb77042-8110-4b7d-b9df-230a874f9110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-22351417-87c5-4e3e-b9b6-38e7ccb3dc20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e42a73dd-5313-4fb3-81ef-355f1b4efa52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-9b4d9b71-bb40-4d8f-ad12-350dde2ff708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2704ae7b-8c19-4956-947a-2022e4d1edc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6e88d64f-58fb-422c-9bdb-7157121d9c7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c15751a7-d510-45aa-95cb-76513e44eff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d10d7f3d-c1e4-4ab5-b13c-3d5c7b89bde3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7861a35e-84fe-4e21-9172-a3160eaca2c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ca83d1fb-9e3b-4f73-b103-fb2501e1515b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fa447eeb-097e-4e1d-8a56-1dad264bb27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-72081c08-6541-427e-ad5a-5a3b824b75ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='767' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-95c84ea3-f49e-48ae-a5ec-9bfd3f3aef70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-50b15b18-c478-42e6-a105-9f06ec0b7882-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f5939e08-f9a4-4401-a643-88e4b05ea7e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40768']" priority="145" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40768'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40768' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40768'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ebce5c15-9b2a-437d-a8c7-c63ecc3a52db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anders): de waarde van @code/@codeSystem MOET ''768' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-005b47fd-4b4f-423e-aa4d-d983e8c9334d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-b70f2a52-de52-4e5e-bb51-2f761785186a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2daf2ab0-11d7-40f2-a98b-6eb2b021c4f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c80737be-bf78-45d6-bb80-6df10c5f55af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6873fa91-1c94-4b3d-aebf-392af6e225a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-87e6b18a-5427-438f-a0de-bb1ad6b67eff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c885ccfc-7b1c-493b-9e10-a40328db0aec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-e2c86938-ac06-492e-8260-0b3ef9e7f968-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5c544a2a-6d99-4aab-bd2a-7a62bf9b5779-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a220cc04-d5ee-4788-a946-ba46e843fea5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-c2716146-ac02-4707-96c9-3df359ddb300-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-374e821a-d092-4b84-9f14-b65a39815472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-66a6910f-36ee-4f9b-98ea-eff20350ef9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-02a9cfca-c6fb-413c-a2cb-a6da223511db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0756fd8c-0d86-4080-a9ba-73c6231cd14e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-f31210a7-b670-4903-9de1-ceb64a607e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-2b82b5d9-fd39-427b-9eab-a71a3fc4a949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-bd1dd689-d115-400b-bf0a-8955ea4096b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-0f80ab10-25c4-42d7-8ec3-19dea59e84f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-3a304b9a-b8a3-4606-8429-3b18ec114182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-42019a38-3414-4d56-80e8-d79f82a29441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-4f626249-1916-4807-8a4a-468dfc5df18d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-34e25a30-2e7f-4157-8b9b-cbad4aa3eb3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-d1dd5e96-d486-4d15-8f15-72d329aa2291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-7922db2c-13d3-4457-a4f7-7b0310a4c4dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-55c46fd4-ea5c-466e-9fc6-65ff530f9d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-77af0eab-d8f4-4af6-b2a1-0f37c3a68c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a1da97da-a6ec-4147-8aa4-2b8f1a9b74cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-fc58b0ae-e25f-44fa-aeca-cf8e64b3418a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ddefd516-5c08-46e0-baea-9a32207186aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M68">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-01f18a3e-88da-47b1-b500-9cb273811572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-70eafc43-d378-4c54-b9a7-5828e30392a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-ec70ae76-cf11-49c6-8b71-81259dab5995-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-dbcb6119-78a3-4124-959a-1fa4c32f4640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-691e8123-92c2-48a6-a12a-6361de06154d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5c732742-5911-493e-b2d3-c8a150b56886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-6f80e717-3ca8-4ad8-81b5-91933d803d67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-297fcd71-349a-4650-8347-ff5be7d08d91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-a6f2d016-296f-4f47-9853-c84059feac1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M68">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-5bdd6ff0-e6c4-4b5c-bc7c-cdc11df7d7cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M68">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11020.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>

	<!--RULE tmp-914d039c-3fef-45dd-b280-935966fd00d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11020']/hl7:component[hl7:observation[hl7:code[@code='768' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M68">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M68"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M68"/>
   <axsl:template match="@*|node()" priority="-2" mode="M68">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M68"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M68"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11021Rubriek 21 Functioneren-->


	<!--RULE tmp-8ad6195c-f63c-4243-ba1b-882105e75f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']" priority="1325" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6d120799-4e4a-4ed0-b482-9645ec4203c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']" priority="1324" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11021'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11021' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11021'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a7b79468-97a5-44c6-bbc6-26a3d1173a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:code" priority="1323" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R021' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster21): de waarde van @code/@codeSystem MOET ''R021' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R021' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bcb89613-9997-456c-a38d-8ea872c39d8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1322" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5dd75ffb-a556-47ea-a234-d212e4cade26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1321" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-681bd962-653d-4adc-a629-b13d7ccee216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']" priority="1320" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40321'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40321' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40321'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f5d84d07-7323-4a92-94bf-595c38cc542a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1319" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lichamelijk_functioneren_nagevraagd): de waarde van @code/@codeSystem MOET ''321' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-abe74d87-88c6-4e88-a868-9cd521a86f03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1318" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dc031b20-12ba-4704-ba3c-e5862fd46d5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1316" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-af2b1363-b6ca-4f39-ad8b-b23b8e604290-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1315" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0f4d020d-ed3d-4ef8-aa50-54354efcbed0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1314" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-47836584-a067-4966-a883-9915e02da3e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1313" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-54b8d9cc-d67e-4c6a-b1ab-2ad502c78db2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1312" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-16dcf5e3-8d3e-4030-aa26-21077d3e0302-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1311" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c1090029-2ff2-4a85-9041-0b0eb577f8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1310" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-518f66ea-5a31-47f4-8351-0714714309f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1309" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ccea4eb9-0408-4311-86db-7cf743e9d3fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1308" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-643ce545-b8aa-4818-b256-c6c736fa10a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1307" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-283db56b-fcbe-46d8-8a03-2619817bc03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1305" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-56d29eba-0c96-468c-8af8-29cc4ba633d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1304" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bc240b50-3b6c-41a9-acaf-8b7c862ff160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1303" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4f90b03f-2259-44cc-a66e-a9d98d4b9939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1302" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-52b056ba-bb28-4dc8-a4aa-7331f4b48f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1301" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-54740790-b545-4c24-bb64-a2f310b5a1d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1300" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3a826487-0b04-4eeb-9f01-e5bfedfa71ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1299" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-47dfedc6-50f6-470b-87c8-0a17b7456492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1298" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a20db0c1-edea-40c4-8122-8cbcb0d817ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1297" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b50e5f03-ea6a-4d92-ad55-656ddec95530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1296" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8518446f-8b2d-480c-81dd-ff5392de3087-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1295" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f1659ac9-ffde-499f-931e-a76a00f7165b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1294" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-91b0a663-93e6-4486-acee-48c6f974a815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1293" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8cbf47fc-9684-43c5-837f-ae896e21128f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1292" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-98fab956-a3b6-49c5-bcbd-d052148fb5de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1291" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ceefe231-8f19-436d-9870-58d4c267a3d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1290" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-25417e91-7954-43e2-a931-7618300cb612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1289" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a363416a-9132-4e77-91ee-af2c200d9be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1288" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5e341d04-de98-4578-8d6c-e40143be56dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1287" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7cc822d7-55cd-42b8-a778-dd191d5dc649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1286" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6dde3539-59f2-42d7-9d0c-b73b30a45cfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1285" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a244b6b6-dbff-4362-a6c7-aa07627acc2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1284" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2b5bd0ed-14da-46af-a7ef-7604e6bf8885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1283" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cd9ddcfe-1c7b-4c80-ba59-31d18594942e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1282" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b654e013-25f8-47f5-84ed-905666305b22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1281" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b3d782a2-8696-43ba-9c8a-fdb82cfe9a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1280" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2f0cceed-d39b-4094-bf6f-08a06e6c0555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1279" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aabe2387-d31b-4ed9-9ad8-572f3a397fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1278" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a96371e8-55f1-4c68-aecc-7e3af2fd8eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1277" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-419915a6-c644-4434-bb32-34003eee764b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1276" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-656902a4-ebab-4e9b-995b-23e598731070-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1275" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bb5ab491-0814-4661-82e4-19339fa8de6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1274" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bd4a59d9-b1c1-4062-9360-0a2d04f7c4f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']" priority="1273" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40324'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40324' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40324'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aa1b2134-3aba-46f7-9729-8a0caf3e6a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1272" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): de waarde van @code/@codeSystem MOET ''324' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9a7ad86f-e636-4133-8e47-1b1732c5b233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1271" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0209_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0209_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): de waarde van @code MOET worden gekozen uit waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Zindelijkheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0aa823b-3aa8-48eb-9466-ada56ff2be31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1269" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bf24c7ae-e723-40de-9c85-acb227081dad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1268" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fee0f22b-8190-4e40-b62c-d997b99fecc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1267" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0c49905a-fa55-4da5-9563-d6e8ef4f55d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1266" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2b6f700d-70e0-4795-a4af-4a073f1624d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1265" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c4f644fc-d675-4f43-a89b-53d3599f7c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1264" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6b58d91e-a966-4c8c-90a2-e06d3399d6f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1263" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-344a7de2-0966-4fb9-a7ff-073122a8f2a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1262" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-123116af-f52d-4c87-bc60-e703b3ae2edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1261" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-96deda60-106c-423f-8a43-d8985221f15a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1260" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a44f36c0-3851-4e4b-b097-4e4d64676c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1258" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5e43338d-b258-4234-84db-54618ca1f3b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1257" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-64b48f7d-7817-4dcc-b7df-3cfc791031ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1256" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-55d27149-d22e-4594-8513-1f79e44c795d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1255" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e25f3807-1535-42b6-960c-d5370eb28772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1254" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-95adbc35-02fb-4374-9ca7-7670673e76ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1253" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-91d14578-178a-4b0f-b9ce-4faaa2620af8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1252" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08cfd710-7f5f-462a-b73f-911960ca4329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1251" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-25ca5604-ed0e-4a82-ada8-e2da7239c399-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1250" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-69c5ab01-6db6-4338-9826-a66b8e9629d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1249" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-950f7236-b5fe-40ac-be8d-8ebeeb16a03f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1248" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e21ee61-3c61-47f1-8b78-e8e412d2e7d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1247" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9ab7f9b9-3be4-49df-86da-a429ae11adfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1246" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-54271de9-6aa8-476d-9033-82a36e7cf2e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1245" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c73996fc-083a-47b6-8f7c-e4e96a749298-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1244" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ae1212b1-0900-45fe-9672-7b5342c526cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1243" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7e46faae-5a92-46b0-9e3a-da3e02cf20c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1242" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d64325fb-f364-4e0a-b283-80010424e871-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1241" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e259f6e-9021-4c9d-98e9-ac08ad82b102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1240" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8c0cc15b-3f36-45b6-9c35-48bf17bc4529-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1239" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4e4d802d-43b1-451f-b38c-108f0e398b30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1238" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4111452e-c0d9-4dc5-be74-c95bc74ad43f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1237" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7d6f2ced-ac3c-4832-b4c2-8059edfaa604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1236" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d4cc2cc-a808-4fb9-a989-dad138e7b9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1235" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8134f6c9-3ee8-4a54-82ce-43819dbcc51d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1234" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0619b939-c9a8-4141-a428-2f6b50a5a960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1233" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0b87730-2194-4b63-a5e5-71ed20d0f655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1232" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6ca71b62-fd9c-485e-83c3-ea026163b5f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1231" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7eec32e8-788d-40af-bd3d-c340d468120f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1230" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2555f0ab-922a-4d75-9471-e9a3e18da69a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1229" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-566eb08a-d03c-4a45-9362-40ebd7ceb4d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1228" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a16c366e-7817-4618-ae25-f5292574b5ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1227" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d3544f50-9f67-4922-8329-5e6d925c35ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']" priority="1226" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40325'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40325' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40325'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c48d8111-cf72-4c49-9615-53a20a40b266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1225" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontlastenplassenzindelijkheid): de waarde van @code/@codeSystem MOET ''325' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-65c8e126-8e36-460b-aaae-66378db1e80a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1224" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3aa35789-230f-412d-ad1f-eaa0f55ee14d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1222" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5be92e9f-7859-4360-b531-4890aa20ebb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1221" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d6b1c070-2100-41cb-999a-aed38dc7fe4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1220" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c4129e20-5bc8-4fea-8fca-b074114627e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1219" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-825d276a-5e95-4ef4-9550-85cbc70d0974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1218" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-21895924-102c-44b7-bda2-7417e352d270-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1217" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-48fad74e-2424-4939-8ea8-018e2ce370a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1216" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d0c27ccd-a75d-4f6b-a4ee-b4f883757bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1215" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d777b9d3-27db-4ed0-a64c-f46ef4b3d11f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1214" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f92c18b-3557-41f2-a625-c27b72804c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1213" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0331e66f-026c-4a75-ab86-f122b5019dac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1211" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-49ca621f-7bdd-49c4-9839-4b25533492cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1210" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-12e9acfe-b2ad-4773-8f96-6ca68aeeea6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1209" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-40b679cd-736b-44f8-a47f-3301bc4dcd0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1208" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6802dea2-15f6-4a04-a6e6-f6c57da08bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1207" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8f4452f6-4a36-4ba8-8f68-b29592749fcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1206" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6be4f2cb-afaa-4f36-889b-479e2b222207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1205" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a71921e0-2180-4c40-af12-09f7800c2ffc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1204" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-084df7fd-d777-43e2-ada9-0d36daeeec32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1203" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5f42f0d5-d38e-4bc7-af29-a89767b5f009-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1202" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e7e432c0-e4f9-4f8e-a1b2-16c91dad8d63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1201" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d1dd23a8-aeb6-49cd-b7b8-fe8493c6aa3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1200" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6d3b7900-4fcd-4c11-829d-b99b2293cf0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1199" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bf1e88f5-e889-446b-82e5-85e13c7f147f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1198" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d3fad586-410a-4c05-b01e-4e270c797405-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1197" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-37d440df-81f1-47d0-8727-bf114749e71d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1196" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d4a07518-fff9-43c3-a4a4-bd5fd23c2067-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1195" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7a21a322-6163-4faf-96d7-c0f8316b221e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1194" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de22cdc5-35b2-428d-9094-37701333a8af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1193" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2c9b8bed-3d48-4f5e-b419-c382e6c22269-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1192" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab46c854-749f-4372-b9ba-c4a370814304-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1191" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-af29405f-ebbe-4efc-a53b-a1bd04fee160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1190" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-72d3e1ef-24fa-49a9-b0e6-7244dfbc3a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1189" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-74e3b94d-87d4-47e7-abc0-89ea686e0ed5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1188" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-41e5bd79-7422-4c75-ac08-e27aa2e12974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1187" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-da60873a-bfb6-4e4b-9330-c49fbe97ba91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1186" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cb443ac7-9ad0-48d3-b03b-a4e581e1d6ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1185" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-81574c1c-2581-4041-ba65-d572009115cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1184" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1eb0f676-d9e2-49bf-b4a8-655cdacc4b00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1183" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3523c2cd-6a82-4d93-959a-b850810a76f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1182" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0c7a0bef-ea5e-4196-b466-3b3f02238042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1181" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-acfeb9f1-2797-492e-b87e-c524e7527ed6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1180" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4fd029f9-df48-40db-8966-0246d2d412ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']" priority="1179" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40770'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40770' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40770'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0268322-be99-4fd0-b241-9259334c2140-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1178" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Seksueel_actief): de waarde van @code/@codeSystem MOET ''770' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e46cb3dc-45e8-45ae-aaa4-15a0a1077e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1177" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dfc47c3a-d19c-4236-8618-e54a7f8e6714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1175" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c7c0bbc4-6bf4-4870-adab-f0ae48f74dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1174" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3f99f42f-0ef6-49f5-a89b-4121f74fdd22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1173" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1fd48ff9-dc2d-4af4-a4b7-72d8ab814262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1172" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-358c494e-5ffa-40ce-9bda-14142e6b1370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1171" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4fdbb69e-f609-4b1c-86dd-6c217b3827e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1170" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5cdd1ec9-db92-42c9-aa0e-6bd62a610a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1169" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-45174e26-ca1b-45a5-93a6-1c4391e91cdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1168" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-29ba8281-ae10-4771-b78a-1017e567fc5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1167" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3aa738e6-4ee9-4060-9f32-46e20481b833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1166" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-31509df4-97c2-44c3-a68d-ff0a492f6002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1164" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1d79561e-9fe9-4b79-b459-a873f4f9efc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1163" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7c4d3cd5-9934-412b-a419-e227af2ff917-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1162" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-381cdaa6-dd77-4043-b997-923f4432fe4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1161" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b6ed5ae3-b5b0-4716-a6d2-eeedd7c75a33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1160" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6b67490c-5a93-439d-81e9-2f51af0c1949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1159" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-878e48af-1d8b-4887-987c-97ea9990c25f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1158" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-44ee9fa7-922a-4500-be34-f541b5374d04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1157" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cb514355-803c-4969-8712-7662d914766b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1156" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4a4141d7-22bc-4124-8c1e-81a2401848f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1155" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6bd9b1cb-8a9d-4abd-9004-e09781028809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1154" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8f430a0f-482d-4e75-91d6-a8ce8a382871-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1153" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9bc8ac8a-e17f-4e99-9a23-08798d96ca96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1152" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ac857bd0-0dfa-49c5-8de0-7fd9eb601e7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1151" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e59fe39-e3c7-42e2-b3d2-8155b1358920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1150" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-28c14577-acf8-4cba-a7e3-14d953293e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1149" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8d89d441-47b7-4928-9f9a-2ef493d7fb94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1148" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8d0e2c47-e022-4333-9f73-ea80405dc113-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1147" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d7d149c-30ee-4b24-815f-79aa02d7c5cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1146" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b660d3b0-b2d0-4dcb-b075-1b2505656a0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1145" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eda06e2b-8dab-4ae5-b7d8-1a7da862057f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1144" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e2ea3899-eee2-47bb-8fd0-47bc5a4838f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1143" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0272e4a3-3369-4da7-b279-f72ad604ae7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1142" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-46880c46-bd35-4047-9818-521001f5f74a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1141" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d5709a3-d7cd-48aa-9667-6f52f5e689c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1140" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d8c56d90-c5cd-481d-8651-cbec03d16d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1139" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6aa3b314-0488-4827-94d1-06a08eb04262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1138" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-032c0a69-dbdd-4899-897f-d817fc4dd6a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1137" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d18fdef1-438e-4bee-8751-cbbddd8ce890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1136" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c2393d7b-802b-4b2b-8581-914a7680b98d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1135" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2e2acd7a-593b-4e42-8f92-cc60f2d88028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1134" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a1de2de7-b5f2-4d61-96ab-ceb22ca2695e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1133" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fab4e0b4-c4ae-4ce5-9898-591aed7e31bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']" priority="1132" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40771'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40771' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40771'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9abd9f51-9837-4adc-9eab-44b99b1eed32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1131" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): de waarde van @code/@codeSystem MOET ''771' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9632bbdd-c2f7-41b2-82cd-40f47630e8b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1130" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0211_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0211_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): de waarde van @code MOET worden gekozen uit waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Anticonceptie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f03aa5b-83e7-42a3-8f34-6a78c87022ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1128" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5d9cd4c3-4056-401b-aede-8f36ebbb13e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1127" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a0b67946-b134-4a6c-a58e-4694317f221e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1126" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d778e9c-8115-451d-a691-0e9044056b74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1125" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-88fb8a56-aacc-4832-ae63-4dd29c0aa1e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1124" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5bf85c62-ff43-48f5-927a-e9d14305982c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1123" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b60ecee3-6762-4bbd-80b8-2e6450935558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1122" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c24bee83-d54f-47b2-8f8f-f613ce1b6596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1121" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-14c74391-45f2-49f9-862e-5eea669bc6a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1120" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5d081cd4-1f49-4809-bf76-905c9306d91f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1119" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-567f566e-27e6-49a7-9f41-8308bd24ff6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1117" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-717e94d7-5448-4cab-ba84-7483884eaea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1116" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-633e93c1-737b-4103-b2d8-84a074db360e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1115" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c2a7bd13-95c3-4329-9334-8ce3f55dad6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1114" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d3955ef6-95b1-4288-a957-1e6795d6e950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1113" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-13c73e0d-00cf-4f87-b68d-cbd55964a98e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1112" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4dc7d70b-0ad1-468d-8dc3-e518784a19d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1111" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a00e748f-7837-48b5-b21b-f01c229731ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1110" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3404df5e-7295-4c4f-87f2-06034330e245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1109" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-edb0c040-98a6-4166-83a9-b07dce2c13db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1108" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5724f6ca-3618-4670-bd28-615747ce0d81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1107" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e3ab248-78cf-46fc-b07c-4d2ec0d5bbc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1106" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-273cf4da-4705-4066-9a2e-8b4460a71b3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1105" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-79f833c8-70d0-4ae7-b87a-398ea463cee5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1104" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-68ced90c-9ba9-4332-a351-af72bb44fe40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1103" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d2aad2b8-09e8-4ce6-950e-4d4a88ae9a6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1102" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3f602ea7-42bd-4d3b-aefb-ba80f8c15ba7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1101" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-27145c1f-4a59-45b0-8b87-39fc24e52fb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1100" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3b894efb-8610-4e1e-a8a3-f86131f96fe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1099" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-851478ce-1ce0-48f3-a8a3-e3efa55d7484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1098" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6ccef224-efa8-428a-a480-962c1bca9790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1097" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b15abbf3-4d59-46c6-948f-2fccbd86c4df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1096" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-248f63bf-b565-4887-abc8-dc9772484bab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1095" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c8487b1d-82ea-4dda-8efb-c6287c88085e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1094" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-986839fa-e056-4432-92a1-386f316db812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1093" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-04aa7e41-a06c-4722-ad91-35696783bb47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1092" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ef2fefb3-bb68-4d4f-b231-b4d607a4d150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1091" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1f6f5343-8d8f-437c-b6e7-cb7ac668fd27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1090" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e331c468-937f-4d03-b2cb-cc5fc88673a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1089" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-67946ebe-add0-4c8f-8ff2-36b22e88a9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1088" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-682bd128-da1d-4793-bcdf-222cfb5086c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1087" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ba03eed9-7693-4eab-b76b-c7753d199c2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1086" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dae47542-af49-4d9b-b7ca-6fb22b124e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']" priority="1085" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40772'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40772' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40772'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-26b27f59-6d05-4f0b-83b2-880d5af90560-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1084" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): de waarde van @code/@codeSystem MOET ''772' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2a4de26c-31e0-4030-a9c3-c374f0537943-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1083" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c7ddeb08-cdc5-43dd-928e-ff50076c7930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1081" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-afd8467e-ad61-40ee-bf79-90d73e9a83e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1080" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4618f2f1-285f-426f-aff1-a62f73214bab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1079" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5725c032-b462-40dd-8948-14bfac075318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1078" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5eecc6cf-557e-44ff-8a72-9bd92bebb32b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1077" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ea7dbb80-2586-4ff3-86be-328b0488e617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1076" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f0d5167b-7f75-4399-8dfb-cb2de48780bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1075" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aa43ddcf-69de-426c-9340-4bc5ad382e12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1074" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2b7a03fd-d952-4ead-955a-dcb09fa0278c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1073" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-18921827-8bc2-4f66-9818-912d16f18f77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1072" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db519019-998f-4b8f-ae95-eb3faab51a48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1070" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-98758f9a-9439-4bf3-b760-d247aac96c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1069" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-47e395b3-8430-4962-b443-28a2a342cb3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1068" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1bc82af9-556d-4f6e-b8c2-64d1085d7ddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1067" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0c84e56-f13a-4fc0-9fa2-b0e0fd7cf15e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1066" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d582e124-d626-4246-b2bb-e21f5a56bc1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1065" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-381e424b-8b20-47ae-984f-789166e13b02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1064" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c524d402-4d03-4b47-b32c-6b5fe0473bd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1063" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a09e3168-e0ca-45e5-8f70-4b9169147792-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1062" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4141d022-42f0-430b-8d9c-91fc4ef5d1c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1061" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-77d21527-e62b-4693-8585-1968d83700a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1060" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-30da7655-68f3-4669-8c8a-a9bd9abaa10c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1059" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e42d88c7-0aa4-4733-bde8-857a8230a2a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1058" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4056a540-9c7a-4874-bfaf-09722792b91b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1057" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a343363f-ee0a-400f-ae8e-b9e1791c4485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1056" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aa1ce5ef-5259-4020-b396-ff33ea474a1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1055" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7756bf0e-cda3-4cc4-a08f-0554e0aed773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1054" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-472a2f1d-0447-4e40-a4b8-f8ea0e2614c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1053" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ce55f502-cf69-46d7-bfb9-773ae95b200b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1052" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e9bb68f7-c275-4e85-bcbc-0677ed0c8a62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1051" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5bc4ff96-677b-4c52-9a94-6bf6c30b687f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1050" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-351862d3-4dd7-45a7-a3b1-1bf9502e7b43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1049" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f3c062d8-df4e-4666-9e2d-0a1beb1747b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1048" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e2c5566-7cd9-4e10-81a7-5585932ad6fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1047" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-af4c48d2-a2f3-4ef5-92b5-10d6afb8d11b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1046" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b613da67-c534-4035-9402-3bffd1baa758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1045" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c47213bc-d540-4829-b1eb-12e04dc67918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1044" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f20f728a-1257-4f1e-80d7-937e3a56ed14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1043" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b341e401-e376-4755-95d3-9acfe782f527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1042" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-da4131c2-4d17-48b0-a382-a43948c80d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1041" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6138dfa6-db43-478e-bf59-6906253d7a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1040" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d1c1e190-425f-4761-9d37-3a88a54b3807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1039" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-62329bc1-5c88-46f6-8614-a866ccfeec96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']" priority="1038" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40773'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40773' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40773'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-be98f942-ce07-42bc-8770-a6839a7dc3d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1037" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hechting): de waarde van @code/@codeSystem MOET ''773' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-11e20258-76dd-43b5-a9a5-003f8c9cd3cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1036" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5a4dc2f3-e566-44b4-afb7-aa976cf357fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1034" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f67ec5e3-2546-4fc6-954e-4ab48b33a63e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1033" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-784657bc-29c6-4516-ac3c-6aee8b8a4b66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1032" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a45012ea-96c5-4cf7-a370-9229a8b8534a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1031" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5bfdacfc-22c9-4de1-a3dd-7b5fc8d9b00e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1030" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f2bddc3e-8b19-4c85-9ec2-b09b7411401b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1029" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ccf2f81c-1bed-4e4d-a1a9-ed37f9b4fc52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1028" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-29e2cd92-4842-470e-86ea-849c562842ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1027" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e927b0b-a3bf-45be-9b82-8670a83c96d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1026" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cdd619b5-f2f4-4451-9bb9-579db79f9e3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1025" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c6de3648-5211-40c9-8e6f-ad450223caa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1023" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9f570181-1301-4873-80e2-97de8833b344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1022" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9f0f682c-8c57-427f-b9d9-09063de4e886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1021" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08e7e2e0-8ede-440d-9c43-125427c7d0f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1020" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-713db5bb-556a-48b8-b22d-324dd3c75520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1019" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fb4ac748-9aa8-4aae-b556-c0693f39606c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1018" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6c04f085-e85b-4adc-9553-9e96a315d5af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1017" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b42cf5d-2b72-4859-b27e-12594e9145b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1016" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-25dc2e21-f3b4-4d51-8f19-228d59f84183-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1015" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cd288b53-02a6-40a7-a082-ecfe90ac081e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1014" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7b301dd8-4e89-4d60-ac87-b07955ab0ac1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1013" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a4627e72-f507-4cd4-877a-be4537d18601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1012" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7c615531-87eb-4c9f-8597-1647932c676e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1011" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de9c2a95-e763-45b0-8cbe-c34a0caf3930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1010" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-75776e21-9b64-4b4a-b4da-c44a906e9da0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1009" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b6c3126-6dd6-45bf-a113-158bf8f76330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1008" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-942e0ce7-0023-4158-b39a-0d8879961186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1007" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4f87e3f9-a0ea-4ae7-82f7-86c1c4a09f53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1006" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-53a71bc0-3e9e-4d84-9f34-1def7eadbfa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1005" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9b8a9d3c-42cd-4a73-8895-7784443cafe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1004" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-19d7886f-7f55-469e-af2c-0cf84b5f8f14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1003" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c94551fc-f2a4-408a-9b9c-06fc0159cf8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1002" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2ccc7f5c-4cab-4a54-9648-44c210394d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1001" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-03809f59-e3c4-4823-8816-6107f8cc686d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1000" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f79e0bc9-3bd5-473a-8663-371bd9004850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="999" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9dcf9e20-2596-41cd-b580-fa2f826a4e7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="998" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-525ec3ac-3916-42cc-8fef-4c57a31b0c6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="997" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-12adf5bd-9a78-44c9-8391-3b268584766a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="996" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3df52f6b-bed6-4594-a0be-bb7e33128581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="995" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-886a116f-fd47-4575-8b50-f32695eb5a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="994" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e2a109ac-305b-41e4-9f46-f29073ae6c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="993" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a6899137-6344-4212-a7ba-70cf3130dd64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="992" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3bdda3a1-16a3-452a-b6c5-3efea6d69af3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']" priority="991" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40774'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40774' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40774'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8bc3c2ff-73c9-4f1e-834b-f36dc0eecba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="990" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ouder-kind_relatie): de waarde van @code/@codeSystem MOET ''774' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7a5184d8-c802-4273-89d1-3f4f09f463de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="989" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-42a31beb-a69b-403c-a87c-5fc978222ec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="987" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fb0a204e-9d08-481d-aa2f-e3f21cccfe41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="986" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-833d95a9-2e25-4b9e-a415-a9420fbf373d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="985" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-76358f16-40a8-412b-841a-d7cb2ff5581a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="984" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1bde63b0-1a9b-45ed-b8db-ff0ac75b0fbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="983" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9feb72bf-9356-4655-9229-97b83e777317-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="982" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5c1d8df3-ee8e-4c76-8b48-2caa6f5fd4b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="981" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eb184c76-5212-4bd1-8881-c6afedb76bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="980" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-59926e9b-19e6-405d-b8eb-35053ffc8e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="979" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b937a762-04e3-4e76-be87-89029f98d1d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="978" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-49052584-84fa-41ba-a35e-dedad47bfbe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="976" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7728c505-f213-4255-8d2d-10f1b70b856a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="975" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4a2d40a3-a7a0-4463-a94c-65ee798a0a43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="974" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-437fe8c6-0b5d-4438-a4c6-a9401ac3fe48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="973" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-32074e52-3691-4f02-a9f6-d7dc3bfa4260-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="972" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f59275d-b1e9-4569-9941-5037e9e52f96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="971" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6a20d6f6-3347-4543-81df-9a276523dea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="970" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-556a2bf3-5aa8-4f9d-9a16-ec864bd3f7ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="969" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fcb87eae-d84b-48fb-b80f-2c6463b2ce63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="968" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d83436fa-e8cb-4655-b22a-8dcc7ed8ba9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="967" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-14ec75ad-fb81-4306-adfc-9dfc71f0d61d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="966" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8d644907-b380-49a1-934a-13f60dc0d4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="965" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-15f45f98-a3d1-4617-bf21-50501be48737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="964" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-81180b53-2994-4840-b270-86cf2c313d5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="963" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7aa2b148-32bb-4381-94cc-4f7f46252604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="962" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-03be0037-eaf5-4d9a-8cb6-7d6c91265819-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="961" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1bbc522c-f4f3-4ccc-8d71-967e24992baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="960" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-07f3e9e2-6a6c-4392-8ba3-c76539c44af2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="959" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c2c0a8b5-3b4a-4dbd-81d4-ea2ca8a839a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="958" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e4ae2368-3dc7-4e7b-b7d5-1d3e2488d8e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="957" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b9eec125-3e58-4fac-bf0b-5a9d11349b8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="956" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c194ff92-aa1a-4202-a0d1-782eb5633625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="955" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-27d912b0-14d7-4885-a72d-322ed3aa1314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="954" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e83b037-f7de-4cf0-9de2-8f9454072517-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="953" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e219ff5-3a01-4685-b4ad-6af633701f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="952" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3c53ea8d-c648-466e-9cd3-74a1f96a0a41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="951" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b110a5f-cc16-4459-ab3b-84d1cf41525e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="950" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3a21cbe8-587b-47f6-ad96-ecfb3b1c1650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="949" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7c96fe39-ea8b-45e3-8920-4bf86b0731fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="948" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6920f6d4-eab7-41c2-837f-8532b6a25d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="947" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f089b869-371e-4011-befa-84b09ac4c689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="946" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-18c84bbf-4aa0-4e57-996d-6d204a7d0bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="945" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d42c96a2-2d64-4464-aca6-b819f8698485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']" priority="944" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40328'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40328' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40328'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0a84e2e3-df2e-4d30-8a0d-ff20163f42c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="943" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gedragtemperament): de waarde van @code/@codeSystem MOET ''328' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-02fe8fdb-75e6-450d-8d48-2f3fc69b28e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="942" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9834232a-0213-4edb-b6c8-95302a2c9d30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="940" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4aebdd21-3c26-471b-8b6b-76d22d27f974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="939" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3d896935-3450-46e0-8397-421857454506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="938" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-54eba5d4-0ebe-4bcf-b75b-a6c54d00b979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="937" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-152d0c20-aad2-432d-b5d9-f01b21ea91ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="936" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8446c3e9-c110-4450-a3db-fda2a960dd16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="935" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-20c87d02-d0bf-40ca-849e-e0f602ff375c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="934" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-16e7ae31-4fa4-479e-954b-ed8e7af279b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="933" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-47aea9f2-c1e2-4e17-832a-5530af9e49d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="932" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-54fbe22e-0a83-4d74-9942-789002756a69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="931" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-772231ee-339d-4a64-af2e-1e9ad3814cb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="929" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-45b63a29-e659-4c40-8cd7-2a2f7b31c3f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="928" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-438ad9bc-ab56-4169-9f04-2bfa167531a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="927" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1e55bfe4-45b5-4451-bd7c-eb7c4a02c4b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="926" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0f6478e4-a07b-4bfb-ba2e-450ab6fd342e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="925" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-14dcc908-cf6f-4e76-8d64-b73423052a78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="924" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab1e51c0-41ca-4d87-a68a-a6e4b766d01a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="923" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3c432197-d238-4db7-b3bd-9cecde0a2e4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="922" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2a243bef-b8f6-492b-8c18-eab49b23de9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="921" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8e232b64-66f8-4c6b-bcd4-3cb3e5af7f4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="920" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0ecebb9-189c-494c-a8cd-a32cf66d6b0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="919" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aaae22c2-6e8d-4353-b84f-97079c0f6a3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="918" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dec546eb-96d4-4e1b-8e80-eda1478cb37a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="917" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-29ec5fc4-edf6-4952-a733-1d50f306a4d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="916" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a73d939a-ac76-4ade-aa64-6242f2a54388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="915" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-92de5174-49ff-4aa2-b2ec-a5d28dfe7093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="914" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b4692214-5f35-496b-948a-adc6c6d1fab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="913" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e0a52a69-2082-4865-a4c8-43292d7b591f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="912" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-838844b4-19be-4207-85ca-3fe0c2526b4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="911" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aa22d238-3536-419e-b0b1-7417985f1b1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="910" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ba0b1abb-55d9-480b-a0eb-be1b077851b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="909" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-14856a6e-0ee8-4628-8b8d-9f4f35513df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="908" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dd765818-73f5-4378-b9f8-409b7dfe093c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="907" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3c74d3ec-74b3-406d-b7e3-b7bf1a37f1fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="906" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-192d7ea3-b28b-4b69-bea2-e6fd09b5694d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="905" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-685a9ead-0657-475c-8c3a-307adc4854ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="904" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1c4fc7e1-a02b-4b3d-82f7-34f200b07f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="903" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2861563c-2f5b-4e89-9467-eced07496611-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="902" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3b9355b0-7e75-4d1f-9921-de16d1f3c292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="901" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-11f9fedc-b2ce-4f2e-9596-b8c058627a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="900" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6648b839-1c6b-4005-9302-6c4edc03e1f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="899" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e1c1af73-cbf9-418a-aad9-9f8bcdcef7f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="898" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c5d225ad-7e0d-40c5-9cbf-d86d920c4905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']" priority="897" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40775'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40775' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40775'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5f57c60b-b5fc-4ff4-8cb4-d092abefa862-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="896" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_karakterpersoonlijkheid): de waarde van @code/@codeSystem MOET ''775' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a9f0ef9f-f8a4-4032-8745-10ea81011696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="895" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3f2d0ee8-d0f1-410c-a8d5-a3be9e5c90e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="893" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-42b34d77-d4f2-4f11-8d97-ce627233b643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="892" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5217e1bd-7c99-474d-ab42-cefc62dae230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="891" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b19cd179-359c-45e4-9647-a2cc7da95071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="890" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-21292aa4-619f-4356-90f1-5c2307615eb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="889" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1870fca0-906c-4795-9066-969d52d185a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="888" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ed717ff4-3672-481b-842e-86de6e52fed0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="887" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ee7ad814-11bb-4836-af22-d55b33b30f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="886" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7af5e76a-29e9-4f90-a324-bab9643c4ff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="885" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-feea525e-ffd9-44bd-8e96-e06319caae0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="884" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a19db275-a5a9-4482-999f-5895dc0667b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="882" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-96f34541-00bc-48f3-8530-4293d3ee135a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="881" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-53792182-de83-4670-81cd-86bef06d619e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="880" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-da65c058-bb98-4db2-a79f-2f560a62999a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="879" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-72d8c2d1-c74c-467f-8c53-4b9943fabf3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="878" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bd5aac24-64fd-49ce-bab0-82dcb30d8564-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="877" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1112797b-aa71-49a6-ba77-66373f2beb83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="876" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-409255b5-617c-4aac-86b5-7448831c6ebb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="875" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5353512f-4413-4be9-8f77-5096db5d681e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="874" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9a6bc234-a4f6-4980-8c82-27ef7633bddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="873" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-42f621d0-94cb-4949-973a-4b357defb3cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="872" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8247ae60-e8ed-4532-acf0-92c28ff095d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="871" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-59b260ec-a693-4262-bc52-fec5d6efe627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="870" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d40c88c4-f790-4999-903e-6b88cc56aa22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="869" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d3193a71-e7d3-4aed-80ee-ccfafadfe8e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="868" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ac2c3de9-250d-420c-9ecb-64bf501a51e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="867" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-648559a0-bb05-4f22-9f22-92ed1803e2fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="866" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-05f6ca1a-9623-4d24-a536-31cb23d7c2ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="865" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-159fc628-ffc0-48d9-bfc8-747d5cb2ed30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="864" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7219c33a-fc15-48a6-b8b0-1091a9772a6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="863" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-268dc0d8-2c52-4ba8-b31e-21dd0e63547d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="862" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0001b779-e5a9-4101-b384-5d00e2da1d50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="861" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3779c640-f896-455f-a4f6-ba6f14da7697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="860" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-155b38cb-193e-44de-a746-5ca42e1caf1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="859" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a1efcc2f-0f35-42c4-ba4b-947e8ac7ae4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="858" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d466527f-6898-4ff2-8ec4-cda71edd6cfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="857" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-11bc4081-08bb-4f82-a595-a94230b9a15d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="856" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-96b0310a-0a87-40fb-be11-a6f02fc7acb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="855" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d7c22185-66e9-46dd-b681-fbe3a37d8b5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="854" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f8e93ebf-7901-4db6-974f-51f47a418324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="853" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ee624245-ad2b-4cd2-80c7-8cc97cd2cb36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="852" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8d629d32-89c4-434c-9ba3-204bdb4e6bb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="851" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b23b2118-58b6-414a-b40b-aa6b89d69dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']" priority="850" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40776'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40776' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40776'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-240caf42-81a4-41eb-87e7-02344c5d3b2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="849" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfbeeld): de waarde van @code/@codeSystem MOET ''776' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a2ea3171-c5ae-4f49-938c-acd44bed9cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="848" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-21cc6bcb-f5d9-4290-af2c-1c1889914ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="846" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ed392731-8f94-401f-afd4-3a98d1ed2caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="845" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9886ce82-9608-4467-9b80-4ba96f069c60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="844" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e01b7d5-b6e1-42a6-8abd-ba9e8dd054ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="843" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d7bdd072-98c0-4c15-9b80-cccba20baeb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="842" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ede3f108-6c7e-4435-946a-37cdd2e8c5d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="841" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4a2274b0-3e00-4c5f-a299-fd6ace669ce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="840" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e159f4e1-d924-4c85-9a8a-3f5825f7648f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="839" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f416012e-b644-4128-938e-425e9548c36a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="838" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-25acd7ce-1c3e-4352-8f0b-0a3ef9c64081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="837" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-69e7cec4-b171-4d8d-9759-c298996d4ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="835" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-13c69f82-181c-480c-9cc7-917de678a088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="834" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d8accc9b-438d-4b67-a74c-0fa560a0e562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="833" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9ee32e56-35f3-4771-9963-6a1606d0741b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="832" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4c4ad9af-673e-4c25-9499-096591102fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="831" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-282077e0-b795-4d50-90a6-3e280659748c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="830" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ba3e4028-7f17-4904-986e-48429495a629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="829" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-be13d7c2-c113-4c42-b909-512b81c53562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="828" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7bf37896-854a-4026-93b8-6dbdd8117414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="827" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fa1bb9e6-e8e8-4b94-8a20-d04ebe7fbc0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="826" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8baa76b3-1289-4a62-862c-28e8d82e3fc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="825" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cdf0859b-9a82-4a59-9067-6252dc43a24d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="824" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d29f315b-4774-4b8c-9ea7-1deb485ca83b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="823" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-81259f52-e883-4870-8db4-1acd9d5d37dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="822" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7a1d460f-2575-4c3a-a333-e10caaec98a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="821" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2c0fe13e-64f0-4f35-a0b4-b3ba77a8bb63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="820" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-67fb30f7-dc1d-4865-a7a9-293c20db91a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="819" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5aa0b9e-d228-4c60-91a8-cf910dd6bec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="818" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5f0f58c3-3f85-49a7-a491-6eb0165afdf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="817" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-53168b26-4a5a-407e-847c-a4b6e49a3fe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="816" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab53b4e8-bc4c-402e-835f-29d7745b9c01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="815" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab329456-807e-4ff3-9a25-e5905032a8aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="814" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e8a24ec9-edf8-47ce-bab4-46d341f9ab04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="813" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4efe1c65-eea7-4bd2-ac2a-e33e2e7e607a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="812" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7a4605fa-5b26-44d3-bb16-15ad6052fa82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="811" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e9db16eb-a7bf-4693-a532-2256ac41b697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="810" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a4256ba1-097a-4f6d-aae1-47c8feca7e5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="809" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fa051890-400d-4d6a-b236-427880ca297c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="808" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e15e6f58-c0df-4605-8d87-dfc65a92530b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="807" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5e7ac49f-959b-46db-a10f-f34896849d8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="806" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ca381f5a-e31f-420b-9f2d-bf94755e559d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="805" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7217c8bf-3da5-4ed0-97c6-e85474dff6ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="804" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-962b5e7a-41b7-4fc6-8ef1-b1bd4c424b91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']" priority="803" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40777'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40777' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40777'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-989b7df5-dc4a-4113-94dc-7c33a8d69fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="802" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_stemmingangsten): de waarde van @code/@codeSystem MOET ''777' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4648e8cc-a003-4ede-a197-13d46618ca88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="801" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-29b8f6a3-cfac-47ad-ae94-6dc4eed1e1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="799" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-645f6719-7169-496f-8e35-f939e8253617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="798" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cc32a63d-ca58-4a81-a90b-35129ff5b679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="797" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-91b37074-30ec-4095-97fb-c7682c618736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="796" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f862b4d8-d334-479d-a5b0-c5cd0861363a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="795" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cb7fad86-0f89-4e37-b7b9-39b8bfa41bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="794" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-86bb4fc5-c316-4fd4-bb84-9583346feac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="793" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6522a41e-4c72-4e25-81d1-8fac0b2120a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="792" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de3adc80-537d-456a-9ca8-b5150b4da0c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="791" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cae7b46e-015c-447d-b4b4-67490066853e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="790" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eefe4e7e-1f87-4a65-bbfc-f67c657ed652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="788" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dcde76eb-2268-4174-89fe-aedd420f1f71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="787" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-27906d69-8dae-47fe-9eda-54f39b0b73c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="786" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bd7014bd-679c-4e4d-b50d-2fbedc076102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="785" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-392d66be-f57e-4725-9aa6-5a08640df252-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="784" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c3fc1469-cc0d-4403-b722-8c3d948d17a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="783" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e04f9665-9f14-403d-97b4-4a7271413c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="782" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d7d6ce96-40ed-4e60-8746-357c80b86b7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="781" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a1d9d488-dcfe-40ad-b2f9-e8ad8f57f33b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="780" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bd25aae7-2b6e-462c-9785-ea72bd84a45b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="779" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d492ec7a-caf4-4a0f-8868-9e3517a78750-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="778" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4ae0147c-2ff1-4ae5-a7f5-bb06a4423972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="777" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ddf27417-960f-4b5c-85d0-ff444f8a1527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="776" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-97d468fd-0a57-4da2-a9e3-b5871dcd7d33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="775" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2cdd01ed-61e5-4dd1-9f28-4dca6529b04e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="774" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1e937036-dad8-4d39-9b2a-afae0490620c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="773" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d26c38d3-2ebf-4ab8-8e0e-61a7c2bfc7d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="772" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-858f2253-23b6-4b5b-b1ed-582d1c2cbf8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="771" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-74e8c3d2-c3b5-4b55-908a-fda6b1e13eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="770" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9406e883-60a9-4889-9841-ebc0504d818c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="769" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b03a044b-a967-45df-91cc-fb6178ff1831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="768" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c1cc3368-6f38-4a91-beb7-a702960f4845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="767" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1b009742-d44b-4d55-ab8f-24d5957829d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="766" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e32dbc46-6efa-471e-9a88-9be1a25d3243-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="765" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4424c9be-0fe5-4416-b718-cee843a6e91b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="764" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b3ecb5fc-a229-4afa-9935-8bad5147ac52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="763" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a575fa73-9b0a-4860-a27a-219c242f27cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="762" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9f367ca5-c0cf-41fe-86df-3fe31c3ca1c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="761" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0eb1228c-690e-44d8-90b9-1024acd9bec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="760" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-52236691-6586-46e8-9d1c-43c898ba1b8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="759" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e5f8dda5-2b98-4a09-9177-6d3b2da96ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="758" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7e670486-5fd3-49b6-b538-c7c26363ff01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="757" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6452f6fb-998e-449e-91ac-f21d0ade1296-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']" priority="756" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40778'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40778' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40778'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0c72186-86c7-4bf5-99f3-727e1059af10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="755" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_ontdekkingsdrang): de waarde van @code/@codeSystem MOET ''778' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-720b73de-62b6-45d1-a833-e612678b255f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="754" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-06f98a2a-0f49-4966-9c89-8211dfca2a93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="752" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9476a167-3eac-4761-93eb-1d816c37b5a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="751" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a70160ac-3864-4b75-a726-a1ed03810893-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="750" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-83ebb453-049c-4877-b767-f7ae964cf267-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="749" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-39f38008-6443-4293-be8d-ec6d04bae204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="748" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-236b4304-5b2e-4c12-9331-bb7158506521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="747" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-29aca70d-d5e2-469c-8cc2-5352ec5dbb18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="746" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-162d4259-bf33-474d-bf1d-085b8f130f08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="745" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-65fc3b77-907c-41ff-bb22-169dab5dccac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="744" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-27656662-f0da-48ee-8d23-45b03f5f7689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="743" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-19db13e9-842d-408d-b513-ddb895883f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="741" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3fe4ab15-f38c-40e3-8bb5-6e6daa7a46f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="740" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-43d3fcf9-b53a-4bf3-a444-c753f9ce4322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="739" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6df0915b-9bc1-432a-99fb-bf6ab9db87ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="738" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cf9cc1f2-e9f7-4291-ab0d-d45518fd1902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="737" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-34371c9c-276e-42f1-a298-4f3fdec80159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="736" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c290d68b-0dad-4163-88fd-aa2cf6f81926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="735" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-690d3be1-1984-44ab-a14d-40dfc7efc822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="734" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-590e2a21-c0b1-458a-9afa-f21d2296b2d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="733" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-962c4da8-dca9-4020-b43e-bf0c3cb5b3de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="732" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1343b433-16d6-404d-b582-8e38e5dbfd42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="731" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-10822bb1-b44a-4575-bdc0-9b2e884013aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="730" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-21709f19-49f1-49dd-a6fb-4a40b5c0f54c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="729" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2ff7c39e-7a5a-4963-ae19-b52c5d28ab0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="728" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-15169e18-fc6f-46f4-8c7f-2b4ae5f2e3c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="727" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d0a85672-7c4f-4e46-bc5a-5d75c0db2dd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="726" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5b4c5531-79ce-4889-98e0-b0c54a37bb5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="725" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-690bfb57-56d8-4c41-9f11-1c6ecbbacf9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="724" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0c0e6498-deea-404c-b466-7978bb9618ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="723" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e0be600a-df13-4f4f-aca2-2380a3af8186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="722" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d1cd5e7-e379-4078-b3e1-bae975420e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="721" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a9ce9d08-d669-4cbb-a30d-8425ffff28aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="720" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0a71d1f-9c6f-4d40-bb88-3ec687af0be0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="719" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-88c3bdc5-c5a4-4f84-943a-ba14e73f4282-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="718" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ca93fb43-2210-4240-8e44-f5e2ce7af3c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="717" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dfa69bef-87c5-43a7-a2f2-a842c2c63fcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="716" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d0481ff-5cd1-4933-a0e8-3fcd19e7f030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="715" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ff4d9974-b039-44fd-9d94-e7402702eaf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="714" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4ad6216e-5794-40b2-bd71-512ad221d8ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="713" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7da335c7-29be-4a10-9e69-8f337ea89012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="712" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b579887f-43f2-4e61-a420-7ae9e290c3cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="711" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-05536c9a-ea6f-4703-addd-6c2d564a2d76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="710" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-943a82f5-c338-4b18-bca2-a01fdb4b5665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']" priority="709" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40779'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40779' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40779'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-99ac6201-36cf-4fc6-9bfe-8a4ecdc6000c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="708" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_zelfstandigheid): de waarde van @code/@codeSystem MOET ''779' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cab03379-cd1d-4183-9844-bee0657c1325-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="707" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fd58392f-d79a-4d14-8a86-33ed1b282376-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="705" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f4c3cea0-566a-43b0-a640-f7f776f5798c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="704" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bcd5f33a-dd1b-461f-b4d1-f7ad9da60bb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="703" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-20052ec9-719f-4f73-a1a9-c90523b6282c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="702" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f1f29d92-e331-4411-a413-615a6fd461b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="701" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3d6665f0-4421-421d-91fb-bc7c10aa3a0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="700" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-94eee190-6dba-41f2-b5fe-d9d79f6febed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="699" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-20d26b45-81b9-42d7-9cac-d18d0f0927ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="698" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f7ccf3a8-006e-47c9-ad64-c7841ad0522d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="697" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-707014a6-9ddb-4732-9fee-8bc96fae16fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="696" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fefd2bbe-d7bf-4164-87a7-95c6348671c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="694" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b3b821a-f31d-49f3-95c3-386ec9de8294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="693" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0648b1a3-b5d0-457d-8e00-e5913dc8c947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="692" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a424b602-2fed-409f-bfa0-36032a9cca83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="691" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-be27358c-939f-4721-a8f3-bf2d8ab1f035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="690" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d54ce6f-7d9c-4c07-8b0c-6a9d8769ad8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="689" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1df85536-9b80-4057-ba1a-5bbbc2bf2f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="688" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c6ee3200-e726-4689-91ca-f0671750a6f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="687" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6fabc6ce-a0fa-4f7c-859c-0c137c958bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-763f8fd0-4b97-4d87-a3a1-ebb7475247f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-41ee2f11-fc47-40ae-bf75-9a10f96b575f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-91d1182d-c34c-4c0e-b5fb-f6a41e48e3a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1f179bb9-ed94-4aec-836f-8635699cc7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-399547d7-ae1a-4016-b8a7-60a3213c1d73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db718ae7-89a1-4b36-967f-5ed5af0c33a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="680" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d94b240d-c6f1-47dd-a68e-3f0aab956686-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="679" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5a5f4d73-e19f-433f-95ba-c5194882a42d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="678" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3ef586f0-9bb5-497b-bd3d-ab7fc0e4c0b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="677" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c3645dce-1102-4023-b33d-aeff2521fc8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="676" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bece340b-3977-492a-bdea-f5ef760ff373-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="675" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-abe89927-864e-4248-9a6d-40cd71453025-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="674" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-55d1f2c0-2181-4463-b3be-7ab8a0af7bd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="673" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a50e3ee3-693d-4b59-adbc-7d125d3e84cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="672" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab76fbf9-f2e4-4e9c-b600-7f06204e53b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="671" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8bc075b7-8067-4df2-a9b2-f1f1b7d61a80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="670" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-109014ab-d222-4c76-b2e7-170b57a22b0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="669" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d88a1023-7755-449a-b878-7d453dc0f84a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="668" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1d6afab3-5de2-4e52-b1e2-5ec3e1ab1716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="667" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f6aeca30-da12-408e-8503-fea787711a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="666" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9d427fd7-3870-479a-a135-71d78ed48b0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="665" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8c14c530-3e39-4f2f-9d67-9b31dc378941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="664" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2c0eca64-6b37-45b0-8667-24b09469d8b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="663" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e722b714-8e0c-4b51-aae6-1d01c17e80e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']" priority="662" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40780'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40780' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40780'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d1ffa61-cefe-4a99-90f3-992f47d25229-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="661" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_begrijpen): de waarde van @code/@codeSystem MOET ''780' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c0950d8e-2006-4b7a-8e9a-3b981af53dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="660" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-536d8c52-4ee2-4571-9608-fcdde13c0833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="658" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7034ed39-9e96-4b00-9d28-2fdfa8bb0716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="657" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d74aafe-e63f-43d2-baad-9247ef82d603-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="656" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e6f815bd-07a8-4dbd-854d-7f8a0c1adfd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="655" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db21cb03-96f2-4393-8ce1-fbbc2d4d0bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="654" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6a44370f-a2d8-4a58-899a-18659984c977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="653" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-19223862-88f6-4e9f-b7f7-12c2210f11ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="652" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0751002-5833-450d-a910-0d2ced1e3dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="651" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f8618d6-bc75-4631-8ad9-6387fe7e4d09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="650" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7b2721f2-be2a-4ff1-a405-c295dbf92432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="649" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-53db0b47-3309-430c-bacd-80cac133cfb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="647" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-edf1235f-d1b9-45d5-a6fe-0cb271a3b347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="646" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dc215be5-1f9a-489b-926a-9f556d35b4bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="645" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-38650343-9f4b-4a82-9cf6-263ef22a8b4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="644" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f40b6beb-7c2f-49f0-8728-06636c0e0bf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="643" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-18631c30-6d13-4500-b5e5-b1c7d86ae3a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="642" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1ed48242-4988-4350-9fbc-5fcf1e3b138b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="641" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2915beae-5597-4f9b-aa99-b3e18a55b9a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="640" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d1a71a60-5df5-4f2c-b1da-682f001e87d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-01a71116-113d-4321-99c5-b4da69a7dff8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f9f95e16-c156-48cb-8976-7c8e552672be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-aa146091-ad07-45d6-96b7-867bd12bc75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9d3baf5c-f927-4d48-ad70-6cb5f943c06b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c57fd2ea-d5e6-4e7e-abf1-49de3bd7978e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a17ece56-5f5c-4e4c-a2f7-449603f9f1de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a26d33c9-abef-438a-9780-ced669c8cf91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c64600da-9c5a-4132-9f7b-954b6ea63535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="631" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fcc9d3a2-6962-4388-a782-195b880e1501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="630" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-750d4030-4578-4725-b84e-eabe9e73d821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="629" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-49d4fa20-a4d6-43b4-9399-317ca8b6fc16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="628" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-69844031-538d-4bc9-adc2-258cab40c66e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="627" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b9a13da7-136b-4c81-8092-c3ea893663d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="626" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b14d3d1c-660b-4699-a9cb-457fdaa04dd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="625" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7a81e103-4d1d-4b9d-9a0c-a412240bf492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="624" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-51e82de3-065f-4be4-9be8-b9727854589c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="623" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d0bb874c-a4a8-4f75-abfa-6321a2252cc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="622" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-23cc74e0-be19-4fa3-a7e2-0835452c1c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="621" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3c054586-3232-4c95-a59a-c00636987122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="620" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ffd59076-4570-4df9-ab90-ce16eed0f485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="619" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a92241bb-0b97-4ff5-a36d-29ed03eb38c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="618" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ba3e0f1d-515a-4113-9273-21527db38469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="617" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db919920-d43f-4bc9-bcee-bfab34b49a4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="616" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5a84b96e-91d6-4437-b5b0-d607962b8c49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']" priority="615" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40781'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40781' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40781'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8cba81a1-7f0e-47f6-805f-732d66533ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="614" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wilsontwikkeling): de waarde van @code/@codeSystem MOET ''781' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b263c297-2ed1-4741-a0be-c062292ef92b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="613" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6818d558-46e5-4dce-bc7a-7a104a656322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="611" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-94f362b1-0a20-4128-8e98-578b790749a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="610" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-095eedec-a88b-4e10-a9e0-c81995a034a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="609" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d9eff44-8b86-4e5a-a53d-2c53628fa7be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="608" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9042e642-e9cf-4ec0-a385-20a0932ef8d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="607" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-025a556b-2424-4fac-87ba-6947d42d2896-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="606" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-06946de5-4a76-4cf8-8392-8bbfc43cefbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="605" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c1f2482c-b298-46ae-bffc-81eb41df09e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="604" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e66ca34b-21dd-4ba5-acbb-58be971d3ad1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="603" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-42670b21-7e1b-443c-991e-229b4af8d003-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="602" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d9c4f7c4-4a9d-4c6d-bc27-52013e338448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="600" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-df1d6b53-5349-4855-b99e-32bab7b1799f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="599" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0da795d-1372-4aa2-9c99-4f7335a6d74a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="598" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1446d506-a004-457d-b37d-28cb77ddd8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="597" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eda3910f-5864-4cea-b5fc-1577d7953fba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="596" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-20fdd1e3-cbba-45a2-ae77-259467aff63a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="595" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8dbd16e8-5fcc-4eca-be36-72e0ec7fc8b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="594" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5995771f-c599-46cd-bed9-8a4bf77c9bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="593" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f061d3ac-5f92-4f50-9666-13c426165736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="592" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-67a79d94-3ba4-4230-b43b-65ade5e09b24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="591" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5bd585b8-417b-4568-a7cc-f1df98a60b53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-58b12b3a-e561-45e5-8d08-7c854720dc3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c5ec84a9-fce3-4131-b816-7de0f38f5f33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-323481d4-71cf-4b06-8969-10a3b6847b11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a6004bf6-9562-4fcd-ae71-7ff21995ccf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bef3337f-80bb-42a0-9bae-ad60e88515fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7d7a7cf4-a22f-40dc-910e-26c45d5ea964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="584" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f9ba0be-8a72-4c1f-9dce-78484a723cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="583" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cd80c323-fc63-4e53-a59a-c4a737dd971b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="582" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f9584d19-68b9-4e6e-bdd5-ee47d9224142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="581" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2ee077ef-b198-4bd5-89f4-851eae6d3324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="580" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0ae256b5-70b5-45bf-99ea-6572d3b5be77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="579" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1e5f09bd-4549-412b-96f5-560608213cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="578" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0a3a2dc3-e1c0-4e20-83f5-4603b773dcbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="577" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8cfc9966-9337-4de1-aee5-df54feabe0db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="576" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9efcd96c-9721-4169-abb8-bc1417525d73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="575" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-51dc85a3-ff5f-4436-bd3b-135dddde2e15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="574" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-69f622db-339a-4c16-87dc-c7511e6079f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="573" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d1001a05-80c7-46c5-8824-abed400de40f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="572" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1a667568-9ad2-482d-8bce-f9edd890b69e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="571" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-031962d5-e0aa-4d4d-9e8f-112296271cc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="570" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7de434bf-9e14-4133-9d02-df13d9f1a58d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="569" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4be19c77-b9f6-4ee3-b5ce-eba73d77d5b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']" priority="568" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41422'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41422' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41422'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-588fe1f8-5bb0-4acb-b0c5-db5d7aacfab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="567" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code/@codeSystem MOET ''1422' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8934dce7-094b-46b3-8a06-cb406818f799-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="566" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0657_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0657_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code MOET worden gekozen uit waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-343f6de1-127e-4456-83a8-4e7037e6e7d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="564" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d6d64723-baa0-4c06-93fe-e01405d6a4df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="563" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eb0d7934-37da-4ee6-bd59-7283a846db8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="562" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b52ae1ef-1b6b-47e2-b944-2b2cd6f5ff2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="561" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-65f19c0a-9bfe-42a9-a59d-36522abaa4bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="560" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5c06cd44-dcc8-4444-972e-a6fc46fd4ef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="559" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-be65d4f6-3d7b-4f0e-92d0-85bbdf2de3f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="558" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f6d46a84-c3cb-4a1d-a100-81f74a9712ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="557" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2e831b97-1dba-4231-b87e-5dc4d775d241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="556" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-038bf3c1-3485-461c-be67-6b0264c13331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="555" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8b4ddc2d-35f7-4e3b-9313-74022cdf8a55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="553" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4d64377f-d053-42fe-9625-3d23142b18b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="552" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-be8882ce-3efa-4098-8c80-bb134e114cd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="551" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d154f042-e344-45ac-9438-b121421ed81f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="550" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-336bd5c7-4728-4044-adc7-30600767e8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="549" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-45e43de9-d061-4c6c-8499-5d2c90041ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="548" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1b91ddd9-731f-4f0d-b6b5-8ad06cdfa6b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="547" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-148316a5-63bd-4535-9def-2d098d1c67a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="546" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1eeb4178-3636-4581-a297-2b626f40e842-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fd2b3121-72ae-413e-804b-2aa078454c74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-df308f00-1b0c-40ec-b3aa-fd7c73d4ae57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f3407f9f-23b3-4f4e-9c7c-8cfa4a391dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d4edfc7c-0e4f-4901-840a-c328f5e1152f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="541" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9022b43e-9b07-4d7a-8fff-8a61dc91996b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="540" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-806785ea-544a-4355-ab1f-398c0907770d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="539" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0d7a32f3-59de-4423-9502-fe77db1ccba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="538" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5de8b3ea-67e1-4bc9-b313-8b7dfd2939cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="537" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-44839e02-de5f-4274-88ff-3f6c0053b117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="536" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1f90a446-9ab0-4964-9f84-d3b3eea0ab82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="535" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e2b7d2f-6381-4c8d-b205-0bfc06f3ab98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="534" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bca5f427-9707-4c22-bd03-ede8360963b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="533" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-57344b30-4234-4b4a-b094-e76c569c1924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="532" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-955be079-737d-477d-b534-ddaf938eea8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="531" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-00980fa8-8136-479a-bd83-91291b42bed6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="530" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ecc93ced-2083-4049-91cd-9fe800fab5b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="529" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3d138c16-a866-4164-95ff-49f5ee8bf147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="528" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b44a110-c931-4676-a8f7-9a469776e31f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="527" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6eb1f226-d941-41e5-a364-801e9d0e5a77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="526" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-647bbd60-2b42-4e4d-bd63-a4c101c6b74a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="525" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fd00da40-8436-4933-86b8-e6bf731d0308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="524" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-68bd0b00-1842-47e1-9b3c-58c310b54758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-788b11ae-d914-4459-9dfe-1a09714283a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-01c420f5-217f-47af-8285-e47dac5a2ce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']" priority="521" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40782'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40782' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40782'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-abcf18d6-d82f-4a6a-b859-16076b2bbc1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_contact_met_volwassenen): de waarde van @code/@codeSystem MOET ''782' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6e45664c-0c25-48ce-b5c1-e909642e14cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08296dcc-06ac-48d6-badb-c06d62b55999-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="517" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d7867b51-3e25-4b07-b037-d091085c953f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="516" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ff77f3d8-cc41-4eff-abb5-4cff9f728efc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="515" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-027833fb-b040-4169-ae14-87629fac3509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="514" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f001d729-ba5b-4796-8852-d94ed851fefa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="513" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e8cdd935-df74-4435-af27-d0c2be36f246-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="512" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9a8b7450-b2ba-41eb-9447-5dff02d8b4fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="511" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1e0fd95e-a073-489e-918e-9d289209efe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="510" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-77743e8c-a90a-4052-8b0e-4848e7b9a09d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="509" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-95adc7c6-5f4b-442f-8580-58186507e13e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="508" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-76569366-72f5-4e54-ae82-a95e942c988c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="506" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b205a707-105c-47f6-8461-ff16b8250082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="505" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-271df23d-6817-461e-8440-ba0a75d41358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="504" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cc3d6aab-ebce-42bf-9c51-da951beea783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="503" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-876248df-cb27-4d17-b2a1-3d55ca534519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="502" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-06a39bdf-c4ef-48fa-95c0-b71cb992f1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="501" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b235fca7-05c7-4df5-9fb5-c45819751fac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="500" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e04be826-3d41-4db0-bb51-6fbb4153e9bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="499" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b23924ea-bf57-437f-9045-fae7c098f8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f09b2c56-88c8-4cab-b544-8a2c8c6756a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-baab5890-8108-4b8f-b0de-e39f4654488d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-12239f70-8f85-4ce0-bd5a-fab2cd193dfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5414dadc-fe1c-47f0-8851-908d0bf0b692-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-88d59d67-72db-4e83-84b8-4e25fd573897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c20a985e-c1a9-46bb-bdf4-978efa302718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-188ec6a0-aee5-4368-bed8-bfcbb0c16825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-57f2e3ff-2694-4fae-9c74-a83e250ce548-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="490" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b53a2145-f13f-46c9-8bfe-2a89d3de3409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="489" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1515b3cb-368c-4404-8f1c-b0ab6af72758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="488" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de73b911-1656-4002-bad9-1b27ba728f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="487" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b9a2e53c-28fd-4c5d-9684-9d4590539216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="486" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fbf557ac-4fdb-4f41-8bd0-fc4f66b913ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="485" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b3447db1-8522-495c-b3d1-1f55e3cf0549-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="484" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f36d2eea-cda2-4b78-9f61-7988980a23bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="483" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8b5de452-d231-4e86-a60c-1f05110b8a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="482" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-14568eaa-061a-4283-9c45-1231275b769d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="481" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d60763db-caee-41b8-974a-7760f79c7748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="480" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-49d28fde-0fb8-4583-9ad7-efe0b3370b93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="479" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3505a272-8900-4d3f-bfc2-519ba9321629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="478" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-78416132-e781-4d11-ae4c-c8af0a1cf135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="477" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-74b19fa5-dcc0-4862-98bf-e49a4c239316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d4cc86ad-04f6-4f94-867c-e95f7b2158ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a0eb7ed6-d9f8-417c-a031-83b19cbb218a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']" priority="474" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40783'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40783' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40783'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3d60c24a-644a-4e9a-9b55-566ca29e59ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): de waarde van @code/@codeSystem MOET ''783' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dc9c9e92-ff0a-44d2-8ce7-e9c2c2842bb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b2999e82-33f5-4a78-8d65-c2b763c03775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-878430e4-f23e-4e62-99a4-1559bcadfee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-46509e30-6e4b-487e-9f37-4c8febcd588e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a3f68242-8c19-4b43-a854-37ed4588145e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c3a9538b-486f-4220-8931-4b7e6c6321b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-96881f70-51eb-4426-818b-fecd4c21dffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9015d86f-2737-4d82-89cf-dabbbcb7ba17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b743ff36-37fb-4dfb-891a-9695590afa93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5f22b1eb-8454-4a93-876d-6026bc882a81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-176c6b31-0a7b-4407-a39f-b0e3747e7704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fe0dfe2b-b4ed-4db0-9ab6-9fc52ac3c207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fbf29190-cf03-46b9-b642-3e420a6552b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1d3ab49a-ab94-47c2-a26a-dbf32a8aae35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b9c6e7ab-7b5a-47b4-8c10-0fef1b4174d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fee989f8-0166-4023-b708-9a443945cc48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b91ba63f-58c4-4217-8251-052fcc217156-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e9c6c880-53aa-4ef2-a258-176682bb41ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6f21ee11-2d6e-413a-854b-5c340f51e9d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b19214eb-f778-4a07-9cb7-8c3233dd043b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-65d4b30a-fdfb-48fe-ba47-1a1cc75da525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d6539ef5-4878-4ff7-bb04-cfcc2a63d242-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db50e68a-4bce-4856-934f-0450e60a1c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c476280c-428f-48eb-953a-de4f66e90b62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c1189af0-d230-4054-8b0c-ee3ed1671164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-74668e5c-b547-4571-ab4c-b5b6aee4d27a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1230d661-d4db-47ca-ab01-0ecdc116cc0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b1656fc3-700b-4346-8752-09571d85fcad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a0f80242-21d1-4dae-aa8f-f11cbd5323f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5b9eb402-aceb-4f23-9e51-6615ba60f0c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a6cad2f2-3976-45f5-a4d1-0ce7e61bb262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-223b390a-b989-4dda-947d-61ceaa1b3bab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3a08e073-9f2e-4445-9fde-4b502299ed66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d48b8cd4-d2f7-4e8f-932a-d34b994cc18d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8f6e712e-c60a-4f6a-9fd2-ce66d59652e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9ce7cea3-505d-46f6-8e9b-e88b9d9d3ae5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cf6d77ea-12c2-4599-97fa-0e24d2c27262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d3cf93f-75f8-43c1-b0e8-49faa60bfa4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6d9297c7-7017-4ba6-bb43-9eebc56287b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-45c0b578-3fbd-46d4-8b3d-6d4708ce94b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0c3699ca-d538-4878-aea9-a7f1260f7d86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bf621baa-7833-4ea3-8533-733088b74cd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7985d106-c389-42e8-a2de-3d8de965977f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ea352ed2-9ab3-4bf9-85c9-56eca438aa1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']" priority="427" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40784'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40784' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40784'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-002ae255-7b61-47c7-bd86-ceeb0dd4e602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gewelddelinquent_gedrag): de waarde van @code/@codeSystem MOET ''784' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-196f4db0-5a70-4e89-9db5-8dfa052d4c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ebe8b23c-7dcd-48f8-a0e9-c1015e5ce85b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5ffb4adf-5893-488b-b8eb-625b1c35e261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-75d2c8c4-e97c-4041-bfb0-f606e6bab9b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-48558b32-de07-4459-a7e7-e850f32f7962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d0939daa-9ac8-4200-9778-afb3e25ef461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-03d1f590-0df2-4413-b3f4-6e018ebc19f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2363a580-645d-4de4-a168-52f9ddbf9ace-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3039ab61-18c0-4211-9d8f-95342735caa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-958ec52e-e68a-47dd-9492-c6d59f55d168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8a25c1e9-3831-4900-a48d-8c49f57b29f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-98deb423-3417-41f9-bbfb-c50479f5090a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d314bb61-5f40-4ef6-98c0-0cebe4b9fb29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-06c02064-3e96-4d56-89c3-b9a18b9ece2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0cc550c2-6f09-40a3-be30-9f550d1c3f17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-33f3d32b-cd24-4ac0-bb80-1ac76a68fe22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5cf77dfe-07cf-4e9a-9ef9-c24171f7ffff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4e7ee3b4-8d5c-4597-952f-4ebc11e0bdd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-183e0610-52b6-4d32-b8c1-2a7661d73f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-398b0a28-418f-487e-8d5d-6f5b98911c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7b62e41e-4796-4f22-979a-a3c4633bc878-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b3f87c2-d21e-44dd-af47-dc7f9b5e34ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e091635e-ff0a-456c-bee8-16da67c3ba7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-313340a8-1844-4312-b71a-212c662875f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ab9c3bdb-5c70-4c24-891f-799034a72877-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3018deda-1590-4a55-9696-76b87098f135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f9cfc3f2-270f-483d-9fde-4c1006fd17d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6a8d2911-8ba4-42e7-a85b-016623506ebc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7303fa34-221b-4035-9c14-3e2661cae6cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-10ca91b6-41c0-4861-be80-6a1e95979b64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a5494725-d4dd-40c2-a5b8-e7084c469a7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c51aaa6f-4826-4411-b3a2-22df7923a6d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-524ae1ac-d64c-4eef-b121-553eb70d9c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c21bb0d5-3a2e-46e9-bca6-c0f8b08dc600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bab0f471-2d6c-427b-8a9f-ef3c648029ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e7808dd2-be21-4f96-9180-dbae5b944ae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8ef1f578-b200-4ca1-9723-07b97930799f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f6dbddc9-2687-4ce7-8694-a83f45d4faca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a03210d9-5c76-4aa2-8395-f396cab55fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e514b760-30d4-4bee-a188-d3df39254d6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b1b92808-b759-48c1-acbb-5ad7d93a526b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9e07516c-6558-462f-9efb-daaedfed8459-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9073b1b8-4326-4dc9-86cf-0311ecf3765c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2a9e189e-6cba-42c2-9410-7f6a098e60e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']" priority="380" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40785'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40785' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40785'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d7876efb-b98b-4ed1-a572-e28b4cb56684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): de waarde van @code/@codeSystem MOET ''785' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8e83987a-605f-49dc-8b70-82f5c9cac36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0214_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0214_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): de waarde van @code MOET worden gekozen uit waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verslavingsrisico): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c162fae9-045c-44bc-85a7-c968391015c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6d2a651e-b92a-4716-967a-a9749135dadc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0b0bd70b-5392-475a-a903-dfc761475a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b9cb4eda-cc63-4abc-85e6-9cc385249404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-eb358d87-2b4b-47c7-aa52-c9e9805b3909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ac782298-0dff-481b-9911-947b70d82543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2beacc82-7804-440b-907f-5468ed1b6bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-790c06b5-dd70-4c3b-88ff-33afe094af14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cc2be7a2-2c27-4d7b-8837-75ec31669096-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e6fa21ef-1a06-48e4-9dff-4a3702234b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3faa4285-0aba-4277-b418-0d51bbab3428-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8ec153cb-3422-43bf-9d14-cf45e49a18e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3f17fef1-1cc2-4263-844e-94b319745160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-345897bd-577d-470c-b67a-98002b163f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b4ddbe76-bb09-4ed9-a1eb-bc3a7ac258fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8cc798d0-cf6b-420b-8a0f-46f33c5678b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-76d9e06c-303c-4132-8452-a6e24512ed09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5a2cf80c-a953-4c5f-b370-1527b4fd3cf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2daba286-562c-4697-9ce0-6514847b6c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d88b35ce-5644-4044-9242-e155be7e8a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a1fe16d3-b04b-48b8-af00-9607297671dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d2e0936-c88b-40d4-937b-5b5c8ccbe73c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ce8ed5bd-2d62-4782-913d-609d076ffdfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de009be4-62b9-4e26-97f6-8058e459008b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8047362b-6d82-42c4-a438-ffafe71ebdba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6713b455-634a-433a-93c4-4caae669a808-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-984135ba-fb80-4110-bd8e-7e7102ee728f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dfdc72fc-510c-4641-bdd5-742ad4eb304b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-79e69958-c271-41e2-a89c-caf85ea0c3af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e9f44f4b-0dd6-4b64-9f18-41d3986c5028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-bf533723-7483-4123-8f09-798c0fbc860a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-41adaba2-49fa-4003-8680-8934b6a4a4f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-340384ac-8485-4cf2-a696-beac090c17e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5ca4b744-3fba-4857-aeab-6e18450dca58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0562e8e-ba9e-4f68-8fa5-918321dff859-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4575c9ee-163a-4f28-8e81-34db484a43f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1b577b55-d176-40d1-8a0e-8fcf4be76789-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a1e1baf5-dd4e-4f82-84f9-5503728df3ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-17f84a9f-b9e5-462f-a4dc-3af7fe7201de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-534987d5-d384-4817-a4e0-013872388adf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b5da5ec-d239-4d6e-b360-d7e4a79e3ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-472feeeb-0687-44be-9908-57450f520ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-113bd3e6-b257-4cb9-9675-d651e0e49b4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']" priority="333" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40786'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40786' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40786'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9f9c6e94-9ab5-4ac0-b1cf-e0b8bae7267d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_verslavingsrisico): de waarde van @code/@codeSystem MOET ''786' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-191df7dd-f246-412f-b288-34cd18cf0476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cbb2309a-983b-4079-af7c-fe772b822be8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-721b2821-906b-4932-a7a2-cd188cd734cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-daf74daf-4639-4b57-98d3-7f42d459cdbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1c080e04-18b5-485d-a455-b8bdada3ccad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08fe7b93-d684-4fef-bc25-ecadab2f3cc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e8ea24dc-e6d4-422c-8acf-a59e20b81bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f4ef0204-cad4-471f-91da-da4abe6c8ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-155a9662-5a99-4c95-934c-167a92bfa20c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e829c090-0f9f-4a67-85ee-c1c467b56ccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6fc7e791-5b74-4fda-adf1-bdb7a4324ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0ea94bfd-1d1c-4272-a6bc-3206dc2f9f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-60fdfa5b-a067-42d3-b073-00605c1a7bda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5b40a4de-cb81-4057-a133-9a29fb388e8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a6f78708-0874-49e6-b571-8f995c4d3ccd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08c0cdac-9dd5-433a-af3c-1b6476cddca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2b9a4edd-7573-41d7-96a7-8767b42b4089-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-48ae8c71-e717-4be5-b697-9c363648ec0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e48c211-8373-4708-af6e-4477198d5074-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-99815e36-6a64-49a8-8fbb-8183c2af8607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8e7e9709-84e9-4947-a299-e3783ec7c72f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5efe3fc-9676-4e10-a003-96c60c74947a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cd2c84db-70d4-4de4-8474-d4660e7ccad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-52b50378-5824-4dfa-b1f5-aa3826141bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ed48cfa9-915a-4faf-b383-3b985be6d555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-34655440-99a8-474d-8786-de9cb3e58847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3dff5760-29c6-42ad-b2df-dd94c5c7528b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-63de00ab-52bc-47e6-9c01-ca0be96e751b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-55a4a808-efc4-4bf6-995c-4ee597825ae3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-92efc9f7-1926-496a-8cdd-4ddd14a27228-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9312673f-aad8-47d5-a5a4-38400fe106a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f117969b-147d-4ff9-9a4a-76ced467f027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-08c60bfc-7d65-4904-8049-626f6a77b8ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-32763c29-3396-4f2e-a6eb-baf96930cd0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-902a95d2-22cb-4333-bf1d-7a2d90a4e25e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3aa6ea4b-eb52-4beb-9f8d-07328a529157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-800d2ef3-b065-4b2c-a299-18c20fbc0987-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4c517051-2434-4409-8b63-9705b725a53d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4fa2d11c-3bbb-4354-b674-388e38212af8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fafa941b-5293-4fce-888d-25889eda954b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fce9f0b3-4e22-41bf-9adc-61265202491f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-053c0c64-44ac-4a55-88f3-dc2468b84f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2eed37f5-478a-455e-9965-ef9e7f15db70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-99c87cff-f42f-4aed-86c6-eb5110295555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']" priority="286" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40787'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40787' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40787'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dde3111a-6f9b-4330-91c2-2bfa53d39e71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Functioneren_op_school_nagevraagd): de waarde van @code/@codeSystem MOET ''787' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5c5dcedf-a0e7-49cc-9aad-88a47a9cb261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b0d5ecb5-3b18-4891-9c23-f5b4651fc618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8686b047-bf8a-42f0-a98c-f3472cfec956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4a06f7f0-59fd-416d-ba86-90ad330478ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-857953e8-6510-49d0-b9c3-773f115b4e3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a4eb8ec5-050b-482d-b5f8-1a704170110c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3638a3dc-264b-437f-bab0-5f4c1a0805d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9a211313-8262-4a74-8e34-e72cc7ca09e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-86421f0e-9295-452a-a120-78ff9235e2d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4f5b41e4-966c-4fb6-b9e5-8644ae848617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d78759bb-f72a-434d-98e3-076996329dd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-817bcea1-4f1e-4611-b9c1-cc4833a64924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-391ecbe6-ddb6-414e-8391-1a245f05714e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5efd04d-5df4-4d03-9ca4-a77842f0204c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8db58849-add4-4a07-ad8a-0fea096f16a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-dc22d30f-679d-41d4-8d23-5023ec92098f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c1f642e8-a6e6-4841-8b4d-2c7fa01f4db8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-57155bd2-c349-4405-b9d8-b545a27b4993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-86b8dff6-b5a4-488a-b6b0-a85e6b0b9b6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2d242927-9eda-42ac-8399-9f631ccc073d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-511e588a-a15d-4022-82f3-421b0ac30638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e3d76c5c-c3ca-42cb-ba3b-bd416e381d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-99d0fe55-62b1-405a-99cd-650756b43b71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-baaf6da2-9256-412d-b377-af0ae3aa9147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fd4da802-6fa5-4851-b86b-7113f2bfacd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-94dd370c-b703-42fd-bae5-42bd16695045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d520066a-dffe-4f62-a022-55fe7a05e6a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f66065ec-e3f8-41bd-b43d-73f71d2f6b26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f037a380-00db-4a5e-92a6-45d9b9cdf2a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8c6fb73c-f6bf-49a1-b9fb-5667e4daaba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-07ee70e9-76f5-4379-94f4-b65d9e34815a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2e601d2d-56e5-4363-808c-266600271a99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7ab7d38f-cd3d-4444-b71a-5a4be676ecd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c932a0b8-9158-40e4-8414-c6ce0313c518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-521518a0-48a6-4e78-8e57-731a09436ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9c11851b-917b-4696-ae4c-aaf49324aea8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-346cf3ae-ce71-4707-9bcb-8c67d8947ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fc00ac5c-b594-4019-9b10-4dc14456884e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a0ef9516-99b2-4fde-be7b-f328a001f646-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6901ee1a-17db-428b-b8f5-5e0a536e57a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5518ab39-6a38-4520-9ea4-f557e93684a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e9a3eab3-7f4d-451d-95c6-6c872d7a0abe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2c38a368-2dc8-4997-9b3c-1c267c5df735-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e8ca827e-0ecf-494f-b066-2e46475e19b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']" priority="239" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40790'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40790' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40790'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-940aaa77-7a70-4761-afbd-1bc969cf3104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_functioneren_in_de_klas): de waarde van @code/@codeSystem MOET ''790' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-161f5282-a914-4f56-910c-fa6c32b6021c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-06e53c5c-aeaa-48a2-a950-e8b02a29dd41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-402dc910-80b0-4bb5-99e0-364919649e14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fbd3f937-254f-482e-909b-199a4cd80edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5cb2ec37-29dc-4dad-b6c9-29bdce06d42e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2fd965de-0d32-4a01-a374-5d58713fb69a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b068bd01-cb51-4639-b8de-449bbbef80f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fc2f5bda-4465-49d1-8678-c8bf9a684aff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8a713cb7-225b-4fd6-8f57-0528792675cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-520fa6fa-98f9-4df0-8152-3133ce4f187a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d17cf86f-9a17-43a3-935c-43c1112baf8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e8d55cfa-4778-4944-adcb-8b18d8e9747c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-a64e6b74-5a74-4398-b891-27af09d5b79f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f9148a42-2eb3-4f9d-9228-33f9847c1dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-250ad007-0630-4194-bad1-a1b90d0ff8cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3842b638-3615-4018-a2d6-56c8bb7ccb97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-09ff0a1e-b5f7-4730-8ae2-85d306f68bc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1268987f-a137-4b30-8061-e86f6ccbd738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f0b22581-3927-4775-adb7-b2fc0d696b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-642fe100-a222-43ea-b0e2-57c4c17fa1f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ca7b4f38-ae5c-442e-a21d-fcc1d7772fa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f720c59c-7e62-4b3a-9804-1ad87b8ba24a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1aaa7642-ca81-4855-9eab-01c3ffb806f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ba25b516-2ce3-4b1a-88ae-9710620bdaa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0af4479a-86bd-422e-bbd1-cff1ccc6cf68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-35630e4d-aae9-4366-89c0-f1b8b3213883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-321578e4-5a8b-47a8-88ea-fe19a84bf4d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-42e40dce-84cb-4900-8d5d-7f34a6b9fe64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f7aea104-55ec-47c2-961a-f8f309134ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-74c672b7-4893-4d7d-b9dd-c0f464981478-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-fa3fc388-8ca4-4b81-89db-5ffca926b752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5baeb3b3-8835-4c54-85ec-f5aa57e30cdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-120bea42-8a30-42cb-a2e4-c2c55c7ca7bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-86523a11-5c7d-465c-bbcf-40b9aeeb5f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5e1b0ddc-247b-4d3b-9983-e9d9d630230f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9bdfd95b-abab-4c07-ba2d-fa2c108e3d42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b1d440b3-97db-41d7-bc2d-ae4fd3244f6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-746768fb-4cc0-4da6-a387-e8c87e87fa3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1a4f4488-5ebb-48fe-bf6c-1d86b259790b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ac4937a3-cf7c-4746-ba3a-174dc95fb3f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8143d2e5-a5a9-443a-bcab-081ce35a927b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8cdfcdf5-84c5-4703-a611-e424474ad442-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f6c96819-cacb-4ba5-a03a-dda414d665d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-375d9de4-5173-4e8a-8c8b-c644a4fc3d41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']" priority="192" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40791'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40791' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40791'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-033b63c5-edb2-4e55-91df-2ef7788e0e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_indruk_school): de waarde van @code/@codeSystem MOET ''791' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f8f51175-10a6-4411-a2bc-fc9e315aa970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ed27277d-b793-42cc-815b-4c91f9a3e241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8a728238-dd7d-4d14-b700-fefdabbbf4cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1c4bcb04-7a42-4f80-b514-12d167748630-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7cd0757e-5599-4d4a-b205-a5c5d5dc1ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ff3e2069-484d-4119-add7-40aff9170a61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7239326d-2ed7-4fe5-a901-85c66475c755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-607549b5-f794-49ac-99dc-c1469ab04b2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-37f9fbbc-f039-47a7-b375-93be9b28346d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7839fa92-fbde-46a7-9bc4-2390279f7208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e259e658-11b6-472f-96b3-858f6cab03ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-691327a3-6c77-4830-b3d0-93c4a6609580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-2ac445c1-0c00-49af-9864-9d2e928bd3b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0af5267a-5ba6-40d0-baf7-da1f63cbbc9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-26f008bf-64d0-4bc4-a00f-bf4d4662cb07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e41b64a0-e998-4629-a431-d23341b05bc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c3fca6e2-75e8-45a4-b711-e93c64b25adb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e0855897-68ad-450e-9bde-4cc871ed26e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1de86c2b-5b7a-45c4-b8d1-b9cff161ff2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-005d6372-b7e9-4b90-aeeb-d29e9d453d34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8823c24d-7536-4904-a0d4-8242013c3563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4b1dbd32-9a4b-414f-8032-7ffab0f1c085-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7f71b05c-1121-4371-a415-f2c60df600f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-33c95d09-ccff-4bd8-b86e-2fb44186ca86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c9f1b189-eaf5-4dd1-8b7f-72ca34ab92de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c9914fc3-9009-4a9d-aa62-420da941524e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-228d7ce1-ca4c-44f2-87e8-b197c2085f5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-887343ed-7a66-4942-96bd-ae794a0a200b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1929847d-7532-44de-bb84-fdfe7ace0525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9bc7cb5b-910d-4270-8293-eec0e72177a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b69e8647-bad9-4ae1-be17-edea7e0097bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5526f574-7df6-4628-9414-5d8933649054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-33125b87-98ad-4f56-b9d8-c5b377c91f97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1a9ec2c9-a9f6-4305-8e7f-a3aaeb722d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c8c308b0-776b-469e-b43f-c48b3c6b64ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-e12672e9-e3d4-4a6d-bde1-45b7f0e55bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6f01bac7-e557-4a6b-9c7f-e0afb79e2e8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-019228ba-5549-483f-a274-8b4219ab6bb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ec3845b4-d497-46c5-b736-5c3fb9f1e6b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5770646-7c07-46aa-bbbc-8167cdf1ccfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0791b50d-9e24-47c5-90ae-35de07900883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7e43c49d-6726-4356-a4cf-0384776215a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-284328d5-9b04-43a3-aa9c-721d6c42d1db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3eee9049-b982-4d6f-8ef3-a3874febd6a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']" priority="145" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40792'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40792' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40792'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b55b304d-a25a-471c-8d50-f4811d511db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_schoolverzuim): de waarde van @code/@codeSystem MOET ''792' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f6a4382e-c87c-4b3c-87ef-31f7855cb5e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-9990a3dc-d03c-4637-83c9-3d567f580f08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-7bb3302c-7f20-4584-8365-46e298b7accd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-460d33c3-b809-4ffa-af9e-596bc5e7e19b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-72d1a9ac-e3d9-42dd-844c-0b667c3887f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ac5a437a-5332-4b68-8a1b-6af1b28316db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-71a75f7f-0190-474e-9f80-0dc1fd1a8318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-de655474-ecae-4c62-9eba-57715822aa7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3946ff6a-4566-4be4-8ea5-f84c29bd8c07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3d618ce4-4ff9-42d3-a163-8f52103c9431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-6b3e38c7-2d2d-41a4-bd91-2eb3fa3cf2c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5698f47-4e2f-4748-aa15-a32a6397e060-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-db4bffe9-e7d8-4d5c-85d5-67a385fd290c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-032d2b39-cd2a-45dd-9937-9455763f2700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8dade83e-febc-4b17-9981-ce4307c2759a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f26a63a9-a9fd-4426-b195-5071a44f4d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-69a34a89-bfbf-4813-bfaf-7ce436888c23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0b3347aa-cb9c-4e52-80e4-30425ffa4c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-084b0147-bb33-496c-a0bb-7b1e70c9d00b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4a97b48e-e967-45f9-87e8-61ba3391359c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-073edb2f-3586-4b2d-80f3-4666c072fdba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-46ddaa74-ab9e-403e-846c-d8cbb87e50c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-85b5eef2-4e46-4e74-90f5-ca80aa852b38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f1bb17f7-d0d6-427a-a4e0-0cbe9c59b807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-f522ff3c-6d09-41d1-a2bc-0e3d83494241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-4e4133c4-14ad-47d6-8152-3042c69da8e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-b5a4e6ad-3800-4c5c-9347-2e85f1e1d39d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-c569fb98-d71a-4af7-a67c-bf38135ad9af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-3e4250b4-de59-42ff-a28f-6add82d26a36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-109e4c02-c472-4be2-b017-b23809615a44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M69">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cefa8b24-e45c-4250-9831-af010ca5b8c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-0326fe28-dd66-4125-bb3f-baee434e0ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1be5438a-491d-4b1c-a99c-dc63b2b0e749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d4106cf1-fe45-4249-a01e-ddf1bf04d220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-5448d118-c736-4583-b23f-9b162fe16c0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-017ef95b-8474-4793-ac6c-04d63b005331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-cd68b296-643c-477c-854e-172e4089fe9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-8acb6dd3-6a6d-4109-a49e-07f79c4076b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-d0ce7474-b830-48b0-a2d0-cc9a95a332d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M69">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-1e68f1dc-026c-4056-aff7-b004f6146302-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M69">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11021.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>

	<!--RULE tmp-ca76d8d3-8f0d-4da0-86e1-242e0682fe14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M69">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M69"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M69"/>
   <axsl:template match="@*|node()" priority="-2" mode="M69">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M69"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M69"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11022Rubriek 22 Huid/haar/nagels-->


	<!--RULE tmp-22a266c4-2093-4aff-90eb-7d8a8cc81167-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']" priority="289" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-bcb1d5e5-c822-4b56-9b2a-4d8776665797-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']" priority="288" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11022'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11022' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11022'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6573423c-73e4-4136-b903-4a85f2cad938-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:code" priority="287" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R022' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @code/@codeSystem MOET ''R022' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R022' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-417c2dea-eb76-4274-9183-bf5220a7c9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="286" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-72e96ddb-450f-4f98-b248-3f1729fb9090-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="285" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ea8ba469-8556-47e5-b099-2a8be93ba081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40161']" priority="284" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40161'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40161' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40161'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-dec52b2a-492f-46af-952b-414197789359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="283" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Huidhaarnagels_onderzocht): de waarde van @code/@codeSystem MOET ''161' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a105151f-8e4d-40c6-8ccd-454be1c3c1ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="282" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-95e24a3a-c143-4b5f-a31d-f0b09d3bcde0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="280" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-372149f0-0b4d-44da-93f8-a33792565485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="279" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-866819c9-fd08-4dcd-84c2-7272d50f66f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="278" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f1f0b5b4-2e10-4807-9b33-98ed1cf7ba8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="277" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8f7bee17-fbd1-4dff-9b0c-eebd96f209f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="276" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c3d5592b-4c62-41ae-99d8-55fd0d932b3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="275" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-50b04e39-6004-4fdb-b49e-9fba585a7f41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="274" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-0a3a45fc-5c77-433c-b804-a5d6e5b4e8d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="273" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d4828aff-a30d-456d-9625-361edd912ddc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="272" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-9b8818b0-d86b-4ef9-bead-c440ad35e117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="271" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b7223798-ed49-4dd8-92f7-23c54e6300ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="269" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b9618430-f6ff-42c0-a537-4570e5290898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="268" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-507c2bcf-41c0-4143-87d0-dd8594a17af5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="267" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8699553f-ac23-418c-98dc-34c02d356978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="266" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-54769d43-610b-4810-b555-ff090fe3e430-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="265" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8d5c617a-8aa6-4dd4-8368-b038906b0b16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="264" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-62b998bd-05c6-4e47-8b3f-1172a5e529a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="263" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c5a29caf-9612-4998-9bee-829a7ee6b135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="262" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-eaf06d94-4327-4f89-b224-aba715e09d2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6bcba473-6a4c-44b6-ab3e-7b477a9ae7f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-07cc450c-3999-4a22-9f52-a1be0503286f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c527abfc-a976-46de-9997-49d87abc01e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-012591cf-8ad8-4626-86f5-e4babf962926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f007443e-b553-4d9c-b644-624da63ebdf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f9d265c2-be70-47ef-9608-6e9d81de99d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="255" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-23df7637-6316-4f19-b8e4-0249a0159bb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="254" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a37a638e-c7e9-47bd-9612-aea125c4a46a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="253" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-4a5c6b57-3b6f-465d-b70e-6336e4ee5917-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="252" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f57a4db2-2359-4667-a9cb-6c26b1f4a488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="251" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5a259a1a-2f5e-49db-a573-e19a097cafa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="250" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c0704f43-d81d-48fc-b2a7-cd3d18c6da70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="249" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-399f6c5b-2a3f-498a-9df3-b501b9bccd2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="248" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a8533e69-ff2d-4bef-ac1e-ff2ce104f6c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="247" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-2c4a037e-d036-45bc-8d09-e37850d56a30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="246" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-e10ab5f2-f5af-4dbf-9969-b24bc3d9bed6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="245" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-3865eac7-e837-4008-ae86-4581322de2da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="244" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d5b19e38-bbbc-4e73-a09e-62c801cc67d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="243" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a447069b-8fd9-4d20-b7d7-b104779fdc36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="242" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a4aaa800-19d0-49cc-ac58-e32ff5959828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="241" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ea194266-1acd-46e7-a442-cbe20a513d07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:observation[hl7:code[@code='161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="240" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-23db198c-b2e4-47c2-8fcc-165d9af3623a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="239" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a787752e-5137-4361-a2b6-77ed100477ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="238" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): element hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-bb8eb0b5-e718-4d98-a5c1-02b05cfe61a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="237" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster22): de waarde van @code/@codeSystem MOET ''G022' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6d3f370c-7517-417e-8d2a-52c4fba8f9b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="236" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6e7a4402-fcc0-4216-a4e9-44acf2de064d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="235" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b721b5b5-444b-405f-aca7-24784b8815f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40163']" priority="234" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40163'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40163' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40163'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-7a481863-05ea-418c-80e0-20fba763c0dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="233" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): de waarde van @code/@codeSystem MOET ''163' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-88060373-313a-46d2-aba3-c2cd38babc42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="232" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0217_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0217_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): de waarde van @code MOET worden gekozen uit waardenlijst W0217_HL7 W0217 Bijzonderheden huid/haar/nagels (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_huidhaarnagels): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0217_HL7 W0217 Bijzonderheden huid/haar/nagels (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-bb03aeb6-edb8-4359-8278-b76547c9ae03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="230" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c2a5ba4c-1371-4abf-bef0-a3b67b272e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="229" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-fb080eb9-8747-487c-b688-9b18a0d0b16e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="228" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-94e719e6-f1a2-4187-8fe7-9490e02f7a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="227" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-0fd75b8f-73ec-481c-8b40-7220c4e96d73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="226" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b8033f6f-eb8e-469e-b799-744958dfcac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="225" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-364bc6be-bb75-49ff-ac0f-128a9456e78a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="224" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b33c10d0-141d-4e4b-8c4f-32880e864b86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="223" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b2efd45f-9f7b-46d6-9c18-2fa13d79991b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="222" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a9ecbff6-80b7-4c47-a9f4-6ee097b81507-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="221" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-06f83f00-541d-4230-be71-74473b9ee03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="219" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-bf7f4fd5-e456-4ea1-bbca-b4aa4f053b8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="218" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-72627d5a-9c04-42e6-9ae3-022c1fc2c79f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="217" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-fd969ade-dfd2-4e3a-8a8e-31ab3aad3b26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="216" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-3ee3944c-d4e2-4cab-a166-1e9a344445f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="215" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5e191896-2fe4-4d1c-a36a-1e252e1c2581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="214" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-11c54b9a-c107-4e36-89a7-fd4931757307-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="213" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-896a34fc-ec8d-4ba9-8c21-9a27cae394d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="212" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-0567d28a-4e48-4491-b0d5-eb0750147174-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-7759e0a5-d87a-4cb4-8dc1-4860b1642f21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1ce93fff-ecbb-46de-9f50-eb5c365fc155-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="209" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-47594d55-cc14-4631-8b49-2986d3886374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="208" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ffb86f5a-179b-4462-9100-0486b59da8f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="207" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-0ca80b08-2e32-45f3-bc61-ddb22a612e70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="206" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b3a42b0d-ff5e-475c-a186-8f4e5a8e72f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="205" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8f1ce5ca-74dd-4132-881d-1b1d47325d72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="204" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-cfbcf58a-1ece-4de7-be6b-c4c11650bd40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="203" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5ddaf2ca-578e-4b08-bede-71ea1c8c92f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="202" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d11cd6f6-e630-4895-919f-b7cbe92db4d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="201" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-67d238ce-b1a8-4e07-af52-86f26dd79c27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="200" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-78a93bb8-8638-40f8-bd02-7520eea0b295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="199" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f28d1c8d-fedb-4a41-897a-0408e78bdac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="198" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ea1dd36c-087b-4611-b189-c07a1b4c1760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="197" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-36b1a910-c4bd-49c2-9e9f-aeb81448a998-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="196" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1e840322-6dc2-4506-86e6-9116150e0595-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="195" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-625f1334-221e-4c59-a051-d95b9670c717-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="194" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-303eb2ab-784e-4c63-b529-8005d86782ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="193" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-410c06a4-9a04-4aa9-b48d-400a2d8be37f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="192" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-671e5cda-eca9-4f7e-915b-84470f65affe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="191" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6fcb0097-5ae1-4e38-b6b1-8a65bc650580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="190" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-afb792bb-80f9-4749-b0b1-b3b94cdf0c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="189" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6182a0b8-7fb6-490e-b92b-326c01be9d1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="188" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8adf0ecc-b5b2-4e20-96e5-f4382aee43ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40164']" priority="187" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40164'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40164' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40164'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-788993dd-8e2b-41b0-aa0f-1b60ef5f7a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="186" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_huidaandoening): de waarde van @code/@codeSystem MOET ''164' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-77539f98-a828-4351-8fea-a281bcd09548-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="185" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-6ea292c8-bb87-44f9-97b8-28680e519418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="183" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b617058f-60f7-4d7b-85e8-0af4b692825e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="182" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1efeb99d-0c1b-4eed-ab8b-e48635e16131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="181" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8e499cba-39d2-4400-9421-b547afad1bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="180" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-e667b197-9d7d-4241-8ace-ee11bb033cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="179" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d6f8665e-1791-4d5b-bf79-a1fd763e5f6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="178" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-88cdd4ed-0bc8-4eef-9c4b-e2681a636b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="177" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-e3eb5357-0bb8-4c99-9bfd-3dbecee4eb0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="176" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1b7fde72-f2e6-4d7b-a53d-402e36c411d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="175" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-7e2aa1f6-991c-4311-820d-365624ea9aa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="174" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-68c9c10d-da99-40d2-b54a-e14130345675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="172" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-26a4b36f-dd15-4cba-9e04-e9c6fbc006de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="171" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-2130b15e-7289-4e3a-aa76-ccf98be9ebdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="170" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-46e94e66-bab8-4dda-bf2e-f99fb2b6a989-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="169" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ed5a6342-0566-4a80-a815-dc8e368c272c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="168" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f5f01a61-0d8d-410f-8e94-720e59fde26d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="167" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d65a2d14-d904-4d70-b184-c3b17ff71b0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="166" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5bad6f79-6867-44c7-a85c-15ba813fb9c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="165" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-3e877adf-cb74-4cfd-81bd-ac66c3ecf694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="164" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-7b7502dc-51ea-432a-80d6-e88ee13be487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="163" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-89fca81a-f05a-4d51-85fc-9832ac4c9db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="162" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-3173da66-bd8f-45ee-9b21-1923598762c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="161" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-35b7378c-68be-4bef-9ef0-097202f45ec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="160" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c38f55cc-090d-4f49-b80e-b46bae0034f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="159" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ba564a94-1754-49e1-8401-901ff48c9f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="158" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-2d0edde6-b76a-4466-984a-554edac4da3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="157" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-212bd488-6c3d-479a-b4b1-5fcfa6380c63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="156" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f5fc68b5-4fa4-460a-b731-afebd658d05c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="155" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a80781a5-90d3-4ef9-83e9-752613c768f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="154" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-fed97f57-1a29-4dd0-94ec-6d63282e4787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="153" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-dcd0dec7-a51a-4992-82e6-4c61bf473baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="152" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5229032d-bcbd-4a2e-b8b6-8022da267b4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="151" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b54ca58f-0e0d-4b0b-9b23-2d9d19f1d118-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="150" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8e8f2136-782b-4c15-a311-5ea81c3b7dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="149" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c318006b-cb7f-41d9-95ee-c56510e0d58e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="148" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ea6b67c2-c3bf-4e9a-addd-8a3221d05589-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="147" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f393f1e2-7035-4016-a447-c57c370447fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="146" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a57cfd16-0fe6-4ab6-94fd-0ec3d59de9cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="145" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c37f6b0b-1a57-45b6-a70a-64cb88c5503f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="144" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-bb601d8d-0a04-454f-badf-baf5bf8980c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='164' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="143" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ae41180f-c641-4c0a-83b6-c02111d7e896-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="141" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1c75da01-108b-4cba-b1c9-ce1a2a4d309e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="140" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-2ef5a794-8245-4691-9764-9ff774770c14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="139" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d087ea3c-df86-4d2d-aa7a-53c494109705-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="138" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a9156f92-e13c-4eef-9ecf-6b8ae06bcd94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="137" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f9f80247-163e-4d2c-b768-4701c37f0d5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8ff3ddb8-3982-4f8b-b22a-52d4b8c08300-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-93c6fe32-ed42-4745-9294-e073366426b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="134" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-e5864967-f0cb-4ed6-89b2-d62fc6cd65a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="133" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-447f5eb4-11d5-430e-a1e8-7d93ad6e5bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8061f67e-e9a1-4ca7-905a-addd72ed47fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a55464c3-c391-4ae6-9974-8fd1173b153e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ed1d7b18-d7bb-4ae8-8937-02e572dd8b0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-88dd6b12-f95e-4afc-a538-c68d17e9b5e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-2882b46a-205b-49b8-9eb5-7e8b76e4aa35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5ca92f91-588a-4fb7-bc13-9c7e4e54d831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-b4bf71c8-9805-4ee9-8c1a-c8f77c1d04f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-242b1c8f-6ec7-4e1d-b793-51a46e09f1e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-5e957650-f863-45f1-8706-3f4effc3c261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-7b1e83ee-4e5c-4912-a655-241f431065e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-8c903685-625f-4039-958a-41003fc152db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-aef557da-c884-4c52-96f0-6a5e0def7167-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-4559a266-a85d-473e-a1d8-0e1d7784de13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-881fd0a4-b3f7-40c6-99fb-cedec3e83d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-69c4f57f-a356-4daf-8282-da0051c8ba5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-551f4ff3-5001-457f-97eb-e257681b8a8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-e476c359-9d3e-44b6-b91a-6135b95230b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-19e6e062-aed8-4389-8adc-076764984f26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-f7907fe6-95d5-4506-b66f-459eec8f991e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M70">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-d258c8b7-d042-4870-aebe-c507ada97ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-145a34b7-040c-4113-89a3-de8035cf911a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-1f5a3297-db6e-46af-9b46-bad8c1371b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-66c5ef4e-b703-450a-a6d2-0f5b4ccda17e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-663739d1-9920-416e-aa77-ddb2a555286f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-927c39d2-e0c3-4f38-afc9-1eea5c49766c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-dc39abf2-2d0d-401d-bcd5-3f20fe0d6f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-a87e4a9d-9065-4b03-8e5a-6a36cffc5c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="104" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-93d98c04-e6c7-41ed-8060-cd9b13c4bcc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="103" mode="M70">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-c655cc0e-2e3a-409b-95a1-1828cb8d4414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M70">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11022.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>

	<!--RULE tmp-ad79b94c-a086-495b-97c6-16d6f59f7e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11022']/hl7:component[hl7:groupCluster[hl7:code[@code='G022' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M70">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M70"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M70"/>
   <axsl:template match="@*|node()" priority="-2" mode="M70">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M70"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M70"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11023Rubriek 23 Hoofd/hals-->


	<!--RULE tmp-d199a049-67ab-4037-ac46-df6361e71cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']" priority="625" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): element hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ef510956-9eee-4aa3-90d7-43d350e29b56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']" priority="624" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11023'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11023' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11023'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5cadb8ea-d708-44d5-902e-dfb255138cf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:code" priority="623" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R023' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster23): de waarde van @code/@codeSystem MOET ''R023' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R023' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-64c0a925-d42d-49ab-b49f-8f0ff1e74d42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="622" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d97bffd9-ec1d-4516-b433-fb15fd84701c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="621" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c581e712-d9cf-4710-9f95-4e5acf189589-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40167']" priority="620" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40167'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40167' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40167'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cf614a13-eab4-46b9-a647-e800c85e1cb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="619" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdhals_onderzocht): de waarde van @code/@codeSystem MOET ''167' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-246fd16a-976f-4268-9315-a6ac7321bd4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="618" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-13bc7195-d0b7-41e0-be07-06bdce838077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="616" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3c78053c-f749-4409-bb98-2cfb1fa08c2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="615" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-df4f9141-10f1-4d72-9d47-18577da4df3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="614" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-282564fa-11a9-4d24-8413-62f9cab8d6b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="613" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0cf34455-d1fd-4d69-a795-feccf5c2a396-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="612" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b3c6f069-37e7-45e0-93d1-a652c8972007-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="611" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-058f533c-aa8d-456e-9032-0d56888fb4ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="610" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-07f3566c-e427-4e2a-8013-e07ea64b6e96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="609" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d2ec8ddf-bfb9-4206-b3ba-8761d679dfce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="608" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4745e65b-eabe-4486-9fe8-22e2f054c411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="607" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d4cf1cb3-f63b-4780-a71a-102f63b7b06c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="605" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-95192ff8-cebd-41e7-a36c-ffd5e1cbfddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="604" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4f5aa25f-463b-4de5-a62e-907810e4bc0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="603" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4992e0ca-e5b1-427d-9b78-3d97a7d9fdc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="602" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-639ef60a-490f-453e-9a28-995fde1a85ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="601" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-38b80008-6122-4bf3-807e-3d7f2235147b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="600" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f2c739d9-f1cd-4619-86ed-366ee94a9bcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="599" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-58047afd-168b-4f69-8e88-1a3f2331e048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="598" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2e959e24-9bfb-4798-94d5-de524f23bf96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="597" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-02d7e455-9220-4290-9e61-b7e1e7a4bf3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="596" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bb0d3554-1d78-404f-9e0e-d94845810052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="595" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-808776dc-93b9-4d7e-aa40-e28a63b47c3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="594" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5665fdcc-0c68-45fe-b573-4b04e2afb0a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="593" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-21562509-d2bd-4b61-b684-866b4c3d631f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="592" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2b4bb441-5fc2-4877-b61e-e855f5525030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="591" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bff3d303-221a-4b26-a8f6-d9ab56c02af8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="590" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6e638d45-4dab-4fbb-8c6e-2cf4d3776e48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="589" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-70b430a1-d717-4435-8595-20ff8926a69f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="588" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7cd70e75-1143-4d27-8df3-f15f0f557d2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="587" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e4645314-2f7c-40dc-bab9-93269f11d907-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="586" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ef12ec9a-8c24-4b95-9d52-c70cc24cf0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="585" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6249871f-0e2d-4c5b-8109-a032973a3538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="584" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-10cdb859-8900-445e-aab6-d5ccb3e6581e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="583" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8b70e5c1-7ae9-457b-89df-988989e38631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="582" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8868a99c-4014-4cd5-b301-5de1b85db991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="581" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-83941c81-4f5e-4492-88f1-48cd7d803c1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="580" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2bc92377-f523-430b-81a9-31bc122b59f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="579" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6e82a9fa-aa27-41c5-a5af-fe3974eda34d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="578" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-79df042e-5860-483b-86c1-ea3f91d4238f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="577" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e65fa036-51f9-4366-8e11-d2443405426e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='167' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="576" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9c62e02d-af10-4cd1-9a22-b8b9ee4b072e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="575" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d2fd975b-0fc2-4bf8-a599-2271e0326207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="574" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bb62d063-13d9-4e46-b64a-273c278880de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40170']" priority="573" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40170'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40170' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40170'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-effe79df-596c-48c4-9b9a-f654e6755d10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="572" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): de waarde van @code/@codeSystem MOET ''170' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-211c188c-68d2-4b97-b8ca-95617ca80201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="571" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0220_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0220_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): de waarde van @code MOET worden gekozen uit waardenlijst W0220_HL7 W0220 Bijzonderheden hoofd (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0220_HL7 W0220 Bijzonderheden hoofd (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9af9ba7e-1fa8-4d07-b78c-c4dbeadcee7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="570" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hoofd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5d93fff8-8810-4ab9-bc09-353f9709236f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="568" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-72a4c807-f8f3-4f68-9015-b870622e7a34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="567" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-37c7ee06-bc11-4521-932c-5650f0544520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="565" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-72f27c07-d7bd-406f-aad4-b6af26def3f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="564" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5f7f48e0-1dd1-41e7-8904-18209eb4d87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="563" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-54a80861-0564-42d1-9101-c97548d7fc2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="562" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-10daeaa6-dc6e-454f-bb10-6f9d88e81c28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="561" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-117f6bfd-6530-466a-a235-1082a84339fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="560" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-24dc04f4-e1f9-4b3a-86a0-16542fdc48de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="559" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fc524c9c-c210-4b77-aca5-4265ff6ed1ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="557" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-873254a7-4b16-4be2-af0d-55cac3db10a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="556" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-831e3e0b-6092-4e05-a40e-a0c3a92f33a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="555" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9a41b740-41aa-44a5-a568-ae667ef94029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="554" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4488c7ed-161d-43db-9621-b7161a73d4fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="553" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-43366959-afac-4f21-90d5-6ebfa162872c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="552" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-82b87687-6aa5-4cf5-9fa4-459541cf9a75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="551" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1ab3ce6e-edb8-4d4c-b49a-316c40380eee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="550" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-30cee40e-01df-462e-adba-c98eeedb9520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="549" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f75d6f53-62ee-4751-8c17-ad6c9f1a69ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="548" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c1c38ab4-ddb7-41c3-a635-9efb4ba9eda3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="547" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-acfbf1c8-a629-4757-a303-b5de0732a8d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="546" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cd7f1ab7-e8e6-4a68-8013-527d70040aff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8b5947c8-d479-488d-be50-a2f2920e0e74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a1a013aa-b8cc-4ec4-9612-7b221336f52b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-98f40ee4-8e20-45f4-94bf-8a1674673411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-73d201d4-32c1-4178-ba14-df3aeaf8d795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="541" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e5cf9567-cf21-40f0-ae52-64b5de25be09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="540" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-81b7b911-1535-4cd6-9753-d4e44785ef4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="539" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9ccb944e-5449-4d02-8d38-be5d37938e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="538" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3bde338c-0430-48b6-9e87-af4aaab5638a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="537" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b66afa0e-3572-4606-9324-3b9dc73a7382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="536" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3129ac98-4ee9-4b8e-85a1-eb2fd2b639dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="535" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-44a6b340-4296-4717-962c-a6523fbdec59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="534" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9b8e0f62-7ac8-43ff-819f-4814247baa6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="533" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-90aec083-49b4-4aa2-9be8-491fbffef9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="532" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-11b0c536-a00f-4197-9647-aafa02c34625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="531" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e2e740c5-406a-4c6e-8178-b6a4628e010b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="530" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e1d0916e-7d11-4dd6-96ba-037809cfbcfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="529" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-961aff52-11b2-466f-b2c1-bbadaa3db075-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='170' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="528" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-30d269ec-be49-4853-b483-0ff546613787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="527" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b392b3ea-9485-4897-b574-e5e30967bc8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="526" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-58e7d3f0-b0e9-4308-99b2-d566977dd07c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40794']" priority="525" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40794'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40794' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40794'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9eddf382-37c8-4bca-9236-86f89304f9bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="524" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): de waarde van @code/@codeSystem MOET ''794' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-646ed1a7-df2e-42d5-a6d7-123727f88e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="523" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0221_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0221_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0221_HL7 W0221 Bijzonderheden uiterlijk oor (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0221_HL7 W0221 Bijzonderheden uiterlijk oor (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4f7f11fa-d8d7-4abd-bb63-20f61d35fe53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="522" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e4855694-fd58-45d9-9122-9f8e2d597f8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="520" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-95fc06e3-23b6-4433-99ea-9c54d1f3c889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="519" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-626c09da-2b86-4a89-af6f-dfc5a5f7b8f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="517" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f29a0471-6446-48f0-bee6-15d1c7a63ee9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="516" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8b3a054e-8bc5-4aff-a081-c110046f469e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="515" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b50d95b3-f0dd-4fa7-a80c-78add85673ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="514" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3f645c39-0e28-4c5e-8b79-f566df927416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="513" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-646eda28-40fb-4f73-b9e5-d690f4afbac1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="512" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-85b62767-c2a7-4977-aa4f-965b959b0ea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="511" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-58ead5fd-e108-452e-8cf5-9dc58480c016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="509" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cff286fb-530f-41e3-9417-6f450822ddeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="508" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-53be2c62-0914-4fe4-8cc0-96283efbb790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="507" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6205ba81-bcb8-47c5-a08c-6b371a859b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="506" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-36d83589-5979-4d3f-8093-f9f733959d8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="505" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ea2d6168-87ad-417e-86f7-8c43ad848f80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="504" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8050b671-552a-4ca2-bac3-d6aa5da4806a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="503" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-30e3c25c-edb9-4f30-b4d9-4c113f191b88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="502" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7a5f8004-24f1-45ff-9867-27e24e6ecb74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="501" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-339e65a7-1c04-417f-b83c-e1832be26c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="500" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9f84072f-e3f6-4d58-b8bc-046047191e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="499" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-42b3578f-c4ea-4a59-8b14-062b43aa7470-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="498" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8bd13c4e-af55-43e4-9a59-861eb494dcb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="497" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cf799479-212f-4257-9407-1c4ecc6e68b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="496" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b721aa76-bec4-48e1-81db-ab89bd02547f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-840ca828-5553-4921-ba78-522436113047-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e8ebae0c-871d-47d5-88be-6452be717de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="493" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-98d40310-4d7b-4dd8-9b9c-15a0f81cf780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="492" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7a8dd20b-7e88-4763-83a4-3256df1262d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="491" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5b57184d-3ef0-48ae-8be3-5bed6e8983a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="490" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-de59401c-1313-478c-8063-7a208b4484ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="489" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2944a264-4d2c-4e3a-b62e-c247dae1011e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="488" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-776614db-8b23-4fda-8321-292271726c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="487" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8f3ae62e-f63a-47b0-9169-5b89efaffa00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="486" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2df93c43-368b-4bfe-9a63-0b62d43b4a73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="485" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8720d82c-f454-44ad-91f2-e2a12d87c490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="484" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-77cb7723-58cc-494e-b347-a150017bed1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="483" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c182bfcb-c9ab-4a06-8244-b5774d4c0e3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="482" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ebc6d53a-5a83-4526-8528-d36a464b2ee7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="481" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-dd291253-44a8-4bbe-9357-aa2fd196afdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='794' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="480" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-55e76b23-7a35-472c-9456-11ed17ab51ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="479" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1764bb1f-b22c-4ca6-9b64-1d7b2cca5638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="478" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-aa72e965-38ba-43f1-b32e-9717f7c73e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40795']" priority="477" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40795'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40795' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40795'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fcc6c334-e7a9-4093-8363-9f8ee6ee82f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="476" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): de waarde van @code/@codeSystem MOET ''795' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a45e2988-ac59-475e-bb4e-445a33d743bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="475" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0221_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0221_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): de waarde van @code MOET worden gekozen uit waardenlijst W0221_HL7 W0221 Bijzonderheden uiterlijk oor (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0221_HL7 W0221 Bijzonderheden uiterlijk oor (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4c29deb5-fa98-4862-acd2-d4702d75955c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="474" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_uiterlijk_oor_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d463b016-6199-4f65-a787-074d356e16a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="472" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-66b1179b-f213-497a-a759-6c8202bea207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="471" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7439d7f9-9c85-4c2e-8b4d-c85b871b3f5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="469" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5906a466-89ac-4a70-b99e-6e06cf5a9be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="468" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-faebaffe-bb1c-4fa8-b385-50f2bb7408ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="467" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d9bd6b63-aec8-48f7-bac2-9abc20ec48c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="466" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c075285d-635e-4135-a6fb-6e5b1bd78426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="465" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b66c912b-b050-49cb-96d2-b9f49172fd73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="464" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-90d5599c-a3d6-4610-b81a-b6e0064c58d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="463" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f4df3c94-ab4d-4eff-848c-f40123af2819-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="461" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d37e415a-1ddd-4ff5-bf2e-2776fad1b48a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="460" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7433cfe4-90a0-472b-8595-8a686aa2d067-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="459" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8c2b1956-c42a-478e-bae0-ef639c792063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="458" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ae5c6036-f5c5-491a-8339-ab1727687831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="457" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5bd75bf6-dedb-483f-84af-b22d58364406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="456" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a5082f94-bdaf-417c-a489-c4a46b67e8de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="455" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7857e7da-e8d6-472e-a5aa-369eda1cd817-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="454" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8e3a8873-01dc-43dc-abff-e70e5de2f072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="453" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d1e80a36-8eb7-4874-ba1b-8533eba3f3f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="452" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2575d531-ccde-49b3-b71e-61a93eda0016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-48e70f7b-a534-42ae-ae1d-ac8725eb4e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-460e1e3f-b23e-487b-9198-a12e89fbcac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9293f3e0-84df-4c3f-af2b-38ceb09d888e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-508a53bb-4e88-4fb5-b861-948cb7916227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a0eabb3d-2599-440a-8214-f3af98138bf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ca6b85fa-b790-40de-b135-26e3191150ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="445" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ee43c692-e05a-4044-b064-492df05d0636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="444" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-16747ab6-97b1-4f7f-a46a-d0a4db4d201c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="443" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d76291f7-f157-470f-8df5-e2464c37af49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="442" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5734001f-4d90-40f4-ae5b-4abf01297ae3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="441" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-87e336c9-9fe5-420c-b786-da9c2c9bbc32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="440" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-443a92d8-4ff0-4e4c-a217-639e14b002d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="439" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f37c6976-5fac-4241-9a58-bfc095268f53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="438" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bb69b8f5-7b72-4e8e-b554-fb43f667c886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="437" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-94d50c73-52fc-47bd-926c-cc0098db98e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="436" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b2d9c45e-83b3-4bb8-8339-80f5a7362eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="435" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-16c37214-7595-498e-b2e9-ad3d1baacb39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="434" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d386686f-50eb-4fe6-b503-54b3ba7308ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="433" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8105381d-d8a8-4185-83fd-5c49ae2663ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='795' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="432" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0585e9b9-b1f8-4dd2-aaff-9729fb279f09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="431" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-35051514-bf50-4a74-a89b-49a4228fed26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="430" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9947841e-0559-4509-ac58-81ded5b17212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40174']" priority="429" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40174'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40174' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40174'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0b48fc11-86f8-438a-b18e-814a2d073525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="428" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): de waarde van @code/@codeSystem MOET ''174' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e6373b92-f5b4-4a28-a071-0ece808424d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="427" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0223_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0223_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0223_HL7 W0223 Bijzonderheden trommelvlies (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0223_HL7 W0223 Bijzonderheden trommelvlies (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-02ce9f18-2179-4eaf-8bbc-81242d0058f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="426" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7cf9368f-975f-4042-b658-5037c0e4e4c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="424" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-23c3430b-6978-4302-876d-8208f5fac623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="423" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-afead15b-f87d-43ec-83a1-2c9e115d4d4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="421" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8fbbf87a-2edc-4bf1-8384-104a4b15fc05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="420" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-65afb938-6bce-4930-99a2-451cb0902384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="419" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-76da904e-2c68-4a49-9e0b-5bd288fd4de3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="418" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-353eea0f-b1a4-4d82-b5d4-e54b2d679441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="417" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ee4ee55b-8079-45b4-96bc-c4a903895c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="416" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a484e129-ace0-48d2-a8ed-b5b74f2779a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="415" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c01c8cd1-a415-47e6-b03c-bc9c803bd359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="413" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-71a375f0-8653-41c4-ab0e-2536b0782408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="412" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3e1e8b7b-ad28-4324-a694-c3a09f359f4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="411" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-69b21b85-ad5b-427a-ba99-df9c077a1672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="410" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4e17705a-0b75-41c3-b4b7-5334d4c4b316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="409" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9147d686-73b2-4132-8afa-57036fdf8ee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="408" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4e4798e8-ee13-490b-9a5d-a4f6e9991c12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="407" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b70546f3-ff37-4a5a-85f4-63cc44eee9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="406" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a62cdadf-c0b6-4816-969b-c527dbf13d8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="405" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1241e7d8-d2ed-44ce-9dc3-b63d4f361e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="404" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e968c5b3-de78-4481-9496-76d486c84370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="403" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-34950599-87e5-465e-9d09-e22c939461d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="402" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-107aa1b2-8772-48a6-8db3-c2e42029b8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="401" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e9fab8ff-6037-4f7d-9037-6ecb49872abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="400" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-17621102-fd33-4475-b8fc-20c104a97986-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="399" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9d4ecef0-fe8e-4b80-9e50-014020e7c9ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="398" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-184a2759-678e-4c5c-9ddc-eeeea2cedddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="397" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f06ab8a3-a5c3-4037-baad-e1f745022152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="396" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-39519b27-111b-4760-a84e-d3b85363409b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="395" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0c716af7-f199-4c76-bae1-c3081585897e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="394" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0afe1725-ce77-440a-8b6f-67b87a1f824e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="393" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-23a983b0-08e4-48b3-8ab4-c7fd2adabea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="392" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8e8f428f-05f4-4322-a34a-69615914e55c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="391" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7aa0935f-2d6f-47b4-a0bd-894d37f3af76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="390" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3cb7c16c-acf3-4b48-b3e8-66db7b8abb5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="389" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4abaee48-c493-4d9c-941d-d0e529937bb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="388" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b50450ce-2296-4854-8775-0c69ef14dd8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="387" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-10df2749-a3c6-47a2-9a68-03534b98c53b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="386" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-45665617-4904-4a18-afaa-3994fe9153b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="385" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1096ee8c-7d04-43d9-b244-0788eda55902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="384" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c4b884af-1c69-42e9-8005-0c45c2564865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="383" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f3178edf-9b5b-498b-a3ff-de73c1d8ddc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="382" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-05acc52f-94d8-4f5a-b819-1df3a7125ec3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40175']" priority="381" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40175'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40175' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40175'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f1542109-26a6-4c48-9ce3-927210047f9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="380" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): de waarde van @code/@codeSystem MOET ''175' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0205427c-a52f-4e1d-9002-6c1b0a995b4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="379" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0223_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0223_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): de waarde van @code MOET worden gekozen uit waardenlijst W0223_HL7 W0223 Bijzonderheden trommelvlies (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0223_HL7 W0223 Bijzonderheden trommelvlies (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0de7488e-cdd9-4960-8119-7bfbbbdd1316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="378" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_trommelvlies_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-dbc38f64-5ece-42a3-abf8-3ae3e2a18881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-929997de-6755-4213-881e-50600e65845b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-96ea5f99-8589-4754-879f-7f5588242a29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0f287263-3434-4cb3-bf16-95d5dc57031d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1e445d9d-d9e0-47d9-85e7-3e8e04ffd919-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bd61d88d-c72e-4870-8cf6-ba4ead17298c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a4aa3c84-66ab-40fa-b01a-46beea464a1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-df752b92-adb1-48d6-b9e9-0114def1fff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2be721ad-4562-492b-8bfe-4053cadc2240-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c17365a2-819c-4e1b-88f9-0703d96fb6d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6aa61886-3168-41ce-9f50-e0576cad7402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a534ba4a-ae9d-4486-8d83-899b4088c81e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c0e4189e-2912-4430-940e-2cd3c65bcd54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7d0e0134-4713-4714-9b5e-bcf54a9e732a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e5d98e57-4ece-47dd-9975-fb037823ae8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bacd7fe4-df62-4e8b-a5a1-7f699d88050b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0087c88a-0ace-4bfa-bb7a-417684fbc693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ade4b156-f005-48cb-8676-0f9af9795216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2a4ac7fa-c97a-4af8-a134-579c5394ad92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d462bf12-201b-4fa6-8b01-6db71ca7e1ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-266a83e5-aeac-43b5-9615-771dee821cd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-550d426e-8b34-4a31-94e1-71141ae7232f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-700b5e41-9a29-4469-b141-a41d472904ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c539ec66-28f2-4571-ab0b-2ee4e0c8b7ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ece0daf0-4f5f-4e1d-b618-8fad2fc1e7f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-97654431-8bb8-4177-b45f-88ff23b9e7da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c063e1d2-b16a-4f76-9eab-e4cefe5f38e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2ad973f4-d8d0-45ff-86bf-b5e48a392fe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3096ad8b-5e51-4146-af1e-1be7cf17fe9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a1d74d46-f77c-40ef-a9c1-3f3d4a10e753-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6a23f970-4fff-428a-9d74-a908c4738536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a8612be3-4e5c-4f22-ae54-c319e8af47da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d3312e98-28f4-46c7-935a-b0a7345cb24c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8d018507-6aa8-40f6-ae87-00c07b9c65ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-acae5ad0-db22-4c76-a6c7-27faa9f32f33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-947b7804-fbbe-4472-a641-10ec46be462b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d1bd0b6f-69f3-4a13-87dc-49cb493d79d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d4ed89b3-875b-4f62-b80e-8a4964ba04fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4124a4a2-016c-4aab-a7f2-0cea8807c75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-87363913-3f4a-46d1-b026-9b02cc675127-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a4dbdd8d-db9c-44ad-b3e2-ec02f044da4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-dc9aa2c0-0c52-445d-ba32-ec1ceb88afa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40176']" priority="333" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40176'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40176' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40176'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fbc39d93-17d8-45cd-93e2-ee05eb8d4dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_neus): de waarde van @code/@codeSystem MOET ''176' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-10df6d14-e204-4496-a3eb-773184f29f76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-19088990-fe9e-4d81-a4a7-06ae459981fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1852a1cd-487e-4382-a2f1-8fa3412d48f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-57c1561e-d528-43bb-b718-c36d371b88df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-34812c76-0358-480b-83c8-8808d78392e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7fc7d0c4-2a2a-4983-8164-39c4931cceed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7e090026-6f7d-458b-bda9-2732a0ae57a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b05e6725-6098-40c2-b564-1754e5e5f98e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-790e76d4-c0dc-4976-bd47-2ac83b41821c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-20f96e1a-6b29-408b-8f75-d952482adde2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c7bfe8e9-3d10-4703-ada7-bed07fe9bcbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-41c94e6a-aa6e-42c4-9cef-076a69848e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-809b21ae-da61-4108-a767-a70a20ca80c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4129f9c9-1135-483b-ae12-bd9370529948-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c2b335df-63d8-4832-87d4-4284ed248011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0a9dafc7-5643-4652-b03d-fcdc6d92b845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3a162754-ab55-4fb3-9d7b-69675462e725-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-564c3082-103a-4e5f-a694-a9fbada3346d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4ee1669b-3f24-4b62-b9ef-1b056af51009-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-466daebd-4bf8-4cfb-8f41-db3755a8596a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-023a2fdf-806f-4384-94df-7ae7c7ed0eff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0b865653-ce2a-453d-bb38-7166b4e03c6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2bb46041-dd77-4419-b6d8-367015f882ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-11fc2fa9-4112-48be-829e-a34f395dc002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-86a2b08f-b257-4f31-b0df-23bde08e1ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4921bdc1-0339-4de3-80d1-64174e087c9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6439eaeb-e2df-49c8-9441-fe5bfa3faedb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a0eb8242-ac12-428b-9c7e-95738d3bc4f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-eeda3d89-665e-4d9b-aba8-46a90a717396-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f449d361-adb3-4ab0-84c1-5cf3a05b1a99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-27d1c7a0-b455-4112-9823-b83a1337cddc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6b758e1f-8896-4976-b7c9-70cbac007314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c0bd973c-9f97-4052-865d-788a63125a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3d1abf7c-460e-4ddb-a013-bf9eb0b01bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7e9203a7-2ae1-4dbe-9691-a372d8b4718e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3a66a24b-bdb7-4757-b459-06fb10d7f51e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-67012215-5e57-4a88-9f71-04391707c6ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c16f4283-3e90-4382-8777-c5a745848865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fdb3a5d9-4375-44bb-8690-a8fd863fa2a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8bbfdfeb-4eda-4d0d-9987-913ae9b6ed66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-adeab38e-af3f-464a-9c9a-f9b2e822671d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a835384a-6745-44c3-b218-bae45029ae53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b4a01ca8-d36a-4060-a4a9-65defc385ec9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-270685d6-bc3e-4d8f-831f-73e8da3711fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40796']" priority="286" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40796'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40796' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40796'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2b5130e0-5b7a-4312-8569-a62538604bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): de waarde van @code/@codeSystem MOET ''796' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0ac146ab-ab45-4642-be7c-e6cd247879ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0226_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0226_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): de waarde van @code MOET worden gekozen uit waardenlijst W0226_HL7 W0226 Bijzonderheden mond/tong (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_mondtong): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0226_HL7 W0226 Bijzonderheden mond/tong (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-13a90f2e-a5c4-4b1a-9edc-cc11649d38a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-30890a0b-9695-4d44-ae2b-c2117d67bf86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-079c8bfd-ca1b-4ffc-9e85-3a29b2699444-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1fdd4472-c2d5-43e4-84ca-981f50bf97e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ecea98e8-8f6e-40a0-991a-ad8c18bc2f72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-10be63e5-5159-4411-9308-3f7c1e008647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cb6eb29b-b777-4c02-a862-c1183050f984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1ca1137e-4422-464e-9f56-98eab21ade76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e4b532d3-08e9-4bfe-8b9e-50632156ad2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-43b93f6c-7402-41c9-bb65-b05c2b1bddec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5cee6569-082a-458c-b1ce-cc7b68249849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d7677582-4d95-4bee-9c95-fb225a794c40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f51365e0-26a2-4d08-a9e2-7eb66b0c54b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-06cbced4-a6ca-4b41-a2a5-30745ef56e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5270c372-f761-42e0-8603-51b977bd2cf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c200f482-862a-42b1-a224-63b336ffca14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a8446587-8108-4299-a8f7-2ed5078084f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fc575989-d5cf-4b1f-9df9-93aebc90b25e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e7eff46a-ee1b-4adb-b4d5-780a1f66e81e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-abc35e91-c5fa-466e-8600-71940aa12c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f2b76ea1-f556-41a2-8235-d66aba687ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8ef0bbaf-7b4b-4341-b98c-d5a4420a46af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b025e1fc-fc57-487d-bdce-01cd26a11fbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-780b4856-dd61-4733-a925-49d7cd8fc7d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a9a403d5-15dc-42e3-80b5-9cdda5420871-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-fcfe63f9-3cf6-4b00-935d-8e4231c63c0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-62726c71-f108-4169-b7a9-8572dfc50e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f5b13964-c618-46f0-8f64-15f90159f3da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-718a4f56-1416-4790-828d-6faae74e701c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c9206844-86d5-48aa-a0ca-1d99e3f28c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a5334ccc-87c1-4eab-93a3-5d7ffa268f15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e9446ef0-bd8c-4878-afee-6385f3ce1657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-74db4c95-609c-4f3a-bcbe-8d41d2442d5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-14084b61-88bf-4e60-b119-cb95a73ad766-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e40a84da-e81a-438d-ad45-493d7f554bb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-26e00fdb-6fb4-4fc3-b5a9-cca2ff196397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f96d8001-31dc-40cd-805b-afa1cb29bde6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-19440877-9470-43a7-aeba-1460268afae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f8f358f4-a118-4cdd-9fca-cfba04311fa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c792d45d-00f8-4268-80d1-387b4e8ff091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='796' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1d0b9a9f-cf9b-427b-b901-70d8b574b73c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3bf31e70-3870-44f3-bec6-3f5f5f9552dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d848e879-ba9e-49a1-a823-22105d54b370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40184']" priority="239" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40184'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40184' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40184'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-99f54468-33f3-4b40-80d4-c8e41c9a98b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonsillen): de waarde van @code/@codeSystem MOET ''184' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c9580316-7800-41d2-9391-1e5422c8147d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-176c76ea-8031-4836-b113-98328137b20e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-55daafa9-5d10-4de6-b69f-eb6ef80908f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0346f976-0ebd-4005-b704-f1ac6ac78dc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9ee8d1e5-49de-4fd2-b9f1-346275b0beb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cd9af324-b4ad-4951-be2e-6050a6e76f96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ca6e06e3-aa92-41c7-ac12-beeb6d1f7d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5f8cc012-e163-47d5-87e4-12566cdfe61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-22f24670-78f2-40bf-9675-bab7e0b8970d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2424e6a9-8b92-405a-9be1-fff92ad56b8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5c2c2e5e-9f85-4d5b-a968-af02e536e0f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0a1bd34d-8e06-4fcf-9f70-142a8ad5933c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ddb28b2d-1682-4721-9072-348ed3cf48ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ffede88c-1bd8-4880-8396-badc025261a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8fd07d90-d007-4811-a644-ad0904972334-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-03d32e62-d7c4-4624-b382-ce46209fd4a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ac6a8c5e-d8ca-4d29-9d45-b1b2d6800053-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f48475e5-7ca9-467b-9048-d68e60193380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9d067c90-0750-4c09-b16f-c9d1d5e86596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8f5dfd92-87de-4722-b764-b3bb2764f1c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1da25943-ef62-44fc-9d8a-cfbd09d28977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7c89dd0a-bb75-424c-a94d-5dc0c658b865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-71e1b7d3-02ee-4670-8df3-3e7b7022cf12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a0bd6c89-d4a8-452c-8e21-e606b02a940c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ed92de9a-68f1-4dc6-98a5-9a7eb39693eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-eac0f98a-1dde-4bc7-94dc-6081ed925710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a54c051e-ef26-4f8f-8b5b-5173bd048931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-af56b226-1f92-4d6e-b367-6b0ea158dafb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1fdc7e94-e9d7-4969-b198-aebb8acb7625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-174d67c3-55df-4e3e-82d2-1fce36c747c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-16ac9887-ccae-4d2d-ac1d-21fa7f4e30e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-15a4eb4b-7f57-4761-9089-212bfe6a9afd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4741171b-6091-4703-b25f-c8dd2b906677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-903f504b-3880-40b9-9e1d-79eb4e717453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-48152563-d2d8-418a-8650-b1e70e16a0de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ee309e9b-25a4-409b-b21a-253492864782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e50520ec-2e0c-43be-a874-3d5ed2d92bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d71de10d-2a25-4064-b2ca-18c1d46393cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9fe9e48b-6fad-4c1b-945e-8eabbc44e776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bbe0c2a8-239b-4c31-8b56-9bd358ba3488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-364a2dce-894a-4aa0-a92b-35b720f7dcfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='184' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ad32a538-2afd-4613-8793-aa751016d20a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-79380cd8-e54d-4860-b09f-8690ae2aee00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-628d4c6b-e269-4ab6-b07d-d1c5f697c776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40797']" priority="192" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40797'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40797' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40797'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-feb930e9-9a01-4217-8351-a34b05d1483c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): de waarde van @code/@codeSystem MOET ''797' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ad8e52e3-d728-48cb-9fe2-c42e3061c16f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0227_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0227_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): de waarde van @code MOET worden gekozen uit waardenlijst W0227_HL7 W0227 Bijzonderheden hals (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hals): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0227_HL7 W0227 Bijzonderheden hals (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4298ea09-ce5c-4121-ba16-d774e50ebe08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8258aa47-49a0-4383-b8d9-18052663a607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-09df454b-7402-43c4-87f9-ddb68c2c80e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d5cd43fb-7ed6-4831-bcc7-c0bf7c51e839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9ee1af2b-c237-4b23-959a-54601c2c14e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-df950d29-aa7f-4c86-8d72-97b7b1121d35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5945457a-7b0e-41f5-b151-f668b539aadb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3593ac1e-2afc-4419-889f-1a8a1d51329e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-35e33c16-86f7-4e02-a7e7-edd6e3afb1eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1df1eb5d-eb85-43df-a1eb-08cd62b0136c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-44141bc7-ad70-4d4d-9eda-2c7a886ee1eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d42dffa4-6920-4472-ad7e-5adbf883755b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-abdee3a8-5ab9-49e7-943e-2ce1bfa4e56e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2153de3c-734c-4c66-b9a7-88e1ccadd832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6aa61e41-9092-41cd-872a-a6687b16742f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e790b310-5f90-43e0-95fb-92f1df90cb35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b0cea8b2-95ef-46e2-b454-72552fee0f1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6fc5fd40-1ae2-4f15-a23b-cd02e1921bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0644534b-0d1b-45b5-81e4-8132d085a92e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-84ea0ddb-1078-4ed1-8384-68aa9022681b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-32ec73ef-1273-418d-afa8-854564dd1c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-18401463-2275-4d9b-8234-435d4cd75225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ef75f1f9-561e-4405-9966-bd35d2fba87d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-19296fc9-8939-4c19-b97c-cd4191ca6fb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-48eec317-5078-4147-9777-423658e9876e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-a541f505-be65-4970-935d-98ab35495f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d2c36daf-68ac-4163-b1ad-14b9729237b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-664cd06d-bfda-46b4-bdaa-982868fea504-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-717f1f67-83d7-4f04-91d4-b836edf9eccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-4e8878e9-861b-432d-aee8-be8dd21d6db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5cea413c-e751-4982-ba17-9364513a32cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1fc2d8e1-ec31-4ad9-ad0e-bf12a552dfe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d1ca6401-5b20-4ab1-811c-8060d43913d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-946e5cca-5bf2-4cc0-bc7e-2499f8a0c40d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e28711b0-ce99-4a89-8626-dca10881211b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b501d467-0d1e-4e59-9cba-3e675d1275bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-16341058-8a22-481b-b018-88ebab7ef3ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f1cd32da-19a6-435d-97ea-b4ac1191cf95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ca56a0c0-d7b8-494f-a04d-7f1e04a89dd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0abab135-6f61-4af7-aa46-8b7d9b0c4f21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='797' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-270c3a2e-340b-4776-a209-1c9b7559be36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-6b3bf202-cd8c-4305-a90a-735bf52c0e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-9c6ce5b3-9831-4459-b3cc-bb25c768493a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40193']" priority="145" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40193'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40193' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40193'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-38db4b37-d879-4af2-b31f-93be73cb594f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): de waarde van @code/@codeSystem MOET ''193' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-dc645ecd-987a-49ac-98c3-5d3ed5bb3ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0230_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0230_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): de waarde van @code MOET worden gekozen uit waardenlijst W0230_HL7 W0230 Bijzonderheden gebit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gebitkaak): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0230_HL7 W0230 Bijzonderheden gebit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3bdc48a9-3a9d-4aba-8a70-0370107274ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-3adf4a82-544e-41e6-b7c1-c1cebe631f0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d27b477a-811b-4e88-8942-040d2975eb5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c653fdab-76ea-424a-9bed-fd7af19a852f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5b4752af-1d6f-40e9-8785-d5c2fc16f2e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b8779ebb-a9a2-4027-8f70-73a526c497f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2685d7b7-4b1f-4a90-82b1-c0aaa06c897f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-2f7f2dab-54a0-4176-86ca-b139d216f02b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f6b40f9b-5250-402c-bf17-868d891fe0e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cf7f2296-1616-47f8-bb65-c44fefb267ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-1b3e6628-0f34-4f4a-b5d9-6f8161ece53b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b16a454d-7217-486e-85d2-2463e180f1dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-40d7181f-64ef-473d-aed5-03d5148f4a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-94713355-c756-4ba0-ba1b-3d0eb95cdde0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-5f94da07-a4a6-409c-b24d-09534c7e14d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-277dc0a8-ce3e-45ac-847b-5c541460a0d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b4c13e2d-884e-42fe-85d9-cd7484e3da67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b46dc64d-a449-45ec-9d64-c7953adf1bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-23850fc3-e0dd-4105-b8c3-8021b19a789a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-34fcf484-935a-4dfc-946d-fb7e912939ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ce49e3cf-da9b-49ff-86d3-4a0b102031e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-bdcf531d-63e1-4e77-a0f5-203b3f147207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8c512ea1-c658-4e45-8df7-5e8cb956d12d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f83a87e8-103a-41b8-86ec-c5edfaf7ad15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-cbba9dfd-bdd2-435d-8317-3631ace6e4ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7339cbbb-5145-4063-a43c-056b56a0f44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d1989b92-a2c5-4503-b5e7-5b0846161c2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-ae86446f-a48a-4137-94ce-f20aa59359cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-7a36abdb-9714-4750-994a-f62fd49e1505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M71">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-db04d0bd-948f-4510-aed1-b06d118a0841-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-72823846-5eec-4fc8-b9fd-132f9cff46dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-c5f6b7df-7ef3-43ca-a44f-d7e99b987e20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-b47fe6db-9ef3-4c9d-9455-1f7fa6144077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-8b616d8a-f6e8-4c0b-8c5f-dc230899b2d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-e01aba76-32ea-461d-b52a-6ef3be26fbe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-39662753-daaa-40e5-b398-01fe06214ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-0b0a7511-5210-4fe5-812f-9efedb965ddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-907a2fc1-8e06-4611-bfda-979adcdd233a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M71">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-d74c1ce9-dd5c-4f13-8e39-9648a586ae57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M71">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11023.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>

	<!--RULE tmp-f900d4a7-fd1c-411d-9143-09f592cd3acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11023']/hl7:component[hl7:observation[hl7:code[@code='193' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M71">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M71"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M71"/>
   <axsl:template match="@*|node()" priority="-2" mode="M71">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M71"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M71"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11024Rubriek 24 Romp-->


	<!--RULE tmp-acdb185b-1d11-4867-8648-d693ff4e9905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']" priority="434" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): element hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e1d15b43-a84b-4e51-af01-fe6df29e8d05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']" priority="433" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11024'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11024' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11024'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f7e758fc-d563-4241-be64-9703d1a257ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:code" priority="432" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R024' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster24): de waarde van @code/@codeSystem MOET ''R024' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R024' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3deae23c-4464-42f3-a52f-f2eb699b5b5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="431" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-97f99952-ea54-4c67-a362-0d2b39c5472c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="430" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-74c3ac79-ce70-4b3d-83e1-8b92311c9515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40196']" priority="429" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40196'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40196' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40196'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-51f979db-c24f-48ef-83d0-0db2523faa2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="428" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Romp_onderzocht): de waarde van @code/@codeSystem MOET ''196' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5f55fa5e-c587-415d-a714-c114f1982b33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="427" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-edb25df9-b8b0-48ac-9745-8249c6008856-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="425" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-64e2fc41-6595-4f6d-8030-950f4ec45039-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="424" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2ef5f11d-5dfd-45a4-b813-20a060d49a4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="423" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0bd97f65-f016-4bc1-b625-f3f75768f9eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="422" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-842635e8-1cba-4e77-aa76-e8be8f69f6bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="421" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-43d7ca05-b3f9-406a-9002-a3867a410e6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="420" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fbdf14c2-fe1f-4606-9897-65bb16ebb86e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="419" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3095b7cd-5ed7-42f4-a81e-96f07528aacc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="418" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ff06787e-6a92-4d44-9801-86747421d47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="417" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-430fe78b-bd1d-4a44-9ced-fa6a5d7aaf00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="416" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-78aa3adf-b891-4c8f-915b-fabef1478bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="414" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-87296d9b-4d63-4a97-8920-336ed9612082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="413" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3fb005b5-b3df-4986-8a72-d26d5fd7cc0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="412" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3ace1f32-e1a2-4958-b139-70854d36c5fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="411" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8462fa0a-52a1-4e40-9c21-9675771c406e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="410" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ddb04165-27da-4142-8a2f-95097f9147ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="409" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f8baccb4-fc60-4440-831a-02c4a2299c68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="408" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a76018e0-9f5d-4615-ab66-2fa6b25c2117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="407" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0b2e3e3b-7da6-4d6f-aa66-fef8607cb870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="406" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f0e05fcc-6a24-418c-b763-0838e2d80dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="405" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0511f9a2-c62e-40bb-bf6a-b272a743a458-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f86daaf4-8deb-43e7-b714-68f837310b80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-91bcfb35-ee66-416d-aaf7-85ccad59863a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-daf5bbd9-efba-4207-b97a-9e35d1b909e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-29b16033-fdde-4941-868b-032a3e558de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f73fc0ef-791e-46af-bba8-7e88d9bd4d88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-133c10d1-bffc-4ad3-bb01-6ab0b801220b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="398" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2a1f1201-4e1f-4930-8035-bb9b36bbde86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="397" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-126f8e32-7a19-4b3e-8641-002eae032c77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="396" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-00ee9f76-0c13-4105-a4d6-d59d0cff529e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="395" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-41b2e13f-77f8-4283-9efb-e80e6d8fcfab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="394" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e00dfd94-5c9e-491b-a94f-a840a1090950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="393" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b18daee3-40d7-49af-98a9-40a53ed508af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="392" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7d871dee-95f5-41f4-b473-9676f33b72c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="391" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-1c214d78-f0eb-4e26-a3af-b015ee79c454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="390" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2ce41844-02a2-45c7-b2e3-660e55ebbce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="389" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-028bc591-aa46-4761-8396-abc228f31a02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="388" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-50dd1031-53d3-402c-a10c-c1abe9c66cc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="387" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-32b8db13-85b5-440b-9e3b-af8665770b83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="386" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5e0d67a1-bb2e-4ed1-b814-0edeed8312c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='196' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="385" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8d583767-19f7-48ba-be5b-712781038380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="384" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-30c93ecf-2b6e-4e7b-aa2c-79077eca3e99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="383" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-05ee1f3a-7299-462c-b8a0-57a57cf8c205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40201']" priority="382" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40201'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40201' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40201'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a6c66eb1-a6bf-4426-ab50-360895f41bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="381" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): de waarde van @code/@codeSystem MOET ''201' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f2a5cf53-6b42-49e6-9e98-dcfc4b7288d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="380" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0232_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0232_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): de waarde van @code MOET worden gekozen uit waardenlijst W0232_HL7 W0232 Bijzonderheden thorax (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_thorax): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0232_HL7 W0232 Bijzonderheden thorax (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-de0977f5-f8fc-409e-b42d-6f6ead842c05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="378" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e6c0abd9-c780-48f6-9830-38ae5d78a073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="377" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9de99c7a-517d-44fd-a649-3cd6ad509f78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="376" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e1869b02-2632-475b-ae59-2479ff56a402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="375" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-aa41b45c-952c-4be8-a292-589ecdf0e749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="374" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-60223120-d1d8-464a-b8dc-1d699080cd08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="373" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-40449854-7dc2-4dd5-b3b8-88895781480a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="372" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0c3557fb-a090-496a-8ca5-541a50db7e34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="371" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2659fddd-2086-40e7-9f5b-db7b6b15298b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="370" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-677045ca-9750-41eb-b6b7-b8f846bd11fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="369" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c5ee28d0-9349-488d-b98f-7e85d3cccbdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="367" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0356c0c1-4230-4330-ae14-88b735d6f45b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="366" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-36b67276-967c-4b83-86c6-cd86258e02c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="365" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-dae530a2-4439-4dd7-881a-eb966203c552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="364" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-48f5456a-6cbf-41f8-96ac-cbe7bb83aacc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="363" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6c1bbe52-78b1-4fb1-8db9-0f08ecca60af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="362" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9de5f331-6ec1-4b2f-9fe7-4c0025b91ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="361" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ebefb1e2-3be3-4c67-ad86-3141c24e2927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="360" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b05f49c9-f330-4ada-b579-2b5992f09088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-07943a6c-fe94-45a0-b547-a56a4d3b3f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-23aa806d-ca82-4a17-a34e-f6b1be833152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b9953191-1d59-47e3-8d8e-a4ba922777c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c629b2a6-c972-444d-b66d-287a88aae84b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6a5ee99f-78ff-49af-8b40-fe722c617035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-98877610-d080-47ee-9b10-fc61c05bc74b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-260af337-3346-41ac-b038-a868eb5cc4a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c6ae2e00-db9d-4e4e-ad6a-a9d9d14785a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="351" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b77b7997-e2f6-4e8e-85f8-60c8cb7b8f35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="350" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3b57a034-baa4-4ee0-bbbd-fbeedb200138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="349" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ccc815ab-5fc4-430f-b41d-29853ad2ca9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="348" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-93d8c9a0-235f-4473-962d-5f654e6fdaa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="347" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fe72acdc-0f13-42cf-9d6a-16e7d56db828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="346" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-235abe2b-65c1-498c-a34d-00f54ee94545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="345" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6acd6a2a-e464-4a3f-a1da-6809f0aa55ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="344" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a1de446a-5324-4a35-91e1-a7ab0ad9d60e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="343" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b9efc3c6-cc6c-4d0f-a85c-879ae695e6bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="342" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7721723a-c543-4cca-a66d-ec6640bc2945-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="341" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-82e97509-0864-4317-a955-c7d81bd9b7cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="340" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b1817be1-0a70-479b-bd93-01896b3e817b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="339" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-21435f6d-eae9-4f7b-bfa3-14317d2d2e18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='201' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="338" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0a41693c-b5e4-46d0-b722-aa2b768a067d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="337" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a5cdc273-bc0e-46eb-9e64-da2b1098dfc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="336" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-afd3ebfc-2d54-4636-b56c-2e2b52408b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40202']" priority="335" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40202'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40202' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40202'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-22484062-45a1-4129-bfe6-292625314b19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="334" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): de waarde van @code/@codeSystem MOET ''202' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8cbe0aae-4c1b-45d8-b993-7e0aae2f9030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="333" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0233_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0233_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): de waarde van @code MOET worden gekozen uit waardenlijst W0233_HL7 W0233 Bijzonderheden longen (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_longen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0233_HL7 W0233 Bijzonderheden longen (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-95cbd466-a684-4953-9d0b-14ccfa610e69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="331" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0236afed-55b7-4b08-8c10-b29cb71c2437-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="330" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f0acda3d-a1a5-41d4-a360-121b3d9afbe9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="329" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ac671a95-a1e0-4452-bff4-90f761f39457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="328" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-aebf8308-3c5d-423f-9eb3-086c76d2547b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="327" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-cf88210c-b060-45ce-b139-543ff633383e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="326" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f00c94c5-eca2-4b3c-9475-4345664f2033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="325" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a30df2d9-afa6-48c9-ac9a-a7908a348c93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="324" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ea5c3901-c15d-43dd-8973-3ae63db5e4a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="323" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e2071e04-b6f7-4e2f-899e-fe70a6829a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="322" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6bc5bf25-9048-47c9-87bf-28f9733fe88e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="320" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-990f6499-b4e5-4428-ae21-512f6255441e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="319" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-21885685-4f9d-4887-b4da-b0503aa48950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="318" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8902a5b6-5836-49b8-be32-a1a3b187cca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="317" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-05566c56-cce1-4c1c-afc1-196ec1675964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="316" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3ef26129-4d01-4a1f-8576-4587ece40644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="315" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-225434eb-8430-4ff5-9236-01fd7ac268b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="314" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-618d19d7-048a-4599-84a4-8f8e59837d4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="313" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-505054ea-6180-4207-b7f0-704230956b52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="312" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-1efad64b-1611-40e7-bc3b-cf82dbb5b26c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="311" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4fcdebfd-2e54-4d5f-ac09-3425814279af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-afd12b41-4e52-4f81-bb3c-64b3230f9e64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-893775d3-bab0-4725-9e2e-1d33a8b3decf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-94c5a367-61de-497d-9631-fbb1d9148e50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-dbab4370-e03f-4c4b-89f4-e32d88af1742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-67668570-ce2a-4b9d-bccb-a32c4f184aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-85b312a2-454d-4ea3-9400-38c268236f5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="304" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4a8e513f-87a1-4c48-b05b-4baa84fe183b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="303" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2c22b11e-4624-4594-a7de-72d0b09b3d9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="302" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-849658e5-0e34-4079-a565-b0c6d387882b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="301" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-20ffe3e8-23a3-4128-a325-e2d1900ff4cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="300" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-13f4703e-0693-41eb-ad2e-5396f3cb63a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="299" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a36065fa-61cd-497a-aa0e-0013e68cccc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="298" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0ff5c66c-69cf-47a7-9241-afd52b620332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="297" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ed6bc129-8c59-4880-a66b-1ea5f46cef98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="296" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-cd3b45b7-8c0c-4d6a-a8f8-7a6f56a55a6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="295" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-508998d3-9e4d-427e-a696-913e802e3b76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="294" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-619d889a-2ff3-4a9a-b11a-c54f351f7d97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="293" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-413cb0f7-8def-41e7-b633-f34901e359e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="292" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-941b87ca-0e08-4fb5-a117-a862f0dc7fa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='202' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="291" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fafe18b5-37e4-4caf-9972-054b56a5dcb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="290" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d523a232-6507-48b1-b993-140da8741ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="289" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-73d05ba8-c7e1-4250-8fe2-5a36f7f3cd5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40798']" priority="288" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40798'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40798' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40798'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9cb0ace9-9d60-4105-b81a-551c015e3567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="287" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): de waarde van @code/@codeSystem MOET ''798' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4899e3c9-3b45-4e0e-82ee-bfcb8952d22d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="286" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0234_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0234_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): de waarde van @code MOET worden gekozen uit waardenlijst W0234_HL7 W0234 Bijzonderheden navel (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_abdomen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0234_HL7 W0234 Bijzonderheden navel (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6c5afe60-ffc6-4c28-9098-d3a1fe529212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="284" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b2119b97-8943-469b-9d88-e58cf4d49f9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="283" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-62f0a3ee-5656-414a-8a7d-f8e4083331a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="282" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-1d0cecef-fcdc-480f-a8ca-7a30824e9b76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="281" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-25c54ffd-d7e6-4538-9d48-fcad4fe3793a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="280" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-904d94e7-4cdf-45a5-abd8-e7d269b69e19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="279" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-495af375-65e8-4d84-9aa1-e46eadbccf44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="278" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-06669709-9ce1-40d0-be19-a133ed36c312-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="277" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c80ff0cf-d7c6-459b-9b34-6119a3194213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="276" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-737c4510-70d3-4b8d-acba-a78c78826bcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="275" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e31e9f1b-fa3c-49ab-b4dd-0c9d4b08965a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="273" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d59dc8e4-6782-491f-a1c1-e28802fae9f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="272" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9af0993f-f552-418b-b15e-b1aa77322fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="271" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ae95c38f-807c-4632-93ed-078d019a9ab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="270" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8755717f-ba74-4d2e-b2e9-db1628bbea28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="269" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ff4c5e3f-23bc-472e-b02f-b2b5829c933c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="268" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-51c6963a-c03f-4852-bd07-2b56aa20205d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="267" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3bf1ee99-fb38-4ee5-9e9e-27034ca93608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="266" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a04c4aeb-6583-4f1a-90b9-d3bfcaafdcd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8cc90adc-716a-4520-89b9-7ade9112822f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8f2a205d-1dc6-4a3c-9661-37c5246f416c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-392413a9-c5c6-4b4e-8bd4-14875a486302-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-37f70401-ace4-44a8-b5e9-7d09ea4b01b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3008e880-c913-49d1-ba77-e1a6de2f0102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b3c57fa6-5fb3-4558-b398-e4af7f4445f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b5821f74-761a-4669-9d53-0bd0317e392a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5c07126b-f560-4876-9671-016cda059735-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="257" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8b87c321-63f4-4659-8853-63a61e66afe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="256" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-363f242a-e1bf-40ad-a504-05d205c7e0a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="255" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9131e8d6-3d8a-4e24-905a-ddc25c9c371e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="254" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c62ae61d-7eb7-4295-a492-30364f5a5e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="253" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e7aca5c9-36f5-4dfa-933e-69f04ee1a273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="252" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3d8401a7-c84a-4895-b26b-68ce3f3d27e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="251" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5ae14bd3-ff00-4959-a180-117d52ae8217-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="250" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fb8d4449-8209-461d-90b6-5a3f1360c763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="249" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a9928ef0-8e22-4bc2-85a2-2d8e587f6015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="248" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6926767c-d95e-4a5b-ab8c-6c379922b07e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="247" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0c422a76-ddec-4e71-ab62-191ad1767620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="246" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d706007d-86ab-4cd9-ba7d-2cca2ae1b185-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="245" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ef8dae07-124b-4c37-b4de-8187dad9625f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='798' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="244" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f89e0872-8193-428f-96dd-044ce7c2f46d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="243" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3decda20-68c4-4b52-be4d-444dc075de58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="242" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d6f1d54c-df5d-4da2-a6d9-fa15c23f557f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40209']" priority="241" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40209'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40209' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40209'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c232df9e-8693-4416-9a46-766b01a4d6f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="240" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_navel): de waarde van @code/@codeSystem MOET ''209' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-53050229-ee40-484f-ab3e-fe4258e917d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="239" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-22775770-5ae4-420d-affe-635ffdbb554e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="237" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ccb5cf18-71bd-42e3-9faa-7a3ede08ece9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="236" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-292d99ea-0108-41a9-a863-882f037b48aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="235" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-aacde11f-2b9e-4ae8-906e-a2ea39c26b1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="234" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f5131cf2-5041-4751-ab71-65381205ff5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="233" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7d87f06c-c3f6-4d3d-ba9b-1f9c9484aa4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="232" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-bd0afa69-7843-4374-8867-e4a64448b551-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="231" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-db13dd8c-2656-411d-a6dd-95c99d4eb266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="230" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ee6f8c78-36b0-4ae6-bc0a-4a48123e0e20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="229" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-15f6bf2b-8192-42c0-aa51-d7e545cfc9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="228" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5adf60ab-8b29-41ec-873a-9bc2ab120114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="226" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-be92a79d-f151-4c85-a760-b3648dcac020-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="225" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-925e47a5-0ae0-4c02-95e2-f7aef9aeef4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="224" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ab669ff0-6834-4536-b089-89a966baaf2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="223" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-52babb99-dc56-49f9-84a3-d488aae54370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="222" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e0d90bb6-4d81-4f95-b52e-7e0e1e3eeab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="221" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-1b3ff7a3-bcfb-4ef6-9680-5cfa3562c8cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="220" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-cc6960df-8a12-4bd8-b733-73cb19c77f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="219" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a83bc786-e569-4b6f-a52a-05485add62e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="218" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-0f74c055-fb23-4ffd-903a-b75480fd1c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="217" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-716e3ca2-21f4-4684-adcf-f4b9cfcb68b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3f502dc0-75a3-49ad-bff7-4144f71b6657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7434a950-65b8-472b-848c-d9e5fe7d5959-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ed2e9ada-c5e6-410e-a6b1-a0fcbe734ff5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3210488b-05a9-49cf-ae8e-3b9c03c94bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4db0cfa3-1186-4e91-ab5b-7cec557d3b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-996ec6db-2ac1-4582-8de3-66b35e6591fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="210" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6013de3a-7904-47f8-9424-135559ef967d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="209" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d54538f5-01f0-4511-8e99-0986455870a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="208" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-1c0cb78b-ed05-42ca-ab00-b1d4e22605a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="207" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-67b9c7c8-eaf1-4dc9-8445-c1377d50e3da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="206" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ee83a4bb-3119-479f-a408-4c84d0e99ded-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="205" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-050179a1-13a9-434e-be75-582132d17e1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="204" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a32b7ba5-e9f0-497f-aaa7-4a069436e16b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="203" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-013f8ade-8f67-47e0-99d9-e679a8a66b06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="202" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fdc887bd-0ff8-40e9-b7eb-a2af4a92c9f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="201" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-484214b7-75b0-4d94-b836-3b501d6558d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="200" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5c8d2448-ad98-4dd6-907b-e4ba7bf04985-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="199" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-289fe001-bc38-422f-a42e-29d4337c064f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="198" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-aa144c3d-17c4-4755-a587-4546007717ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="197" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a1d67de6-c6e9-4c46-be9a-dcb748051beb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="196" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-74227463-7c83-41e6-a436-b0530e4a40f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="195" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-87b93a19-a858-4456-8626-ec1c97aee9df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40210']" priority="194" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40210'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40210' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40210'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8cf2578c-2a8e-49a4-93b1-e930bf974336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="193" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): de waarde van @code/@codeSystem MOET ''210' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e3b9eed9-59cb-411c-add4-58b46d3ba54f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="192" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0235_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0235_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0235_HL7 W0235 Bijzonderheden lies (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0235_HL7 W0235 Bijzonderheden lies (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b4a4c1a9-3d92-4a1e-af34-67ae25f25fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="191" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-47f51de8-9775-4d1e-a7ef-eb0e9808f34b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="189" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-908d175d-b55b-4b85-bceb-3d30f85a9a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="188" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f2e69c33-3a29-47fa-aab6-673835bc6f8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="186" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c5eb32dd-1af7-435f-9046-0cbf280dd374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="185" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5a98d12a-86ad-4720-9655-f205fb422d3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="184" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-395de261-2a75-4644-af2b-94269adb1f75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="183" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c08baa2d-4683-4b67-90be-815f088eb2ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="182" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a31a395c-94d3-41a1-ab2c-db2d8ba18f87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="181" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c97989aa-7dec-4e9f-8e4a-94cec735da1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="180" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ac7cc598-d797-40e7-ae37-a95c638d9970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="178" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7624119b-6e9b-4474-9739-3dae16967e51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="177" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-62709cb2-3962-49c3-b6f3-3d8d1ed20197-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="176" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b6d7023e-402f-49c3-9b2f-572dd6941fa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="175" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-77e69cab-1f5a-445e-bcd1-0a75f0369f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="174" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ba834393-323a-47c5-953b-d13d136aa75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="173" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-774d3981-d8ef-4279-a224-37fbee16e326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="172" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e3377032-93ff-4d5d-867e-cecb1f1aa191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="171" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2421bb49-8e4b-41a8-a240-1c02263bc00b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="170" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-23ba8131-4021-485f-b5f9-1937c4edd542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="169" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-2797f58a-6fe0-4a7a-b172-9c3433414ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="168" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-58740238-77bd-4aa5-9cee-2fc8b2370f8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="167" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-17356c46-ea89-4b77-9b18-fc452cc6acd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="166" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a5c06d5a-25b0-42ee-abb9-d58292b1b5dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="165" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5057653a-8af0-4518-8ecb-7ae69f7681d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="164" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-dcc7068a-7218-47a0-b93a-912791d3c42e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="163" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4ac3df4c-6757-4e47-8536-2a7bfa5b5530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="162" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-be8bb025-8dd9-458c-83be-39eeb685cc4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="161" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-28c387b0-30f2-40ea-94a5-6d979ed52028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="160" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9701409c-147e-4889-ad31-a08ac8838262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="159" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-df02eb98-ac1c-4bff-ba9c-26f3c1548e8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="158" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-987a10cd-b26c-4d24-9c79-6f69d74bf082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="157" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-26e12b8f-d4ab-4b46-b871-65b6b4ac4a0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="156" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e6511d59-a204-4645-9563-d749ddeaf418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="155" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5f3e08e9-32d9-4562-8438-ec4ba24db158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="154" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f03d3297-3bf4-41e9-bb29-249062a5cad2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="153" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-09e8d8df-49e5-47ae-82f2-1a0ca892e206-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="152" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-4f0e5211-6591-4446-922c-3aa3f537044b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="151" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8c3182fc-a588-4a77-92a0-0900acebb5d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="150" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d20ac736-4ba3-495d-8849-bee9b8bffecc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="149" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-53de3020-7422-4ae6-bbba-867a60a339c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="148" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e5d310d7-d1ec-4f03-adf0-cc3325ac2326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="147" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3c2025d0-b9cd-4a27-9d8d-fe2e32597888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40211']" priority="146" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40211'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40211' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40211'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-fccb6369-60e9-4eb6-b54d-f7b60705b48b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="145" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): de waarde van @code/@codeSystem MOET ''211' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-8b0c0713-cb42-410a-8b33-1a96be257b49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="144" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0235_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0235_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): de waarde van @code MOET worden gekozen uit waardenlijst W0235_HL7 W0235 Bijzonderheden lies (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0235_HL7 W0235 Bijzonderheden lies (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7e40421d-eb02-4bf0-a4ea-be85cf43320b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="143" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_lies_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-88112bec-6754-4df7-a373-e21577db8d49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-a33498c2-7ff8-46c9-b393-b46b7d15044b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5410d1ea-eac6-4aa0-ba73-c873f463a0a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-63047b47-8c23-4618-ae0a-04e72d3e6324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-e6737eae-212b-48de-8652-27355fc8570f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c2563cb4-87da-43df-b659-84157f41dada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-cf4c1940-7afa-4582-aaa2-cb7fe8b83490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-25b988b4-5e41-49a0-b1ed-e2046e276510-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b8278388-a257-4756-a387-423cfed6a3c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-5240f343-ae62-4728-a562-8c13735496fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ca0d496d-8489-47a6-8e9e-29a3c829fcd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-53f68d2a-63c0-4c2c-8f92-4c9e985366a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-94b2f830-50a7-4762-9dae-318540b348fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7e33aefe-49a9-446b-b503-cfe73f609d71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-167ce450-0ab6-4d40-b7c0-e0e0274f4b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-cf5e3814-b0c1-4fb4-9712-eaa04ebd6e0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-32577424-78d5-4a07-96b0-44545d0c1595-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-c912d2da-fdc5-4002-b074-75bc98e11535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b93832f6-dbc7-4298-98d1-b6427ddbda39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9fa31f20-7de9-4e1c-ba82-bda92f937c48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-12f51b2e-9e61-4688-82b0-9577b8c33956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d52f91c5-b813-4273-a061-932e34fb77b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-df67b426-f882-41ad-bb85-b6894471face-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-00f522a6-2f7c-4c96-af55-8904b84233cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-dd73fa47-f964-4600-8f1d-0768615e5276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-22dad1c1-65d9-4929-9f06-a47bc01baaf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3ed90308-8c32-43be-a1a4-2af9bd9ec31a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-11e7df03-c7c1-4752-aec8-8b7c8ff3bdbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M72">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-f7b441b7-1654-44a9-9e9b-f472d991c2cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-6e1b5bc8-a779-42a6-8c95-842ee059ff24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-811f2b80-49c4-4378-a983-64ea7ec34a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-ef34e8cb-c1a2-4c8c-ad3c-b378726ca839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-46e0d1f6-5c7a-4135-a699-a9ca19077c07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-25e83db8-54cb-452e-a41b-99b27282cb5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-7dd966ab-7e70-4906-9500-023d119bdd94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-d951fe31-d6b0-4b82-be6c-c35a5fc4d8ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-9d3f0f63-5a15-4a70-ab7b-3c9565b432c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M72">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-3f038aee-ba49-4a67-98a6-3b62c0b6535b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M72">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11024.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>

	<!--RULE tmp-b61f0bac-7381-4380-9baf-24239b1769e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11024']/hl7:component[hl7:observation[hl7:code[@code='211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M72">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M72"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M72"/>
   <axsl:template match="@*|node()" priority="-2" mode="M72">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M72"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M72"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11025Rubriek 25 Bewegingsapparaat-->


	<!--RULE tmp-071b14a5-bdbc-4e54-a9c2-8c22cef0dfee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']" priority="859" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6e6bf545-fca4-4c69-b72c-b3a5d7d8d7e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']" priority="858" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11025'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11025' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11025'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9fc4a521-b734-44cf-a48d-eb5b3b1e4186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:code" priority="857" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R025' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @code/@codeSystem MOET ''R025' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R025' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c8ccbe33-a168-4a88-a074-38fe076ff0a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="856" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c817cd5e-694e-4d13-82e0-dc8e4ed65ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="855" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b4256c4a-c1eb-4adc-a914-2216be8088ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40212']" priority="854" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40212'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40212' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40212'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-caa3f443-949d-4271-a0b6-bc3db80c4baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="853" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bewegingsapparaat_onderzocht): de waarde van @code/@codeSystem MOET ''212' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a6f7cc9f-324c-4ee0-9d2f-09a69038e88f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="852" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5a5bd474-47a7-408f-b00b-03fd726f3434-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="850" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7d5b5254-1cba-4cb9-a485-e24eb06855bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="849" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b85dd946-7154-4142-b4d8-b10eae3720c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="848" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a50fe8bc-d0c1-4ab5-82fb-912d624efe25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="847" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c5e7993a-3fb8-409b-a99d-ec49e8762149-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="846" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a0c092f1-1838-42e2-8d87-7041578271ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="845" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dd5f4690-4f17-4de2-ad9c-872fe841dc3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="844" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a0958f3d-149a-446d-a337-9591fede4657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="843" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5ee98e92-7f19-4394-9990-4fcb10043e2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="842" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb3f6ec6-22d0-4d96-8aa4-1d1d13f54fa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="841" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3089f730-e458-402d-9f44-314b017d668a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="839" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ed7015ff-d200-402c-a0cc-14037d02f02b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="838" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-49e13c4e-4823-45a5-ba19-e13bfcef2d43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="837" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0770c735-319c-43d8-80e3-d9bafe12e5a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="836" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0710bc41-4818-4f69-b446-1cf9487bccca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="835" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0d575acf-8a0b-43fb-8794-ffb5ff724b1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="834" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d75f83a0-b58c-4682-ab88-92ce018832b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="833" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f5d6e05c-20e9-4df7-bde0-52cb31218ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="832" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cdc84b5f-2188-481a-8aad-0247f12c040a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="831" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-56b9dc16-ecd7-44f0-8da5-4081a53d6bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="830" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-feea3a39-2d1f-4f17-89a1-54a4b4029532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="829" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4fa2c981-1af6-4a27-ad6c-ea1f83f327d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="828" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eb88d62e-c145-41de-942d-4f9703d5d971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="827" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a2bde40c-a3d1-40c6-9d2d-8ca0caa94eea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="826" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c615057b-8a7e-4bfb-9961-f9537ca0df98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="825" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6c17e7fd-40a9-46bd-8eae-86f0891dd049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="824" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-64b5ad0c-dd67-4fc7-9c3a-1a04e64bce78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="823" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ae83a690-d4e6-491b-b1b3-a3c6524d37d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="822" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2cbabf25-4162-4150-bf6e-f0bc1e38c790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="821" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-589fc873-c5d7-4905-906b-11a2715ab970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="820" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-462b3d3c-c728-439d-90c6-87bf8f1ade0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="819" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7891a33a-ae68-432b-ae52-a64361d7662a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="818" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-06089579-21b1-4d13-9db7-0b9aec5972f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="817" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-236231af-2829-47b3-84dd-cb37b3778444-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="816" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4df892a1-4ef3-4882-afa9-f89a2951f43d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="815" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8e1a2f64-3098-4023-9bcf-1fe5238800a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="814" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-17947519-32f6-4e5e-9ea1-5734fea44e2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="813" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-18fc9035-e4c9-4155-95cb-8da79d9517f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="812" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3c955be9-7b89-4396-8c46-7d03df217486-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="811" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-91254d5b-9c11-43b6-81ec-a50a6b65dd4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="810" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-19e8b1a4-0353-499e-9527-5620b30149ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="809" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bdf95f1d-b682-4fcd-a41c-fbeb074eea12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="808" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f14a290d-ecd6-460a-a95e-482a5ce717a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40217']" priority="807" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40217'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40217' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40217'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3745829a-bf2d-4536-a896-f362caec8348-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="806" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): de waarde van @code/@codeSystem MOET ''217' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2b2761f7-bdaf-4a25-b27d-f905bc661fd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="805" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0238_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0238_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): de waarde van @code MOET worden gekozen uit waardenlijst W0238_HL7 W0238 Bijzonderheden wervelkolom (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0238_HL7 W0238 Bijzonderheden wervelkolom (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a1f4141b-eb53-4189-911c-21fd01f1bb3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="804" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_wervelkolom): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-034b6061-7f59-4f29-b3e8-55314986a2f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="802" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d81924e7-05a0-45e1-a11c-b4c78222399f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="801" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-13922536-4850-4cbc-b27e-e6058079587a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="799" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2ff6dd0d-20f7-4250-9ac5-1be9999d7b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="798" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-48d88ff5-0b80-49f3-b800-064cb546039b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="797" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3368cf94-1053-4403-92f1-5c89a07047cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="796" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4a5a60dd-49f7-4701-8d24-f69fb437c69a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="795" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c0c2222b-def0-4e2b-8f4c-97f54dddbebc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="794" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e631aa3d-3283-40a7-a969-1eccda5a5b8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="793" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8e34b157-1635-4522-8674-ed9e63aa0a3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="791" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f9e07e9e-03a6-4864-9237-e8727eb24e24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="790" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d8c3718d-195e-4ebf-8da0-ec390ba3330d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="789" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8b423d47-8b56-4237-8e69-1b43fe4997bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="788" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eb7d2ac8-b2c9-494d-9e49-0f3b4b889736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="787" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dae9a8e5-5a6e-4ed4-886b-1d37e1ac549e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="786" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-19868abb-e04a-4328-8c68-c814a3d1ed0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="785" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cc841f97-c1d7-4344-84b0-b68aeaf926d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="784" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7782f557-1bcb-4f9d-a84c-437384afaf5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="783" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b2dd6907-b9bb-4859-8b49-85b908815923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="782" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ec273e64-ca7b-4364-a865-9ba41f27e0bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="781" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7d8be54e-6353-429c-8220-ac68e062800b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="780" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2d77c88b-3be4-44f1-a7f8-06ab7a5d8048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="779" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c4fd4301-89b2-4b95-bae4-bd323efc08b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="778" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f57116fa-50a7-4c2c-9d1b-2848231111bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="777" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7dc52cc6-e5d9-4484-801f-897fefbfca12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="776" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3f2af89f-2806-44ac-9815-1c3296d38975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="775" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2f4fd494-f135-474d-a4d9-3a02425462e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="774" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dece54fa-007e-4d4b-bbfb-c37cd909da6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="773" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cae84198-1590-497f-878c-1383438818a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="772" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0ed141f2-f577-4c01-b0d9-87434b746171-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="771" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-00aceacd-e4ea-418d-bf06-80abe405c633-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="770" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1e96c9a7-bf37-40ee-a8c2-0341f3c73ebd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="769" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0af66782-c26f-49b7-a40b-103c43658487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="768" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a201e9f8-0388-46c6-8832-aac44785ab06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="767" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-33745ec0-62bd-4a9e-9620-59376604d178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="766" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-679ec6c0-e6e0-4e90-bdda-f477b8b451d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="765" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0f4d0b4d-c2a3-4af1-b4cd-1fb064fd0970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="764" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ab7a7c5f-7416-42ec-825c-75749fa13268-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="763" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-51d374d0-ed26-43db-940a-e9d9cd71a7d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='217' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="762" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-623cb165-edba-465c-8bf6-87829c9f395e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="761" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f1fc69b1-9c2d-4a63-b44a-c09ea4fa286e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="760" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a2009902-7734-4685-a631-1df3ffe8f32f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40800']" priority="759" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40800'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40800' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40800'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cad8bf32-e7d1-4954-ba8c-90fe72fe748e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="758" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): de waarde van @code/@codeSystem MOET ''800' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-285b4dd1-1817-4f65-ad96-fcb8fc7e7c00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="757" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoogteverschil_gibbus_bij_scoliose): value MOET eenheid 'mm' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9409f991-0423-417c-b329-d742457ea9e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="755" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-25e3f904-fa3f-463b-a7ed-4bc00f32e0e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="754" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-538642e3-4e9b-4fc1-8ab1-03a9da246a6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="753" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-11f57fe1-a827-4346-bc66-8ff0bdc784e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="752" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ae6f06cb-fe8c-40ae-b3ab-22f63682d83b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="751" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ce0937f7-d7d2-450f-bca3-3f842a0fbaeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="750" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c2cf7d51-f2aa-48ad-93cb-2ddedc3fd9af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="749" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1aec0bcd-c3dd-4538-909f-1eee8f431022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="748" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-791b7fcd-9f5e-4aa2-b140-2c463e63bafb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="747" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f9f3fe6a-add5-455e-bc28-9ac10cebde4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="746" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-546d0a16-f80c-4e94-96a9-cdfb4e51647b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="744" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bd405c23-07ea-4073-a3e2-4d6c7a25a1b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="743" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f9bbfb5b-b7e6-4044-ac70-f5590dd29dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="742" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a9b45cc4-ef4f-46e4-8443-20d3e871d976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="741" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-556ad287-2afa-47bd-a48a-a5609404b5d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="740" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-df3f8b5d-f0ab-4896-89df-e6787dd35a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="739" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cb3fe80c-4c7b-4070-afd9-8807e768669e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="738" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-74a9ad6f-0474-4338-925e-1eb59ff41dc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="737" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-12f0f728-63a4-4706-b9b0-52b374bfe03b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="736" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-30ae5541-3f78-4891-b953-1a485e10c0f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="735" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1e8c44e7-0924-4879-a0b2-ad174f160416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="734" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fb62f376-d473-4b80-9da2-26ba95ac4dd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="733" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eac4dfd5-b11b-489f-81b8-3ee5b1042628-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="732" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fd7d969b-39ef-4e92-ac2f-e591d8eaede0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="731" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-35645b93-26e3-4a6f-a5c1-225930375379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="730" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-add1b30c-e5cc-4f12-a527-2948aa846b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="729" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-64fb03b3-8c81-4ce4-bfbe-99c96568d359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="728" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5e6021b3-be71-46e5-8e77-d4d0232e177d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="727" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-056d0b53-6339-45d5-a16a-fd86349fba96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="726" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-079af6be-fd60-4abf-9e8d-c0fda4a1369d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="725" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fe9521f3-f690-427c-85d7-acfb1a5defa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="724" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1c898f87-74bf-44dc-9b48-e50de9c6c8dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="723" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bab612ce-1c88-4e47-ab47-5daf8f31accf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="722" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e9f433b1-b5d2-4945-94bf-7b99672d243b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="721" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-92c218ec-6999-4ba5-baab-48af5159af43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="720" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-70e1ad47-e477-4196-9b9a-09c623500f43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="719" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b8fad4d4-5ce6-4772-934d-99845e2446da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="718" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7449f0d9-2a7c-4f6f-94ff-1c18f3367ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="717" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-79d5ac98-5f17-4059-b742-50f4c92da5e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="716" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1fe9ce9e-3953-4b7d-a391-827025452dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='800' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="715" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-baca418a-0f28-498d-80e1-7409c465d30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="714" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c1457771-140b-43f1-8554-d4419bd5aac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="713" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b2f5df28-1c40-4cc9-860f-35be9e6578ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40218']" priority="712" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40218'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40218' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40218'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cbc57ebb-d3ad-4287-911f-cbaa8b9d4578-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="711" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): de waarde van @code/@codeSystem MOET ''218' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1ec1c48d-6d56-43c7-b15e-4ece0c169d42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="710" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0240_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0240_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): de waarde van @code MOET worden gekozen uit waardenlijst W0240_HL7 W0240 Scoliose hoekmeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0240_HL7 W0240 Scoliose hoekmeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-da6c12d3-9bfe-422e-9330-3f62c11a56bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="709" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scoliose_hoekmeting): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ff0b58c7-3869-4be0-a04e-ca28d70b26e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="707" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d8adbb78-478a-4bf9-a6fc-0439d9a525af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="706" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-68c34d58-961e-48f5-aeb4-601d0c1a1565-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="704" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3d646e12-c71b-4eac-bf09-e0b0f1cd9ad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="703" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-55cb29c9-229b-45bd-b6cb-b4f974b10b14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="702" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1448a8cf-1712-4f34-a9fc-c79e9b9ad6d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="701" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-55447643-a26c-4910-9cfd-8f065861940d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="700" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-53fc0293-ddb6-4607-92cf-55a18f56a85a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="699" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-94bc73bd-64ca-4ac3-b40e-66a9514ea96f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="698" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2ec23ea8-a079-4d01-abfd-2952beaf3cf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="696" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e3749de6-614d-43d9-8f96-847104b2f82b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="695" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6015e3fb-4edf-4041-849f-15315529880a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="694" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb821c9e-e586-4f5e-bce6-942cfdb7957e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="693" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4478971a-db5e-4de5-92d0-d47b93e16552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="692" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-81868db2-70a0-45e5-a3ca-1c4b08d57bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="691" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-779cedba-b985-424c-a08f-45cc7a0c7440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="690" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7ba4685b-6d2c-4f0d-88a6-2c63d5c1bb08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="689" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-abce417c-94ff-4baa-bf65-637de82bf3bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="688" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fe6fb936-9e6d-4b96-8227-7cd471e2d6c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="687" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-89988872-98de-4985-9aa5-32f18bc65289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b49bfafc-3547-496a-94e2-a046fc836637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-82dfba6b-9d27-41e6-b255-d91ee4a7bdcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ea73ba0a-c9b8-405c-9c3d-aee90c2c6f7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2211ab0f-2c70-43d3-87a7-f381b82d63ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6d57eddd-f002-4d56-8569-d29c7b2e1702-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f724972a-7772-49a5-9aca-c184b16c8ff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="680" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-19a32c4e-2e6a-4b6c-aa86-c5427bb1d744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="679" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-24eb0999-d842-4641-8562-61c4086c8927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="678" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-219beb9c-58d2-4f35-9fab-b487462b45d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="677" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0d43b50d-1c28-48a0-85e5-9430ef4854ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="676" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3a8923a4-8f0a-4f68-bd6c-c17a7f3bc9a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="675" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d8053673-16fa-468c-ac6c-424f4351d1b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="674" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a96ec823-fc26-4ec5-b04e-d203e41f3f3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="673" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9f5a219f-8f12-46de-98c0-7c9122698239-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="672" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2b47b858-a693-40d6-9012-cbdaf71a63d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="671" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5a45549e-2cc7-4b63-afc3-d52c004dc753-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="670" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-10636ee6-783a-4c4b-84eb-10e53cc9a19c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="669" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fc0f1c8f-48d2-4765-bf4f-b89390096d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="668" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-753a4723-44f0-499e-857b-4fe7756da6b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:observation[hl7:code[@code='218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="667" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6518114d-467c-4c26-9f6a-937a0662436d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="666" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b625a506-9fe0-402b-b7ba-7c5ffa9972b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="665" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5e177d8d-7461-47f3-ac68-51ef9660fef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="664" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @code/@codeSystem MOET ''G026' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cf611f11-f14f-45a5-9eac-6beff9a324a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="663" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-732aac8f-b533-45bb-9a99-45f782168fb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="662" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-246903fe-0eb1-4c11-9608-a333627388d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40219']" priority="661" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40219'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40219' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40219'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fea27b9e-aaa1-41d4-9510-f060039786ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="660" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): de waarde van @code/@codeSystem MOET ''219' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9286b4ab-8d9a-4161-a8d0-8c2f01c778a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="659" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0241_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0241_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): de waarde van @code MOET worden gekozen uit waardenlijst W0241_HL7 W0241 Bijzonderheden heupen (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0241_HL7 W0241 Bijzonderheden heupen (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-80067ab8-744c-4d1a-8235-cd92d20ad3cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="658" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_heupen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-727ad9af-2ef0-4c9c-aea2-94a04574d002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="656" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dfe1481c-9683-4f5f-b017-2e080e1be0aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="655" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-64034791-5b3f-45b7-a655-ccd438ef95d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="653" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9abf418e-1449-4e0e-95b9-a61d8a8bf9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="652" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fa950901-0dab-43a2-a433-edf722d0b04b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="651" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7109f449-3545-403d-af56-d76902b24b52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="650" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-17986dd9-fd2f-4ec0-a10b-6cdac470ee4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="649" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1aefca1f-308a-4ad0-9561-b93f94513355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="648" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1d81342c-46aa-495e-a0cc-3310c67bcc5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="647" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1cecbfc9-3b67-4867-92b6-dfb2b922eb76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="645" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-de998c4d-9467-4a6e-96f5-e0d15a7ba460-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="644" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c244023c-0f99-4d7c-b924-c9772eca8704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="643" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-73ff6e70-a00c-452a-89ff-589547bdb741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="642" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2099fd9c-5e1d-4b0f-9713-a94bacfdc412-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="641" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-73a7f758-4bf9-48f6-b692-e1226e27c74e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="640" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3bd293be-34c9-4caf-a2a8-f4439f7d22e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="639" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f5039609-10bb-4a64-99ed-0d91e3427112-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="638" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-021101df-d6d4-4b2c-b772-bdaab44e8b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8fdb9fdb-405a-46d1-88b5-a398354ccfae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-66255b75-6ca0-4835-8e88-abda13c751aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-894a75a1-6836-4b43-99b8-dc87ecbbf87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-74ec4283-3382-4724-9a61-6d5d184e7b83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-795df7cb-5afa-4506-9ba3-dcc19ff72c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-04ae20a8-41b4-4c68-8ee3-eb77520be5d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="631" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1bb091dc-10b6-4a8b-9b0b-0e6847af22dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="630" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e585c467-2e6e-46e1-83f9-3bb44f7a295f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="629" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-60e7d4f9-5185-4539-be46-d112a8e99761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="628" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-aa15eb55-0f7c-4acb-b529-a964e504fcd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="627" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dec659e2-410c-4d46-9a01-695a80a870de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="626" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e613e07c-577f-4883-bd8f-4346f5d60019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="625" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0be41a99-2ad7-40b0-8a84-c039e9f21cbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="624" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-afade632-0cf3-4b32-9ec5-c6b0643b3780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="623" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6104bfd7-6f9f-42f1-acda-a32f7c9c83d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="622" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4e318635-637a-4da4-bd5b-70056be7bb70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="621" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-32d44fcd-66f5-4e0d-b143-face80227200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="620" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e84d8d72-c8de-4cef-93b4-b2c607b68134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="619" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5527d7f5-068c-4a30-85ab-f97fd8d30370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="618" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5c4ee111-651c-4b8f-9510-98a7bbf3aac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="617" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c64fa2a6-0db0-4451-91b3-432c5b93e385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='219' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="616" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-38101892-bb21-4665-888a-2c6e619e5016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="615" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e0f73107-a9db-427e-a35f-4ec8ff7865c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="614" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9630cc9d-18da-4055-baa9-6faefb29a1d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41446']" priority="613" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41446'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41446' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41446'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ea2374ac-9e18-4ecc-bf55-4f65e6ac07a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="612" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_bijzonderheden_heupen): de waarde van @code/@codeSystem MOET ''1446' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-524a7878-2675-4579-b6f0-bcb42a1bd8e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="611" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cfb1fa10-f1a9-4dba-8c29-8036368dbadd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="609" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8880fe6b-b146-4a4b-b40b-4a1289d2faae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="608" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8d8c2b4e-b199-448d-be99-f29bea1cd3ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="607" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8faea94e-efce-4ac3-b436-f620a8deb8fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="606" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a786069c-05cc-47d6-98bf-5b2cf6476965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="605" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-48d27635-20f5-4ab3-9b7f-e1614b4e7b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="604" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-59f7ebc1-6289-4432-9b45-ff8353ef41c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="603" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ad69260f-44b1-48fe-b1d6-bac5e5f54d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="602" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e55a569e-4d2f-46c7-a0dd-f74e9e944322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="601" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-015814b9-bd95-4cda-833f-e38ccef7b151-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="600" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e1b80e7b-d431-4bcd-82d4-247b833bfd39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="598" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-446480dd-6575-4a41-8d53-2cf614530d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="597" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1490f227-0498-417f-95ee-3b5beeaa606c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="596" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fe7a767f-cca0-4cf2-a0a4-0252d0bbaaff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="595" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-36593c02-8645-4284-a2d0-99d583db181d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="594" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6cb32d04-28ca-4c63-b906-b4f6e4001bc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="593" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7423aee0-1b91-4ada-ab5d-964334567a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="592" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cb62add5-290e-4d13-8240-4044f426b3e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="591" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7c779c81-fb0a-4975-935f-d4146c8a8190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d911c4a5-d75b-4126-a89f-67a340fbf75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e158c3aa-8345-4bbd-a7cb-8408242f3d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-728c59b2-d96c-4205-9890-dc6862ccde10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-62e947aa-cfd1-4f1b-b565-23ac53b737fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7bdba1bb-115a-48e4-8226-b08de1a9ab4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-483c23d0-9480-4d19-9e86-38ed9ae2c8ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="584" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-917488d8-a7f2-48f2-8e5b-09582e44df9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="583" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-921b182e-3a58-47d4-8c3a-2662a4f80f4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="582" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d2d89658-7cf8-4e73-aab6-6237afc00552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="581" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b708e4ea-bf07-4d87-88b7-c8c3639f027e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="580" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f421289f-7217-4336-b4bc-fd954ce8660e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="579" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-923504d5-c7d0-43ac-ab6f-62b7064110f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="578" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-188253fd-ee4c-4c21-b0ba-2af11e62a679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="577" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c8a7f467-eaec-4eda-8190-e76527122915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="576" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dc3f5c6b-976e-45cc-b2de-0f30ee31bc00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="575" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0a6021d2-dc13-4cb1-aba9-51274b5c03a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="574" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-98b91add-c389-491e-89a5-5eb8fdb13c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="573" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3147d853-c027-4570-a4cf-a755aee10347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="572" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b47f31c6-6ac0-4929-9ec2-3e1b8b74b8d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="571" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dac70b2d-0e8d-47db-a68d-9aa3e083df15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="570" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-88677459-0990-4cc9-9c6b-acaa517c289e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1446' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="569" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-be6768ef-5a33-4eb1-abb8-f868868aa294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="567" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-57fd8bb9-bf8e-44eb-b887-692c000b176c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="566" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6764c573-9300-4356-b70f-b428562957ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="565" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-327e2837-7882-4d80-84bf-11a5c11d78cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="564" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ceb6a648-c20c-4f62-91f8-0ee2e939d2a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="563" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3eb30625-2cfa-49fe-8b14-99f99a737626-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="562" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-824cf55a-a5a4-4006-ba8f-1b57bc77bce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="561" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fb4e30e6-ce07-44cc-ba34-03f88d543354-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="560" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cc6b7c87-5910-4931-a139-9c76f432e5d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="559" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e1f5eb98-04f8-44ce-b5fd-b01d5dbdc8cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="558" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6cd60a0e-92b0-4a01-982e-0c196ea3fc33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="556" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cb914682-04e3-4e6d-af66-41f5607c4a13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="555" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a75918bb-9fb3-46f7-bee0-e271499ca77b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="554" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7f429ab6-0a65-452a-91ff-5afc6f5c42ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="553" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f5702685-5bae-4f71-aff3-fadf9acf0c49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="552" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f5b41f61-09bd-447e-a7df-28976ac9e8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="551" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-08532284-9b71-418c-b651-607ce9ad94ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="550" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-81ae168e-259f-4b3f-9feb-1350d07a9229-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="549" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e5f80b5f-dc61-4774-9f09-c4741dfa3f8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="548" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-77f9fb9c-4980-4aee-b870-ed3be9b1c36e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="547" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-668c1112-8264-4845-ad92-5ecf35051d2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="546" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b46be000-0436-422f-a478-3753439d7dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="545" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8ccb788a-b57b-4532-9e4d-eddae5a19e38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="544" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ecd08d34-f5e9-4688-a7b2-6fe590004784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="543" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-26f5b096-4466-467b-9718-7ee522c290ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="542" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ff9bf312-23e4-4a8e-8517-314d6e2f1116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="541" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1a9c88fd-4e0a-4390-8786-97ac6557bce2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="540" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f3b7c693-45b5-45c3-8f43-e0e2cb3200fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="539" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b3980b74-eebd-44e8-aad3-391b1328f00f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="538" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-51c2f4a0-5a2e-4e67-b37b-cdf81d3929f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="537" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f96791cf-ef88-43ca-a3e1-663ff98cb4cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="536" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-aba84d5f-2aaa-4f2f-aa99-84249b3781f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="535" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-122f6920-a721-47a2-a79b-09aa4513060f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="534" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b3700eed-4066-45b5-aab4-b655ef259579-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="533" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ea043ce0-95b5-40ad-9167-0bd7e0bae5cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="532" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3606a9af-ebc1-4932-a140-aed69bbac3c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="531" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b90a4996-d00c-4df7-8253-0617b0623591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="530" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d26d6afd-9b5a-4064-ba67-acc136b7d268-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="529" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-36f62b5d-73fe-4d0a-8fd7-70a22eaebafa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="528" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6fbd7f3d-db2f-46be-9c09-ca6467be922f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G026' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="527" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7431b760-963f-412c-a403-f9895707ba3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="526" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-99aac683-4787-4a71-bebb-263f01141abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="525" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-86e0f948-69bc-4e4a-8175-3c24f00f531c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="524" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @code/@codeSystem MOET ''G027' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2a011e88-0c3d-432d-afb2-6b4330b73b71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d846e698-520a-4a03-96e3-4d1e1dfaf1cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ec74b04f-b81c-4d47-b0ad-8cb71d352940-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40802']" priority="521" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40802'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40802' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40802'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d6819289-dd73-4d00-84c7-a3bf45580670-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): de waarde van @code/@codeSystem MOET ''802' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b8fa9c6e-fba2-41b2-8389-a88fa951289c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d6e7ced7-fb37-4615-b83e-89f34a515d13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="518" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_bovenste_extremiteiten): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2417772c-46d7-4772-87d6-f277342e8c8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="516" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8df47f15-1fe0-4c9d-9b8f-e9b6d61328df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="515" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1fb096ea-5920-4f40-96a9-2073b7aa5c1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="513" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b8c429ef-b881-4b47-9201-fb0c7c8e6825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="512" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c900159a-ce40-44c5-a4ac-7863fd0d21da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="511" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ee484e4b-272b-42ef-a118-83aba8d2ab88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="510" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e72f8d67-e8da-4ec7-bc12-326ce84a1748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="509" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1f7a97e5-bc9d-4e03-a152-aaed8c9fb594-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="508" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-94560bc5-db08-4907-8721-13accf9dc4ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="507" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-187a5dbc-73d5-4f9a-9a71-75ea08c1b974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="505" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d1a392b1-0675-4d02-976c-8a9c037d6499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="504" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2e5c258c-cd4c-45ce-909f-7d2a07291184-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="503" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9c9718c0-1b10-44e8-add9-46a16b60bfc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="502" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dc1c2b36-4ffb-40b3-a558-d1f20343e3fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="501" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5e6537b4-91ff-491f-b299-e08859316e37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="500" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0d453df6-3095-4dcb-99f1-99215ae74946-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="499" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2d70525d-58f5-4f3f-891b-c529be9d6d98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="498" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6ffe853c-8281-4d86-ba92-fcecc577e1eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="497" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3dbbed54-b414-4d53-8fdc-5b912d511626-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="496" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dbe4b7a1-ad70-4da5-ad73-03e909fce81f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6ffd2768-429f-400b-a4ef-50a647f3a0a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-63c27f01-ad85-4490-a315-a73a3f94158c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="493" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-767ad378-3093-4180-a360-661da7f36703-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="492" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ae0e2f25-b468-4b75-88fe-d61f7bbf339d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="491" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-09687b89-6f14-482e-85be-97044eacfd62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="490" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f9cb2754-a11f-4142-a6d3-7869d103eac9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="489" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d39d1419-7f5f-4f42-bd0c-96ab35751ca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="488" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-466e0074-80bc-46ee-ba97-cdc28f340cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="487" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fb2bede0-bee1-4558-a521-baf52d20b792-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="486" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9341ffb3-0e0a-4c13-9057-3734e7b37870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="485" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-421c1766-3c5e-497d-ba21-f813b6ce02b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="484" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-43200e49-4b05-4123-b846-9deeaad596ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="483" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b14e730e-3942-4d85-897d-e819124f4a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="482" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-758ce594-3719-4e0b-8ec5-db532b07dac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="481" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a863ca8a-cd16-490f-8fc4-e678e2daf977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="480" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-20d85676-68dd-4c01-9889-dadc5dcf3c7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="479" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e1547016-a39b-4ef9-8191-66a6c7e63984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="478" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2046fec2-15bb-45b0-9d87-c1d4f0daa6e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="477" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-050e78a0-3281-4faa-9f05-6fee4b9024bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='802' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="476" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-13cbbc45-dc77-48c5-a617-219696950673-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="475" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-22d4fab7-e4c5-447d-b592-b8a569a68283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="474" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6948eca9-60f0-42ef-b271-51ac0e0daeef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41426']" priority="473" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41426'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41426' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41426'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c06b40a5-1a43-49f6-9bc4-d30856dab42f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="472" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): de waarde van @code/@codeSystem MOET ''1426' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7d4e1304-b420-4970-bd3c-cc7f1965d377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="471" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-340a429e-498d-423a-ab9e-ef940090a694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="470" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a1289379-c531-4fcf-8bc0-2dcbac37d78d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="468" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ca57fc6b-4ea7-4f24-9fc5-85d5971c4eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="467" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-555cef78-6e08-479d-8c07-3f5ad65fe5f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="465" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8cb413ae-12c1-4ef2-bf4b-37fded66601f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="464" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ec58d8a9-4770-498b-b9df-4c4f30607fec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="463" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-de6f0ad4-3823-47bc-a50a-1fee8648f1e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="462" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-33d3ac4d-7b65-413c-ab87-49c35ae50a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="461" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-917a2dac-2c00-473b-9944-cd419d86fd57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="460" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c9c3b534-39af-47e3-b50c-10d171033d22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="459" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d205dc53-8df6-4b41-8678-5ddf6a5c580b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="457" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e7bd4237-2cf9-4e39-9d97-19ac84b9b599-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="456" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c0078f90-ca22-4e06-b49d-783fa36e2f19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="455" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c528f68a-2d30-4116-ba1d-3a53b760424a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="454" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c8aa4093-d66c-4994-87fc-2abbe7a22242-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="453" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d0f9a1c2-44b2-4f62-84a8-a79a5cffb2ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="452" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-523f9f47-43e9-4814-adb9-f0b349632dcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="451" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-77a2d008-dda2-4ce6-8818-bcd9012465c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="450" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-172e10bc-fff3-4dfc-b883-918c7ca9ac64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6193bf04-cdd0-402d-902c-fb5579126978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f358e952-0c3c-4087-a109-3fbba59bc86d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3e1e7a76-b340-4a8b-9b22-7841c2216af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1173d98d-7abd-40c4-9137-61441f5c6824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6e15bab9-33cc-4328-bcba-3d7cbdc0366c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1a85d35f-a1b9-4b42-ac31-d6eece1ab1e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="443" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-48e1e517-29f0-4862-85ba-6dd0ff73ec0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="442" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dbbbec74-aeb9-4282-851b-6d5cbe8e32fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="441" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-49578096-767a-45e5-ac42-a2f6c32af3a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="440" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c30d5f1a-2ece-448b-9227-dc4e75891e50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="439" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b560066b-b9dd-4390-ad97-26b6bd989fb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="438" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-99a0145b-4c7f-497f-97a8-8421f7aa731c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="437" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e89bf7fb-47d7-49da-9929-04fd72ad6f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="436" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-95022b66-c379-496d-84e6-d790ad01b8f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="435" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bcca1724-9a8c-41d9-b135-e18c195fce2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="434" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eef877a1-53fd-4fb7-8ecd-257f5df17d26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="433" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1329dd0f-3200-47cf-9cec-65c12f45ecff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="432" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f6b17c02-8687-483b-a5cb-36a5cac93de6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="431" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3ed6c6fd-b17b-4642-a944-a76862ba5187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="430" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-83cbbf08-ca15-47cf-9df2-5969e5d9cf9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="429" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9f45eb71-2e31-43f0-bb01-6de12381af45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1426' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="428" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-daf1db5c-2a99-4308-a908-a8ff9b973649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="427" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f4339735-9a97-4d8b-aea7-858e65d91e46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="426" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-02f23a0b-f75d-4123-a2f7-f8de80d73a68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41425']" priority="425" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41425'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41425' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41425'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9d478f79-08ce-47eb-b75f-626800ce3b37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="424" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): de waarde van @code/@codeSystem MOET ''1425' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-aea96aa9-4200-422b-92a9-5719905d0969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="423" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-435c8dce-6b8c-433b-9c2a-643cf27aff03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="422" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hand_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f3e478cf-8a3c-499e-ba73-490fb2917f40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="420" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-744d44bb-9305-4075-bf44-5c3eead03572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="419" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fdd64f4e-f573-438b-b762-4cbf674c36c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="417" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ec18f7e6-c46a-49e3-af83-323dabb1992b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="416" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-14d94f9b-9c1b-47bd-8358-0e70365c809a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="415" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1e46c6a0-23de-4fbe-a997-7d48981dfad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="414" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8d520b71-9580-4f59-8603-dbb18d56924a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="413" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-36d01296-3611-4339-b6ce-ed4aa7efc0ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="412" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-267e9afb-747e-4410-a75f-7bd66ab1a6ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="411" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-08cce2b1-bde5-4186-a96b-5669efa4f1f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="409" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f2cafd5f-65b3-4c55-a6e1-e91a020b8896-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="408" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-447a8dc6-ba79-4717-a8ff-124e532322da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="407" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-edf74ed8-d485-461e-829b-cd6eed0bbd9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="406" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-601145d7-8088-4575-92ea-7d81eaee6b34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="405" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-65a838fc-3cba-403e-9417-6918030c188f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="404" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-594cfe91-7694-4808-b63f-b5afe45b7341-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="403" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-956fe4e8-c33d-4212-8945-c0e38e1fd366-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="402" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fe8c6e81-6a8e-44ce-97d7-51f6288c7d1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="401" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-19b7b8a5-60f7-432c-9f08-5684164c044f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="400" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-faca81d5-e8ea-40ec-be69-b873429175d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="399" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c1d938f4-ca05-4793-8722-fff27bb52aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="398" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0bc91680-11e1-44d0-80bb-cce85ecad973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="397" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5d9ff1f1-07d8-4f7d-b561-0872eb26f8f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="396" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-23fa1d70-1c37-4b45-b8b0-072ace575351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="395" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ee8be672-d659-4873-ab60-c1dc44eafb3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="394" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d8e227cc-0d11-4744-8393-b200c217b106-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="393" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-298904ed-6141-4561-a5b1-5903cf110148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="392" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-127ae4cb-f90d-40ed-80e8-e2533f9cea17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="391" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9975d5d2-506d-48f6-bb0c-0f1b6702f848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="390" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f8ca0569-04b1-48db-b062-398e65b59537-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="389" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eb92760c-cd22-4ca9-a374-c96076c4a595-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="388" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8e9efad3-ab63-4b8f-a7c6-ca17b0f60fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="387" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5bd7681f-901d-4989-9d36-842ed18b0048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="386" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-13ee262b-36dd-4e67-84ba-06c658047bf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="385" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dee398b7-ba48-41bd-bdd8-da28fa1867b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="384" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1da5d2b1-83ec-411b-8cc2-50b94b381cb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="383" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb278854-d6d7-4ad0-9a98-4e4c0a0a8a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="382" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-513102f7-96b5-4cb4-978e-52f2b7f67f84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="381" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0dff6c14-971c-40e2-9595-ba9ba5a1090c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1425' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="380" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2884dca4-1c92-4b45-9922-a471ee646a43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="378" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c3012eac-ebdd-464f-b954-a691a2997f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="377" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-29bee50d-79a9-48e7-9cd7-dfcdd3773300-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="376" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-45090187-2c27-4180-b8b8-da4779a5a9eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="375" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-00b51258-a04e-4d7f-b2fa-16f512125b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="374" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1282e564-8489-416c-bc88-e40636bc313a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="373" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0e2aa54f-9920-492c-8bf6-90e1c31c7588-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="372" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5cd6dc01-c2ff-480f-bf15-0827056d391e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="371" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-944279e1-ee9c-4c2f-8bad-3af6afa1a189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="370" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7ecb4710-c6b7-4089-82ff-a2ed4c56a8f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="369" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c67b9028-ffed-4513-87f9-640df1d3022c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="367" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-05366337-5954-4382-bc6d-8da61dd7209e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="366" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e78b723f-d36d-4149-91a3-583fb4b0cf7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="365" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3034929f-02f7-49b9-9d67-022e299f727b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="364" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-06763c0c-66f9-467e-a3db-b378cd9b099a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="363" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a861f25f-9d9e-42d6-b6a1-e7e487fc9bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="362" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4bdd8fee-19f7-411f-891d-bea933754bee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="361" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-db6898a9-de28-448d-b096-3aefbf527355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="360" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-477ea72d-e998-4192-bbb2-92498fb3282e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c67f6e6a-1af2-49df-bcbd-6fab4480855e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dde4b39d-82b2-4d63-8d5e-1bf62e56fe78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0bf5c2eb-8310-4d03-a0a3-5231afd338e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-660f63a9-75fa-4cf5-805b-2d9751a59c2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1ee338a5-5819-49f1-9e25-814313b3c3da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a15ec754-9c94-456d-80b5-c2d4383d853d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2ab87174-0110-40fd-86f0-5cba5d42da42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6c6fdb1f-7814-4074-9ecf-781e961e7cff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="351" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-df960524-4b64-4a8c-9f0c-01b8cacbf1fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="350" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ab91ddf9-a34e-46bb-8ba1-f13e63520d81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="349" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-145b3d16-773b-4e5e-93fc-66becfdf2531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="348" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fbdfb9fc-3265-4c81-af25-a9824faa0f3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="347" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6e892b29-16cb-432e-93c3-3e72a1a06f95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="346" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f94af02e-e497-44ed-929b-d09521b0de89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="345" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-be0ec76f-ea4f-49a0-9f11-62961112d4cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="344" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-89be1e3b-6101-4069-809c-35de7efa7562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="343" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d3da7ba4-5e91-47cb-9059-33800b489af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="342" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-29a095af-b3f9-466a-bd50-5484366c1ad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="341" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5fa57ce6-f033-40bc-a287-4fb9019c33bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="340" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5004eff3-d60a-467c-a41a-e441bbcd230b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="339" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-576f8a2b-ec9b-4623-a53a-3afce73b010a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G027' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="338" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0e82bd73-bd6c-467e-91cb-3ddd0323e8be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="337" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e89ec02d-7705-4d15-b6b9-1b9dd2588aea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="336" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:component|hl7:component|hl7:component|hl7:component)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): keuze (hl7:component of hl7:component of hl7:component of hl7:component) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-34a9809f-4b11-4d0b-8c3c-b492c0656b30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="335" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): de waarde van @code/@codeSystem MOET ''G028' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d9178d26-caee-40ef-8490-f2b37fad9292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="334" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster25): element hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb3e4228-fa2e-44fc-8c13-a691f2c621bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="333" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-86926b37-6968-42e2-9b1a-9f2649337629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="332" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f86501cc-50ec-424d-95cb-ea7ed5a41e48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40221']" priority="331" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40221'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40221' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40221'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4e97d232-6567-43cf-93e0-3738ab918214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="330" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): de waarde van @code/@codeSystem MOET ''221' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-92e35475-4f41-4eee-9912-b6cfcf8fbdb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="329" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0242_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0242_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): de waarde van @code MOET worden gekozen uit waardenlijst W0242_HL7 W0242 Bijzonderheden onderste extremiteiten (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0242_HL7 W0242 Bijzonderheden onderste extremiteiten (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3adde8df-76d7-492f-8b98-04c5d11f99c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="328" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_onderste_extremiteiten): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a3699c0d-914c-4a50-83c7-6bd12b298c2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="326" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-49c9aea2-483f-4cb2-96d5-3ea411d0a5c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="325" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-505d13ee-61f4-4d0f-921b-246f09cba920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="323" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ecb01f24-5b1b-4110-a20b-7877d5bd3746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="322" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-12f09c9b-a594-4475-bf54-dafd1e268597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="321" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-66687995-fea6-42e0-aa36-4182320b3ccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="320" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2d1f76be-824d-415b-bde8-13c67e4161c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="319" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d4c07886-6d06-4f80-99bb-175c0c7b19fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="318" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a5d01684-42a5-4462-a21e-42a7da7a8596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="317" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-18ac593d-1803-4cfb-8a0d-6d1d14e56c3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="315" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0d48d2a0-ef25-4ef1-9fc8-df44b8aaeeb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="314" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-302f2ebd-8733-474c-96e7-ff2af2d3924d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="313" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-51e675a8-7364-4ca3-a800-b63a8c6e1744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="312" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-18a9f2ef-9c49-4557-9fbd-03e3b217e050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="311" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fb7cb5b2-dfe3-4649-9991-803284ce5da8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="310" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6a52a3aa-bfe8-4fa0-9768-baa42a7a6448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="309" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-86f6d3e3-494b-4d6b-b34e-b4a181a669ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="308" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b063fb3e-ba33-4975-bab2-5ab5966fc334-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="307" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-62c4e6e3-6412-40b7-bfef-b50d499d1ba6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="306" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dbef4ee1-b8e2-4feb-a813-b81ba9cd148e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="305" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fbaa5b12-6864-4933-b972-824ace60328f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="304" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-09655581-91e2-45b7-a3c2-8e4440bfe169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="303" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1d1e7b2d-51f9-4fd8-86cc-9e4112f4ae04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="302" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e6fb09e4-4959-4393-a422-5b0f91d99d9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="301" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eae913be-9b45-43d4-a29a-b22477d18ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="300" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6a4f46d0-2f3c-4f01-9854-251f0cab60a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="299" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f3a66a6c-d23d-44f6-b1ee-18d29141bdc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="298" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7732c85c-8f6a-4f91-a4bd-a39762221bad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="297" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e6d58d48-02b6-4de9-8a36-509afa8c1346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="296" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9696cc82-a2a4-4680-a035-9e625eac0635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="295" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b40e915b-5a82-4077-a20b-0aa17747f138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="294" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d644fa5d-cefa-4d14-92a9-7ae61fd81073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="293" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-36118e41-775c-473d-a33b-c1059b773703-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="292" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2485c6cd-1666-4d7a-8689-da8778b7d099-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="291" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2b6e1ad8-9b24-434f-b8f3-b0ec242f212d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="290" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a938f8d7-c6bd-43a4-afaa-595c31c60248-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="289" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f4378497-1bd5-4cab-8d21-7da1a508e88d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="288" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-aeb9df75-609d-419a-b694-a0598c5817a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="287" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cc18799d-8254-44e0-9497-772f79fdfac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='221' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="286" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-288e3379-4610-4f34-a657-959fa8b467f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="285" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-74b33398-908c-4a37-a770-0895960f8737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="284" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d2624e3e-9915-4e24-9609-dc715b091208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40804']" priority="283" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40804'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40804' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40804'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1481322c-f7a6-4715-b885-a4c1ee360287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="282" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): de waarde van @code/@codeSystem MOET ''804' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0696e548-3775-475b-b3e6-618798df4bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="281" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beenlengteverschil): value MOET eenheid 'mm' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b124ae6f-081c-4db8-bf37-fd11193ae88f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="279" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fde84eb8-6389-4c88-925d-5e5d752d09b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="278" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2e60e79c-13a7-4620-98a8-0ce23e887970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="277" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-55e88171-4b96-46ff-b212-12976a3df261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="276" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-187a2b4d-c149-4022-bdc2-0e8863ec12e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="275" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e95a1c3f-cef5-493a-83be-966f7582ed3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="274" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1927375c-b6d5-484d-9fb2-69a9fc506df5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="273" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6b7c36b5-2a6a-46a8-9f15-4b45ae1f60c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="272" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e050ddbf-22d9-469c-90a9-e16730ca1637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="271" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-992f8b34-229f-4ac6-97ce-9d08b9bb3d1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="270" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-739bb47d-0609-48c2-8dcb-df5628ec2c42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="268" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e2521548-e4db-4f7c-88ad-fc007b6dc27f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="267" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fda380ba-0d28-4a87-a890-476f947e6cf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="266" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f4f071f3-6841-4fdc-9315-0a707f66e01e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="265" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-eb401be0-e21b-453c-893a-2c5dfead15b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="264" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-df40a741-2e62-48ed-95b0-0c80768ca5b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="263" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b03e763e-0d81-4bbe-bcda-da4d119f0ed0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="262" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-96b5f8c0-bfd2-4ac4-9c0a-f0241cbc2d41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="261" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a1648ff6-983e-45e5-b744-dbea0b114651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="260" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ec9604e0-7d2b-43cc-98ab-e0d2d73bcec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="259" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e4a3976f-3c8f-4af2-83aa-b73c81841f29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="258" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1d9c249c-2606-4fa4-a4bb-076032c8bb9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="257" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9efbc91c-6e0b-459a-a206-81a762cfc0b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="256" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7dc28866-a08e-44b2-9544-34d9a7a5ceb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="255" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7ab7e2f3-a377-4f6a-a617-9aab7bc6799b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="254" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cb8f5623-ddde-47ea-8967-faa1674294a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="253" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3663ba80-e3b7-4c96-897f-db8681b96d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="252" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bd20017a-ad97-44ae-987a-e1af27d2b211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="251" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c396d1f9-931d-4d99-8445-0da5e80a8782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="250" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-83b4aa8c-3692-403b-b685-5b1d72ca125e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="249" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e85e29f9-f162-497b-a1f9-a6f613ff055d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="248" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5dbaa15b-f22f-497f-a793-55c73dc08221-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="247" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ed8658a5-ac77-4198-ab05-7f849834c7ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="246" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fce8d5f9-9378-453f-a48d-b52223d38115-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="245" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5fb931eb-2f74-40f1-839c-2587ea06b5d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="244" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c5128fe9-d4b1-4a82-bf8f-4cc95d67e79d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="243" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0ab1308b-4e76-4892-8999-13c8830a40fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="242" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5773a335-a937-4217-8119-6bab80175bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="241" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0a6b2b58-d11c-4ac3-b7d4-906de02978b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="240" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-13dd72eb-871d-4986-b109-c998818f01dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='804' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="239" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-35bd491a-56ae-4a76-b55b-2ec555b3a5e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="238" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-174f287d-1b9f-40de-8ee2-1735f4835b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="237" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bf7f9b20-4d55-4d33-95d1-28b55f2286c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40223']" priority="236" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40223'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40223' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40223'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-98424e78-4f8b-41c8-a089-feb64c4594af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="235" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): de waarde van @code/@codeSystem MOET ''223' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-df6b707d-2a12-4f99-abf7-4a5121d160c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="234" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0244_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0244_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0244_HL7 W0244 Bijzonderheden voeten (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0244_HL7 W0244 Bijzonderheden voeten (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb45c7fc-69c5-445c-84c5-390999a97f03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f1fe0d49-69e1-431e-bdb3-98fd8b17d714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="231" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ebbf9613-c07d-4dd7-8186-4ff9297e44db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="230" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e516fffe-c4f8-419a-9cfe-f8823b340b22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="228" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6d0c1576-58dc-4785-b559-c3163aaede76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="227" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d110d098-54ff-4953-8161-76434c92fca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="226" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-084e8f41-98df-4120-ba2e-36d67fd70b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="225" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d2586fc4-62f4-4db5-9f25-608fc508d4fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="224" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bc996b4a-414d-4b3d-9f3e-89abdffe3755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="223" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fbf8c846-85b3-4049-9648-1172648037e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="222" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-254d983b-164e-43fa-90fb-907d80b0869d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="220" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-214ffff9-490b-4226-90ea-b0cc1899904b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="219" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a47c0cab-ce9e-45f2-89b3-fbe56ea72a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="218" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-40f1d1e8-3dd8-4485-be6a-934d6c068a14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="217" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cf4b243b-f63f-4c21-a36c-694c432a872b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="216" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-55e998b1-521d-4163-85a6-c5ce40b1c8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="215" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c4aef7fb-20ed-4737-9648-6f93bfc54377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="214" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e6d07ad6-83d4-46f0-af53-7b349ac51508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="213" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8aa3b003-88c4-4a40-891c-084e18334810-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-53e8433f-7146-4bd0-8524-1a30943aaf59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-68416279-f786-4a0d-81c6-9aa3fb7f2a6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6ce829f8-2411-4ab6-8a31-d7f1e5165016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-268f04ea-60eb-41ef-88db-391f7c8b6b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="208" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-95440f9c-3e55-4e14-bfd1-2d00204fd2ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="207" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6c7b3948-cca3-43e9-8b6d-a59743d7a528-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="206" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b1f33435-d33a-4747-aba1-d4d9e723c48e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="205" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a3fa7a6b-6859-4a67-9934-3f9a9632fa53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="204" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-80ceff77-942c-4c84-a267-061dfa699527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="203" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4c466969-2f64-4b97-a617-53bd8ee66629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="202" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-30e2011e-8b19-4d7c-9c03-b4f3f13e3daf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="201" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-dd24d6a0-f3f7-4005-979d-2a15f72b77db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="200" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f830035a-0687-45b4-91e2-1327397b5773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="199" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6fa0d99d-7826-4311-83d7-156993b18349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="198" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c290b5e7-e43a-464d-8b17-d2d6d502c057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="197" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-66f37fdc-0d21-4ebe-b5ae-d74c3dffdb7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="196" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1aacfe38-2e4c-4a07-9cb0-4928dbea975e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="195" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-43f6643f-7a2a-43e9-a841-c8954b9f04d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="194" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c1097599-291b-4046-bdb9-481951947d7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="193" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c6ded1e1-81bc-4619-afb2-e1907612956a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="192" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f3064368-e2fe-4294-8f64-2a7a99c00c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='223' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="191" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ccb9676d-5296-469b-ae5a-29a7e0717643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="190" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f8afec6b-f559-492e-85c7-c031b328a40e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="189" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c04984d4-0014-430a-8cd9-26ceaf84297c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40805']" priority="188" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40805'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40805' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40805'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-24211ba8-b043-4fa7-8315-41d0ad0e66b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="187" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): de waarde van @code/@codeSystem MOET ''805' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e5c67353-c628-4f11-9511-7b77623b8643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="186" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0244_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0244_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): de waarde van @code MOET worden gekozen uit waardenlijst W0244_HL7 W0244 Bijzonderheden voeten (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0244_HL7 W0244 Bijzonderheden voeten (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2ab2343b-abde-4819-bc51-b102a83cc498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="185" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_voet_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-563177d2-fe36-4c05-b2c2-491371a21c4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="183" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5083a45b-f053-4e37-8318-d4d03163fa6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="182" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8fe660b9-c93a-45e0-9ab5-4d28500a7700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="180" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cdcc1cbc-9756-461e-aedf-729080e4307b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="179" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7ab8073e-37ba-459d-84e4-070495b5a9dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="178" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bb626beb-a159-4616-a7fb-ccb3aa1e2dda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="177" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9edb9dc2-945e-471e-ba82-530ec236e1ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="176" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-18aa536c-7c29-448b-9e1c-436d79322ce2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="175" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ba4df250-caaf-4e80-ac68-fe0c75bcd87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="174" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bce794d8-7887-4f23-81bb-0751adb6fa5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="172" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9233dfc5-3816-457a-9707-4b9dab57e902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="171" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-6d6f7971-cd0b-49d3-a007-119943047cda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="170" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ceec63a1-e91d-460a-87fa-5ae07ead9afd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="169" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1bec3b01-0da3-4ab7-a841-379605e678e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="168" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7f76afea-03cc-416e-83a2-3f46117fb747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="167" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0eb94aad-3087-4523-85e6-18d191dc3716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="166" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-540c3ee3-c9e3-4e64-be9d-dcd668cf2275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="165" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-668cb3be-5d57-4af2-beec-e57af40ed50a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="164" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ba51682c-bc8f-4df7-96c6-5d8288ec3238-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="163" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-79a7508f-7ac8-4b48-8af8-13610f224fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="162" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a3edb1cd-346a-42c5-b6a8-1b187b441443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="161" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4a02fbf7-648c-4839-9563-8eda9dd77f5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="160" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4ecf3e3d-39b9-4911-85b3-4470091ac34e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="159" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2d5a8f8d-3622-4670-abec-e95bfa6d4280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="158" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f0e40833-2db8-4080-8593-d3d36d96db6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="157" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-bdfd4923-d6a8-4026-bacb-a8de41bf8262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="156" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3d6968b0-f5bf-4c66-b28b-cf004915f59d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="155" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-63538e8c-90d0-4774-96f8-f83b114ebb22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="154" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-0a60ff31-c540-4217-9cc6-796af2ea2e21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="153" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fb95a15b-7791-477b-8228-b517d0d75d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="152" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e9b27963-73b7-4e72-a742-9b9548c055f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="151" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ce75dadf-2cf1-4bef-9f85-a86319176a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="150" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-54a30767-792a-48bf-a41b-640c7ba172fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="149" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-db2b40a5-63c1-455f-a74e-aef46864cc47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="148" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-8a4d9f54-3219-4b71-b70d-fbe0aeb7e666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="147" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b854223d-d6d4-448a-ab93-01cc864e0cf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="146" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-fef5368d-492d-4e63-baae-556e24d7c152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="145" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-413dcead-bea3-40b4-b651-02d4ce6b8d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="144" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-584548c1-1212-4b09-887c-2883b78ccecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='805' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="143" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-4756d3c9-4741-4231-8afc-888a226b1dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="141" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1db9f292-b478-4428-85ee-390a2ef5931c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="140" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f1e5a807-b6cc-430f-b9d2-92593355127b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="139" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-73f71180-8c91-4f57-a87a-9d35d98301f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="138" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3b4d159e-c78c-4462-be2b-db7c24423a57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="137" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-296040a4-0a07-4e23-89f2-3952c9f45e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7be53ee4-830a-4df7-9e29-785938ff5330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-37abc2db-bc63-4f7d-9944-0855bc307c01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="134" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-da1889c0-c43c-4025-bd50-b682fc83ad85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="133" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3d7a73cb-3801-447e-9fb3-a37e16507404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-ef89e0cd-e7cf-4e37-9343-4335942b0804-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d2893897-087c-43ae-bfa6-56f1cdc02d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-3c1bb83c-4ebe-4250-a6a7-69ae9bffcf40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b929a785-0ff6-479b-b33f-04e342eb931e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-072ab7b8-dd58-4326-b072-e704aed74952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a5e0b5e8-fdc7-4923-9c58-564b3567daed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-5a705d39-1bc0-4907-a034-2fdbb5e81db3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-81d54a71-7aa6-4286-ab90-717bcab5a00f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-84ac33f6-6fcf-4227-8209-aa10ffce97ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a7f028d9-6dcb-412d-b134-3899ab9527d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c68ddd1c-6467-4911-9c53-bd82355061d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-7f914279-8f9e-4b1c-aa9f-51d7e5adf510-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-63900c7e-c8c1-43dc-8d3e-ae26153e9920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-9e088fb1-97b4-47fa-8cd5-d29e1b7c9542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-1bf1cedd-f9d7-4769-8e22-4b2f88e5ed09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-f7ebd1f1-472f-4304-9973-aaecce086454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-2328f622-58a0-431a-a485-d0a34ca6848c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c52ffda0-38aa-499d-a72a-65bc62e2779f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c70dbef4-716a-4a6e-bd73-87e552b0e414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M73">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-c1c5c1df-8afa-41fa-aade-eb3a9127508a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-10afd937-fdcb-4515-9fd2-641bbf1be10e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d86e7535-925b-49c4-b5e8-7ef0480fb177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b8797f76-0238-4d0b-874a-d1aa824b7b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-e479a462-c25d-49f1-a212-f43260149ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-a9927a01-d64d-4cc3-b591-bbd69e3e4d15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-cc977e44-909a-4e6f-b283-a712f638768c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-11bee37f-f9e7-4657-96c6-43c87b1c6cdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="104" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-b9394f0a-3568-4171-8e99-c365a2dca21b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="103" mode="M73">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-390a6e0d-f24b-4eb1-8afc-55bd93dbd9fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M73">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11025.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>

	<!--RULE tmp-d9213535-cde8-4de7-9e2f-6f8d46361bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11025']/hl7:component[hl7:groupCluster[hl7:code[@code='G028' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M73">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M73"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M73"/>
   <axsl:template match="@*|node()" priority="-2" mode="M73">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M73"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M73"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11026Rubriek 26 Genitalia/puberteitsontwikkeling-->


	<!--RULE tmp-7bdbeb52-0987-4887-bc1e-4c164df98969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']" priority="863" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): element hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4304af37-5b29-431e-a611-e34cb0a9ef65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']" priority="862" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11026'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11026' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11026'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5fa33596-fff9-452d-b47a-668aee2b9d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:code" priority="861" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R026' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster26): de waarde van @code/@codeSystem MOET ''R026' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R026' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0d58cdde-109a-472e-8079-2a213961743a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="860" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bf1c090e-6bf8-4061-be23-4a9f2fd7ec65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="859" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-deaab217-0fef-4f6b-b3e1-6cd20a5ed665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40225']" priority="858" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40225'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40225' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40225'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cbd029bd-0194-4c56-8b0b-b90bdf65787f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="857" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Genitaliapuberteitsontwikkeling_onderzocht): de waarde van @code/@codeSystem MOET ''225' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-abfea23b-adfb-4cb3-9f0f-077170a361bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="856" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6750005a-c495-4d23-98f0-17090625a276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="854" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-607d186f-a123-4697-8489-36504418251e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="853" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e645b175-c85e-4b9f-beaa-8eb6881033f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="852" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73299ff7-0ba3-4089-98e9-1f39bf85f360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="851" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e96032ba-5d1e-457b-a455-56b299641e70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="850" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6db7343a-ea9c-4035-97d1-21569558c8de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="849" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e531eadd-bf9c-4ce4-9e14-ffcbca03efac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="848" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3ad0e20e-806f-41af-9a58-848d4647de32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="847" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c9f8b08f-6f72-40e2-97b8-2aacf539e5f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="846" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cdc09224-ab61-4398-ad67-ba05dfa3d28c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="845" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-959435d4-ce5e-489d-ae40-d1fb2388bb44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="843" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c9dfd769-7452-4c01-a972-7e7e0c4d72f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="842" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d15e5fab-5d1c-48c4-9eb6-bc060f196b7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="841" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8dbb0cea-793d-4c49-b304-f89a8c458b6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="840" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-537d9ee9-de1f-4a83-9417-112d30f8a3b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="839" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e4f7cfdc-acf5-40a0-be65-e39769684a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="838" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4c010984-ae8a-4bc6-b070-fa10377f0d6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="837" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-05c17d7a-d91b-49d6-8016-3b208f2b1901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="836" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-18dfb2fb-415f-46ca-9096-7d4f40bf8b3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="835" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dc155c38-6772-4857-94dc-992bf5d52aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="834" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-35e3fb7d-f46d-495a-8ea8-031e843858b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="833" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-243f11dc-c410-4ebe-a6eb-e06811e43960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="832" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-930cb0bb-f871-4410-9b2f-cd445dcd611a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="831" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a79d0796-cc97-42c8-abed-85a8ccf6d702-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="830" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-668be58f-01e3-4dfa-a107-aaf98e712fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="829" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c1f16ddb-1201-49f1-ab3d-4cd0634c3bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="828" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ab0b4691-d34a-4339-8bbb-33e3522c5279-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="827" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9afeaf2d-8b32-4cd4-a83a-cc6bec435f64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="826" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-eb78e27a-3802-4dbc-8a3b-b5808773b60c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="825" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6f6f83ec-3019-4cf1-88f9-7f33e2d860c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="824" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7d4b132e-bdd1-4d45-b165-5104ce1d983b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="823" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-27fb0958-027b-4be1-b30e-e37ced0ca209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="822" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d0527cff-7d5a-40e2-9137-c15f376bc027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="821" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c39f5f25-3f30-41cd-aa00-8852e5ec0dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="820" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-90871bca-d44b-4873-a705-28db14d0a7ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="819" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df801968-84d3-40f6-a289-03ed335e4a7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="818" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f00adb4c-838a-46cc-9217-f55a6b856aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="817" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-31d2c129-eec2-4ea6-8589-f886bc4586a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="816" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c558bae6-3a72-4ce3-99c6-2ce5e60dcd92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="815" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4bcf807c-6a6d-42e4-b58b-3b726306d101-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='225' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="814" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8a0b2115-93c2-4255-ade7-08b6355f8206-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="813" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1a17c3a9-3b93-414d-ad6d-20c462c2819f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="812" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0d53a3d-4ce2-4939-8928-1aded09c9c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40228']" priority="811" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40228'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40228' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40228'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4f27f66b-8a9f-4d59-8c26-d26112f19463-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="810" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_genitaliapuberteitsontwikkeling): de waarde van @code/@codeSystem MOET ''228' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ea12ade0-f2a3-4d0e-9d6e-239324c78b24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="809" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0c8486e3-ec5a-439c-9010-7a7c0b05c676-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="807" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-96df0375-f748-49ca-8765-0025be9eb1fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="806" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-280d545c-813e-4e1d-8c7a-7b519b2bce25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="805" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-847e788c-e74b-43c7-92ab-6304dafbfcc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="804" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-344caa19-2ee2-43df-b8fe-2d0e9883ced0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="803" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d4f36e9c-25e8-4aa8-a1ff-8fa9fbedb142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="802" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4e80d816-3c78-4f72-9369-fe4f1a83538e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="801" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a05945a2-a95c-4f7d-b0c0-571f78ec9714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="800" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6e1b213e-8dce-477d-9a46-6b9c9a867b9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="799" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-143dec4a-895b-4fe8-8d8d-a1545254aee1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="798" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-686efd37-90e2-486a-bb47-73b23e1ea2bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="796" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-56edd7db-3aca-4524-8095-27fbf663681d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="795" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a03de76c-8f2a-4ee4-ad70-65ddd9413925-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="794" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3e1f2ee7-43b0-4cdd-a43a-6b1e6fabaf23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="793" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-03d126c1-28da-4366-b540-1d2ab98a45ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="792" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f300b17c-0059-4647-a323-2fff9a1f06f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="791" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-53e102e9-bc34-4577-a734-f8b976e8bbc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="790" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9515650f-a3c0-434e-8b81-a71d147d5e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="789" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9c5e5009-ba1b-4499-b8a6-3d48dc677e6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="788" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-75a0fd6a-38bb-4040-9416-7e8de4d80aa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="787" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1efe390c-1e75-4fdc-ae9f-d44e5a4b9749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="786" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0865363-98a5-4248-b343-a8bf45ebb0f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="785" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3ec668fe-d3cd-4983-be41-5d1c2794c275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="784" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d785463b-4141-4536-b7cf-a8cae54ad7dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="783" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6a5589d2-500d-4951-aa74-f5cad58b610e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="782" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5aa6b558-32e8-4b57-9336-59317cf8d5ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="781" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-939ccb9a-7273-42a4-b554-14730eb325df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="780" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-792b7a8c-f455-4c5e-989f-a7e5ec927b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="779" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-13c616ee-839a-4d43-aaf2-97b73bfb0331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="778" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b89bdde5-6597-42df-b7f3-f12f9cec6c4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="777" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e39bb007-0f23-4b91-afd0-82b7015fe680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="776" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ab0371fe-37dd-481f-94b8-b601d78cc429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="775" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7a818e14-f7bd-4b62-8aa1-50fb8390fe98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="774" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9a71a699-5c3f-43d5-b0a8-def6e0fab23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="773" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-76c92ce7-5e7d-48ba-839b-08950fce5c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="772" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b6ceddb4-4114-42f2-96ab-1ac13cc7c5b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="771" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d82b2cf8-6936-487e-8abc-fc335f2875b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="770" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-70e18b07-d28a-4278-a1cc-e8fc5e089ad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="769" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2cf3aa06-1dff-4351-9e54-6659b04a1d63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="768" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7de1710a-f430-444d-aeec-60cb42381fef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="767" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-93b31c0a-2624-4d18-a52b-b19525964949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="766" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-81f93c70-4c81-4e85-9381-684f616afd73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="765" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-be3aac76-fb99-49ea-a48c-c25d8955a89a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40230']" priority="764" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40230'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40230' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40230'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5bdd1112-4728-4ab5-a7fb-1435e0b5380c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="763" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): de waarde van @code/@codeSystem MOET ''230' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-201eee24-40ab-46d0-bc65-8eecc63645a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="762" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0247_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0247_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): de waarde van @code MOET worden gekozen uit waardenlijst W0247_HL7 W0247 Bijzonderheden vulva (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_vulva): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0247_HL7 W0247 Bijzonderheden vulva (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b9bcca1d-ce61-4bb8-aadc-505d87d32a29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="760" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-77b915fc-6f9c-4391-bca5-3a2c0622803b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="759" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f1b01ced-bc87-4723-b50b-49435efff76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="758" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2f97cb53-a76e-41d9-bd91-02c57abe9cdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="757" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-aec0789e-81e9-4397-90ba-d05ecc76eb95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="756" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-439c0e87-376a-4661-bed2-2f1c84cb79ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="755" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e1bd6f45-68b5-4054-88b7-f742ef6e6368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="754" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8abea42c-855d-4844-b3a6-639398d2d93b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="753" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-da0e1112-9e02-45c4-b5bc-d15eb8025ee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="752" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1efd2ad8-8d4b-4777-89a7-2fddbe362de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="751" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5c30aa28-ec5e-4cd4-85c1-fd1b8f831182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="749" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-98f40109-b208-4078-a4f0-499da3cef787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="748" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b43c1298-aa46-412f-a863-e02955d1e384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="747" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4ff3f409-5866-4a4d-95d0-4e5b8ad763dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="746" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-edb37443-123d-4256-ba05-3408731e62b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="745" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-08215a61-e0f8-469e-8d84-0a92d49469d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="744" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-88bab866-65e6-4a87-95be-2ecc826574a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="743" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-aad61055-d484-4d8f-8d04-0cd603c841a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="742" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ae2ff02a-ed72-4179-9db3-5b7d1edb5aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="741" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0a661229-2006-4c41-ab28-f2acfa806478-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="740" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-837edd91-28c6-4f06-9bc2-9f2be0e3b42b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="739" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-076f89d5-3a81-4c75-bcf9-05793eebaad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="738" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a4f5b659-aa1e-495e-927a-28c8f2efb22c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="737" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-40b7295a-272e-406f-8387-b6dff40ac385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="736" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-903d8c87-4c61-49a6-9368-538e64b3b5fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="735" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8fc49929-28a4-43c3-bca9-5dfae9633ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="734" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-53e50142-aedd-43e2-bbb1-1d71356b514e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="733" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e0089133-804f-4747-b1dd-e4be8a3f3e69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="732" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8451642c-4c84-4e1b-898d-817892765ae1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="731" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1e735e89-3abb-45c8-9da0-b601c2e6357a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="730" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e4d08d6b-5642-4f68-bc7c-313881b84400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="729" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8962d8ee-c243-4994-8c2e-efb319e32c6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="728" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3b196c93-c8fe-4d29-94e9-8d656b4fbb64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="727" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7db74e36-0a52-484c-a64d-84d6a171a7eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="726" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c476e96e-bdfe-4217-8b28-2efe0789d368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="725" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7cd56daf-7cff-4d01-86ae-4b4a65649ad0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="724" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a3787ad6-1313-40fd-9965-d27621cf7d27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="723" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-264a779a-3958-4f47-8897-f432b3be6221-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="722" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bafe213a-0c48-494b-ad75-3724674943f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="721" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-18318912-ebf8-42ca-b9cf-0ad03ad2b982-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="720" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ffc39e1d-2517-4090-b9ac-d4cf2f31e30d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="719" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2588bcf2-9146-4e54-a856-b6820643a820-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="718" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-091999a3-f099-43cf-8d1e-5382622513b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40317']" priority="717" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40317'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40317' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40317'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1476dca7-fefe-479e-a53c-cd7715cbc1d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="716" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): de waarde van @code/@codeSystem MOET ''317' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-14e0c7b0-0b39-4311-acad-f1772f6fd10d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="715" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0293_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0293_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): de waarde van @code MOET worden gekozen uit waardenlijst W0293_HL7 W0293 Borstontwikkeling (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0293_HL7 W0293 Borstontwikkeling (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-994b3b93-e750-4646-90c2-4ebae61ef094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="714" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): de waarde van @code MOET worden gekozen uit waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Borstontwikkeling_meisje): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-337fb00b-fa68-4b1a-8d4f-d970ba38ad8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="712" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-37a1afca-b379-45c2-b7f9-022467eb76d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="710" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ec37482a-bc43-4485-9a96-a392591fe8f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="709" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-208c20f1-94f3-4b36-accc-407096574892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="708" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4ba64619-d65e-470a-93cf-5fa38aa2a593-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="707" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1f22d64c-e0f0-41a8-80c1-f59449097f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="706" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dfab5d3d-bc9a-4538-8431-79193c5a602b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="705" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c92da36d-3d9a-46e1-81d7-c819225b2736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="704" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b7af300c-eb62-4f60-935b-79b22b928066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="703" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6a4a8392-8549-4bb8-9e69-e4e9a085db83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="701" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f3d5e9f4-e19c-420e-ba59-edc798acc3cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="700" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c6961f72-eea8-4029-898e-cae3d776428e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="699" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5ef73723-d1fa-494b-b834-44f6504fdc12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="698" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-476cc9fb-0162-41a7-b848-86ddc9b31544-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="697" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-39e2042f-b066-4f2e-a11b-1713dfb6e013-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="696" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-599f5e0a-31bd-4779-9363-22a30d7ce739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="695" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5f85a191-4c63-4c09-8a91-b38837e5917a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="694" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-784c95ad-957d-4cf2-8f82-f2d55e2599bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="693" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f055a0b5-bf33-44f7-9dd5-1ec63ea85f4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="692" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bb3c44de-fe32-4749-b1f0-0acbd7a2cbe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="691" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6e658b4f-0eb8-4772-99cb-66bfd5a25f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="690" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-59985991-9dbd-42cf-8b54-23b6f8bfc87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="689" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5d39e1e6-3f2a-4c59-8e14-f6ee06a9b44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="688" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-502ecbc9-28a5-40d0-89d1-567860db524a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="687" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0d142d5c-6b5e-4f70-b04f-3c2f4604a213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="686" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d5bb43a3-b051-4a5a-ba3f-fd441ba53236-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="685" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cf85b699-c438-4368-9208-b4b16279e5bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="684" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1b10e658-0560-4553-9f78-c4173953850d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="683" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c81de111-0700-414e-978f-9145e6b2d0e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="682" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1ad6896f-9930-411d-b9be-faa60740d7df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="681" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fa0b814b-cba4-48a9-b276-424776eed9a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="680" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e168702b-f6cf-4bd4-b1bd-415fc924b94d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="679" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6dc31368-4e9c-466a-b24b-5c20f6209898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="678" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a2641340-e6d1-453e-a900-4f1ecbf0c66d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="677" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b548e06e-e924-426b-b05e-8a0668bd8fbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="676" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e324554c-748e-4f4a-9b11-c35e0e87303b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="675" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-88193057-10e2-43f0-8d71-122a03dd1e43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="674" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c65933ca-a5f2-40c8-a1a1-a8b81dd77e21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="673" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4d62744d-db65-4ac1-8573-41b2ef783af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='317' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="672" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-35139a51-f36b-43df-b395-593edfab3984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="671" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c8ed60a3-1d9e-40d8-a1f0-0dd2aa3b0c89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="670" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-123d032c-90d7-4c2b-820c-0b9b8853a624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40825']" priority="669" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40825'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40825' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40825'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-16cfbbff-4666-4ce3-8d08-078e0df63dc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="668" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): de waarde van @code/@codeSystem MOET ''825' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b0098629-433b-4599-8e0f-793ed20709d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="667" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0292_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0292_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): de waarde van @code MOET worden gekozen uit waardenlijst W0292_HL7 W0292 Pubesbeharing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0292_HL7 W0292 Pubesbeharing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8e995813-4a04-4181-aaf6-fe8de701e740-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="666" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): de waarde van @code MOET worden gekozen uit waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_meisje): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fea84d20-4cf0-4190-ab1b-4d8a1ec16e52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="664" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc5a6c6d-0371-41f1-987b-4b931b8994e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="662" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c1c9b87f-d6e1-43ef-be4e-dcdaa58f9360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="661" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2c701f95-1046-4ccd-beb7-2efb23978aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="660" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-54204186-f54d-42a8-adc1-6adc272603b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="659" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-371080d3-c05b-47c5-9e54-ecd9b2943db3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="658" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b1f3dcd8-dcf5-4743-b19e-da67d765b762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="657" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1d18c21f-8b05-4a62-bf31-be8205c1239c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="656" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-62516d39-6a15-4873-8a13-77179feeee2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="655" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c90b0a4f-38b1-4d8e-894b-0e75524043f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="653" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7ca62f10-9c29-4a23-9de3-a635a8a61720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="652" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-61584177-77fa-4296-8e75-ab92d2252866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="651" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ede4793d-045a-4e13-8094-91d065712aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="650" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-55e1e101-38ee-4d1e-b333-ebbf77c289a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="649" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-10e179d8-017c-490e-82e6-6928938c083c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="648" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0a18344d-6f73-4420-8a3c-6bf9462481d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="647" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9b2a4b72-ff1c-47b6-b70b-b2c99e015291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="646" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a19997c8-d091-4f92-a3e7-1ffed19ae5e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="645" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3ab8e3d2-88c7-4198-8952-8602e8d87834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="644" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-097ef91b-af50-46de-8460-ca4481e3ba10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="643" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f8286be4-8c83-48ea-bba4-b12f85b41423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="642" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b76a6342-801f-49da-9438-4ad630b209a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="641" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-98b47f8f-b226-406f-bd25-70051f02df86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="640" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2e9a60c4-1fd7-420a-8edb-66a38f6ce793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3b1f654b-3cdf-4d08-9faf-49577a30ba55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bd1118d6-b66f-4d91-917c-567e6acd4a77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="637" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-01e07cb7-6f68-464f-a92e-74da27622ce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="636" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9c547643-702f-4ff5-9b77-12bac2a84d0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="635" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-392fde05-4203-44f1-b21e-a63d01e60361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="634" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-528b7402-3c15-41f0-b755-cedcb81ef04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="633" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-03b80340-2b61-4a76-84f6-b883099e74fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="632" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b4b88b3f-ac5c-4e99-b0b4-3b743834cb46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="631" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0bcbff88-c86e-40c6-819a-2eadfae1127f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="630" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7f6f1daa-785e-43db-9242-b0ff02f19c1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="629" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ac13c1da-ea35-4ab2-abf0-1a9c3ef6530d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="628" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-de3b18f0-06ec-466e-b9fc-1d5c0b0835f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="627" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-09ba4850-703b-4f68-a8bd-ddbf05c227d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="626" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-30c45911-2a3f-4a25-bcee-6ece0c2348ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="625" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-766a0596-6344-4f83-ae38-6b3d79db862e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='825' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="624" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3e84b9ff-2e8f-477c-9711-2acda9a035f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="623" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df52ac69-c0b4-4a86-90ce-33e44c59f457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="622" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-08208e13-77a4-469b-b216-3bd4e01c6714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40312']" priority="621" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40312'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40312' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40312'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2c7475c2-75d6-4194-8041-f947dabbc57c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="620" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Datum_menarche): de waarde van @code/@codeSystem MOET ''312' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cf91cb8a-d7f9-41df-95f1-204c0f75dccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="619" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b1f40f0a-e55d-4b84-a9e7-97621d586fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="617" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a6a0dec4-8330-4355-8f95-75b9647c0c06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="616" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-299edace-183a-428a-8e5c-40329e517697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="615" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8e7dd9b3-cf70-4127-9bf6-0816f8ae016d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="614" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5684941c-031d-4a72-be22-d7cf9af6ea2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="613" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f1585917-c1f4-4c8d-8e34-e6ce47a421e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="612" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ef62911d-c548-4bd7-99e6-00c789953870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="611" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7e3d47d5-a9de-46b0-bf03-e632caf06b9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="610" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-88aaa069-0206-49b3-9e7f-b7b58597a7a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="609" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-eaf9d272-d9f6-451f-b38e-2f26382ade1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="608" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8303bf42-528b-415f-b6a9-3cd7c115a121-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="606" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e27e3395-456a-4229-8900-7bad724363a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="605" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0e78eed4-7c7f-4f4c-ab43-0f933db8d662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="604" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-07213ef8-e021-4398-97fd-9f190d82dc15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="603" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-36a1b004-1eee-495d-9a95-c7fb82a4a608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="602" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9fa37ccb-e75e-42db-b6d5-cbc58b689e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="601" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a4d8770c-3bf5-4cd3-8c06-74b3973254be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="600" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73aba4f2-5e79-4b86-8128-a4b09b5a051b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="599" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d28846ab-78d3-4aaa-a9f0-815a311151a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="598" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-637635a0-db97-403b-a8a4-badc496f6d5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="597" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8694f4d0-c133-41e5-b145-9f25a068cc00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="596" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e7e5f75a-2a6c-42e7-b556-923339c30006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="595" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f6357c51-d6e2-421f-b266-ff0643dba78b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="594" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-65eaae90-281c-417e-9100-8db045c1562a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="593" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d2bf5ce2-8deb-4df4-9580-4c5c45500e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="592" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7494b771-f713-4f32-b837-5abad8616e8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="591" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-334610ab-39d5-4bef-81d3-cc1612e16cec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="590" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-64fcb58e-14ab-4e2d-8765-f636e4936341-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="589" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7b767034-0d9d-491b-aae1-248aaa2e32c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="588" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-49b4c5f9-8a0b-44e1-891a-fddb5336139f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="587" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0bfd336-228d-4b4f-bfe1-d590cf96f048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="586" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-402134fc-1f0f-4d6e-98ad-4414e93c319d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="585" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-21dfd10d-5026-45c0-b511-ed21379f8902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="584" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-867a3e1a-f0a4-48be-a4c8-3f034d0c40ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="583" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-84196b40-26de-4bb3-a2f2-a8aa472d51b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="582" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3ad160d8-4064-424c-97b7-dbdd860bc739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="581" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1d479090-1ee0-48c3-a27b-e84afcbaa7c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="580" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a9e8a529-47e3-4292-9cbd-a613d650b03b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="579" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c7132a8d-9a59-4965-992f-00fa7c9ef51a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="578" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0657eb55-1136-4113-bc4a-d421c20fc1c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='312' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="577" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0184a30c-421b-4df8-b42d-2624363ebb8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="576" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a40095d3-bd9e-40c1-8851-b087bfb713e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="575" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e1218421-b862-454e-98f0-2902a4d003fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40824']" priority="574" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40824'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40824' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40824'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0fe075a6-f25d-4360-814b-c59f6efcf0a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="573" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_menstruatie): de waarde van @code/@codeSystem MOET ''824' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3cd4ae97-f808-4f9a-8f27-5cd1d136e800-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="572" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df02877a-7241-4550-929a-3706fc34c11f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="570" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c4d32fac-7a06-41d0-bf19-18da8017f038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="569" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ad174f90-ae9f-47ba-ab41-c77ca65728b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="568" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2ed0ef28-6895-4780-95f2-71d9b66c9296-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="567" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-74109708-2ace-4710-be2d-dee8c9b7fc5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="566" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-45ffa816-c37f-4258-bfc3-a815b111d6cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="565" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-57456440-1a88-4880-90a6-c98091f09239-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="564" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a6b5360d-0af3-4b32-b569-52d23edc6ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="563" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-12d55c9c-6f8a-4699-9e0a-cc2bff9954b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="562" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b4509b95-8f3f-41cb-bbc8-2ac099974263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="561" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6563fe53-c00e-4bf8-9ab1-ff4a33e6b48b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="559" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-684fb364-997b-41d5-b774-bbb68436003f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="558" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8279bd52-e486-4a87-a32b-cbb66e86d6ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="557" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8156f1d1-c497-405d-b5d2-1dd638d7734a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="556" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6c928ac1-29d9-450f-a384-1b207261b9a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="555" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d57ae6c1-98ff-431d-878e-04d115228364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="554" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-01e98eb0-78c0-48d4-9e98-d0b3044192ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="553" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bed390c6-9c93-4b22-8ef6-1a434e532bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="552" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9ae62f05-0a63-407b-9b1a-b25ea55320d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="551" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0bb50dd0-07ba-495f-b988-9079c2dbe72d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="550" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e55febf7-3c11-45b4-b249-04066c13f36b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="549" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b50be373-e319-47f6-b3d7-e8dbe14882fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="548" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bdd75b3e-c415-4513-8549-9c84d78fe4e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="547" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-59594723-fa22-4eb8-86bf-d23306521947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="546" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9ef635ad-8e57-4d0c-8a15-56466a307aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e042b92f-2d74-4d8d-828c-c414c6ab4b42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a55030ec-3988-41fb-955a-73091bcd480b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="543" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2bb3f58e-7be5-4b8a-8e15-8594c70adf0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="542" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6cbfcfa6-10a6-4225-a1d9-2578296b7693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="541" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-da6d7de0-c6e7-4970-8021-2cd372caa0f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="540" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-68f47fe6-6aed-4a84-87b1-23dc9dacb944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="539" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f7fdb6bd-ef84-4678-8080-81998876cc82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="538" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a0488b1e-ada6-48cd-a577-517ca730d6c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="537" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-94648cde-835d-4853-a5dc-8a5580f152db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="536" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7d12b4a7-f319-43b9-a845-d11164205b4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="535" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5622dd9f-d537-4149-91af-f622782f31ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="534" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7cab53a0-6f91-436b-bd74-329fa47150a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="533" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-07b66547-2145-4a60-ad7c-5659aa4a14ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="532" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0a44ad94-6d86-48a1-b97c-ea9822202ad9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="531" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5d790687-af38-48f9-8a09-fe5b4d25dcf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='824' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="530" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-003aabca-8c72-4754-9f18-9f7c4c852f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="529" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9f270872-c9e1-4cd7-a324-94449ccd61be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="528" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f7766756-6cf4-4743-936e-7a0d6e5c8fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40232']" priority="527" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40232'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40232' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40232'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b6975d0b-736e-4b63-8574-3c6be33c8638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="526" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): de waarde van @code/@codeSystem MOET ''232' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ec9b0846-4202-454b-a05f-fae1cef168bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="525" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0248_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0248_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): de waarde van @code MOET worden gekozen uit waardenlijst W0248_HL7 W0248 Bijzonderheden penis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_penis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0248_HL7 W0248 Bijzonderheden penis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0847275f-acc9-4bec-b0b3-eeb79ed91e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="523" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-efbda1d9-323a-476c-ae76-745f981f2c39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="522" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7e902a96-2a40-4c89-bb2e-84a15d52c128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="521" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fa005b49-ac6a-403a-9405-4844436fca93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="520" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5df0d115-c977-4f3c-a952-c8e509fa3c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="519" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5db9c3ee-61b8-414c-8edf-bc92d045061d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="518" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b0eb5b3d-538b-47fa-ae85-9b2fa9ad8fb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="517" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c9ffa550-b804-4430-8883-12b5659225fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="516" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8c3a9059-779b-470a-b6c1-0a3e181836f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="515" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-92b9f5f8-3e25-487c-bd01-76c46da5f1fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="514" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-db051866-95f1-4797-8baf-076bb00249ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="512" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c751e144-9a96-4e9b-813a-bad1e997c157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="511" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d995b602-a665-4927-bd48-3be323c11a93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="510" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6162c0e2-4752-40ee-9603-f374d4de67bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="509" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a6b050eb-e386-4d4f-8c54-f64aabcdc717-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="508" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-eb34a090-f559-437b-92db-88444e1ecaf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="507" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-312e2e90-c579-4d99-a340-39dddd06da0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="506" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2765cd46-ef1c-4608-8dbf-0cb421502506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="505" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ae5c1fb5-31c0-48d2-a00c-4eff8d84e75e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="504" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-757dcf1c-a2ff-411b-a34b-5f8d65a95ba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="503" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5e3b9644-6518-4291-b791-cc6b48c87d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="502" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-af51d400-f07d-4516-a05a-85144661ebdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="501" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c3733a09-4700-493a-bf8d-7b997a194956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="500" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-95d7ff39-9014-4320-8345-01d271a0c645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="499" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-905e1b1b-33d3-4360-a5e9-495a770b737f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9c5ff24f-b92f-4e08-b99f-6a9c5265c194-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d9091f89-3bde-4077-8a10-a14cac623217-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="496" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5f17b979-9b7c-43d6-971b-509c5adf49a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="495" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5b32b094-a294-498e-8fa4-11e7f36da9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="494" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a73a3d78-f78e-482f-8545-f237e905325e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="493" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fecae598-aaee-4802-bcf7-fd01d9d877b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="492" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ca6a6b04-7bd1-486f-a3e2-e951026ba95d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="491" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-edb6c790-bf26-4f44-ba0d-b24b9834f636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="490" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-28a8c6eb-9268-420a-becb-6961cb4dd6c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="489" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e6a6b99f-455b-44bc-b2cc-b832d9225c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="488" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b43c206a-d08f-4627-8adf-ab9487e31733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="487" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-37a95abd-eb59-44bf-898a-68f3680167c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="486" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ded29146-169c-4266-8c1d-f769f74cdab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="485" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-37b009ad-3f5d-423c-abdf-0efea13d460e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="484" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5d6a5c1f-5d81-4069-968b-ac8ebb1d6680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="483" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ae3b54c6-5f11-4692-869f-c34d24d503dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="482" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2717ce56-4b17-4ed7-963b-71443ab2d2e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="481" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-beca0133-1b5e-446a-966b-897d41b452a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40806']" priority="480" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40806'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40806' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40806'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73ca8096-5616-406f-b977-906363ccc9e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="479" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): de waarde van @code/@codeSystem MOET ''806' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-60e2cf4a-4320-4d4b-9acc-d397aeee3b64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="478" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0248_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0248_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): de waarde van @code MOET worden gekozen uit waardenlijst W0248_HL7 W0248 Bijzonderheden penis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scrotale_testes): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0248_HL7 W0248 Bijzonderheden penis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b19d6daf-e96b-41a1-9d2c-d69c0382dd8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="476" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df894c05-7743-4951-94a7-dd9a007c8315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="475" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4c45be57-dd0c-41df-84fb-fad2a62ab46f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="474" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a04d01a5-ab21-4ca9-a363-f69b67e945df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="473" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ce6e2809-e819-43e1-80aa-c71520f97f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="472" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-928d788b-f6aa-4a0f-b4b4-30382a4a8c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="471" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-53137021-3e9e-48a1-8b6e-110c237d3c14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="470" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-39d834bc-5f06-48d4-8085-c4782a2ecf52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="469" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c96cdf0b-1335-4f6d-bcbc-de5502573118-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="468" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-292e70dc-ed6b-4081-8b64-d682fd99c000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="467" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ef9b8083-cf99-4f1f-926b-0df0dad89945-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="465" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ca7555a5-b4e5-4879-b5c3-b4184edad175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="464" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d5e227de-835c-47ce-9651-66351d6eb75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="463" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-efdd2f4d-514d-4ba6-925e-385a2a9345d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="462" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0674ca45-aba1-4171-a470-6c54dcc9c5d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="461" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c66c760b-0934-4c04-b139-26d422f2ae75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="460" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-08b659d7-882c-4e4b-b178-d33e220dbf56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="459" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ec979248-6b4f-4868-b55f-dbafaaa38063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="458" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d2eb4e16-95fc-4c0a-83b9-64fb0a16bb50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="457" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-791fe8e3-acfc-4a1b-9f96-202d94c97749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="456" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-53e7c38c-ecae-4b97-b726-90d62324f23e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="455" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-be49b2f6-1cb2-481a-9a6f-4bbb97350afb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="454" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-80d4a370-b8cb-4ef1-93ba-7cc2d19d6303-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="453" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a828308c-ed7f-418e-be8b-b4ef9093b104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="452" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-da57c7bd-ddc7-4b72-b91b-abd4d854d934-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ea17d712-b9d1-4241-9afb-9c6ce1f5282f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-acf16e9f-4c68-4cb1-acfd-6baaf2939309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="449" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fd93ca41-dd47-4a8c-a7ef-4c91434cf589-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="448" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-63e862f9-1e4b-45fb-969e-5f5274953d8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="447" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-acd78684-6e9b-4c64-b20a-a67c3cabb501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="446" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-978179c0-4cd1-44ad-966c-53a470a45d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="445" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-537605d7-f592-4824-abbf-1f16c844ff3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="444" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6ff1fdbc-e857-49b1-b96a-51255b0e7cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="443" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b73c829e-6481-4aec-8d96-181c2f4027e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="442" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-799055c5-80c2-4f18-9c58-055ac9bbbe86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="441" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-523ca4fb-c288-4032-9555-7a6af7de4200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="440" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e24aec0b-8ead-4f00-8088-d213e684f3c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="439" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3fd18bcf-90ad-4243-a1b0-9f237342cd1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="438" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fbd3fe10-9d66-4b38-92a2-bc7e871d6a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="437" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-75ec6e23-f18f-4351-83e4-bbd79304eda0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='806' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="436" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5aab378e-3337-43da-95a4-2b668e78b699-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="435" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-98e5a18a-5175-4ccf-9c54-5347e91be677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="434" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-93bc1294-9308-4529-9ae9-f3f8071186ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40422']" priority="433" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40422'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40422' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40422'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c484d92e-a4a5-499d-bef0-f7c9da65db94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="432" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): de waarde van @code/@codeSystem MOET ''422' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5d2bfa20-5542-4377-bcdf-43d873fa24dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="431" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0250_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0250_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0250_HL7 W0250 Bijzonderheden testis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0250_HL7 W0250 Bijzonderheden testis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e02990c3-f962-4c97-8da0-20a89eaf33cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="430" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c58401dd-7c6d-42fe-8b77-d77c50c15432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="428" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0f4a8426-9d02-4014-ae9b-f616e25109e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="427" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-97035f74-345d-4a95-b9d0-7e296d82a71e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="425" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ff45e262-598b-45d2-93f5-ebb7e7652f2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="424" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a63bf2e0-e21f-4222-ad87-972fc6aa4dd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="423" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ea029b5d-3d0d-46ab-9da8-f0139435317f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="422" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bfea40af-35bd-41b1-a232-9fea9dc33580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="421" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9369e2ed-6441-4988-823e-e728984eaef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="420" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2cac32c5-9fde-4230-8675-c2e8913ad455-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="419" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-142474f6-ac73-4667-8b69-bb05a716b99e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="417" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7a404e4c-384f-478c-9a78-7a0992620a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="416" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f5f72d92-152f-40d1-9c0c-8f0c2d93b47f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="415" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1aafbc0f-e275-4cbd-830b-46602107e790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="414" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-75fd7b45-15cb-4b85-99d5-78ea9d0d87f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="413" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-19136cc6-bd57-4efa-a501-12850675861e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="412" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3c2228f4-09bf-42c6-a904-198efbecd2cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="411" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f4774d67-fc51-4c81-9ad8-5bb9beda9d70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="410" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5bea420f-7b97-4997-9b02-4c47956ee557-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="409" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8f6b1d38-14ce-4959-9774-a1b013feffae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="408" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3815d491-30d0-4131-b44c-4a2fc799e7fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="407" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8490d20d-03ac-4c90-9df7-d5e506ec4844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="406" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-32741138-4f38-42ff-aaad-f247b5beddd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="405" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-17558d71-1278-4b85-9086-9a6f74606568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="404" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc191f84-dc39-4f46-877f-1661764a36b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="403" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1420a62f-c506-4a35-a713-372259f41176-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="402" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3b46c3ad-7c13-4448-aa75-bb4bd962b3a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="401" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-34ab488c-c8e6-40ab-871f-34f75b7885bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="400" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-01775f1c-b9cd-4de1-874e-80f50b101712-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="399" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-06b0dc7a-552e-45a6-a9b8-86a2068653a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="398" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3458aa40-5bab-43a6-bf9b-537a770bc3a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="397" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2eb33e41-dea2-4ed7-a4bf-2f977f52a764-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="396" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-60f6c949-687a-4de0-a801-be5252e3a3f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="395" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-938095f7-9f4f-4485-9ffb-9faf316faa9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="394" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6f75e8e5-84f7-42a8-9e1c-f9326842128d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="393" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-89074b48-86e0-4ac5-bbf3-1bff14a6ddd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="392" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-29fd1964-444f-42f8-9df0-8cef811434fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="391" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-532d3340-efa4-42c1-b610-fff4e966db0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="390" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73d6c49c-5728-46ac-9159-b58b1c11c45e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="389" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-56656f8d-f48b-4cdd-afbd-67bcd8d4b164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="388" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8d6474f2-c649-4d24-aeb3-058be11c64d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="387" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0505dacb-ec33-4f9d-a828-6ea3df87ce4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="386" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e759daa1-c3d9-4450-a39d-9dab4e335d1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41392']" priority="385" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41392'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41392' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41392'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-615a38c9-87d2-4305-b67a-2af896d56217-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="384" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): de waarde van @code/@codeSystem MOET ''1392' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-57e041f8-65f9-4bad-813b-847f0b36eb2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="383" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0250_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0250_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): de waarde van @code MOET worden gekozen uit waardenlijst W0250_HL7 W0250 Bijzonderheden testis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0250_HL7 W0250 Bijzonderheden testis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bb1b71f8-1db0-4a4d-a9e0-4cafc95f691c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="382" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_testis_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-99c0d588-1862-4e2d-9be4-41d9341f5fed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="380" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4e4d0cbe-5868-4448-86fa-9875fe7977bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="379" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d3d3f78d-df33-482f-9607-772a2b4e6c83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="377" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2e3ae360-bf0f-447b-860d-1d982e04a8e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="376" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1122f555-0698-4abe-b57b-5850269ea192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="375" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4643d8dd-9e65-416c-9620-7c5df013ab96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="374" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-838a4dea-badb-4d61-9b57-3a325d6e1eef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="373" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f51ec129-bd2f-4b1c-93cb-df0d13d02a52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="372" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0e748247-814c-4d02-a514-b3847fc237ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="371" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5f896ced-50d2-4bd6-a847-893c92b7a592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="369" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dded55f6-8b89-46e7-ad47-2292d50b0ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="368" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ca85a37c-e317-4ddc-a375-64e521889a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="367" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8c9ff2b9-e31d-452e-987e-7467f6cd671b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="366" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-04ccf772-c20b-4eac-b67f-4b7aeb410728-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="365" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-89c3f964-0ad4-4c4a-9cc6-8841a4aeaf05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="364" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1c76c94b-c9d3-471b-a604-4df1894944e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="363" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-33abc10f-f9b3-42bf-9aea-6542fe70670d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="362" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3d26da93-d0c6-447e-bc45-e5a0cfe04646-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="361" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c3c0f078-84b1-4d12-9a29-a78d48386ffc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="360" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-141ef34c-336b-4b11-ada0-c6effb2f75f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-49479c42-1a33-4bc2-b934-00f01366c2d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a11b7036-41e9-4028-8c39-c31487f14ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b7b8ee26-44b3-4169-be9d-77748f99bb4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a99cbb47-d1fe-436c-a41f-8b64985082d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f360e827-c470-441f-9294-aa514b16bdca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-34d525ca-cb4d-4361-9ac4-8300d08a441f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="353" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-232e14ab-cba8-49c3-9597-450a321de61f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="352" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5fec9658-077b-4317-ad8e-d99482138e1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="351" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fad829c3-52a2-4827-ba38-6091fbc17ead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="350" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f3c2a623-d891-417a-b19d-76f14109fc77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="349" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1a0c08b9-9ade-4bb2-8537-461e81a496c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="348" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bda10be5-f894-4985-bf9f-7f8ae79cda66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="347" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e01920a7-0553-4513-a6a4-ffa79f36763f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="346" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-70596332-e81d-4a1e-88a1-d443664ec012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="345" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c980a681-92d7-4cad-ba6b-f8cafe21bff8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="344" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-75ffebcf-0bab-42f2-a3b9-849fd3ff7230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="343" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3c8aaf62-1497-4353-a1ba-8d498e4287b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="342" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-200d7211-b2e4-4f5e-ae70-89b0931db54d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="341" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c8d0403e-0d3e-4703-bc31-099179ff3eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="340" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ca6c17c7-3491-4587-a969-3ce74883b759-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="339" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f2bf3a7e-bc5a-4d69-b9fe-09e13e2a857e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="338" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1cc536a7-6375-4247-84f8-9d19b8f7a5d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40233']" priority="337" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40233'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40233' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40233'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7df6b70e-dd34-4395-b636-5ea31a99829f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="336" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): de waarde van @code/@codeSystem MOET ''233' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8879b24d-75a4-4fff-bbf7-4229ac444418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="335" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0251_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0251_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0251_HL7 W0251 Bijzonderheden scrotum (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0251_HL7 W0251 Bijzonderheden scrotum (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ad9ecea8-89ed-4cbf-9fd7-e99cd1dac0a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="334" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b6ff0bb3-5d20-4e87-8458-1779f95f1278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="332" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4d87191f-e75a-4802-ab14-2bcb8d1213a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="331" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-92cd5961-c901-4b59-8a86-d97ef11f2bc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="329" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-002207e7-c4fb-48a5-b47e-f73e89956966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="328" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0ba1d30-3e5a-41ca-8884-14464e7351bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="327" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fdc89456-9d41-467f-a554-bbd8e414a5b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="326" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cbe4f454-dff4-41dd-9458-d02c42e2a874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="325" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bee235d1-5dd0-4c4f-a82a-56da6c101028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="324" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-72dfd7f5-bb06-4b7c-adc8-7be3d755208f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="323" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-522c0ada-c67d-4606-a726-4660f31c4089-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="321" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6eff8a42-a135-4a32-bb27-b11000b6087d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="320" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-046f3278-83fd-4203-8bcf-e158cfa2fc86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="319" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4b02f574-7b98-4611-873e-03bef06643c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="318" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc938119-561e-4731-bc0b-856066d18937-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="317" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4aaa62c9-3bb5-410f-9fe0-a921c72a956e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="316" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-25b6eef8-cd2c-4b6d-a465-9e7843d22250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="315" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e89fc7c8-101a-4df3-b727-74267b712928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="314" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7d84d9f3-b11c-43e8-a98c-9155a38a4008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="313" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8b31ffbd-e40e-4337-b58d-0b3a78169895-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="312" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7b95cd83-d6d7-45a9-8d6f-d92986d6d29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="311" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0444e7c0-a9e8-4ef3-8570-d2ce5142f5ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="310" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-401e14f6-f9b7-4d33-a8a0-7a8f125e936e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="309" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a8c79973-fcc6-439f-b272-4c63b015f2a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="308" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e65dc0a0-73fa-4a3f-ab3c-ae81ac678a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="307" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-12f34a13-ab51-4a57-a2ed-672393e3dc45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="306" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-97184f99-6461-49d8-a49d-735314915103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="305" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f972db86-32c2-48af-b6c9-2a8f3ee2f5a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="304" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-668f58ce-755d-4463-a395-7db8901757b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="303" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-47553b11-8e5b-40ac-8bf5-fe2f9df4a0e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="302" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3be3c4ef-c7e3-472b-a0c2-38fbf4d99276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="301" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-92faf880-1e50-458b-be54-04ce59323b4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="300" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7b23b839-bd7d-4b00-990f-a39fa49919a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="299" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e9fd65fd-dc86-4d77-aba8-86bdffd38e29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="298" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0f724c11-ed1b-424b-bb15-50088a6428f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="297" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-86135db6-dd4e-4789-88bf-4da995faaadc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="296" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fae70c9a-3334-42e4-ac2d-24eb70894220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="295" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-94a4bd4a-db78-4a97-9cb5-8754aa26aa70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="294" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e6260c8f-f2e5-4668-838e-4a1e3d1217e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="293" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-544cfdd6-b8d7-4bc0-a343-2c177d8074f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='233' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="292" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bab62c0a-ba4a-45d2-8ee0-3334037f8971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="291" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f3872849-4523-4465-90f3-4d81055a08f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="290" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9c60f29c-295c-46a8-adae-f05118dc05e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41393']" priority="289" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41393'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41393' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41393'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3d94fe02-b16f-43dd-8545-9420a0d42c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="288" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): de waarde van @code/@codeSystem MOET ''1393' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7260f03d-b90a-452e-8c10-c954bb1fb383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="287" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0251_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0251_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): de waarde van @code MOET worden gekozen uit waardenlijst W0251_HL7 W0251 Bijzonderheden scrotum (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0251_HL7 W0251 Bijzonderheden scrotum (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-da716bbf-39e5-436a-b8aa-cc7251c029b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="286" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_scrotum_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-86eb06bc-9997-45db-86f8-081ce9f53c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="284" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e0164be3-c897-492c-953b-5cba04077e51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="283" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5a9ecb74-7d5f-4cea-94ff-256fc1a78b4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="281" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dbee3a9e-1982-4b9f-9b4b-b03c7d9553fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="280" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4c376581-24e1-4a32-99a9-415701a99dea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="279" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-49dc49bb-1927-4e8e-af07-277443e562c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="278" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-580ea97d-5885-4a36-aa24-6e45779776a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="277" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3807501e-e827-49aa-bfe0-a1c303ad2e10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="276" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-64071dd3-b11b-4b0f-8147-565216f99fa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="275" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d96b0f61-b663-404f-a4f4-b98608045032-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="273" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8a4b6ea0-91bf-4123-a79f-c9e8fb3e4083-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="272" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-de6d1d33-68da-41c9-a4d5-be61ec5382c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="271" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6e70d620-42a0-4f5f-92eb-aadddada5585-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="270" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-db6a5666-4a54-4ed5-8b60-e891414dcb7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="269" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-144f8539-5110-417b-a749-d1dff30d9bf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="268" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bbf1d096-6d1c-497c-b569-fdc49f3b7445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="267" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4875859a-1fe6-4340-ac6e-702c750881d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="266" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-48e5c26a-1409-4b3b-94e7-2a9f5efe6043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ee00a26b-e6d2-4dbd-85e1-aab1f8132017-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-760d18a0-8dde-47da-82f4-595eaa7a06ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-167ca4ee-7a8c-43ca-af42-6a5716f1fd36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4634cc30-69b0-445e-86d4-2189cd922f96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e3660483-6b55-4b6e-9319-a7a10ec51642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f11b6667-43ee-4c18-9132-845f60703e42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-863de97e-c7b8-47ac-a05e-089fe0862487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-deae5fcb-95a0-43b4-b705-3cd903fc47ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="257" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-817bdd2f-1e99-4797-b110-db5c2962c944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="256" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3e434407-ade9-41a3-bee8-83d08212eb33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="255" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73a9c0a3-cb21-4b60-9e7c-223db1fe9127-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="254" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-17b65e51-6fd3-467f-803a-b19ef70cdb47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="253" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bd067e58-6a13-4542-b73a-6e5d0e93dfe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="252" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-716cefb1-e2ba-4d91-8fd8-2952571aab64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="251" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7672bc0d-f3af-4197-832e-8fd953bb8420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="250" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-99ba0f94-e237-4c7f-bbad-f08e51e35451-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="249" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dd2e4816-7e1b-482d-bbe3-e39f268c88d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="248" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e278158e-e5dd-4884-afb8-af5b55046a7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="247" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3b81926b-8afd-4121-a6e3-3c1da5608cd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="246" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc6164cd-37ae-4e74-9afc-4e59e5869a82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="245" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2b54e816-e6d4-479d-b1cb-f350b51bbd6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='1393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="244" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9e59d034-19e3-42b3-9753-2232aca15fc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="243" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e3193acd-20d1-4ad1-9639-f2fab7caa147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="242" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cd642468-6d9c-42de-b6d2-3cfb1942c792-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40313']" priority="241" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40313'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40313' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40313'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bec6d039-326b-4bed-9b69-3d1695a391af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="240" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): de waarde van @code/@codeSystem MOET ''313' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f7553f3c-d274-4d21-bdbf-da7fc6a3efd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="239" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0289_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0289_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): de waarde van @code MOET worden gekozen uit waardenlijst W0289_HL7 W0289 Ontwikkeling genitalia (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0289_HL7 W0289 Ontwikkeling genitalia (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4ebda35e-f2c2-413f-8e3f-469230682c75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="238" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): de waarde van @code MOET worden gekozen uit waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ontwikkeling_genitalia_jongen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c2a03826-140f-49e2-8f63-b41ba69b57df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="236" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-42b78b9e-b682-4483-85c7-f3d93784909a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="234" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1dde0ed0-d624-4d1d-ac1c-c77d5139128a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="233" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ff0868ed-53fc-4085-9951-481fb670ed77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="232" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-228fcf8e-d26b-4179-849e-12653ea08d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="231" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3e3473ca-890f-427a-9354-4455b7b1d28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="230" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-bbb03fb6-0cd0-4717-a08f-3db0c7a8802a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="229" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-09a0b3c0-2dce-4095-b5f9-dea0f92db207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="228" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ea40646e-4e8a-47fd-8b4f-6aa9dfcc6956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="227" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-26ee2d53-0f06-48ab-ba0f-d2331a2a0116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="225" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5bf892b1-fc65-4034-9557-dc972d508411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="224" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-32c79676-facb-401c-8135-e74b7594bff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="223" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-11c7f866-5847-483a-95de-d5bebf0b3625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="222" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-78730bc6-0ea3-4aef-a73c-5a0feb5e6ac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="221" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a02005b0-7672-4145-8749-c1ce5720e704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="220" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2eb8a6b4-03ac-4e3b-bc69-46b01d52c045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="219" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-73c23647-de1a-4a17-81ae-50a3afaa337b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="218" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c3ae9fe7-4ceb-4fd7-a134-3c1fd49c0717-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="217" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ea9082f0-3ea0-451a-9f15-83f7b925c15f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="216" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-92fc6863-3fa2-4310-afef-ef8453efa63a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="215" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6ea5fde0-37cd-4594-be18-db65b7164386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="214" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c5394a64-1fed-4167-9155-47ac2c0af661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="213" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-24289d79-d867-4d63-a30d-625b43899c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="212" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3e9b1481-e53e-46ed-a345-cebdc46c15ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7d6c3c11-9400-44df-b7df-9c895c88d1f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9693f379-ba18-40fa-a332-35e5da329d40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="209" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c234a732-9fb8-4f68-9e14-bb2ad7095492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="208" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2c82d708-7f9d-4346-983b-2ffafd28de53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="207" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-76209fea-2d82-45dd-8cae-c4fd9c6eda66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="206" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d4f22f28-ae5f-43c0-b887-a84fd7d33feb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="205" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a1e5d39e-1b55-43d6-9fd2-fa41069795ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="204" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b19c7214-43b2-465d-8c22-7375725213ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="203" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-66ea8551-ff97-49c2-a967-145b7d705c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="202" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-028eb4b9-99ad-4aa0-ad0d-ca7a87b7e7a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="201" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-248ad4db-ce03-4d9e-a337-06b2eb38ad05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="200" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3761629d-0ca3-4183-9fa0-2d851a430d9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="199" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7406db89-833e-4a4b-9e37-3683ee873f48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="198" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f09db26b-c5a7-494c-a419-16d9f4a1a08e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="197" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c4018ffa-7c60-4c4c-8aaf-a23a4115c416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='313' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="196" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5c4b18e6-68aa-466e-bb27-c96d54fdd963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="195" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1b4f26b7-c3c8-4a92-9a70-501266b04830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="194" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ac1b894a-1185-43f5-b4c8-c32633f69683-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40315']" priority="193" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40315'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40315' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40315'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0e41e9a4-463c-4e97-a5e2-564251841015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="192" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): de waarde van @code/@codeSystem MOET ''315' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0d14275-849b-4f4b-bab2-559d8e989929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="191" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0292_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0292_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): de waarde van @code MOET worden gekozen uit waardenlijst W0292_HL7 W0292 Pubesbeharing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0292_HL7 W0292 Pubesbeharing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c174195a-5d12-45db-9669-7662e1587a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="190" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0290_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): de waarde van @code MOET worden gekozen uit waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pubesbeharing_jongen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0290_HL7 W0290 Methode (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ba0ed504-6f4f-4fbe-9906-b0d4da4ebdc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1749cc96-e426-4614-a751-53af2f1b3b08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d4956733-8881-411f-a68e-a5a588d68baa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-22d0a865-81d6-4abe-8614-bc01a06469df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7ca58ab6-72f1-48cb-9dbc-3af9a87866cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-88bf7c8f-1b36-4862-b9b3-48cfdd139454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d6ab1d90-57c6-4b15-b9ce-87cca231cf40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1bf21c37-741f-47fe-b52c-f47f3c342ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1c1c032e-b519-419f-bd08-28ddc2426349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c8783fb1-228e-4640-a2a6-f4e783681c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c7fd49c5-1fdc-49dc-9717-e068704b350b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-d79c2591-85e2-47ca-8536-6a839224dce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b011bd92-258a-4503-b2c5-7627d311208e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e16f1828-7f28-4cf6-83a3-fc1f4966f86c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fc39bf13-3b1e-4886-9450-ee99852fa714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a55a6b9e-f240-451b-8c39-845e4a16a692-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a1e19364-9538-4efc-a79e-767ff9f35058-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-94179a36-10b2-4a15-8fe0-97b642f2e234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-05a1140a-42bc-4682-a341-39bed9cfed6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-761580f7-b904-4fca-8152-bdd837370479-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9629d6ad-b2e7-47c9-bdca-98f5795d95f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-14e146cf-d9e6-4aa6-86e0-28e64e93143d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7151f18e-c5ab-4229-ab56-1d2c4ec189f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7cc643ff-59cc-4364-88d3-9d65702bd77e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5e47671c-09a6-48da-a9ba-5a5f66cae013-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ae7f3892-e0e3-4e87-a702-5dd78fe1a276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-2a6070c8-3156-4197-95ba-03ec9d114fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-de4344be-9c9c-4b39-9fde-eb2ccde8bcd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-988c6ebe-39a2-435c-af95-8995fa77c768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0b1a2cc3-90f0-4464-a91d-f57598d96006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5106c496-8062-4999-9f29-c98606f0c132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-54661d88-fcfd-4e58-938a-12da6f64e752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7809b3e9-0818-479b-a1c7-880f22c13e3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fd742395-eee8-4a10-b2b1-825f9c0b1557-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-261fba42-5cf0-4062-a56e-ebfc00d46913-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-757da202-df94-4339-9a77-152cd16cd6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df64cc4c-617b-4492-b7cd-b6f345370b49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8431f057-4f0d-415c-a22f-e76d6cfaa20a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c1019459-ce91-45e9-88e0-629ff8b7b491-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='315' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-93434054-96f6-4c12-9981-5bff1d42427e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-df406c80-00c8-4e79-9fc5-0a406ba3484b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-ed713bf8-7073-43f2-977f-a5a5db7fbbb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40807']" priority="145" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40807'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40807' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40807'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5cf45a95-c7ec-460f-8d24-4a67a254f524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_anus): de waarde van @code/@codeSystem MOET ''807' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f0ca4c88-53b9-4252-96ae-3c7fb1076a07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-06c86a96-0714-42aa-b13f-69fe781b84d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc18dae9-a20f-4b67-b643-fb29645dc7e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-80b91a24-47b0-4cda-81e9-7de1d878d3c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-e392e8db-96ab-4b8c-8842-650618579734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-08c8e6a0-80c6-405d-bf08-eadded2e03ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a2cf06f6-9a9d-40e7-a0b2-3b55e0d4681b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-912dbeb7-2e3d-4094-af03-bf8f501d58d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-1f77d3e6-4ec1-4495-8cb4-0ff0a7e28fec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-0cc49824-be27-4500-9f5d-aec6002c56f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c8e1027c-5e12-48cd-98a8-816a76fa0256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9b9bfac7-55c3-4693-a44c-26fd110ab570-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c4eb37ad-d929-42ed-996b-e2b90bb63ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3d11fe52-727e-411d-ba02-066ffaf15427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-18698aac-279d-429d-912d-5c304d9edad2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-c4673b17-0913-4ae7-97d0-8e7b65e7cd52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-6d188864-0f1e-4f1b-916c-37a808d9100b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-95aeb0d4-aab9-469a-b2bb-2c60ce8cf064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5063b95b-7752-4b1c-8471-ab5fe5e36bd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-5f367b00-f200-42ca-96e0-a09126e3d2b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-a89ae503-42be-4b8f-a9be-469bda8b7e43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-80316b5f-99cd-44a1-8849-456d76c5c079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-54108b70-1d59-47b7-b0bb-6e9a85fb1488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9bd23a22-95c6-4edf-9b37-c37df76e4e0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7970a048-0f6d-4664-b41e-f0bd7e764b05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-3b029f76-d48f-42c1-94eb-b4c4fc3c41d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-488c4c91-d72a-4429-bd38-fbe379be2c3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8ec14897-9288-4cda-ad55-fcb256ff3128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-08261d55-02b5-4b5a-bb5b-7273366c625f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4cf2cfb9-ad35-4ef7-bfac-1eabd5c35346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M74">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-7fbba9a3-03f8-49dc-8d77-c7cbf0e00a73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b8541b10-f9f4-4c37-b393-cc37a2d452eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-4087a116-eeda-4398-829a-33760029c333-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-9f13db5c-ead3-48ce-a38c-eac1114b1d9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-09366e88-822a-4981-a5a1-d03b91718bf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-b44fb9af-dd5d-424a-8226-51429b3f8b23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-f5c092e4-7e90-45ae-888d-87f4b63f5cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-fe12b300-2eba-4944-8220-c3bcd5117aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-cc4800d1-3ff3-4670-9c97-f42c50aea288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M74">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-8d1cae5a-e975-4e8f-bede-972d9b8e7fd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M74">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11026.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>

	<!--RULE tmp-dd0c68f7-1ee3-4d81-8eb9-2711d26aa2eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11026']/hl7:component[hl7:observation[hl7:code[@code='807' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M74">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M74"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M74"/>
   <axsl:template match="@*|node()" priority="-2" mode="M74">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M74"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M74"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11027Rubriek 27 Groei-->


	<!--RULE tmp-10d87b42-ba83-4496-b899-d6acb003a47a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']" priority="340" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-de832a2c-5356-42a7-9887-ae177ac2574d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']" priority="339" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11027'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11027' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11027'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b72f60e4-aecc-43a4-8acd-f45b85f237f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:code" priority="338" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster27): de waarde van @code/@codeSystem MOET ''R027' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-0ac43ce0-940c-49ba-a379-7b4db18a09fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="337" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7e59f979-97c5-430a-912b-f4f1093fb01d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="336" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e9d443b3-2f39-4963-b533-a33b12e71f95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']" priority="335" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40234'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40234' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40234'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-975e5436-9672-4b92-b41d-315ec80a0a3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="334" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_groei): de waarde van @code/@codeSystem MOET ''234' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-34ea93a7-49f4-4ff2-8176-a80b7e57412d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="333" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-fa90aa36-ca35-4ffc-a805-8b1149596218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="331" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-bb1b2611-4589-4cff-8ede-b97a461b2ad2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="330" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a42fc06c-c603-4afd-9bc0-9e134d961d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="329" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d34941d8-c051-4b80-858b-302b84e7e3e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="328" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-99b0f455-97cf-4158-8fc2-2c4f14fd1984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="327" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f0d3016a-23d3-4edd-af55-af9430a5777e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="326" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-01a98574-a8df-48c6-99af-a20ac415e438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="325" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-bc729e99-1a09-4272-a7f7-53eca413c831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="324" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7530fdbf-5507-42b4-9f8c-7552af1f176c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="323" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f917000f-2cf1-4f50-ba9e-4dec1fcbc6f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="322" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-07bfc2ac-0c56-4961-91c7-0043fbd8b422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="320" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7ef2df58-410f-4412-b5ec-7a203bb933e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="319" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b7b50026-608a-47df-9129-e46fddccf53b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="318" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-42e533cc-ccfe-4a63-9cb7-f0c6f82d8fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="317" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-163747e1-68b7-4625-8e00-a599d36ab216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="316" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d1212f4f-9e22-4745-b81e-2a5ad9fdf7c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="315" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1e32c98e-e2c9-4804-b9aa-d7f5974d9322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="314" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-0a37c4a1-6a95-4325-b99b-37503b85a52a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="313" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-6a44a078-41cf-4a33-a544-287374648f27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="312" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f352e70c-ea15-4338-a0aa-631674f73b55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="311" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2c9f1125-76d5-4b98-93d8-08ee00f5eb6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-004be5bc-9ff8-457e-b3d0-4281013b18eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7c9b1d96-4dee-4d45-894a-63b91b2639dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-46a6bc05-311a-483d-a020-3cbf8705a066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8a0b7ca9-84cf-4012-9fc7-bf9395fbfa25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a3f6ebb2-0f0f-419b-a645-5d1168ab98ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-88b88ad0-5b12-4acc-a55b-564b860f712c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="304" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f65c7a60-9bbb-4f74-a1d8-ea2a39d770d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="303" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-efcc9a20-5c1c-4081-9660-3c19d047863b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="302" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a20a71d4-ba76-4481-93ef-f421185d421a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="301" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3089ead0-3123-4a0b-8bc4-ba0faea7825b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="300" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-51ac05d7-6b84-4719-a251-8ac7c58dc0b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="299" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cfb849df-1cc4-43dd-8e24-cb1accb1711b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="298" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8235e3a1-139a-4f8e-ba08-cdbdcf7209b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="297" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-9af465fc-3a41-4cf3-8aee-b9d0fb78c2c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="296" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-510178ad-6938-4455-b314-65089886ca48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="295" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-4c8439b8-eaee-404b-bd6d-73a2999e72db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="294" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-4a78bbf3-b5ca-4cfa-8981-d805a248cc99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="293" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a0cb7dce-4023-4eb6-82d9-055331d64794-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="292" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ac0a0fe1-04cd-47a8-ad23-97181c42cb2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="291" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8fe0adcb-45e6-44e8-a637-66942e385902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="290" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-19e2f4b8-6e0f-40e6-8066-dd539faaee43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="289" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:methodCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cda1a5d5-11b8-4607-9685-687fb4fc7e08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']" priority="288" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40235'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40235' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40235'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-79eaeffb-624b-4cc0-ade5-fcad077328e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="287" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): de waarde van @code/@codeSystem MOET ''235' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5c2242af-e3e7-43ac-887c-33e4e8303469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="286" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): value MOET eenheid 'mm' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f2f42b43-2ecc-42a3-8865-f89915ece21e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="285" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0253_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0253_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): de waarde van @code MOET worden gekozen uit waardenlijst W0253_HL7 W0253 Methode lengtemeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0253_HL7 W0253 Methode lengtemeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-036e993f-d1d5-4ed5-a3bb-30f4fd9d9d99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="283" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d575e4ab-83a6-462b-a83e-e9eaddbf7469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="281" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f67c8295-ddf0-434d-a88e-543ee3211e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="280" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-9c1f220e-5eca-4090-9286-9a4237eb3002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="279" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f4383aac-17c3-4873-9148-c347a29c81dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="278" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3a8ac925-f5ca-44a3-8b8b-03012eb3ef65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="277" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2a3a8a04-f485-4800-b649-df926322905d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="276" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8c9b6128-cd6c-4f00-9965-e9b17ed76db9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="275" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1e03dbfa-4f90-4b3b-8f4f-f1fa8f8e2377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="274" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-9186a434-009c-4ad3-a736-264d1cb80be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="272" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-6f0ff500-9dd8-47b8-96ca-20554eb09002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="271" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-fcce3d40-9bcb-45ab-b1dd-b693dcac6901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="270" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-87cf7163-2aa2-45f7-8ae3-4d373b9b8609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="269" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-192fac8f-80e2-4ba2-82fa-613bbdd329bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="268" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e0cae769-a38a-4146-9ce7-6b31366041e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="267" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-02b1dc43-e069-4bd6-97f7-dff50d8d2c14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="266" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e8cdc9a6-37c5-496e-a081-0a43192d9098-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="265" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8bbf9616-cf71-4f90-9dd5-6a2919eb393e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="264" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-afe6e890-bfb6-4410-8b19-4b602a2a3ad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="263" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-445ee810-66af-4bf7-b7ac-f66ecfe08b12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="262" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ec9e0192-ff61-4142-bd9f-398e93b98cab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="261" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1d6bc707-8f4c-4db6-a00a-0ce724f34693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="260" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-80224dc0-786a-4148-918e-682ae23918d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="259" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b19c1fe4-d22f-4054-aa18-6f3459d7fccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="258" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-029d3864-c92a-4f3e-b697-f8775cd7353e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="257" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d3adcc6a-4882-4cff-b0f6-98b2bab07c22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="256" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-545c7f20-3ad8-45e5-b3e3-aca748962f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="255" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-06bcbb4b-acfe-4975-974b-77bf956507c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="254" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c84a3a43-1757-4d78-a438-8b7ee3b3cbd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="253" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2163dd0a-69bf-4612-a93a-e39198725d5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="252" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b8da96b2-25d1-408e-9012-0f257cd2e054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="251" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-765237bb-5f5e-44ac-b464-e81423ca4438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="250" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a996bfa7-0fa6-48ae-9fc5-0c8dc5e48f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="249" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3ec046de-0fd9-4101-9b97-e905e93a47dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="248" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-55f6cb65-6d4d-423d-8c29-b705b7f0ae53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="247" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a7fae863-04f5-49df-bf18-6c45f2b077f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="246" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-091cf577-f6e1-4e57-a36a-9e1ef43868ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="245" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2f25f61a-dde7-4455-9b04-b6523462399f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="244" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-410db6fa-c6da-4c52-ac2b-8b63c5f2c733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="243" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cfdb49c2-37c8-4442-a572-45a590dee33d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="242" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-18549e67-8023-483d-9a7b-cbca3c9698e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="241" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:methodCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b4d50823-8654-4bfc-aa42-32f597d57791-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']" priority="240" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40245'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40245' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40245'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-00d1b577-bcaa-4523-8b91-3fe440e651d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="239" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): de waarde van @code/@codeSystem MOET ''245' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d18f87e5-3bd3-494c-9c67-2277b0a5bedd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="238" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='g'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): value MOET eenheid 'g' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='g'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1bcfac9a-8776-4d7d-b16c-45829639b99c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="237" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0261_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0261_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): de waarde van @code MOET worden gekozen uit waardenlijst W0261_HL7 W0261 Methode gewichtsmeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gewicht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0261_HL7 W0261 Methode gewichtsmeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1e4b5184-025d-48aa-9f27-7766f5003d14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-4304f526-9885-480b-af6a-f998b607e8fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c421ba98-5035-4a70-9b41-7bff7dd9c8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-43bfb36c-c01a-4f31-80e7-010aac3de7e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1ea8a2bf-0313-4692-a93c-06012a099a51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-58d629ff-ec46-417b-85f3-4f65bf942aea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-30443e5d-b82d-402f-a6e2-ad2b3081f77f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cc143bd6-d5ff-4560-af69-7c3a61defb83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-37a1d7c8-338a-4c2c-949d-352996b4e5f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b688c5cc-b951-4e2a-8f20-996420bc4ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7c88b5ae-0187-493c-9c8a-02bd5b364088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ea936ccf-dfab-480c-9b32-c849c43ad16d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-19cfe2ac-dd54-4069-872f-ba7050972c58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d294be69-333f-4cce-9390-a3a2a9367627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5b858c5f-ca64-4e0a-aca5-edba0dba4f3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-050a4b79-070f-44c4-a5d0-078766916908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-dd0c7a69-bc05-45cd-bbe2-00b59c83be4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2e2d116e-a9fe-493e-a0e4-11b9415499b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3d6e8223-69fc-40db-8b35-bf61fdfd57e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-27098145-3a28-4bf8-b70a-3955b58a41f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-347d7804-053d-4b02-96a8-ce66fcbd8d8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-4e6858a1-5030-4ed1-b8d9-a2bd7ef420cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-72aeee36-e540-4fe0-a81f-322ddf417012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-9c28b5c0-a96f-4721-9b38-bcbb30dbc08e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-33486402-3289-4bd7-8a3d-b0fe00af5bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-0930f2b3-80a2-4608-bc35-2649de404bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-56e6bd11-dc26-45b2-bba4-43fdafc64f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8486b5d1-f8a0-46f9-bf9e-c321d5577a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ec502504-0e8a-44d9-8668-32a6124ec440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-945b468b-2733-4419-a6a3-0f0b2c7ae25e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c7bec7c6-092b-4484-9b76-84b9505254ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ad94dcba-d860-471a-9f22-2a89c77c3530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-60c39231-c948-481d-a4d0-d247094052f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c58c933c-499e-436e-abe8-ea86dc0848d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a168478d-7db7-4a02-9dfa-97a1d7e7f4b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-60d7f924-2c5b-4e29-9966-ee262d0bab5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f2c19111-3cfc-40f2-9406-def3447f2598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e567e0f4-63d6-44d5-b393-322f21d319fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-016b1d76-abd0-458f-b439-90a8b5e10a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-507aef60-8e05-4ed1-ba76-55c000fb147a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e77d4a8d-36c6-4bf9-b256-2b7ea9f4b8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-857f05e1-3c73-4d18-ab6d-fd481b275975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']" priority="192" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40247'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40247' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40247'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-863fe783-a159-4d4f-ac38-a037b22f5002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @code/@codeSystem MOET ''247' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-ca443706-3cb1-4f9d-a073-3124a3a09b19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0264_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0264_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @code MOET worden gekozen uit waardenlijst W0264_HL7 W0264 Indruk gewicht/lengte (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Indruk_JGZ_professional_gewichtlengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0264_HL7 W0264 Indruk gewicht/lengte (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e0feb8ba-c689-4b6a-bc81-85652fa7795f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-01de97f0-759a-4cf7-bb5d-8583b1a34315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f7b43749-5ad5-4c55-941d-4b6c44d41775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-82f8ea91-7db3-4145-863e-5e5cf4424d39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b4c891f5-d5ee-4cfb-bc9a-c60cc3dbccbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-11d3ccb6-f089-4a5e-b3ee-5022c89d67a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c1b59227-963e-45ff-b457-e8e6b93fb743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-4334c438-9281-42e3-9cf2-5a0ac3deeb46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1512d215-347d-48da-8245-358f1ee02d27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5eba4674-b6ed-44ef-8ef9-10d70aef87e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b5c299fa-833a-429f-b8c5-dc14a2fb923f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-be832fe3-d5ba-4830-8e1f-a8881487da73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-de63bced-472c-4150-a71a-bf8beeef136a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-67d97aa7-27a3-44ab-af8e-30fcfeb68f16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5a7c3606-f7e3-44b7-99d4-e0c469b5acae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c6c279f8-c0dd-4277-88cb-fce747a7c7d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e79293b1-664e-4d8d-a8cb-19eb99123854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d49672cf-c6dc-4ccd-87dd-0fba95ded245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b31bb5d7-9276-49db-9a17-41983365a5ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-e0871df2-7446-4115-8832-3deae0c092d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3db2d650-8ffe-4124-b427-81f827d1ca19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-0bae5000-6780-4efb-bdb8-e7524cd0966b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-928b9cb1-f803-490c-ac26-6d3aa74d21e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1a71b377-1bcb-4e15-bf6e-65d77a72e25d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c2b1b195-5ed5-43dd-9682-0e3e79ad75dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-93f08c27-d153-447f-b13c-9e6585e72e49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-da46aa0b-3725-4259-a8ad-09d60ab01741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-84263f60-c082-4db3-8a16-01001a16e670-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-2e24a20a-d58a-462f-bfc0-e637dc1203e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1b980276-904f-415b-9d04-d7dc272d660c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-bdb9b413-34cd-4a70-8b39-329e8167c2eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-07b7485e-f3fe-45e0-951a-384190a9f5cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-fb350cd8-4a55-4af9-ae26-e92d7b469e23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-82e30cb3-22cf-462d-98f2-d47e4e8729d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5f0703d3-79cb-4cda-9258-99b4d264f411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-0b675c8b-055c-442e-b916-ffbc477ff6cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f3f51192-6b01-40d9-9f43-9a91677b34f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8b35d229-b92f-482c-b4e2-f86c12a31147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-404e4cdd-169a-4909-89d9-9767044169b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c84569bb-67c1-460c-8ddc-9452fe8f1be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-5d1b5fca-85f3-41d6-83b1-0380b7361ee9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-1d0e9385-837e-4dac-973e-d20fc2202be0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-05a84c95-58cb-40b0-a26e-eb2c4f237846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']" priority="145" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40252'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40252' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40252'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-dab9e3e9-69d4-449c-be83-26debf4a2a12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): de waarde van @code/@codeSystem MOET ''252' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c99516bd-84d1-47f8-bd4c-c8611ac9c7c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mm'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoofdomtrek): value MOET eenheid 'mm' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mm'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7e293522-9520-4a60-acde-ac7c73f56b48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cb6497cf-40cd-46d3-b79b-4afdb7ccc441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-60af43de-95dd-4816-bade-74623de151fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-22d6148c-52a0-4606-bb6a-3eedc4856aad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-6a788a2e-f64e-49af-9dd9-d42047533081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d0ef4fb1-a589-45e0-b188-d135e9f5b6b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c0aa36c1-768b-4d28-bbfe-a4acf254f4bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8988b89e-874c-4efb-b55a-be3c963e6f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a04e6537-7c82-49de-a9cd-72b104756d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-90dd4928-53eb-4f34-89ab-0a66f3bf0c7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3709e08c-28ec-4f7d-9e75-558299943acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3d81a021-0598-422d-a192-d7550278dcdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b2a8645e-1a34-4e99-97fe-044ad3234225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-92606429-68b3-46fb-9c3e-de4064554943-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-df7eb8b3-890b-4e74-aa58-fed242cfeec0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a8359daf-8215-4c77-b3f2-80f6a75d3f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-3b79a319-3401-4420-861a-a1133f5614cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-543ac94b-81f1-44ad-bbd6-69965b00870b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-91f68945-b050-4f34-92d4-d62229aa6e7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-43b0a218-0c90-44ef-86da-355d1ddd647c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8529b93f-ce4d-43f3-b270-fe0a66050103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-f30ba351-c6f5-4947-9a8f-a224e26bde8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b44c64b2-5737-47a4-9770-1b75bf94951f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-a6272492-da9f-4079-9f3f-07c49b583b48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-80b9864c-fd88-4196-b9d5-4ed8e4d512e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-920e28f5-cec2-4811-99a9-5bf1e8ea1578-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-cf9ae58c-a6d0-41c6-9ace-29ab01d02eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-631f0d17-e9e6-445b-8161-2cdaeee7ad49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-66ca733c-12c3-40bb-a903-d0a9beb3b66b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M75">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8c89e709-0c9f-472d-88d9-5666ff4d6d00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-95c564d1-4f6d-4c47-a35a-ef11dd9f5967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c37eb142-8a64-4df2-890c-d07a9e2f6324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-8b073d17-4d4c-4a3d-ad89-3b72ad41fdcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d7bdbe63-5546-48b4-8e5c-c276ff92ce77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-7eb1f15c-b131-4a94-9eca-c287b5f3be0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d43da24c-4f63-4549-b9ea-5fd40c2378aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-b4e9efbb-98e7-4e72-9363-14cc839af3e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-87ef543b-9712-4265-97a0-bc6820c22fb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M75">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-c29075eb-93f2-49d8-a9a8-173381f99527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M75">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>

	<!--RULE tmp-d3b5fbe8-da07-4b2e-8a9c-276c9253108e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M75">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M75"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M75"/>
   <axsl:template match="@*|node()" priority="-2" mode="M75">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M75"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M75"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11030Rubriek 30 Psychosociale en cognitieve ontwikkeling-->


	<!--RULE tmp-b465a77e-33df-4291-a594-1cef46412591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']" priority="291" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-925ea280-2a93-4617-a7cc-9764c6dddfb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']" priority="290" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11030'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11030' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11030'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-87983362-eb5a-4442-aa88-05e53d64dc38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:code" priority="289" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster30): de waarde van @code/@codeSystem MOET ''R030' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-aeacca70-a6d8-4af5-9bb0-fcaf586f4e72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-d5e6f14f-8ff7-4262-87c6-58991e2fba2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-d9f1d13e-ab2a-47e9-a347-19e5526d4235-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']" priority="286" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40259'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40259' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40259'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-eedfe79d-78fa-4144-a64f-e5b3157b2129-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @code/@codeSystem MOET ''259' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-898f7b89-fb17-4070-a336-741f36b07220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ad1ab5ad-53aa-4e1e-8b4a-b3217e7cf912-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c7007b43-1c51-4aba-847f-d54908e58d0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-13dd8311-8ccf-4bcf-80d0-5f875236dee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-858627fe-e2b6-4e77-862b-0df9c45c7ea8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-be93e640-8e6e-448b-80d9-46b3582a5f4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-32a7f112-65f1-45ae-95a1-fe7cf0403906-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2cd59283-bba1-4763-8f01-b6b77a6c4397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-92168211-4ce8-49d1-a288-c5f5d84e5eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3cfe0fbd-cf8c-4827-be04-df7d9ed3fb85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-91b624ec-5a7c-402c-8527-f4e228379c5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-e6479b6a-ca20-4014-b3cc-dadeb51573ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-225b5720-19d4-4bbd-a70d-8620d09f0378-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-fea93c25-b8c8-4a52-ab38-8d09403b16f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-885bbe2d-e25c-4452-b006-68e5b0205593-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-edac6394-4f63-4c54-a753-c09c4e1f49ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-6e7e1d6a-3a1e-4b55-a05f-4f56c5a9d02b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-05fc4e66-326c-4786-a007-beec7d1fc100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-4d7bb1a7-7dfd-471e-8e7d-e651425d8193-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-7f189ae7-7dbd-4e5c-ba00-f8c7b184fec9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-f2024f6f-2c61-4cc0-a734-5f56d0082c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-1053b753-3b39-4c04-8638-95b70149231b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-4ef69c9d-c75b-4618-a46a-a2c35092b941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-4f122dd3-47ca-4237-8777-d0998cd9974a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-70c42450-b832-4c92-a27f-e115e811abe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-eacf16d2-da07-41a5-9d8f-cc3e8f5013a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-488cf4d4-44d8-4119-8ed1-e2d45810eeab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-06b44060-4c46-4d52-a721-1d91c7949625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-89637988-9e61-4bcf-8160-39db011ac709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-47613d7a-1f23-45ec-b974-bd0611142bde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2ed2bf72-3668-47db-8650-1970ba0832cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a50e430b-83af-45f5-a8ac-45dcd84010a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-76816ba0-c2bd-4c19-a5d3-408858155eda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-dcee072f-0b21-42d0-a810-dc27550e3ad0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-10f35d85-f7d8-4810-a03c-2a3163b2b763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-de95447a-a563-46bb-aa5a-8acdec09730e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-10812524-ba83-4244-a986-59e05458157e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-61287384-41f9-4bc4-adce-2f3a4eee9760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-fa1b6f02-482e-48b3-9d6c-3622b397c1ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a2b73624-5d67-4a09-ba3b-e957d80a468f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8ea1f3c8-bb00-48a5-9dd1-7873fcaf89f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-f4d3d3fa-8459-49a1-9661-823dd03dcfeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8fe45b82-ed04-4bb8-be15-2fbca4cb21e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c2423e3c-5188-4d3b-a6ee-153f4a0620d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']" priority="239" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40265'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40265' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40265'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9fefce9c-c879-4bbe-a986-5f867015c505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @code/@codeSystem MOET ''265' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-edd5bb8d-8b48-4ffe-b9ee-3a9c302c35c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-d832bd71-f252-4e56-94dc-d2284e9e24aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-e816e4f1-0078-49ed-ae8e-5b142dcadb9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8bb44133-6c92-46c1-9a7a-c2997f811092-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9e7a7034-bc07-4f77-8504-fd53b16a0b3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-775c95c2-c19f-4773-8d9c-6a6663eb159e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8cbdd29a-8112-44cd-bc5c-d6e4b936484e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2eefbad5-24b5-425e-a33e-3b00fe7c8f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2e9ea21d-22f8-4f4b-8b78-fec1a91c5563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-f1a83113-3e80-4fad-958d-184bfdd5d0fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-317fb04c-4f82-43b3-acdc-2b3a40d658b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9df222e0-7f65-4b1d-aecd-ccac244a4d28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-076d3159-29d9-4641-a4bf-0ee44b3b7b5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-97d19d9d-35a8-478f-a5f4-87ddd57e00fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-980d590d-da95-471b-9954-a631b26f823a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-67803674-9cfc-4126-86ab-b29599fb40e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b120dd34-9334-4f9c-846f-cdf77cadb51e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b0306338-d986-44cb-9e9a-b66a5488ba45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a6c4d9d1-2e5b-4c50-9a23-938e9151acd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-1aa4eb0f-8751-404a-8b9e-aa191adbed8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c15c33eb-cdda-4816-a88c-55bee47cdcf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-6723cce9-06f8-4faa-a567-8c310f923415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-1cc5124b-5e12-47a2-be91-c3149f2c88ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-264af8a6-131e-4f87-9363-75e10039e82f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3753f43d-8e02-4a43-ade2-c6c5f1f3b376-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-bfa48657-b764-4552-8e89-1940adcd7338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ae13fbaf-5a71-47d0-9dcc-b9a2a7c9492e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9b99699f-72d3-43e8-aecf-2607b4208419-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-69d8bedc-bb7b-4509-b5c2-8c38aa353d4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-6b5cc3be-9f30-4782-8480-3aed9a4803d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c5bfa465-2bf5-42e0-baaf-a1657c6eba88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-75d3a0e2-c58c-437f-a9bc-64f3cc2f688c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a729182c-e5b1-47c4-93a2-961b57c3b991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9d4e0684-4015-4154-a5f5-d60f63309bf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-071e71b6-f719-42b0-a667-a0152f4c1ca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-d4164e8b-044b-4dc9-a08d-e89bd51c068f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ce998781-4e99-42b9-8b03-27f24f370bde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-64b2932a-2597-42ba-8900-f419595a4495-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-87720af9-35a8-4669-a08a-b4e2f52be8bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-7ca0ac90-f8c6-45d3-b94a-1d23cf1e3007-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-66e14e24-275e-4479-876c-25482d61370d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-0e788d0a-2814-48f0-8770-0fa9fc383798-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-5f35018a-c01f-457e-9027-7fea4a47b114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8f62ae68-d587-4569-89f4-8b875a218c0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']" priority="192" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40814'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40814' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40814'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-e1a859d7-c8a9-4691-ac36-c4e0839a5eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @code/@codeSystem MOET ''814' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-03f701ed-9fd6-4073-927f-32b94c6b456d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-5fd8ea04-7538-49c3-9374-9f14a4ce8b47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-740fbe0e-1da9-4ce5-89f9-945d2beda635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-22667db3-a420-43c3-84cb-517914f26afb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c4526b33-304b-4138-a946-7fdca657fd89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-f744bd04-561b-4277-99cd-2804a3637334-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c4144243-147f-42bd-b48c-a8b2a04934e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b91c6331-4ce3-40f1-bc78-dbb5040f3b73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-401b26d8-f692-41c5-b614-541b9fd921e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-87d9eda5-f9d4-467e-b36a-a3f8ebd1eaf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9f0b2aba-593e-49a5-a460-0af8cbfe2857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-20646778-43b2-4f94-93be-df5a82b936dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-5a70e37f-c392-4e4d-a608-5cf9e3811889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-29e60aee-bb6e-4367-a88b-4bd3ac484cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-bcfea1ec-3a95-4839-96f1-f2fb62f868d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-31720416-28a5-4fdf-9dba-e284e4b9a6b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b6974207-c512-4d10-8a96-da3fe99f159a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-e383847a-344e-4ffd-aa6c-7d5d01aa24c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a398ad02-4a49-4c94-82b4-a554068f0492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-fcec3d98-57c4-4280-9944-f51926b46499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-093dae16-b489-4a4c-b8da-94b1fdc016c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3116bbfc-a4f0-4b71-8a72-b3b8dee073fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-6e1d869d-2d83-4004-899b-906a9e68aa0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-33a464da-21d3-4066-8b3e-87c897c335a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c9e339fa-0be6-4620-a13b-65195d165642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-a5b85f79-723e-4e84-bf0d-f169f29b0cc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-5f6b747d-cf58-48ac-9da5-0035f11c4279-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-7c7cd0ed-f3c5-420a-b690-05698a1d1ddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ab11cb40-79ca-43af-91a3-d961326e636e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3c9d921d-bda0-4886-82f4-2c646cbc8276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-76f49678-09dd-4283-9ffd-a0fd5e00f2f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3882be34-627f-4b8b-99b4-ea71aedaaad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-1898434e-becb-4410-ae32-b0106c269cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b7c94ea4-a47c-4f7e-9411-7c531b90e773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-541a9379-d90f-419b-9db8-9ff0418496b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-7da6c0dc-1016-4329-ac7a-f44dfecbf9e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-fdb615c5-8682-4b62-8455-5d1c9f1b682c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c851e0f7-e520-4096-af4f-799e8e44a09d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c3105f44-735e-4423-b1b0-1eb1d1e179bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-35a21802-d8ee-4a71-86b5-a03cac165624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b8c2a2c3-6e8a-46b5-8406-3ff4cd65acd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-65a3296a-d97f-4936-b371-75f6caf0bc24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-be0f2b3b-981e-477e-b03a-f4a99493bbe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-69ab3a85-d41e-49ab-a054-da170dc19b7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']" priority="145" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41440'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41440' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41440'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-34126083-eca6-477c-9329-b1a5b8041e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): de waarde van @code/@codeSystem MOET ''1440' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-67036bbb-430e-43e1-a275-b4b5adbf29e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0665_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0665_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): de waarde van @code MOET worden gekozen uit waardenlijst W0665_HL7 W0665 Menstekening (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Menstekening): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0665_HL7 W0665 Menstekening (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c1880f8e-0fd4-439a-8a36-29969363ece4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2c5576d0-ff93-4dff-bb88-4cc73300467c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-4a48ba6d-07cf-4c80-bf6a-de16bb7584e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-9ddf2e6f-b03e-480f-a040-399d60d61aea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ff013675-d8a5-4d7a-a88e-2016e07056c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-0bfd6106-6d94-4189-ba91-3ef680c3ba74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-00516f95-da12-4b0b-85a5-c6434fda2132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ca54aa58-fcaa-4a78-9fb2-434a15fa3d67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-8de32e55-9d09-46f3-a41c-591f425c985c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-2707593c-32f0-4f2b-81a0-d56cd4472b87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-f08bc57b-53ad-471f-9bb0-2c531c92c3a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-eb44b1de-4264-43d3-b22b-955124a1cdd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ca929ace-dbe4-44b9-b9e6-dd5f152acf77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c1d3b833-e71a-408e-b3ff-0954c88ce29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c4962cfc-7a31-4fab-84d1-cc7d2ffe9b0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-96a1dd37-17f5-4ec3-89ce-f86d1c87c3d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-edcfef29-04be-42ee-afdc-0c3854766d06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-db47b5aa-3014-406e-9727-0fa4c36ece6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-5813da6d-c9bc-47d3-917a-e4e437512f31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-7191ae7f-9b79-4a49-9d5c-4fdb21e60e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-02765ffe-e077-4627-8243-d0e6af6015dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-1c094251-f120-40f2-8a90-7e6f7095143c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-34b9a3a2-a83a-478e-8b85-ece2146439e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-041e939f-f303-4255-82fb-ed750b3372af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-b17b6536-7702-4e56-92fa-dd6d859fca7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-ae59d321-e19c-43a4-b34a-ce9ac6438645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-3e387ad4-ea40-4576-a730-736121ae50d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-811ea716-f14c-40a2-878b-b7a6cbcd9485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-966a60eb-771a-4313-8a71-70692795f9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M76">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-4586f768-281d-4362-990d-040b0d6743bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-eae12ddf-dff1-4b3f-9260-da2aa8000f17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-17081939-0e59-45fe-b1fd-1ca274bedb57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-08902cec-88f9-4bc6-9813-a3f3b42d70d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-14babf1a-5b5b-43aa-be43-cf2b258d7be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-0c2db880-f9b2-412d-916d-f446e61bec7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-cd0a9e6e-9fc1-4d97-900a-671bf7d098c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-0832af81-218b-403c-8f28-c79b2c3120cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-03b1be04-d39d-42c3-8df4-c1d10827e2d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M76">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-0014794b-0c7b-4c72-a7c3-9137c58a1fc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M76">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11030.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>

	<!--RULE tmp-c34776a4-7c32-4f9f-b8e4-5b490cb25d5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M76">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M76"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M76"/>
   <axsl:template match="@*|node()" priority="-2" mode="M76">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M76"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M76"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11031Rubriek 31 Motorische ontwikkeling-->


	<!--RULE tmp-73dee319-016d-4555-958c-a2e49fbc4909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']" priority="479" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-091c2454-78cc-46f1-805d-e3fdcc9a9be9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']" priority="478" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11031'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11031' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11031'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4a6e46a6-0b99-47ad-9170-97e510f4a909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:code" priority="477" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R031' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster31): de waarde van @code/@codeSystem MOET ''R031' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R031' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-479022b0-ec70-49cc-ad43-f8dd64154cb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-804bbafa-d72c-4ecb-adea-fdbbd8b58e24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2a4b2ea4-bc4b-4900-8da2-ecd0c113d802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']" priority="474" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40268'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40268' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40268'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-057f72c7-5a1f-42b1-9016-5b1961d5b998-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Motorische_ontwikkeling_onderzocht): de waarde van @code/@codeSystem MOET ''268' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-218c6912-1d98-40b4-a796-efac64018be7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-134e0c52-5286-440a-8c78-4268443b4e37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d236fc1b-dc83-4844-82d3-1e9c93665547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-eea96862-cb5b-42f0-aaa4-ee6b1a4f0efa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ba7c0567-8204-47a0-a2fd-400d38594106-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-003b26e9-4797-4ec5-94a5-f2b6e8111520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4df1cb92-8061-47c1-bf1f-472ed4b65d6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-df32de91-9fd7-4423-ac12-ed543a22cfc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cea789e9-3b62-43e7-b25e-9716eee6ed84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-79fbc94c-d025-4c15-a88d-40648ffec608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5cc9a6ac-615d-4c72-aa0f-ab8a61eaf66d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-39b9de41-0575-45ed-8256-c73b2e14bfa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-facfadd6-fc4e-4f3b-816f-9921815926ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-eeb21761-1cb7-471b-9c79-6b5c0ba2f8e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1a7121c4-0131-4b8a-b494-3634127de276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4cbe24f4-9c40-45f3-a5c8-e9299af76b06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-65f2be6b-9046-40e9-b95c-83be4e42f662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-dc6b0e1b-a03e-4960-be14-e4f71e3a59c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f19f71c5-7d56-4577-a02d-6006e682644c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e038631a-133a-4ffe-9c69-25712abfae90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b0bc2f17-893a-4b16-aa84-b2a34080a570-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c514d7b2-3ff9-4569-b042-c275536c08d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fbd46a90-5f11-4ed7-9dac-0d0928e67b85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3070ec6a-117f-479d-850f-4601579da2e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-75741e27-932d-4397-bf8f-be8e0f266c90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8040be68-4749-4f68-b5e0-96b2ac29d0a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ca8788bf-1218-4c61-851b-f56bab727749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0d0dfbfc-184a-4aaf-8750-f694a3f19cee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4ac74b69-22fe-4f62-b0ff-e74e90267519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c16dcf5c-b585-4281-9fad-03247809308e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8050460d-7378-4813-877a-f375d114372d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f4508c87-64dc-48fd-a20f-41e3d7d40182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ae49a8f4-9d93-4282-a498-154df9559cd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a3143128-782e-4a62-8c38-520bc533a5a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-607d10ca-5bfd-42c8-bdb3-6ac35a1172fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6971ef09-f4e0-468d-82b6-0646b34ed588-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bb54dab3-2200-4995-b95b-bf5a3d87ba5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b8dc86ee-02b1-48af-a8ad-11ef2f07b68d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ba93f9b1-e968-43cc-8918-067b350f99b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-71321a58-7f69-421b-a95a-6ec36bab07e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-21dd10bf-fa64-4264-bb25-3ce4e81526b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0a94dbb3-fcdc-48b8-94ae-bda8ce80d809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-35d8a707-6084-42b8-8d65-fcc8b3c95f90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0fe65a82-246d-4c1b-8991-01cbb03bfce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']" priority="427" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40276'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40276' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40276'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-866937dd-3d5d-4094-b632-6873242585fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_motorische_ontwikkeling): de waarde van @code/@codeSystem MOET ''276' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-84293071-5e9e-493b-8fbf-7a9f8325d13a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7e2d86a9-7ed0-47ed-809b-7d461c636f38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-31f48a7b-9ef8-4d2a-86c7-897afd2f63e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5308e65d-b328-488c-98d1-2bedf6f5ad07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2bfb0969-1f32-446c-a7aa-9ff0bee53ce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ca00dac7-9b66-4c9d-b841-7c9a9296ff97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-23e52cb5-f11d-4372-bf96-75cf3070775a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-65d80b7b-121c-4226-b4d3-0c27900981c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-77f0944e-739c-4b24-ba2c-7e1cf3067d61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-52437b8e-57cd-4ebf-8724-8b3c1cbfcb2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c6c694ca-11a6-434c-90a1-8bf63d68b7fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d5257118-481b-4315-8c55-2f0f7b12bdf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c64e3ce0-3816-46ce-8dca-da06d6756a32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4fae1d57-5dd4-468a-b945-1518dd164a24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-659a51ad-88b9-4dc4-8951-2427596b8a15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-deae72ca-8195-4f4c-8d2f-688e86f0460c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e000c765-aa4b-49d5-8d0d-402d581929bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-47644e28-ce3b-4100-8545-6bf723238e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f9bb42aa-4d13-488c-8dfa-5c45d8ec80fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e415e105-a988-47dd-9154-d88adc8602d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fe359e0e-f5f8-450e-a944-27a7d5a9f7ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c77b8d91-5b54-4080-a6c9-daa9ee3ed555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7836332b-20c5-4d6c-a830-f6ce85f1f97e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a0f21f04-35cc-4950-927a-275bacc2ca8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-40503bfc-71f5-4376-a986-5ec53601d8dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ff0d8000-ab96-4f25-a588-97aa50ec472f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-540a8dbc-449c-4508-9387-c9548afa5c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5d7ab98f-9210-4e92-82ea-f8160078b085-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a3e90205-18b2-4c78-a012-56571bc9efc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6a3cb80d-2a1f-493d-be6e-abda9edc9bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2406a8e9-a5cc-4683-99d9-b5e349bbe137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4557eaa9-f6e5-4a3d-aac5-183c28afdfb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7c937bc0-9884-47f7-bdb0-ab23c6bc5311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d8c0f994-78c7-4e20-8220-1d0cb0c54567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fc3dc381-c297-4240-b233-cf6efaa5a442-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-27fc806a-51c0-4b68-a1f6-d2a6bd9be6fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-29a07ac6-7bdd-46b2-9801-8b9726f69824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bfc042ef-0452-4c23-a508-b43af86b6fbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4b0a52d8-767f-40c0-844c-b23679bdfb0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-63da961d-1468-49bf-b160-77e5fd282057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0b43c420-a020-4e93-a7a3-39662e35d4ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c00440c3-9dac-4bf2-b67f-570ec3130656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a3093aef-1afc-47f6-95e1-952b3a092652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-14901a64-8105-4fcb-a565-2adc2246c909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']" priority="380" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40269'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40269' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40269'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-367b0025-1595-4972-b8cb-996a2b10e738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): de waarde van @code/@codeSystem MOET ''269' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-aeba57aa-0a44-4a4d-b0b5-23fd84d2be08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0275_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0275_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): de waarde van @code MOET worden gekozen uit waardenlijst W0275_HL7 W0275 Bijzonderheden tonus (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_tonus): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0275_HL7 W0275 Bijzonderheden tonus (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-841e8170-5a10-400e-816c-0f0761000309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2920d79c-7667-4806-a9ff-de3bf9370496-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-188a153a-030e-48b3-9a0d-234c562cc49a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-19bac74c-618f-489a-b6a7-df785cb5c5bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bbf4d32b-6e81-496a-9181-da6572daa9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-99309f9d-9bf5-4b05-923d-bc187519af01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f37ad9ce-097b-43af-9993-1a0fca33e068-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a4568b4d-38b6-417b-a33a-dcf400ce1fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-708a7245-395a-4ea6-a565-d637f06f27d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4bff4879-2a22-4332-80f6-e771b8326780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fe99aadd-09fd-4586-9338-0fd24ec99444-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cc8631f6-6e49-4484-a048-bc2743b9b197-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-93fd225f-4fca-4253-baaa-de94d486da7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c5c5b1da-60d7-404f-b8d4-ef12386b85b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-adc3b5dd-ca75-4cae-9c01-2448c23447b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-af994316-d2f2-4bfd-b769-fb5491e6c77b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2854e861-e892-413c-9bff-868efc897b3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6b73722e-0c2e-4338-96cc-151a84f34b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-14366edf-515a-4a84-947a-9a2853ac2977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8eca2154-5bb1-49c9-a74a-bc51e815d3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b381f3c4-95f4-4cad-8d9e-56812894b1ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-aeec0876-27c4-4afb-9903-30897b85104f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-53faeac0-e258-4860-8306-9f43b02a76fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9e0a121a-68d6-4879-8000-510860928e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fc4315a7-eb36-4293-8120-cc7b2018bde4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4057ec17-9c46-422f-a602-0f0c7d5ad3e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-76aec151-1f76-4412-bfae-f614439da68e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-342b8243-c3d5-4785-9056-ec987fc116b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-47905b2e-f291-4ac5-9058-ded0f8d3d425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2103dd4f-f633-4414-9ce4-fda6324a5b8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9721a83c-ddbe-41df-b646-0a9e387baddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ec81bc35-1b75-44e9-a9ed-9e59de9862ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e865c70b-1902-4e46-86d2-74365a464c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-848190d7-4ae6-4014-b6f8-8e86b1191bed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-70e14a38-d2af-45cc-be50-52f547cc7cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-55bfd4c8-c2b1-4c81-8f0a-596aa8c2f9d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cc9d08ce-400f-44d3-817a-2b61b34a6b39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5d121ea5-a9b1-4443-a582-014aa5fe8706-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-007f8600-34ae-4aa6-880e-39e9e48b5043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bea61a03-bd53-4a29-b467-2d01a12f7316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-12824c0c-c109-431c-b395-fe33e4cb642a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-13dc3d20-00b0-4cfc-8010-b160e8dded66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4d0c7864-e29d-4133-a54b-2f1cbe0307e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']" priority="333" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40271'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40271' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40271'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5172a117-b630-4038-ad97-2f1d95816809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_centraal_zenuwstelsel): de waarde van @code/@codeSystem MOET ''271' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e90f1784-1f16-415b-83c0-59a4b864585c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-761dc109-e81d-4e79-8b6a-063e9466462e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e3ce07c9-52b6-4808-ade3-298d36d6c874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ee1b81ba-5439-40b0-8b3f-2554a9f4098f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ed34a355-d5fa-4820-a733-33d33a3fcf0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a4c0b2b4-5a25-4fb4-a7bf-740d3134b15c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8a1edb2f-aaa0-4ad6-8896-3663bc6a1210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6fdd0bbd-4f17-42a7-ab94-8d0646cd84d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d38c72e3-bcf6-448e-841d-e538abf65dcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d34508a8-4989-4210-a5ed-fef637ebeb8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-006d5ead-a127-4e1a-af13-675e946009a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f7aed2b3-a4fb-4587-b422-a9d008d2f53c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2ddef33a-faa5-4c05-b665-dca83118eb68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2db00f6e-e539-446d-b917-dab20015b90b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-707179ec-c6af-4a0a-86e2-7558907d77d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-77149c98-6ceb-4747-97b2-9845fed07862-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-30526625-fb72-4c74-a53e-fbe011f91746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e4c00a0d-3728-4f68-82d5-9ed0d9303afd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-dc7aad8a-0033-4404-aea2-a1bafa37825a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e772054a-bc84-4538-abee-398065fe3f61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5f9e75f5-c33a-4e70-8031-73cb6c90e7a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-13dc2fce-bdb6-450a-8f89-32f19318702d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d95f4deb-2d83-4b01-8977-56b23180be2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-203bd1f7-c908-4601-9bc3-502fe3fb577c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-da6ee72f-5768-4482-973d-586527dd16e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-896301cd-4666-4ca0-9e0d-539d96163249-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-884d1eef-80c3-43c1-8fa0-7ba5a4c2a35c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6358c635-5075-4136-82d9-2c8583e267a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fc4b80a3-dd47-4200-acd4-c520f8ab6027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-28b79482-0310-4626-a264-b56ee0c5da4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-482e6013-e4db-44b9-8346-8464d5b1041a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-263fd37c-7832-4005-ad61-645e98ef2467-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a3b295d8-3ec3-43ed-911e-362c6b2dfbba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-48ad8637-4453-448a-b9e0-e08ab399788e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a45eab24-9dd3-4c90-9f5c-15f8aebfd2b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-85deb5fc-316b-4c85-92eb-9a37e4cb4ee8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e89259aa-6baf-4bf4-a2f6-06458825483d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-177922a8-a4e7-4610-aab4-b70790d803f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c56bcb9d-00e4-42e4-8049-6d3cfa48f0e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-08188a7c-ef8d-47b0-b972-a763d15fe221-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0510c977-e054-4101-b06c-dece22ce09ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-58bd26ed-97da-4a11-9953-701c518c68e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-49ed5c4b-1386-4877-8d3d-cf189668e86c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ded8184b-86a1-4fea-9c71-81fbd9a7f865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']" priority="286" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40815'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40815' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40815'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3af0b8c2-d3a3-4111-a693-5e849fb0adff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): de waarde van @code/@codeSystem MOET ''815' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8f368d3a-74ec-4489-a28b-71d93bea95cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0277_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0277_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): de waarde van @code MOET worden gekozen uit waardenlijst W0277_HL7 W0277 Lateralisatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lateralisatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0277_HL7 W0277 Lateralisatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4f73dbba-7977-4b7b-b2d9-31bded51a91e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f768f877-38fb-44d2-a6b4-e69bc96af385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bcef350d-3e89-455c-9f39-0e25e9beccea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-04a71853-2fd9-4ba4-903b-57fe05f8ced9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-44445f48-b89b-4077-bdb3-aa061a44fd94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e6058f1e-b659-420c-880e-b58c653e8862-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f6c5d4f3-cb1d-4c90-87f6-659fb7d311d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e90f826d-8ebe-4985-adbb-2c83dd4e5f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-140250f9-8542-457e-baa5-1fe2d3b988b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d6809e6f-631e-4a97-b75f-aa322d5778cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-908bec09-7681-478d-929d-eca0f61a9b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7eb3e144-c3b5-4fb5-8f81-4e4acd6bc094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b72ba572-59e2-4260-9265-1bfb817b3dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b0909dd1-8a49-4892-bd09-266eb16fa5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9ddf0827-0496-47e8-af6d-b6c7312eb51b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ccc2ef41-04fb-4a95-b09f-bf7c1534d144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3c35352c-1d14-47c1-8ea4-832d0d3ea280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6d889b7b-ca7f-4561-bb29-98b0bd75c98e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5253f010-ed24-4d40-b0ee-00f8469bd0ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-eb3d3f98-b9b1-406e-9b44-2923651db8ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9ea3b52a-e3a6-4880-96f5-bfd6a2ed8a12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e4d11f44-da40-4a1e-b978-64c1e3726ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4d0d9f6a-6c1f-460f-b7f7-3e1cf0aa328a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6edbcd9e-b750-4147-862e-13d0ba3a9a97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-45709a6b-aca8-4423-824b-3ef96994ca25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-42f8d3f5-1929-44da-8c05-3762110ff0cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-96b3d152-1f47-4051-a2f3-74230bbdd6bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-14836718-8ab8-4ebf-9321-4164f9120fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e4906a13-2460-4c32-b19b-03881509f616-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-696936c7-3b77-4378-b65e-74b239f18573-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1a324fe8-7b55-4651-b933-31f709b8ee28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d3f39ad7-c39b-4722-98e3-c321ccf7a37b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-800f4182-01b9-477d-aaa7-efe59300eddc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c2ebec11-489d-413a-8288-419e49433b30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-98673836-0b76-4cc2-b74b-165f7949d997-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-08d0c150-3e20-4de3-8dcf-aa246cc3b18e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c3d00050-4ca9-4e27-8fea-ea4fa493904b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4b81e7db-5dab-415c-9509-9ea453f19b2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-da1378c7-8c0c-4413-8f68-f3f483f24e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-39837d7e-5328-455e-8af3-27e2ad9cbe65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5d4efba0-c9ec-4bf0-9369-7d1377104192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9d375ae5-16fd-4c89-a5c5-aad3cddeae69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5da2d819-a597-454c-b460-a93c4a2f777d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']" priority="239" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41437'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41437' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41437'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0fe2849f-9ab3-404a-a80b-fcf77566ae61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_sensibiliteit): de waarde van @code/@codeSystem MOET ''1437' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5afb4188-745a-4dab-8067-f60ef0dfe62b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e6ffb8b3-fda6-4e4c-86c6-9646ce4c7463-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-82a504c4-dfb5-4568-8e87-db29c692b1d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ed3c874c-e0e8-433b-913f-5e464f0cfcd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-221a57bb-419e-4020-97e6-407c7e92fe21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8f144544-e222-491c-99f1-e0880cbaa52d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-27c29529-bd80-4020-97e8-cd371f1a622e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-89903dbf-1a26-43be-99e9-74580e9442e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-41476fc3-caaf-44b4-b73c-6f4579cc310d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-600d07f8-671e-4a99-99b9-23a27b69a27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-41b04579-b64b-475e-a2c0-44f8a54e3dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-05289ea5-a3e1-4488-b2a3-6c49084dbb35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-60dd6662-0acd-4386-9fcd-6f9adc8ea69e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1e55c36d-632d-44c7-8e02-ca6ea054b718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-66093f3f-28c2-462a-acda-9c6344f2e6d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8bd29ae1-777e-4f08-870b-a59642efef30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e232efae-7ae1-4f9b-9706-7ae0a28a4f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-05bcd71d-6a2c-4293-8264-49dd819fa418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e6e5d276-6256-4db8-8817-f193e21e978d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1b92dbbc-89f2-4eee-83e5-4fda8f4024c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ee98107f-3b67-45f1-871d-e29f373f6dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-dcc13c7c-035a-45af-b5de-d08428458757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c26b5889-a74f-467d-ad8d-cc7f45a64462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1f3bf62a-4654-4114-890e-74f6228f18af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-eefd91a5-4f66-4560-b460-85c443f12f69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-48a5011a-5938-491c-b07f-bf597ddff428-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2f90455d-2335-478a-9b0b-3bac7cf38623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-01a838b8-e305-40cd-a0f8-2f75458a0526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0ae668bd-9d9c-4d70-85e6-b3ad22f1dee4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8edfbe94-8419-45e4-92bc-d22b2c36bad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c0fa1ad1-d48c-49ef-80be-c647d43b0b4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0ef66437-85d0-4910-9640-f59f981d3c29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-df1584b2-4395-4bbe-b057-ee027b685831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fe9b2f34-7d7d-4661-a490-d0c9b67bc0e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cd7be1a1-9429-42ee-a645-5eefcfe87079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c59e886b-8669-428f-af03-c31be91e48fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-59aa61e2-e501-47b3-ad9d-aba6a11848b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5e1e6184-0540-4715-b4c6-42d9c9852234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-76956f03-b388-475d-a2b6-6a34384430cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1147b6d1-c016-4ef3-81ef-e363722898e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2ac291f4-ac7d-405a-ac8a-a64ce249e633-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-a5bcc6d7-96c3-457f-b6ca-fc78d8e9bd8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-64780bcf-f3c7-4663-b894-5cea26835e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c523e381-f06a-4bd6-bd93-66ca43a66dd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']" priority="192" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41438'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41438' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41438'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-56649054-174c-4412-b7ff-709818a7a466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): de waarde van @code/@codeSystem MOET ''1438' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cc0afd3b-8de8-4c75-8b6a-665aa9dcd258-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0663_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0663_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): de waarde van @code MOET worden gekozen uit waardenlijst W0663_HL7 W0663 Afwijkend/niet afwijkend (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Proef_van_Romberg): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0663_HL7 W0663 Afwijkend/niet afwijkend (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6411b68e-9f24-424a-b77d-d198b2cd8429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1de58de0-d6f7-407e-83f5-30117165ff68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-aaee25bb-4f10-4c37-84da-f3fb11fb0830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1f4847f3-05ed-4b58-8eeb-6e711fdd2746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-997e8242-1c0c-408a-b4fc-3e57d5b51c96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-915b0cd2-579c-490d-9bef-3d09b3ca6f10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4ca08933-e31d-401a-8bb4-bb7189ec3901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-18aefb5d-6901-4dfa-b833-0c4df7258a22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-52f12d18-b5a8-4b63-955d-88674e78b8c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0de67c6c-0331-48c1-90a0-a5ab1b0065fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-412d9e7d-ebb0-4f8b-a7d3-fa2e032bdbbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ff7ee817-8f26-4663-bcbb-2923b56ea82b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cef8fd96-30c6-4ce3-93c9-53e5a5dc44d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f416702c-5c45-4479-b9b5-cb1810368c69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1170ffef-d79b-4879-abce-832284191bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-32e84df9-4fb5-4db5-b8df-b04094e20619-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3de5746a-550e-4199-a222-d7af37a2494f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c02a1196-4ee9-4469-9f6b-f266c655bec7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-280f5d5d-2f43-456f-bac0-c4062ce1e1eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ea07a840-9739-4f30-a7a5-9e9ca416f720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d6a22427-4584-4c04-8a02-16bfc3b24160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ea132b84-d189-4c9b-b02a-1d338c822f6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3ff3ee37-5584-4d35-a80d-1b020292d9be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2fd4bf39-2ad3-464a-aa7a-351228f2b011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-3a8fcc88-f954-4486-9907-24c441b11285-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-33090c04-b4f5-4ccc-a81a-3a6937f9bb22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-592e9299-b048-4fcd-bbe0-f62b4e72c75d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-38b0f0f1-343e-4e3c-b9bb-c972501254d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-5bc58c7f-3432-494e-bf05-3546708e5adb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7ff56c9e-bbcd-4b29-808b-a5e4dc8b412b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e0030496-7fab-4208-97af-2b32d569f17b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f3f64e21-5acd-496a-9b97-f695395be650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2b36ff4b-bdb0-423f-a848-c2e4ef0bcc82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4672a42f-f658-4f70-b9ce-d45e0f5dbcb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e58e6f41-5045-414c-99b0-b708f9638356-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-77054de6-ec25-40cb-b7bd-261ae1aeb006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-356db906-bdae-4788-809e-8e5aed612ae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cb9fe719-83bd-49c8-b989-64c7834b1ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-72aa0176-1611-4521-b057-c11f6cf8b1d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-eddf0d44-761b-4189-b1fc-348127f467db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8b7fd6ba-5d11-4d7c-a67b-51b592f75426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-9370b70e-8e5f-4a23-ac71-dadc6443fe40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2a739fd2-1741-49d1-9c0a-d362bc4b7747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']" priority="145" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41439'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41439' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41439'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-79b042ef-add4-402b-8de2-bd8fc59c02cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): de waarde van @code/@codeSystem MOET ''1439' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-16bcbded-60bc-48a6-ba36-8744ec395074-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0664_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0664_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): de waarde van @code MOET worden gekozen uit waardenlijst W0664_HL7 W0664 Kruis van Reitan score (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Kruis_van_Reitan): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0664_HL7 W0664 Kruis van Reitan score (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-f850d997-8b4d-46ee-bb62-80261707b134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-6ccadf5b-b3c5-45d8-9ea7-3397e0348de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-e485aea3-3466-44fa-bf05-db582d97c844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-377fe65b-95d3-488d-9554-61b8c3796a4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-cec84e72-339b-4c11-9ce2-2cb14c6378b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-edf727ee-314b-40f3-8433-15dc97451abc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-03f54376-1724-4bf7-9334-6f1dbbac661d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ada128db-c75e-4acf-ac14-65bf6f862c9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-788480a6-0c86-4213-9d32-05b99c6895db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-8048fff2-f8e9-44af-a9f2-80b069a0bf16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-bf7c5077-e7ad-42e7-89ac-d8ce635a1b56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-60c3c15c-2a27-4812-9e72-8eef295b7b63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-2397512f-4b8e-4f46-8ead-1a2cc68d6d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-70c20d76-6672-42e9-8086-8b762e34f8e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ae60b23c-f43d-4607-a94c-3bdaa8439f53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-7086e3a6-9542-4daa-8b9f-3967302e7163-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-01ad6b2f-3ab9-46d5-bbf1-3aba83fcdc6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0110e1c4-1c09-42e1-9713-262a0cdcf73c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-99c81df1-ef7c-41f0-8558-7bd9c74f9927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-09d63a6a-b7a6-4315-8cf8-e4d65a7124a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ca91c165-569c-40bf-82f2-10eb0a3ef27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-ea1df199-597f-4190-9fba-6dbdcef499d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-42b450d1-9017-4b77-b56c-5e7e6aab58a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-d8cbe684-80b7-49d3-bdb7-4ea30681fb18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-0a5ce5e8-6909-46f2-8e7b-6e2f9c27dd9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c0be2a9c-3250-4caf-91b7-d30f327582e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-4786e878-8357-4412-afc2-bda45c026391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-27bdb28f-6f7f-4f1f-9015-cb8f2195f5b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-c79377a9-9c33-4dc7-a0da-fead45b9ffe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M77">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-471a78d3-76bb-43b7-abab-e159545c43d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-61154c5a-6259-47a7-9dc8-0f7755cfee5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1943a4d1-38ea-4b98-a616-ef71a3f05124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-1da0e72a-cf95-4096-97ca-5a617ed47dc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-fc6b461a-5dad-43fd-90a4-f84767d03a93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b9753d61-1896-44a0-a9f0-54f86d1d1337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-00da35fb-63c0-4906-ab02-5f5887ed0907-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-613d7b3a-cbc1-4ff1-94d5-051a116da007-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-026609eb-5736-4251-bf39-61fa8b862710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M77">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-92adb23d-ce03-44d4-8220-e8cf3c81c68a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M77">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>

	<!--RULE tmp-b40e669f-8195-4371-a65e-0aa9dd331d8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M77">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M77"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M77"/>
   <axsl:template match="@*|node()" priority="-2" mode="M77">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M77"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M77"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11032Rubriek 32 Spraak- en taalontwikkeling-->


	<!--RULE tmp-04d73b9a-2b46-4275-a845-991ad1efca35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']" priority="804" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7c6a1466-287b-41c5-8955-91b0f3c26ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']" priority="803" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11032'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11032' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11032'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e24c4f31-1e00-4fe8-bb2f-b93cab5f94a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:code" priority="802" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R032' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @code/@codeSystem MOET ''R032' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R032' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-75a97517-e503-4349-a28d-2828c976862f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="801" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-34f23596-075b-4e33-8357-d0d76bc3e23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="800" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9645ae34-bf57-4d7a-b463-dc3b0ea184ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40294']" priority="799" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40294'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40294' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40294'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0b346075-6fd0-4ff1-b96c-60f98e3cadd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="798" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Spraak-_en_taalontwikkeling_onderzocht): de waarde van @code/@codeSystem MOET ''294' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-996f05dd-e58a-4951-8067-cc19ba2d5a22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="797" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-03c1054d-2dc8-45ef-85f3-75106d0921b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="795" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9bfd0d19-f389-4429-82bc-62943e8ad6ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="794" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4f3b12b7-eab5-4829-8707-f8e18308d0b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="793" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-36e5bb51-12ea-438a-9017-aafff28140e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="792" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1c452086-d825-4175-8ce1-bc1d1498adce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="791" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e771e5ee-762b-4abf-bc1b-c467fd8cb134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="790" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1c992fc6-97fb-4e79-afb1-16a373b5d1a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="789" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-54b7982e-6ffb-4ffd-9222-fd0bc0935a22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="788" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5573564a-4f64-442f-aadf-8d3001fc8908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="787" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-af01d24d-cd8a-4efb-a988-646997af46dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="786" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7fd6d28d-e686-4521-9a4d-e2b5c0514fbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="784" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-91f1b64f-a1da-4d20-832b-785a11b6e213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="783" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-27e3debf-14a7-497d-b80e-48b7861df065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="782" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b37bfbdf-2c80-4739-842a-9bc131fb9f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="781" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-aa14db06-5f36-4246-8753-233646dc1415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="780" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d96c2700-681c-43bc-9295-8f21bccba2ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="779" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bd349a0c-b1fa-44ed-baeb-7e0788c56680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="778" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-803a2624-e2ba-4c9d-8e3b-32f2424742e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="777" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-22eaddf4-dd9c-4f67-b3a7-1fb0318ae64a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="776" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0c364a41-ddbd-4721-8c38-9ec8ab74b18a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="775" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c7e135bd-edaf-41f3-8609-c4b7e8724b4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="774" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b3311eb9-b408-432a-8a2c-334d5a66a3b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="773" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ead7af7c-27ac-4dac-a22a-b7120b5f08c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="772" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a31da857-e2e0-46ec-8301-d5056739e1b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="771" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-33af5da8-77da-4d48-b4fc-4403ed849875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="770" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-52949be1-eef9-4fd2-8d66-990b492f2615-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="769" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-119a36a4-b582-42df-9a55-8e02a7b13f93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="768" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-da457270-6914-4a8c-8989-a00821b79562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="767" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7f47506a-0ad1-43ba-8a45-22df1bfaa12a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="766" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9c788c26-d967-475c-bac4-ecbd508c5d9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="765" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-617f8b0c-c7a6-4907-850f-f12d6e932e22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="764" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-eeab427b-0a9a-4a0c-b7c1-1bbcb89e939a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="763" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-14bfa2b5-c81f-44da-a9c8-1dc23d0e1c7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="762" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f97d53c8-c248-4fb3-bbc2-8eadb09d8706-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="761" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-84dfe824-a02f-4100-8c6c-3d0eb14ddaa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="760" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8ef1a6fc-fdbd-4ffd-8695-49d46ae6e645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="759" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c91101fc-e724-48bf-b006-3f14d2a9f414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="758" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-960d8ea8-f5bd-4a15-8291-0e7d96990691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="757" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4021367c-27c9-4a25-8ff9-edfb6cee66b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="756" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-92e0b0e7-1140-43ba-9070-ff980f78c8fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='294' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="755" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-85d3bd7b-593e-4a22-ab74-38bc9900eb0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="754" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ce6f5318-53d6-43e6-af50-4c4207ea05cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="753" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0d40a859-70d3-4ca3-a7ad-986d4e1aa2e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40301']" priority="752" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40301'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40301' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40301'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-48d80c2c-b55d-44d6-8514-51e1afee7d78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="751" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): de waarde van @code/@codeSystem MOET ''301' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6149e379-2524-47d4-8446-660d287b2bb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="750" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0278_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0278_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): de waarde van @code MOET worden gekozen uit waardenlijst W0278_HL7 W0278 Tweetaligheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Meertaligheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0278_HL7 W0278 Tweetaligheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-627aadf2-1216-439d-a072-900a181ce340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="748" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4c131069-9c81-4eb7-978c-db7c2e53dcd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="747" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9f5a555a-7825-488a-97d3-228bb9d2de64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="746" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9fe445b3-b792-4c80-90ac-dd042a04a0dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="745" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0e6f65f2-d54e-447b-a859-c220712e6dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="744" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-921c0f36-d3f3-40f3-8add-c2e245e27abe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="743" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-236de021-1561-423f-a695-3040fc71df0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="742" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-01e8898a-573e-4b55-9d31-421e5f562692-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="741" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6ac3d11f-3194-4211-8045-51bd4d4bad2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="740" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-73727976-caba-47e7-b756-554513ac45ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="739" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b9cf288a-493e-447b-b5ca-82dcd8307267-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="737" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9e5e8bfc-21a0-47e4-a9e0-c28d4b64d710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="736" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-07b3b1c4-bfbc-4b21-ac45-077c434e064d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="735" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f615931b-6491-4970-aeae-fd273d429673-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="734" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2fed8892-35b9-48c3-aa3c-0204d9d362d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="733" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8f5a5408-5aea-4419-b389-ffec10024768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="732" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-90e9d8da-037a-4a4d-8acb-bcc9485b039d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="731" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a09a580d-4c8f-4a74-bffe-17c48ae49cfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="730" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3aeeca73-8406-4467-94bc-e34f8a61793e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="729" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed983071-7543-4882-bb7b-55b2be7753d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="728" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9fbcba8c-e55f-4196-95ba-c7a429105e37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="727" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-58f5a135-da33-4bce-bc3e-cd91bd82f6fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="726" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bbb202c0-ff0e-499d-981e-c1a1fbeba5f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="725" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed349c4f-c09a-46bd-b2b0-07c85f270bef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="724" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3a9820f7-7526-4c03-bd3f-c8ba31905ab3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="723" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1a6102ed-c661-4bda-8c58-c8b965dc86ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="722" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-970b28b4-f5f9-4218-b154-e0b6d31b9da2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="721" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-030326e7-3e34-43a0-b30f-b69da09aeaf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="720" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-32290ba3-39ae-4361-b8d0-128e23e9ee2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="719" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5e7ffa28-07dd-46ad-9086-799c06825d35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="718" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0d44d540-53f6-4543-b4d8-ee7e2a4d6c8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="717" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ee7d5c5c-33bc-4e64-9184-40d550b28d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="716" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6d348c39-1305-4acc-8bb1-60b6bbb8617a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="715" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0cebbe59-591c-491f-b263-929c2e06114d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="714" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-09ac6a40-bf5d-4a9a-b1ae-855c03c8a021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="713" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2e4c326c-18d9-43f3-960f-7b7126ac3d12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="712" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4682bc77-86f5-48be-9ba4-5bc369f66cdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="711" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-20fe2158-3247-4d27-bf3a-d8f15090e71d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="710" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c9f712e9-c241-4ebc-8997-2bb02a868d0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="709" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-eff0f25f-987b-49e7-a86d-3e8bc1607641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='301' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="708" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-06c5d94c-46f6-46ca-a8cf-f7b40e9e9930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="707" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ba899184-5e24-4685-9ea2-e5512aad9a5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="706" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-22c4d91b-79b7-4bd1-bf0c-4adb6bf4a0a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="705" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @code/@codeSystem MOET ''G036' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5f7fb839-ec46-4d16-aaa9-5cd1d8f1d818-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="704" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e3f651df-69b2-4b8b-ba67-b5437b18dca8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="703" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0d788cc5-ac9f-486a-9717-9e37820b8abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40302']" priority="702" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40302'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40302' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40302'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-66663253-cf45-434e-8a9e-624529dbbb25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="701" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): de waarde van @code/@codeSystem MOET ''302' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5a9115fd-83bb-4b30-9949-6426568e2b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="700" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='1.0.639.2')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='1.0.639.2')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7470d4a7-c86a-467a-baa0-a95e721c0c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="698" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12e57a21-6023-4eaf-b3c6-2837aaf7a90f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="697" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12e97b6d-a662-418d-809d-eb210572a78d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="696" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-610dd3cc-84d4-4323-bdfe-cff87bcc8320-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="695" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-23ff4c6b-5d72-4e3f-9d7a-ce94aa611b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="694" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-62949a7f-836e-4308-af44-785534b0179e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="693" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f7b080f5-1ab7-4b24-8208-06883044bd58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="692" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-011ca033-f0f1-4e87-86a5-ef9864334d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="691" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3de55fac-2a6a-43ac-a871-63d310bbd34d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="690" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ba5436d7-bbee-42f0-b23c-2ac9b6c34828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="689" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0b54032d-b612-4e81-8327-8e7ccd4542d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="687" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-762d5b2e-c72a-475d-81f7-09778815c7d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="686" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7f4d83cb-b0f1-4867-b227-2f55ed6e6247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="685" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e417af78-7e58-4717-9f3d-3313b7eff94b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="684" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f05478c3-cd21-47ae-844c-6d6f4945a1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="683" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-68a67354-30a4-4eeb-978a-6bceafea3624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="682" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4c98fc90-83a1-42d7-a45f-849cc7fa6656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="681" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9179902e-4eea-4bbe-84c5-f0dcaecab6ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="680" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-21a1b71e-dfe6-4aa7-9781-fed7e4426b8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="679" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7712939d-2a5c-4f28-8434-523c0e373881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="678" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7aeb3733-5ea0-4332-b108-acb446d1e76c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="677" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9794ab2b-b29e-420f-bdfa-568a3bd2b97a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="676" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-01584de5-da38-4c3d-9406-6617b9a5e54b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="675" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ca95d646-8469-4f96-8527-40bee3bdf556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="674" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2ddb3782-6931-4f49-8fd0-9611aba33e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="673" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1d959974-96b0-4a12-be8f-9539fa4e19d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="672" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-25fc91fb-560d-4082-aa19-5bc5660473c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="671" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b12f5356-3235-4420-a549-cefb6392e857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="670" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2fbdb353-e7e2-409c-b0fa-2fb89c167398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="669" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-26fd2c00-3ebe-4622-bad0-54a7cfb3e269-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="668" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4c4b53e0-7e7f-48ff-829a-06a15a50fe98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="667" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e384067a-54de-44b2-820d-33fefd46b5f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="666" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f21084e5-f014-4e78-ad0b-883eb9e9f143-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="665" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1f0e8e67-3dfa-44c6-84ff-f1b766d09e0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="664" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-efc373a9-6f95-4f15-b1d6-ff63bbef009a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="663" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d5b852ca-0ef9-4805-bcdb-3aed6ee834ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="662" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-15a49640-8298-45f9-aeb5-38ec92549225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="661" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6ca707a2-1e11-451f-b111-82b29bc2325a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="660" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-89523f18-cb29-4f36-9a28-27662b71ac5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="659" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6b7b9e72-a36d-41c1-9cec-4386245e8f5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='302' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="658" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-45541d20-1a83-4e66-a852-0ae2cdef1f33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="657" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1b485f6a-2a73-4ad1-acb2-7d359249b57c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="656" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-49a98bc3-cff8-4e9a-83bc-d8d15dd393c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41329']" priority="655" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41329'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41329' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41329'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1b0e5dea-57ae-4acf-9cbe-88ee02822518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="654" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dialect): de waarde van @code/@codeSystem MOET ''1329' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-de980aac-2ddf-4982-b4ac-57bf60885052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="653" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4cfbcf6c-a3d7-4c3e-b56a-33ffeb2b32d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="651" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-158f0520-4d87-4ff9-b07a-39eb5c773902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="650" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-32cfd0d1-4892-4fd7-aa0e-ae2354ab5e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="649" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d0726e95-9caa-46df-b640-93b0e0318060-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="648" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fe22060b-c062-4816-9613-5288339490c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="647" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-427be741-fc98-4566-af2c-c126e0e8e8bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="646" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bc153cf4-1d5f-4195-881e-9cf90ff0e6af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="645" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6f549eb6-bc00-4bb9-9796-209590f9b4fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="644" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d3386a7f-8662-4cf0-839d-580af9eadbb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="643" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ba903026-ad6c-4052-9121-200008dc58c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="642" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-69444bd2-fbae-4da4-a68c-9c0c63dccf75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="640" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ba206f14-c252-406d-a837-2a992c26ec4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="639" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b2160a51-869b-4bf5-8961-3da8d35ae51e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="638" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7d2483f6-2319-4842-9961-50de5133fc8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="637" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ca492a58-a148-4408-b0e0-648c59fe7e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="636" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cc806c9c-bc3a-461a-823f-a7e90e30295e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="635" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b5554493-ab48-4fa5-96bb-942b9aab20f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="634" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b3477108-85ef-4fd5-8310-bfa08f409765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="633" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f28b7c50-b6af-488b-ae48-9282f726482f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="632" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4d0c7247-2367-440c-9f65-10e4c929883d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="631" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-28791008-10af-4f5e-89f3-179256ac8e7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="630" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cbeee627-50fa-4191-8367-98ad86118409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="629" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3a9e917f-c17e-4931-9103-90f0b0bd3470-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="628" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f11e1230-9d19-45a0-baa0-5dc5e2d5f930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="627" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-88bc3592-ba99-48f9-addd-0db20e88c349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="626" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-75c16978-993a-48b8-9fd9-41715ab93e8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="625" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f57a8eef-bc04-45c7-bbfe-4c85c724bd38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="624" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a9304098-a90f-41a8-a341-6f9825e10567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="623" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-39df4270-d3c4-447a-bf51-b31e30050de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="622" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-05c1ecf7-d34e-4442-84b1-25d06028dbe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="621" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-71f19acc-a0f9-4d71-83ad-e6bfd892cc91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="620" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-313647d1-bb93-45c8-b017-dcc45fdae0fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="619" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-58bae5db-1927-4ed0-941b-7914be6f2b2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="618" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5486ffde-d5f9-4d86-bda3-1015d8dfe41d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="617" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d8b6ef33-866a-4170-9051-065a1b287a7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="616" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a68f2b0a-5fdc-4398-9291-dc899122585f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="615" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9c973889-38b6-47aa-a694-8d129795bd75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="614" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cf401d5d-932f-4d89-b5bc-19933fda5843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="613" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-104538df-b7bf-4df2-b055-22fa68d67e1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="612" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bec76aea-5d13-45e7-95ba-87ff3991d117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1329' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="611" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-143f5a6a-b8a0-44bc-a4f4-c7e0b124fd50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="610" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0c59a0cb-709d-4040-9f2b-bbf89b9d05bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="609" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-53d2dedc-c1e1-4255-b765-a8c2db45ff7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40307']" priority="608" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40307'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40307' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40307'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6554228a-44ad-4cc5-b765-2feeb37c9cba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="607" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): de waarde van @code/@codeSystem MOET ''307' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-936a4a49-1929-43bd-bfd8-bc6f3114f89b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="606" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0280_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0280_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): de waarde van @code MOET worden gekozen uit waardenlijst W0280_HL7 W0280 Eerste/tweede taal (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerstetweede_taal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0280_HL7 W0280 Eerste/tweede taal (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c1dd3aa3-9151-4330-8c97-25ce934dadc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="604" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-eaa7e47a-6031-4403-a3c9-7f9ea761999c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="603" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-da8637c5-d06e-43bb-92cc-c66d53ffcd12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="602" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fa7ad9d5-ab92-4f34-95a7-2368d30cac82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="601" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a39377d5-2d94-4197-9c28-816e0dfa675f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="600" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ea319170-b950-4604-a81d-a6b74ef78f40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="599" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5f7bab15-5903-4248-935a-046b209169fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="598" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3cab251b-a32e-4a52-bbea-8d0e4cb68344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="597" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-be76b7d8-1d76-4a66-b7ef-d3da862a47c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="596" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0abc016d-2b00-408e-9522-0421029837d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="595" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-81214930-d64e-4eb4-93cb-4615778fdc92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="593" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-085117f4-168c-4b17-b7f8-efcf49975144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="592" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b1410c38-3022-4328-b492-d6d27ef1b437-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="591" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dab759b1-c8a4-4876-92f3-cacc92b6acfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="590" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-34f9387f-1ae2-4201-9689-35f3c51ce68d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="589" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-727b41c0-68b6-457d-a41f-a3332e188ac9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="588" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5f2fa4a9-64d0-4629-be29-f2629a1fc756-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="587" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c959cd5a-e68a-413b-bdb1-4b8783ebd321-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="586" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-89efd4a3-9ebf-4b6a-979a-330f160fc8b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="585" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1964cfab-6430-45da-b535-6928bd84bfd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="584" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d333d8a9-889f-4d50-9d4a-714e758e4c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="583" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fea71f85-74ce-460a-8b1e-52cc5f89eb84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="582" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e4c438ff-041a-480c-8c73-e0d8e1a9942a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="581" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a7bfe181-3977-46f3-96ff-e2df57fd6a1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="580" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2bf8341b-494c-47df-ace3-21e97bc2d27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="579" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cad76214-081e-44f8-8827-8a52eae38f8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="578" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e4053391-dd9b-4100-9476-78c35730976e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="577" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-142790b5-5960-4c22-9d87-b4d2394fc046-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="576" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b6496496-69da-435b-9d1a-1158a9063195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="575" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4ada8710-92eb-49fd-8904-6baae76437d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="574" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b4439335-80ea-40e4-9e96-31e6e2a9cb0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="573" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-da62a275-e157-4f04-90d0-a5a4930c1471-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="572" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6bfe63d5-47c8-4c55-b2e0-ca53f19711b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="571" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9a686b01-18bf-4067-aef0-9f1763c47ef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="570" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b4c80471-b0d1-4311-bf9e-16138e6422bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="569" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f240d434-a1c3-4cc4-bd6f-15e1da332886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="568" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b213a4f6-f32f-42d9-b3e0-f48bb703fb30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="567" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7930c808-5e1f-4822-90d4-e755cdd69b7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="566" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed88ff49-4f72-49ac-881a-fb9cc3f7d42e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="565" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c6e49d36-7efe-4d17-b5b6-62876ada8a55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='307' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="564" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e60eac4e-9a37-4f9f-85be-95ad8420cf46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="563" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e9cc6392-3701-49ab-8183-9d806d9a4c91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="562" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0555f891-0af3-438e-a93e-e751e46c2d30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40816']" priority="561" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40816'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40816' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40816'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9986ba2e-8199-40bb-bcc9-b2fad43de3e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="560" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): de waarde van @code/@codeSystem MOET ''816' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4cc4bd5b-9c68-48ae-91c2-d6643ef92dbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="559" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0281_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0281_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): de waarde van @code MOET worden gekozen uit waardenlijst W0281_HL7 W0281 Taalomgeving stimulerend (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalomgeving_stimulerend): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0281_HL7 W0281 Taalomgeving stimulerend (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-928970b6-c92a-4cd2-b3d2-f82a37c8fda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="557" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-da1cc286-b420-48aa-bbd5-3bf406c6c48b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="556" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6e39e97e-edf9-40e1-8614-d310c6086e1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="555" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4ccc7750-a6ea-4e6e-9d47-14878c8b70d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="554" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-77083a25-a69f-4bc5-8986-b3cae3fd5447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="553" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ef341460-9c8a-428d-89d2-07e1e640e214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="552" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b8846ae2-39f3-4027-8b3d-52e51c811c7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="551" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bb53b4ab-5732-4554-ad8f-23697d9393ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="550" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ffb9e675-826d-459a-a8ed-ccec98acca20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="549" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c71524df-aabe-4a13-9b39-c1b3c1929104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="548" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d857843c-e97d-4bb0-9c9b-89e4409c6451-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="546" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-30a292d0-0cc9-473a-b7f0-f7bd73982d06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="545" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f729d7f9-3e75-430f-921b-a227e70b68fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="544" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b486877b-683f-484d-b02b-e810be3ca13c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="543" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d2184ca9-6a99-4e27-99c1-87c041c144ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="542" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed29f7ce-1a7f-4611-985c-04d77639ec59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="541" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-934a8b08-26e4-4a41-b09a-7aacdc098f8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="540" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cd9d8994-f996-4e73-9e10-219942de84c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="539" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-82b957ec-a698-41a6-8159-edac2e17946f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="538" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3cbb491a-9969-4938-af7c-aa0a56fc22a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="537" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-53b06424-217e-4806-9490-bd8e17f779b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="536" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e474b561-5502-4fe4-bfaf-4c67df09e2cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="535" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-46f91c66-09b7-4565-a94e-4631ff2c4baa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="534" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-593ac57d-2b12-4c3e-8d03-060e79da1ff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="533" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7d6393e1-f890-499d-b94c-a3b2c953ae18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="532" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12d5b774-eb18-4bd5-b180-964d7893cb4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="531" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8ac454c6-80dc-4d83-ab22-68487f9a98c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="530" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fed9833e-3d45-4cab-a0b1-f9c154711c93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="529" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-de6511e9-4a2a-4f37-97af-a738b86fc92b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="528" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-25c270a4-70d3-4f89-93e6-80e40e091a12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="527" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6cb69ca5-a590-4462-be13-d326fcfe3a6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="526" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e2625428-c624-41d1-aaef-df79c705edde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="525" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ec84a47d-0297-4eaa-aa6e-2d44ba83b8ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="524" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8f1b8d2e-720c-4a63-ab1c-c98fa4f47493-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="523" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b17fa2ae-3f95-4870-aa13-35105910b991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="522" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f04f8de3-802b-4671-bebd-0f7c90ce65bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="521" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-740bf8cd-a595-4261-a831-d03e24f92a5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="520" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-737056d7-4569-4d5f-8480-e37bc1b339ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="519" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d447c4eb-d0c7-4b43-a19a-e000a50a8335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="518" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-075570eb-29ef-4eb6-8064-39fbe97c7339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='816' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="517" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a0c62836-b68a-4858-900e-c3dceb33f1a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="515" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-37fc0112-6cd3-4e13-be9e-a4bdce6e713f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="514" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f17a3011-1015-4a91-9ed7-038a9e005124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="513" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8dec1308-2ffb-47f1-a8cc-3cb2b622c784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="512" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6aadd2a0-c72d-4963-a371-0637497eef3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="511" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-29567b1d-ec51-491a-a166-6e4810ebc02d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="510" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7be57001-0b95-4aff-aa53-7138942600b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="509" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c096ca78-a9d0-4b4d-b328-1cb8620491ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="508" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bf59b401-25f3-4a42-8ba1-399556b5948a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="507" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ffc5084e-9e49-4d7c-9139-d601c4ec766d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="506" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2a04a8f6-2007-460e-bb3e-68636a2418d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="504" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a72f24ef-5d77-47db-b30e-cc52b9d65c46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="503" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cdec461c-a2ea-4e49-bac6-f7b0931cf3d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="502" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fe36fe78-3106-4efe-9ede-ad4bdcf5a39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="501" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-934c61d5-a4f8-4af5-92ce-5b253e06fd0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="500" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-473380d5-4a3d-434b-aff3-ce9a0d4956b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="499" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a22b58bf-47ce-4d2a-a78b-52b7944d253f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="498" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-14e42e0f-53c8-4bcc-9cd2-f9e30acce618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="497" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1b9f5dde-8574-4d16-967d-65ac41aafd5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bcfcb3db-b5f1-49ae-9515-1dce03a56e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8d034986-e3de-47ca-9721-650a544e387e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-df807135-2be5-4866-a7ee-9d641972166a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-af7ac3bc-a899-4803-8263-108382289007-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-34321138-640e-4d1c-9b97-5b18e0780e10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-460248c2-32a3-454c-a814-064bf283d539-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="490" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e1f7173c-a339-4afc-8f68-f3a6428817b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="489" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0e16befe-5bf7-4888-82fa-369c36f48383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="488" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e21dc02d-25d9-401d-b263-3d599dbc7253-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="487" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-41abf152-75cf-4d5f-9a05-1b446810160e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="486" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fdba1088-d3d7-4912-a667-df79a41b3412-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="485" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-86e5343b-e916-44b7-a237-36046fd95c76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="484" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1c7e5d32-af48-44e0-b0b3-fc75432d5d80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="483" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6de088c9-a038-443f-8f57-5cadb333d0f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="482" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-33c53f40-b412-4bfc-bf19-747985ad7bbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="481" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e3ebde78-621e-4225-8d42-98c4251f7736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="480" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f8bbf155-63d5-410a-a824-41d916cbde27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="479" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b336e5ff-8861-46c0-9b40-2736c5d00bff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="478" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-60e7a743-1b6a-41f5-a120-c0599e11e678-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="477" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7e0d8f33-427e-4232-aa00-cfa636122b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="476" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ef1a55c4-b574-490c-8815-f0fe10e0ca8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G036' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="475" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ca86a3bd-a7f7-43aa-aacf-ec966074c7cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="474" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-af78d1f6-57cc-4b16-87cc-83af01b97ee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="473" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): element hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-439f4983-c680-413e-a843-2c07ea6b14e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="472" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster32): de waarde van @code/@codeSystem MOET ''G073' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bb70aaf3-9dcb-4682-965e-d6035df31ab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="471" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c88d6e5a-daa9-40c4-ba0a-c35d93fad9d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="470" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1e9efb8b-a60f-4eb2-89e7-10b5e04a635c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40817']" priority="469" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40817'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40817' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40817'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8cd4d53b-3b15-4434-b552-19c3055deb5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="468" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): de waarde van @code/@codeSystem MOET ''817' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-48ad775d-c8fb-4e57-9db5-ef0ac88af7c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="467" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0283_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0283_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): de waarde van @code MOET worden gekozen uit waardenlijst W0283_HL7 W0283 Screeningsinstrument (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Taalsignaleringsinstrument): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0283_HL7 W0283 Screeningsinstrument (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6a2a79d2-1f0b-4daa-a36b-4bd2060a0ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="465" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6ef218af-99db-4d57-9eb0-e1f6b8d64204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="464" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0932eca3-6ea7-4d8f-b14a-6d9accc284b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="463" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0fd378b0-1233-4870-af7c-5b2ba3d39ae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="462" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e7eab9ee-5a64-46db-a367-5693ef5e5067-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="461" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5cdb9411-e5f1-4e7b-a2f5-3c9e55a93bb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="460" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c513ef96-0942-4d4e-a9fc-4ff5488f8ba7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="459" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-46fef9c1-0f6c-47d4-9faa-a194c3a5b965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="458" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ee960488-ca9a-4627-9193-2613075c039d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="457" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-37bfc31e-882c-480b-9635-be9dda2c4ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="456" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2ee40bb4-c6f3-4bea-b140-24731a97f3ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="454" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-862f926d-c36a-4493-86f5-7d9ecfb1e8c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="453" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1e6f54e5-e490-41ea-b489-1a993f83b389-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="452" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-eee62bdd-db11-4193-a069-9d50e405b49e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="451" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-013f1fdb-82f6-4a2f-a2d9-571e085f3451-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="450" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed132e86-d6d6-442e-b4af-b3244a3be49b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="449" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6fddc3ce-c18f-495e-806c-f02ea32fc4a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="448" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e8f5fec0-6236-47b0-b0d7-64ae27a5b4ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="447" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4b629662-2c79-4a36-9a72-a9b8d25f7eac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="446" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2ab722d6-4467-4d2a-9385-2102aad07a4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="445" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-22914e55-505f-4861-852d-bda6db075576-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="444" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9cb26880-318b-4f82-80a8-20f93402c84f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="443" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ad61b87e-87f7-4563-9f7e-715bc281e783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="442" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9a190916-b8da-4242-bb65-90634f9cf86c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="441" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c98bef0d-8b2a-4873-b02d-8274359a496b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="440" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-15dee3a4-ec55-4471-8e74-4e599d6034ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="439" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-09f390f6-aa71-4ba7-850e-0975f8be2fa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="438" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12518c9f-4085-4ba5-b936-43c960ef00e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="437" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a86067ef-bd86-44d5-a54d-9cdd325ab00f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="436" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1e09a5ea-f8e0-4c17-b1ca-bc340ef1e848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="435" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-650ba482-be64-41a5-a9fd-90930f427a96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="434" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8e80d139-c31b-41f0-b889-acc4a1045acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="433" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b0f3738e-5add-4641-8958-e50b6b0792c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="432" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d86dab0d-9ae0-4047-9ac0-19665b7f1d7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="431" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0db2ad9b-8eb1-445b-b8c9-e1fffb33de4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="430" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0b80246e-9cc2-4523-8aaa-58f584d97be8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="429" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0573fe04-031f-4c82-8c17-6f72fbb312fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="428" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d8e2544b-42cf-4903-a246-a8a8053c0ce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="427" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d4eefdea-cdd4-4159-9ef1-f05488391a30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="426" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-48bb0a20-0c60-47e2-a22d-948675a9dd1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='817' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="425" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-df6e0e10-2d98-442b-a1ab-9a41d346adda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="424" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b089c01f-65d7-439d-ae82-6669622edd24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="423" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d0d61b31-7ee6-41a7-b9dc-69c196535b42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40818']" priority="422" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40818'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40818' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40818'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-22c97f66-1794-4097-b91a-626c8caeb1b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="421" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): de waarde van @code/@codeSystem MOET ''818' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1aca1df0-2e98-4933-9db3-45e87e3a18f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="420" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_taalsignaleringsinstrument): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-31b8af22-e8a6-4e92-b677-dd1c0f231dd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="418" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed7713bc-a72d-4713-8fed-35f54f53293b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="417" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9681aca9-cf28-4154-9e35-99fa1e53d350-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="416" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5ffdbeb5-7789-4d81-b7b2-5ed935c90f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="415" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b0443e86-e965-44b3-b499-c8059203590d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="414" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-52ca04b5-9b63-472d-97e5-10c0038bb410-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="413" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d1e52848-cff0-49ec-ad2c-417a33fd9d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="412" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f6020c14-b23a-4bbb-8012-64f7d9395f6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="411" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1c3a3d76-fac9-4ed1-a91a-c3fb05f15e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="410" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-79032a38-0191-409b-aedf-8bc5f1ead3cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="409" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3213150e-a0ca-423f-a443-e741aaa932d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="407" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-aee8b34d-78c4-4a98-b6bc-421583cde763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="406" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d20e0c60-de1d-44cf-86f2-3a883b065015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="405" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-509b154f-a9e3-4d72-bbb8-fbe1b0d151ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="404" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1a4aef3a-1794-4a4d-8116-60470536152c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="403" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-44b401be-2aab-4ef2-92fe-1e8913a9179a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="402" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-55929042-b6a8-4162-9814-7dcbcc122178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="401" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-52ccfedb-6071-41fe-af78-f6ec35b1af6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="400" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0badd599-28e7-4691-a70e-f26764749dea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="399" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-32427a80-ff3d-44d2-94fa-001ac43cd375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="398" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9beb1ac4-9aec-44d4-9884-e0eb77e6863f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="397" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2b305039-4483-4085-a212-9c6ed90a520f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="396" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-932dc95f-7604-4410-a252-b50076358a3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="395" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9acc7f34-41aa-4ae0-9c57-90ab6ee4c92f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="394" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0c9beea4-399f-4fb1-958e-a69ce7535dca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="393" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-86969e0b-adb2-434d-a31e-f7d46b7843d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="392" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ff5e5c6d-4a03-421d-8a07-34ccf9efba76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="391" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6953d9a6-748e-4482-84ae-b7e2ff3906f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="390" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-50bfd572-f3e2-44c8-bb46-30c7b1066776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="389" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-89f246b9-ee31-4883-a576-cb07b68c3dda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="388" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8e672256-a575-4722-9e53-45d4c1debf2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="387" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0cde7573-9184-4ba8-b46e-dcd0fac1cf4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="386" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5cdb82ff-dbb0-411e-870c-aa4674d6e98a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="385" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-614b635c-eea8-4085-b4cc-896c54f5e1d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="384" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-63c2f180-b57f-4171-b1c3-43934c134d83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="383" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e95061c8-0b99-4bff-a207-d37fa0c59c43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="382" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-08b664c1-114f-4de0-b6d0-7f6499789fd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="381" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dfea10f2-4560-42b9-add8-7e966e93536c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="380" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-86309c87-a5fb-4484-aa50-31fa5cfd2071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="379" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-23f3fdab-9cb2-4a1e-90ba-2637d20a06bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='818' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="378" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a5e1195b-803d-4606-8b73-41d8d3b79793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="377" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a61dac1a-0b76-4ad7-b5ba-e76ac08645cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="376" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-01811ae5-926e-4714-bd66-d22fde280762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40819']" priority="375" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40819'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40819' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40819'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bf19d095-5cae-4fd3-9e4e-4b5645722b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="374" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_taalsignaleringsinstrument): de waarde van @code/@codeSystem MOET ''819' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-934d6ce4-c30c-4f83-bd18-abddbca288e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="373" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cdae1f22-9dd7-40cb-92bd-957b1df45762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="371" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4cfc456f-3ec5-4b02-9adc-7f53eaafa7eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="370" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7d83d37d-7dd1-4ab6-8a5e-2631a3e035d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="369" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-024d8f30-c5eb-49d9-ac4b-50db2f18831f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="368" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7700c5ee-ccd5-4dc7-b879-d339e79d9c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="367" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0c52c965-fdbe-4da5-b98f-cbd8a3363b4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="366" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-33de551e-0166-4a8c-968e-591d69e5adea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="365" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a6fac542-425f-4be2-8da6-59214452384b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="364" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e4c2ead0-7b23-47e8-acc4-89b6caf84ed9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="363" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-44ba3a70-2a16-42ec-a495-e45c72b9f5ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="362" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-50952ec4-0c34-4993-b2e1-fc6c9cd19136-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="360" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6c105f2b-bd9d-4031-9beb-146d73c30acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="359" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-99d4b83b-ccfa-4563-99c1-430c7b801a75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="358" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f3f15b8d-05f7-4112-b2fe-355d446f550d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="357" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3079625a-cdec-43c3-b91d-0dea9d8208e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="356" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9ee2d4b1-dfdd-4fd6-a058-c7c991b0e984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="355" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9110eeef-2edd-4d34-8c8e-0ed5cf62837c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="354" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6480fbdc-6433-49c3-9358-e8fe70d85d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="353" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3d929f4f-49cd-4f6c-87e1-95abeb56832f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="352" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f5c85e23-ab4b-410d-8884-21c86442cf53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="351" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0fde4049-dcd5-4b18-bffd-cfe61ff61330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="350" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1e46f4d8-0ef5-4ca2-bc2f-ef2a011fc647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="349" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a8080677-0b0d-4e06-be96-7cffecaa6b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="348" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-65c1e22c-602e-46f3-a683-c4664d327042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="347" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2c5608d9-26f7-4b8b-ba8b-087bd9f105e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="346" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-befb7a02-f37d-4584-b00c-72a3566f14bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="345" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-069c05ef-876b-4792-8525-407675ea02fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="344" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-50f26d4d-ce00-446d-ac63-9cdc3b446f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="343" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bdb3a121-f443-40fb-b788-3dcbfce00604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="342" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7c8daaba-2261-4ed6-9afa-56a597336ada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="341" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-17deb371-0610-49ee-bbf2-8f09829d6102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="340" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9ab29ef7-be8b-49ee-a491-44b29031badc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="339" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-10f6f8da-cabf-40a2-8b11-fb3782f440e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="338" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5ee430ab-f3ea-4587-81a8-23b8cf908e87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="337" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4f355ee6-dcb6-4075-924e-085ce4cc0990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="336" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e97b16b8-c4a4-4895-b5d8-2ed1423a3efd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="335" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-afbceacd-a134-4514-bcc5-9d266da0c12b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="334" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-83fcc7a1-d009-4c8d-b82c-96e46f577339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="333" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-70e9baf7-e4b4-406e-938b-0cb38d6a41be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="332" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bc86a293-b279-4bee-ac39-98c4411735af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='819' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="331" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d3a54e8d-9880-4411-b231-e800829504cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="329" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-784296ec-580c-4bc5-a3a5-a835b4104346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="328" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fc6fe2d3-e4d5-47f1-b6cf-ab2bacfd8ee8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="327" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-040658b6-6b52-4003-99c4-30fcf67c89a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="326" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5c80528e-9655-4d7c-98b4-6edfb3d370b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="325" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-500935e5-d5cd-42b6-93b8-705c8ced142b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d099e245-dafb-4964-a712-9d61d6dd4ced-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-059a6096-d20d-475d-bd96-8c91716b4a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="322" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4b3055d9-09e9-47a7-b5c5-a2a52253039c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="321" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f3a0066e-f226-4486-bda6-e0b9052b9719-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f3d6c455-7386-4990-bf9b-467949140f34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2bbe84be-74e8-48b8-8d6c-d24f00fe04c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0826f33d-5d58-4f36-9161-dd9b62b39ae7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-91ad7e00-5590-453e-a078-8ccb8e742b94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2e562d8a-1409-4388-8f62-1e6182208b73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-60e2fdcf-4b10-47ec-9e8b-7a9b3bd81ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4c129836-d6c0-4017-9cf0-585d8aa78f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12f001c2-6956-4ce3-be5d-c0a2024adc00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8c9cdeea-235b-4d84-9afa-0a860f8d18ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ead2425f-2022-4b65-ad5a-e84b7205a528-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c2f96808-9cf6-4a75-81bb-1963cb97b1a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b22332f0-2c37-4a47-8542-ec8b0e2d9935-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-370f61b2-8e82-401f-bab6-3f03570e4983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bc9f35e1-2d2f-41d9-8aac-ae23d6c430dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-95d16a44-2e20-4ec6-b1f4-a1196b7edbac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-24beecbb-0a1e-4722-921c-854893a1fcbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7bf3370b-edbc-4320-b4e4-0cffd9b01a4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-edf330bb-89de-4846-bb23-08a30ffc9a9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5a165b9b-b923-4f9c-ae5c-ab0ee1bfa156-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-15aa7e71-3eef-4cf9-9ded-066ed81f7ec1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6e5cfadf-4744-4bcd-9e1a-1437d5ba8533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f8fc66f7-c325-4896-b2b1-bbca3c457cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fd756c26-7bf4-4ea8-a1d8-465a4d5a85d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3d512a50-9610-49ab-b4dc-48849df6cc64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8408608b-ae91-4c3f-a382-51e754b0bb50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9075afce-a91d-4eea-aaa2-e371a02566ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-daa5b619-a398-4321-a092-604f58323f06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="292" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-36e18255-b117-4fe4-86d7-694ff5d755cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="291" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f2380cc1-a8e7-4c93-847f-d56b5c7302d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-11674737-b629-492e-b83d-f33bab0ed36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:groupCluster[hl7:code[@code='G073' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a3bc0de8-a90a-4bd8-8163-f264dc8f6e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8f6140a4-08ce-44e8-ad9e-7a6d946dc691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e25c4b1a-f3c5-4e83-9661-3b0130672367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40820']" priority="286" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40820'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40820' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40820'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1e96130d-7cc8-4364-bbd4-2fb3fa18d47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): de waarde van @code/@codeSystem MOET ''820' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a02194ed-b169-4b20-9460-811a525f4624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0285_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0285_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): de waarde van @code MOET worden gekozen uit waardenlijst W0285_HL7 W0285 Aard bijzonderheden spraak- en taalontwikkeling (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Aard_bijzonderheden_spraak-_en_taalontwikkelin): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0285_HL7 W0285 Aard bijzonderheden spraak- en taalontwikkeling (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9175832b-a73e-482d-88cc-62aa71618614-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-881b9a74-e43b-495a-9f80-760dddf8c003-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3765c256-f3da-4a08-9947-5d3ddcf02ea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-33b75075-2539-4bc0-a607-7233b1e37086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6049c602-be0c-4a63-b3c5-c5bc3d6bebdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2159c4b4-21e9-4390-9a94-f33ed91c50e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cc3edb67-bf51-4630-9168-f7406ad0af08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-7060d9a2-9c70-4b00-8039-157961885948-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-28747cdf-5870-40ae-b8e9-080ce33fc318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fdb8b9d3-154e-4f3b-900f-c4ed24fa4f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ddddd086-e268-41f7-8cea-6ed277061a26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e58b72d8-f8c1-4d49-b40f-90ab9f19bf9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1f1ba5cb-ea05-4142-a601-4e2d9fa574d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d1bc9874-7eda-45f3-94d2-3704753829fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1eaf7597-5d40-4613-b797-6136ed15290f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1b016d3e-766f-47cf-bf4b-de0b35145a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-001606a4-f224-47db-8907-7449027eb4c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-929c04fa-8ca4-42b4-b13a-f282c5d50cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-900a2bf8-8515-422e-b9dd-01f73bbddf8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ceb5da72-5bfe-470c-9baa-7402642e34ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b439ce7f-eade-49f2-a12f-985fde8f39a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-30a5b5f5-3403-4008-9bc8-688d5d78d26a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-53337f3b-ba20-4fec-9bf1-567b28f96a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b8af4af2-c871-4e95-93f3-be7f25c82408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed435a79-9727-4ccd-be69-0244c19993da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1a256c91-e822-4377-ada8-0060f761e784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-34a1da96-0693-4385-9394-c66022d59fbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-91baec32-cc09-4c02-8752-6634fcc89d17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-87119764-68ae-474f-a6dd-91c821e9b2c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2de3861c-b953-495c-ac81-e228bd5bdd2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b0b0eae8-2f2d-4d32-bc8e-f86ad8fa1e87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a219b48c-2df0-4cf4-881a-35e9ddb7a59c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4bdf4c2c-2294-4ad2-bc21-ea37068943ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b8c1caaf-327c-47af-b9fa-3318f0e65c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e3106dca-090e-47d6-bccb-0c26e7ee5991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-53a07003-8b4b-4ad7-aebd-b43320b50852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5df25f75-33fb-4304-9eec-2007d15227ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2ccfdb13-22d2-40f3-9b1f-faf946e407d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-52d61450-f27a-4a95-9f74-61f3982a24fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-526ac8e4-cb8a-4cc2-87e3-9aa7446c5ec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='820' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-778ca36d-d6e2-41da-bebb-474f005fbffd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2b27bb80-f1df-4148-8659-c0a881958cea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-48979679-c92a-4463-a09e-517834125e9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40821']" priority="239" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40821'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40821' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40821'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-af26c314-a0ea-4e7f-964e-943796570d14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden): de waarde van @code/@codeSystem MOET ''821' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b85e5e66-d7a4-4fd7-b954-f12c2b2f8a75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b0c10170-af42-4365-9b58-65cb0917cc45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-868fa0c8-9be0-40e0-ada8-c6e03246f9c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cf451445-de09-4fe7-94c9-d77da7a9c545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-64b522c5-a8ee-4995-8604-4a41ef9af8ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8ed92475-0205-44b2-8f23-acf8c3af418f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dc63048c-bc7c-40d6-8b9b-f3ea99fb1e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6e8aaf3f-afdc-4614-b442-eadc07a7c9e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-75b0470a-783b-4d19-92aa-11f394036855-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f267d29c-7f18-4497-825a-15c80c35b924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-afcaa2ef-f302-4089-a581-99c967d2faba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d1026c87-65a2-4bdc-befb-8b99819e0cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e39bd4a1-309c-4bbc-b5da-8f40da2c1423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d080b4cd-7124-4f12-a3a2-ad04c3bfc36a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3ec8e432-c5ac-438d-b4c6-c3197743755a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-731edb38-b5b6-4f02-9443-7b5a7bb78888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4ebd1697-f38a-4906-8abd-d9943b8b7645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1fa99647-3a62-4151-bba6-228d513aea97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-58d2b5e1-919f-4705-be21-4d6019703a7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f603414c-e03c-4f74-b074-c6494d5c40bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8d8ebaa0-69e6-41ca-9ee5-cefca827d1b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4795d9fc-6ab5-43e7-9bb9-e224dd2456d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8ccbbf4f-0ed2-4c05-ac56-766288e87ba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3fb8ef21-efe0-408c-932b-1c94af266e06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-eba28b82-d00b-42db-a6bc-df1189d12a95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-53b6d5e3-87a2-430d-abe6-47970b3269bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-81d4be2b-c22b-4656-9e4c-04ae423e0425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-321ba532-8c2d-4482-b535-64c5aa64751d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5f0b5747-a824-483a-a9eb-527a6b86970b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-449a2338-9c35-4829-bbae-87b35260824f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-572ae3a5-fa6f-4925-8b2c-87b0046492f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d5fec35a-94bb-491a-9200-698b1a325f61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed860b5b-e312-4ee5-aee1-a04046f2aae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f63b2421-7363-4260-8696-b396fd7a9461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f134b2c4-fdb9-40d4-91e1-efca2b3b400e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6502ddbc-7243-4d3d-8c07-f05ce8376f35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5584ccd2-53c1-47c7-ba7c-19cc6d0e13cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ca620cdb-28cc-4ad5-bfd1-15f0a4168610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0bbb44fe-9360-4bbd-97fc-bdfcb094deae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-29f3909b-c396-49c9-a319-3dc7fee2f5a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-de7fa125-dcd1-456e-9aa1-f01678ff28cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='821' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4ebaab8e-6f74-40ed-9bdc-3fc8ad991f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-95f24d85-728a-437f-90d8-31dcb36a8559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f25ae9f4-2e72-4ed2-924d-a9f2077b99f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40822']" priority="192" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40822'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40822' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40822'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2b8cc9f9-c6a0-4d92-a9df-8518e8b27f29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Totaalscore_SLS): de waarde van @code/@codeSystem MOET ''822' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-86da79e7-6d9c-48f6-939f-2a394e5e8043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1ab0d8f5-1440-4abe-b41a-467a8ccaa1ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-10438290-e1e7-4cb2-b815-ce32c386811e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4722134e-1a1e-4efe-9b7c-f48f2bb1cd4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dfc52edf-84be-41ac-8814-1ae0d0e705e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-12b0b961-9062-4664-a877-c6445a0762a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-45da5ea7-a567-43cd-9729-5637ee81ad25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4d51d120-c4c9-4240-b22a-cfe499839086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-36dd0d80-8b9a-4536-aef8-d6741ed34ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-34203c99-41a1-49d0-ae7d-4577a6ead3b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3b7020de-4a4e-4a36-87ec-14152c2975ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6ffe2bc5-d44f-4ae2-a032-188e85dac1b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4060f5db-d708-4d21-9419-88074c56482b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1b15e6de-0ebd-4f6b-bab0-3832c0a92401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5237903a-fd78-4029-a5da-71a932b44244-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ef423f60-432d-452f-9114-17c19262e029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cf052c06-f0da-4cef-9d2b-002967e535f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b3fac07c-5bdd-4469-8194-0ed6dd19d1b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4c2cd4da-0806-4a8a-8ec3-639e6be1c035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a06014d0-2528-471b-a0b9-8321b28d7956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-944c705f-02b3-4acd-8513-bb3bf9d73da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a36e7486-1daa-455f-9deb-bf0fd1d6217e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-1c31fac2-ebfa-4cc8-81bd-db9314a964ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-245a66ea-dbb1-4ff5-be3f-33eaf4e29f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a1b3e467-14f3-4180-bbe5-355b0e8065ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-587d88a6-c4ba-4a9f-ab21-c9535eabb2e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bb8d992c-7a81-4c74-b34f-6eeef2aa8763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-8437a1a4-fc0f-400b-b0dd-2390d2064b38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-58b35421-ef0a-48ce-ab5f-b82de318e07d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-01d930a6-a0c7-4c86-a6ac-60098b1a368d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-19b19137-6fa1-4119-b44d-a1f7c9ac0e81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dbaecbe2-25b4-4e9e-9e23-01b36a2591c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c3469e9e-798d-48f8-bbcd-1efe3e437fb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-dc3cbd74-6a26-4804-9dcb-a8c8d0635965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ccce6d5c-0d80-4439-856b-8a849d1ee5ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a9652f9b-805e-4af0-93ce-adeff7cf9655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b950bcac-8e8b-4b9a-80e2-433869ddc4d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-78817185-ae05-4a7e-93b7-7c609b5638bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4b88c787-59b9-4c98-b96b-378d65ff8432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e5b4258f-ca9c-488d-96c2-9bf75fb00e41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-4afdabed-4bd5-4a8c-9be7-c2e53cffe522-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='822' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-85f529a1-ec05-46a2-b6ff-6be486b25442-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-f7d430d2-179c-404b-86e4-ac7be63b88c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b3363b42-7e5f-4a3b-9158-76a50a785eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40823']" priority="145" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40823'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40823' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40823'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-09d09b6f-a791-4e50-bcae-d4dba848df56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): de waarde van @code/@codeSystem MOET ''823' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5aebb580-90b9-469e-a70f-0ab7eb134598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0287_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0287_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): de waarde van @code MOET worden gekozen uit waardenlijst W0287_HL7 W0287 Beoordeling spraak- en taalontwikkeling Nederlands (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Beoordeling_spraak-_en_taalontwikkeling_Nederl): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0287_HL7 W0287 Beoordeling spraak- en taalontwikkeling Nederlands (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-471493d6-73d8-4a38-9aaf-e3b90e51ae42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-ed58f5b0-991d-44b5-a5b1-845b73ccbb98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-49ac20f3-b67d-4740-9036-0c73438d2335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-09e42668-cd2f-4507-a6f8-6c63b288fe94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0a3e6e4e-8911-4cf2-a639-f182d54e6c27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b2d33338-6a6a-463d-b507-7775088895e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-de76d5da-1093-43ac-b790-cb8ed4e62cd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9fa51654-18a7-44eb-8a1f-17e64903f053-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d74b8df6-4bc4-4455-b45a-acc97e112dda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0bee8b9e-3c2d-4f3c-bde5-8025508da8ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-878e5e08-b436-4b34-a3d9-e46dc22e9d0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2a613ee3-7bfc-4ba1-96da-4c239705938a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9d94ad4f-4f22-4668-babf-b7edbdc36338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6bbc84a2-16db-453d-b286-d00ca301aa63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-a30aefa8-3f14-432f-b06a-1f01a7b8d2a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-115c437e-e703-4841-9258-071cd6ad4354-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d0a0c6b7-7989-487b-a4ca-f3bb54e0bf46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3ae3f5eb-f658-463b-b08d-e4e07ec0dfa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6ce2bcdb-c8be-4349-aefc-37c3c734b23c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-c77e0650-229f-447a-bf4a-05a7311d33c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-123ed517-93c4-41be-af52-2c5e724f25e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-9688c993-dc75-4771-a439-a1e60ef63cf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-143f5912-de10-4658-b2ce-b72619fcd220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cf517390-5e84-40f3-9456-4cae291bdf79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-56846f74-918e-4ba6-8932-8933e79f32b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-6a5dbd85-67d5-4425-80ed-b245d6cd2ae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-3ab552be-a3f6-4354-b90b-5f060a45e4d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-cf617924-8795-4d50-8e09-a04d691b75e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-b77c4a9a-c4a6-4dd0-938c-69c44b8381ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M78">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-bcc86ef2-3aee-4daa-8e44-36f6b4d4c8c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fe8846ea-33ff-47a7-a4f9-ed0ff3aba3d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-0ad35b77-149a-4a8e-8dda-8abe186bcc61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-d093450a-64e3-469c-b6e2-5f97a953c072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-247839fb-d706-4fac-885c-f110b32c8c5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-20b103c2-b97a-4cab-84e9-e01252cb2f70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-2da89375-bab2-4d32-830b-37ccfa234363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-fcac9e0a-798e-45a5-a233-c41de8b5184f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-91fb0faf-b7ae-413a-a411-788fbd1f6abf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M78">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-e5d30287-0c31-495c-a753-123343633a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M78">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11032.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>

	<!--RULE tmp-5a125414-fe89-4563-aac5-d9d0a0db2c36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11032']/hl7:component[hl7:observation[hl7:code[@code='823' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M78">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M78"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M78"/>
   <axsl:template match="@*|node()" priority="-2" mode="M78">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M78"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M78"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11034Rubriek 34 Inschatten verhouding draaglast-draagkracht-->


	<!--RULE tmp-a887e113-9425-4cf2-9679-181f138c87f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']" priority="244" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): element hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cae2309f-a96f-4167-9ca3-c4423df71a14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']" priority="243" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11034'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11034' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11034'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cb3fc296-5caa-4fbf-8c42-7e3d823f6449-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:code" priority="242" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster34): de waarde van @code/@codeSystem MOET ''R034' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-681396d4-7b71-4d34-b659-4d3b9d0cdba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-1be93c92-6955-4034-ad21-1c166ac76cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-23519a91-c20e-4583-b21d-70c9813ee6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']" priority="239" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40339'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40339' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40339'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4e5186cf-58ee-46b5-8651-1238a96b85ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Verhouding_draaglast-draagkracht_onderzocht): de waarde van @code/@codeSystem MOET ''339' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-490652b6-6e41-42b8-818f-e21b22e9bbdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-53ce0006-dc37-4d25-97f7-8caa28f9f365-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d5599b7a-f42c-4704-aee5-948a36c9215c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-b286a2e4-ecbd-44a7-8c0d-01a9db535f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5f8b08f2-8d43-4a1b-a802-f079c860ab0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d1b8b38c-052e-4fcf-96f5-d04c64418f65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-badaf548-7565-4956-a94d-b615c9a08976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c7d1c54a-bf78-46bd-822b-937bdad2a89a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-1041dca3-2292-4f1d-a727-4266b83dfbc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f1997caf-6f94-4669-b12a-f977634bf776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-ed4e51f5-3b71-4977-bd4f-beb417b6f5d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-9310ad43-2378-4791-80ff-6a8ae4db9a2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-1a1022d5-3c4a-4692-8aef-86d4c9ef0de2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-aa56aa70-32a1-4952-b1a3-0338b710d4ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-765a279a-301b-4f9d-9cfd-b707903b3dd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c4167ce4-7d0a-4954-961c-093aca6493be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c01ba390-e396-45ec-a72d-882765d28955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-29fb8767-be1d-40f8-8ba4-b610f40c2bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f4906d8e-d30e-47f9-b862-6aca05ab31ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-fa581255-0003-4b02-95d9-8eb760996532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-10a130e8-09bc-4125-a019-d4c66a13f212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e7d61ca9-3efb-4a77-91a5-e2bd760b5a8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-978dc743-f004-4e00-8a1d-35361ea2434c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c3078887-13d9-4265-9838-409df26c85dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-8117677e-54b4-4605-977f-687bdc2b04e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-9612bdf4-98ef-40b5-be59-f4aa7bc7d3e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5f4c40ab-8761-4a6c-bd72-da1d9d79ac39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-36417b3f-f4e8-4b7b-be2d-cce3760ad549-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-da9010ad-9ed1-4edb-ae07-b1a778aa325f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-b4501e5d-5c5e-4be1-aae7-4d1bad8b90de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-a7bc2e23-82e0-4f07-a72e-df77c97a6fa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-ef15a241-63d2-4adc-b78b-945101664a40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d759ca3e-b5d7-42e4-851c-4fb112946930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-23749574-ba62-4960-bbed-c47adacaf67e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e73c2382-1dcd-46c7-a937-fc69608b59d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-dbbd63c1-58b8-4296-8b44-f8383c296ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-97b904b4-396d-4914-99a1-7b7c95c5954a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-338c8a3f-5fcb-4835-a16d-4798f4a51761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4dffb312-94aa-4136-b0f7-045eb6cdfc32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-bf87cf2a-9823-4dd3-a87e-0381a0a58bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d60a79e7-91dc-4c08-b13e-51f96cf9f9f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e519378a-76d3-4362-8c59-fd456878f98d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3c08d83b-6adc-45bf-9f89-710d2f77fae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e802b223-6239-4b09-bb65-e5a9868569ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']" priority="192" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40348'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40348' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40348'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-1b91737f-4555-4412-bac3-3dfa84f99985-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): de waarde van @code/@codeSystem MOET ''348' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-de6207d8-f8fd-4112-9178-3b8702fff97e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0294_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0294_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): de waarde van @code MOET worden gekozen uit waardenlijst W0294_HL7 W0294 Balans (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Balans): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0294_HL7 W0294 Balans (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e1b4936d-5168-49cb-aeec-be0de8297ac7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cb13f7fb-dc38-4138-b132-5f23a7373ae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-39314e66-945c-489c-8e10-ca21393a3662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c402b694-7fad-4fdd-aa0e-e91684118f31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-05dab6c5-fece-40a9-839d-abc4f0c0f882-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-eefbe219-7f5a-4caf-a0e8-f642991e88b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-47852ed8-6c88-42e3-9308-463cfc7eb3cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-090e859f-adaa-4ec8-be08-21866d80336a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-645fe7c9-9562-4bcc-8819-dfea4b8de052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-1d41b1b1-03d3-4061-a25a-387a2718514f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-db776987-59ac-4291-b792-02c3ffd398fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-6f110c22-1d28-46f8-b3f4-f300713a2137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f56cd8c2-b622-4ba8-b261-59b16f8bfa23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-273f1609-14e3-4790-be97-2b188c0fc195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-928034d9-0fdc-4eca-b4fc-1a6c4e05e419-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c3c9cf6a-cbd9-420b-b5b3-b60bf084f1bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c65a356f-8fda-4df8-9505-50b88f847954-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4bd57d47-1901-4c77-b57a-933e3a101e76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-814c4509-7b01-471b-9234-9a39a145b82e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-67a003d1-4c27-412c-82a9-7382d30fd37f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-a2f2a06e-24df-4f1b-a9ad-99fb59184b76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5d280336-fe4f-45ca-aeab-28f80a010002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-6b1e92a1-5e93-460d-b517-2bd27f92eae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3c877a96-c496-40b3-8f37-4e5358357f58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-6296d5b7-7575-4db5-8f55-5e5b04f7db33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-fbff9b89-2f12-478e-bf40-d7a5330272a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-13bbd2bd-a14f-437f-b30a-d699cd361244-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-73bf8273-38ba-4eda-b95f-e20cb8f04ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-2b0071ce-9bda-4c02-8c95-147b3deb9e76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3acf6533-c400-42c2-9c59-7608c75059fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3c136513-acae-4954-b03c-4e4765d9bb94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-ea9c7905-742c-4217-9838-b5e80695b9e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-ab4816f7-fa04-4e3d-b5df-ac9944547b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-fdfbd8e8-deed-4feb-8740-922bc207ec86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-05511c35-04ac-4178-810e-ae95de8a59c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-8543eaa2-fbd6-4c55-963f-bcee068dec8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e580a498-6bbc-409b-b45b-14e608d52c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-efcb6864-7f5d-4e13-8877-def64847541f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-7a4de0cb-5c02-4e9c-99cf-bea73129f52b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-b1ff2ae1-7fc6-45a1-a8c3-27b219090f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4035d293-0f02-494f-8c38-65f688ddb3bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-74833692-b361-4a66-8b86-c67445e2a6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-64e7e458-48ae-4781-bd20-a8bb5516568e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']" priority="145" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40349'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40349' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40349'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-fa251a3e-96d2-4dff-b4cd-3d48b6a7de1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de waarde van @code/@codeSystem MOET ''349' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5139e6a0-f81b-4ead-b832-0bde4d5fd6da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5f377d45-1d45-4223-9744-6629b17d041a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-8cc58570-422a-47bb-8893-f0198fc7f799-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-858fadfd-89eb-418c-aadf-70b3dada7056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-0b508148-c5b2-4102-90fc-29424f309526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-8018d7d8-aa10-441d-af67-9953d6abbebb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-0cc467ec-bb9c-40b1-8572-498262846ece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-781097bc-46e5-42f6-becd-c30a32ef6b65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-dab4ab0e-95fc-4778-bb7f-4f994cd5cd8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-a7608b40-4c9c-4d64-933f-1c897c0ee0b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-c9b812ea-7ab8-4314-8c47-e2e0e6f8b91c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cdb3f552-d60e-4966-a639-93363d817923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-12b71428-1aae-46f0-bde4-cd8fce771a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-7dbddf46-4ae8-4ae4-81e5-a6121a84e3d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cc3f01a5-864e-4641-a490-5b759be11cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3c9b0bf2-d60d-4e74-ad8d-dbef811e5316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-3b0aafde-28f5-405e-a048-269aef1175d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-5c3ea9c0-b8fd-46ca-a99b-4234b5753a97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-a2b6f4ce-2330-4e42-b2b7-84c9487a6b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-94753826-7cea-4928-a9fd-8c4e18ab02a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d15a23b1-9a47-4b6c-b625-1abdb04f997e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f400bc32-f321-4bf2-93e4-d8d6d0e7d330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-cfd91319-4455-4d70-bbda-886555e05ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-47099b44-deb7-472f-83dc-090142bd88c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4abb59e6-c095-4b52-98f0-351fa7799664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d81d6a72-31e2-42ed-8e26-5df16abe5c5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-d04d1f25-fdde-4372-ac6f-5c0f5962a3ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-81c69dcd-f0c3-4b72-a75a-f7267fcf798e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4364e082-27c9-4a2b-9758-34d11f3acc2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-68a87d16-9824-4f9e-80bc-65af273f0e48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M79">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-bbb6edbd-62ab-41c6-8700-e24b235c79ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f9e3a827-a1b3-4261-ac77-0de06796ad78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-8dd2fe0f-a7b6-401b-ba32-5e28cd955ddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-57e3033f-ae90-43e4-a070-1f956dc9d902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-50090ff9-d764-4fd2-b2a0-c4ede577658a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-4e247d74-caf6-4829-8a77-5e298622d7ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-31988504-2c5b-4d62-907b-52ae5c64228a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-b58cf07d-7c32-4370-bc66-c8394b7267d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-f8224605-8263-4a09-b75c-c925da5b7854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M79">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-dadd9c89-a9f3-486e-8641-04d7ec551024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M79">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11034.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>

	<!--RULE tmp-e5868efa-3392-45f4-9b37-b2874abaa8a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:code[@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M79">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M79"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M79"/>
   <axsl:template match="@*|node()" priority="-2" mode="M79">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M79"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M79"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11038Rubriek 38 Visus- en oogonderzoek-->


	<!--RULE tmp-8849c350-39b5-4c4c-bbaa-ebb6d5bb62f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']" priority="1966" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): element hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84d2d3a4-d5bb-4b9e-8440-8be6d7e79f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']" priority="1965" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11038'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11038' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11038'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e0018c4-a16f-40b2-867f-b812518b6218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:code" priority="1964" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R038' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster38): de waarde van @code/@codeSystem MOET ''R038' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R038' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d0bd9630-6d28-46bc-a7f8-96e75e78724b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1963" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fa6b99ea-ed08-40f0-81a4-01ee0658c29a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1962" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5a3d5122-417e-4e10-b073-e14d3029ea80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41379']" priority="1961" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41379'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41379' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41379'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afe89506-6e44-4915-8434-69e7965afcc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1960" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Oogonderzoek_uitgevoerd): de waarde van @code/@codeSystem MOET ''1379' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91017b83-7f3b-4edd-b7f2-f064f10a3a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1959" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6bcebfc-05b0-4659-8942-0a1d6034052b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1957" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-99c1a208-ad14-4af4-9986-bd704f77a06a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1956" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-33bf52c8-5f9d-49a2-b3b6-38e5ea45c8a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1955" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0c8862c4-a83b-4a7f-b357-8c472a50f536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1954" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4c7597c9-8837-44f6-b115-d0648f946c46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1953" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f771c8a1-0cfe-4f6e-b1a6-42a7d988a12b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1952" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-79f2aa5b-e9f7-4673-9c13-932bb7f17cca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1951" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c709adc0-450e-4f6f-b16f-85cae5ce8b2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1950" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-be297820-b37c-4cd5-8922-38beefdd1ac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1949" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb612ddf-04ad-48e2-8fb0-0a9cae2cc1e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1948" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5727e5c9-52c7-44cf-bede-6dfb761a1a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1946" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c85534f-4793-44ce-87a6-84a5c5e8d2e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1945" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9aa96f71-d526-4593-bf76-497d80c029e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1944" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-22646279-1a1b-42ee-bde9-877e07b7cd55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1943" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e5c5fd4b-940b-47c3-8116-83d6fc5792af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1942" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f2b27a97-725e-49ac-950b-cb015c861483-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1941" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-976aca26-c094-4b11-90a1-d9753d601469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1940" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-73274869-d393-4efe-a2dd-b2f1a870c473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1939" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff9ea23e-a08f-4df5-b0a0-b80d1f343505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1938" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e47e5bf7-5b0d-4152-a144-d3c58c70c825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1937" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c3139923-8856-4397-a8ab-ecb26788eb8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1936" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-786a08c1-73cc-43e6-849d-f41878a78d0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1935" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ef4f4b2c-6c9b-455b-978a-5fca602c1696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1934" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dcf6c65f-88da-4106-b012-f9b778dc83b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1933" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5f127dba-7183-41ad-accf-53822dfc4516-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1932" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c983bc05-8556-41c9-b688-6dcb49ba9c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1931" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9043c293-aadd-45d4-b562-5141683b6d28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1930" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd061648-7d03-4ac5-8729-980150b6e608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1929" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b963e834-b43c-4103-bc14-78e66b1361bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1928" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fa2ee453-08b3-474e-90c6-3aaa2e259ceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1927" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a87a69a5-71f9-4295-98b1-35f2b3c7f624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1926" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-024f4e70-3a45-49cf-a81e-dcff7251244e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1925" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dd7d8399-d774-41d4-8aa1-d422bd005ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1924" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eed757a5-010b-4d4f-bd22-546d3b0c75b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1923" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dc2377f3-b4b1-4ce1-a856-6d4672d94250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1922" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7dfef479-25ad-4bc7-aade-5792222a36a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1921" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ce6ff0f-9343-48ab-9eb3-437864a595ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1920" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c69103f4-b100-4fe4-bea0-d6225ee0779a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1919" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78f67af0-b6c6-4ec2-ac4a-a56c02ff0d44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1918" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4e321ac7-fea3-4d66-b5e9-637c80551f11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1379' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1917" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45b55f75-86b2-450e-9250-4a9bf85898c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1916" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3f7b33d9-da2a-4d46-aaac-686aa5ed2c51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1915" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fdd837d4-d859-4285-ba07-375d3bd8310b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40831']" priority="1914" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40831'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40831' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40831'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e9f4badf-bafc-4cd6-8367-545af26ccf63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1913" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): de waarde van @code/@codeSystem MOET ''831' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2d43b94c-a944-4cce-8db5-0da6d782a851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1912" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0326_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0326_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): de waarde van @code MOET worden gekozen uit waardenlijst W0326_HL7 W0326 Bril/lenzen dragend (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Brillenzen_dragend): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0326_HL7 W0326 Bril/lenzen dragend (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84fcbac5-af3d-4034-aeaa-a3243790fcfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1910" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-da0554bc-3262-497d-8607-00d4edba8dd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1909" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db91bf01-feae-410a-9e32-38c702a43bb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1908" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-82540a39-b97e-43ad-b697-aa2c0f24ba7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1907" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a30a5aa-fe9f-4d23-ad74-cbc2206970ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1906" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-780b00a0-8bc3-48b2-9a27-82d690e8c850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1905" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-99edf39e-b25b-423f-b06a-b7650c0e7e63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1904" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3a47411f-2e25-4e71-8301-38be4d621cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1903" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db7c5864-56e1-490b-b0c0-3127d01cdc99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1902" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-df810088-e400-49be-aaae-80989816f406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1901" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6a8e3d1b-4fc0-437d-992a-e31f2768cd5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1899" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ffe6d366-1e8a-4ace-9831-5da7523c44fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1898" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-64b0da6e-7bc0-43f6-baa3-1560f2272273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1897" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a78effb8-6bab-4f33-82f8-d6136e91aa60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1896" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-82e0fe76-6da1-4b6c-9868-ded44be52033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1895" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e065e888-8f41-46b3-9184-661904e73e62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1894" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3858a313-0087-4aa6-ad0e-66cc5d6919f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1893" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cedc9791-9051-48d4-bae9-ca5a44050696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1892" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6d32c723-293e-4f90-85ae-b0aeeda35038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1891" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-592092ba-a87b-45be-b630-363b5be6f9eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1890" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3786dff5-8ffe-43cc-b66e-4a41b6f21bb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1889" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-201f4b8e-250e-4e8e-868d-24f513387610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1888" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6619c927-74b4-4ca6-9ce2-ec9dddf33374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1887" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4656f9a7-e7d4-4e42-9fdb-adaa981b9bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1886" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7c2b3488-1b53-4b9d-bbd2-61cf6379f89d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1885" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8a21e58-8aa0-4aa9-892a-4635c266ae01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1884" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-64e5202f-732a-4e6b-8288-205999884fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1883" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32890b90-111d-41c7-bf73-6810a639f2a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1882" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8ca1dc2-51fc-4af2-8265-d724b7e2bc85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1881" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50351ce5-819b-4dcc-a869-309d4af6e7ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1880" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78df01e1-63f4-4e98-bc3b-92f8ac06a6fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1879" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b077c560-7d90-4a34-a0cc-7cf572899d2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1878" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cf2b8823-760c-43d3-a88b-a48ae9146337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1877" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d0406c84-15da-4c6c-9e76-f56c01bb082b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1876" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-20a72520-3038-4ac8-ae9a-5129dbbe998a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1875" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6a216fc0-d8c6-4711-ba34-dc5e66ccd5ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1874" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45b6c13c-c562-4a4a-96f4-5ee11841748e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1873" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a03ae545-29d1-4787-a3dc-a8067cca3274-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1872" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8fb022e-2223-4d5b-86aa-3e7a1a851a23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1871" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-95e62f47-924e-4c45-a4fe-24a6ea475194-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='831' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1870" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-96295c04-2459-4148-8715-527a017d4b82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1869" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e51f27a3-742f-475b-877f-1c6ff70220f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1868" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80931e3b-900f-4ae5-a065-62137ba1eec0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40692']" priority="1867" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40692'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40692' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40692'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-376c3b20-7610-49d5-8cbb-f323ef7daec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1866" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): de waarde van @code/@codeSystem MOET ''692' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b24abc18-f601-47f1-8477-06a0b3bee46e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1865" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0328_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0328_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0328_HL7 W0328 APK-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0328_HL7 W0328 APK-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-33466431-ee06-4dc8-81d4-8e9004415f21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1864" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-59529a9a-ba2e-4fc9-a21e-f86e31da1103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1862" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9330403-2ef2-48c6-ae30-2b7ff989695b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1861" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-feca323d-b1d3-483b-ada7-1f5dc4a6dfde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1859" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-00bc86be-9fa9-4448-b661-50835ba28f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1858" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-023151f8-8f84-4fbb-a633-abc11bcea812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1857" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84ce8d62-4998-4f98-b016-d24f977dc338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1856" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0468b409-4674-4c8d-b7aa-12d47a1949e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1855" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1e7048a1-d67b-4701-aabd-b1336bbbc39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1854" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1c69318b-598d-4002-981b-0c712d119651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1853" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-520e0fde-655d-4c45-80d5-c3d58c14dcb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1851" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0ac8b7d2-ab05-4a5a-92a8-54a422bf8977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1850" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-53f6e6a0-0f62-4dad-a6ef-adad1f17cda1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1849" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1f0364a-455e-4a11-be0a-12c5136d8e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1848" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-00222959-1b14-433c-b51b-d6ee68119bc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1847" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-86bd5391-e007-46e2-a324-97547ced2d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1846" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3e5eb383-5766-477c-b96c-19f193185e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1845" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-407f1ee6-654a-49cd-9d76-5e554c5740d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1844" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-515afc7d-c768-4992-bcb9-a1e8ea80e5ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1843" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-62c0c91a-e145-48ff-b9c0-16f6d8c9711a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1842" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1cb1ffbe-eed8-4237-9e85-ef480c77d1e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1841" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-98531f43-8411-49f2-b1c4-c26ccc412c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1840" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3740db0b-ba57-4257-be79-117087707774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1839" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d0366370-67b6-4f18-90b9-bcb4fde6cb2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1838" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6407e132-28d9-430b-978a-4dad3ca90d5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1837" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-998bfec8-71cb-40d1-a805-f44540b5099f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1836" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50c23f8b-bf2e-444d-ba44-1b863ef24873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1835" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d1a07931-0f72-477c-b038-a755d52cf453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1834" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb4925aa-47ee-453e-bdef-72156b6206a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1833" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5065fd6a-61c4-4471-b67b-59beb8151519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1832" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-67848b06-742e-4878-bf92-1aa703fd3c09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1831" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-400c839c-1978-4eb8-82de-e6e81ce7f8e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1830" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-368e1113-30b9-4946-b19c-6a67e2ffac8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1829" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-94221e85-17c1-4af5-9aaf-93476cdfc559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1828" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-592eac3d-1e90-45f8-b479-4e71f9341ef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1827" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d30e67ec-57a1-42bd-826b-c91121637e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1826" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6bfb5f2c-9a91-418f-bc98-a538aab0f523-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1825" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87d4dacd-af75-4819-bd03-92e4601a1f2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1824" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d443ce6a-d635-47ca-9cdf-34dd481fd815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1823" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc14641c-93f9-4ce7-8e9b-1c2c0b6da7e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='692' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1822" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6d4efa29-2361-4035-9488-422c1d395332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1821" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d73efaf2-c071-492d-90b6-f499616a0933-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1820" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-641b87ae-fe79-4141-ad04-b281d4318066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40832']" priority="1819" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40832'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40832' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40832'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bfe4a67f-fe71-4dbc-8b58-3797fe9ecc4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1818" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): de waarde van @code/@codeSystem MOET ''832' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0a7ac7ec-76ec-4d25-9a50-3ff6c07e96b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1817" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0328_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0328_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0328_HL7 W0328 APK-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0328_HL7 W0328 APK-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e954360e-5732-4a53-bb51-ba8b6f3b10e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1816" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-433dd837-257c-4db7-90b6-266ad96800e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1814" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4947d9b1-aedc-4db6-b3f7-a019065d337b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1813" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f7298935-e521-4548-9c26-3b82ae6417f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1811" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6114bb92-6831-42cc-83e9-9715da06c429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1810" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87237ab0-992b-4937-827b-fa22ba6605b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1809" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4b8e124f-a771-4a3c-bcb7-daaeaf3002c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1808" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78fb94ae-8713-452d-9aa6-59fe71e03602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1807" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-141d1399-f89d-47ae-9804-b3c484880568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1806" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d861e2d2-2e41-48d8-b6e3-3eaa760a9f3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1805" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87fd7d13-dec9-4b0a-85be-2638c4887c4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1803" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d8d16555-171d-4e87-8482-6530a42857f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1802" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a594dae3-f88c-4b4d-8653-aa640417d6be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1801" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-21c4e6b7-a9ce-4d4a-b142-e591573df2e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1800" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-025c4af1-a70e-4e95-844b-afcface5ea34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1799" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61f1ab1f-985e-4099-b65f-70bd3e04f42b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1798" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f96c66d4-b165-4cd0-95c3-2ebf2819ada7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1797" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-123c408c-14fb-4ac6-ae69-5d0c778a982e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1796" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9cd62a5f-1fff-46eb-b1e5-d7fba38e2925-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1795" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0e04274-9160-4224-8db9-7a63e0be81ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1794" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f848ba16-15fc-4154-8fec-e28f532f7b65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1793" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-05395165-4c38-4930-89f7-e647e6f677f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1792" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-60416327-f22f-4085-8c4e-c88ec9e7f66a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1791" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45094287-3838-478d-9b5f-27adcbdfe209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1790" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c377fd1e-5af4-4ba1-bb0d-f4f508851286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1789" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4fa6d901-6868-47b6-8d2f-5653ebdc1046-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1788" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-25f0b45a-aea7-4921-b4d7-61b6923ed677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1787" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac51884f-07f2-4cab-b66a-552916d90ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1786" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca4808ae-e479-4c0d-a989-3c880be78798-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1785" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e9a0581-6510-4074-958b-777c4e44c38a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1784" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4471e019-2e4e-40e3-abb0-bdb609b61554-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1783" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-53f95fb3-856b-4adc-bed3-686e84f544f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1782" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5c354ca3-e36a-451f-8913-7f6be6819f7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1781" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b54cca3c-4322-4c9a-bdec-bdfec5e7eadc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1780" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7d3e375c-30dd-44ea-b228-b978f23ea7ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1779" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f43d6f70-9856-47da-bd88-2fc00c720f50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1778" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-764728b4-fe07-412d-8f40-63378f83692c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1777" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ee5a382-7c68-47be-a16b-49969fc43e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1776" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-15afc4ea-38d8-4088-82a7-14b99973676c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1775" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2bb9cb5e-2eff-4fe1-8073-336a6fa96da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='832' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1774" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5d1d2ffd-6204-46af-b639-9b47fdbdbc34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1773" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-627706aa-2666-4aa3-83b9-e3ec767c5b28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1772" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-baa7944a-a7c1-4ce7-b793-4dc952b574d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41418']" priority="1771" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41418'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41418' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41418'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-acbe9bf6-a222-4378-b0db-1e50a4c926a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1770" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): de waarde van @code/@codeSystem MOET ''1418' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-82196955-9004-48ac-9a72-e9e7e9d453b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1769" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0654_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0654_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0654_HL7 W0654 APK-TOV-kaart 5 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0654_HL7 W0654 APK-TOV-kaart 5 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c462d238-59dc-4b94-9204-405eba7eb527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1768" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff68018e-a6b0-4fe8-9b88-0da935854784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1766" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0c448728-3f0d-482c-8115-fdfd96c940d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1765" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b756b849-d081-42d5-ae97-c9f73a214ea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1763" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a248aa21-5c33-41a3-bc21-0eb5cab0b1cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1762" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4466fe04-9eab-4a69-a075-fdbc09ebf5cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1761" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50eeace0-8551-4070-a708-d10ce04ed374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1760" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-98df66e3-0e42-43ae-8b58-8619be2c6631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1759" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e903ed69-9bac-4670-afcc-fc6a191ec858-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1758" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7d2be928-da8a-4b71-8176-d0cec0b3039f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1757" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b958d982-596e-4513-aa5f-ec78c834ff9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1755" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b5fcc5b1-1b13-416b-b885-dd1d0c7a59bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1754" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c59c0ebd-d5aa-4703-9561-f8e2d92d787e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1753" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8bdea784-0c02-4664-a2d6-f1e8f89e34e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1752" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-98cd5dc7-f2d4-415b-827a-d6d7539f87fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1751" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8fab2792-dcaf-4bbf-bbd0-d2b3c68e9f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1750" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-98ff54a2-68cc-47db-87a2-b331b702b5fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1749" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-221885ce-1f3e-41f2-98fa-cc5891024fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1748" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-766a7506-fe7e-4a29-91c3-d0285e67ecda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1747" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c6dc2bf-0799-4421-a6da-ddb77ed9ad05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1746" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8385c503-0b1a-4102-b969-6b3fea04b02f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1745" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-01cfe140-7c03-4cca-994c-f8c0690c8d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1744" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-31146048-c889-4503-af10-f9a8bf7bdec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1743" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-71df7e81-5416-4c91-8e0f-9509566ae974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1742" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4075b1b5-4a75-452e-8429-b161fe158ede-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1741" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b277dc76-d5ee-4f2d-a2d1-f800a37a048a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1740" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aa738f4a-12f6-4eac-bcf2-a748b320cf11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1739" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-307b067b-b74a-4a38-8df8-068d1ad85d49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1738" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aa9ae4c0-27c2-4a80-b08d-d7df3c480f01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1737" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3d656d7-5313-4499-86ae-746e00685b19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1736" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3d9f9f2c-afd5-4650-abd9-10b3c91c740d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1735" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-080b4aeb-a433-46c9-87e3-84c721bfc11e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1734" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ccf2f622-451f-4aaa-9dbf-3b81b661a520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1733" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1d72c21c-8212-4587-9200-751e445f0f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1732" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-40255822-fd52-4805-8600-cc413e989e50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1731" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-60bcdc6f-a2cd-49da-80de-480285d8f645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1730" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1af3814c-1f12-4eb3-89d5-ed2521f60dcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1729" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8f676182-85a3-4199-9535-cc1cf92c3738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1728" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80faf4ee-8484-4203-96a2-8198d990c38b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1727" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cd0061ee-5162-49f9-9aa1-0a1ba261cd70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1418' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1726" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9df59f8-d4ca-4ef1-80b1-23a7655c51e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1725" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c6dbf8f-47d6-47b6-87a3-e6b08f47f191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1724" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-58409b31-0543-4cf3-948f-7bd1f5522a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41419']" priority="1723" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41419'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41419' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41419'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f89ab6e0-c770-4468-9317-c6709c6e2839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1722" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): de waarde van @code/@codeSystem MOET ''1419' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3c4dceeb-5ef6-464d-bb54-92c2aa560fb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1721" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0654_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0654_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0654_HL7 W0654 APK-TOV-kaart 5 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0654_HL7 W0654 APK-TOV-kaart 5 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-beed2feb-b2f6-4a88-89dd-dbaa889c3ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1720" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_5_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0d44f05f-e46b-4728-98d8-c54400a255e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1718" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dc8863fd-816c-47a4-87ef-973ff6f6ae17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1717" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2752df9b-64cd-497c-ba5d-15ba3b55ab18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1715" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ca0cef0-bebd-449b-9ea5-8a75144b6f0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1714" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ed877076-af95-4a88-a399-3c899c956ee0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1713" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-81171871-f783-444a-8aac-955c3dfcadbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1712" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2838855f-0b05-48ba-99c5-c41068898253-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1711" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-04480c92-f7a3-4eb3-9298-2051babe7099-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1710" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-16df404c-d8bb-43c8-8dbb-d4785a40de04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1709" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8dbf3d97-a56b-4e26-a9de-3790de67f831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1707" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d9f7d3fc-a7f0-475c-aa8b-98254976a743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1706" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f0a40b16-3b43-4223-9858-0d7435bb44f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1705" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7136a38e-0072-46dd-adf1-1241345ac2b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1704" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bcc9a91c-508d-49de-b287-eb815e8b5655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1703" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-261a6362-d876-4fd6-94f5-5e13b2aa0776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1702" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8e9aa63b-a464-4103-b469-5a502c4b9830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1701" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5897ecff-be42-42ab-9eea-07760240382c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1700" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6f48dda-f260-4bbf-95e9-86637586d62c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1699" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-10b7275c-ca45-4ee5-bc40-069b90efebb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1698" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a72955d5-b9e8-463a-9e20-500c79a11083-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1697" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-12181b6c-6ef8-46d6-b8c4-76daef3a6920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1696" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78319512-dce7-4e0d-a3f7-61bb73e5ad42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1695" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-02f60d28-e484-4395-8356-889f244011c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1694" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2eaf677a-3750-45c0-8c73-ba74bcf9d5d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1693" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-98e2a41c-8937-4318-89c7-f22b7908dfaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1692" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e01c541d-9c0d-4cc2-bf16-3e804d85158e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1691" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0eb03c80-398f-462b-9758-971f334b7448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1690" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5263f88-ad43-4e3f-85f8-332594777b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1689" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9e7a408-b981-4f64-abfe-a0ecacacdb3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1688" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-035d5681-6935-4098-af29-4615c8ff5524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1687" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e56f2dc6-583f-4d86-a9f5-8eacb8cd80c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1686" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d4b332bf-8067-4305-b0af-8eb6697ad5cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1685" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b15d9839-0cb5-46f9-9d3d-ccfc4d7ddb6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1684" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83adc860-b2b2-478a-9de2-971514621d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1683" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ba17fbdc-72ce-4113-87e7-d4091589b23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1682" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d082e8ee-a255-4021-b70f-b8f07e053e21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1681" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7fa4c477-4e67-4d3f-a5f3-a9e97ddface2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1680" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47164f9e-b1bc-492b-aa8f-40da32ace643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1679" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a67a271-755b-4def-821f-c68a6ec16312-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1419' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1678" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-89e16dd4-6e8b-47cb-9c52-d2088ca6813f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1677" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6042ce83-33e6-4b3c-aee7-8a74d8c2c474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1676" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-155c6bef-a06c-44dd-a83b-865641b4f580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41420']" priority="1675" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41420'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41420' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41420'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-69d9874d-eec3-4620-9978-52e39065cba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1674" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): de waarde van @code/@codeSystem MOET ''1420' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb1a87cf-46ae-4cab-afce-a22e258bae80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1673" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0655_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0655_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0655_HL7 W0655 APK-TOV-kaart 4 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0655_HL7 W0655 APK-TOV-kaart 4 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-976092a0-46f3-40c5-bd72-92c23dac7a01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1672" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-27cd2768-baab-4b6d-ba30-843d1c98afb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1670" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6e4f112-9df3-4544-adff-f696f0b1ab0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1669" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-013748ab-83b2-4b99-8d95-b9589a776622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1667" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87f4ea6c-dbb6-4039-b98f-843a9b2b1be0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1666" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b7ffaee3-556f-463e-9efc-0196a3a394ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1665" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cead3b1f-42f2-4dc8-be87-7d9107b4665f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1664" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6d922634-e5d6-47a5-91c6-a80bc8870a9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1663" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-08f9cb24-fe49-4a22-aa41-b6db565438de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1662" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-722ed5f4-3fa4-46fa-a14e-a6109a244850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1661" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d92101b4-5f51-431f-a088-9f679837b155-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1659" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90da4016-9347-40af-b293-e4c2ecdcdbca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1658" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7c9c2acf-e547-4e18-bb3b-d310c9947561-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1657" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e5f811e-e3e2-4408-8582-fbd7b5cc79c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1656" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-624985ec-2eb2-4582-929f-1c31100b95d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1655" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-242dcd48-1a89-4929-bfb2-4ff4072ddbe9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1654" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3300a127-697e-43d1-bc6b-8c57ed1836b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1653" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d7a9a63a-3982-4a61-b3bb-b3d189ded91e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1652" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-29c785ec-9d0d-40c7-8143-55d6c6d29e46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1651" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2e3c48d9-6cc2-48b4-bc31-cd4b5c2a5612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1650" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b7d28428-a4cd-4cdd-9305-1f4433d518b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1649" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9f1ab36f-31a4-44b8-9b2a-df2557c45e66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1648" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4fe6f8e5-a73e-4b88-8ec3-983091f02257-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1647" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-73e91cf6-8567-421f-89a6-999f2b8d8c58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1646" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-da576c9d-8ebd-47ea-99f5-0f6ba8140547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1645" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd4d663b-b840-424f-8c5b-cf4ddc90e62b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1644" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c7d27da9-d098-425e-8da0-de341af8711a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1643" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9cd11a3-aafb-4a42-b1d8-6272a9039973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1642" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0b74acab-b91d-4999-9f9c-9e9ca999e0c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1641" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a2719013-1dd0-4fc7-b14c-6e6bc7b0ebd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1640" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f17b0835-0fe6-44a4-8338-5e4163c259ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1639" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-665be099-b74c-4d6e-84ce-957b3e09194c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1638" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-95993c2c-d9b5-4310-8ea4-d6f327d4b6f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1637" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8780e684-0407-45d7-94cb-6187373c9c63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1636" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae3d3488-8ce6-4d26-93b7-44fca9035afd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1635" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5b067ad8-41f4-4b47-9487-41b0e2d7e6cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1634" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-765856d2-e24e-47ac-9e0c-82270666949c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1633" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b0bd2321-5851-4fbf-a151-96dfcdc9e67c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1632" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-965011be-0b56-4b44-8c90-c8b0fd672168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1631" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8e52f2b7-efda-4195-803b-bd8aa7153aff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1420' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1630" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-950c0ce4-83d4-4d96-96c0-bd34f9babb07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1629" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-048b522d-ce80-4ce6-935a-834d0012c344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1628" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0d04a40-7bfa-42d4-aa3d-36fc4b599124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41421']" priority="1627" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41421'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41421' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41421'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4fcf513a-8efb-4cdf-a131-5cd48117ddd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1626" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): de waarde van @code/@codeSystem MOET ''1421' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-92304408-ae0d-4a2a-af12-2e91347bcd69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1625" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0655_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0655_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0655_HL7 W0655 APK-TOV-kaart 4 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0655_HL7 W0655 APK-TOV-kaart 4 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5831fbb-8481-48ed-b47e-cde9c20da45b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1624" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_4_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cadfee00-decb-4faa-916d-1653521dabe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1622" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b382de85-e98b-4e6b-8ef4-a9bd04f25bf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1621" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6a31801e-5528-469f-be0b-80c2c4085186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1619" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c483f84d-6547-4ecc-8b1b-96dfcf8ff584-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1618" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a2ca19ad-f155-47d7-8880-532a6b896dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1617" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c73dcd98-2096-4342-b129-b5bcc9af0d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1616" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e16a55d0-6cd3-4be5-936f-ee57eabbe4b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1615" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff16d129-7ad7-4474-9638-85dab81d40c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1614" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2a4071c7-9982-429c-8e39-e64c61857892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1613" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78677c75-9376-4a4c-8ad7-312cd25ad2c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1611" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae15c580-796b-4a9d-813a-2612d73c5e05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1610" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ee4a442b-76f8-4e90-9931-ce6f98d69292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1609" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dabcae9d-2756-4a44-af29-29394902213a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1608" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e07a3231-b68c-495c-a6af-f90ddf4e0287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1607" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ce196494-1fc6-40db-b3fa-0ce551007c1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1606" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bfe295f0-9514-4ecb-85ad-e94bc5e23d7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1605" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a637ec34-81aa-4439-8f12-5bde1e0ad9a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1604" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ba3407c9-8d28-48bb-b82f-532cb733a234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1603" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-71fbfd57-fcd3-484e-af4d-329e5e580d1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1602" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dbda5179-77c7-42a5-b4d3-401635a34862-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1601" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-19dc184d-9e4a-4eb4-85c7-190f2bc5d50d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1600" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc8e1edd-d8ee-47eb-b40c-56557ceab100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1599" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-79e56d18-9ea5-4f61-85e0-3896128b64a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1598" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a49c39f0-7435-43e7-86a4-847ec98895b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1597" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fae31e04-e8cb-40c5-8aa7-25a49b7e2ddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1596" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-493d88c3-75ed-422c-a198-ea03331dfac1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1595" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-341cd535-897f-4d7c-95af-734ff35922be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1594" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb69d5a2-96b4-415d-a0aa-38a50df50bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1593" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-40b8871b-795b-437d-bc28-11e07b4a19cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1592" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35079bda-a22a-40e0-9e82-99a9b097e4f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1591" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6f30d6dd-227e-4845-88ef-6bd83f1c7a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1590" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d7fb01c2-995c-425c-9473-aa7933d54a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1589" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bcd06610-12f3-413f-888b-f053d103bc0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1588" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc51c40c-9d87-45fc-8ebc-bfbeec83080c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1587" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6b630851-63ef-4f74-9612-0a618d05c782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1586" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61c8a4ee-5164-475d-9618-b3aa9315b151-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1585" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-04462751-8685-4583-ae46-35b7361894b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1584" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f7785dec-8935-4709-a621-04068732a7e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1583" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a8716cf1-2ae9-496b-9fb4-420a523775c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='1421' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1582" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a1588712-532b-4ee9-a369-759ea6f8b245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1581" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-de88b562-3932-45a9-b08a-055f02124499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1580" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cd05b1bf-edc5-4106-9c95-9befffcd8e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40833']" priority="1579" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40833'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40833' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40833'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-190e7a29-016f-43db-8d5b-0d6508d225fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1578" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): de waarde van @code/@codeSystem MOET ''833' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ddff69f1-073b-4b8a-b7c3-c4dac052f9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1577" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0330_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0330_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0330_HL7 W0330 APK-TOV-kaart 3 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0330_HL7 W0330 APK-TOV-kaart 3 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-928eb034-fc81-4c86-8341-7b8b45d09a95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1576" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-795bbdc6-39f3-4161-b6e0-3fbf7f04eb0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1574" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d00b8091-9290-4364-a615-1f83b6bd036a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1573" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-657ebc73-e5c9-46e0-aade-eac99692fc9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1571" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0031db96-f1f5-4fe0-aec5-6d2d1004d2d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1570" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cddac34d-5944-472a-910b-91f06eb84213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1569" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-827cb8b4-ecf6-4d9c-a174-daf6c45577f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1568" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-871b1e37-8c18-48a3-9b77-11f61147148a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1567" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-283b8cf3-b851-4135-bb44-199a28f31c90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1566" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ab2eada-9e4c-45f3-8456-12f5e6b015db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1565" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2bcfabef-9134-4ec4-9116-5d81a875f02b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1563" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1d670ecc-62b1-40bf-9515-4b5218c1fdbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1562" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-473a36cb-b16b-4393-bf96-f0c759c9a363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1561" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7264a8c7-f01f-4191-b5ee-f94f5525a05a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1560" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f19a0071-3dc9-4dff-bb38-bf9ee3719ee9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1559" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-53158d4e-caef-4104-ba29-227b2007298f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1558" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9d221f2a-29b2-4be5-8305-b6b9230599b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1557" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-182b355e-3970-4edd-a351-f5ee804d26dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1556" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-56a29553-d4bd-4a8d-a302-11c5655948dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1555" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2d2c431e-05bb-4edd-8266-3f5ed86dcbd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1554" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d62b971a-8657-4abe-862e-1554b05dfe60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1553" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e792e7dc-f951-4c7b-8c97-e676662b65d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1552" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-72a3342e-a450-48c7-be38-40080460758b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1551" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a55064d4-a3c1-47c3-81bd-b28d243d4256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1550" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb3d9291-c215-4ec0-a90f-d1c3189727ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1549" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb255ec7-ac3d-49a6-8bb8-ce8558eb43c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1548" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90236590-8055-40c9-9d2b-a06b558ae6cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1547" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b771c6a9-bad9-4c7e-9460-aa64e3adb3bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1546" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a1263ddc-41f5-4b42-b047-d8970e13e698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1545" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-71803552-db5a-4455-81a0-e49dd082487f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1544" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c96c7b75-a91b-4c86-90a2-9e5933461970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1543" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5d4793bd-1839-4566-bad4-9125f929f518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1542" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1df4170a-9ffe-4020-a7aa-3c7f8356e37b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1541" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3afe8a7d-1dff-49b5-970c-eca138a0b5bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1540" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca748e38-6397-4367-8e4c-74d3c869b16a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1539" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9916cef0-31dd-47da-a74a-39211a9fc431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1538" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78affe23-a166-4aab-8d14-e7a9d12113c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1537" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a63caa1c-de16-4043-829c-a0d1706fc86d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1536" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83dbf64d-9e3c-4889-96fe-6f34cefa7e31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1535" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b6688804-c51d-4ee9-a3fc-03efedb0055e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='833' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1534" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f8e2f0b-b317-4f2c-accf-dfe69275f1ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1533" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fe979f9d-d150-4a95-bfe4-960f3bf99589-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1532" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-17627985-503c-4305-b897-feb0884a77be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40834']" priority="1531" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40834'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40834' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40834'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-873eb10f-a2db-4173-a4f1-3caaac595cc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1530" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): de waarde van @code/@codeSystem MOET ''834' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2aa96908-d0f1-4114-bc76-809527a12ccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1529" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0330_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0330_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0330_HL7 W0330 APK-TOV-kaart 3 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0330_HL7 W0330 APK-TOV-kaart 3 meter uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8b76c96-0ee7-41b7-9459-3192cfcf505b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1528" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_APK-TOV-kaart_3_meter_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d07fbecd-d4b4-4146-8e54-f221f0094440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1526" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-532c9708-3bb9-4ce1-a215-755df9fc3653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1525" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3db6820e-0ee2-4df5-82bc-3a59412ccb2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1523" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2ff580be-412e-4c1d-abed-d8761db2edf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1522" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eddac15c-115a-4625-a544-5e3a40423977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1521" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4f41cceb-e4e9-48a1-9e7e-1f22322c323f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1520" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f42b20da-43ee-4edf-9e82-116276a746c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1519" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8af66d08-9de8-4d1c-9b12-65cf3f38e309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1518" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a3330d7b-7a8c-4ff2-8a8f-70cb352a1b6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1517" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-929319c5-ec8d-4d5f-93fc-e4257d3235dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1515" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97ba957c-a55f-4c97-8f8c-ad1f953322fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1514" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6393e6f0-07aa-4e57-b7c7-6c28a43b14d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1513" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d4a7f31-3e57-4b3b-b96f-56518fb185b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1512" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-70a7000c-fbf9-4e06-9d8b-e47da554dfe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1511" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cc79eb73-477c-4cdc-8b43-d0defbbf37cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1510" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90fc81d2-7d0e-40e8-978c-4737f803f2d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1509" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d48da5c3-66d7-4c04-a9b8-162c18626f0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1508" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb28961f-2331-4e0d-b77a-2fa0a1973760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1507" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a77d2bd0-d597-4d75-b831-863dc2a627ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1506" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6b3ef430-b2e5-4317-a080-1307510ae739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1505" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-365e3d22-a99a-436f-aa19-49e199a4d4a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1504" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-24f954d9-7df3-4cc7-ab46-7055cbe0c35b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1503" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2f1a5320-ce3e-4369-b224-e8afdcb1f8a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1502" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4f057574-536f-49a9-b37f-2da968d4a7b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1501" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35e274e7-9520-4a11-a2a3-efe2f75ea9fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1500" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d96a061e-458c-4bb7-b426-a39de04da0a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1499" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-94fe0a61-14cf-4927-971f-3d187ba8fe4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1498" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a302f502-2349-4a8d-881a-cf9bd5307779-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1497" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-acfee317-d0dc-4d3a-8c50-152f45270dbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1496" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e7c3d908-f309-4efd-9abf-eda03c2b61ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1495" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8feeca96-962b-4bd4-b86f-cc9729acfed5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1494" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-123c49a7-8476-48ed-9c9b-bad7a21118e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1493" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8ef900d8-2594-4b28-8c55-f9e84a3abfd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1492" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35fbc7b1-ba42-450e-a174-8cdaa27586d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1491" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9d063179-71ae-4daf-8497-c4e84eaa4a3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1490" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a6d8f985-2c69-4846-9054-6c18427b79c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1489" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6a9b2b70-c14a-41ad-8cc0-e7e6ac6beaa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1488" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1cd1b064-abf6-4c80-9e95-bb843fc44f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1487" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fd3c1ec9-848e-4fa5-a319-ec875dbaa832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='834' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1486" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d6f8aaeb-68ac-4475-ae04-db612129013a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1485" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61df4ddf-eed1-4ec4-b689-f8edf7c9a071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1484" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7b0db794-57f5-4e43-b653-6f0c9ff678e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40835']" priority="1483" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40835'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40835' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40835'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-30ec5b3b-2912-4bfc-8169-10b4e123c823-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1482" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): de waarde van @code/@codeSystem MOET ''835' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1bd75fbc-a072-4874-86ae-67070fc3eae1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1481" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0332_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0332_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0332_HL7 W0332 LH-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0332_HL7 W0332 LH-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-31155ea2-fd63-439d-82f0-4e61e417b04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1480" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6650c933-0a02-4b30-95ed-d3b7f0a55b01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1478" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-39729981-592e-4401-a361-021b30a211c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1477" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-037e72e8-0b5e-4405-a2bf-4d7422d8cbc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1475" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4d9d5317-3f17-4ba5-aed2-c295677cfe48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1474" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb631ff6-4829-469d-bf8e-c6cd24d1e377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1473" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e47c3e84-0a04-4c95-91ac-09fa02d71435-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1472" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a32000e8-e96c-4140-95ae-f0094849d2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1471" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c136be94-0970-4471-a688-a7bef2b63f3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1470" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e90a66d9-6beb-49cf-a8b2-ec521749f3a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1469" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-24934755-acb3-4427-bd07-753b562563f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1467" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cddf93ce-b541-4e53-a00f-2b6bc896ed90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1466" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2816e05c-4d48-47ea-a9e1-6b824013ccd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1465" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb24b014-f073-4b83-85dd-aa75e43fdc01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1464" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dfa72898-c6b4-45df-a0c2-27b0fc389499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1463" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e43f368d-707d-4de2-bc18-082e9d48b112-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1462" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-69d46a14-f034-49ac-b941-20f73f3a47bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1461" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f07e2edd-09b3-492d-a555-5ad7da1bf69f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1460" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45e59dfd-ddb2-4533-87a9-562f3cffeef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1459" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4c994d5d-9ece-4233-bcd8-9992f08dd30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1458" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fd20c41c-a0ae-4482-b7fd-53aca20918be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1457" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-89f9cc35-6106-421d-a364-6bd152235920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1456" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac14ac55-9b15-4673-9567-c4918732dc5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1455" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3236b9dd-b5a3-4ba0-a404-64b19efbfb5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1454" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae832884-eaca-4c23-ad58-32e9e4cc845e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1453" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-372eaf49-e0b3-400a-a354-863cde5e9e0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1452" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0252b82c-2157-49b0-92d4-4883692299e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1451" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-efdc4574-7d77-49dc-8347-5fd58b83b2a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1450" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6ca8e4b7-d3c3-4fb2-bcda-e3fe9e4020b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1449" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9067f0fe-671e-4b80-a630-a7fff495ee7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1448" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6c2cc6b4-0895-492e-b4bd-fed8918120ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1447" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-40e285bf-60fd-43c7-a5cf-c2210025a7c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1446" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6ddf90bf-f2de-4f78-aa87-0e2781fbc445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1445" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7897c853-0a3c-4d31-bc88-c97ee97b14f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1444" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-daa4bf77-6560-4c58-9056-d03110acdd75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1443" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c8faba96-45b5-4b89-988b-8bceee0404fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1442" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-625a8778-dfce-49a7-bdf6-a1d6039271e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1441" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8bac94e8-acb4-4156-8ddf-bd76fd49e6ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1440" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e0c78bf8-09d3-4976-8dd9-dcd505b43606-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1439" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aa42cb58-1246-472b-9a24-aab40ced5fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='835' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1438" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b1a53fb8-ba68-467a-8c78-34f1997fc0b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1437" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bab66b86-5886-400c-a01d-601b5cd42812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1436" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb05cd1a-56d9-4b12-87d5-f039b5dd8564-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40836']" priority="1435" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40836'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40836' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40836'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a9479a91-a7d1-4be3-ab36-eaeeb92e526d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1434" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): de waarde van @code/@codeSystem MOET ''836' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3753b24a-946e-4b68-915e-f29d02d4a174-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1433" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0332_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0332_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0332_HL7 W0332 LH-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0332_HL7 W0332 LH-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-900a40ac-a078-4222-9401-054772cbad2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1432" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_LH-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1628b5b2-8893-464c-aa66-684c8471c28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1430" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-989ff286-dca2-45dc-849c-9da73457869d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1429" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1866117b-96fd-49f1-9919-d13fbc476306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1427" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-119b9d55-c9a6-44de-9035-7d7a09b0ab71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1426" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8dfce4cf-c3d0-494d-9470-8d771f34b0e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1425" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6c3a510e-784f-4fb8-8528-5e6eda55f01e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1424" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-46896845-1dff-44a0-b2fb-4c035e1882e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1423" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3b64b832-2f4a-4582-9d0e-b69a412e8d78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1422" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d54df1b8-f80c-4a69-afb8-cec2a8c79cbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1421" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5720b669-b80f-4ea2-860d-89249bf05059-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1419" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-86dccd37-4e5f-41d8-bb01-19e6ddeae91f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1418" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-02b2eb14-bb72-4c11-9192-e6a9bdf19bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1417" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bc35bc04-8377-4091-8d6a-0761c65df69e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1416" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fde01d9c-3da8-4c88-bb34-57f766ff1e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1415" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5df54b87-cf1c-4da5-94a3-99becca51416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1414" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-55e14c07-f3f3-40dd-af60-2360cf89a00f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1413" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c5c330d3-97fd-46a0-9eb5-3c11f765794f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1412" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-52369bb0-8e77-4b1c-8a0f-ef9eea3fdc01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1411" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e0c36f1-aeb8-4c2e-9e42-49c3f3efd5e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1410" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d8883c60-0eb8-45af-a067-284976bcfdf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1409" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5aaa2f71-2004-448e-9743-3643a1d71b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1408" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e80fdbc-bddf-46d7-8a22-472e264184bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1407" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a4802b1-3d87-4193-958d-aef51a5de467-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1406" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2060fab3-dcd8-40e3-9034-16dbbf0b2601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1405" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db51df40-b001-4b63-8de3-0ba7b6cb12ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1404" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-866504c5-012d-4c49-ad3e-30f86e68a3bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1403" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8dea63df-e8d1-410d-a4e1-4d3196746b86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1402" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-298320d6-9414-48b0-9350-5e9bf44087e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1401" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9b93c500-92a6-4e49-83d7-44e851b452d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1400" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e05bd92c-2829-477b-aa37-60117d0efd07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1399" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-26d4543f-b2bc-4e0c-9c9c-adecc4aa0051-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1398" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-04d3ac22-bcae-4b54-882b-764e2683c61e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1397" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae94c333-94c6-4b8c-9ae6-40751216ecd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1396" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-669b3de9-6596-44a7-b228-0f0940d8ae43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1395" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b2959208-84ab-4870-ae27-db1ec83f9921-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1394" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-03512086-c401-4940-9413-340fbbabe2ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1393" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c5c31b7-293f-4719-86d4-ebf9555d7e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1392" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cc0d0532-9314-4308-931b-7c30b0335406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1391" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ad84c40-c540-4d27-82c5-e66da128286d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='836' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1390" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-11625c98-a118-4d94-b159-6438e7c869ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1389" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-22b72569-e943-4eb4-83e8-21c8089575fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1388" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0b4d47f-3eec-4377-a50e-a34924d9495f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40837']" priority="1387" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40837'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40837' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40837'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8f137f09-263b-49ad-8d5d-c4b8786bf5b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1386" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): de waarde van @code/@codeSystem MOET ''837' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-edfdcd1c-6007-448c-b303-a5827fead3ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1385" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0334_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0334_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0334_HL7 W0334 Landolt-C-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0334_HL7 W0334 Landolt-C-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fee204c1-5b87-4688-a0c0-4aa8d3ae2bef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1384" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ffbccb66-329b-479b-b9be-aeaf79d96fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1382" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc20a89e-a1e6-4135-959c-2abe946c5df3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1381" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3cf5145b-dbb4-41fe-8700-b3d42831991f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1379" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7331eacf-0a6b-4537-b66d-d2a99422f598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1378" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-39a32f4b-a834-4600-ad02-c9e425c53996-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1377" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5190d2f2-764d-4f81-8d7d-2646134bcf15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1376" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c65150d7-8567-4ef2-8ef9-874abe472f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1375" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c483357-bba4-4afc-be7e-3a86a342f13b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1374" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8b046aa-a13d-445e-bdd5-985dcb3a69e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1373" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6aa312d-53f3-45f2-8c98-e4bf0bc238a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1371" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c5f960b-0f1a-484c-8d7f-1c1890c8350e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1370" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f0d0791-022e-4e72-a4ba-f1c98014b46e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1369" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4e24cd93-edf3-4dd9-831e-fd9f6c7dec1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1368" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-947cf432-509c-4e72-ae6b-1f520eebbfed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1367" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3de9cd92-0cc9-4525-a0cb-3d3b56ee5c62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1366" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d119f417-8d4a-4b35-94a9-2c11663442f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1365" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4fac77bf-aef8-4c17-aeda-9bfc9dc4ed31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1364" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9c91d748-9fbf-426c-a33e-43e279e34f1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1363" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-96cebde6-9af5-4e02-8863-94a55d04d500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1362" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c7690f86-0a5b-4fe4-87e6-d5b7aa0ec687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1361" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84b6fa61-aee3-4ead-9396-2a433de1b126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1360" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cbc7f0d8-a52c-463e-8b9f-40775d43d862-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1359" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-260fad24-96fb-44c9-9dd7-bedb7cb5ac7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1358" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-65fd790b-7ec5-46d2-b094-aceb996b2954-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1357" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b81b3ea8-97e1-4c4b-aa41-69d1f35aaa72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1356" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9466fab-f406-4b54-8d30-e604f1f98f76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1355" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1ff2f6ef-58f3-4827-b90b-783be3579638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1354" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eacb34df-9825-4192-9713-0b24e837204b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1353" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c66abe80-086f-4193-afca-2838d66a1443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1352" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-111e6a78-3b57-4cd5-bf0f-3f67878bcc4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1351" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-407354a3-20ad-45fa-8b73-4c4234097f8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1350" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e71e2add-0345-4908-9298-638c90e4d2ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1349" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-804c95d6-18f2-4e1f-ae32-771a4f785908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1348" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-494f64b2-1ed7-41d3-b6e2-876ad9bbf300-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1347" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0a4063af-0c30-454c-a7c2-664854e793b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1346" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0e823c32-3087-49b7-8308-adb4ad7beb1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1345" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae474e78-2990-4be9-ab43-86a654da0609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1344" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e580537e-c272-4783-8c94-6d84e2616931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1343" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c36a67f5-6ca6-4069-ae0f-16e6b0b8f4b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='837' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1342" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff19f7ae-062d-4b08-a24f-67658da6d0b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1341" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8b380b6-7492-4ad0-80ec-0c16a9331445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1340" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-694bf70c-ab1f-4b72-a3e1-48de837acbad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40838']" priority="1339" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40838'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40838' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40838'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac16bc49-5139-4a9f-aafd-94bb1b24c361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1338" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): de waarde van @code/@codeSystem MOET ''838' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4186f45a-f15d-40b7-a245-05ae0e27e6e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1337" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0334_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0334_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0334_HL7 W0334 Landolt-C-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0334_HL7 W0334 Landolt-C-kaart uitslag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f29e6c89-1b40-4a72-8d4f-160103c1778f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1336" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Landolt-C-kaart_uitslag_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac128e26-88db-4697-aea8-2c88e5219e6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1334" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-14394e58-c5ea-4dc7-bdfc-1f3d75a39d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1333" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b95d6de3-67a9-41f8-97b7-d90cbadd589b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1331" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a8caf1ea-d6a4-4730-8776-405f9ebdaa38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1330" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-af87b87b-6f4a-4135-ac24-a033ea8b37cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1329" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-be2b8a89-0304-4a6e-b5f4-7ced27495e32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1328" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4c14d195-7514-44d4-975d-c8cf6a7a5e29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1327" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5daa3731-c3b6-4dc2-b70b-cbac0079592b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1326" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca3f1e9d-40ef-40b7-a3b7-484e6a7f5423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1325" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e7cddd1-ca31-4012-946c-802ca6cd87cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1323" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ebca7c60-19d5-4b1e-a90c-03d2f3c77fee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1322" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-49780732-5c20-41c4-994f-60fee6390bc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1321" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f3bddc9e-32a7-4ec1-86d2-0442ff2903fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1320" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-29d9fcad-b933-4283-8e73-5338b5de27eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1319" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae6c8c6b-7ff7-42cf-a09c-ff3b340dadec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1318" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-38739bb7-310d-4134-a61c-1b5d988fbd02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1317" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c309467-89d9-4c76-9cfa-aff85f0dcbdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1316" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-adf4fdb3-8f51-4cef-9719-f850d31c4aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1315" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7617f908-5a71-4d2a-9b2e-09a2d6e95993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1314" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-23ddac18-94b4-4496-a06e-d5f97abcdb0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1313" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1e18c012-c01b-42bf-ad19-b128a05870c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1312" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-38b6b952-eb37-4dcc-8d97-5d8d4c6b6724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1311" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cef6d50d-da70-4ea2-8491-ab5c5039db11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1310" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6dd27c59-0abf-40d7-b7bd-f3450d4f8c2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1309" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a02b56f7-397a-4299-9411-5547a1142e20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1308" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a90a0cc9-a907-4479-9b77-2cf52e229f5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1307" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-52d2d90a-7781-44d3-bfb7-bd40c0f44a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1306" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ce0ec16e-76e6-4d4b-81da-034acc0adbe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1305" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3071752c-fafd-480d-a13c-40eba82f8d05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1304" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8551f62a-09a1-4c7c-b261-e2fb7f5b0c42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1303" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-099c34e3-912d-4ee6-a90b-5c1f6390d1f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1302" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-24af4a71-d1a0-4b94-8b29-2b64a14957bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1301" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f500a1a-c48b-445c-a7a2-9c654e187233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1300" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-46a3246e-3dfa-4b57-a690-004949c63454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1299" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d5d73d78-a219-421a-b111-14004d7c7c04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1298" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-66f17de8-5830-424d-a6cb-4f1c5ff05d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1297" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87b52f9a-ff75-47f4-9c0c-1f13d6488691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1296" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0ad62da5-8f94-4950-828a-1299072aadaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1295" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ae35c070-c4d8-4cd5-a62d-4c852c586cd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='838' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1294" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c339930c-cf7b-4c87-bf7f-8915767e65b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1293" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ef990518-230f-4ec9-8b48-7bedfd678e1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1292" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-10f4f0ef-af32-4728-8022-deb19e81f721-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40408']" priority="1291" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40408'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40408' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40408'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4a93288b-2ded-42a7-ab90-79ac6ab591f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1290" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): de waarde van @code/@codeSystem MOET ''408' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ef12573a-e214-46b6-a0e5-2eafe9ac7edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1289" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0336_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0336_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): de waarde van @code MOET worden gekozen uit waardenlijst W0336_HL7 W0336 Conclusie visusbepaling (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_visusbepaling): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0336_HL7 W0336 Conclusie visusbepaling (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fd1b8562-83d5-4b4d-a081-f68a57cf8d16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1287" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-86ca23b1-9cd2-458f-af40-55fac685916b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1286" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca65b265-7f13-4d25-adf4-504fefe1778c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1285" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6dc08d69-29e9-4e98-a8dd-58a0834d8f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1284" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bbee6a55-18f9-4141-a7c6-f875238e055a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1283" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-59f4dd76-fb39-41b7-adcb-d9611e802f08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1282" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6b3db49-f221-483c-8c1a-5909d2e87fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1281" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ccfd725e-e791-41bc-b678-f730096e2d89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1280" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c636a265-b162-49ce-9ec3-d0c1d8600aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1279" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e5c30903-00ea-4334-910e-7669a21c3281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1278" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-81156a37-dd85-4ab4-a6e3-d4dce747e383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1276" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7eb2b284-43f4-44da-811d-f84b2d8362de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1275" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1da0269-2e9a-43ff-bbcc-d0973bb9d7fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1274" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0ae1c016-edeb-4d24-9082-a442b4794168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1273" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d4a2ad51-41f7-4d5a-ab19-b2f7c0733535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1272" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1c60877c-14af-4801-be45-e32eb217f6f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1271" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2832e876-0484-4ac9-8dc0-f4cb9ff0bf2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1270" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e9290d3-342e-4605-baf3-918a167fe536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1269" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-55602000-f5ef-4239-8e0f-c29634fcede4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1268" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1b965ad1-1cfe-41da-adcb-168e4c63c9f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1267" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-44c52f8c-0ac6-4054-8e72-77f3a39b5707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1266" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d215d18b-7b1c-4df4-abb3-56f727a6ddf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1265" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9f685f0a-e7cb-4f03-849d-248e2932c588-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1264" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ba3981d1-f169-4ef8-898d-91d4e1277f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1263" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c053b71d-984c-4c14-a944-f1b68dc6b03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1262" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-936d8a8f-9910-430f-8008-1848ac4b4b1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1261" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a1c7336-4d1e-48d7-9e51-06ca263c5e22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1260" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2863fae8-a723-4aa1-b02b-6509f467bed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1259" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e176f0d-9ec8-4aa0-ad99-daea2582fcdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1258" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8233b0bd-4fe0-42c4-9b56-2f6611d2b18a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1257" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-141b341c-3fcd-4861-8a5c-639dee88b48e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1256" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c3fde25-ea66-4f13-84be-c7a03bec4005-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1255" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fda4bd09-8882-4c55-a9a6-09caf64f67a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1254" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fe23031b-9fc2-4e92-8f52-de39496121d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1253" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5f5c417-ce6f-4ba8-87bb-b0aae055a28e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1252" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d68f2b04-d14f-482c-81fc-8b47b6245c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1251" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4b651668-d45a-4034-bb76-d12f82d47653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1250" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2ab8e3d1-0b48-4a2d-909c-4184c237cffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1249" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac8bc28d-409a-4b8e-9026-f8ed4466cb36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1248" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c5f7a8e0-f910-4e00-ba3b-df213d4532b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1247" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4a67263e-e4b9-404c-b3f8-a917dad55baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1246" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9d057c5f-522f-42a9-b65e-77d98b5cc9bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1245" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-edab05dd-a9fb-446b-a654-5234462fd60d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40839']" priority="1244" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40839'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40839' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40839'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e189f3f8-f0ca-4344-ba95-3e1f0ecc4e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1243" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_visusbepaling): de waarde van @code/@codeSystem MOET ''839' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b67ba647-a0b0-4d98-83bf-9e021cf6a63d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1242" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f7884f8c-d2a2-46f4-95e4-34cfc8fdeac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1240" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3e1a9d47-7d96-4a85-b978-6fd3d105d4d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1239" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6223dfbe-008d-4f51-810b-2237daf4f214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1238" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8cc7c48d-51a6-46cb-bb9b-62753bc5e678-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1237" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-276ae95c-dc9f-4dd9-8fd0-ae58d5358673-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1236" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-13b5dc3e-7d82-4dc2-bc9a-09cd77bc677d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1235" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff5b0176-28ba-456b-8fd9-3d99e23c8b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1234" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7b8540ee-5cfb-4ec2-8ea1-c67f38a9bb98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1233" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5908199a-545c-4b2f-9c1e-c6690f16eeaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1232" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0fbdf150-7536-4f07-8e42-61d181bf3ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1231" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5757583c-21f0-4c67-93c7-421be9d8e8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1229" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d9a1ba7-c203-47bc-9893-1a35a2a57b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1228" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-21d358e6-efee-464b-8742-a698b058ac84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1227" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-edf37b52-b14d-40e7-9ce2-7435fe8cd4f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1226" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9e7a0df-1811-44b2-9988-b3417afc9b0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1225" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-917ca27e-a958-4e72-913a-552dd3432d11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1224" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-74c33758-e404-44a7-adc1-216ced5cda66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1223" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3ee15fac-68af-4fc1-a409-050cbf910c5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1222" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2a3810e7-c9d1-4834-8865-be918cac83d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1221" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd09f536-490a-4e52-8d0e-fc68775fd945-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1220" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dab00ed0-bed3-42bd-8b6c-7747519c5440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1219" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e566030-50a1-415d-84ba-64b0d86d55f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1218" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b4ef5394-2a87-43a0-b9bf-e99442efd81a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1217" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9326edb3-50ce-4461-ada4-f4d2058f2404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1216" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-81c6845f-2316-4546-b4ad-e271242a8d12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1215" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9b446836-bf26-4198-a9a8-caa57f969909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1214" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-958a18fa-cfa4-47cd-83f3-4714e5401a36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1213" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8042625-189a-4b4f-9ecb-dcbfd0c9331f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1212" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-733c5aba-e188-4091-9043-445cc616dd50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1211" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87592fbd-d2b6-4d65-8a59-495df8400894-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1210" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97307454-37fd-4e6a-ad2c-e32cd62cb67a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1209" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-53c5f400-da12-4550-8256-53a118972aa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1208" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90ab01a9-0c71-48bc-b9f0-1ce04a83cfc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1207" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1e737d58-fa75-42b3-99c9-e8e9fa453757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1206" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b031ac31-50bc-4b28-9d2f-5823895dd6c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1205" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c61597c9-f3c2-4fdb-bbc5-475331cc979b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1204" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e1ff1a9-6955-489e-b833-d415570a39e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1203" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-41c2f76b-7eea-404a-933e-c751f40e1513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1202" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab2fcba2-4f8d-4547-8b1a-c8d604f65f71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1201" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3d10ea51-0cf8-4929-bf45-eee15b1c2bf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='839' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1200" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3a9546b0-046a-4114-98f3-63e9c2521760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1199" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-41206e70-5f4f-41a7-a3f5-23fb3264ce01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1198" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ed2a2f6-34b4-4a41-a73c-0775e2df84ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40390']" priority="1197" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40390'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40390' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40390'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd8005ea-0157-4c09-8858-9cb6dca02cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1196" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): de waarde van @code/@codeSystem MOET ''390' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4f96b42c-e95d-449d-884d-1042d6719761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1195" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-df827f9a-d9b3-4a2f-921c-09b025b1311e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1194" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-da0f5f2c-6c94-4e6d-97ae-71938034060b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1192" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-284b398b-a13b-4af8-a47f-bbfb20fedc6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1191" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b2ac050d-13ea-4d43-8494-2eea0bf433f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1189" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0173593-b136-4b4c-a65a-33321d983427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1188" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8e224f95-8ef8-4866-8538-59281066cc38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1187" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b7a78aff-055b-41b0-b69b-a34ba581c4b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1186" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fbe11b25-a15e-4f2a-8169-2ec7ea4f28b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1185" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4459101a-2e12-4d47-9e9f-25d531115c88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1184" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb1777fa-13fc-44aa-9b2d-70ff18c1b50a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1183" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-48a60467-ab39-4f01-abf8-1d509c8258f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1181" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8700adf-a3e4-4824-adee-23a6f3c31ece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1180" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bdae1514-c1af-46c4-9f6e-6865a4060feb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1179" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0d661680-da99-4cdc-8a17-b6fe0dab741f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1178" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c96122c8-1779-4e69-be75-9a6a33260b39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1177" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a58fb0fa-a27f-4a75-ac0c-944b716f97d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1176" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6fdf90a7-9cd2-4737-9376-a524724424bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1175" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4e4ba882-5880-4f3b-81af-4a50c6ab8fcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1174" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d2401130-f193-43ba-83f8-b64bec64d195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1173" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d25382af-b81c-406c-80ac-733889e7f737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1172" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb2ed633-a71a-45f7-b234-b53446183538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1171" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ef9b9eac-0c32-43d5-ad46-94c4e3b5c8e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1170" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f28ea75-12a5-49b2-93c8-54104e5e3b54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1169" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb77a45b-ed3e-4a5e-9f40-32658af770c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1168" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-edc8340e-0e01-458b-be70-f2e5d5d06918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1167" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6c745e57-c400-4a12-8ecb-fd220fb6031e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1166" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2b68204d-c518-49d9-a03c-1206050277f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1165" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb8e5456-cedb-456d-8308-e9796c20c22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1164" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-388211f2-bb29-4637-ad24-f983d0efa191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1163" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3f596448-2135-4670-88df-4cab8f1e37fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1162" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-caa1a590-42cb-47dd-b6a1-f03d4a07e450-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1161" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-13e440a1-a933-48e2-a815-f03fe87ee62b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1160" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f17c8afa-b74d-40dd-916e-507f7a81ae71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1159" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4325b761-af34-4007-88f8-6f35d97d91ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1158" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7592d0eb-7130-4258-be76-0f655d1970cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1157" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-282f3664-d04b-4233-acda-2251799754bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1156" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-68e8c96c-07d1-4ea9-8ce5-473d465b02d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1155" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a62ce77-c2d8-4ba4-a604-a0a2703da580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1154" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d08b20ab-74a5-48fe-9d33-9f1fd3efa2ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1153" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2be44127-1afd-458e-a9a4-8ab11decd388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='390' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1152" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4909cf31-cef4-4c7c-b3eb-3e9840107832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1151" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3dd822f3-7ca8-43ee-ab67-66d300a831fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1150" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3b014fd5-9566-414e-b395-4a2637eb34bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40391']" priority="1149" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40391'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40391' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40391'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4d5517ac-8970-4cdd-9bac-68ceb57dba22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1148" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): de waarde van @code/@codeSystem MOET ''391' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-06eb89d4-d203-4df4-a0c7-deb3f607a1a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1147" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7798d1b3-6111-4e86-a052-e48b7c9417da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1146" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Reflexbeeldjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aa0cc982-75f4-4089-8037-63b7a8fe427e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1144" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1d34852f-fd80-40c1-a40a-90b063f9f2b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1143" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1da67f51-dad7-40ad-a427-64813675f2a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1141" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4cf9bef2-090b-4cb0-9640-3ca667529963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1140" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9024c0c6-391c-475d-a927-96a9b9b8cf70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1139" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-14f8e4ca-1b09-43f9-8d60-e1b742832784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1138" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f0e4c398-aa7a-4218-91a1-6c04fd0e5d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1137" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91fd1bfa-894d-4efe-8f9f-c268c048accd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1136" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e4ae1e3f-8e83-4d0b-8c8a-17b2c8b11b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1135" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eec97d8b-cf6b-4dd0-88ce-045fdb56fc24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1133" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-19cc8eb0-e7ad-4a2f-97dd-870453ed6f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1132" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3442edea-af99-4cde-b1b4-0e5230f4d33b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1131" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-be20bfa4-96c2-420c-b8f1-ca46daf0470b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1130" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d0c510d3-578e-430a-8362-5e80ce5c8e72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1129" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8cb50f5e-bc04-457c-9596-fa4aabb46d40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1128" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c466314c-cb3f-47ce-b38d-fca1a4bf7959-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1127" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4a6912d6-74bd-44f4-bbdf-0bc8c8baa6d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1126" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab84df0e-2a26-4410-a0e7-9fa2e99e1db6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1125" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-79c2fe64-4bd0-42ea-9de5-ede8aa1ecd92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1124" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91c756d3-fb5d-462d-98b8-1c8a6c33dacb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1123" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7497d878-dd63-45bd-8f2a-08772b346cf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1122" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7bc60426-5479-4b98-bf54-156eb636e17b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1121" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-683ea1ee-e669-4af1-92cc-66e62d078d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1120" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0fe0c013-ec7f-4cbf-afaf-48781feb6c2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1119" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f3383b10-5766-46b0-b6a0-e5d8442730dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1118" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ccc5cc74-68bf-4e54-bd90-ce37a22c43b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1117" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-27971b76-45ba-47e0-b31c-e60459450e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1116" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d801f9d-b9d0-48b8-8ba9-2997191ca672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1115" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-65fc6f87-1e33-4585-83b5-955467a871f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1114" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f14f64c-f4fb-400b-8da5-053eeb7a0923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1113" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afe7c0c5-4802-4a05-83e5-f41381973729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1112" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9d597417-ca02-4d7d-894a-485de4f0656d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1111" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d3a68d7-8676-42fa-84bf-8b66484936a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1110" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5438e967-29e2-412c-840a-7f60fc70ea7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1109" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f1d334b6-07d4-409b-bf21-d1a22cd37310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1108" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c167a498-b47b-440e-9948-d6616e429abf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1107" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c05a3874-599d-4ebd-901f-e636380df565-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1106" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f9bfee57-bb0c-4670-a3dc-1f274242c235-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1105" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-25f68753-b546-4cdc-b819-60bd19206715-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='391' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1104" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d3658bfd-ba66-404b-8894-8bb3b89ff5cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1103" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1cf600c8-1cb4-4566-b330-ba4a328e62b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1102" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2291fc9e-a5cb-4df8-9c79-24a89ab990ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40840']" priority="1101" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40840'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40840' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40840'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50123674-8b18-4a6c-9121-80aa2748a3a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1100" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): de waarde van @code/@codeSystem MOET ''840' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-82d774a4-17bf-43cf-8182-da7b9fa99cbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1099" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6a918c5d-e3b3-4967-b24c-fddd9528db7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1098" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5da4d35-190b-494b-866b-74c9c32f4cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1096" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a2cec2ea-f2f4-4a84-bbdb-21abf03abb11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1095" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9f3906cb-13b2-450b-8835-102ba87ca8a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1093" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-74dfdfb0-57d5-4e94-a2d7-00d739746c5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1092" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87b8179f-66a2-4937-b56d-f7e802c2b8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1091" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-49cc9c53-ecab-4850-959e-e85270802a1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1090" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-556ec752-e712-4c42-ba03-0617e4e0fb00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1089" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b0e62211-3ea0-423e-b365-653f9fb361db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1088" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-25ecdd1c-647e-426e-90b3-da872998fbef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1087" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bdb7d0b5-42a0-4e07-a5a5-5ac1eaaba012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1085" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3774ba2e-e902-44ca-865a-d975f6485d6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1084" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1bdd98de-6d2c-46fc-902f-a3e4a999e71d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1083" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd38fe66-c406-4cd9-a82d-8895c7f110d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1082" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d20f3ca5-34f6-444d-a082-20b33222cb3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1081" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ba7f0328-b19d-4f80-a567-5407e25a6c59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1080" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-12ebb478-eaaa-47ec-87b0-13dc9111d2b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1079" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fdac69de-0d42-42ae-8772-f0c11485fe63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1078" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-667f70a0-bb67-4c3b-8a8e-8321e3962527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1077" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a0bd2c7f-1480-48b9-8a97-05f94eac5d44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1076" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3344ac96-29bf-427a-9281-33fd144a9b1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1075" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-368baf8b-07c7-4fce-a0bd-4fac9cdbb85e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1074" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-05173de0-759b-4050-b83d-c7cffcb2d687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1073" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e88e8dff-dc9a-4b06-919d-1d17e2c21d8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1072" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d9778114-1321-446e-b858-9ddf2f2fb190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1071" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-551380ee-5a31-4a09-b30e-9eee0c398158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1070" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ed2a3e3-f38c-41d9-a30b-363dfc988d17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1069" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-182176f9-ad6f-4101-a10d-c45f314af1a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1068" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1173bf1b-ed25-4414-bf3f-910e3b6c9e1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1067" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca4e7c1f-5184-4d0e-a496-dffccb5b6c44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1066" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a38679c9-a49c-4b41-87a1-def06a5a5ee0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1065" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff3bdfc2-795a-4845-b5f1-c0056fbf66f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1064" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-382a1d30-7fe6-4a81-8a6f-35901abbebe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1063" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50ca4dc3-ea0c-490c-9b53-311a496504f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1062" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3ea7dfbf-2838-48f0-b8c3-63d62afa8d39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1061" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6bde0432-4177-47ac-8edb-5f7c6f2a8b2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1060" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-beadec54-ab93-4ffa-b102-820990e96fd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1059" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5fb2d011-8678-42de-939b-1f4fcde0f25f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1058" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f1cee430-a70e-4586-ade8-62139d48b9e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1057" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1753321f-a474-46d0-b810-5ec7b66c44fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='840' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1056" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9b6ff7a7-2744-4bb4-bf34-2fdc570a7697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1055" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3776332c-3ad2-47cc-accd-935ca616b765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1054" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac471a8a-b440-4907-8503-74430697e6f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40841']" priority="1053" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40841'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40841' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40841'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0111ade3-7c22-4888-83ab-3bfdb4d19a04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1052" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): de waarde van @code/@codeSystem MOET ''841' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9775eb0f-ff24-48a4-becd-3473f436020c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1051" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0cf747b8-8245-4223-a04c-4c9594f43883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1050" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Fundusreflex_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2df15f20-3509-4ba4-91d1-4f75b9da3b7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1048" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9c87509-6231-4de7-a0ed-dee80a849e77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1047" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8753965-afcb-4676-bae8-5b75b552b76f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1045" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c324a145-0564-47d4-b2e8-4d7386770732-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1044" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0b32508c-2af5-4631-a957-facc2d121733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1043" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-adecb580-11e0-43ba-9a5f-df91e23b49ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1042" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fd4544f8-9191-4ecb-abbb-dcc69c8b9420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1041" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3a37931-75c6-4de8-b507-82c779b3494c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1040" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-df66bdaa-e72f-476b-ae0f-16e17884ddb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1039" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-88871045-6a09-4354-88c6-9fb8240c8903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1037" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d04982c5-5704-49ef-b000-9fba3a64c332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1036" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6ab63439-8c4b-4c59-bb93-88c57d54b8d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1035" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd6fc937-f34f-4749-829e-a68fd96dcb4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1034" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-494971bc-305e-4508-b276-e1b231315ccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1033" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3884e605-8392-4340-b14f-2b0f7acc87b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1032" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32ce14a7-a46b-4f4d-b09f-d57b2726cad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1031" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c95ace45-2cfd-412f-93c3-24502680d904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1030" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e1af3910-e7b4-4f21-b694-4068179dea64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1029" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e6c0de3a-d3a9-4d7b-abe4-4ad5878caff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1028" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47304978-147e-400e-b694-85094a22a1fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1027" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b5dc48aa-6a31-4187-8c68-d64ae94b2d0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1026" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bf28f878-dce5-4b1e-b046-69618e345a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1025" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-04b0ce41-eae8-4379-8e66-29d5fbe78ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1024" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b61960a4-de80-4391-a9c6-3e35f7c78c67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1023" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3258772d-0134-40b6-a0cd-3cf95f50d2a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1022" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6b7db7eb-3ca5-4b2b-ba63-00998915146b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1021" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ad4b966a-f15f-4ff3-9227-17d5e06e6fbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1020" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb05dcdb-5808-4318-b143-a6a8e4c94451-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1019" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c7024b4e-7a9b-4f72-9161-727d346b5c76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1018" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afbdd2d9-7a75-4a7c-b49b-1018e32fd733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1017" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-578c18ba-275b-4557-a8b6-5196c6d5ed27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1016" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-732888bd-e2a6-426f-a5a1-545133b006ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1015" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0658cc0-3fc1-4048-9f2c-999379cf60c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1014" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-463669f9-cea9-4e7f-8b67-071a1c62d7a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1013" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d0020cf1-06ad-4c95-9f11-76252252ab18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1012" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-51f8b092-b043-4c5d-a432-84a305d952fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1011" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-57cd113e-654e-4e4d-bab4-3daf3387d77c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1010" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b13cf72b-2313-4456-b8f2-9248b31bdd89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1009" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-635ef707-da7e-4808-a84b-e24c27997f25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='841' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1008" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eda6baf5-1464-4d9d-a11c-0fff8f58fe09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1007" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dd835b9f-c9a8-4470-8441-7c824861e53c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1006" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f6921d0-7975-4936-abb0-3f7c57dc6f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40392']" priority="1005" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40392'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40392' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40392'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c95252b9-df6e-4c82-a024-aae53c4cf795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1004" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): de waarde van @code/@codeSystem MOET ''392' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d9bedd76-feb7-4f3a-8de2-0e1b9399cad0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1003" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e0423113-1e35-413f-9236-c819a7b920dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1002" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f58d966-cbca-405e-bf2f-67a38c017a17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1000" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84482f0b-66da-434e-bc4e-6cf24cd7a130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="999" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6496c78e-040e-45d1-87ef-0b20aa3b6b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="997" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a001dc5-d646-42b5-aaec-90ec85272ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="996" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db20c34a-e87c-4b37-94f3-671852284307-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="995" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-512df9e2-5267-4998-b1aa-194998930b69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="994" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0cc3ee6b-e078-42fb-9812-8d25be567064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="993" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-89cf9c24-979f-4d61-9951-7ec47c291fc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="992" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-14f495cc-a516-42d1-9121-ee8d035fc842-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="991" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac9f5bcd-da5a-4d43-b8a4-21a3c7a5011a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="989" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-525759dd-91a6-49c6-882a-a8e05810b421-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="988" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-261780d6-5529-4f57-9ecb-26bf55db6dbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="987" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c96523b4-67be-49bf-a043-d00c51a997e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="986" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d84c52da-d807-4e1b-b612-f4f52fac3d0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="985" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-64a2dc39-b6dd-4a80-85b3-9b1851823f45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="984" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e7bdc872-78ac-4365-9d74-bf889d0cb3d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="983" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9188703e-ea49-453d-ac16-bdacf735f54a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="982" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5bcbfcbb-cfde-41ce-a971-1e790ddfe967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="981" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eaf09972-4db5-4ce9-ba01-6ad6712659a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="980" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-400b5370-a06d-4dac-8b53-fcca005d8f13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="979" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-46b17edd-5e0b-4f49-935d-423c2291110e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="978" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8651d457-fdd4-48d7-877f-674500d3ad32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="977" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3fc04336-570c-4829-a0a5-8e05ee5377ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="976" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d3362dd2-3e2d-4035-ba36-0ccaae268eb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="975" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a8321f6e-b4d8-427e-b895-36adeca304b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="974" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d42ae2a-c8be-4416-9350-58e991cc6b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="973" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-52f19433-3926-4bc0-8e66-59d64e6e6dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="972" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-15f3d0f5-2b50-4cee-aa9f-7a5c01050cf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="971" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-92387c7a-9f4a-47e0-a5d1-29623219a954-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="970" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db7c8a9a-86d1-4c50-9447-4a3f7f668544-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="969" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6dc3b742-001f-4f3e-a3da-2e1ccb5dd029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="968" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91410ac7-5d2e-4274-b230-05ee45497e5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="967" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a79e1c45-9adc-447e-bd42-0dc270e9334c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="966" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9425bfb8-b615-495c-a163-8e5f45970605-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="965" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f06dcd09-fce8-4211-8d68-8db1d344e151-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="964" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b31fefc3-6cc6-4a15-ad30-1e6aae784dc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="963" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afb14ebc-6eb4-4ad1-83f2-0ee373b2e00e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="962" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1ca85e0b-f7ee-44aa-b87a-8e502c6e7970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="961" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6aa0f187-3d6d-41bd-aabf-bb7686805173-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='392' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="960" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d756374e-fd7d-4ed0-ac76-40dc8538d530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="959" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e1458016-19e6-4844-b346-80dc983f1de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="958" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-438b32ef-6d51-4839-b5a3-d45a4c3193d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40393']" priority="957" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40393'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40393' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40393'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-79d3e36c-345b-49cc-95c4-d4a70e1e6dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="956" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): de waarde van @code/@codeSystem MOET ''393' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45a7a3a2-97a6-4c66-8c45-9e5a4ba20df4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="955" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c072563-7af0-409d-906c-324bc8dcef5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="954" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_instel_beweging_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc2f5d8e-5e34-4bc6-8d8d-e830cd686385-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="952" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cca2c3cf-eaed-40d1-9230-3ca5976299c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="951" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-931916c5-4fa5-4365-b0b7-6688ccd443d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="949" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8700770d-4682-43ba-a9e3-42cd5f7be154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="948" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50bcd059-e95c-4ca1-8f4e-d67fb58a12f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="947" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a08bc8a0-cdf8-4f4c-99da-6b12f5ca59c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="946" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1067a3c6-8f99-4ac6-9794-6377cdd0c54b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="945" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ee68110-bcde-48f7-b9aa-6c29ad0d1153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="944" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f942331c-49e1-4b1d-9fc0-f5660fd2b718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="943" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-633656ef-2f4f-430b-960e-d9ca16014202-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="941" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2575e083-999d-4698-82ec-015b9881df8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="940" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c4da8311-f722-4493-b780-1ffa09a26ae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="939" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3bf71b55-baf9-4748-bafc-f9c87f1676e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="938" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-849115c1-b7aa-4009-b5be-08edee9e452e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="937" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c8dac278-2029-4cf0-ac17-ab8e99d86452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="936" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e8eb157c-5413-4521-939d-6560e48f27ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="935" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b670d593-843c-4fb3-b5c9-43c661fb5fae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="934" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e9c89f5f-2dd9-4cd5-ba19-54d6f531b314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="933" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c721a7b9-9af9-4228-8a8c-f3ccb520516f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="932" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f11ce56e-e61d-47e1-b312-86de9de63336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="931" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f7128cca-5c51-4171-90ed-a6e25b588fb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="930" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-22ee3dd8-61e1-4b9c-8fbb-e3d40f38a03f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="929" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff4454db-d1e8-4fff-b973-03ecc5b3ca44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="928" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9dd275da-316c-42e7-9a86-7892d10cb1d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="927" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-552cf42c-b8d9-4293-ae0a-0f70283a88e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="926" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e908ebad-7408-4dcc-b2de-417acfe36d15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="925" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d35b2224-82d7-4048-977e-3475aae9c6e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="924" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2ad3eb8a-c096-4213-a15d-da4c528f4d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="923" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e8cc4202-8452-4f12-b079-56c7b1265e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="922" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-25976bf7-763a-4ef6-b18c-a536fa7f10cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="921" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-10fcda04-1175-42d5-9ecc-6f8d2bee82d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="920" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90760821-ec20-43f0-aada-ff20cd4488a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="919" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9b3515f-4cfc-4db8-b1f0-099571b3c18b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="918" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7bf9cc08-02c9-4814-9764-8223fb43820d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="917" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3ddaeac-4ddf-4131-810b-54d42abb40e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="916" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8ac86859-7ca2-4437-b35a-38bea89a180c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="915" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-17e24435-7402-4c0f-8783-3d5b5983c2ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="914" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aba6e7b1-b429-4ab6-b024-157f5c0c5e09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="913" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7ff119ef-1e7c-4c08-91d1-f28557c7eb25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='393' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="912" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-95dd7816-635c-459f-88c7-46ff9e99b525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="911" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-21761f4e-f969-4ff8-be0b-9a6fd4a34af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="910" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2173512b-9e10-4553-9dfb-f0f9d59ba041-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40394']" priority="909" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40394'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40394' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40394'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83e7f684-f774-442d-a77a-02d8d25fe63e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="908" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): de waarde van @code/@codeSystem MOET ''394' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a158feae-ba68-4e7e-a0cb-c1d45aa99ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="907" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-438cb345-7ee7-4566-a1fe-9584a1fd97ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="906" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6705c9d9-7b77-4d82-a00b-6674314b8ea7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="904" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-34271db0-058b-4771-9e91-4197a1f32076-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="903" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d69ee6a9-73f7-49de-8dfd-09d3c0608631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="901" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ac2f503-4a93-46ef-b529-ce88fae4619f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="900" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c13410cc-fde6-4a46-a894-ee3aa1ed4414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="899" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f06a077-3ad6-480e-a4e9-2ab2b0ba97de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="898" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4200fbf8-4ec5-4946-9cb9-eb8eab147f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="897" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-404549c2-3951-4fd8-aad3-c7a6d4597d2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="896" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8814855e-1ca5-4ec0-84f9-025aedbf266f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="895" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5aa573b1-9693-4433-804f-1e290dae304d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="893" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5173136c-9873-4e28-988e-af1f8b2cce34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="892" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f6c4eff5-1d33-484c-9264-b9ec9d8ad0ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="891" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e2c9e126-fb2d-465c-bd91-fd746cebba31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="890" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6cf4713-1fa4-447f-a667-0f15a7da77ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="889" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3a0db9d5-4dae-40dc-92cc-fa3bf3a70295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="888" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-69a46de2-e4d1-4fbb-beba-357a55297f44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="887" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c94ebd6f-3c83-450e-b3ab-61ea48b9f254-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="886" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c38f2a05-1a64-427d-b66c-c5a20cfb2f8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="885" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-07209c4d-e013-47f5-8824-b521ce3f83ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="884" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8a2b50f6-bb6d-4d0e-b39c-c55af0c2ff8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="883" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97161607-e1df-4675-aae9-4e6ab33df211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="882" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-95733daf-ea03-4097-8855-0b937986428d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="881" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6133b12b-b8b6-4436-bef3-783698506947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="880" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-366a1cc1-e2d9-4853-a29d-220d79cd1b1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="879" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb352bc0-4a30-4b69-b762-c5b886e9b222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="878" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8e834af5-49e7-4990-b065-9aa9c6d8ae9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="877" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e69713d-4698-4be6-b2a7-d7c6e4974ee5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="876" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-778975b1-a914-4830-804f-7f1b5252a400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="875" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-45d6fb9a-ddf2-4355-9fbf-069b1a40ba4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="874" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-236e0a47-3971-45b8-a694-b21dd68992e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="873" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-702267e7-a4f0-4484-8aee-dd17fadebc0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="872" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-339a7fdc-3d55-46fd-b7ca-ecc2c4fb5e3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="871" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a49442d4-3ef7-454d-a3b5-e0ff4433b0d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="870" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-56fa4291-4fec-4a03-a44e-22c29f738936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="869" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-327d7549-1ec1-4267-af60-9b005f6c5658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="868" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1ff121d3-de47-4161-a67c-0615342de565-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="867" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-30ee1662-a447-4209-ba74-e32eae275bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="866" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d7268f48-6ed0-422f-941b-b885af31732d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="865" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-af3f5044-b432-4384-b32c-f715db489cca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="864" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97e111ea-8c1b-4802-a486-815de23480cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="863" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ad5a09c-d9ed-4e71-ac05-ce0dc3d6e210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="862" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1dfe372-e00f-4a1a-904e-5e0b47774940-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40395']" priority="861" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40395'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40395' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40395'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-63848887-0af8-4fd9-98cf-bf834796f930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="860" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): de waarde van @code/@codeSystem MOET ''395' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cf028ba3-8590-4aab-8609-30949eb4b5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="859" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c7309bec-cc82-4af1-97eb-cb98d90534f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="858" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Afdektest_geen_herstel_beweging_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-02031557-7bdc-4389-a270-6fdb832d58ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="856" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f6c5b670-9555-494c-9144-1650d15065d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="855" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c04ebabd-22e3-4e4e-b852-af268470fa4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="853" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b07f07b9-9e80-4753-92aa-a2b2f30302f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="852" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4abd4ee4-49ca-47ca-bb49-b92a142ff79a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="851" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3f1a11d1-f2da-4836-a80f-ef5b20e1ca40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="850" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-af2f6bfb-0fce-4cf0-b6c0-746b6b8452a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="849" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d989377e-9320-45fc-84f6-6726fbd86846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="848" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6f1332a6-10fd-489f-822c-d21ea9f35bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="847" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-efa4b78a-6332-453e-ab55-ebf95c3725bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="845" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fdce13e2-33c4-4341-a48e-5b3c173dea64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="844" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-758f0dc9-e28b-40e4-b040-b6fc37a0ec2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="843" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5ff2633-4688-456e-ab48-695cc3a905cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="842" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-54be918a-8b8e-4a08-9be4-8a2a327554bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="841" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d17fe005-65d5-4dfd-aac1-902e372a520d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="840" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ce1dbef-60a9-4755-8cfd-a61ea763c114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="839" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5f8bc12a-e70f-42a3-ac29-374151507540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="838" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e6399e1-60d2-4150-9a41-a24e6a73253d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="837" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-65ff673a-270e-46e1-826e-27870debcfaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="836" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9d111da-c94f-43b9-a4f7-a0fdb0c225e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="835" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2b97ac15-f22d-487d-9ffc-fae54cfe01cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="834" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-413656c1-68cc-4904-974a-c7b9bf0a8ec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="833" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cbf2b1da-95b6-453f-a79f-6e364c3abff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="832" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0b4f186b-7c1a-4412-9f1c-b3ce6062008c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="831" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-49bf9ba0-c13f-4a7d-800e-ecd814259339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="830" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b5ddc7ab-2906-4d55-90c7-aeadfd0a9d94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="829" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-623f3f40-6ffe-412b-9007-9dd26ef43032-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="828" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6d657cc2-7f85-40d0-8578-976dc88255cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="827" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-81794680-ee4b-4d9c-8163-7e88b289c8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="826" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f0ba0d9b-c07c-486a-9a98-84649140ed2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="825" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8f386fef-446f-4ad4-bd37-ddef62c81443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="824" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f3b104c1-0f65-4a26-9797-13f3907b5263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="823" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-edf54e16-e347-4a0c-8440-2ed5e2b10114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="822" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d7650b94-832c-4818-950b-35229b678122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="821" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2bdd6ad0-5a57-40a9-94a9-dff8353a2f71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="820" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4973dc2b-b81f-4302-b4b6-df58f0128e3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="819" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c71d6dc-4eba-44dd-9333-1b73eed63faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="818" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1308af95-b912-4543-9b74-20542836ab51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="817" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-abbf5340-b365-4c75-9903-845bf6249820-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="816" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-62d6e0fb-00a1-429f-ab64-23f6425b8e34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="815" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-166ac0ad-7c2c-4d2d-8a39-5518abdd2140-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="814" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9c9f7be0-740b-4a91-a1f6-061d32ef4a44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40396']" priority="813" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40396'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40396' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40396'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ee79c9a9-7285-4c8d-8def-b4427b0d1d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="812" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): de waarde van @code/@codeSystem MOET ''396' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-71d02ae1-d910-4012-937c-7b1432a7f705-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="811" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9f925220-d9f0-43f7-bb90-e4d02a564e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="810" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a610e830-3387-4ebf-8e4e-89482754547f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="808" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87ca2598-9182-4c50-a1f9-1373df9db147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="807" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97e7736d-227b-4ab5-ac16-a9573e3da32f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="805" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b6282764-0fbd-44b7-910a-408a93b363ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="804" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3758c5b7-7dc6-43c3-84e5-a327dd7fa4fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="803" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3499f4ee-4a2f-4f17-ba58-c44eb52e6b2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="802" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a73e462c-07ef-4687-8bec-65076da8ab6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="801" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-782b7f03-d1c3-4a28-8a7a-3a65969bbe35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="800" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d2305f44-e52e-4c35-a5bf-ddf052fcdc11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="799" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ce281b64-c4cf-4add-a10d-e72a5bd9e083-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="797" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6ed59b72-d3fb-44df-b2ba-c712be9d5e9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="796" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2f69f402-7ec8-4751-9821-d428c39e0620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="795" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-64128df5-0fd2-434a-ade0-86594fcecd66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="794" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-72e4289f-557e-45d4-84c5-1a6efbac5e14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="793" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-67364476-2aae-4b97-aa83-b95979d7f1da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="792" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-779f7d22-3c10-4f59-8eb2-c89e57aeb738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="791" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-16943664-122e-440f-a42a-9e10e7e87dcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="790" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1dab1941-a5d2-4e30-aab8-dccac504d7df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="789" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0d2d1ba0-e111-486c-bb14-b4a2a78f8eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="788" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2d053769-31f4-40e9-994d-299f03c91c5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="787" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ad33b1c7-7843-4640-9dd1-d490d5b5fe9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="786" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-67b3157b-c9e3-4b81-80f5-6a49a394362a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="785" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7814afd3-dd15-4d36-ae64-e16599a63a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="784" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3a44ca67-6602-4541-97e6-19959e59aa76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="783" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e05af96b-9d2a-4ab9-9b7e-9cc6fe28b28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="782" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e2705fa-c35f-4796-aca7-f6ed2975c897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="781" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9fb7fddb-26dc-4324-a3f1-e2635412de3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="780" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-31bfa201-6baa-4122-b377-0ff524cdee0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="779" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91d8ccaa-bbe1-4cfb-ad15-01e83f328386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="778" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e12593d-700c-4b20-86ab-37e24c07447e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="777" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b1e1e2a7-392d-41f0-895d-a2cc0252528e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="776" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d9bf3194-8606-411b-9bd3-89967a656420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="775" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1a5a1060-8b02-490b-81c9-28edb384c60a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="774" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1444cd90-b074-4292-bca5-1fa42292138d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="773" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50ffa10e-33b6-4815-8e55-96b89e270a39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="772" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aa384b9b-4559-4685-b1b8-3684d515c814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="771" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c3be6e37-e85b-4800-b650-2f2e5ea9053e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="770" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0c485354-41ef-44bb-97c3-0876085b0fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="769" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e05ea6da-8f8c-4eed-afaa-5349bc7baf5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='396' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="768" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-439288a0-4464-4e20-ba89-a22fc9eccb1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="767" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5a4186ff-8833-4806-92ab-bc508f514131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="766" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d6546133-de04-44d2-af93-47f75f303be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40397']" priority="765" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40397'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40397' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40397'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d169a01d-5f2f-4cdc-9825-cede58f6dca0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="764" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): de waarde van @code/@codeSystem MOET ''397' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8b82f0c-91db-4f53-88e0-c71a018ecc9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="763" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab7969c2-01ba-4b76-809b-3d1dde5676f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="762" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_binoculair_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-75575dec-7705-40c6-ade3-121919d24654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="760" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6d2fdaba-fefa-4783-b7cf-2d93d0b9b7b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="759" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bbec3d13-d965-4b35-b680-df073982644b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="757" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cfbe555b-215e-42fb-a657-94c160e8d335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="756" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f75aafe9-3935-45b6-ad4d-1b9b1890fda2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="755" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1b30aa3-50df-4b16-8304-ece90ba88dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="754" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff67dbea-8dd6-4fc0-897d-495abe8e1654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="753" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d9e0c7b9-9399-4a12-a97f-ab7ae00913b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="752" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-51c04daa-c79d-4cbc-9bd2-5f0bfe1517e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="751" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-243588c7-fdfa-49e6-8255-f5f9a9bbe910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="749" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-936e18dc-e902-4e23-b9e7-b70cf4ebcd71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="748" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f21fc3b-cf2c-43aa-b96b-b1d1095f5124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="747" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32a86069-7083-42ab-9023-60a1555fe7a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="746" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-77386126-35f4-4230-820c-0e823ad08dd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="745" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f97df4c0-57ca-4de7-a431-75d458412d84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="744" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab1c0630-4376-4338-91e2-6b50fa962582-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="743" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2b901201-879e-4d66-951b-25c13a0f11ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="742" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32380922-df60-4e1d-81bf-b9d2cf890502-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="741" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2dfaeb05-9791-4fa6-8c39-faf0469e96ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="740" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca74a4ba-1783-4df2-9a23-b19fd302228d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="739" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e341d9c0-2f41-4e1a-91d6-c4b618ba86b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="738" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-674c0ba3-8626-462d-b798-bcee7c658b64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="737" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b6784567-1f2d-4424-856b-7f45df6d257a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="736" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-26fa7b14-282a-415a-8ad0-55259a5a788a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="735" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ff58cf6-f04d-4770-a9c8-98fac6cd8897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="734" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b55af5ad-cd4a-4106-893d-33c5a353170e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="733" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aad7ded9-a39c-484b-afe8-75a61e7dfbd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="732" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bcc6da25-60e3-40e7-9f13-dd6a80c14af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="731" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4941c961-f567-45a6-ad25-8e69644da044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="730" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d3919276-51d6-4d35-a4e5-613a86f73fd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="729" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c5a7714b-e019-4a42-a87e-656372cff1cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="728" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-67a916c1-2c51-4fcd-9021-77ffcf383b4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="727" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b11cb68c-0f21-4230-81e9-7e4f7638141d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="726" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6caa039d-d082-47a7-95ef-da569207b66d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="725" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6977c848-f475-434f-8f87-94a9465d4d59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="724" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2d61ccf1-85e1-4ed8-b0c6-adcfc5dc157a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="723" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c112c7bf-1f8d-46d7-a175-0d87abfee4dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="722" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0a122066-6e9e-46b8-b112-960a5ab81d0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="721" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-78749c0f-0646-49b1-9e41-8758527f1c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='397' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="720" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4a599672-dd5f-4546-87ca-37d6815e3cab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="719" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e073ead-6c1f-4532-84fe-f27d96cbf17f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="718" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fa5d5c84-c017-4c87-b822-4834fd4ae9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40398']" priority="717" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40398'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40398' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40398'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1b85839-6b9d-4d44-95af-a6e5b7f1fb60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="716" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): de waarde van @code/@codeSystem MOET ''398' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b0103146-91af-4046-9185-55115871f10d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="715" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dd353abc-c6bb-4623-82d0-164c22eb3668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="714" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f58ef891-ca2a-470a-bdc8-2952cd32f264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="712" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b84187b2-f05f-42d0-8f8d-221df8536eeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="711" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b3b8e982-a702-436c-94c0-3ec23792cd41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="709" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f74a0756-7462-44f4-8bc7-4787c410f431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="708" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dadc4e72-1ecf-4e28-80e5-63e9cd5b1114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="707" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8af60318-0321-4573-9060-91b46bda9d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="706" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2a8422bd-0b5b-4237-876b-d936233d81db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="705" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-755bbb80-e520-4df9-8059-c14880e9fd63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="704" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47f6757d-d534-4309-8679-e0de776ca307-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="703" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8fd64955-0577-4a90-a300-c52a69da2aa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="701" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83d48bc8-211d-4a06-a297-ba6fae3b66a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="700" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d07a1e2c-4555-4b3f-b4cf-a304281eb8de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="699" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9671e014-d180-446d-b0af-1345a84c4653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="698" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-73a67fb8-f397-4c78-944c-6542a1e16503-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="697" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-22d58c7c-38a5-44ff-af49-72f00ef42f27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="696" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-29151652-2b5c-4b8b-9ded-d33ed38bed93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="695" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-76c3e3bc-cae8-45e0-a9b8-b614c032f7ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="694" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8d337dc-278c-4c7e-8c86-86c3d05e926c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="693" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f5a8a8c6-bb8e-4dac-9604-51635206ba00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="692" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a21fcce3-3db2-416a-a27b-9a9c1b37654a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="691" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7b39410c-8d31-47eb-aa93-573ccf0bba45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="690" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aac9db8f-641d-461e-8fbf-a1f2e1e0cceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="689" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-404b8a24-06cb-4fdf-885c-e6ffe539fb4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="688" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e7a5167a-f802-4abf-a8bc-0172117e30fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="687" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-43201327-339f-4125-b1db-e1ab8e46c34f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="686" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-606f35b7-0dae-42a7-91d3-5b6b580281e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="685" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8a168fdd-6e8e-4944-b6f1-2823b0d30337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="684" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4db72947-832f-4a2d-89a9-9b95314caddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="683" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-02eae3f4-a8f1-4135-80f1-64f8c892edcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="682" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35d1a3e5-7e78-48d9-b231-57c6519aaeff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="681" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6944395c-5b05-4d27-9384-ab41ccdbc8c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="680" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5fdc0e5e-24f1-4390-8b2a-18e1252ab8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="679" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-95b2ee68-4564-4009-b984-2b8532ebdfaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="678" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0953c8f8-6c68-4de9-bce6-7e8830d32b40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="677" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-825d4498-e045-443f-92ca-3c5881de7980-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="676" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ad06ef22-1197-4251-8a2a-13812364ce53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="675" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4a8ce9ac-1f33-4143-a448-a76fcca9bfba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="674" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a0c9b61c-4fb8-427f-bf68-fb2cd3f31135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="673" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0d420c29-6200-4385-9b59-e835dc73cb91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="672" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a6eab036-c6ad-4caa-9922-85bbfd3bac0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="671" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e2df1c9-29a2-451f-9658-7046fe0ddea3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="670" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a055a328-4b26-4e21-9b44-596746ee832d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40399']" priority="669" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40399'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40399' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40399'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d8611af7-8e48-4517-a8c2-fea9faa43e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="668" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): de waarde van @code/@codeSystem MOET ''399' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-832599de-18a8-42a5-8fa9-94883e60cb25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="667" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d7e515f-4c70-435a-805c-2fa552aa23fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="666" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Volgbeweging_monoculair_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e46721c-645b-44ff-9746-fcf3f6cd3218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="664" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db7948b8-0fca-4ad2-a4e7-ce027f71eb6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="663" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3da8888f-4683-4117-8d35-92486ab6cb5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="661" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b7e08e34-e3b7-415d-b825-4603c84b4091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="660" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3786aaf3-aabf-41e7-9962-f99fb9195c59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="659" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b0987fd7-0ef8-4b5a-9f81-fb413141bdf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="658" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-581fefe6-db2e-4554-8624-b8c8fc1ebf93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="657" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3227dc5f-d63b-47fd-99e9-b9274b225810-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="656" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0ae85646-5703-4279-9477-158a7620bd6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="655" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-16b70d27-9e49-4ae4-a5bc-48052f19bbfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="653" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a7f82a26-d8ed-4825-81b3-e9555c1e5a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="652" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-01fe1111-b7e6-4e05-b0a8-31be777f1b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="651" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2ed3a597-50c3-4d08-91bc-db830fc1cd96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="650" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3cbce17c-7493-4611-88af-ed32e469d01f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="649" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-848d74a1-f600-447f-a577-93aa6c94d390-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="648" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-723350fa-884e-444f-a10e-302218bc4c88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="647" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8901be86-9b94-4854-a230-d196e13093aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="646" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-127ecf69-4413-4642-a564-599da08a5608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="645" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b6c944bd-486f-47de-86bd-22f126d5cf80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="644" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c494958e-0748-45d7-9150-64a88b5e8fa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="643" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a3f1238e-44c9-4c35-ba22-f5afb1d37640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="642" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-993947d0-b2d1-4c4d-aa97-cd592402bb09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="641" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dee718f6-3c94-42cd-ac35-7e119eddf5ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="640" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9ed1b8b-73ff-46bf-99b3-3c3b1f870cef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-99d90469-6488-426c-af71-169294171b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-be133999-43f5-4dde-b4a2-8f477f8a9db8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="637" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c5fcbb9a-8a69-46b2-b2d5-5e9fd1004476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="636" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-493bb760-a014-4386-bd78-6a9d15357fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="635" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f0f246b2-9e9f-4007-9024-9f48172b1517-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="634" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80cda9d1-b750-4d63-867c-b272048cf306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="633" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a1cc9efe-1d40-46e5-8d97-c9b4fd7c08a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="632" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-44b85aba-cdac-4fa6-af20-763f806c1f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="631" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ec8077c-8a43-4e13-bd56-f9bca5d052d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="630" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e6da0688-2f6b-4db8-8032-c5786e00b021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="629" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32dfa6be-2d5d-4317-b13f-f59cbc2961dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="628" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83ea4a9e-7254-4fd0-868c-37e8ee08e729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="627" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-91831aa1-042d-4a86-9c72-367f14b2ed97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="626" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-358170b0-a69e-4725-8377-6d0c76a96bf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="625" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b8f2545d-f24e-420b-ae13-02699d1c9708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='399' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="624" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8d6fcef-74b8-4ae4-8304-17650193e771-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="623" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c521ca62-bc74-4c75-b030-85c508e649ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="622" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3e23e3b6-8667-4a2c-b30c-928ff952af39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40402']" priority="621" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40402'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40402' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40402'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6062ca55-ff97-427f-8ced-584b022f1ea9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="620" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): de waarde van @code/@codeSystem MOET ''402' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6f08ae51-6a6d-49e1-9d51-a6383009894e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="619" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f9f960ca-37b1-4b3d-a7e2-b2afef94966d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="618" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-857078bc-30ef-4270-83c4-47aba2aa84e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="616" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afa3f99e-a1c9-4b8c-a680-0dc3ac9564d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="615" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ecc9347b-2c56-4c23-8a92-b5064186335a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="613" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b5d9eb4a-4a7f-4fda-b14d-e8d184b2c20b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="612" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-09fb449c-1ffc-4286-855a-001891a1f2b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="611" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5fceaedb-c4ef-4ad2-866d-cf310951245d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="610" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4c62e7be-96d7-4ba0-9d21-5d7d9f85ef90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="609" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a9a50fb6-804b-4309-9296-a37af316c402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="608" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-aceb5309-a312-47a9-9254-bf7615bb7c05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="607" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ad941ae0-db1b-419e-a579-af75c2d0792e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="605" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fcbc92ae-f5c2-457b-90d8-d4d675a85581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="604" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dc972282-c11f-418a-83fe-8f82549f01e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="603" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-df4d9cb2-aa5b-4a23-865d-2c7e2b008af6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="602" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7cc48ca3-5377-442b-a470-2f1fd113fe7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="601" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e7f76da9-e3fe-430a-abbf-e39f8f524e48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="600" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-109e3fa7-e4b0-4cfb-a321-0c6a30be9d96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="599" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-977f8146-ea4e-4007-a29c-6cefdcfcd2e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="598" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1a87ae2b-add6-405f-bc6f-0a32c044d48d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="597" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-be87e191-3b65-4eff-915e-6bb0e1da590d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="596" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5d1eb185-3903-46de-91e8-6eae684bd87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="595" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dd419dd6-51c3-4b2d-bc1c-a2386d4fc19a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="594" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61cd8588-ad25-41f5-86d6-d460f90045a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="593" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f561e6a-5cc3-4630-b87f-9399b9cd2830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="592" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ddeca057-f798-49b4-bd8f-8b2ed3b87af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="591" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ce0ac0c1-cf31-48d6-aa5a-e305640a9e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="590" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ac2c2a20-2b99-4e81-aa82-10dcaee7b948-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="589" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5362a32d-f4c5-4154-98ac-10a32f83ace7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="588" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb52a941-67a0-42e8-a73a-647c97ccb36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="587" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5f165d60-d70c-4963-a90e-ca06a88d6e2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="586" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2bcd00c2-675a-403a-81eb-8e168593c0a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="585" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0bf845cd-cb4a-4b50-b270-aef6bb08a337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="584" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2498507e-eb51-41aa-ad8b-c02962877c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="583" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0fa84f2-70d9-4cbb-8e1d-b17fdd111909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="582" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-de7f75da-f739-4b3a-a872-5dea69c768da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="581" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-30956cad-88f5-41db-bdc7-1229fff58fc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="580" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2a2d94ea-8e55-4a67-b46f-d9da13f71929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="579" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47976a1c-59ff-4396-98fa-6e8621783572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="578" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-46e9901d-a57e-4421-8fcb-08058adbca69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="577" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c348af91-d78e-44cb-8f7d-b81e19981af6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='402' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="576" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7cd33166-ea53-4b0a-b439-63c49eb6ec6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="575" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-83d01f09-c697-452e-bdf4-8ce79959cc47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="574" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-afc2bc93-ac63-4f53-930b-508b7d99a739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40403']" priority="573" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40403'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40403' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40403'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e1315a5e-bf19-413d-aab0-99b39213ee63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="572" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): de waarde van @code/@codeSystem MOET ''403' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e2b8a8bb-b197-44d6-b010-f7631ba01222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="571" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9ed2994d-b685-4e96-a2a0-64b931fdb675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="570" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_zwart_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-34a65aef-de95-4110-aee8-7f50d8d56ee4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="568" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-51e25f1e-4656-4dfc-baa9-3fe0dddc7b39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="567" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb0ccf95-9e4e-4db6-9c92-97504782c36a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="565" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4ef01509-78d5-41f2-b16d-4c46851e2cbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="564" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3d30c41f-3688-4791-844a-cd566a47d691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="563" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4db8c0f0-9c7b-493c-9954-c38b1aae9d84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="562" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3a9438d-3cfe-4823-8dd8-6a60f89b205b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="561" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f5506564-e2b8-4e19-bea4-2034a728c17b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="560" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2b423b44-d754-4d60-a3e5-8b1f2b50725b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="559" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97276bfe-9f9b-4488-bfe7-0ba4194d3c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="557" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8b7fb1bf-c337-47e2-bd3a-b7f2faee11ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="556" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ea6a510-2a4c-4922-906d-562f19020d1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="555" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0bcfd2fb-a6e0-4eda-bf73-f5fe4ec597d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="554" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-06d1cca4-1db6-4ac7-9c5f-730c8a5d956d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="553" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-77ac8585-55a2-4a4e-951b-426b0e766520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="552" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-58eaa4da-7f3c-4e80-822a-78705800406f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="551" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b613554f-0e7b-418f-bf6a-05d331e90f60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="550" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f7b45121-bc96-4b83-8df0-a582163aa4fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="549" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-70aa0062-0f6c-48e9-a8a7-e4311051d9ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="548" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0b9c75fb-782c-4094-85d2-ed84aacacd8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="547" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5cfe8f6a-8d3e-407b-a8fd-11b551578587-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="546" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5a2b11cd-d0f5-4128-99f1-400d516f936e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-133146f2-347e-4c0a-ba61-0e1ff04383d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff344c52-aa52-4706-850f-0ccec5bbea44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-75b88f71-6df5-48aa-b245-b0fc7d0fb219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3cdb1be-8064-4def-b46e-268e97b9ebe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="541" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f6f5a532-a801-46f8-b1d5-cd7a2f7e43eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="540" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e1f15594-d917-4b28-8350-0bc072d4e87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="539" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-11566634-5972-4cc3-a28b-e3a299daae60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="538" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-589972d4-57b3-426f-bcc7-ad035f4882e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="537" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb44c625-b069-43ba-b7e5-7f67bfcefbbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="536" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-96dfb010-c321-40c0-88b0-c987d30af5d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="535" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7186c15c-b4a9-4d78-b2a8-841ca5cf87b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="534" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-867ecc0c-41f9-42f5-8481-3b9d831c1c8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="533" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1c41340-af26-459a-a19c-d789c0e0420a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="532" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5cef20f0-b189-4be8-9659-c6ad4b7d035a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="531" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f93268de-e358-4a05-b4d4-95b1448977f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="530" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0a445669-5090-4a8a-a068-e45eaa209323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="529" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2c9113a8-c471-4518-8c2e-11058fc9d70d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='403' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="528" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9e3724be-0ebc-4fc6-bc37-dc010accadfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="527" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f2694880-6774-4aab-80fe-73782ce35ff5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="526" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-138f13df-ef95-4e59-aeb5-14ab154de3cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40404']" priority="525" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40404'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40404' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40404'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d52e037f-cbdd-4809-9ab0-b90e32788727-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="524" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): de waarde van @code/@codeSystem MOET ''404' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0d1b89f9-1f18-4e4a-9b90-6736f531e90e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="523" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-88079c60-b50a-4a65-8099-fed57482e023-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="522" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5f7ef378-9896-4cf7-854c-507da264ccdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="520" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3f48fa29-5818-47bc-a206-23b9f1c8fb6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="519" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-65669c5e-6632-4de4-8d57-e056dfe8b7c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="517" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-69cf0512-90ab-4f76-af00-bb01b946da97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="516" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e611584a-5642-444c-8a19-709302a9fb73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="515" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-56bd13b9-f2b1-400c-887d-f120a8755467-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="514" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-415ddabd-5da3-4532-9ac8-1560dea89d59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="513" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-72385a9c-f1d1-4974-a36e-07e4de98d482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="512" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7dd0a42f-1c3f-445b-9dcc-798b1b08244d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="511" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4918f2c5-a65a-4b51-96f4-54e3a5a17379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="509" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5b044d1a-65ae-48c5-b0ef-627c7c4185bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="508" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c6cf332a-fb0d-4c5b-affa-dc319e7c2f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="507" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b7002cb7-e51d-4809-869b-17ece919e4ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="506" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-23345ff8-2983-4e6b-b2bf-77091d75acfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="505" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61131953-b806-44df-8261-5690ff691655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="504" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-350f99b6-ae95-4cc6-a53d-15b87f820f98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="503" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ebc7e537-d36f-45dd-ada8-988a077812a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="502" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-560c5230-42af-4f97-b31b-cc41a7326f7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="501" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0c786066-1006-49f1-8177-0d491f1813ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="500" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-14ad71c2-ad32-4a5c-b9a3-997dd2b6aa7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="499" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8ee2be8d-e263-410c-b669-f81d6040d1fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="498" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a6c6bc49-ff16-467d-a16a-0c2e5ddb89df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="497" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-12d51cf9-1023-4dd0-b5e9-c49b09cb5f26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="496" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-63edaa15-5234-41b9-a1e8-8d8670d042dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f90315c2-7de0-409b-8918-db35942bca36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-051521de-258d-46a7-b790-3b1009a91cf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="493" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9c4e77df-143b-4ec6-b7e2-92f98b145d8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="492" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-58cb6b5f-91d5-4130-b94a-70cff1e69fa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="491" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff00d6e4-5d1c-4fd8-8130-4d5a98d68b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="490" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb53a3ce-6f7b-4953-be5f-07c2382ccd71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="489" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c71e3280-428c-4764-bf50-bc26674bc362-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="488" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-74e02e0b-7533-44c3-9526-8ddcdeb0a13d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="487" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd881c81-2713-4c42-8451-c8ad729713ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="486" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c95245fc-4380-446c-b9ac-d7c7235d79d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="485" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9e08150b-0477-4e54-90e9-f960762d1159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="484" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c8270cfc-b6ee-4cf1-b85f-6a634ee3d9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="483" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-56e6001f-b8a8-411d-b65f-b81bd44d31f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="482" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d3a0a697-aa15-44d5-b474-e1592f044e9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="481" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8c6b93d4-e590-4cbc-b718-b12d66f7b620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="480" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8161bca5-a5cb-4970-ac6f-3dc0914ac58f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="479" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3d6d686a-a660-40f7-9c83-a6080781afc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="478" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7a9f6ad7-6e27-4707-938c-411f1a14489f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40405']" priority="477" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40405'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40405' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40405'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb123254-4ede-41fe-913a-e6f832334a69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="476" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): de waarde van @code/@codeSystem MOET ''405' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-da816389-f42b-41c1-b316-2006395bd488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="475" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47dc8f8f-ea84-4540-bcb2-f9205f98d41d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="474" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupil_rond_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3a6c22c2-3ccf-4aa3-9411-463fae70fab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="472" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d20333d-df8d-47ef-ad85-2429030c451b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="471" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35a4e2e3-079e-4fab-8554-066a854ae927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="469" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db0ff127-29d1-4aed-93af-2f1d2244a73e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="468" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-27f0ff15-d395-47ed-928b-21bb301d74a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="467" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-369ae664-e2e3-4f75-b425-ca7ca71efe59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="466" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-94ac8e24-ce82-404d-98ee-f43859f28fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="465" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-17764b03-02d5-4fec-95c8-a779469ff56b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="464" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8bfef0f2-f9dd-467d-ad3b-23298f3f4008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="463" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-879edbde-5fc5-4873-980f-74e79a2e6c6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="461" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-94a45a73-91d9-40a9-884e-dc3efb283fd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="460" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-99e9803a-43dd-43b9-a26c-5c2b55a251e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="459" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47482ee9-9f13-43e4-9dd8-d82cfca2d7fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="458" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0fedb7d-9677-4ded-bbc0-5e06b7bd8117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="457" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-62c5eb41-658f-4274-a613-880472485e85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="456" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a3ca6ff9-62dd-40d3-8632-6c2e6de99936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="455" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c1c7bc9c-d2d2-4003-850b-e9100a86f90c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="454" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-835c1d9a-81be-4319-9c0a-f84fbc4fc603-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="453" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0271df6-71b2-4a71-826c-5adad3988304-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="452" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-139dc7e2-12a4-4f01-acfa-7b9f987e5d36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-903ada88-87be-46c6-bfa5-bcf7cb185d8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3760c85a-a42b-44eb-a0a1-176cdfe0753e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ce89c315-941f-4dcc-9974-0936eafb39c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-07896702-c511-4002-8038-d4f85d9f0209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-32964c6d-6d48-4dfe-90e4-51476560f908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5caf235b-07be-4447-9f7c-95cfd1946046-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="445" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1aa2a54c-443e-4686-a467-22e6bccdad0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="444" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb819aa1-9acf-4b10-9c30-13929e084a81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="443" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d6c55cdf-e23f-4f8a-9e0f-2d584e134457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="442" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c308b212-19a7-449e-93d0-799ab1578873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="441" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-27a9e17f-c222-4b80-b801-8adea745f5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="440" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ee87492-8bfa-431f-bea7-452655398764-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="439" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7d1278d7-e4eb-4de5-be0d-b75e4e7078ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="438" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-37f0ea07-65a7-4dd4-a95f-a86dd720d4f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="437" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f920f6e-764f-435a-aad9-b38860fe6bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="436" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b101b0c7-b663-4d85-b5ef-01399b1940c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="435" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a9499fc2-90a9-4ca4-86ec-415ee94f3abe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="434" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-89e1c4e1-1d06-4a24-b359-d6dad1151247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="433" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bf02b1f0-3ee6-4ed4-94cd-7b30a069caca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='405' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="432" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cfa5ff9a-7921-4315-99fc-82957c91f859-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="431" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-26069b96-074a-44de-b19c-006cc5495200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="430" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d29d2281-860a-4dd7-a81a-e367676966c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40406']" priority="429" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40406'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40406' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40406'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80ed8d0d-b8d5-469d-90c6-eca64da3addb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="428" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): de waarde van @code/@codeSystem MOET ''406' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-33c88f34-12d3-41e5-9c06-712680f38112-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="427" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-24e7097b-178b-496c-a093-da7ac6038ef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="426" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e7506d17-ac02-4ce2-bbf0-319ec46f03cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="424" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3b792b83-e449-4aef-8385-2fda914ae7ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="423" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-08bc5b73-4e66-4893-be45-d491f946b903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="421" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-46a8e4f9-b87f-452c-87b3-7cbb6c77eb74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="420" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9022271d-1937-47d7-9d4a-a35f5ffda96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="419" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-37f31f4c-dab3-48cf-ad06-5e2e0d7dd2c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="418" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9e297e48-810e-4cce-b80a-347af8d669d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="417" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5ea3179f-b7d8-4574-8a40-8057822413c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="416" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-309b033a-a789-4969-ba0f-03dd1d11ea94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="415" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4b49a5a0-259a-49df-b0bd-f512765d855b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="413" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f3e7ee5d-4cee-453a-85ed-967cd83f6be1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="412" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-19e55589-42f3-4862-82b5-5e1726c7c31c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="411" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2b3804e4-7f05-4596-bc09-065cd089a3b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="410" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6ade2b86-16e1-4d41-a4f1-83efb59361ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="409" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-86ba8b63-49a5-412b-909a-9b00da7f5e98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="408" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a8ced042-c5fd-4036-a54c-eab1999d80cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="407" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-10c0d385-fb6b-4a4b-9baf-aaf2dc188fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="406" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c26bc89d-4416-4401-9b71-6c84d0dafbb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="405" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3cc62fff-0cbe-4c8d-b4e5-009f87ffceca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="404" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b5d4968f-5003-4d9c-b742-7284273214cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="403" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f61b7279-bc45-4e18-a154-b1213d2f0b99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="402" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8511f08d-6474-4394-b38f-6de27d3ab32b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="401" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-212389ee-86b8-4a41-9da7-368e2a26f9d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="400" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3b9b9872-1b6f-4115-97fb-9080c1b8f870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="399" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-922b821c-3be4-4a3e-8b84-99cb180c59fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="398" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-38bae34c-c55a-4e42-be0d-f055211e5ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="397" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3a98582-a8b7-4b79-9b62-b62a90d864ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="396" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f46e179f-6658-47ea-ba37-9808623fcd88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="395" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-093a70ae-8cb0-4023-bfcb-d595cb4d98b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="394" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0383d3a5-5c10-4eef-8394-802f31879375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="393" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-912a5ae2-232c-4812-a895-c10317f95c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="392" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6be043e2-b8a1-40dc-94c7-3bf83dcf67f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="391" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-44d0d972-0d83-488e-9cb6-8b67e6bc0824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="390" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-15fc537e-386d-4a59-a62f-eaceed309fdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="389" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f1445e6-4f00-411a-9d6a-c5eb4ff5a8c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="388" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-db12fff6-cc1a-4c8d-8c75-a32859971333-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="387" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-62565092-e4f4-479d-84cd-fb3b97f8b535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="386" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d2ddcfcd-bd9a-48f5-b8bd-00e61b56dae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="385" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3b0a9dd7-9e2e-427a-b0b8-9ad9591d681a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='406' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="384" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-15d062cd-1e3d-4638-88bc-9e1b0b6292a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="383" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9eb48a7-cd9e-4b25-bd29-6737a36fa234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="382" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9a7946a2-8e43-4f01-b957-bdb89410d73f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40407']" priority="381" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40407'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40407' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40407'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f541fd99-9859-4047-97cd-badd691fadd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="380" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): de waarde van @code/@codeSystem MOET ''407' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4b2602ef-1cbe-485c-8888-338c540b2598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="379" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6b790fec-9eb6-4f35-af11-efd4368b9975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="378" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Pupilreactie_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0f56cd0b-6bac-4d21-ae88-508773f2ae45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-34c5efa5-64b3-435d-849f-82e76a1cc9f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4e93e028-42ef-4cbc-863e-be68b43a1aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3ff9d0bf-c9ce-4e57-a736-7dd5aff28df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84c5f7fd-afb0-46d6-9671-fc58fba9449c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-221f6a0b-c553-4ce7-9f15-2dcb23f943b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-805b168d-ffa5-4c13-a5d0-3bfb48724406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-94adcfed-1f82-47dc-881f-cdc59240e4d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-31ff8dbf-cb78-418c-b46e-58d9926f98d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a35ac463-89a2-4ae5-be9f-50b653080697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80375845-972d-409e-b4d1-dec4dd9fa01c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-da2f44d3-de2c-438e-9c43-24ec3a493c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1224bd02-146a-4fc8-9c5d-c918fb3faba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-80223045-3c59-4b99-a6ce-4dea1fc3f5e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7bce1a5d-4784-4470-b3e2-ecdc8c3d9388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-39208369-aab5-4349-b3a4-d310b94bc7f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-406e5646-bfcb-423b-b544-2915c153b57a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f4655393-6554-4091-81be-8e147a18da37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8939d1e-9926-4740-9f93-d4c9894192a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5620a37f-6315-4834-9164-e0fc4164c56c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-10b57f7c-9113-48d8-aabc-1ee535077b6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-33365b32-f274-4cf5-977a-d73d96625664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d02eb650-b9ac-4a72-ab06-34b5d5ad1c01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e5eb1f80-9de6-4258-9621-9d2a35e82ff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5240e333-513c-4c7d-87f1-c54bb42acd8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c668311d-8193-4fc3-8247-35bb7a6b08e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ba72d9bc-3c06-4186-bd22-ffd5c615ebda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0bc2c7ba-5098-4412-8df9-37cc6548aad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ee496e47-b720-4b9b-8cb9-7237b871f049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e0da96eb-a6b8-48e1-b3ed-d251e5d490ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-50de2ee1-eaba-4c1c-aeb8-d0dd4b6edb6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2fcfc2e4-6963-42d0-9cec-faab432df61c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a9158077-dc98-4e53-aa0f-770466437c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a959ce2c-a5b5-4164-834e-d67f6b3de63c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0c97b51b-a1ba-4da1-aca4-cc3748681de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-832a25ef-b29d-47b0-9521-290dd32e74fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-84b5f24c-7fa1-4007-a078-c803bcf57961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd48f33f-e6fc-4083-8e72-18176889dae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-503c8552-fcf1-43a4-8d53-c685d8257d75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2174bdc0-5f89-40e6-a4c5-92d737d42ad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-494d925a-79ab-4a81-8039-4b49d5894cfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dc0f2a23-2dc4-474e-a8c5-5453a496eec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40842']" priority="333" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40842'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40842' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40842'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6524c1cb-d8b8-4b57-b482-24ca47ac65a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_VOV-onderzoek): de waarde van @code/@codeSystem MOET ''842' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb635b34-1e77-452b-a9c9-7fc575274f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f4149718-4408-46c7-88e3-9e04a97d8946-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-77cc1886-8b65-4ff5-a392-97c3e88f7eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ffff40d1-f8a8-41a2-9108-37c9692ea6da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0fe9a925-01c5-4f0d-a56b-33e8d82584d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-41849129-6b1e-43fd-923f-39c42698c96b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-187d4939-34fd-4fa1-a448-d00bc9b26484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-22b435bf-31af-47b7-b669-38c6172e94bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb1c539a-853b-44a6-a169-81aecd343044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7708aec3-cfba-403b-9bdf-d128e7e8e3fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c29d8a31-127d-4b18-a8a0-17a5662ba89c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-307d4b8c-378c-4f81-b45c-e2032b1bfa38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ec5ab30e-f81b-433e-baeb-31dc18133ade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b830c8e2-b3a5-4e07-aed4-7b853e46ca82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c9f6ddd7-adcb-4607-a4ad-d83c78a2942d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7d79d5dc-0356-4c90-9b91-6a181fdc2330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0095b560-e852-47d9-8e67-5810b4e51103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a8cc0b7d-59ab-4ce9-b8e1-cd7a9068ec8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1604b319-dec2-412c-a6a9-dfb4683e12a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e9130fe1-dbf3-4451-bbd8-a9b53d5bc8b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3ed63f70-4587-4364-9a86-2327a59ed1d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-215bab5d-172e-4145-a17f-29d44afba8dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8a98de79-dbe0-4546-93a2-e3736a21c5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4e6f6839-0a95-4a54-8d59-c74be801372c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-11070014-3189-4fa6-a939-09eca3716279-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5b7d9614-8c8e-4f53-8734-07a7780055d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e0ebe405-8505-4157-bef8-6c7b0155d37e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-852d222e-766b-45ad-95ec-776b4cfcf983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dca0edb0-9a21-44d6-b045-d9a0e272e1c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e3b4e1ff-f04a-48b2-8825-acc71ca70125-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b9f7c5ec-adca-44ec-ba2e-931740d72c81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab9adb81-e7b8-4ee4-9ea2-b19c64c8e681-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-81674e96-c7a9-4807-b32c-0141a9f80416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87ae9512-1996-4619-964a-107fd17e5a58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dbe00154-ad4e-4600-a22a-88b826f7894e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f28108f8-35ac-413e-8c01-9e87bc19a500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-766af2a0-8fa7-448b-8f6c-2e7038602196-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-97f6e483-3a66-4cb5-8d40-4f588ccd97d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1d5b2079-a822-49a1-aa72-389d939942d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fe636b86-dfc4-40f8-82f5-dd21d7ca17f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3fe91124-8e66-4177-904c-c0050becf39e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='842' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5aab31b7-3746-4f49-9fb2-acdb9f9e9886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9655b93f-30fe-4fd3-81a5-df80a1f545a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5d95e24c-9657-4df6-a863-a9283a7f0ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40851']" priority="286" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40851'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40851' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40851'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-58ebdad6-1fa2-49c5-acac-9bf2ecdebcd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_inspectie_oog): de waarde van @code/@codeSystem MOET ''851' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-12ef5891-a28a-485e-b6e6-bfc0f6f00cb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-259f2c2a-a326-4061-89e4-1f2802a24c64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-29f0fca0-3f49-44a4-92c1-0d8b30a3c1ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b69692a7-e5dc-4dfb-b24a-66abe3126c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-921eff83-7d26-4751-aec6-f3f33f06088b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5b4d17a1-d194-4069-ba9e-a5770bd91807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e8649629-aad0-41c2-b4ea-bd6d10d1f23a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c40780c5-01af-49cd-8dc7-4fb9b3481e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-99ca046a-6526-433c-a74c-d974714c7cef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ff9e5865-f3d1-4d57-816d-8b1bab0459b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c4e1c86b-0615-4f58-8dc2-11c867e3bc75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-74543056-e1b9-4573-a37f-c0c3d740b4ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2d73d5f2-71b6-4c76-8c29-92a257b5a5a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-898c101a-faa3-40b9-b710-712377899195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e112d7d-53cb-4351-964a-78ddee559351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8596fd0d-aa84-41ba-aa89-b7a49ed6fa85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c58eb2df-445a-4378-a812-1a616af78d15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6fba867f-e723-4ca8-a623-048285c55bbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7d0b663d-d623-4356-89ed-f42861450cf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5e963d47-3323-4aa2-9365-67ab8e74b75e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-682dd77a-03d8-455b-8547-541066d44a6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0b5f84d9-8016-4ce1-b2df-616bbf736b48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9ff8c687-ebc9-4d97-a2ae-4e97fd9b60df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8da4b613-8a5a-4240-95df-6c3ab6e26a0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-4c90acba-37ed-4b92-8cb8-3b1315be7133-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-39c18560-99cc-45dc-a154-aee7c932ba29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a05f7d92-7345-44ac-ac1a-2ffac6754e3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-42e9224e-1e9d-43f1-a4c3-a7a0fe886af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb135c2f-0734-4dce-8b69-7c4bc726a310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c7bec217-57e0-4136-8809-0f105a016072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-00e7eb7a-aa7c-449f-abf9-93b0934e306c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-25982890-fadc-4dbb-b670-aba748fff78f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c087238d-4941-4fb7-bde2-6a769c379db5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c0b5c009-b1af-452e-ad0d-09c37ad81755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eb1dbb46-c8a2-4884-82b1-ac1facad8cd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bc7a69e7-6e4d-4ffd-a26f-be2f5072b419-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e38e81cf-d795-434b-b020-d64057e567aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1f6c920f-f005-45de-a0ca-bddc51066579-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-00d9a591-2206-437a-bcd7-70aff7083abf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fbed97c6-ae3a-4dee-a337-f3b9be2a98ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-33f8ca35-1348-432b-bce9-ed215278cd0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='851' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0553787c-250f-4585-b192-8840b278d294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3eb56a8f-dfee-4a3e-bb71-b374f742b65b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b28d6816-5c95-4198-8cb9-ad8f3b91a1b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40854']" priority="239" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40854'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40854' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40854'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e0029c9a-9899-406b-9397-30311e04b379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_oogartsorthoptist): de waarde van @code/@codeSystem MOET ''854' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ccfb7c2f-a285-498c-8d25-7cc6452633c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e66a7b0-82d4-4e03-a20b-9594eba20a92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-113ae847-6fb3-4a89-9fa5-8cadc0e52a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fa4e82c4-9860-40e9-b37c-81add0baf532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-42c40d3a-de9e-419b-a425-7bc75e190562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-902d31e0-ad0d-4976-90a0-5d9d03585bee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-af1d86ed-0aa7-44ba-a8bf-c970ad8cfada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-90949f9b-9389-4760-aac6-6fb429e94803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-380d95de-ca19-41b0-ad87-8f9f3c895af9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6b006561-a447-4f14-925f-ca99d212f669-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-15c7c942-83ba-432e-90b2-a7ecde8756bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a36d61cb-a873-4a22-b121-11d3bfac757e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-37cd2d48-8ebe-4881-934d-daa67367b61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cc956808-de12-4217-a845-d809e3c20202-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b975e673-d42b-4142-a2b1-8938402988cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5693d460-3142-4549-8567-fe82768834c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cbed83bc-b972-40c0-b810-ff0eea9dbac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-58f2a72e-a7db-4c07-bb71-3c1ab16621cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e617a606-f700-4754-a82b-c0858da267af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c51b83bd-66e1-45ba-8164-8360114a231a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e1489a1b-a5dc-49d2-b495-0f4fffe98d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1bdb27a7-45f6-4c33-842e-d1776c14028e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d75c94bc-0b87-4b71-9cab-aa49ab71dec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9635aa77-ff31-42a7-ac96-30fb66274fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ecd90991-542b-4646-9094-13cb74dc833d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d1fc876a-495b-4a4b-ae3e-79f203f8cec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ca59ea2c-8b8a-4543-990b-9a852c76b980-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-802050df-962f-47f6-b72b-523e93982b28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d57f26dc-a482-4cb6-ab13-38f1fc0eb2f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eedd37e8-b32c-46d3-b58e-e6d7a760753c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb4f66e7-57d7-4046-9d39-1c9c0992bfa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-01754781-e3f3-43db-858b-0441c30e1223-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b43f8df4-a88e-4246-adfb-23e0b7429760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a85f8b15-a04e-4844-81e7-18713ec38eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dd662ff4-4263-4ba1-b7c4-18eb4b8bdb7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-303b1f77-af15-412c-8440-785ac0deafc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-16c5e1d6-35fa-45fc-9729-3b7ec21b2983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5764c688-7488-49ed-9b74-a97411ab2652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-36f4ed28-9f59-4a7f-bfeb-b15c8d513024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6234f89c-defb-460a-9f5b-9c92bc51e175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e31526f1-cb2d-4f88-966b-f94e67526ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='854' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ab1df864-0f59-40cc-baec-f37d41da743d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9786720f-0993-45a6-a887-25bbf9ac0707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3479c59c-3a0b-41e7-9e76-0804ad4690ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40852']" priority="192" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40852'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40852' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40852'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9227c6dc-e9d1-4480-9344-8067264a6ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): de waarde van @code/@codeSystem MOET ''852' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e39e8bb6-d6db-450b-90d1-67f7d4483438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0365_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0365_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): de waarde van @code MOET worden gekozen uit waardenlijst W0365_HL7 W0365 Ishiharatest (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Ishiharatest): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0365_HL7 W0365 Ishiharatest (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dbdca128-752f-4ba5-92fc-2c986c1d18fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9684282c-7cc7-49cd-bb04-922d07a4917a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-131bcfa7-63b6-42b0-aaca-e6e9d105f78f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-76214996-de83-4b67-91b1-98a2658dde23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9877b34e-3d05-4321-8a53-8db43f66f111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-018367f8-b7b7-49d6-8023-99d389484dab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd96f310-4937-4091-a9fc-e33bca1d1f9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-f8499c8a-2476-4f01-8ee2-488f562eaba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8cea453a-69cf-42ca-a41b-18e48a53c113-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-26f5ec92-7ca5-424d-a45a-d24b2a230930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-93c360a8-12ce-4730-9b31-d4b0f7ce2768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a22a9f01-6f2b-465a-a805-6f558aaf4591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a2e56871-828f-442e-8bac-7e23ac86e787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2e498b38-962d-41ce-9ea4-21654760f21c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d7577347-74a4-4ed3-b7b9-974d7759d3d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ea598c93-7470-426d-b0b5-29b9c33ca855-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1d0b4078-0bbc-474a-b514-37b547e1f369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-530164e3-9bb4-4c5f-be03-6c5c264a9ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6e6a51d5-eb50-4ef6-b99d-9bcd6972fcb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c18828e2-aab6-4130-8a06-596ec39d8a51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8856e440-8bca-4fbf-a8c0-c012a16f41c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-00820d22-ac24-425f-8060-3e7bb7de15e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a54cde97-52b4-48ad-8032-755bb9b30acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5f5396a3-fa68-46bc-952d-401ff9a0bc2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-888a7832-c28c-43b5-a6fd-fabfb6503c6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-eababf63-6255-40d4-8c72-c2331afacca0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-48452eb5-8eb6-4be3-8eb0-e14c60e13d03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ece425ef-8616-4ed6-bd38-6d1b8f6f4d6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9f868ae6-f206-4ee3-90a5-b1cd8174ad50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e38a2b40-42c4-4016-a6e5-75e301009092-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8b2cada5-0b05-46cd-8c40-3e5a02010732-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7e9552e7-69f6-45e7-9ab4-af955c6ea29e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-cb7cd2c7-2185-4dd3-a970-48f37a0d10ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d4dfe468-a622-4ff8-b3b9-7c66722dd146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-279de364-9262-4097-948e-89839acfaad9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-9817fcb3-f9ae-45f1-b9cd-d601d164a209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7de2d866-0246-4a83-adeb-337d65cc5dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d8f7567b-7ec5-478b-a617-39f17bd8b3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c5c15b67-b80e-46e2-9b14-36cd035b219a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8d82c1e7-a171-420e-914d-e36a0fe158fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='852' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c40a87b7-b9f5-4c48-a5ad-4036a7ece745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3d61d7f5-11aa-48b9-9588-7c6bc1db1fb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-03c75317-e965-424d-afe1-fd7250d76ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40853']" priority="145" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40853'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40853' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40853'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d4a5b2d4-1205-452e-ab12-ed0b9d56ec85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Dieptezien): de waarde van @code/@codeSystem MOET ''853' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-35ace37f-b232-4e79-845c-23fb1555de3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a88dda1b-794d-404f-b10f-68394888e0d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e9a7db83-27a3-470c-88a2-7921ec0f7507-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a23b754b-d644-438c-bc41-e7a5d9dbd0bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-e04a6702-437e-40cc-85c4-70823ba92638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2acb5261-1aae-4ad1-ae4d-5728f6e07ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-48d77227-0458-416e-81be-4c13ff927449-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-834ab8cc-3777-4b73-8001-aa9e0becd0b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-87ec6da1-9acf-4d14-8d75-dc373bad2885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-ef3d954c-d620-484f-9524-234133411600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-996902ca-ac8b-4ec9-b2bc-fd6c0008bc89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7b3f7319-4ac1-426b-8f97-18084076c67e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-d2d80985-fa15-482b-8651-a20a2712ffcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fb24fed6-37e4-49cf-80f3-2a9715b7f76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1e88a05a-3fa7-4753-9bdb-79ae76c987dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-6278a850-8aac-47a2-a7c0-bc656c1c141d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-67d74175-9df2-4cd2-a30b-6cf8ffcc62d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-7f5aece5-4ac3-469e-90ae-40ae0d3d2f28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-51b8793a-04ef-4f77-9cf6-fd6ab53c61e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-de334d56-baed-42af-8766-97cb9f6c1111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bb820c89-b2cc-488d-8915-1df26ff45b88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-020cdb3c-bbc0-48ee-a7bd-0381bf546bac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-bd5f5cca-1745-4687-a814-5df41d9556ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-11e3d391-06fc-4a01-8dd0-d92ab9de06d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-8ffbffd8-4349-4c3a-9298-621f0cbc73b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-0bb83aa5-abeb-453a-a21e-18a4e6c94902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-dcea85d4-30ef-4dc7-aa5c-c4221d2f08d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-163f8b3e-e075-4c9f-a819-3600e2a0cd90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-61a7a7b3-a73f-4886-a8f8-43d2f9ab17e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-fc26f13f-2401-4aeb-aa05-7672b36acdc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M80">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-56f8b212-f5af-49c4-9628-2c06af328a85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-1e6c4dbe-04e8-4d6d-8880-d978aa4183a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-5184318a-fcf4-41b6-99c1-5aa241fbf733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-a5d7aa81-5957-4a72-ac10-0e42ac56de7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-3eb0d14d-6e7d-4a8a-9a1b-2a1b772a2006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-06661e6a-6336-4a10-814f-88e044a22c73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-2937f446-76ef-4e4d-a012-69b354d18499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-c2da8dd9-c3d7-41d9-9cb4-4a1e4250f054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-47b5c03e-d8fd-48eb-a233-471e7beac61d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M80">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-b36caf9d-a2bd-4197-acb3-d8504cdc07f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M80">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11038.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>

	<!--RULE tmp-298ebc9a-1157-47b1-9621-c13b0e467165-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11038']/hl7:component[hl7:observation[hl7:code[@code='853' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M80">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M80"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M80"/>
   <axsl:template match="@*|node()" priority="-2" mode="M80">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M80"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M80"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11039Rubriek 39 Hartonderzoek-->


	<!--RULE tmp-89a38a04-3e4a-460d-9961-03e15c4912cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']" priority="716" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9b1fce12-7b08-465a-b7cc-3190b4da12f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']" priority="715" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11039'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11039' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11039'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-17aea162-c1b8-432a-ab37-18a206df328a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:code" priority="714" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R039' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @code/@codeSystem MOET ''R039' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R039' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fa6f5245-c95b-43dc-99ad-74403dd652f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="713" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c5007bbe-cbe5-4d06-a717-8780684c07d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="712" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5dbaaab2-6e6d-43e9-a35f-7b3949283c3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40855']" priority="711" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40855'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40855' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40855'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fd4d6870-519a-477f-9aa8-82efa4d120e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="710" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hartonderzoek_uitgevoerd): de waarde van @code/@codeSystem MOET ''855' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f4ed602a-5217-423c-9584-27678f37a8fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="709" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-577adc05-a79f-4dce-ab4d-e1d04ea29980-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="707" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cd94b6bb-02f0-4524-b9a4-4167a00105ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="706" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-943ea3f6-ea6f-4afd-a1c4-6f02518503c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="705" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ff677e15-55e5-40cb-b10f-41ee11251946-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="704" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5e6fbaf7-315d-4588-9c3f-2f4ff1edae94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="703" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c25738fb-1c77-4fa2-bd26-a06f0bc9ae60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="702" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9e2ab4ef-28eb-47d3-a09c-425c8de77932-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="701" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7b801793-101c-4e76-a68f-0f2cf7438bba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="700" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0dfa519f-e3ed-4996-9873-9424c3a23d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="699" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b4948366-3805-469f-82fd-3cdb704c7f2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="698" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f8a04f9c-a044-4198-8fa1-5bf99585d23c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="696" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c7362ff3-3b50-434f-9914-693545ff6891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="695" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8874b98b-a273-41d4-8586-ddd6c2a5c38b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="694" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b9c39a96-47ee-4edc-878e-8ffd5c1c7569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="693" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-61d0319c-cc80-4c9e-8c0b-8370e7121e5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="692" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e65a6eee-bc57-4792-8945-4d764620ff80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="691" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5730ccf1-38f1-416d-ac34-21edba0e8476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="690" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5b3c5cc3-6220-4f77-bfe2-c383ce65c993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="689" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-529a1fdd-8f8c-4324-9633-47ee63304d2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="688" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-34f3041f-42b8-48b6-a04e-e14e3944e4e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="687" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f28ec1ef-4272-44c9-84c9-b3ad5de0a8ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-57d116ae-e5e2-4fcc-85aa-d6fbe21c9f93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-81c0e3b2-bad5-46e4-bced-a80d2a8d24ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ea43e221-b7e2-4ed8-ae93-6e926e445817-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-866d075b-f789-493a-8c94-6fcab402b914-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-978eacd5-ef8a-4392-83e7-21827f0de571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2a02b895-b36d-40ea-b366-c8b96f74e7f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="680" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cbb1d9b7-81cc-4023-a47e-404a78ed9083-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="679" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-814410b5-da82-4aa1-b605-4b62991198e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="678" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-da2ba19b-8e60-4abe-a2db-f43f740a5952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="677" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e45d362a-13af-44be-ac79-4f036998d275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="676" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b4b4b66c-a724-42e6-b473-ca22d6693487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="675" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2585c892-e984-4c8b-abc9-c8f99454f611-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="674" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2b03f076-95ad-43e6-aa84-25382bc6ebf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="673" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-52439b09-f095-46fc-a94f-6b718ce34ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="672" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-69cb8ca9-22c8-49e8-8951-0db45c425393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="671" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a9ac6034-a435-426e-a17f-52bcb1428346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="670" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0e565059-205d-4737-9c43-01ea8fb19793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="669" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-230206d3-4690-47e8-812e-ad715aecec37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="668" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-79c7dfab-b650-4cbb-b29f-92cd62913544-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='855' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="667" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2dc87947-8214-4d48-9c09-c37c5a465666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="666" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-26e47946-154e-4a4f-a3a0-a4b4f4eb9a2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="665" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is required [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): element hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a790100e-35bb-4ddc-bb62-1d7f648d3ccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="664" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster39): de waarde van @code/@codeSystem MOET ''G044' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6e800658-4de2-4655-a998-c58be2d50a83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="663" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4827c10c-d5ba-4391-9e46-b7ed9f9e637b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="662" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:methodCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-10437478-ee90-4846-98be-aba87d27b6f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40856']" priority="661" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40856'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40856' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40856'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d13acb83-fb16-4600-89c4-20e2e81454e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="660" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): de waarde van @code/@codeSystem MOET ''856' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6bbed953-8d56-4c88-b724-e29ca300787f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="659" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0367_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0367_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0367_HL7 W0367 Geruis intensiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0367_HL7 W0367 Geruis intensiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5d7dc2c7-c910-4505-83c7-13ae9ddb4620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="658" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0270_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0270_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0270_HL7 W0270 Methode hartgeruismeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_intensiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0270_HL7 W0270 Methode hartgeruismeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-84fb7e85-6839-4946-8366-f408ecf0289f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="656" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-956e4360-493b-41e7-89b4-12eec3358d2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="654" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0c4efff2-8a2c-48d9-9f3d-9a14f78e56ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="653" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-919e6868-8fee-4344-bb04-59e27154331c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="652" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fd488cde-12c6-4ea2-b7c1-865057d1106a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="651" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-de82a380-6119-4428-b4e2-debe6165b9b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="650" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2f475c09-ddc1-46b5-bdde-ba604854e934-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="649" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-deefeb8e-fbcc-4615-be6c-f80a8779a053-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="648" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-52dcfcc1-c51b-4a0d-8b39-5d21af34d14b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="647" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-14bf82f0-37d9-44c9-858d-dc0601600b1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="645" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b21c7ccb-dc72-459c-b7c9-352d4ab978ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="644" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e71a72b2-f622-4f07-8cc7-c4e11cc8814f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="643" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-98bfef6a-c772-488b-9c39-842afb88eed5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="642" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c1771ef6-2229-405c-abf9-12ef0b610d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="641" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-12ae5efe-30e5-4fed-8642-2c193eedeef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="640" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8f88a5d9-4618-47e9-94b6-6cbfbbbe205b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="639" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4ac01b84-ca11-4def-867c-61b395e50d7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="638" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-623d5992-40fc-4254-83b1-cf908020cb26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fc58f614-bdcb-4825-b763-d60d0bb334e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dccbeb15-9ce3-429c-a93b-7d790f5e769b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5cbcfd43-0701-4bc8-8017-a41512a43f7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cb81e885-c52b-4089-bb65-87180e1dcd35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-827aec64-f904-405d-afd4-936c8f064df4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-36cd4d65-07f9-46ba-800e-b641ba8a6a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="631" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-edf912b8-fa88-41a5-a1de-2fc364526981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="630" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2bb9c0fe-6297-419e-867e-1873696b41c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="629" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-355e50ab-33c8-4100-b3b6-9518d16c736a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="628" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d7a2932c-b117-4b8f-9972-1fc0b74383e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="627" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1452e9dc-b1cc-4729-a881-a67523db8c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="626" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-73cdde53-3236-4378-92dd-a0262fc57401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="625" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b9aecd37-46ab-4992-9c6a-0237a0603f53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="624" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e3a69047-ea1e-4948-833b-e937f6c86e35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="623" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-902dff75-abe4-4eb7-8db9-6aa2a57df645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="622" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cbb272bd-8d35-43a1-9e15-a6231c80f0b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="621" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-eeabfad2-afb8-4548-ad75-9fd45369e927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="620" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b6ae52d8-b22a-4d0a-bbe8-88f07c57b555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="619" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-88e1a5af-de64-4f0e-b1c2-733c5c7d2105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="618" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-322d2948-b6ea-402b-ba90-3b37bf4adf3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="617" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-717bde39-0977-4e0a-9e9b-5e8ffd3bd2ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='856' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="616" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-884d736e-34c9-4296-b989-72ff7abc5b05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="615" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4a8e6c6f-0c66-46ae-ba11-06e29474560a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="614" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:methodCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3b8c494b-dc6e-4a8f-b375-6d31f5fbf0b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40858']" priority="613" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40858'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40858' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40858'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-79af667f-dcab-4a45-acba-f30e4d0c8da0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="612" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): de waarde van @code/@codeSystem MOET ''858' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-444595ab-d96a-4fae-818a-17e4f9527655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="611" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dbdb12b7-e122-47ce-8652-d3490a1cd00b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="610" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0270_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0270_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): de waarde van @code MOET worden gekozen uit waardenlijst W0270_HL7 W0270 Methode hartgeruismeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Geruis_timing): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0270_HL7 W0270 Methode hartgeruismeting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-91c45081-dff2-4739-ae12-356aaf404245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="608" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8734b71b-1bfb-496d-8036-98f2779e97b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="606" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cd14c69d-5b5f-4fbf-ac78-4774bbb1cb50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="605" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6e82cf68-d373-4f92-a8e1-5655e2574e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="604" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a35040cb-31b6-40f2-b3bc-b032c789bbaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="603" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9f51aaaa-466b-4871-a6d3-0a41e9723ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="602" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-36bb19e2-5d67-4aaf-ad09-c36447979c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="601" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-27645439-072c-4422-bfeb-9179281c07cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="600" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fe3d2243-8349-47ab-8d7b-ff95e0bc4b85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="599" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-732fdb7a-e203-4f88-bfaa-c572b40d2c3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="597" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-630ed8ac-174c-424e-8b16-b669d4f51932-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="596" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-76b0ee33-73ce-46af-afbb-b978da09c355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="595" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-158311eb-0b1e-48d1-84fa-c9222d887504-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="594" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9dc6f174-3fcf-4432-9cc1-6a8f45b67611-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="593" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f298f4ec-2e80-4ddf-a9f4-63228a1c67dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="592" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7699a521-9a2e-4c88-865e-f4c5c2cc117e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="591" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-465bb5f5-7f97-4a02-9745-4d55c7940306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="590" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0d3cde21-a3ab-42da-89d5-d3f220a5bfd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="589" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-295e8d6c-9193-4b49-94be-a90b729b293d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="588" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-10e6c53c-84d9-4d09-9de5-270dfaa85e95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="587" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-929908cb-adf7-48c8-87e1-2b43d2bffc42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="586" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ec87099f-c7a3-41d0-bc93-708110db2051-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="585" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c6b79f15-eaf9-42eb-889e-b143996f480a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="584" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-59963dd4-febb-42fa-8a25-38b5bcb190a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="583" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e1950353-51b4-4f1b-9f40-0e6f5bb6108e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="582" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dec8ae4d-79bc-43af-8e6a-4883abb026df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="581" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7e697c4b-48bf-4994-b1ae-d2dc8861c418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="580" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6a7f5b27-9b5e-4d46-a512-d23ec27330ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="579" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e287f9ca-1907-4c98-9dcc-c6664308541a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="578" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c0c88cca-9b02-43b2-b11e-e0503ba7e147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="577" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-93565629-e401-421b-8a43-555279b228e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="576" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f8694bbd-0f96-4926-afea-6f0ad00724c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="575" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3bfbc1bc-7d8b-4c24-b1b7-6647ed30c48a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="574" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e03300c4-b22a-4f9e-a6d9-cbff67fce508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="573" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-545210ed-34db-4015-b563-a23e2bd0625d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="572" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bfa6ad33-01f6-4888-b895-d8f5339f8cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="571" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-811cbf1d-22aa-4fb2-826c-900bed40db6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="570" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2b40c084-7b8b-4f3c-ad3f-cbea57e43ef5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="569" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e0b5abdf-be85-48b2-bb37-1f265ddcede7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='858' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="568" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-128fabf2-526f-46fd-8140-bc58177eda77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="567" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-79ddb065-bd52-43e3-8cb3-555867904c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="566" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ad65c212-b2fc-4db7-afb4-f245a1d19eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40859']" priority="565" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40859'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40859' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40859'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-10f9a88c-7d95-43f5-8eb3-82e5391d6f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="564" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lokalisatie): de waarde van @code/@codeSystem MOET ''859' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7312001c-1a3e-4f49-9b08-fab8a00ebe28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="563" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ef05b5e5-fc38-43b8-9864-159f5fb644e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="561" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2e4b5c43-d211-4679-9083-5c775d32a035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="560" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-51c3c0b6-3389-4129-b270-419be5cc5647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="559" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-41bc0f73-36d1-4f28-8512-dad435bf1d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="558" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ac3a24e8-7429-413a-9a18-20753cdeaad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="557" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9b46e9a7-bba4-4301-8077-e9323e5b6bb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="556" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-24008abf-eaa2-4842-8b30-68c829bd64ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="555" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-953f59c1-2e95-43a1-a32c-f0e1500e4f2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="554" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ca83d2a3-4ec0-4382-aebd-8caa2e3746af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="553" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8617157e-45c2-465e-9716-70bcbd584d7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="552" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8bd96033-cd50-4e64-8e78-1836257aeade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="550" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a2ed6067-45eb-400a-8a71-7ee8a3887117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="549" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9676bc50-01fa-44c1-9567-d2ca9707abb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="548" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-abaae01c-0ce6-4c5d-b754-d13372fc8469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="547" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e5739857-800b-48e6-9f37-b3013ac6b67b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="546" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bd568952-714a-4eb7-aaec-f0e405593b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="545" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d9715783-f5cf-4509-ba32-dad77b6223cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="544" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f2348abf-a24e-4687-8f10-8b8274db3c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="543" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-31f903a4-110c-4a6a-9fba-300b0c829bce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="542" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c6e0e607-55f4-4d65-a4cd-b6049b870b0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="541" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c43e38ee-bcbe-439e-a470-dfc492213c94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="540" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0144ed13-e7ab-41fd-9676-b34e49c81558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="539" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e0005020-a01e-45f6-9d15-e4fd3361338a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="538" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5fc78e8a-432e-46c2-b9ef-5aa1c721329f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="537" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2ff2c10d-8b94-4e36-95df-09e340f34713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="536" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-086b16e4-74e9-46d4-bbdd-7d47d4c3bf78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="535" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5b40f764-1eb3-4bce-8b84-395addde8030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="534" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-efa12052-ebcd-4edc-9be5-87dfbe124609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="533" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a9ba7d6c-ef9b-4532-9dd7-03c89c2626d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="532" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2a3783dc-c309-4cfb-b314-c7fb689592f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="531" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-12f9b20f-558a-4e9a-9460-f67b602e861d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="530" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f8f2856c-1446-4ff8-adf9-e97630ad0c31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="529" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6cb1338b-b724-41fa-9588-23f441a7f931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="528" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fd80a47f-ddb6-4741-9635-d672f98bf687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="527" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c5ccac80-5f6b-49b5-a6e2-09989ac02942-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="526" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6f82b1e5-e57e-4493-930b-e0080983f391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="525" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-431cf653-31c6-4958-90f2-96f238f18bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="524" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e32423d2-f29b-4bdd-baf3-b84450aa63bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="523" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-86da83b7-899d-4ba4-ac6c-a6cacd658ea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="522" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-db59b158-615c-40f0-84d5-4e08eaabcb51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='859' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="521" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bfb159c3-473a-4c03-a698-32ad2bcfcbee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="520" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4779ae4c-eb0f-431c-bb63-a8cc91378dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="519" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-28e04e5c-6af6-426e-90a3-05aeffa70d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40860']" priority="518" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40860'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40860' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40860'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-68c51895-7275-4592-8591-7b75e74a4307-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="517" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Voortgeleiding): de waarde van @code/@codeSystem MOET ''860' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c8ac585f-49e0-46b9-950e-4d0cc7de027b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="516" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-62da22a8-8b92-4209-98fd-4c8881bedc53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="514" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e72597c8-b012-4b49-9e84-296609b3da61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="513" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-35627ae4-a26b-42fe-a3f4-7d45011a92c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="512" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-923aaf38-2d2b-485e-9916-3ef0e40f3ffc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="511" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-48c0c5c8-7a44-4161-9746-8760b3e5360d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="510" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6ea09bec-8e7a-4e74-ade2-04d55917d46e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="509" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-666faf40-b939-4332-81fe-f64fd8db4d1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="508" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7909ed9a-5f50-4f6e-b604-57b4e6bf190e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="507" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1a3c418c-609e-4822-a920-f7583fd6a891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="506" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-63a360b5-b3eb-4e6d-a9db-87c85b90f882-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="505" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c6aaab27-b67b-463e-9764-e184572a713e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="503" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-98870a9f-03bc-4ecf-9cf5-160ff4b0f47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="502" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a2b0ce20-cde3-44d6-b350-84f08235a9cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="501" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-83b8cb4a-7957-4b18-a746-d4177cceeed5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="500" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-34e1bf31-8d2e-481d-9da2-46ea8c6b65f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="499" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-537e8be7-5bae-4e19-858f-333ed3a721f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="498" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-755dccbf-c0e0-4a47-a1b6-56d822521846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="497" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0e207eeb-c674-46df-9bc0-5292e09af274-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="496" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-844d8fb0-3987-441d-a0e8-90a93cb11b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-687dd1b9-35bd-4490-ae96-51a3f6afe8ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1ece27b8-e33a-444d-9e07-c1161d40bdff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="493" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-02839873-9188-48c4-a1a1-f9e5d60cd61d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="492" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-61e25fe5-b708-4ae1-b62e-8816bf875922-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="491" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9722aa63-383f-40f0-a99c-cf102d8850ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="490" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b11118b9-422d-4b1e-a8df-f10c55c52d26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="489" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8bb372dd-12b4-49a7-806e-92bd3e826d2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="488" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6a478996-9dba-4735-accf-2758d7012b51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="487" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2457d00e-e98b-47cb-9ba2-af5c76ca2d00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="486" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-93ee8b1c-ad08-45dd-b897-9afae1fa21c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="485" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a4995fed-5bd2-4f80-b5b9-6ccdb13dfd44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="484" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e06303ae-a230-44b5-9813-558be945bc35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="483" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-454be269-3e4a-4094-a773-9cb7cd7e4725-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="482" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0fd5c413-967e-4371-af53-d4f0cb894105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="481" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-63c4511a-6a50-4861-905a-b1d11af53107-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="480" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-23a4ffe1-0b51-450d-9dea-a61e6a6d129a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="479" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0af4cc4a-e7c1-436c-b1ad-a9cecf4c8fcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="478" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-94ba4d37-3fac-48db-bfea-b82dbef6fd5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="477" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-63ab4578-8a46-4084-ab8f-697544214ecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="476" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0c4ef154-02ed-4d71-a50b-1aa0aa52ca19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="475" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6d08c44b-9a2d-440b-80e0-b40ca6571bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='860' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="474" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5c57d58b-993e-4c1f-b7b5-38f406f08023-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="472" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5bff6728-a773-4e47-9a95-3157291d8729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="471" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0a41cba7-48e4-4b5b-a610-3a22810e3523-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="470" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1a039fd0-7501-4226-aab7-e89435dd3e77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="469" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bcb06a08-3ebc-45cf-a40f-ba2863fa5816-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="468" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7ce9f0b3-ead8-4313-bd0a-5e313ae32728-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="467" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7abfead4-2d30-42f0-ae5a-b4e98c3fc77a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="466" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-17c7b329-89ae-48d7-9cfc-dfcbf6ae4a26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="465" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fd65cdd3-678c-46a4-974b-8206575c1f85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="464" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-004a5c29-5193-498f-bf99-e6384808b704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="463" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ab8eed35-877b-4207-a2f3-7edaf2def0bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="461" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7c341fb7-a0d2-4c51-975e-319d8ebca063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="460" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a8c0ca5e-0524-470c-8fb5-d1ffd3da5cca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="459" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0d2db565-7b00-41bc-a9c2-a11c9f922a9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="458" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3aa510b0-d3fc-4fe4-93eb-796f957760b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="457" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8c4b524f-8883-4b51-868f-976f94f097aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="456" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c177c9ca-ddbd-42c2-91f2-1604e189c36d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="455" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f8e459fa-7e6b-4b37-a654-05c072473c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="454" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ba34c04a-427c-4e47-942f-dd3eb3702556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="453" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6a8e6daa-4d99-4251-894a-462eeb22b41c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="452" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-efa8ed2f-17bb-4359-bf65-590501f712f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-633bfdbd-fd86-4fda-a942-261e5bf5eb11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c816202f-b402-44de-8b98-d6036dee214d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7ed1d200-836c-4d48-b859-d0e310796668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5c095f26-e598-4ed1-99c8-201f360d2a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e058dc28-4b6b-45e6-9091-dc44eec99c2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fcd98fb4-fa0c-43a1-9060-8ea6a3452106-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="445" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e9385a34-44d9-465b-899a-b2e0c4703ad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="444" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3842d0a4-ad44-4159-ac3a-60ff6a8eda32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="443" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-58becc15-9913-4830-ba56-9074ba288d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="442" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7de37f0c-c50c-436a-b9d8-abd6b8256202-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="441" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-249d15b4-05fd-4bf4-bc5f-fe913fa2496c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="440" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3bbae694-0071-4f27-a4ca-231a04d64a00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="439" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-51c04e7d-1421-4314-8c81-7f2386c76533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="438" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9f77db32-21ab-461f-a4f6-3ce18496b440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="437" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4e8f7510-0a69-4a09-9827-7c0ef2020c9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="436" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f2ae2eff-0556-44ba-b00e-ccddacfacc7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="435" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b2809f55-f727-4c44-8c0e-9eae16b960a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="434" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f3bec011-ed34-476c-b11b-eb2d247a91b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="433" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ddddf6bb-80ea-42c6-b256-a33f19fa2a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:groupCluster[hl7:code[@code='G044' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="432" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8c2a9b15-9611-4ffb-bf74-b36648f6ad0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="431" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-794247c1-ac9f-4740-b08d-664a3c3b8d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="430" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-55df5a05-62ea-4fa6-a000-358b5efafa10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40861']" priority="429" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40861'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40861' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40861'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-44466144-d9dd-40f7-9c03-9f72f70ca9bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="428" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_harttonen): de waarde van @code/@codeSystem MOET ''861' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5f0fc3e6-d64d-4b07-b211-a72dee6d7ded-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="427" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-73200cd9-e012-4d40-afec-2a323369d563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="425" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f7eaf2e6-85ed-41d0-84a5-37c072dec6c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="424" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-503a86d3-7f12-404f-8136-d500749d65b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="423" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-59cd303e-e9e4-492f-a09d-c39500239e7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="422" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1c80cc6a-a91d-4914-b84f-ca6148de499d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="421" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ecc5a317-f67e-4b43-99ed-076b07c0b283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="420" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-edb520fc-98d7-4bb9-830f-b7a471c0417e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="419" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-58e739e1-aaaf-4cbd-b72a-18319aa5cf49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="418" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f42b9fbd-f714-4064-8502-26ed983b6e40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="417" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f4cacb9f-4a28-442d-8810-c713098c68f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="416" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-882b409d-f832-4fb0-b735-7c8a57818289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="414" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7c3948d8-276a-42a8-8c4a-c6587470f56b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="413" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0ea0705b-1209-434f-a4d9-76d01638e199-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="412" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-48d74f61-7af6-4685-bb17-199d77554b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="411" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0761806e-4400-459c-b3f7-d1cef89c09ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="410" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-51674cec-f8e1-43e2-b7b3-ec7cc73f6f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="409" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f1dbf897-fedc-44e6-90ff-5664f98ce843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="408" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b1b82234-95c9-4b8b-adb3-633fa1597c73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="407" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0e97c6aa-d6ff-4c52-8b51-d5571baa0368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="406" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7aba8402-bb88-4d61-9471-a56bd8680547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="405" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-848294c3-eaf3-4b80-aca6-7cd0a3c5d0ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-216b0521-059d-4972-b2db-03b96c0c9c67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-46808959-770d-4389-adc9-4e904b26d029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-738e9303-20b0-4896-9b9a-93c6a785ad54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-13751cf7-d786-464c-8c2e-1a8088fcfe89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5d852394-144b-48bf-a132-847bce856dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-45857008-51e6-4d15-b757-d9e260529514-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="398" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5ecbd738-bd66-4f86-8853-afab9683b6fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="397" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e9f20013-e8c2-4c12-be6e-a0c7ef5471cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="396" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-88733368-c5d7-44d7-abb7-2b20c08a3a87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="395" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d490e48a-0c90-4dde-b5ed-c8ff8ac5137d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="394" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-15905713-0a87-4e20-a35e-8935996fceb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="393" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-eed56400-39ab-4956-a2e0-5b4a1b162a2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="392" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0b1548d1-a2fa-4196-8ed2-d02091c33888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="391" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5846cf21-baf0-480c-b6c5-843f999a46ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="390" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3e159b33-f85e-48ca-8c99-b9d4515ec674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="389" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fc8cf4b1-bc87-4a82-ab38-b6c5c6b57056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="388" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-201b657f-03b0-48e6-87df-7fb853676193-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="387" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3fb88634-aaa0-43c3-a2d2-f97def19e558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="386" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1abd29ec-c826-4e63-acd8-96e946550ec8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='861' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="385" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-02268dec-e6c0-45e6-9381-533dd10c25d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="384" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5b7c6168-b777-4512-9084-5b165019aad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="383" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-96fac05c-a59c-4a50-9948-d67d6746129e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40862']" priority="382" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40862'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40862' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40862'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-33365e9f-d13b-4b33-83f7-5487dae2d233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="381" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_hartritme): de waarde van @code/@codeSystem MOET ''862' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0548a231-ec55-416e-af43-6aaa8b11665b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="380" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c946693c-23b0-467a-a061-107a2bed10ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="378" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c2002e2b-2326-4a61-adc6-5fffdc280a01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="377" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cd128001-2343-4378-9274-5b0c0878bda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="376" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0740ce1d-a426-420a-9362-41984c78670c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="375" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-478c301b-f4c5-4d16-a7c2-0f1044662246-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="374" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5308cf0f-402b-4fe7-86d8-692f36fd5e83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="373" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-21b38804-8efa-4605-8f3c-4923be208d7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="372" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c3e441f4-d139-4024-a55a-3e2a71436e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="371" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6b638bce-0bf1-4b49-b0b4-bb255a5341a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="370" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cd7f0be2-aa6b-4b70-a677-7ec9dec6e850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="369" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-80b201f5-6bb3-4272-a92a-29fa88449899-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="367" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3aa5bd96-f9df-4cf0-9c4d-faaf66933d00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="366" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7ff88696-89b7-40e8-be26-2eeb02a7ec93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="365" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dc2bd8bc-f7a5-4788-b4d9-b28936de3256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="364" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8df49d05-4c48-4cf4-8cd8-25b386366f30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="363" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7a768e7d-5a80-45c2-a225-5cc70504f470-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="362" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ac93a616-bea2-4f4a-93fa-0964acffc64b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="361" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-679e0b84-0553-4cd2-b1b4-1ccd2cdffc53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="360" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d8c4577b-d3ab-4657-a14d-aa60bdd1b34f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-32fa3109-07e2-4f39-8e7d-9683768f6a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e9405d41-a2bb-4076-8704-c006649f57db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-210e456c-a940-4393-b7a3-69458c877847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f76b0b44-5548-4ad4-b32b-1f042f11425e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c2149c9e-0e78-42d6-8aae-ec41939a3ecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f5c59789-0c96-4afc-b592-ec9965f24eb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6a566c12-9bec-4d3b-8632-03c8d5ce430a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d9b00da6-87a0-4170-bc50-86fa003d9bd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="351" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0a1ebd64-6fdc-437c-8720-e704f26c81cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="350" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cc22401b-50c0-4be9-a5cb-73b36c5d9d10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="349" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2e5d8a10-0229-4888-b7fd-a910090eb871-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="348" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a599aa92-6ce5-482b-923b-28461fb4482a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="347" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-da88bcc7-7e21-4108-98c1-a254ec6716e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="346" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c2d24683-0c41-46fb-8bb4-30042a4dc476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="345" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-494eab00-32a0-4b0d-b3a9-6b2d44a52cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="344" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f3c1f210-5fb3-43fe-9e19-01dc9ed90014-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="343" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-85cf087a-e271-474a-b074-664a5428edd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="342" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8b692794-0432-473d-9624-37006aa24dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="341" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5fdbc30f-c427-430e-9df0-9d1b062828f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="340" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a7ab4ee8-5e70-419d-99d5-a409662c386e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="339" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e6c10683-a320-4fc6-bde4-5e80a2799c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='862' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="338" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e66a51e5-ee4f-4e7f-88e3-087ee04bf59f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="337" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6e9403f0-9d60-499d-950b-1ecfb721c5dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="336" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-40d8455d-c639-4b53-97d7-762d3ecf2073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40206']" priority="335" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40206'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40206' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40206'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fc8a5947-14e8-4f6b-a0fa-c41920493ed5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="334" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): de waarde van @code/@codeSystem MOET ''206' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9e140142-7587-4351-8225-d1a371f16e34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="333" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0369_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0369_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): de waarde van @code MOET worden gekozen uit waardenlijst W0369_HL7 W0369 Vergroot Niet vergroot (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lever): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0369_HL7 W0369 Vergroot Niet vergroot (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-546aa325-75b0-46e3-9b1f-a55668def050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="331" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-813e2055-c466-46f3-a515-bf6f6fe3a062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="330" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f4d88b10-be3e-447d-8641-e632307f69dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="329" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-67dbd24a-aca1-453d-8d17-1fc28265a44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="328" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fb68dd92-1f05-4906-90f2-c69cf9a2c85f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="327" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-73b73ab0-cfd3-4431-9123-031509026ff0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="326" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ba866342-225c-40b7-ae12-8034ee6403ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="325" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-34206388-a8e1-4ee6-a3de-bc0acf452c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="324" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b9ca87b2-ff53-4b2d-8da0-c236cbfdf01b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="323" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5e3bede0-44f9-4d0b-90e5-cf1a33756713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="322" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8e68516f-6e58-4b04-8872-c22956724cf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="320" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ab7ad27b-c118-4a27-861a-cba29114a679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="319" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c0d79b1d-9daf-43d1-8d40-20ff75f180b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="318" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ae44ad18-21a6-41f6-a81c-393c9accbfc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="317" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9a956a97-0427-40e2-97b2-43e3e997f7b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="316" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e77e6b9b-a9e0-4f6d-b84e-989ca9641236-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="315" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ecb9caee-0bd4-41c4-9509-c2e6267f559c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="314" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dff97900-3b2b-4a0b-9f29-9657ad88cbad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="313" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a70a42fb-4472-4579-b468-e4460837d332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="312" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c0f7220b-b751-465f-b57d-7f917809d7e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="311" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-89a1c717-1c87-41ce-87d2-5ff367c4e9a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-23703430-e8e1-4d31-8e58-fa1af1469166-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2b48da49-c453-4624-bd2b-2b4967ebd007-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5c84d9d2-d751-427b-b445-e4d9aaed03d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d2a57bc7-417f-4aec-8f51-9f7d604a7cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d634600a-cf10-45e9-9b79-7b7f7050933c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dca84a30-585b-40b9-b5b8-c58bf529b729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="304" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-33ae451f-8780-4726-bcc5-9da2e09409f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="303" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e0536a68-1142-42f5-a802-b85073c1bb3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="302" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7907af48-c662-4c6b-9f62-95c27b8412bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="301" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f9ecefc0-61bf-49c7-a478-b16b7d325b88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="300" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2b4699d6-1f72-42dc-af81-e87333405b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="299" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b1c58a66-03d1-43d2-9f91-ab67e864de90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="298" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-aeef67f4-cd51-4487-816e-d558bfb97213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="297" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7b2be33f-34d9-4f5a-9308-87ba1f07ba91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="296" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-593e29ed-0c30-4ced-9748-5758ba911bce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="295" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-94b6651a-d8bc-408d-a239-db06565ada92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="294" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5224ca68-32d8-4590-a8ab-5395656e8547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="293" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a82c4218-6629-402d-a808-349013fa6734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="292" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4b59abca-b255-4d95-9c80-40e8cf814fdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="291" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-44e7d7b4-7c84-4f04-9b2d-3e1668dc484e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="290" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d9065f76-ffe5-45db-9f17-2e3f255fe5ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="289" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-dbe0f9a5-a8d0-4f12-8cc6-9a4876665e25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40207']" priority="288" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40207'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40207' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40207'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fe344100-3e56-48f0-b0e9-528071d68443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="287" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): de waarde van @code/@codeSystem MOET ''207' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-beaa268b-70a6-43a0-9b53-e6a938004cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="286" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0369_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0369_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): de waarde van @code MOET worden gekozen uit waardenlijst W0369_HL7 W0369 Vergroot Niet vergroot (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Milt): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0369_HL7 W0369 Vergroot Niet vergroot (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5c3190f1-e0cf-4dea-8cfc-16871ba06bae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="284" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f4c73651-54ae-42c9-8393-b8ebee27c3a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="283" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d306dcf2-219c-4418-9231-c580d9e83be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="282" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-83d33486-90fc-4014-90d4-a37b1095905a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="281" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bdd8bb3a-e9c1-4656-aa3a-4cbd06a2525f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="280" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b6b82407-8772-4054-88bb-db7a6a70f667-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="279" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-14d8d33f-8db7-496c-8e48-d3c7f8d16c51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="278" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a386c368-659d-4298-b160-96e0948881a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="277" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ce0f2fb5-e183-4f1e-8fee-bb7f93158fc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="276" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a69b2d0a-b452-4052-8cf2-1adaf4efaacf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="275" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-87d3016e-82ff-499d-8c67-4c768b05287e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="273" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-098599d3-242a-4b25-8273-9a6678b12564-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="272" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-98f3569a-bd63-4eb6-ae2c-bebb5461691a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="271" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8f1e216c-6e04-4a10-8862-33a8a1787c33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="270" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-05f3d7ca-f1a9-4bdd-85a7-7a1fb0fef5a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="269" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a5084114-395f-415e-b96b-9219a6db4a16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="268" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8ed9e2e3-d01b-43da-bd1d-badbdeee6755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="267" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-629056e4-81e5-42ca-813b-5e3af124411d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="266" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-24bce663-d10e-4fa3-abb5-9f236f267d61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f3fb12d2-6982-48d1-8658-42232b27d211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f5268d0f-b72a-4a5c-9b6a-65f8f17538fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c96d02cf-6ef0-4c69-8819-a096121db159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-21f5231d-1cb0-491f-be8c-4732cb88c4eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-539cb5f0-2ae0-4afa-b5dc-6b93a341bb0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3f27a9ba-9492-443c-97b8-7a22cde9dcc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-02d98b22-6952-4450-b876-a359f3204899-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3b87ba72-a6a1-4a26-b758-b5a352405aa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="257" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b114da14-f3ca-4464-b938-ebe9c47327ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="256" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b253eb75-1f4a-459d-9547-542b5b779372-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="255" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e8292fd9-3651-4f66-881f-e8f677d3191e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="254" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ea8d27bf-c882-48df-9f51-b46dbb73f20b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="253" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8a6f93cb-c2f3-408d-a6c2-d604359706d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="252" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5c16de2c-661e-4c34-a5dc-6cc4008fc984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="251" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e46ed4c9-166a-481d-88a3-b72c7916283b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="250" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-09e32e08-8730-4086-bb65-3bbbea1145d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="249" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1b624619-d15b-4419-97d4-4087b98bf037-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="248" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8c34f34f-df64-4a0b-b55f-e6cad305895a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="247" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-891c9e20-8ccc-4319-8481-13f5e48925cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="246" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b3addffd-13c4-4e61-a55e-14c27643762c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="245" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7c2af21b-86f3-48ba-804c-e4e6bc5b3a33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="244" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c18d1519-af27-4395-a240-60fe628d7237-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="243" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-01c1b6a3-9920-400a-ad73-4157b5a659f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="242" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ece2a38c-67a0-4309-a177-225fe72954ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40146']" priority="241" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40146'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40146' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40146'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-07de2d1d-b1db-436c-87ab-7314b4f32ac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="240" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): de waarde van @code/@codeSystem MOET ''146' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-45d9ac76-788d-4eda-8e0f-d3b3a1222198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="239" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-376cf329-caf8-4195-86d5-68ce5bfb7b40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="238" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-705ed0fd-b0b9-407a-bb4d-4f5a56c3eda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="236" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-08f4a784-6839-44df-b1b7-4ebe110b7fdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="235" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f9ab8842-7a7d-4cba-9b6b-86161c29eb1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="233" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8f995e26-d60d-42ae-a33f-8fc8a092fc4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="232" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6565e0c8-8ee5-4b35-bc9a-71a227fe1112-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="231" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-befadfd7-f60d-4dda-8102-69b00526ceaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="230" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1aa1d9f3-0cc7-4dc5-a93e-0568798d48c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="229" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7526af31-af5c-4b08-b9a4-31ef70bdef63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="228" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fbaae53e-6d59-48e2-9982-336744dc3b01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="227" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6667afa3-56f1-4b00-b5d1-e3743b52c90f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="225" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-856b572a-4f1c-4532-8de5-71cfa869d39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="224" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-10f34dcc-b2d9-4968-95d3-822f03b52122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="223" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fb9659a9-918c-409f-aaf4-1b8fc1002e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="222" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b6e89b2f-6db8-4f16-928f-f359867d7b9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="221" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-600d616f-14e3-41a1-a86f-83476ee1f888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="220" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2e53cd2d-f578-4143-9e4a-32cff3e98eea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="219" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-53852722-da15-4386-90b8-0afbc2c064e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="218" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-814f3ce0-535f-45be-a7c3-7a2322ca405f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="217" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d53ef163-c45b-4073-8dd8-77d930815bf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="216" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ff637c3f-09d7-4d40-86e1-3faef4f5ae6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="215" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-16351f2e-41e2-4ebf-91f0-2aac875dc499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="214" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6dd7e15b-fcbb-4c14-9412-9dd530aab9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="213" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-88c4dbc5-e1e8-4843-bc0a-4bb01813033d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="212" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-22db555b-8064-44d0-9d81-9b71995b868c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-88e62efa-3d6f-4d24-8d11-f73dddb69ead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d3acaef9-5dda-47cf-b0a1-ed84c137040b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="209" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bb9fe1d6-6214-4001-9069-c7a7415c4340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="208" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ceed8aee-ca26-4764-af16-304eceead89c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="207" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4d291cf4-0da1-4a02-b352-c68745e481a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="206" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6269faf9-916c-4674-aaad-75127ad75261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="205" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9c695d25-d7f8-4137-baec-6d4ddae01f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="204" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-38c3e2aa-67f4-4686-99af-14a4f4c6c514-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="203" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4a4c1f66-e61e-4a81-8ea7-cc4e475cdcd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="202" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-43f408b4-05b7-40be-a265-bccbe9cec9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="201" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7961c845-9bae-43ad-a5eb-3689f8b5dd07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="200" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c13d8e76-0bc1-42fe-a6fa-62b848b139a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="199" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-345cdf5b-91de-45f7-9da4-21702e711afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="198" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ac93b0af-2e70-4c82-8810-a70a469296a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="197" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1ce0b392-dd58-4be5-b3e6-b720cba62b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='146' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="196" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f7fe22e8-b9b9-4090-b756-b600c39b3ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="195" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-885d912d-c746-41a2-9f1b-35c66d79d4b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="194" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1bba5e3a-1dad-497b-96de-b3ee51e3d83a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40746']" priority="193" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40746'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40746' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40746'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5bf6aa87-a072-4512-a849-a1e81f4edd26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="192" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): de waarde van @code/@codeSystem MOET ''746' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3af2c32e-f4b9-4e55-bbb2-12315a6ad22b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="191" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e4418eef-35c8-4fa2-b118-b228edc3ac26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="190" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_A_femoralis_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-56ded591-031f-4a20-b62c-be5f194ffa4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-56e9eeb0-df25-48ad-959d-3e539356156c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9f5add83-3329-4190-a93d-3c9e3a44525c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a54d2fa3-004f-4a1c-9726-ad155e356d32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8a9ffa0e-8dbf-47fb-aee6-f863c573035a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d4156dd0-8c3d-4345-8d5d-dd441a113807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6713f0c1-e66d-4528-939b-9e0561ea1b4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0d63ae7f-83e2-4fa9-b014-0cc8f7ad6900-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e390b79c-ea06-4321-8ea0-4b2f379ecc71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-940dd189-3313-4903-983c-86d0310f0991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b23ab03e-89d2-467b-8991-0124944eb5ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b7354c9d-d61d-4131-8c68-1c8247a7ca72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ec6556c8-07ed-4e57-b67c-39dcc98fc97a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-87c3b985-1aa7-4f4c-a6a6-21cee3c43006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-79af61a9-96f3-45aa-a349-393c10d99008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b9e1f057-a18a-4c89-991e-90641f5426f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-4049f094-3b7a-4a54-96c3-abc36aff4f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b738b3df-9a1b-41f4-bae9-1768772c08fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8f0c23db-b3be-4221-b5ce-b3a09161fddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c6e02e59-7d16-41df-8c4f-9d0b7d60a6cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-5f15fc48-95e8-4692-a336-679ab271125f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9c7514d0-9512-4ee5-9f53-ad96f831f44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-161bc37f-028e-422c-a715-ebeda75195b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ab7ceb68-171a-4a46-b0c5-0b54e34ab018-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-54a9f8dd-bea6-41bf-9654-8c8b416a25cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ce64c5b3-e5ca-4572-9351-ee7d918360e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-34415df1-6b90-4e66-a78a-9fc99ed5fec3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f20d7300-da2f-40fd-9c40-5aa682435e9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d1c40d79-e891-47cc-b9a7-8b0438f1f8a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6e7162c6-b012-46f5-9d7f-fe58dc1e987c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-ee038159-2639-46a2-816a-c065deec6410-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e721e7c2-c93c-4bae-9049-25e99fefa8c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2d96169d-5f82-4bf6-b1fc-29d5f8b7d056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-e550a1b9-746d-4568-bb66-f77aa8e82363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-455642c0-7fef-4dfd-8fe6-fbc6a414ad43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-edc66348-9e5a-4231-8b8d-a66f3cd89bd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6f55112c-580e-47c7-a357-e0d659e9f4c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-b7b25376-4198-4c7f-85d0-8b49ce656ac7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1dd4171c-3a9a-4e0c-8f34-a088ab78300e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='746' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d11a077a-a0c3-44fe-b71c-e711e9643110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7829bb70-2329-4609-8034-7d996cce4f14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-89ab1828-406d-49f3-82d6-ba4494ee4141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40428']" priority="145" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40428'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40428' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40428'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-9991eafd-75de-4f2c-8246-2b3627355fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Overige_bijzonderheden_hartonderzoek): de waarde van @code/@codeSystem MOET ''428' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-73c362fe-77ce-4066-908c-d1d8793a42b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8d1fcbc3-6d3f-4d2c-9773-0e68af185559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-f0ea8dfb-d4f2-489d-b4f5-041ef97d5616-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-70f0bc95-5099-4708-bd6b-35f303ca8aa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7c9c2a12-050f-49ff-ae9a-ea1295a439ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6b0c9897-9e3b-4506-b078-7274dc93416b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-325a53ca-8c7a-42d3-bf98-623dd3575c2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-50129aac-fa7e-40f9-a6a7-f0715035ef13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-bc7272c1-af30-4800-ab1b-a86698678d0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-436b1ef8-5ec2-4a59-82a6-fc2d38a36a87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-7ad284f4-4365-4f37-925a-001d28ff2c61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-8b0a54e4-1e69-4d2c-9c53-16601eaa2128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-a8e4b178-5046-4875-bc69-a65eab2f6b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c3cd073f-58ee-49f5-b006-a481537ef7fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c538129e-3e67-46c1-9190-a30f71066c81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-88d98148-b8e8-40e4-9368-c69ea678fc28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-6b14c56d-5392-4590-9ff6-caa0fb3eb050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-2da58cd8-6b18-4fb0-adeb-826bb2e459b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-db6328f2-b856-4e02-86e2-ee93185a5831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-342e8d8c-8131-4d22-b905-1003f9f0a662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-fa586236-0abf-43c0-82a8-f0470dd2fd93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-99488f2a-6bd2-464c-a1a0-f930c8b8d807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-55fc7856-2109-4415-a110-f84a034a34c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-3dd12b77-ac02-4c91-8d3c-4b9f05d33d84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-cda73c17-d001-43ac-913d-d81ec8cd489a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c0d7e31d-c92d-4d0f-9c9e-8b96e27af71d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-45c8a8db-3841-4840-8797-672326352a97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d173985d-bc35-4132-a633-975f4abbe836-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-944e3b28-71b6-42b1-8602-77c12f16f03a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1c3a48a1-0bc5-4bb3-83a3-0d565ee56435-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M81">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-0a7c3e41-c830-4a34-9a2f-1020fb146881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-64ac38e4-ce88-48c9-8271-d8c4f345e4f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-83a285d9-1e02-40cc-ba49-23758f3ce78a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-d68a55ec-0c22-42e7-8fbe-eed5cff82a22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-63319de7-826b-41ab-9851-9a1f633aac08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-200d11f6-2566-41b9-8eea-1c9535668e81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-66d7cf4d-3737-464d-968f-a33b6838a9d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-26ec579b-976b-4959-8351-5100477e8a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-1fd16598-36f9-4b15-9ca4-c562968689a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M81">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-c9a96d39-1748-4c71-9170-e9e82bbe8e62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M81">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11039.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>

	<!--RULE tmp-282ed9e3-aae0-4b0a-ae97-e8a30fd54f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11039']/hl7:component[hl7:observation[hl7:code[@code='428' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M81">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M81"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M81"/>
   <axsl:template match="@*|node()" priority="-2" mode="M81">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M81"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M81"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11040Rubriek 40 Gehooronderzoek-->


	<!--RULE tmp-e232ef76-a12d-4057-adf0-aa79d831eae6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']" priority="2062" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): element hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-45ef31d0-c760-42ca-836d-07a9f489ea19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']" priority="2061" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11040'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11040' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11040'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38c0fea1-c454-4ace-80ea-deb291bff301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:code" priority="2060" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R040' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster40): de waarde van @code/@codeSystem MOET ''R040' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R040' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ecd3c33a-262f-40b7-a7eb-5914d3569775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2059" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c17bcd58-c650-4db2-b9bf-1390417b1d38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2058" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-34be476f-d6f3-4599-b712-df3518db3ad9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40438']" priority="2057" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40438'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40438' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40438'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-25a09ba7-ecbc-43b2-a146-c2ddbe09fd2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2056" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gehooronderzoek_uitgevoerd): de waarde van @code/@codeSystem MOET ''438' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cdda009d-e4f3-446e-95ae-488c13766e2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2055" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-468091d4-2284-410a-85ae-a23e2c01c466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2053" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-98b1fd60-a2c5-43b3-b71e-6803f812d336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2052" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0dbd0cc2-5b22-407d-9938-ac134fbad76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2051" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a83ad9a-5236-463f-bddc-7b25d9b51147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2050" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-62073aaa-65e9-4f0d-a02e-777e09b6a1a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2049" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4c0079ca-2d87-4feb-b89a-4771ef792e63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2048" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e6dd41f1-ba58-442f-bd7d-4eb45f564c35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2047" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-359a2bcf-120e-4a5d-8991-a71094dfa122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2046" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23f49798-7635-4e0e-aeac-a72f7b06e54c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2045" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9ee30ca7-8034-4077-95bb-4638de11564d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2044" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-63e4ae3b-15ca-47f9-9189-6ede1bc2dce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2042" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0a641448-f644-4d9e-9b90-89858ec690a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2041" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2907ad92-13ab-4684-bfdd-05f80745645f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2040" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6966c87e-d602-45d0-82d9-45339716e4d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2039" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0b80ecc0-bc11-4b3c-b2a2-99deb0cfbfbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2038" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4614496-62bb-4bdb-ad15-d3960b7caa79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2037" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-621cd24c-1961-4cdb-92d9-84f9512ec705-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2036" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e6d5e448-59e5-45c9-99f1-7429924ecd3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2035" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3eed6262-85d4-4589-ad91-8bda2ff4c577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2034" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d5cae8ae-de8e-4ad7-aaeb-aa3d185ca5e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2033" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-161a34df-a35d-4589-b49e-49de4485c482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2032" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f0b74fa-cff1-49ee-bfe3-51ff2857e01d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2031" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c6ff31a0-2351-48b3-b0a4-eb13843b6be9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2030" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-604d128c-acf6-4446-9db4-ef6d1facb453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2029" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9aa6b836-eb10-4cb4-9add-603f2abf0a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2028" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2ed70bcb-c869-4b38-98e0-0d42ef1be474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2027" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7108e49b-c2df-4927-99e9-7e9effb715a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2026" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b96d4e44-69b7-4151-a72b-de2022f819a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2025" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7887ae0c-62c8-4756-a176-560471ef3800-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2024" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5cc57bc6-3141-44b3-a846-23e78ad39a85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2023" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-39ce5b9f-4707-42cb-802c-57daa0dea7d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2022" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3ac81d3e-e0ea-4353-aebd-e15c9374cb3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2021" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4445e754-dc44-4414-b41c-487e69785bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2020" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-00c8ca7c-24fa-40eb-a255-d00a42bd426d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2019" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2104b00b-de5a-477f-9380-29a3193c2c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2018" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23128bc7-987c-48d0-8bd8-ef311a6c701c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2017" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-770590b2-b201-49db-a5d5-a105910211c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2016" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b19d8fa4-36ea-4784-95dc-a8134797fd19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2015" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e9ba4fb4-2ac2-45de-98a7-8e625abc9b65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2014" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3a2761d7-1790-45ae-822e-3a3b8b3b0638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2013" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-92fceac7-6cad-47ce-8f95-a6ec995b1e74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2012" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bacb6810-d5d4-4261-96d7-356ba2a5804d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2011" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f7143d4c-3452-4fad-a611-eae2bb9edf07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40863']" priority="2010" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40863'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40863' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40863'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dcd6c595-e0bf-4935-972d-1e609d816c18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2009" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_gehooronderzoek): de waarde van @code/@codeSystem MOET ''863' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d39a85f2-3e91-42f1-9e8c-d8a50b252961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2008" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-913e1cb5-73b3-463c-b5d5-17dc07dd2de2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2006" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c39ddad5-65d1-4bc9-a1a6-7fae75c83710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2005" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ff2c036-6de9-481c-91cc-bbfe0bd9d5bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2004" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ac388f99-7bd5-4aed-a25d-36d95291707c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2003" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e52c1c5b-e9da-44c8-b8fe-f4f7868c4c5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2002" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4ccefe8-e05a-47a0-a426-2cd925e7ab36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2001" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e230a7b-aec3-4d93-bf81-f288c40a6f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2000" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8552e6f1-e80a-4994-878c-aea1c81f59c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1999" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cf15f1b3-c589-4a7a-91b3-2f38e12bc085-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1998" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b38195c1-14d3-447e-ad3e-f29db947b144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1997" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cbd93faa-fcfb-4a31-8880-d07eab092f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1995" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3efd9404-999a-4bf8-84e8-ee8d9aaa0918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1994" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1ee98268-04f5-4986-9c4b-917c7a43ab30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1993" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9aa456b1-2a3a-4fa7-893b-0d1b09fb139f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1992" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-caa4d2e8-5080-4afc-9f14-3212ef4aafa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1991" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5c320384-0493-4ebc-88df-a1ccd84b2f66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1990" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9db85fd3-22ee-4e00-9da3-eb1573851e22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1989" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3bbc20fb-9a3f-4868-b072-256f7310b453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1988" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a2185f2c-1c2e-4a84-b400-d8481ac79e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1987" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-69c99870-8ddb-49eb-8186-436c953f2e60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1986" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ca97567b-766f-45bd-a390-59e0ac2411a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1985" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e7b449a8-fdc3-4da6-9955-08585e62fdfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1984" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0eed93ad-8bc3-42df-b94c-76a3a1648969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1983" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b7428808-9610-4947-a228-361dc61853e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1982" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-efbdd9bc-3aeb-4519-a418-2cb1b4819c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1981" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0a79bb50-bdd8-4ebe-a76c-c00eb443f7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1980" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d1273005-9934-4265-9ec7-f6c1cc67a004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1979" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a8e2220-1044-43c9-a471-46a53b6964b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1978" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-99a87275-df09-430d-9ac4-18bd2fddcdfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1977" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-735fec19-3ad0-49cb-a96c-1e66005a05ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1976" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-51890fc7-2ceb-4ff2-a249-22ecb918253a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1975" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccff0861-2ba4-4c80-a4fb-25bda9671936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1974" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a136196c-4f59-4553-bce3-4f18a1ed4424-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1973" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fa06c47-10f9-49c2-95e3-0e5a1839d10c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1972" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6551eae-6479-491e-bd66-a21838215619-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1971" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-744f5b0b-edf2-4cb1-a4fc-2d243f57f290-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1970" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5be2b294-2761-4273-8f69-c7a161dc2473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1969" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-24206fff-45e5-41c2-9813-93e72e45b4b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1968" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3c42a7c-3c7d-4b79-a235-2b867e60298e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1967" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84f69594-5600-4caf-939b-b60a0e4647ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='863' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1966" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-962fb04f-2047-4249-a9cd-fb4d9c661da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1965" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-70c0552a-ab29-4795-a7da-448fe6e49d05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1964" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0e94d6e8-c570-4f9b-9763-f6aa9c6d5bd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41331']" priority="1963" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41331'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41331' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41331'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b1d61474-c326-4670-be0b-a948b011f562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1962" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): de waarde van @code/@codeSystem MOET ''1331' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e067ece6-2d2c-4071-90eb-dcc98f53a2c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1961" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0638_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0638_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): de waarde van @code MOET worden gekozen uit waardenlijst W0638_HL7 W0638 Screeningsinstrument NGS (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Screeningsinstrument_NGS): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0638_HL7 W0638 Screeningsinstrument NGS (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5880d974-e372-4157-b199-57c40e0bf7eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1959" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1b8871c3-2a81-4a8b-b770-938b4dd28f92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1958" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e791a56-1ec2-4faa-9979-33718d35585e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1957" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b40437ce-62bf-4bf4-8ebd-d08c86761e24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1956" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-efc78420-052d-4df0-a1cb-2dd583fae13c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1955" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-051b2de0-e3b2-4f41-9f51-50bd41836674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1954" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1bcd691c-b2a1-4e96-a0c8-eb640057adbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1953" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0f271bc3-ee93-4fbd-96b1-6ea2b7f71982-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1952" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e025b223-290a-4912-95d3-ec7b878de88c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1951" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2eb7a999-09fa-4895-9a1a-72bd4ab6f3cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1950" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21e9eeb2-f6a0-4c85-aa78-27c7345727eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1948" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-654dec58-fadd-49d7-b082-26e05c8c1558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1947" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9bdab9f4-8088-4d80-b8ab-4af8158c3e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1946" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5642bd6e-2385-4977-8a40-4172f7f4f645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1945" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ce6397c-271a-4f74-83d1-d1cd48de62d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1944" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-449a45ba-74ea-4b6d-9fbf-95b5710a1b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1943" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-663beb82-ed57-482d-89b3-92d0bcf2fdda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1942" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-12c2f4f1-b3e2-40ca-a4af-c7086c69f787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1941" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-596bc8b1-7562-4ef6-8c67-045f8d7626b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1940" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f125641-41b1-4c51-beba-f7dcdbaf6da8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1939" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55e2c34c-da9c-46c4-b0b5-c21d5e434cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1938" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e63418a0-427d-499f-98f2-05f0da50f3ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1937" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2c2170a5-a9c4-47b0-9aa8-a6f7f167db70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1936" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cc58de22-09b9-459d-ac53-737ec6624865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1935" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d361af27-0948-46d8-850b-ae6e9c98d5a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1934" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37dc1165-19bb-4a2a-a26b-f85d747229c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1933" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-395f78d3-9b24-40f0-9ce1-ab30384f125f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1932" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1f94dfa7-dbe2-4015-9d29-b402a58b4c70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1931" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-24630151-faaa-4aa9-b666-0a7e02a9748c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1930" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-baeccef5-fe4d-4f55-b00e-306410a6bdce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1929" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ce621c03-385f-4d3e-9ad3-09a57808aa1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1928" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb4156d7-96b3-489f-a11e-d6f92a8b5939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1927" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d548b24f-84b7-404b-b710-45ccf1480bce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1926" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3e59d00c-9429-4f26-9e10-f546c94b612f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1925" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-56a785a7-1a29-4f46-bf2a-c7c91a7a65c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1924" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23b8300c-c759-47f0-b747-14815fb32b12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1923" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-111d3c74-4da8-427a-bf65-a12569831088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1922" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0373d079-5903-483a-905a-82ea81905911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1921" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c51d0709-9727-4505-817a-60c339984a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1920" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5ae406b0-e29e-4847-baa5-b2844ab8c725-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1331' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1919" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-94c83d33-3b88-411a-bc20-c87b699955af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1918" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-197892be-ae4b-4734-852c-078b02f9edc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1917" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cb7bf56f-218e-41f2-a385-fffdd8057222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40439']" priority="1916" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40439'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40439' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40439'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a799e1bc-04ed-425b-b363-5e5f82888837-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1915" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): de waarde van @code/@codeSystem MOET ''439' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cbdbe44e-ac6a-461d-bcb8-1eefd249fdad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1914" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-902ef0dc-be34-4381-84c1-e9acd22f7748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1913" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bba8b832-2e4b-4709-bd31-9f7c2f293947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1911" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0a173f1-3210-40cb-8b09-7eac51e807ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1910" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-06afe1bf-f5be-4234-882a-4ac614f10b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1908" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21ef9e35-ee27-4e05-9fe5-af9ef6fe61ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1907" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0f579f8-de56-4fa4-8775-efa8f150ccfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1906" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-51f92f74-a19c-4c21-a95f-6eff315b0b6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1905" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6af52be4-f608-4b4e-8f6e-213a268674d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1904" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f3516fdd-bd5b-4fc0-a7d8-9276627f0866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1903" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6b09607c-1e79-4e37-9b81-c98d28d49988-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1902" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e833370c-3db4-4fa4-8961-25a5726e2e77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1900" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5ba14a9f-d970-4ce5-8f3d-094a07acca95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1899" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5dd1f2cf-3a8c-49ce-a09d-cd548810072e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1898" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a9dee67a-af46-41f6-9f6d-a1f41c08c833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1897" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8955ff36-62eb-4abf-9bfa-e314b916e90c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1896" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-680eaaf0-ea04-4b00-a19a-d30a6891072e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1895" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9cf3d3a5-ae3a-47e5-ac75-d618ecf502af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1894" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-18d515fa-65c2-48fb-9305-cea5f2d4768b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1893" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-059e6780-4b15-4431-abc0-b1502df4f4b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1892" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4b90c172-5ade-4418-842b-fa49a4cb6ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1891" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-baeb8be3-63a2-4dfc-bbbc-387c55216d5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1890" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a97f19e1-baf5-4b34-982b-68746effdf00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1889" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-333c8de2-bfa5-462b-8a66-01a602d8490f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1888" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a7ad59df-0145-4f3c-b386-2957f011c0a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1887" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41c57dd9-381b-4d98-ad69-d8f199f7bd10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1886" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b34dfec6-1048-4622-a141-8b967de3fbe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1885" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1c7c9a26-8464-4a47-96cc-26b1d70edb61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1884" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7161e818-bbf9-4db0-aa64-2741659e5259-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1883" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d42bcd04-ca46-4407-9b15-2588d056d953-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1882" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0d0909bc-2242-4b04-8b7d-465cf0acca4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1881" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dda647b3-63e7-4b00-a50b-7edba09907cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1880" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c34cefce-7067-4ab2-8d29-7330f7c0fa39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1879" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cd3a1c48-5b0b-4dd7-86bf-7c0a5270b8ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1878" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dd016ecb-fca1-46a2-8369-f82ca901249e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1877" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b07b3772-2a2c-4731-a636-c468852493df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1876" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-090e7706-de97-4146-8ed5-217492928489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1875" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-51511c7a-a842-41d8-ba85-a65549c8096d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1874" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59328ccf-475e-4eaf-9c67-935980987313-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1873" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d03f6ae9-3dc4-4fc4-9cc2-16b02a79da7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1872" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7351117d-5f3e-4d68-bc75-1764ecf1439e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1871" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37ed56f6-143f-490b-956d-c7e66e2a00ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1870" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e9eb7d50-ac5c-42e8-8c7b-41a8f7acd3af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1869" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5430b164-267c-4321-9610-8a3acfcd12c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40441']" priority="1868" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40441'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40441' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40441'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f30c0616-b41f-4dc0-b2cc-86fbb260c06d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1867" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): de waarde van @code/@codeSystem MOET ''441' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1ba944c5-85a7-40e5-bcef-b74140181fc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1866" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a79a586c-f0e6-4033-81bc-d155192e3ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1865" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_1e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c7e153e9-840d-4167-97a4-36d326f0352b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1863" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-547c2d4a-4baa-4306-8e23-3c26e262d095-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1862" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-85b12d49-7804-491b-8552-8487418dd48c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1860" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73c0f15e-81b0-4530-82f6-ffe90ee5856e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1859" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-58654d18-22e8-4ca1-9734-11e5cfe6e2dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1858" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a6a2ed6-9dd4-4a50-9258-b3f6bc747ff6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1857" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52890266-da49-4a95-a5c6-9ec27e1efb81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1856" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f6aa26b7-ca4e-4aec-81b9-270ef23981a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1855" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c6f4b9a1-906a-40f6-9d7e-70183f8bacae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1854" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-222da4d6-8c47-402c-81b1-55c95b5061ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1852" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e5f96ce-eeac-4083-8ad4-ca9954270c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1851" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-901a5b4c-95c9-4b41-b0af-a8cbfc76c235-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1850" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c8d6eb60-98d5-478b-9b0c-bb2a579ae462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1849" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b99dca02-6571-4a09-a38f-bad6c5c9a9db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1848" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a69c98d2-a40c-4749-88f1-ceb4fae2de24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1847" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7180322e-a09f-402b-88c8-03a52971559a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1846" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b6da6584-e549-40b0-af9d-80c51c5d40fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1845" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-68842bd5-6aa5-463e-b5f1-db19b7d55a12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1844" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f0e793b-04e0-4924-97dc-f31532fbead2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1843" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cfda46b5-c236-46f2-bf3d-bd773d343c09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1842" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9b00cfd-9f74-4329-9309-fa1b4820108d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1841" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-40ab0c7a-d4a6-43ae-a3ab-7e73335ccc61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1840" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3e089f96-9f20-43c7-bf02-3852d88e8fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1839" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-015c0ce4-327d-41a9-87f1-d3930a3b7865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1838" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-982f1b8c-1144-4c17-9e88-fd5506509d89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1837" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e40fbdba-61ed-4f4f-bf6b-e0697d133f79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1836" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7243613a-f6ce-4ff4-a30c-294868c30920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1835" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e654304-10c0-4448-b4a3-186ab3f364fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1834" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7caa1b8d-c789-4b16-8db9-8772c7e3eee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1833" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3131414b-63da-42da-9f74-3f8db5dc7722-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1832" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-44c69712-b72b-44b8-bb10-5c7f9b93236c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1831" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec61596b-1134-4fe9-8974-d86b8c86a2ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1830" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-087a1338-eb76-4bc1-af36-2631cbc50e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1829" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f138ac8-6091-4c5e-a830-350db4dcdee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1828" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96ccc2d8-ebef-4edf-87c5-7d4d949c7694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1827" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41c716d5-0d35-48b1-8438-746f0a1d70b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1826" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb211c00-a803-4a41-828a-10af758efc97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1825" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6819d4f5-9364-4059-a850-47ffdf72571a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1824" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87f97a12-9745-4015-9f45-22ea2a4ecea3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='441' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1823" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0fbdab7d-939f-4a01-a25c-4ee32f04b9eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1822" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-866b6c97-162b-4d99-ba79-fd4aee27396f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1821" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d7a89c0d-b878-4f53-9487-f91bf8bfb1a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40442']" priority="1820" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40442'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40442' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40442'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0aa8611a-4bba-438e-b8d3-cc61d548bff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1819" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): de waarde van @code/@codeSystem MOET ''442' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6ccd7805-b67e-4d6e-8116-2f817f8d49d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1818" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ee79be1b-ed7b-4190-94dc-02a696de2d94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1817" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-62bac9b0-c60a-4147-971b-21e375d8bf92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1815" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a30da6b1-93c5-40f1-9e74-daee26a21316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1814" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-40faad58-c418-483a-a006-aa4f1d14eff4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1812" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e7178232-a333-448a-a01e-2757658d1a89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1811" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-48967497-ffc9-4ea2-ad4f-5b8ba0f5d6c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1810" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f1657b2b-b1fc-4eae-bb5a-1f698eb1238a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1809" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c09ab4e7-9202-4827-b1a0-e5137f4f41d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1808" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bf8e56db-dd7b-4b16-afcf-d026a7fdcf55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1807" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c28391fb-8d87-4444-9a3c-c99e3048dc75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1806" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-384f8df6-3bf7-449f-9e9e-ccf3e3d5b190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1804" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41b5a526-6e9b-471a-8daf-8f65844984d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1803" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96325e96-9981-492f-884b-d592e041f8e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1802" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-088f3eeb-6212-46e6-b705-507df0ed1824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1801" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4c7711bf-aba6-4b71-be61-3b6fe78697ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1800" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5137ef5-6b93-421a-b285-dada6d7453de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1799" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb0ecc70-a5f7-46b6-a8c8-08494a9eca53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1798" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e49b0beb-20c0-4a54-9c1c-a8edad7357bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1797" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10a7fdd8-fbc2-4c91-afd1-1f310fd839c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1796" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb069a77-4618-459d-b5eb-03163bc3fb2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1795" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bc2fd9b6-fb30-496b-902a-08534f025fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1794" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6a5b40e3-b98c-4473-87c7-d65fc99d2bc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1793" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0ef639b-3fee-40d9-b6cf-3d8ece0c89d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1792" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-03c3e70c-ecd0-4fe6-aeaf-da81eb4f46c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1791" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52712971-eafa-4918-99a1-f602ea6d38a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1790" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fe89db21-c806-4462-9f3d-eeb3d6dbc29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1789" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-88b19283-ae43-4919-935e-3047909c7454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1788" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccc04264-1638-49df-9558-99f91a359498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1787" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96c91835-adbc-47bf-893c-7ff75d396b2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1786" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f91c26e2-c9d2-4d93-8acf-e5123a76556b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1785" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f72041d8-1e29-4b43-94b8-fa7e500b8d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1784" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7befab26-bf1c-46b4-ae3d-f44a0b2f3b5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1783" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5acd8b38-de53-45df-b002-b4a9c546a229-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1782" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-34f56faf-0b80-458a-9575-20c9e4ca7247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1781" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-82a9907d-457b-40d1-92a5-848fb4432dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1780" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-123d0523-bba3-4ed9-96e7-54a8c1957850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1779" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0493976-d2a4-4753-912e-a30215f0bdcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1778" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b255d47-af95-43b3-b6b0-c4b78cf307ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1777" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-11d5f01f-bd67-4766-a510-022e504bc81d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1776" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-22d36c12-dc28-46f4-b93c-009991b07e5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='442' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1775" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2dcc8e38-9c20-4cde-9e61-d8613b8bf2b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1774" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7241aaf8-60df-450e-a887-e39e060f3567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1773" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-069af456-2ae4-406e-93f5-7373f169047e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40444']" priority="1772" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40444'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40444' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40444'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-93e871ee-297c-4ab7-a5fb-d25d2c318cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1771" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): de waarde van @code/@codeSystem MOET ''444' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0854efda-c1a9-42e0-9210-3469c8229db5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1770" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-81623dd3-faa4-4c48-b38b-c39181bd53be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1769" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_2e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-08a916ff-5050-4519-bb3b-09dc4676f47c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1767" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5b1219fe-074f-4d3b-bf3d-4cf5ebdc5f93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1766" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e8c0339c-e121-40f1-ae76-68eb96c4a5b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1764" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6465349e-285c-44cd-b515-c98b9afa39f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1763" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-60b15ef9-77c6-4412-9cca-b525d651fd93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1762" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1168a2dd-7acd-4755-bed3-ae444cd5a8d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1761" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6fd1f07a-4716-42d0-9243-47fab4011110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1760" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8a8ab70-d6c6-4065-918c-1c80d3613960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1759" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-67ccce91-a873-4c58-abf0-6f2ed83392a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1758" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cec06f09-e7bd-488b-b5d5-0be2fa748081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1756" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84dfaf31-57fd-42f4-898b-57589777e493-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1755" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7ad81789-40e3-4a70-85a9-c633395abc2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1754" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1545fd7f-7ad5-460b-9dd2-6c54d1a246ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1753" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c63b0487-d033-4279-bb7d-a1d0843f94b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1752" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fbe497c5-2331-4914-b3e1-263030925984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1751" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c60cc094-6d97-48f3-a145-3cca2f7ef19f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1750" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-25038422-2611-4384-9bf0-831c9d63ef52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1749" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-54126ad7-160f-4927-be52-945d5e7856d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1748" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-35538e36-bcae-4c07-9341-d358aa0c6d1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1747" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c6335ead-bf31-4b72-92ca-22c72de383f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1746" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20d40ca4-b807-45ed-a924-935594a4a767-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1745" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f04210b-5e6f-478e-96ab-efb90a7b390b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1744" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7cdb75c7-b97c-4393-b71a-31f760bf454e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1743" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49251ada-90c9-491a-b0d2-4d50055b94fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1742" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-504e8283-b6f0-4388-9012-95f4330d92a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1741" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-263eccbb-0703-4f2e-981e-ffbd8f647a97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1740" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-913541ae-713a-40cf-97b7-6007872f1c19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1739" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-537c8a68-08e4-471f-86ce-76d1a51a80b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1738" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e24f078-7a42-4521-921a-fc63050dbb06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1737" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f534cd3a-b916-470c-9d05-0d912660f5fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1736" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d1974703-18de-468a-abd7-ba7ff512d283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1735" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2095d206-7dd9-4347-86fd-0f483605f534-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1734" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9efb4b6f-a19e-49f9-91fb-d8ea49031bf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1733" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccfa767e-7db9-48e5-afcb-edb9721fada1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1732" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55b95ac1-a8ce-4dc2-8302-5fc21be1e7f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1731" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5ac7f69-df49-4e2d-869f-5ed022c936be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1730" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-83851a63-1ced-46e9-a33f-58c8ad492f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1729" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f20eee09-7995-4dbd-bd4c-addc2ab06509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1728" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-706eefb8-35d1-4686-a027-17ce72ac58c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='444' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1727" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0e4fe11-8efa-4d15-b549-557e67fff5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1726" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a19bcf60-181c-472d-8cd3-2183e4f8f392-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1725" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e5399dc6-fcde-44c8-8274-d530281a071a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40445']" priority="1724" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40445'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40445' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40445'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3c335a47-3b73-4453-bf56-fd13a556078d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1723" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): de waarde van @code/@codeSystem MOET ''445' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c45f26c-bb21-4196-bcc6-d8cbf553a4f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1722" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0f94a883-9c86-421c-ad27-6ff07be24cbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1721" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-50985069-b3e0-4600-bea0-20069af22367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1719" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21352b22-2a2c-447f-8048-ef80171a7192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1718" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7ee2d6b6-df19-495e-887d-fe2797268892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1716" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e72314cf-f9c2-480b-8fcb-685fb95ffb34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1715" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2280a98-abe8-457a-8297-990463663f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1714" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f777d117-8090-4db0-a163-2f5fb65a7950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1713" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-213ce78d-bfb4-4fcb-acb9-390fe0237c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1712" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-25e7abff-9fba-482e-8c6b-5d7ee321fc1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1711" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05f36b09-1ee0-4808-a26b-e65ac535d34f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1710" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b8334bf2-d4ae-4198-b11e-e86494245736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1708" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-63e38da8-3d31-4d79-ae0b-442e13049662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1707" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-03d8a467-c788-4626-843e-74824cffb732-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1706" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-58669feb-957e-4491-ac6e-0bad6a18c12b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1705" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f56c0d2-5323-4e3c-833f-c1c93f3069b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1704" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bbb832a2-9781-447b-9bc1-bfbaee73de5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1703" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f2531887-3478-4a1d-a0ea-de8199871710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1702" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-524ea5ba-2d0a-4664-9359-c74c0890baa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1701" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9381e6d8-c157-4c14-9ca9-df513aed6f51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1700" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ebb0a0a8-9201-4bcb-b828-bb89f8bf39f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1699" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1717507d-fc1f-40f4-99dc-9e66d1fff30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1698" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9a7af826-c3bc-45fb-8792-ac846403ad78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1697" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fe544378-f535-4495-b084-174aaf31e876-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1696" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-934ba25d-808e-44f6-a54e-866961082c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1695" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38cab574-a052-4be1-aa03-4e9a664140f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1694" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa22d8c3-09dc-43d3-b517-044448382151-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1693" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-214c8b46-fee5-41da-8811-2a06381aa2df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1692" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f823d7f-15c7-4039-8a88-eb1a74600625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1691" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-53c68d3d-10a8-407b-b802-ebe46948cec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1690" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8322d6b9-4d2f-415a-89bb-aa1fa2ee438e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1689" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a873ee69-48cc-4755-9fd6-7def48364297-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1688" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4b5cd7be-faf0-4839-9572-9171a9f9b6b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1687" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d21cf86-e807-4422-8896-46adb74cccf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1686" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-99e7f1af-910c-4594-a2de-e08177ff978c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1685" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-861a7962-4282-4c0a-b384-cd3da6f6924e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1684" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d69f626-a2c9-4222-b126-e2fa7ca58c49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1683" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9a1eb06-b130-4c07-a5d4-de90b29bee3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1682" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b3a83b30-4aa3-44c6-9332-22e4492ae12d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1681" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae0daaa9-37a6-47df-ad9b-c55649174bbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1680" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-319824be-f942-4f8d-942d-8d5506f2cf8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='445' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1679" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b2a6fca9-997a-470c-b0ef-7c8aba4991f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1678" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-09b3e1df-ee2e-4fa2-9789-94baaf14e7f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1677" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5b3dba93-d447-4c97-af1e-a8c05327fccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40447']" priority="1676" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40447'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40447' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40447'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2fe794b4-940a-47b3-bf53-65fa11d3afcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1675" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): de waarde van @code/@codeSystem MOET ''447' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e9443fb-c9b6-45a2-837e-b5fb775b51d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1674" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d6c69c79-d098-419b-895b-e4c07fb02ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1673" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_3e_NGS_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f91d926-3cf6-4907-a608-d87c1ee9c7b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1671" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6d6caad3-ab59-4c4b-a24e-24563603fe7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1670" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96c50b97-8272-4f29-b2b3-0f1aaa4b5bd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1668" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-67910f3f-107a-4e9c-942c-33e85da70f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1667" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b87a7e0b-12a4-41d7-81de-c7b7dfe71d3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1666" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6dd6e381-a7d5-4cc8-baf7-7161e8b2e403-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1665" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-227caa80-a96b-4c51-b51e-20882b222346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1664" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1dc66617-ca54-4190-a929-4eadae63e135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1663" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d248bbf-22eb-433a-a909-75bb8b3594ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1662" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-65b669f9-da67-47d4-9c96-47b300d75e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1660" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-899e1fc1-c9b9-4e79-8253-b4346a2e1238-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1659" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49c4eef3-0258-484b-b2bd-a876001fa9d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1658" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fe3eb45b-0ac0-40c7-8627-7679d136af80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1657" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-433d8b4e-df7b-4659-a15e-0bbb461447a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1656" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-50af3350-4132-4864-96bc-19b526e424ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1655" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-804ce61a-f134-4b0d-8c74-89f8c69e74d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1654" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2cb39f02-13ea-434f-abaf-801714b48010-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1653" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-53b22f6b-c34d-4d93-9d63-7e79b8c55c16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1652" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-836f283e-eec3-4c0e-8f82-4212df7ecc81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1651" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c8d24340-93c9-42ba-b142-547ada5d10b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1650" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bd941abf-74f8-431a-8fcd-4b081edf2d1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1649" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a7fd47b1-3100-4e64-a1a1-9ee22a7d4375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1648" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-afb04f05-8f1d-4079-8734-6ff58679dc28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1647" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e5e74830-1ddc-46b2-a203-898cf7e5c036-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1646" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-11138843-7204-4cc8-9deb-fbedc61eb99b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1645" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-158f50a0-5be1-4998-b801-d292c1f3bea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1644" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d51ae5ef-9c0e-4812-8aec-7a8ed41842e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1643" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-75a60571-7162-4ac5-b78a-ed83f9c695b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1642" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b8360fa8-1994-4f76-bb9b-6e92ebab3ca8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1641" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af04b5be-c266-40ef-a85f-cd4f64faca2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1640" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c70aeef-f9c2-4569-a92f-e5e8a8673c11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1639" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d2bc900-4b34-4714-bb27-4d903847f020-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1638" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d447bb74-ebd8-459b-99cb-81badb46a5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1637" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4d6472b-1928-4ebe-a174-5c17d4682847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1636" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f9cc9fef-258d-43e3-852a-0645bef5b2e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1635" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e8e463e-d2ee-48d4-9019-7f8ce03bb574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1634" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b741dbf-8069-47c2-b483-c829e09b8b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1633" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ba2fc43-cf67-4b60-bf70-a9790974b1aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1632" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cc5af211-c3df-4fc7-8719-6ce194373424-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1631" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3cac468e-7eb7-44b2-a2d7-d3f8007712ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1630" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1bc40e19-9330-4681-b78c-2714b5209064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1629" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d336c01-1187-467f-a18f-8a499c156d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41413']" priority="1628" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41413'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41413' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41413'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-602c968e-b2f2-430d-8f25-b2da470df28e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1627" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gescreend_in_NICU): de waarde van @code/@codeSystem MOET ''1413' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1bf4a8d0-e007-48e0-9722-d19a128ae707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1626" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bd148c1c-3a9d-4732-92b9-60744663036d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1624" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec96e7f7-9308-4917-8920-419f12fd961d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1623" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23a785d7-f8cc-4b5c-8113-518b465b2ffa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1622" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-51a838d8-1fed-4180-9447-3852901a356a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1621" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea85b048-aef0-4cea-b13b-e0ad18187c90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1620" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5ffe09c7-da7c-464b-ba49-ba542431c016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1619" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e84eeebf-59ef-4bc1-bf55-c987c8dd9fb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1618" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6824e29f-aa3a-437e-acfc-55c9c98f2b87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1617" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-09fe0978-299d-47a4-8a57-d1c384b62a5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1616" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-69c4b1ad-17fc-4e13-a98e-31309fca9a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1615" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f6474069-baad-4c32-a974-8fef67be929c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1613" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c7699066-c988-4afe-a487-cdcdf07bb9a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1612" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-afe1d368-073c-49fb-a785-08e2d18f44a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1611" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-455b46ca-5fb1-4b94-86ae-2cbbe12709a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1610" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8d9b3cdf-3d61-4d6c-8cdf-19ae3cdb8f81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1609" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-76d4381b-e23a-40f5-8617-cf828adff169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1608" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0fb1a502-f4fd-4314-8af7-a800a39f5699-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1607" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b77fde3d-aeba-43e0-b999-9635a2211b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1606" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8dbba8e-3ff8-4c39-ba63-3d6c060e6212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1605" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1ff1eed3-9707-411e-9e28-86c7342e0bdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1604" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7cfd261c-9ccd-44b4-9312-96631de4f15f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1603" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb76d416-063c-44b4-834a-6087ad4466bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1602" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ff73bc68-5551-44ef-bf4d-b4644b260322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1601" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3145f990-da38-4260-b277-407c3fbca16c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1600" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4abd8ec-aeca-4939-8b11-dfe0657ddb15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1599" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e0816544-eb18-4db9-85a8-b11af051da9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1598" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8c386c44-6334-4b00-b90e-771f0d4c0103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1597" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8848a473-ddef-49d1-a67f-056a3128b97e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1596" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-34572e6f-32aa-4c23-92c4-6d097f298825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1595" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6298e3e5-7c55-4172-9d5c-079dee20fc5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1594" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6c15f2cd-dfa7-4dfe-963b-c2e5554d406e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1593" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d8472416-8f0d-48b6-b556-65ea3dad97ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1592" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dbf027b1-5299-4189-a32c-4f0fd1d0a8e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1591" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-44e074a9-4cd1-47ad-b1c0-fcc38087ac43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1590" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f2af29a7-af5f-4991-b5aa-e1376c582e22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1589" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8b59745-2145-4b01-b9c4-65cb6a72de36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1588" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a432d3a2-6deb-4943-ae1c-43f8751f475b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1587" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c6105bff-f288-42a9-ad30-53d4a5bf31a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1586" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0b928ff-d529-4aca-92aa-d5b76f48e67a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1585" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f7ff20ad-c0d1-4010-9d6e-3c9c2d0327a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1413' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1584" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f2ea6cc-4a6a-4a3c-8c64-635151af18c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1583" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f4c83685-c6b0-4fa4-8e05-9d4b518318ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1582" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-02bb405b-3616-4788-abf4-6dcceee39a2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41434']" priority="1581" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41434'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41434' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41434'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cb65a272-82d8-4b0d-b62d-4974b8b7e6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1580" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): de waarde van @code/@codeSystem MOET ''1434' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-018d4706-6143-455d-9021-09afb2771f0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1579" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0661_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0661_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0661_HL7 W0661 Diagnose Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0661_HL7 W0661 Diagnose Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-654a49cd-d047-4c49-8faa-eecb3d511840-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1578" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-53883c1b-a209-4c50-98c8-df9de455f724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1576" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-890436fa-2728-40d7-9a3c-fc8e8f85072c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1575" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e743a794-faa0-4f18-b0ea-cda7576c0e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1573" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-987c5652-bef0-402d-af50-42608f4b7e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1572" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6032ff7-dd69-4e9b-8ddc-da01782d6349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1571" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8587a9c7-3063-4265-8e50-51a53c37b122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1570" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6972ab25-baf9-41c2-9b3d-4768c35a9ea3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1569" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-afc539eb-586a-402d-b342-79a582c75ce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1568" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-927fd76f-cf6f-4441-9f0e-dd2ab2e2ebcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1567" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-749cbb65-0090-4c78-abec-598d6829240a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1565" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bdc3f651-3de9-44b4-9391-14c0b2892770-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1564" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cfa4cac8-39f0-4dc2-a915-26ecfad061c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1563" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-85a2f68c-2c71-4596-b60a-642a2c6f8eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1562" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87eab5df-fb65-4737-8aa5-d6a4cfd7fec7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1561" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b2cf3fec-a1d3-4c2f-9fd5-c95a6d8cfcbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1560" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-df7d5c29-adb6-4a18-a743-ed2fbc663033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1559" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4ad202a2-848e-4478-8609-74f1361b9ac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1558" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6fbc7a3f-520e-4824-bb98-948551fd7ebe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1557" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4cf4e963-5097-4356-bdbb-6b004a3ea44b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1556" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e98854ef-7d16-472b-96ce-9bb0388ad848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1555" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bc47e1c6-7755-4b92-8b05-09deeec8af71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1554" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-25a017c5-92c0-4d7f-a973-28221c28f429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1553" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad6887e9-576a-44c2-92d9-4d01a0e51923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1552" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e0b8d6d0-436f-47a9-900c-78cbe6e838a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1551" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-875285f7-2084-4c82-aa3c-2e07534f8425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1550" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a12bc4e1-f526-446d-a39d-72632b916a97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1549" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-60d8260f-f2ab-456c-bdec-2d48309a1ba4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1548" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73f79493-d53f-4f48-9829-04c8adfd93de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1547" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9b4b5fa6-a218-436d-affc-e93f2072c939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1546" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-14984f94-0f6d-41c7-b9b4-6139af53fac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1545" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0b9e688-4ce5-49f9-9de7-62f9fcec1ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1544" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-983da306-6073-4074-8d5e-f27b3d8cf693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1543" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cba801dd-af52-4bd4-828a-5450d232d1d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1542" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5dd2d4b8-910f-482e-8788-9667cca39ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1541" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0e8f1ba8-7f99-4666-9ada-9ebf2fcd17e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1540" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2c6b8a7e-c0e8-470d-b6b9-098d6f1e1968-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1539" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-032fef71-4bf3-40ed-a10e-4ede10e6fa7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1538" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5009369-4a64-4718-919c-6dc68502bc19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1537" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b8f9233d-0e85-4cfd-9740-df2aced56f67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1434' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1536" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a03d4e7-a999-44a9-9c2c-d666f075562e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1535" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-42f063b7-735f-46f8-9874-b204ffa1b344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1534" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-256febca-7fc5-43a3-81aa-4b08badc2d8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41433']" priority="1533" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41433'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41433' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41433'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59815007-7b74-43e0-a55d-669c37d80cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1532" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): de waarde van @code/@codeSystem MOET ''1433' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-057823b7-b53c-4785-a7d6-f17929abf6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1531" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0661_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0661_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): de waarde van @code MOET worden gekozen uit waardenlijst W0661_HL7 W0661 Diagnose Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0661_HL7 W0661 Diagnose Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-afa4315e-524d-4b16-a0f1-a1402d1b97b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1530" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Diagnose_Audiologisch_Centrum_gehoor_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d3df9ba-7da5-4272-a804-a6e75b15c867-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1528" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7449c309-89c0-42f0-aa01-b1223f80c42f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1527" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c67aad2e-7619-429b-9b24-4adff5f93ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1525" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0dd4b5af-dad1-4170-923c-e0fe4a70d2e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1524" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0e44bf4a-cd4f-42d7-8bbc-61538aba7ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1523" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f41e0b2f-2df3-41fa-8cc2-e78ae69e5cc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1522" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-02657602-dd5c-4ab1-8a21-387746770971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1521" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8c08a2dd-9d82-4751-8733-1c4a30357903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1520" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-759b998f-5f54-41ed-8cae-761f67ab47cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1519" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f933066-9cf8-42d3-a129-a7c59471257e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1517" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-43a0b547-83b3-4dfe-bb43-986350d8c015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1516" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0fd30cc1-7d9e-4e42-a191-f74881aef111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1515" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-32099f7c-87fd-46f3-85e7-e7c0ec609fde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1514" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e6923cd-dec6-4362-8ddf-dccd33c310a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1513" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f07a377-0a73-4457-93e7-cc1e9308ff44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1512" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2804f8da-05ed-4098-ba9d-c25ff3a1efcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1511" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-89555be7-e1b4-4551-889a-1de17529e739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1510" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23167fb2-fbe2-45dd-9b93-237159296305-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1509" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f68e56f-e5fe-4fd5-b3b5-17ee1a16d12b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1508" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a4de92f-7a4e-446c-9350-c06c1729e84b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1507" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aebe990f-43d8-41f9-a60e-12146157fb67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1506" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-258b2bb0-97ce-4a56-bc1e-ca89faf9bea2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1505" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7caad2d8-81cd-4659-af54-88fb35f71c16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1504" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c29d589a-8006-48f4-90c8-9cccfb35e134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1503" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb6bd1e8-b0cb-4770-ad83-a4fe8092f8af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1502" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d7851947-2ae9-4f56-ab9c-a582a5a43d5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1501" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-71305215-a039-4b21-b747-8bc06e2f58d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1500" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7bd4cfce-3180-4cb6-ae6a-10ef539e383b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1499" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a846130f-c8ba-4975-8ce8-ce3a3e5c009d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1498" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9abb7682-8a32-41f0-a6bd-0e50fb6bf972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1497" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1291509f-6d78-452e-bfcc-5ff311b5190b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1496" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b5bcac2-836c-46d5-b656-3968c5f904d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1495" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-180d7f26-3e36-4020-9c7b-7eeb9c9e6f0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1494" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-19e97f04-5be8-4950-a588-81f9806dad1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1493" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-54071fa4-be5c-4cc7-8718-9c3b396f1d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1492" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a156c985-7920-4f32-b3ec-7b508487197d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1491" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e34604d-7eca-404e-bcdb-c56a73b6f750-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1490" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3e11afa9-063d-4cec-9e2b-6d8ac9cee68d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1489" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a281c00d-0691-49b7-a50f-a5f0631b43ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1433' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1488" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b3d34181-9b30-4961-8743-766b3736e54f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1487" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6cc5ec3d-ceb5-45f9-b393-f23e2a42e407-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1486" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-695604a6-bada-40ed-a845-1c99b2d3118c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41435']" priority="1485" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41435'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41435' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41435'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0cc33bf-0f6b-4678-b026-b4da40f13c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1484" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): de waarde van @code/@codeSystem MOET ''1435' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad57d929-5893-4d3e-bd37-1e640c2e7ec0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1483" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0662_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0662_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): de waarde van @code MOET worden gekozen uit waardenlijst W0662_HL7 W0662 Interventie Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interventie_Audiologisch_Centrum): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0662_HL7 W0662 Interventie Audiologisch Centrum (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3c1cd5db-6951-49f9-8232-1a1ef4687e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1481" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-936e8e92-0ac2-4f23-ab71-15a52db75bbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1480" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5e46b9de-b7cd-46cd-87d0-ba59c08a0de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1479" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-504d80e3-70a7-4b2a-ae30-b0517482c581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1478" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37f87dba-aeec-4cb6-a311-d26f6f7468f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1477" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b13e52fe-feaa-49f6-9aef-0d991b90f2ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1476" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73dcd550-01de-4b59-9f74-95e2566828e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1475" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-57a42e8a-f8ca-4080-be3e-7863139b11ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1474" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-90ef6907-d57b-4b76-866a-7330b9b518cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1473" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abc627c8-acdb-4c62-b71f-1a064c83d468-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1472" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3c9e24f1-5e3d-4d90-9c07-8c66a3f5accf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1470" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fb7d713-19e2-46a2-9523-915b36fcbe6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1469" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8e6adc3-191c-4ab4-b8f1-eaea686d8457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1468" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb86e8a2-2b1d-4b55-b149-4bec16e98642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1467" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-16ae29bb-47d4-4237-a270-1b58b9fdf322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1466" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f1552524-fece-42ed-ab34-d52f1650436b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1465" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a25c09bb-4bea-4711-90cf-fd534f12bc38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1464" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6acf18f3-1057-43ce-a0a7-b3a3fdd7e6ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1463" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-158b41d7-5233-4d63-930b-c0768b2427e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1462" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f07cc616-8c10-4884-8d4a-fc79370ee953-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1461" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-231d321d-353e-462b-b1f3-0935d28e3ddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1460" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4136d2f4-421d-48f2-bdef-ea1c22db6bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1459" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-57e47c49-5a81-48d5-9381-47906f22bf82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1458" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-769ad81b-c02f-4134-996b-b3c0d394fb98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1457" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-28583216-8664-469f-91e7-f41c04b46c6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1456" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-61c29944-9b24-49a5-b4e3-1e091978f70a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1455" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-04666993-fa75-4b16-926b-74cb9cd3e176-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1454" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a81f8734-b239-4843-aeee-d0c852768e38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1453" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2cfe60d2-b227-42a2-ac0f-15130b3a3266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1452" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-499c3dff-fc4f-4ded-84d4-0d34d7e1ccc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1451" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b2707775-4d51-451e-a412-ff6e45ad509a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1450" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-471c0c05-0521-4fd1-800b-698f9a6ac659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1449" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b3bc7a53-6708-49a1-9f58-27a7c48b6a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1448" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-11c5d085-97b6-4fb1-be7b-d9620a573a02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1447" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-085b8505-c7aa-4684-a57a-b339943a415b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1446" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc265101-97a3-4063-86be-8e6127daadf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1445" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-43d50bed-755c-4105-86ad-8d6ad38aa045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1444" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d53999b-c612-4228-a38b-15a30f3b397e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1443" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ba606f9f-bfc4-49f6-bdda-812031f9f897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1442" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a61c28a-22fc-4c39-aa8a-eec97cd94dd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1435' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1441" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37e11282-f152-42e3-ab11-69684a2b811d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1440" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af9ff85c-a1b6-4485-823a-b67bd03b67ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1439" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7b96e341-cc85-403a-b930-0d2a6569aae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41436']" priority="1438" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41436'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41436' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41436'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d9e8047c-3931-4460-bbc4-ef948f5ad868-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1437" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_interventie_Audiologisch_Centrum): de waarde van @code/@codeSystem MOET ''1436' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b851442-3a2a-46bc-891c-961b596b8a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1436" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1319c09a-0779-4c68-9e48-4b4dbeb169f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1434" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5ed45459-3688-46a6-9752-b413d33d2653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1433" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-56f7da9e-98a5-4dfc-9dd0-7c1b97cdf9b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1432" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a798ab8-c6b2-4c90-b6fa-371c63ecf3e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1431" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2c4c6819-cbab-4d98-906d-8778a7411346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1430" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6c0620ff-2c5c-4169-a251-8d3d9b2ca644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1429" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6379eecd-64bb-437c-85a6-a19afe4349ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1428" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e05e0759-be38-4773-90b6-027c467ec3f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1427" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f335a0ae-aee8-4ca9-980c-727e12dd25f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1426" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f9edd8b3-5004-442c-a5cb-25025f8d44ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1425" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0d8c664b-c7c3-4358-8bae-46937fec8211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1423" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-358ed9a8-9a76-4e79-84a4-58a528fe31ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1422" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae9d3830-8ed4-47ef-8857-5b6b210c7484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1421" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b229988d-2ec6-4b7d-95ec-29897173d657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1420" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-91602f51-6eee-45a9-98bb-79bddfa787b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1419" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa4fb113-0155-4170-9682-dafe10df9bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1418" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-06d63fb8-fb1d-4afb-bd7c-9f8cb0c739a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1417" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4209ff22-ba6f-4d13-8c32-46dcd07e90ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1416" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b52c647-2880-4e26-a66f-9de7ba31dbd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1415" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e996264f-6611-4b76-b9f0-f20af0367dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1414" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f35e9d20-e916-4343-8d01-e0043c007043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1413" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-372ceee4-3517-4d6f-a354-eaeca03d3eea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1412" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-24039db4-ac24-4385-9cd5-3fa5a043a258-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1411" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-131bb988-d1aa-42c8-a6c3-52ba52a166d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1410" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-085691f7-2868-45cc-99bd-aef5753db0c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1409" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c14e01c9-2eb7-4f08-86d8-698a17459182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1408" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41988820-5038-4c62-b0c2-2debf43d52a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1407" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84498d6d-ac16-4c1f-8abe-e3e933822cdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1406" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f965668-e238-44af-8392-39a740369468-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1405" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f525658a-1009-4588-b3f8-452ab8f14094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1404" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-702628e1-b742-4a65-a85d-74fc301580ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1403" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-45403987-9903-4d33-ad6b-b0e57b63316f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1402" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d1fe662-d845-438b-94e5-f2eb3b3a0e42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1401" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec683ca5-a81a-47bb-9df9-d806eca62784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1400" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55c6879c-c0d7-4b64-aced-79dc90123700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1399" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f3110fd-3e1b-45de-b7d9-71f39260e91c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1398" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1683874f-34c1-4bbc-9fe7-e5ccb6d9ae89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1397" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8e6d22bc-a0dd-40f4-9d25-6c863f390863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1396" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0e82a47-c4da-4048-a515-3dd8cd23eb6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1395" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb41fd28-d969-42b3-b0c0-e0cd88a48489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1436' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1394" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ca058258-c7d9-4a88-ad57-c6ffd6f82748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1393" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5fec7888-f9f5-4df5-852a-4afebe81e030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1392" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-279a98c2-2320-492a-b512-fc70362e4b22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40864']" priority="1391" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40864'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40864' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40864'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d1920a96-1c32-4c09-9081-d29dccbc0d88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1390" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): de waarde van @code/@codeSystem MOET ''864' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-acb1b591-ee7b-4584-937e-a41f7756c462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1389" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0378_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0378_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): de waarde van @code MOET worden gekozen uit waardenlijst W0378_HL7 W0378 Testtoon aangeboden (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_aangeboden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0378_HL7 W0378 Testtoon aangeboden (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-636eb276-868e-446c-9b10-42064ddf395c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1387" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0c81427b-5a3a-4e8e-a1d4-7c3ffcae690a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1386" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-691c1a73-ba11-41a0-a5d5-0d42cacd1d59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1385" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0c895eec-541d-4a2d-ace9-8d8668fbbdf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1384" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f82bdde-5c38-4745-8ef9-cb3dcd33c6a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1383" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-82a7c953-c488-492e-9ef7-2b61c0027062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1382" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5cc4d895-3d80-4f12-891a-709f6e937562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1381" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8cfc7d12-38de-461b-a0cd-4419a3c34972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1380" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-98c51567-186f-4dcd-8612-756954e0c745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1379" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9ac5786e-ad40-44b8-8a96-62ee3263feeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1378" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-85b1513d-386a-4007-a1f3-1d3843b5402f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1376" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4131ae54-0234-4b66-843c-07c2c580bce6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1375" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-46b9ade0-b1d5-440b-9b38-53517e3c069a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1374" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eed3cdd9-9c4a-481c-9ff7-7834f9544372-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1373" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d23d48f1-54a9-44b9-bb72-2c596bdf411c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1372" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5752174-cb27-49c3-affd-d8d59ba64563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1371" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21fd68f4-15ce-44b1-bc0c-42cb964834bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1370" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-14c20734-c977-403a-9df8-fca5466090b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1369" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-873ac3ff-d176-4bcf-b010-1888446dd901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1368" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f1c50292-1155-4ab5-b008-b98597cf3dc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1367" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-60de8977-a1be-4c26-88cf-32600c29477c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1366" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0058316f-19a1-49f3-a0a4-4c2d3ac89fa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1365" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5996da7-175e-4fec-b07d-40c8e81aefc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1364" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ffa476c7-0ab6-4619-bd4e-dbd24b15302b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1363" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e64aa30c-7e85-48e1-a7e1-1ae87cfd72b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1362" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-31c767fd-c554-490a-a481-d535f8f8b201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1361" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e071029-70fc-4361-ba1c-14f2ef7a550f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1360" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-829baa63-d269-4bdc-984b-cfdb6cf0d847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1359" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52d6c379-18df-4f26-8c73-1e8035cdc242-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1358" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cce8ca50-5861-40f0-babd-e1490f4c8ee5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1357" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-76da8ff0-991d-4fb2-acd6-dae0af98ae34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1356" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a072eb09-cf41-46ec-9888-7389d9e18b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1355" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8510d7d9-e4aa-4272-84d0-5db225844068-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1354" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4d7149ad-4a9d-4e0b-99f1-b3f7aef44c29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1353" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc5d1bb6-c5d7-4836-8140-1c8eef054cda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1352" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0f0a7be1-48ea-495e-91ee-4bf3ae4124ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1351" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7accabde-bb93-47f2-92fe-d9ab87e35db4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1350" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ffb944f7-92ae-4f1b-b365-4ce5ae1d80aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1349" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-468bf4f4-122f-4d87-aa59-7d73a610e734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1348" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3369279b-7026-484c-8ad0-d379feee0027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='864' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1347" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4d60a546-75a7-4fa9-96bf-96e8feeea404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1346" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f358bba-0105-4fea-aa59-85271124fb93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1345" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74147def-d4a2-41fa-9be6-dc3de00c2e44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41203']" priority="1344" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41203'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41203' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41203'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-620249a6-f191-471d-b0fb-9ea6a517f17c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1343" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): de waarde van @code/@codeSystem MOET ''1203' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e52b2f18-100d-4ef5-8177-f825ee145aec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1342" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4517bb8-d7b3-4b63-b9c7-115351e9713c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1341" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dee4c774-1e98-4b12-80e1-a9aba5d6883e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1339" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5311fd7f-e27b-445c-90c2-c53f1438d757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1338" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-54c6f236-0a63-458d-8318-6abcb6edb331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1336" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2e8efc4-fa62-4af5-8f7d-89186e1ed3db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1335" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6bdb0208-2339-4c26-b9f0-cb180aad78ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1334" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-930341ae-763a-453b-a1ee-4034b77ec445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1333" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-653cec55-74d4-44ff-be89-9496332894e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1332" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-066cb26c-cbf7-498d-bd1d-22b5a7685687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1331" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f24391f5-88ad-478d-92bc-7d2995788d14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1330" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-26a8fa6e-9109-492d-baf0-5ae1c587c4c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1328" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d9715f5-c4eb-434f-8f2e-189cd00391ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1327" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7526253d-c3e7-4b75-8de4-44cecc86f8de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1326" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8978b9f2-3803-40f8-9189-9150f5e3b9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1325" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ef877f81-a2fd-44d0-a61c-4b271ccbe672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1324" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-40b0ce74-2eb3-4138-b2bf-d8cb9fa3601e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1323" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6435a3e7-abcc-4da1-be37-e4fc6f4dbe9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1322" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6e4f802-7071-419c-9ff9-bdfe9a80bec9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1321" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-da7c3181-3567-422c-89dd-f4a89544c08e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1320" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-00ede3bd-5130-41fb-b9e2-25c97f141fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1319" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ce94b455-c950-444b-ab26-a82cbae08c0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1318" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2df99f00-f379-4bc3-a59b-79196af87332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1317" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-90b9a4d3-08d7-4e17-afc2-dd05b5e02068-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1316" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-137e3277-2ba2-4fbb-9364-d0d2229877d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1315" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0bf7c996-c670-48fc-8e3c-1329bba9e299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1314" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8a5b79f3-2dae-49ee-9b21-629586e83c16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1313" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-85113e28-2660-4463-adb3-a3632865389f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1312" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c416a453-aad8-42b2-9aee-0db4a7361f09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1311" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55bc862f-46e9-4f86-9df3-2cf710cd59d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1310" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6fe138d0-a397-49d6-952f-7baf990081a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1309" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccc9333c-573c-495c-b30f-9110320dbc8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1308" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10b9e9e0-b5c4-429c-bf13-fa01ba0cee9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1307" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c94c2787-c585-464c-8762-a227e6d10709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1306" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abb145da-4844-4210-84b8-d2193c37e941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1305" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-58e288c4-e606-4fc9-b1c8-8acc77b5ecef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1304" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-000edb22-6bd4-4b33-86d0-b59c3cf79e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1303" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-62ccca5a-6670-440d-a5ed-6ec199079a60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1302" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0136b454-219c-4bca-a160-cb90192aae6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1301" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad002e69-7ace-49cf-a72c-ea72736e135c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1300" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-64690f08-743c-4c30-91da-be9907c8598f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1203' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1299" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-09fd426a-e6cb-4d5f-9de9-0d8af807d61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1298" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f32ced48-9bc9-4e79-bf24-4bf0e4e90642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1297" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dee455d9-6314-4f4c-983f-e441b56fc520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41204']" priority="1296" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41204'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41204' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41204'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bdd9aea-3a52-47eb-aeb2-33b8d66e2219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1295" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): de waarde van @code/@codeSystem MOET ''1204' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3434735-af9c-4fe9-9195-d28cef23e0f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1294" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7815ccfd-f6ed-43fd-a21c-9eac787880b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1293" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_500_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9b606fad-4e88-4afd-94a1-bce823a6900d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1291" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-039d0d06-b5a4-4528-9530-a0632530f0f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1290" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bd6787a1-0ac7-4843-a33c-9308d9540916-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1288" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b3bc4989-bc65-41ca-8578-39e3cdcd25f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1287" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0afa2607-505a-462a-9cba-c2d12a7349ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1286" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bb6dd93-8f19-4d80-91d3-724a70174903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1285" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9569fa1f-6681-4d68-8f24-828785fd2fbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1284" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a41158a0-d905-4f7b-b778-578b95623281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1283" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-da23c80a-7f15-42e4-937b-e29fab3ad9b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1282" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4085f258-e3e1-4c80-9814-482658b977e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1280" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-78e21fed-f9f6-4476-9017-8b59fb9b3ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1279" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5e6153a-82e4-4fd0-8990-828adf33f644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1278" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8f0cbe7-6cf8-4ab1-bc48-f48f4f3bf192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1277" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-91d0ead1-1057-4d39-b555-29dca1e8760f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1276" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2c94fe9b-d6d9-4f0e-8de9-8e6402285c3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1275" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-29ffefa2-fa87-4c5e-bd92-6c575c8405e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1274" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b7360ffa-3404-43d6-a870-341b8357c248-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1273" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-df5b53d5-724e-488b-9443-4a4840a8671a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1272" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c3317e88-f281-4b40-89eb-774cfd40d0e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1271" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8be07c3f-2694-4952-850f-8cce5b74123a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1270" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-07a7fa9d-b389-4c5e-861a-2ea230bcf37d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1269" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-70a711ac-15dd-4ff9-963e-9a59d70797e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1268" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dbddb9f1-0532-413b-8a58-5cf34f655fcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1267" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f6c2a27-746f-4dbd-aebe-1a6d04f4c022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1266" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-728da052-8997-477c-acdc-52456c61e312-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1265" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2b5ea7f3-8bc7-4b74-a919-8c3ad90d2b8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1264" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bbf45ba4-c492-45f4-acc3-fb38937e5870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1263" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b241e8b7-217b-417d-a427-7591efba3489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1262" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b24389b-ef19-4f52-bec6-0eab1397903a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1261" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-93d2ffcb-86a4-432d-a241-65653c5d2c4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1260" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7564057a-e7cf-44d8-93f8-ef78dedd1c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1259" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b7dc3696-ced2-47c9-b680-a60965e6bb96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1258" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b85c6742-6546-42ad-a08c-c769b12d0bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1257" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a1e4024-cd90-4348-b06b-83738f3c22d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1256" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d4dd03d-d65f-41de-9c3b-2e9f5814046f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1255" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-71013c1b-8369-43d3-93be-98f17ef59e90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1254" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fb374fb3-db30-4cf8-b6b0-42f227de8592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1253" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74cf71be-786d-4742-9bd4-f3118916e7f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1252" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-397afac9-420d-4108-b0ec-a1e187dbd0ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1204' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1251" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e652077-20b4-4b6e-a329-baf7913ec46e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1250" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ac2e073a-ab8a-4353-bffc-397ae9e50377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1249" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e865898f-d078-4e9b-97e3-8c1a293b2338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41205']" priority="1248" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41205'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41205' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41205'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b35704d3-187b-4efc-b70d-9f6c749b1757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1247" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): de waarde van @code/@codeSystem MOET ''1205' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a37a78b-18e3-489a-b366-cb4969242913-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1246" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7be54c84-ad07-4846-a8e8-ba00bafa3295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1245" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0a04640-9cc6-4879-ba4c-521b65e0e58e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1243" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0ee7e4cc-dcea-4082-b3a1-77313efe4a7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1242" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a9b88ed-764f-4717-96a3-6a8d18c8ddf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1240" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9d24db61-7076-43ff-bff9-93a6db1f0d0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1239" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6073a766-ac51-435f-97e4-e0fce12244dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1238" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-94dcca49-c196-40ad-b1ff-2cd5504a27d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1237" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-39e5e637-54c1-42fd-af49-20c5c0a499a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1236" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-935eefa4-b7ee-46a7-b7e3-80320bc47282-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1235" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e4fb4fc-ecb0-47f5-9e78-20095ebaa579-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1234" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed20dc99-0a49-4e40-adfc-52cbfdc78d42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1232" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3281ef42-9f8d-467f-bdcd-4106956e34ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1231" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5ccfe3e-6bd2-4eb2-a33d-81136e00f6de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1230" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-46560ff4-21b8-4769-9aac-a25b47ed6dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1229" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-43682d7e-1921-4fca-beaa-287affef6a3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1228" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f066aba6-ac18-4585-9045-e242d7b21578-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1227" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87e32d0e-11bf-4e9f-88b3-b95b8c6bb500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1226" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-481bb623-bd44-4626-aad8-ea0c72c6d66d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1225" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7117b1af-12e7-44e5-ab73-4eb02ca7340d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1224" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c712e8e1-9b02-4d93-a520-7c1ca970fa1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1223" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-36420cd5-d41a-4005-80ff-feba9aab77c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1222" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fef73bf8-deee-4aff-8d4d-6d55bb7942ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1221" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f0a0fcc-3487-432e-a086-4720acd91b69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1220" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-be96b10e-8339-4a6b-a051-fbf3be100148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1219" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c76e1b85-b483-4c5b-a021-cc9f4c6bd175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1218" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1c0b58c9-bf16-4b8b-a7f6-e694fa04edba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1217" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b73f601a-8d4e-4f57-8f89-b0526a4fac13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1216" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-431a3c84-2c1c-452a-850d-44bb94b1b23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1215" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ac05a8ad-a8f4-4d2c-9b74-d5bca83244c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1214" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9d9b325b-4591-454f-a5fd-8d6fabac9805-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1213" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ff6bcafe-7b86-4b5d-a4f1-04a2cfaae2cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1212" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5652a96c-dced-4e4a-8490-06c5521f02a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1211" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e493e83-2d5e-4d9a-a142-4ba1ee6bdcba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1210" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-46e37a5e-79ad-4d14-b01b-ec45c87db644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1209" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0dd9cc6b-ab73-4ac9-be5f-cd31063a9d02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1208" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b83aa75-677f-4d5c-bfc9-98038367219a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1207" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa5d684d-ac5e-44ca-9708-8ba52c611629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1206" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dae77861-a9b2-4f66-97e1-60009c893431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1205" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-35d1896b-0763-4538-8d9c-a538868490ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1204" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a4636601-dc45-480b-8786-d5cf32af3d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1205' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1203" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2ca5bc51-a9d9-4570-ac53-b1c21b65cd67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1202" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-392d6d58-97f8-4660-bd76-7fbe56ace275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1201" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10394db2-f134-45e7-8e2f-1cacb250c401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41206']" priority="1200" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41206'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41206' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41206'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0f666369-0de3-4472-bc49-082189518936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1199" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): de waarde van @code/@codeSystem MOET ''1206' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3dbb08f0-838e-4fed-895b-ccf055d1d264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1198" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e3349838-e757-4b55-87f5-4e19bdac0115-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1197" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_1000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73695fed-4cf0-447f-a065-c71283d42933-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1195" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fb061ba-8634-4353-8080-4e5cbefde019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1194" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-75d36a2e-95d7-4d35-a2d1-55b96222e6b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1192" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8915f23a-7afc-4c0f-a31f-07796a955e7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1191" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f4a1d02-5f03-444f-af6f-c4b7a86cf29e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1190" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f99de8e-76b6-4236-b04d-d86369ee934a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1189" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aaa6e142-72fc-4307-b8e9-f9719082a1b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1188" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6fba9d4d-fbf0-4e36-8a94-5f914c099ea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1187" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d5640df-1740-4ed5-b9c7-0c80a451c5e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1186" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-53c44f50-9d96-469c-9a6e-189696f560c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1184" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-209e85c0-28de-45f0-a1b5-fd95313bddd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1183" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d4ca518f-5fdf-400b-bb07-1976af1c95fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1182" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ce73636-7f3c-4e12-95b0-ec8e7b06667b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1181" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bc83e14c-ed55-44dd-9973-163806bb7574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1180" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8bac32f2-b406-468f-b614-67ace5e9d797-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1179" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aa5bd7ce-75dd-4bed-a894-35a936bed7ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1178" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c2d5388-cbe3-4960-9e5f-f37ce5d258a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1177" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2186c94c-035f-417d-ac97-302197fae865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1176" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa91d2b0-3fd0-4fcf-bdca-36d095dca187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1175" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-50763290-e404-49b1-be8b-426e01839441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1174" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c1d04ba3-887a-4c81-a9a9-ff9a1ee36ae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1173" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-58b87860-569a-4940-817f-5dc6c4ba8174-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1172" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d1e3cd90-a0f7-4351-a9af-310dc5018f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1171" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-77d75b72-9ec0-4204-85cb-6be9662c755c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1170" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-898f3983-9e4b-4228-ae1e-8a62bc7a7631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1169" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-97e3944f-569c-42db-84d5-6ceb1c51efcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1168" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4b841bd-7750-4d4c-bf93-b87d124a49fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1167" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-057d595c-4f04-4934-8ad0-bc68d3d0e66e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1166" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1b41394e-a3d7-4fa2-b006-c53ddc4cda56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1165" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b892174-eabc-44d7-964e-74974f6ae745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1164" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8d18cc74-348a-491a-9d48-c39cc313bc4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1163" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2831acd8-cdc5-40a4-a81f-cde747bbb43d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1162" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41cb0953-0526-4cd4-bfdb-99c2b8e13814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1161" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2ba07b16-80e3-47ae-ad0b-42ea42c38bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1160" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-72c881c7-34df-4b47-be3c-9998f4aaf36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1159" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05561cde-b987-4d25-9854-891ce98df659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1158" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-69d6e720-0f90-409f-b4f5-847d397059bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1157" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f002429-e551-41a2-8b8a-51e8f65f62eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1156" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73457290-9740-4b76-8489-a7277d0c52ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1206' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1155" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05ce93c0-20c0-4932-8838-9859b2758d46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1154" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4ededd1b-45cf-414d-a25d-33d1d1cb8c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1153" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7f489a15-6a5e-4658-9941-4d16c70040f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41207']" priority="1152" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41207'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41207' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41207'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2f0fa22-d53f-4839-a965-4cff1e8e5337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1151" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): de waarde van @code/@codeSystem MOET ''1207' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-970a22a5-a31e-473f-adab-e860314d3a96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1150" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e7bb8dea-0afe-4bf5-ab32-4f0649d8cf28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1149" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b9c0ae44-4e76-4aa8-8f0a-22df9773ddb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1147" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1e4bab83-5676-459c-b597-5b85becf9878-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1146" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0427eae-fd2a-4a6d-98ce-b155973dc6ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1144" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2abc1c77-e6bc-4529-b471-d2623cba0dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1143" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5d528268-ec18-4ec2-8a7f-61a617b266c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1142" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-88d1b5bc-b455-40c2-8dde-1de789f58772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1141" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c15c637-ea63-4ba0-8003-7e9f23bbe4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1140" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9d4d5e47-d8ed-48f9-b224-0f79b33f549f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1139" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-584eb7a7-3330-4523-8e9a-adeac0238a3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1138" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e8bf619-5c9d-41c8-b572-1963d499d91a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1136" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a27b692-b1b5-4fa4-8d09-a183e0c88890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1135" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20333bf9-3272-4fc5-812d-91c476c81260-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1134" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-66243e52-f121-4181-a2f4-02b1f0458bc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1133" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0397d2d6-eec5-4014-b00f-5c6655d51a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1132" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-89d25fb8-8404-4528-869a-d0429bb8b8da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1131" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84bf3202-f99f-4952-998e-724bd9bf172f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1130" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e64470b8-18e0-41c4-9219-ade471ef21a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1129" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa63ea9f-ccfd-4acd-bef8-a047a6eec7b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1128" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b7817897-2723-45f7-a496-4bc93fa23790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1127" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-678db9af-d730-421a-afde-6f03dfb25c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1126" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-31cb3481-70ca-49fc-a64e-bc1878313a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1125" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-01b8eec3-3513-42cf-a4a8-7e78ff7d2390-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1124" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af092c3e-ed43-4a99-be48-dad2ede44657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1123" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1197a75e-fb75-4761-8e41-1e65f9a48f78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1122" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d9476d0-6096-4a06-812a-8ff6d8d43cab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1121" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d606b2c8-7da2-4210-b82d-3abcc4adb82d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1120" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4eed6116-994a-4704-aeda-6e08318e5462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1119" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-381dff8f-663e-4dd7-8914-1719a111e117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1118" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-60389dc7-00c4-4783-8acb-7d710227b01b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1117" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b2c7150a-9901-4d82-ad4e-b9ea1e04f736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1116" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52e2dc36-71d9-48f4-90a1-a37d58c8e9a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1115" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ee1c1816-20f3-4201-b486-1a26c79c6403-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1114" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-78a62692-67c4-4315-9d9e-d5e09cb9275b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1113" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c489fbb9-e772-47eb-9b96-bd50689b8763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1112" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6937a9a5-6077-423b-89f1-b836e328d0d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1111" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3a3eddae-31ee-4f63-a665-4a0acf452577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1110" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b74f08d8-6812-465c-b0c6-401277b1ffb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1109" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a3a0aad5-19ef-4451-af04-ed5a13b9d24d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1108" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-64b07ce8-c720-41e5-998c-76426d4e66dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1207' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1107" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8d1fd0f3-f393-4d87-96d3-7652227692c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1106" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f9241e65-5e44-4b61-9923-5b31ddbda197-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1105" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c3f871ee-084c-44eb-8046-98e38db0dbbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41208']" priority="1104" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41208'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41208' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41208'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0df35f2d-4761-4c86-8934-8b7889e3b532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1103" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): de waarde van @code/@codeSystem MOET ''1208' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d7087a7-f5fd-4625-88a0-04aaa4502870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1102" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0f93289-3a5b-4a6d-964b-7ecb5f9a569c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1101" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_2000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-01f69e96-acc7-44cf-9c9b-6e9309baf34a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1099" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7efab397-3da6-4dc3-8f4c-9b0f86c39034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1098" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a298095a-957f-4045-9d77-25584d05a934-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1096" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b3fdaf60-3e55-44be-8e53-90854e1a08b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1095" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-81ca5a38-ae10-4b06-be09-f2462d9da0ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1094" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-edc2d454-a571-4d3f-adc3-c4bb76e0103e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1093" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f9672e7f-c79f-4223-b1c9-ad04d3daa1a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1092" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-124be8e7-21e3-4d11-b94a-b9f1b0448a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1091" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9be8511-f109-46b9-a807-1313df5510b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1090" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0f819cab-a9b2-46ef-8993-0ddb11a0dc3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1088" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6835330c-db74-445b-a67a-7cd1d59a5772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1087" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6a1fbaa7-f98f-4296-b69d-2f9eed29b1c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1086" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e570d35f-6735-45d9-a864-bfce24cc1c4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1085" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-edfdce36-d688-4baf-bea6-c5ef814e0022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1084" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-455d7d11-598d-4833-80b1-620af5b3a01f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1083" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2428161a-ae23-48f3-a67f-7a4200f4f4fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1082" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0af61052-02f9-4cdb-bd73-6761d5b37de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1081" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-68d1939d-6337-4acc-b8b0-0dec6275f777-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1080" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-843e3710-da20-4bd5-a506-3594b74ca2e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1079" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-13ab56aa-ea85-4da5-89c8-3fa03532fbcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1078" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1f0a2a4d-4944-4f02-9805-8b35a2f6833c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1077" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-169f4bc5-7235-44a0-a1fe-403c1429b415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1076" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0df476fd-a1ad-47e3-9f47-dac371bd518a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1075" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4da2d5bb-5460-448d-944a-b2dd05fb0feb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1074" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49ce8bfe-6424-4b8b-bad7-9dd0e9fb55a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1073" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-77208a98-3c16-4952-932b-4051225f485e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1072" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bdfb4c8-1fd5-436f-9b9e-4ed9a0eee863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1071" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-652113f7-4649-4d89-bade-321bea7ec6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1070" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bf22f72f-3a81-4d5c-9c74-68dba7f15969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1069" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bc0136f8-8308-43e8-90e7-d4762f02ba04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1068" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-337746c6-5783-40bf-af62-f827f8363833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1067" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41eaf7fb-8f62-459a-88f1-242accb388c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1066" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-80c0e905-6320-4c53-bedf-72c701bc3e64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1065" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6dbbc414-17af-4811-8723-d4ea18e7549a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1064" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f633090-fd5c-4d66-9ee6-d9941d061097-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1063" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-15ec66d8-b6c5-404b-9740-32fea576e7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1062" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e07bc6cd-0c1c-436d-91e8-2bd56385bcbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1061" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e8ff2d9d-23c7-4c83-9611-b70d2a33e815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1060" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea17a00d-8baa-4214-9e74-1a5d226ac3ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1208' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1059" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4b32248a-2f3e-4aca-9690-0399ceca5478-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1058" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6084890a-e72c-4fb0-8cb7-13689d6a556b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1057" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e2fd159-517a-485d-a5b6-5207af4e70d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41209']" priority="1056" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41209'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41209' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41209'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-be37925f-133e-4d78-bce5-48254c0186e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1055" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): de waarde van @code/@codeSystem MOET ''1209' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bd76f9c-ca23-4015-a544-d30ea68fde3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1054" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-04bbb3fa-75d8-4c1f-95c7-591d71c617df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1053" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d309e83a-01c1-4644-899a-ee64791809ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1051" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9a682ba6-4719-42d6-8b0a-aaa4958013a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1050" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fc479a8-8984-476a-9756-ad88b55561df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1048" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e4a180ad-cd91-4cf8-9b3b-735d231635f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1047" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ada38610-bd31-416e-88d1-e952fe442bef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1046" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6adff344-f1c4-4c28-96f9-4bd85a1298ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1045" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-76a61f21-26bc-4abe-83b0-1478196e204c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1044" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a4f31daf-6d66-4c4c-90bd-ce538689c15f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1043" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b20e2159-395e-493e-bf10-d8481137719f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1042" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8dd028af-7187-4d3f-93f1-d8b59cca103d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1040" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5e99e11-821a-444e-92da-c722f4ebe155-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1039" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-541c435c-cc40-48aa-80c9-f67b32b6bf20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1038" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f37383c-d062-41bc-90bd-839dfc8d6400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1037" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0f36c76-7ee7-4fad-8696-a1a80118b8a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1036" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-11aa1e0e-a339-47cd-b378-e6d43144df5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1035" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af36aac9-4e0b-4e9d-98d6-155a1a9a32ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1034" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-99bd5b8a-207d-4943-abb0-75944ae6e5e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1033" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6d6bf8ca-fa9b-49ed-928c-1fc9701d4fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1032" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b832982a-bffa-4c9d-b9d7-e4c3bc23411b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1031" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1315e1a5-2d0e-4db4-b0de-55f80d619f57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1030" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e60d1b11-c8a3-41ab-abe3-ab8356a0cd01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1029" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-48a50a87-ba7d-47b9-bd2d-2882488edd0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1028" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-62d6151a-a802-4042-9f76-66cc0aaf32dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1027" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fb2489a1-5ce5-4607-8bef-6862c8c8c9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1026" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7bf910fa-821f-4f2e-aa7d-60cc443aaf86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1025" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5c752c0e-1769-4a72-a5cb-5cc0f2ce77c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1024" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fe098d4-2592-4eac-840e-bd9fe5690a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1023" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f700e587-2acc-4565-8f03-cf604f0fa0f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1022" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23ae987a-9c88-4bd5-8d94-fcb607d7d881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1021" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8bea2aab-0880-4150-aa16-ed77a506dc51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1020" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41fdbfdd-0689-4a2c-9315-2cd3cfdcf375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1019" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-944c3475-5bcc-4d0f-b0e2-ca58552575e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1018" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d24ad641-5067-4a12-a2e7-49143f1e52cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1017" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d7aa228-8919-43f5-ab54-daa2c039ee13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1016" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10aa4db0-d508-4f33-bf6d-6d9f031dc80c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1015" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d383d911-979c-4ba0-a8c6-c2bba5d6647c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1014" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3ceaa313-9338-4aa4-9002-41eb1f2fe27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1013" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d5d5284a-d37f-4517-8991-0f8376fecd97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1012" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aea628e5-1e7f-4bf7-a1f6-32ee38b64cec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1209' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1011" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f071e843-e58b-403a-8a11-e0054babacbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1010" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38d4fd61-baad-4eb3-9e25-e39b93784828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1009" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f0afae47-64b4-4ee3-944f-83b1b7a6da43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41210']" priority="1008" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41210'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41210' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41210'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8501885-501f-4909-86b5-6a2352ec8ca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1007" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): de waarde van @code/@codeSystem MOET ''1210' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f706a2d9-99df-4078-95bc-c3e5c0dafbc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1006" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20f90ffb-513b-4c3f-be51-0adbf77ff091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1005" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_3000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccba144c-7d2f-496e-9a25-dd6f00ab57f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1003" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10800c98-d78f-4601-bc75-509a96c45543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1002" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d1d024b-8919-4dbe-9191-b012699677ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1000" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f7100c8-ebff-4855-b880-96a39e4dd0c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="999" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-872003c2-b38d-4677-ad75-224e5a96c4ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="998" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e45bc6dd-fd85-48c2-8e7b-cb9deca01dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="997" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f862704-9ca3-428d-8f69-86b83dc10781-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="996" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-65e20b2a-6ec3-4142-8e3a-a7187074964c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="995" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52107b98-1784-47df-99fd-cb2948ba9313-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="994" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-df2cb9d0-2f0c-4f64-8821-467856bdff2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="992" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4729531e-1628-42a6-9d25-63d4b106f401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="991" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-47f8f2cb-00ba-4515-9eb5-950583657fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="990" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1011ae7a-be3a-4d79-8a26-667f3aa03bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="989" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1554b471-d659-4b06-bfd2-f0733c5c4b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="988" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a3e14f1d-30b4-46be-bfc3-95d64ef77022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="987" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-306c11ca-5b6d-40f9-9ca2-07c2dcbf9407-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="986" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a5ca8657-a023-4637-a883-99286fa3837a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="985" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d88a9b7-22f7-42af-87ee-5b69533e6c91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="984" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-101ff8bf-65ec-4838-9216-583d2953159d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="983" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-91a80c29-4e12-4033-b632-59b7c4c73e7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="982" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5247d47e-370d-464f-8e1a-f27e42088421-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="981" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e5a6b3d-f758-46c4-b323-5b30a84616f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="980" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-19933e3a-8a6b-49f7-8dbd-970c96359ac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="979" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-139807e4-c7d2-4fed-b59f-703df7066bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="978" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bd68b62-61a8-4546-8875-e972e348db22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="977" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9cf034c0-ae38-4222-9bda-f9c43dc3f99a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="976" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4192348-d7ea-4fd6-b17d-7a505e0dac88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="975" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-067206cc-e425-4763-97df-baae6ef6edb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="974" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad9b7204-c710-4ae4-8ad1-5503fe551aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="973" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-19cc5bde-9002-466c-82c4-747d019ddd5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="972" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e5805899-b594-462a-8bf4-c3898db1ea8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="971" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0e0701ae-b276-4e0d-9a88-3e094ea1d748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="970" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d98d5ac8-58b7-4bb8-8cc4-4d30b5ec62be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="969" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f3acee7-b0cd-4b0e-b07c-5323699cf08f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="968" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c20d9046-25c6-48f3-8a65-ec4b7ff7d0cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="967" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5d1b6b8a-c26a-4c97-9c2e-daf41a4b0fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="966" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abb85bf8-d1ac-4bce-a193-862378086028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="965" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f6c5647-e25f-48dc-bbe6-ea97f73a31c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="964" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bf01662a-7c9c-4708-b1f4-1b03d0cac461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1210' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="963" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e3c0e039-b891-4a6c-a84c-c7d5cb097338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="962" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-11cd3181-9573-41f5-b0c6-2ced6a612bc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="961" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1edf2e46-85ec-4956-899e-e4e0d365a289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41211']" priority="960" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41211'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41211' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41211'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-72a926f7-5d3d-49a5-b9fa-99deaff6ad88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="959" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): de waarde van @code/@codeSystem MOET ''1211' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e22c946f-6628-42e6-89a1-cda45558319c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="958" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e3516e72-0269-410b-923f-88f1cf173834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="957" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-143c2c7f-f2bb-42a9-8aba-3f9c38616d51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="955" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b6639ab-7270-4a8b-a7fa-a13d6afcbc8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="954" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fae81afd-7918-49cc-9f05-e7b74f82392a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="952" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1fbc2ed3-9ffa-47b4-9ff7-686eaa9b2e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="951" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c52abc7d-0f5c-4f63-aac0-0724045b8d12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="950" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3ea29f4d-6592-4896-b897-62fbf259be69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="949" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d933f6f-549c-4099-b9ff-b3e7e7e01146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="948" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bc1ccade-3a84-4182-b68d-d89850cdffa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="947" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-408dd50f-081c-443b-86e7-ab21a8942609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="946" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-779b2942-1c8e-4f69-8f5c-e284220b301c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="944" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-34176ccb-91ea-413b-9098-b8bfd67c5db6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="943" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d89b1db1-dd1a-4aed-b703-0eaf6628818d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="942" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-035d237f-4f26-461a-ad27-7ecbb5c63a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="941" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5e260d0-860a-46d7-9c7e-6ee881cf52b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="940" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f975f98-1a02-4137-bdea-e4d969b1f29b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="939" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e3aed268-cdc1-474a-9f7f-407f7a5ec51e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="938" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8924545d-025a-4273-87e1-a9fc8c64c23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="937" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6f3853a-f44a-4b5f-87e8-a2a52de8e7f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="936" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-129ae741-a48d-4c6d-b58a-02c742fe78aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="935" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e7dc15a-d2db-4263-aa23-90c093df8aac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="934" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ff60aa7-decf-4d79-8602-93806733f97a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="933" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e1cb2a0-349a-4eb2-ac49-b320c9e7e763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="932" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84993c61-9c06-4358-b61b-4ff6c92b9bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="931" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0e5ce238-aaa1-46a3-8c4b-2989964f8e0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="930" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3a7dc447-3980-475b-ad0d-ef4687b8662e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="929" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-857dc337-eb55-4ef4-b6bd-674f102772ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="928" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f3397a0-70a7-4a90-bfee-d69627ec6ffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="927" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed9c13d9-2f99-4797-a1b0-8e29f572985c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="926" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20edae09-b930-4a4a-87a0-1ce5c4787062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="925" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0a9fe71-ce3b-423c-b77d-658ee9340aaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="924" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2cb57916-f7d0-4e2c-95d2-4ece55aa8237-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="923" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8a1c66d4-b564-4692-ae48-6c244fa20569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="922" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9d31a8bc-2ea7-4576-890d-24d1962ed8bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="921" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d0a79d85-80d8-42c3-ae9e-15ed8a49adcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="920" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b4da00b-a4a5-4fe7-bff0-f6076e12c782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="919" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed6d7f27-5299-42b8-833d-0ba8936c06af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="918" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9878232e-cf7d-48a2-9705-abe17678a84a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="917" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c984715e-21eb-422e-bdab-fe17c9762096-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="916" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-06791930-f90e-4eab-b97b-32bfe35f1eb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1211' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="915" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-70d12664-d0e9-44b0-9657-e6f36f96a597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="914" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3ae7c31e-83cf-4f37-b09f-cdb553767f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="913" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ac818d11-21ef-4f61-8674-8bb7e6111548-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41212']" priority="912" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41212'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41212' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41212'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-50fd0a03-a8d2-48ea-b735-ddcb00ece4ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="911" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): de waarde van @code/@codeSystem MOET ''1212' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f939c037-346f-4ead-a986-de31b7e3a811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="910" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-98e97129-0cef-41b6-a842-753073afb83c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="909" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_4000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-079bf2e5-4de0-49fc-a46f-23ec02bc298c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="907" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d1edb71-bc71-4883-8683-35f3155764df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="906" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a4c42717-86ce-4164-8541-faf495b06bf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="904" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1b8a2e7c-4c22-4b37-b460-02949dc33454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="903" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3df1f16e-4463-4600-843d-bba548700c4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="902" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3d672b0-576d-40d3-89a7-e69ed6c78bfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="901" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1a80ac91-32e4-4ad4-8406-347b22aa55e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="900" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c1605046-593d-4cbf-b163-c4d06d9221fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="899" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-245404d3-ee39-42e1-8385-fb3d99b8ed3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="898" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e61f23e4-6b0e-4a86-bcfd-ce3df3b86aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="896" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-826f6b8a-a422-4d69-80f3-0891c3cbefb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="895" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8ead3b2c-9995-4f5d-b702-5a552cfa7ac7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="894" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ce2ced67-89de-40ba-8075-8f87059538d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="893" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2653113c-b588-40f9-86ce-ec179d8b3967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="892" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0ab2646-4d24-4175-a9cf-af157e443ed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="891" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-622d1e68-aad4-4d68-92d5-c19172fcdbdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="890" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-923c6520-4428-4989-8fe5-609e966a781a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="889" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-93c92b3c-596a-4a21-b9a4-95a96e564ad1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="888" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-005b5379-77e4-4609-bbb6-c570e9f08ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="887" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cd547ee7-3bbb-45b5-a2c6-01386ef3f3c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="886" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1840ba59-2252-48ea-a2d3-3989eb84381d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="885" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-33601cc4-e4ed-45b7-a25f-79cf79fc98c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="884" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e80a0e9-e21a-4b9c-9f7b-ad0ce2f9c689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="883" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b69250ba-87c7-4167-bb57-e734cc590b43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="882" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2dca6329-d323-41b5-ba06-781e4e931d56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="881" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af1e8375-ee72-4a4f-a216-e86719c1b51b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="880" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb90d65b-8cf2-494a-9997-b9bf307b5f60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="879" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1ca483a9-4082-4c59-a322-c6383902ef79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="878" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-22b336f1-a9a4-45a2-ae23-fbfe7fd8a861-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="877" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3144dec0-89e9-48de-8749-04701e022197-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="876" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f4a82281-cdde-4a88-8fd6-2751bc4dd33e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="875" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-585d6702-8764-48af-9546-70c1903922a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="874" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6885daf9-39ee-4c42-8e7e-37b687eb186e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="873" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f1f57e5-956b-451f-bc80-5fc051047d33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="872" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e659e6ef-ec4e-4dcf-b0b7-36b47ef5bc68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="871" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-57e86154-42b9-4ccb-ac77-c4913d3203e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="870" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8951811e-b35f-4009-bebf-b7feebb351f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="869" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-105ae077-f8fc-47eb-ab0e-e6717c991c64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="868" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2378e286-05b1-460a-b8d1-517ad4b5ece9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1212' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="867" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9fe7e3a9-ce9b-4803-bc6a-eb8f1ddd8b4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="866" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9ba6bc2f-c247-4d3e-9202-073fabf530af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="865" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a59d0fab-ec18-40e4-a68e-240be5593d16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41213']" priority="864" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41213'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41213' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41213'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dc5b58c8-5063-4f49-9d13-99bd762afad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="863" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): de waarde van @code/@codeSystem MOET ''1213' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-de5e13f6-a289-4557-9c5d-c9193545a1d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="862" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96a8f452-7a72-46ea-af1d-67e36862425d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="861" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6dd5d27d-8f1f-4622-aad8-c908ec771fcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="859" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-44f8678c-b30e-4461-89b3-9f1a92c02054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="858" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e6736c0-e82a-4e4f-a633-f33f2468c810-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="856" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6c9531e8-fc9f-4847-a024-2edf9964d981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="855" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59b31870-e499-40e2-bef3-3efed18347e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="854" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c214ec5a-bc16-45b4-a768-6bff5829d1c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="853" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5c3cebe2-4d8f-4dfb-b761-251e31ba5177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="852" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-89027201-7196-4996-89e8-0200a6bcacaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="851" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e1bdadac-a893-4504-96fe-86b940b37b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="850" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5913aced-6537-4f05-80b8-41da6e57caed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="848" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bde22af7-0641-4409-b9df-add5c519aeb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="847" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f350efa5-36a5-4dc6-b177-79c836a390ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="846" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-622e0a92-3677-428d-8e0f-70dea12bbfad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="845" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e0034f6-3396-46f8-9204-4e9e90c51453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="844" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0be4f77-9dd0-401c-a3ca-5e43288d531a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="843" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-845b1b29-2ffb-4067-9ed7-3d49c6dfdf0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="842" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae42a7e3-4ace-4965-9f0f-c70d6e8b4978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="841" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b323217b-d9c9-40a7-ac0e-2761ba289e7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="840" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e1257b07-d36a-4117-add0-8ba7627717c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="839" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21429434-a243-4c9d-941d-1f0574deba69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="838" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b793855c-0009-4ac0-a2aa-f0dd88985834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="837" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abcf539c-8b88-4232-90f1-a5c2407def35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="836" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10696873-0826-43a2-b283-2bd931c69d80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="835" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b54c826e-ac24-4118-858a-693c6efb7072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="834" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-be97d354-d9ef-4928-a3bd-ccc93db503c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="833" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-24b15af9-3db2-48d5-b2b3-d85a35403055-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="832" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b1e465b9-8c0c-41fe-b26a-c64fce4ccbb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="831" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7bb5f03b-85a9-43e7-8fc7-e286a9d5fca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="830" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b9dc148a-ba02-4323-8cb8-5ba428891957-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="829" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f7a1208-b32a-4c4f-8177-9d107aa2449b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="828" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f2e826a-2926-4112-9f34-860c50d4b8df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="827" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fbd46dff-8132-466b-9b84-089a0f8afd30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="826" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-04f2d456-32bf-4c8c-9309-15a732a3bc45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="825" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-00077b66-72dd-4441-bdd0-8275a4827e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="824" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-75b48f36-eb60-4a14-83ef-129d6b32d61e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="823" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc32e5f8-189c-4314-b3e7-e2c52dd25fa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="822" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bd05378-e644-492d-9951-e0da4d7332f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="821" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-121b5367-b310-49de-86ad-9725ae6f2db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="820" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-242e6bb8-bfd1-4b08-a29d-dd9182bccc50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1213' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="819" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aada89ab-2b04-4256-9525-3688f4a93714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="818" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-139dd3c8-9adc-43aa-b819-a922a6644340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="817" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-712d466c-5209-4d14-8a84-075bd0f41e11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41214']" priority="816" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41214'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41214' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41214'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-904495db-dadb-40a2-a1a8-c43eef0ecbe4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="815" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): de waarde van @code/@codeSystem MOET ''1214' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-75df774f-cfeb-49d3-85bf-501a0f056488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="814" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0bef92b-70b6-4822-ad54-ee933a62a5f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="813" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Testtoon_6000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea4ef47e-ffb9-4414-88a7-c698dc9dd135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="811" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b78cd283-28e1-46bc-aa27-df0d6789dd57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="810" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bd497c44-e7d5-469f-9d87-c3757c915e0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="808" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41f17421-7862-4dd8-bcf9-a01e76c06cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="807" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7acb0aea-ead8-435f-bf21-a8d0efaf7aa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="806" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f896d91-a64b-4eb6-abf1-ce3cc03adf7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="805" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cb329738-f22d-4b11-89b9-b8a1f726c8d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="804" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f17ce3b-4304-4f65-8e3a-7edc19d8556b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="803" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e3b9c047-c2b1-4f3a-92da-4ce878e9bd75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="802" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-624933af-d534-4011-a7f6-ccc320752606-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="800" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0d299c6-a92a-4ac3-bb72-0c556bddcfb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="799" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8c824017-c96b-451e-8127-262beb82659c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="798" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-754e34e3-3202-4a5e-83a0-e5a69dbf250b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="797" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3d8ab6de-8b9a-440d-b6dc-a500f96f7fc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="796" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b8d4ebdf-ef33-4d63-8b4a-314a6b69ff3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="795" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-da25f1f2-7e0c-4c65-aa5e-0b029baa8a76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="794" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73f31d9b-d18d-413c-8816-ed0d6b490d33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="793" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-69f3bf03-a297-4cc5-ab92-e4436da1714f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="792" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9a4606fd-114e-4abe-a38b-9c89568f109d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="791" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cf318c9b-383c-418a-a7b8-bc486a26f1d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="790" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5e3033af-4449-498c-8feb-e27cac1a1708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="789" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-feacd522-bed4-4170-8383-d25c6ec4f62a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="788" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5d3486a6-a237-4160-b6a8-5c061c814bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="787" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6447c360-8414-4699-b103-6d670128a29f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="786" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3c743da-960d-4b4a-b2e4-930a14ae7865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="785" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6f4afb40-af10-41aa-b17d-5b2f808d20a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="784" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e9121e61-6129-454b-8020-48492fce1292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="783" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-07ae0cdc-6565-42cd-a914-02d978348e4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="782" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea77d6f0-18d4-4a59-9825-79a6fb21460f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="781" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d73aad01-534e-4bcf-89eb-6f560d1612f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="780" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2a72414-1d11-4a4b-b00d-74683d44bf0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="779" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ba26f30c-4cff-404e-887f-4f2e450b8a9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="778" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-438d8256-8c5d-4e03-90cd-b74d67df8b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="777" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-df8918ef-bc8d-48de-8908-3fa3f3480976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="776" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-56b7fdb4-099f-4aa2-baca-1b726d45d9d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="775" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a7098152-adab-4cff-a64e-8769b8642733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="774" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-999be4fd-8b89-4628-8859-09ca26c3d0b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="773" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b080af70-04dc-4400-ae97-ece0d7824023-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="772" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fb74e8cb-1e4c-44f7-94b5-a48bece46a5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1214' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="771" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74ce6a5b-d5ac-4edc-bae0-5df29b52856b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="770" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0bbbebdd-7341-40a5-b036-f4d8163c82b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="769" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eda70913-984c-4094-834b-53542cb639b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40865']" priority="768" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40865'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40865' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40865'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-315b81b5-33f2-4f2c-bb54-697780b1a9cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="767" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): de waarde van @code/@codeSystem MOET ''865' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a2daa35b-2fb9-41aa-8094-06b8512c0386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="766" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_gehoorscreening): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37f5aa5f-fdad-4662-9789-4a1432adb571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="764" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-04214ad5-8311-4b88-b85c-97fa4f357cce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="763" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-df66e4b7-57eb-4d79-92e7-31bc7b1ca819-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="762" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fd536eaf-0a86-4a19-a415-a5fa7f79ca48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="761" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-be52f62c-d045-49e6-b45e-6d0a31bf9348-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="760" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c05e4dea-4763-4170-9738-19d6ccc76aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="759" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec3b909f-fae3-40b0-ac34-e376342fb40c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="758" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cc06bd82-ac48-4bcf-9df7-0b85542f50ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="757" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b7dca32-59aa-41d2-b220-eeec1e1a6d16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="756" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1d7f4ddb-619b-406b-ade1-25ba33d0c8b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="755" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e1e96d0-a012-42ac-aec0-21595c40becb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="753" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bbb13537-4002-44c6-8240-f0eaed91b94f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="752" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1a1bc74a-6852-44ac-9ff3-e9db666229c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="751" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5b41dc16-ffda-4cf1-969f-ba86d14fd39c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="750" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49f4d538-58af-4902-82c7-ef3d4b2f808d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="749" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a5d48624-dcd1-4968-80b5-11eabee06d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="748" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-66defdc3-c3a2-422b-bdfb-169a0e341839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="747" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7027712c-127b-4b82-b1cf-f9fdd69c8eba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="746" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-22fe73fc-dd61-4393-b654-68b28efa93f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="745" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1669165d-b153-413e-92aa-a1aad14d7841-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="744" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-39cf3c68-e8f2-4763-b8d4-6f26c050cd4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="743" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-433d2dfc-3fa5-4afd-992b-d85d24b74782-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="742" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e1640744-d4ce-4e21-bf0b-efa1e8db5784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="741" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8b4a815-8915-43e6-a7a6-86dc01eb0b0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="740" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-465feb7d-89c0-4e67-be93-96da014d3c80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="739" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cd1e598a-092c-4fdb-b873-f25b57f78910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="738" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-95b69943-9c32-4cff-aa87-3ee18743503b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="737" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f54f8ded-d48d-40e7-8dc8-6f09e7a83878-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="736" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad31ff70-6265-4e25-a867-12e51568693e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="735" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d8ed7d7b-1ec4-4010-9e5f-55da4eab9c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="734" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aff73b7c-3e66-49b3-9968-e3354b376ea2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="733" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2c6c4c7-12a0-43ab-8332-7267d4b52421-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="732" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f3029e6-ae47-4677-a019-76f99a8f7d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="731" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dc63e3d6-2da8-47e8-ad24-e3d7d0968415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="730" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0a1b3b0-4bbf-4aa2-922b-6a5f097ae86e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="729" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8033fde1-a3c7-4ca0-b53b-89d7dff6c014-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="728" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e388dd48-94f7-4afa-8a5c-9ae378cb12fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="727" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49615c7e-06cf-462d-80a2-3bee1daf3d0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="726" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4eee85d4-2fd4-4821-85fb-9470a7b8b441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="725" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-75589c22-b6cb-4732-9578-81e1fa166c0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='865' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="724" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5f372434-b9a5-4abe-acfd-fdd6099af623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="723" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4b911a9d-f109-474b-86c4-518c4878e158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="722" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-180aeb10-5bb4-4157-a817-93a7bdc36043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41216']" priority="721" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41216'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41216' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41216'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f699bb4-089c-40e0-b967-053ab147b662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="720" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): de waarde van @code/@codeSystem MOET ''1216' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8507f071-3286-485a-bd1c-7225294d794e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="719" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6eb5199b-e7cc-417a-a89e-441c9321ed37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="718" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-22f366ef-53ac-4ecb-bb1b-7432cb501d23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="716" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-81b46a71-2948-49ad-bca6-6fc3a277cd97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="715" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f1b6f7f-1f20-473b-a6cf-786d7c1fdd3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="713" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e24b3b0f-7c6d-4238-830b-4f041c8458b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="712" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f90899af-ca00-47a6-99b0-680d1c176a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="711" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87d3a962-ce0d-4eb6-b819-dfdb845c0964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="710" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f4ad88e6-e206-490f-a260-0f4523ab9dcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="709" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e1e90f7-110c-4d87-86dc-8686b1aabc35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="708" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74187932-01f0-4650-8b53-7bfeaa8cc5af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="707" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bef8f204-b972-4100-be03-ddde99214d0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="705" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f6d6aefe-0c82-47e1-85b5-e02ce0139f04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="704" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0cc3e3f8-0f8e-4305-b552-183ea2772a31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="703" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b87b1be4-472d-4ebe-bbd7-ee415225a3dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="702" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-32d519db-da8d-4543-849a-5599fff0c650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="701" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5ce5ed4a-9c64-4473-92f0-8b87977f7ece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="700" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-30f1f658-671d-46f5-8a2e-87bee3071847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="699" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-39c96ce2-f639-4682-a4ab-b2675e359e84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="698" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2b1b86e4-6fcc-49b3-a7cb-70fce890ef32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="697" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c27caac3-9027-4357-b647-a13e71563032-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="696" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ceafcf19-a379-4333-a6c8-3ea822915caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="695" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af69106f-a0c0-4eb0-bd47-cdab88338d7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="694" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae31eaa5-2c0f-4be5-b0c5-95ce8f903480-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="693" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cfce7e6a-a629-4678-856c-e91735530310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="692" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb39b56d-ef83-41dd-8810-27f07ec46aca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="691" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59ef4a63-7c64-465b-b603-8da2a0df61cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="690" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e59d2121-c3d0-4379-b074-6eb68c21a6e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="689" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2746781f-4c4b-493e-b18f-861e2570836f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="688" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-893f9099-f60f-42a3-a7ef-99a6a21c5552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="687" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fce2b2e4-a30e-4a3a-8057-951aa7888e23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="686" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cfec39e5-3e43-42cf-89b6-ac8047d1e08d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="685" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cb452f6a-d6f5-43fe-a986-7c6a004a3c0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="684" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e58d0baf-41fa-4944-9aa8-038bc9c9219e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="683" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1caad413-0efa-4a9e-9342-7b033ad059b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="682" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ba84ca9a-a85f-4700-b9fd-64064de86761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="681" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed1f6065-b906-4b8b-af41-ee7de2e66e67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="680" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9a4dc146-7717-42a5-a010-07fd9a0323f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="679" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20617ba8-59f2-4d87-bd0b-7bfc44c56a57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="678" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fcd11059-a31c-4923-9403-06cc5adbe042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="677" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-40adb93f-cf67-4893-babc-ff49c1adeb58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1216' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="676" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-da203bc4-d2b6-4acb-89dc-1852bbc81ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="675" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ffde2c83-7ac0-407a-8f3e-8cab4d794b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="674" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a48f82e-40ca-49a1-a117-16db745a1484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41218']" priority="673" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41218'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41218' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41218'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f1a00f3-62f3-49e8-8a31-6d779b51e9fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="672" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): de waarde van @code/@codeSystem MOET ''1218' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-626e9083-7d4b-4abe-ba8e-bd82d908b7a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="671" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-adf70957-e8c3-4983-bff6-e64845113d82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="670" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_500_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f6c936b-c0f2-4541-90be-0a580921c61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="668" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-be584876-7b0f-4ff5-809e-fb47615bec4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="667" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05c0bc2a-3226-4944-ae82-28a94d4dbb14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="665" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bef72de-64bd-4695-9e69-e52ee87e4eb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="664" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aeb62fd9-6453-47d0-ab1e-04574683536f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="663" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-409e71a5-9395-4565-b6a9-9b8c71212bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="662" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-992dc247-f224-4254-95ac-6dedaae13d98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="661" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-36c3cfb5-982f-4d4e-bb1a-daf69c9a3c2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="660" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0d6580f9-998f-414a-ada9-e044d1dba0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="659" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a69f371a-0dcd-4d23-9237-09d9d5afacdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="657" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e561960-96c4-4c68-b5b8-d95cda4bb91b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="656" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aa7e8665-ad4c-4c49-a09f-579b126229b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="655" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-503a367c-b603-4655-8deb-48f06d82addb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="654" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6ad57030-6aa6-46ce-a1b7-0841bc826626-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="653" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e8ec846c-0e4b-487b-93d3-a09531b04c0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="652" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-12a4a4b4-d979-4eb9-878b-11e65849ee96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="651" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7ddb843b-f691-4021-b3f9-2eb5ec4f7b08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="650" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c51aaaf1-88f4-49c6-b258-a20ea14dab58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="649" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0281a27-4159-48b1-b87b-262a04aa1b2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="648" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-556c4578-337e-4412-b604-ef11f04aab25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="647" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a3caa4d-7fc4-4fb4-a86b-73df9efa2575-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="646" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4a26a1a8-9c47-4784-956f-d08aaeb3f38a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="645" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a81c0dd-cfc9-468c-903f-5d549523be44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="644" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1896d97c-710f-451b-be65-ec60513445ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="643" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e344234b-436b-47a1-a4ab-c81d97ab8831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="642" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4841da8f-544e-43b4-8425-ad407bb78441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="641" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f1217a97-a3c2-469d-af10-5c703f95ca9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="640" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a65ca41b-1580-4b76-b638-db31520d45a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="639" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1d9f4f6b-71f0-40cd-821d-1c92e4437be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="638" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4472cc95-940b-4691-a95e-a68c67c756cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="637" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3c9335db-84c4-452b-b564-3efb3c4ec370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="636" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dc009456-ce7c-4876-8c59-fc34c82c7c7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="635" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fe26256-3f3b-4983-ad99-eb08335e87e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="634" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6b6d9ecb-f1f0-491f-aafc-32440378ab75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="633" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-493b1383-a767-4010-92a6-2b0571affa20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="632" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-508cb482-594a-4cf2-9a57-c66b5229ff0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="631" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f66c9db-3228-453f-926c-39be1ed2c44f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="630" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6bea69da-9721-4909-b474-1cbd5a15968e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="629" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad64bd8e-e9c0-4105-b198-fa99b6d8e86f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1218' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="628" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ef50c555-e903-4646-b2ac-ddecdd808498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="627" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e8ef1c1d-050c-46f5-be51-d2bc0c408824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="626" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2637c929-eb6a-4f9d-9fd9-1dee86faa9b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41220']" priority="625" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41220'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41220' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41220'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4916c5e5-2bca-42b1-9d8a-5c649dfc59e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="624" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): de waarde van @code/@codeSystem MOET ''1220' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a3229011-97f0-494b-bdca-f6c3ca6361a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="623" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c07ff829-78ce-4a37-8c1b-6cb43a5629de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="622" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ddd7889c-45c4-47e3-b303-41ba17f814c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="620" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-36b98e0c-b0dd-4f24-a3fb-650257c3e1f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="619" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-06946c7f-534f-49e2-a650-262a52f785f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="617" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a75ab84f-ac61-4841-93ab-1be1965adc9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="616" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc9eae7f-a0b1-4e6f-953b-afe22243bbd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="615" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c54b27dc-0aa8-4fc0-93b4-3e1aaec1ab71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="614" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b0a4f2f6-8535-4c59-baba-02132e347a74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="613" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea83d64e-afa8-4e99-a24a-0853959a9eaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="612" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c15dd0e4-268d-43ab-97df-6a911abe7a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="611" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc929623-160e-4b34-b48c-934951878989-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="609" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2449376d-301f-4076-a7d5-6bc5637e1386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="608" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c78ddb4-4d8b-4319-834f-7e023fb5272c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="607" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9782197-5ecd-47e8-a2ea-7f7a987f20d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="606" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bf2d55ed-37da-4a3b-bc61-cf84e474f4c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="605" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0ac22aa7-e31d-475f-9979-a8f47836d233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="604" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4d93b62b-31fe-4fb6-9e98-9ff514d85a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="603" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f335018-cddb-489c-b9fb-d84ec64e29e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="602" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2b6c39f1-99f0-4b8a-a099-1a4fc58372a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="601" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37f8e34a-208b-4d54-a297-a32046cad4a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="600" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2275aa80-c4bb-43d0-a506-1acb89ace555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="599" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-395bd6b8-2f07-4c5a-bb25-878014805eed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="598" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fd79e419-e958-4d36-a443-aabd4284432f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="597" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a95814a0-70f5-435d-8cb4-c9f594a683f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="596" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-35b45a13-7105-42e0-8110-80682a72ab18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="595" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-82e341f1-1582-4632-9960-7a3eeca9f6d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="594" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b732e258-bfb5-422e-bea6-77baad0f7f2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="593" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f85b5cd2-7f5e-41e7-a5fa-2226e2cb69f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="592" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d8eaaa85-0c3a-4191-bc19-195519ffd30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="591" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-06ee10d4-e8af-4c4f-a4b2-9e5fbd070f5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="590" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ff761fc8-0f5c-41b2-bbb9-34f33141a551-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="589" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8382d62-f8e0-42dd-a1e3-1275af89a44d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="588" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-10544562-62de-4ee0-99d4-6ed68f0718a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="587" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dddd2760-e480-494d-9c57-1ed9eba90513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="586" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-42174639-aaa0-45fd-82d9-608cf268ef53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="585" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c70ddd66-eb5b-434f-95ad-0534732844d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="584" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-52ba10e0-2edb-4922-89c2-639adbab48d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="583" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5cfad716-bbbd-45eb-bbda-ddecf3cddd86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="582" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-324c8f8b-514a-4774-bf69-aa1037d6c21f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="581" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7b10a64b-47e7-45c4-9906-84e3932bb358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1220' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="580" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6d8541ff-8d25-4fa3-acbf-980fbfea9afc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="579" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-77255b7f-460f-49a6-90bb-1c79e6658c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="578" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7c01b3f8-df72-4626-a326-ced9ffaba639-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41222']" priority="577" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41222'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41222' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41222'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7f3b29a1-ca5f-4440-b47a-34f08a90702b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="576" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): de waarde van @code/@codeSystem MOET ''1222' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0d6d742-6e87-44f5-8975-6777d2d78b7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="575" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4fb5c26-6f7c-46e4-8e6d-57ade2ff5e96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="574" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_1000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-910718a3-c46a-404b-9f57-25b98933bc70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="572" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2563e367-f615-41c5-95aa-e9e33d726565-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="571" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cbd2ce8d-2784-4ce6-a07e-06cc3f89729e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="569" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1750e831-7843-4b9e-9cf3-19e437b5c59d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="568" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c82709b1-56da-4d25-901e-3697ee4229bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="567" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d17b25ac-911b-4cf7-9c15-035050b41a57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="566" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-070b7d43-c0e8-4a60-90d0-67fd03dd6a0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="565" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4c696396-65e0-42b2-89f9-dd64d094d0a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="564" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9e376632-3cf1-4fac-97a1-baea722dcdd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="563" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d9d7cf04-b508-4638-8e11-4f348aacb2a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="561" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-90d05ab1-3e60-4a3a-b4ee-709c85be46cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="560" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0167b295-6354-47da-9205-36dc08986cd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="559" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a9d755bf-a85f-43b2-aab9-e723ccfe2707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="558" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-70cce2b2-99bd-4b82-b96a-fcee5c1ccf2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="557" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0a494dac-662d-4407-8294-2118946aa24e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="556" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccfe810a-508a-4dcb-a881-b44035575040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="555" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb190640-f503-4440-99bb-d7b149929a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="554" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cbf5de63-ded5-439e-94bd-a785ed77000b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="553" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-81db5d54-4295-40d5-bc86-4a46967ce45c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="552" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0b8d6693-82ba-4291-81a7-13944bce15d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="551" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20646993-963a-4fb2-bb41-a9903cd19aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="550" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-66bd8c6e-f0e6-40e4-9abe-93cb006731b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="549" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-27796078-f8eb-4c0b-9c08-79de139b899b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="548" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed35a81c-7cd1-4c26-85ec-2205883f2d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="547" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bb0b17c9-5455-40d5-a95f-26035c9f1906-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="546" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74e802f0-4f8d-4b17-8f72-fc5f3f227738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="545" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8959e67-1108-4f48-9a20-accd81cb74a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="544" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-68ccb3b2-a3fe-487b-843f-6452c86261de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="543" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c09f3603-782c-4a7f-bdf4-f5a65709e1e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="542" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-84a40f34-1863-46f5-bacf-ddb3aedbb99c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="541" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5c5150d8-638d-4cf9-8f3d-6697c4c41a4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="540" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5db52324-6a19-4a5c-bb4c-c92ce9872ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="539" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7687cd4d-799c-4118-90e9-27d195583175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="538" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96e8d97f-fc1e-4780-8bd6-322335814eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="537" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d82080cd-e787-4fb2-a9d4-7a29906ad161-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="536" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20fbf1a9-0bf1-44b4-91e5-031e093046cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="535" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-805188b5-3250-438c-a646-6bc1cd373a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="534" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-142446cf-aad5-4c18-8f35-ead355839c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="533" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cec74934-f033-43b3-ab0f-5ee1d1f8e4eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1222' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="532" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d2a3837-363f-446a-8e90-77ffd86224ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="531" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3eb50717-a11d-429f-91b2-a56c64876aaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="530" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-814e0ce8-354a-4ab7-b6a1-f5cce09bf7c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41224']" priority="529" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41224'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41224' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41224'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c12943bb-c2ff-4e6a-b041-ced6fd472979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="528" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): de waarde van @code/@codeSystem MOET ''1224' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-de535b76-a3b0-41fd-97a5-e7961d4583a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="527" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f0052e05-2883-4ade-80af-16fb63f77d5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="526" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6cb12edc-63a1-4e9a-b8eb-ad84af77c408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="524" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e66caaf0-f27d-4c8d-bb7a-a226b4b23b2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="523" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f2ba423-a569-417d-bd56-d5465de7a33f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="521" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ea69e8d4-fe40-49f8-9b20-c1f363f0360e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="520" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9c5aeec-0df0-49ff-bd8b-17209d38e683-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="519" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae241de9-0946-4999-a71a-82a07f18c87a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="518" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e233d542-ea5c-4415-858d-f0fcc30a5446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="517" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-062c0a7f-e32c-4a6c-aa5a-756a603836a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="516" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fba14180-2384-4722-8882-82d764e62a53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="515" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4231f77-1c91-4e5e-9e48-53ec5dbfd5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="513" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3bc9fd60-85e6-4fb4-a1ff-da317dcaa550-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="512" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-53872767-cebb-41c3-891d-97caa47e2c4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="511" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4c1ebdc3-4276-4428-8f8c-833d0ea08d40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="510" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-778a49d0-7b88-42fc-8551-08004be1ca7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="509" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-aeaf882c-038c-4ccb-8070-2621c25619e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="508" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dc8be650-7ba0-4913-9ac6-36b7b7dee0b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="507" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6ea52702-986f-41e3-a3b4-b596eb71c5d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="506" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2cb44d48-6576-45ab-84f5-8c189ba9ab7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="505" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-506c4b65-94c8-4c47-9481-08d7e83dbcef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="504" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c7dd5b90-6827-41d8-8cae-9f8dc4285ca4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="503" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55dbf2b5-d5b8-460c-bb8c-fe5f195b1f52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="502" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a915059b-8ae6-41f0-9590-407562f4bb87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="501" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-03ec4e19-e284-49aa-bfae-4b97a31da6f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="500" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6bb5557f-dad2-40d1-8915-148ad0d9c888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="499" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fdec378d-eef3-4154-a3f8-1dc3e9ab0164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="498" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ca64ff3c-1f88-48f0-a7cf-be935a92c189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="497" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2c1c2454-0c40-48b2-aa71-a8e3cf6c3b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="496" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5903a789-b07d-4773-b22a-40f023c73649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="495" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5264ac89-fa69-44d1-a371-378f33995ac7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="494" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a4445603-6ba9-4b58-88af-d73f3cd6c4d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="493" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-74d67812-716d-4809-bd74-b5172ec4ec58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="492" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e6e9113-cd15-4d42-8f69-96a20f9f2f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="491" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3faab49e-4d14-4816-9f88-6c7a4fff5f8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="490" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3c2131cc-3aa1-4138-b8cc-60200804d7d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="489" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae77082d-132b-4780-8681-880820171325-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="488" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9150160c-b569-4d34-8a96-414e3bdbf2f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="487" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a23e0264-7d1b-4131-b6cf-af5336e755e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="486" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a65e6a03-660a-4c12-b10e-1a27750b9a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="485" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c145c384-c426-4c87-9761-585dae929c25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1224' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="484" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1d4da8a6-bcf7-45e0-8e76-9da9bc533cba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="483" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5b441e1-2e7d-4787-824f-9ebd9a9f7230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="482" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-911329a2-86d2-4f46-889e-62bd6548c545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41226']" priority="481" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41226'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41226' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41226'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5bb3a875-3535-45f1-99fb-991ebfaba5f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="480" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): de waarde van @code/@codeSystem MOET ''1226' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a2cfa864-d611-4572-8217-828f958e68c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="479" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1afbde1c-29c6-45e5-941e-378c758a851e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="478" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_2000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05962abc-f883-4f4b-9cca-506bfb76080d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="476" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-62cc19f5-d62e-4f1d-8a6b-1e5a711a4e61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="475" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-080c4144-69d6-4d57-ab6d-227251063743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="473" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-483a724a-a891-40fa-bdbe-e828bb8353a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="472" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0efbf9e2-fc8f-43ad-8e94-62c2524e00d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="471" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec413950-68fd-4ff8-9930-8d7b2a8a2f31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="470" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4573e91f-9d14-49c9-a4ab-2879d7d365c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="469" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ce529a8d-ee51-4156-b609-7a03202eae0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="468" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2ecdbab5-fbef-4f6b-b0c5-876037472b45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="467" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bd2a913a-4be4-4b23-acdd-ed0411244942-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="465" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fa0db72b-0615-4435-a641-f4e62d5d41cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="464" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ff2c7fb3-afec-4b09-90b7-50a838f59055-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="463" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-903c8687-e7ed-4719-852c-9e513008891e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="462" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-960882cf-1df2-496a-be01-bb03fc096bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="461" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-39d56e6a-28c7-4883-86a7-ddf5951b7111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="460" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e402cac-cf11-45d0-8570-110dd8a48cf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="459" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4acd173a-80d8-47c7-9e3b-f86bb641d96d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="458" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e9bd077-7f5e-4f07-901f-63fed643588c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="457" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e654206-8797-42ff-912c-14ccf98fb7db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="456" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-03d99149-da5b-44b0-be88-c751848cd125-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="455" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-765a07dc-2ad3-45f8-9425-2d86be5e894b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="454" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-05bf5a0e-2642-4226-aea2-717b877f22d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="453" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ac7d8ab9-9088-47aa-b01f-88b62575aaf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="452" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f0c2c3b0-204a-4343-9b3a-08a83acc2e8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2bdb2d36-97dc-4840-a5ce-d6df59e0d8c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fabc7874-45db-4d06-87ae-27c6e7b281dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="449" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7bf624d7-0d14-4f5f-9fd2-cf1138e572bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="448" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9467d3e5-3f70-49f2-80e8-eec7e28e7843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="447" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-119a054a-26e0-40f3-a110-9f7eb4575295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="446" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7b15c748-eb44-45cf-9f38-2a55bbfa52f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="445" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8e432115-5d05-471c-8aa7-f3fe1d365b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="444" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bc75586-0ab0-4043-961a-9f9ad4a788b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="443" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6d37e41e-6849-4381-9611-46f60fccea36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="442" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6408cb33-d5cb-487e-8a20-f638d32fcd15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="441" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-783cd3e9-0938-43f9-af03-53271b6d7051-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="440" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d80378a3-71a8-4df9-8011-a64ac59fc3c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="439" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ba957192-be40-4e9f-8c77-692488f465f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="438" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e24cea5-ec06-4ef7-b169-bb359d494281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="437" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0829531c-54a3-4112-b1db-e8617cbf7ea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1226' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="436" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-719c71be-c2a0-4228-b664-a5ffa6591016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="435" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-88859af3-23b9-4cd4-adfd-91db176bb80f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="434" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c633e4ac-66c0-42dd-89a2-45237131021d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41228']" priority="433" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41228'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41228' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41228'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4accbd93-43a0-49a7-843d-3005fddcbd25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="432" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): de waarde van @code/@codeSystem MOET ''1228' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-82abbe51-f5bf-4bf8-b11d-6b990efec7b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="431" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4398897e-7bd6-4070-8c1b-beeacd56fa06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="430" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5112271b-986d-467a-84b3-4835f4ef89e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="428" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af94aa8c-96c7-4675-9963-eb6fa9a7ebaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="427" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6635964a-6b89-4b95-b5a6-603ef56dd889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="425" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b56c9e32-4d8a-4901-b158-d2d1aa6675cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="424" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9c3b8cbc-462f-489a-a6cc-e8169e8b0984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="423" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e30ea0df-72a1-4829-b550-569a5d32c365-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="422" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7739e4f4-a3a2-42fe-9ae3-6a73fefc9983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="421" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f68cbf72-050c-42e2-9670-9d845c913ac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="420" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e66beabe-0049-4da3-b37b-fb6beb075472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="419" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-82167c74-5a7d-4a3c-a2d8-26cf742b5497-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="417" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23ffa072-72ac-4a1f-bec4-132e7d8569a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="416" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dfe30a42-20be-4c1a-b261-9d344a3ef68a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="415" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-94f986fe-5155-4db4-a0b6-67d54d805809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="414" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2822885c-a108-4006-8ffc-a9396c15c80c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="413" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-31c52d83-d1b0-499f-8c9d-37f7828e8a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="412" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ed6b93e0-88d4-4904-95f4-09fe89c5e9e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="411" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-36ae4d61-7ea0-45de-81fb-c439887e73bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="410" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-18c6f0c0-0fe7-4a16-a88c-571a15a1fefc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="409" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c12b0f6a-a7a1-435a-8132-867003708093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="408" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-de966c21-22c5-45c2-90f3-5ae8a17d5324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="407" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a364e593-26f0-448d-bb7e-59568a8a6d6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="406" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1e494131-92da-4597-8740-5a4082b22cbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="405" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-78d53308-c8d5-42a6-8abf-2cef8e5ab73f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="404" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-21f7a1bc-d24e-4a5f-bdf6-de919c48bb57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="403" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3370b536-82b8-4f96-83b1-960c31f1dd3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="402" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7f0402c9-b5d1-4d9e-a202-aa29e6fe35fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="401" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e2625cc5-f348-4881-aff2-c0c35566e218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="400" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f631290-4676-4558-b62a-34d4b007f9d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="399" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-12046109-9c79-4a29-bd16-3371a80be5c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="398" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-457dacb4-eb1e-4750-9011-7f9360e0f9bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="397" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-02a08e00-1cb7-4850-8c93-1e57cc2fcf90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="396" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2670887d-8b95-4a84-b2d8-86570a2fa8a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="395" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7d5329c1-5bf7-45cf-b8aa-6ba67e92ebd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="394" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-349023f6-90fc-4bf6-be32-d938fa3ed7f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="393" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4caec094-7cc3-45ab-b059-76b4c7f1da60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="392" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-246d4944-d2c1-4752-8ef3-ba17e96cb28d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="391" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55c519e0-1a61-4407-9c04-c9356bcfd49c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="390" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-03e3de1e-4d84-4285-8dd2-a2cf6abf7e59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="389" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fe8b2f58-ba34-4296-a518-4d32b736913f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1228' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="388" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c2b0b353-ed64-4da2-80e7-79f52ec37603-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="387" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ca936e6b-133a-4d54-a514-082cf5b5db53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="386" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6e5af69-5f4c-4ec4-9cf8-dbd4bd4cf240-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41230']" priority="385" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41230'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41230' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41230'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-98fe73d8-8d54-4a9e-ba13-40edefcaddb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="384" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): de waarde van @code/@codeSystem MOET ''1230' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-93bdd94c-ca6f-45fb-a429-7c3bc158d647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="383" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5e45593a-ad45-4648-9ba6-b8586637b47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="382" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_3000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38170564-2758-4d13-9e72-8bc0aa821692-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="380" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1f68b6a7-d411-425a-9c8d-ecbc5f7338a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="379" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a9791c43-2f03-4a02-81d8-9d513ddd9b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="377" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4d47dac7-32a9-4681-8ef2-435d6de52e7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="376" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ca3900a6-a816-4ab2-8634-62bfca6b46c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="375" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b60b03ad-7d86-4688-9bf5-19aa136771b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="374" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bf1f282-bb94-451c-b328-61d7ffb160a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="373" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8c5d2e1b-5351-4b41-b30c-e086d483b0a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="372" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae2a4d68-93f3-4e04-b523-18d531ee1c64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="371" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1a6492cc-b1e7-4916-8701-7b04ca254172-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="369" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3e187a33-9dcc-41d5-a42c-aa3a614cda60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="368" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ffa439cc-f0dc-4bd5-8899-ff773e3e9a48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="367" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2d53956d-76d2-41b7-a0fb-9c75fc7b6647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="366" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f0064680-bd46-4ca6-918c-fcad4bad728b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="365" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-db0b8af9-3005-4ce4-b0cd-420c18c30b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="364" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d46e17ea-949b-4031-b00e-8995c6928649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="363" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b35cecb6-7cd2-4454-91f0-51e2934f083e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="362" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3eb47d5-10f2-4632-9a28-ba1a9c425f8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="361" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c15f488c-bd73-4cb9-abc1-03ca8bf7e714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="360" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9f9a08b4-eba3-43e3-bb52-3336dc4e65ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-20275ed9-8027-4537-9e2a-22c0fff271fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e7235085-ef46-4db5-b199-7b3cc13220df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e860fdd9-77c6-4f70-8089-28dce8011580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b217f10c-9811-4f81-87b5-93a4c4532911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-95983736-5a9d-4885-a2fc-0371bef3551d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f22349bc-94ba-4802-a1e1-1740c082703b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="353" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bdb23019-d638-487c-ab36-1614ffbf2e7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="352" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abe78555-b384-4454-9f71-e457d2bfa694-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="351" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-17cf8c21-e9c1-4a88-8655-b00002c7103d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="350" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0d77d36-2eab-45eb-80ed-c8cbfee33ac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="349" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-db9693f4-8781-40ac-97d0-ed55c3d68fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="348" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8417e90-513b-4d9d-bd8b-4f07594aaf53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="347" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d27e036c-b78b-4c1c-8616-f5669b045af3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="346" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-24a49161-73a3-40c5-aa58-5f59cf228560-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="345" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8f91e9fb-d1cf-493f-8e44-c26753787f72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="344" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3f923f42-74c1-420d-bdb4-fa35dc029418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="343" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a6bf358-bc7c-4df8-a3a4-cab9824050b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="342" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4acc87dd-f778-41cf-a201-5d098e68ba33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="341" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-04be8438-7d81-4959-88fd-c08aeffa75fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1230' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="340" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-45fd4d71-b70f-48f5-90ee-9cc4fdf62685-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="339" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fb02910c-e5b0-4524-bc2b-cf8d9b822472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="338" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-01b6aade-e221-44f6-a4dd-a82baafe4b80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41232']" priority="337" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41232'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41232' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41232'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-844c6f02-bd2a-42b2-a761-b200e3857a2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="336" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): de waarde van @code/@codeSystem MOET ''1232' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e4b24e8f-9c72-418f-a5ff-5eee3a93c29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="335" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a23e82ec-9003-4574-8f09-780c5bc04ecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="334" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1212cbcc-ddc6-4073-bdaf-4f1c4cf347e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="332" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a41a1e0a-c2f6-42e7-bd73-34544137b9dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="331" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ceed3ab1-e32a-497d-a945-028eb908de55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="329" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-282f81ea-9b0e-427e-9dcb-c3c820d1b055-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="328" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5e3c451-8caa-4212-aa84-e78860ff2286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="327" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2134a2ba-6aa0-4960-a53e-ea1c653d4f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="326" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6926106f-a4ef-41f0-a318-38fe045a0b62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="325" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8a3d4159-1a55-4d6d-a2e8-72dc42d222d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="324" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cf086c8f-a1c3-41dd-80c7-32f56f0396cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="323" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-37f96002-a405-4a58-ab23-82f3679de45c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="321" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eb900e92-11d9-4c77-9207-5a4e045a663e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="320" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-33c8f03e-2a79-4d5e-9514-2f00d10f8356-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="319" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a9ab6990-a53e-4899-b2e6-9d1c8f71f65b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="318" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0900c1f6-8ea4-4f6a-80d0-2061abd3c770-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="317" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a7ce0896-2561-4f5c-8790-d17a8181dbaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="316" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-175c1979-4ce6-4e69-b1f4-b2d153d5fabb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="315" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8c8728b4-c35e-4a32-8bcc-c090a547be15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="314" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4e896bbe-6e71-4022-b44c-dc7df529f452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="313" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-845e0257-7a1f-4883-b036-42ce79a9b913-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="312" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2148c438-a414-4906-b301-15075e82df37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="311" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1570a2ed-0c95-41cd-92d9-52601f59577c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="310" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a74d93c-16a6-4664-8351-c703c1f5ccb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="309" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0ad85fbd-8673-4ff9-9572-0e29e477e787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="308" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-389a3307-1b71-4a33-befc-a684be09a97c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="307" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c4440ad6-938b-4852-ab47-21275e012990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="306" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a52b52f-5e69-4890-919e-86fc23b581a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="305" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-81c70042-b7f5-4e36-b6a8-9d0c68f3c2a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="304" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c87e3803-6e0f-4219-9b1e-9b741b377b58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="303" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6d32ab17-86ea-4112-a1a2-d40965ea5d15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="302" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a2cf8232-785f-4e97-84ac-6756005f98e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="301" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cc7947fb-6773-41a1-879f-4d86d2ebdc25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="300" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-906ddd0b-c813-4b37-9823-d98693891566-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="299" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2f1e441e-402e-4fae-a722-0b05ebdfe784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="298" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-18eccbc2-5d9c-49df-bbc5-23a4d168085f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="297" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bb4122c-e2b4-4ba7-8eb0-6023804ff296-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="296" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-312745ed-f137-4292-9b79-b1660a071690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="295" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b9669af-9b43-49dd-9f5a-96ea02bd8a21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="294" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87194e8d-e844-4cc9-8222-8a6d43b42b6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="293" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-746117de-e319-4485-8b4f-04a628926679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1232' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="292" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-abb5626e-2ca4-4cb4-8697-0f5fb97c1596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="291" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ccd7aedb-91b8-443f-ac89-84465069defb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="290" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c220b177-d0a2-43f6-a023-a60c2239d7ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41234']" priority="289" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41234'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41234' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41234'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73ae6904-0dbb-4b4e-a5da-a0e13fb60d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="288" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): de waarde van @code/@codeSystem MOET ''1234' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9b335d98-4727-4fda-bf9a-6cd278ace11e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="287" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-55d69731-439d-4362-8282-6497baaba55e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="286" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_4000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4ec3253e-8ae7-4301-92e3-4b25901d21cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="284" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-63096ed9-da6a-4a96-b7a5-520aee8d3b57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="283" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-88fd6634-26d4-4d14-b798-51cba7174c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="281" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9caa1667-edf0-4b55-9347-9319a1d3389d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="280" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-714307a1-506d-479a-806d-7b431926bc8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="279" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e1e9f7be-3271-4710-b85f-a58b9cf7da2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="278" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c2c1d534-709a-4dfb-b46a-7026a7d066e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="277" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-77e0692c-8bee-40b0-a237-c9e17ef3843d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="276" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9beb5c46-4fc5-46b4-a956-c15492e27e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="275" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-049ecb52-85f4-46e6-bdfd-4e1cfab54315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="273" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1535b986-b022-43b0-95d0-5655e42a9f4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="272" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-50ad77d4-bf2b-4ba5-a021-ee7f55594057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="271" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-524a7a34-bb8b-4e23-9968-40884aca4536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="270" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-348919a1-5ecf-482c-8acd-dc7da72b80ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="269" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a513f6c8-0ecc-4ea2-b59b-f7f124f05e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="268" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0a9da34f-bb2a-4c60-9bb4-71e8a1bc1d4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="267" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-83ffa695-b510-4b81-9e4d-be38f5409a23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="266" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49525809-9ed5-4f70-9e5c-296e6803afd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cf76ee82-0efb-4c7d-8db5-8d3b874d7d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c05d986e-78ac-4e69-b505-96a491d6ba37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-92b2ec2e-2181-4eb3-a73c-15b737269cd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-73994f77-048a-47c6-8bd2-f3aa0af54102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b2c800ed-fa94-4094-9409-45df318a8d21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a789da3-3030-4bc3-a818-0d4451956887-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7965ae7a-78ca-4ece-8c55-887a90fdf320-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc95bce2-1cc9-4612-8adf-a96e9d85584e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="257" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3032db5e-033a-4ef7-b286-4f3c0ef34651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="256" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cdcc0d53-ae3d-4c82-9244-ae502c9415f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="255" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b98d663-fb80-49dc-9e13-456be934253d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="254" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38c9e626-5948-4531-a53d-73c89ec671f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="253" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4f795474-c33c-410e-a396-c88c60e7568e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="252" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a8d1173f-718c-4a5c-838d-7c031fbd9384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="251" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f5c72b6c-d98f-40a9-ac38-30c96b9807c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="250" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ebe5a31d-b035-48e9-9125-e1927572c40c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="249" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a14d0dd-feba-4852-991e-36afa6613065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="248" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a5d4f46d-39b2-447b-85b9-c0bb37186497-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="247" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c48efbb4-46d0-4b1b-a420-936681e18a15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="246" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7ded201e-9576-4241-b488-a592eb1dec89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="245" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-12b12627-2e06-48b3-bf63-b8daabc92393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="244" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-96ff3839-eb6b-449a-be10-4163be224d42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="243" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59265ecb-3a59-4f68-9452-f36f234f8650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="242" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a93ab5c4-8f40-440c-bd8f-d796392b584f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41236']" priority="241" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41236'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41236' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41236'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-228d7684-99d5-427c-8c5a-4c6a607c9a28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="240" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): de waarde van @code/@codeSystem MOET ''1236' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-69e006f3-ef6c-48a2-9972-5f7321acb0c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="239" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-349fbfa5-407e-4889-ae62-908f48171039-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="238" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-147c55ed-9f17-4e70-b93b-25a53084cacc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="236" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-452efec4-fcfa-4b31-8609-4d6f65f5e212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="235" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a04b792c-ef48-4f76-a5ae-879bd9386858-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="233" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-87ef5eae-134b-4a1a-802d-d1067f789b82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="232" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-67daa273-19d8-4959-a440-ba63c83cddcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="231" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc8613d9-4be4-4256-ae95-59a43ee1e28d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="230" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-71ae8f09-31c6-4d7c-a3c4-0cdce101b551-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="229" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ebba3dfc-ea80-4f38-ad10-38ccf06ec2dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="228" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4bb1afc6-5775-4161-bfca-0ec5e39f99ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="227" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fdaf209e-2097-4956-99a5-359dbe502de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="225" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8e7b9be2-c75b-43dd-8b8b-7cf34a462d31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="224" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-68a9519b-0a55-428c-a5b5-19fba76904ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="223" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c1c41ba1-7147-4003-bee1-cbf39c5c43eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="222" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b5b663c7-a977-46e9-9730-88e8d94164a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="221" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8472c0e0-6b5a-4dd2-a97a-36ace50c6038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="220" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a449503-6d2c-4135-8fd2-d215e5f1ed10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="219" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ec4bed7a-557f-4ac7-b369-d3881bc759a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="218" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5d602fad-06af-4817-b6a1-41fbf2d8d88f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="217" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-23db51a5-868d-4c67-8952-db95ecfe16e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="216" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6e27c8eb-0555-4a82-beec-11797339694c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="215" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-020790e9-1420-476b-90af-25ebb3577740-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="214" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9fd3e70a-fae6-4911-ac84-4c8addd208aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="213" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c7d69ff2-d8f3-4838-9cc2-9804eb015512-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="212" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4ab7f33e-4843-4db3-933a-ca228ce24787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c138b9b0-67de-409f-a9f5-be02deb21687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-9d6ef8ab-7d76-46a0-a815-3976b368b09f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="209" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c0f16ad8-18ab-4f6a-aeb4-1121a84c1f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="208" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d1e976bf-be84-4154-820c-847fb4476760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="207" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-38b3f76a-9270-4cb5-b315-55e6cfe99ae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="206" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-144de295-6549-4250-8731-aa7ac6b2ce97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="205" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-01c60c0c-fff2-4c9a-9d83-bc5152382577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="204" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-cf4cf802-5ef8-4a9a-8f48-3e35f1db9f71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="203" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-803c2103-7c85-4308-b40e-6f18e19b1fd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="202" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-07f2472f-496b-4db4-8021-38222d15f54f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="201" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-5a2e9015-8dd7-4744-83e3-fbf4481162ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="200" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0d3964dc-9e16-4cfd-b1db-9010542c8754-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="199" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a00e19d0-7f1e-4524-8de3-1ccd4bdfa20e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="198" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d01b25f6-a0a2-4a89-956f-52c70d5aa912-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="197" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-45ea8fa9-f6dd-4b34-91b5-8b0a6efd5bbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1236' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="196" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-557300c3-b262-42cf-b04e-0a09e2c67fef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="195" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-51879123-7eba-42d1-85aa-8130f8562351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="194" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:targetSiteCode is required [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fce8e084-f9ea-42dd-849a-d46b2cbec738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41238']" priority="193" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41238'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41238' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41238'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-eefdd582-f078-4211-9d12-8c854a28e700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="192" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): de waarde van @code/@codeSystem MOET ''1238' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-49a1ca26-5aef-458c-b93f-1da021d72f81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="191" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0392_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0392_HL7 W0392 Testtoon waarde (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-dc7a333d-fa11-45d4-8e7b-ac09b42f750e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="190" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Drempel_6000_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8e787187-9b52-4f36-aa81-52f3354c0c18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bbc3b44a-ed87-454b-a5fb-5a66804b01a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c9736bd3-ec88-4938-b1e1-0dd1b8cb3d12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c597ee85-df9d-44bc-8e0c-824dc131469a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fc3e2fb3-d7a4-451e-bd8d-77035452b06f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-41e212b1-251d-42fe-a354-406c245f487c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d6602d6f-80b7-458f-a6b0-c14fdd48cae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-bbb19ef3-47a8-4934-8247-d840e2aff66b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-07947532-a508-49f1-9765-8ccd6816c4a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3ff38bf7-fd67-442e-996e-6baea7e8169b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3257fb85-2827-45ab-9c2f-7a0b0ef9590c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-430d8dcf-9049-498d-b990-8024a7f48a03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-14c3ffa6-dcd7-436c-b0ce-a7574b569c63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e185d8a5-8a78-4d66-be98-0fd844392668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d3cc911e-c2e3-45ed-a90c-11dd1697f17c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4a104de-bc02-442f-b91f-e2706bdf36aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3bb74b88-15bd-449e-a1d3-8464e71e611d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-259ebb8b-7367-4e44-8882-b27c638b47ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b003f064-4e70-4fd0-92ff-3e5697a8f2a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fe925b46-94a8-450b-b434-c6ab886d32c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c43d0a02-abed-41f2-b7d4-47edd40194a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-099fb083-4c8e-40f7-8465-087c4c4b6714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4629aebc-0ab2-48b0-9802-56a6aaf2993c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-59093376-a4c8-4a32-91cf-6ba09d1bf830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c145f2fa-df14-4a0c-93fb-75750ac62c6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2a53ac54-7594-476f-9212-69e0bca72b0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7fbcb78c-af32-439c-b89e-c4a862787ab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1884af68-c49f-4657-9478-68f6e006c0e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3444b987-f6d2-4c8c-9d70-4376981a54de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-605d10aa-8495-40b9-9156-198feb3ca1bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d8703382-8e6b-47b0-9bfe-221b39c9f1ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-895bf067-4ff7-40e8-9399-bec37ea58e2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8e0dd059-8441-45ee-a3f6-a729d651515e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3e87cb5f-ecea-4276-8b4b-53a77379aafd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f81d0f81-d979-4395-8a90-b74d24e10d43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d69be630-d3e4-4bb3-8ee1-4938c6daaaf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a115ac52-1592-4038-9ee2-5678d083299a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ad0b815d-df70-4241-8907-c9ea3447199d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f8a33faf-0b49-4783-a936-61e551989409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-596f44e4-72df-4753-9275-0e8e6b503c03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0ab11238-e9ae-488d-847f-bd416678c2c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7e355cb1-b745-4581-801a-9fd567dc80d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41239']" priority="145" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41239'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41239' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41239'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a0de580b-8f29-451d-9a3c-1d6ba7c4eece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): de waarde van @code/@codeSystem MOET ''1239' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-14b66b14-e006-47cd-a5f0-e9c9f086d096-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0284_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Uitslag_drempelonderzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0284_HL7 W0284 Voldoende Onvoldoende (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c3129624-b781-4b58-b10f-e1911608f148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-c88b7fbf-9764-4fdc-b197-dea9ed6b64d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-ae4d1328-8ce6-4084-90b1-c71ef0a6e498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-8b131878-58bd-482e-a099-ec1f49e08323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e82b7892-05f3-4d83-b5dd-493c98d42fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fce67cc-1d27-4087-a870-ee21e493152b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-fd7c50d0-48b0-4c69-8f7b-4689dac5013c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4fbc7732-eb0d-42be-a7b4-7696664c1460-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2e25001d-6a45-49aa-bd61-d4a0625b538a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-d81b4708-1455-4053-b58e-c48b591aaa5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a2cd90bb-9be8-4eda-a5d0-6adc09466875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a6fbb0f3-de61-4434-9a57-d5b3ee0054c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-26231e65-2ec7-4391-8032-40080e3390db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f436e159-0390-41ce-b475-4f9026871a4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-af3d2506-9192-48b2-a7cf-fdb7a14f891f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-65eeda87-6f1f-4448-9e13-3efb36ef3748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-caa1afcb-a0ea-4a95-8ec6-54f436faadd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3055de07-780a-4a77-bb2c-9e3ca167cc65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3a4c6f85-a9c4-4964-b6e5-8122802b1752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-f84c0364-3f8b-4369-b0b5-546546970134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-057e5b07-ce5f-4369-8c09-a28698ab07a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b4fd87bd-d798-4d64-9af9-a1f5736d34c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a5844a70-59c4-47d1-bfe9-9e3891eeb660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-b23e42bf-7806-4c0c-98ff-11fd82528573-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-afce21b4-c5e7-4da1-b22d-688f607f122d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6ce9e474-f2e1-4b81-83e7-628a3653c07d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-3b4e98fa-013d-41fe-8924-9c8a398aafb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e105988a-64d0-4f3e-af9e-c0dbb5349f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-0fb01604-d24c-42d8-b23b-246ef4fe5d06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M82">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-e878c3ed-92e5-4d30-8193-58acd50db069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-71455690-fa2b-4518-b04e-93dccadba3e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-a02a8658-9ba3-4186-baf2-765537ffcc31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-7a1f0767-08b3-4a96-9716-81f1c6b0c186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6ab21737-863b-4bab-9b06-1150b970110c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-4a78e3c4-d058-4415-839e-0e06356a1c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-2ad4229d-ea08-4a8b-8db0-45c82878ea5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-6c9962d3-24f9-4d00-8720-6f9fd7b07c1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-1297a219-edc8-4e34-abc5-4cce96a16997-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M82">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-19583589-8d7e-490b-86c5-d3fad081bdcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M82">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11040.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>

	<!--RULE tmp-85766512-f057-4c2f-a6df-526db01763cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11040']/hl7:component[hl7:observation[hl7:code[@code='1239' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M82">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M82"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M82"/>
   <axsl:template match="@*|node()" priority="-2" mode="M82">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M82"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M82"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11042Rubriek 42 Van Wiechen ontwikkelingsonderzoek-->


	<!--RULE tmp-55584371-5b94-4344-880a-eeab74ec1afc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']" priority="8031" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=2"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 2x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=2<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): element hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07c2ed2a-1e15-48cc-9c08-3f4f63ebede0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']" priority="8030" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11042'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11042' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11042'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fbcd4e5-c756-41ad-9b36-83db3144997c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:code" priority="8029" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R042' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster42): de waarde van @code/@codeSystem MOET ''R042' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R042' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-037654e1-0839-4122-bd02-6f1c4eaf4a7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="8028" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61576056-f208-4e32-9ace-1d0d969b496e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="8027" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53f635ae-1fce-40a5-924d-b34e212a1c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40877']" priority="8026" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40877'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40877' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40877'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a6f388a-55cd-4107-be3f-e23bf720e3d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="8025" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): de waarde van @code/@codeSystem MOET ''877' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec321aab-c928-484e-b25c-223fede97b64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="8024" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0431_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0431_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): de waarde van @code MOET worden gekozen uit waardenlijst W0431_HL7 W0431 Gedragstoestand Van Wiechen (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gedragstoestand_Van_Wiechen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0431_HL7 W0431 Gedragstoestand Van Wiechen (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09e8de17-bc97-4195-aa0f-e6ddfed56e68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="8022" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e33d630-e175-43bc-8440-0c8f5f80a2c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="8021" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7295452b-c31a-466a-8270-e45431934fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="8020" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed3d848a-01bc-4632-991a-e1ad50b3ad89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="8019" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a045d94-158e-4fe9-b37d-48543e70b716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="8018" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eafb44b7-8a7b-4019-86f0-2fe842f9ea97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="8017" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db044625-e725-4f53-a27b-71efba4558c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="8016" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3a8808d-8f9c-4ec5-b529-c54e0e182c25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="8015" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-affdbe04-dc3c-4691-a3e4-e08dd1ea40a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="8014" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f309669-07b0-4fbd-bd4d-303c938dd97c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="8013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-477a83a3-1744-43d0-8250-84f44aa312ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="8011" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c3fb76d-58dd-4ebf-9d9d-774a0d56ea55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="8010" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4901695-5d59-48d6-9185-179ec0439bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="8009" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f05a80c-b142-4e7f-a1ae-6a2a3f602555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="8008" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88da95fb-3a11-4316-80eb-1c4f158846bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="8007" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67f1bd81-8de6-4af2-a6f3-603c39c97b73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="8006" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c970013-c6a6-4370-82e3-9e463ecf6061-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="8005" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-760c3e57-f0e3-4b16-b00b-a15ee23de6c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="8004" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10369df5-6d19-40a3-a7a1-fcac7db2e078-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="8003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c2f304f-9ded-404b-9cb2-72bdc1ebb996-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="8002" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-909163ed-14a3-4664-9479-d6bd4026d7ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="8001" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1982f5a-0df1-4a64-a26d-1635b3b39fe4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="8000" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21e3a01f-67a8-4f06-8a59-b0365ef414f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99b82ae7-792c-4a4f-b1fb-0464026c03dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7998" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5501b73-4a95-40d3-9a80-28bc4b41ed27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7997" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76899aed-4f0d-4e78-981c-26b77bffd5c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7996" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5d1080d-bb57-431d-a62d-975364e40974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7995" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48c7a681-ed7d-4b1e-90f9-ab4916c43e0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7994" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bc7374d-66ae-43b9-8890-6974d74579ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7993" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0181fdef-f305-401f-96a6-2a869bc52a58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7992" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1794adb-52a2-47fb-89ee-cedf149ac2d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7991" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a5b48f8-32e5-4ab1-a8e6-140f76d75ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7990" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13ecc348-ccc7-4fc6-88cd-5aeba0be9014-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7989" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d32c63ee-6822-4f9c-8f8f-c2d1d0aa677f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7988" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed7679da-7e94-4d08-b6ec-60318291dfbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7987" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78858333-3b23-4a7b-9794-4680f6f05db3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7986" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-914a9720-2fcc-4e77-b8ee-4b7ece1f21cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7985" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-815d2ce0-caca-4082-a597-ff4fc8957f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7984" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01fe2eca-e9c1-4fd5-8e59-138699ec3107-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7983" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c325f78-da43-4723-8d45-c4a5793f4437-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='877' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7982" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ec7c38a-ffb4-4519-9fdb-afe4b774c34b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7981" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec7a1337-0861-476e-8742-1bd47c39afb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7980" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa514575-3b7a-455c-8e98-bd24a44ceaf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40878']" priority="7979" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40878'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40878' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40878'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99c9431d-4194-4211-ab1a-825e9e572742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7978" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): de waarde van @code/@codeSystem MOET ''878' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e4f1f5c-9f85-4d85-9e42-0eaba74917ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7977" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0432_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0432_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): de waarde van @code MOET worden gekozen uit waardenlijst W0432_HL7 W0432 Interactie Van Wiechen (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Interactie_Van_Wiechen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0432_HL7 W0432 Interactie Van Wiechen (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-caa22a69-45c0-4dbc-a68e-4cdab5d60381-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7975" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8839c2bc-5a75-40f1-a6f6-fc1f17663072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7974" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96eebc7d-82f0-4a3d-9d08-42327446c746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7973" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac40fc0a-63a0-4b41-8974-2bdac93eb073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7972" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3b5e533-aeb2-4dff-8195-d45cf3293503-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7971" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8b24238-b3e0-4d25-9feb-6ffd355d67ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7970" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-766e935b-ed3a-4e67-9a91-0ea3aac462d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7969" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c53457c-b7d7-462a-900a-d9ec33192e0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7968" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4004b20-b27e-4b84-b63c-7f7f6f16a789-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7967" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27ce644e-b8ea-4b48-9707-1edd56797a8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f6a2601-acec-462a-8df5-4e94b9307f1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7964" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-242135ce-125d-4057-a06f-d17d43edba3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7963" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-030d18c3-30f9-4a84-af52-cd53930bc568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7962" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78d49f70-7c68-44c9-a718-942ee8afe7c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7961" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c05787c-c15e-4c7a-8a5d-f66739fc9524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7960" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69293685-e6b7-4785-ac2a-6ea3340142ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7959" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c96db05d-ce40-4d64-9e84-f0d2909ed363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7958" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcf24883-b23b-412e-a6de-d3f1076a4e43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7957" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbe1175f-04b7-4fb3-8e73-7b04efdb71e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7956" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92427a3b-b8be-4254-a3f0-907503d78274-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7955" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50cde321-46e9-42dc-b097-b95d612dd279-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7954" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2837447-94d3-4f58-b8a0-9542c724a3ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7953" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c37c9a70-c814-455f-8f04-91fd8a43c011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a672543-397f-4a1f-9024-0d62a5be325a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7951" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-793c7f97-f2c9-457e-8ec3-7e25f4566831-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7950" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81942bd0-3e9f-4802-98aa-229cf1478d31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7949" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6520882-a383-45c5-810f-622f24b60574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7948" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-835876b2-4104-4835-9dfc-5653173e907d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7947" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-649cac44-4b75-4a6c-b77d-5333d2db26d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7946" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5196458-7810-470e-9d04-d95710f74a01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7945" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d076c56e-23e9-45d4-80e8-2c6037662824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7944" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-288a5a4d-2d1e-4d66-b6af-58e7cab4527f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7943" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f652175e-3fed-46f5-8866-ebc1ec2cc9bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28199cfc-2989-44e5-813e-4b56616de227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7941" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0392ed9-1d6f-48e0-a75f-f16434688c0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7940" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3064a821-7071-4598-8dcc-011d723bf9a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7939" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af4c6bf1-333f-4f84-8e60-2253fc6927c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7938" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0312eb5d-fdd5-459f-8bc0-7e393367b0fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7937" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d397f452-90a6-4a34-88f3-f44715e52bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7936" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fd4cfec-6556-4467-af3b-9f6647b5db7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='878' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7935" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d45fed00-4091-4257-9e35-79e0690ab0ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7934" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13e7bf47-7e8a-437b-91ef-235ddb0a4814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7933" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9163e555-a249-43a7-b862-ee4d04f18343-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40879']" priority="7932" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40879'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40879' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40879'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5dae04dd-3778-48c9-a9c3-fc518d945154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7931" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): de waarde van @code/@codeSystem MOET ''879' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88ac090e-ce6e-4ab2-a10a-0a6a1c0eaee8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7930" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Ogen_fixeren): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3f1ba6b-b035-40b5-985c-df2c6962c7ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7928" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c53c2cd2-286b-4e1c-aa32-40aaa8ea6c2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7927" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e4a80f9-7574-4909-81e0-f896b6b244cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7926" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa9fbd9f-a8c8-4d65-b7ba-2bb3f2d371d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7925" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a84a9618-076f-47c9-b876-a82b085473ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7924" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-433309c5-e7fc-438f-bb30-9efc4cf9badd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7923" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-391cfcc9-65b5-409f-9a62-7b36d62a7c9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7922" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25726e0c-702a-4606-b1b7-4663caf4974f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7921" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b74cbc3d-824f-4da4-a513-b98da136f8dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7920" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7daa8654-d672-4255-a7c4-ae3b40bef946-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff3a149f-1c59-4e37-9043-62eb91afe8e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7917" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cecc34d6-4d29-44e2-a9d0-df4ae8bf1ae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7916" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97916af5-52a7-437a-a16c-65eb54134bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7915" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11d9483b-90b3-42f5-9be1-21e5a625d331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7914" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c0f7a60-dc3a-40fe-86fe-4779676784eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7913" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5c40acf-b24d-4e8a-a965-6f6fc5096583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7912" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ad39e64-2c2e-4af5-ab42-6c00fb09998b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7911" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42506dbf-6f20-4e94-9fae-6d7d77ce7d46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7910" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f9fcc33-4e6a-4f08-bf60-bfb50ca565e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58da1012-8314-44aa-99a8-559a643bea6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7908" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2dd940d8-f1cc-486f-ba22-3776483cca78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7907" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56784f88-19d3-43a1-be89-fdace3bfe6ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7906" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9433a50-7c57-4aa2-a33a-57db0583cd0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ba21787-c2f5-446f-a220-5d0754f19191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7904" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07b833ac-2057-4a59-803b-8cc5033f0199-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7903" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-026a6b43-83a9-4192-96e8-6b64d190bac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7902" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ba1f267-d5c2-4e23-8338-8243f71342b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7901" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb85eff6-2f37-4a0a-b222-c0dc2290b3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7900" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c671f00-63c3-407a-b323-6bbf8d4c9a7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7899" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a7bb30b-f257-4906-8237-4c110424ea9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7898" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5be3a99-7d53-4385-a117-44da4d85a339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7897" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d6e816d-d4d0-4cfb-9da2-b3d944288e60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7896" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06b60900-71c4-4142-a5e5-ea198c38ea32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-173bd285-1119-4a73-b370-549c48b0db15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7894" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc696c18-3a50-407e-a6da-ec4695d0e6c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7893" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7667cd40-a614-4a73-a8e3-e08810f4faa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7892" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6afe4204-fe93-462e-a05c-273dd1cceabf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7891" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7c0ca83-a171-439f-874d-4ddc552286e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7890" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13df339a-5f67-4375-8536-8bcdabb797d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7889" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d05d246-010a-4767-9828-52134ce5926e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='879' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7888" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8f7c35b-ca65-4ee4-930b-44ef07807da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7887" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2b69c41-f7bb-4a41-97cc-d42b8329c68c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7886" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c45da8e-b8a8-460b-945d-4b1794b4aa6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40880']" priority="7885" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40880'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40880' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40880'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ff47405-a50b-43c5-bc1d-f6cca79f27a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7884" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_1): de waarde van @code/@codeSystem MOET ''880' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7fd56bd-3c7e-40d0-937e-bd7f93a51d1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7883" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce3342ea-1260-48bb-957d-23c26d5f005a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7881" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85baa19b-4c34-4da7-b205-92fabf31fcd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7880" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5436a434-471b-49e9-9909-eeef82bdb5b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7879" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b41c654-00e7-44e1-9aa0-f3a794b0561a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7878" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-810060dc-f9dc-4c2e-87f5-146c645dff89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7877" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-187f2cf0-73e3-4483-8ae7-c106a3604735-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7876" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c59ef157-a677-4a27-a5f0-3a429fa3944c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7875" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-673829e2-55e2-4196-a1e4-47cbfc14e8bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7874" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c3bded2-9c8f-4f0e-a273-eeafbc38573c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7873" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed3de107-9f31-49d6-981d-bc75b1b9cc25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d53c21e4-9daf-421f-8dd6-ec7ba42ad10a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7870" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80556660-3727-4cd5-be1b-0724a5d88590-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-438bf5e6-8f57-49f1-99e7-904ee882f3ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7868" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d26c8526-6229-48f2-bf37-5c8c91e70a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7867" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08f51888-771f-4a1c-bfed-a92090001852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7866" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4ba1121-7749-4e79-b0c0-42b3ae0b4218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7865" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e750429e-bf49-4ee6-9429-910c5b3c29d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7864" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67c5da26-997e-497b-a3e1-a4d8c0eb1094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7863" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5a5416a-4cbf-4f75-9bfe-628071e12811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21c67cdb-637e-42a8-81c8-5450162c581c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7861" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b13b3c5-1b11-4ac7-bf32-fecc50d0816e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7860" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afc3b7d0-b3d6-4343-9ac1-1daa5637ebff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7859" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ec054e5-a395-49c7-9d35-bb59323931e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b59a8f3-2e00-4353-aee4-de488b62dbcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7857" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1b0dcb3-899b-4d00-9506-b7c70d99531b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7856" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2f048aa-7c6e-48e7-b56e-390e1353d63b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7855" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19e0b560-ca57-40a6-b966-a049294c4b68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7854" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e4eea2f-b110-4b6a-81a3-615880483507-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7853" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53a0e16e-c558-4d29-b1b9-5f06fa0a66be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7852" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2c3e5b8-7e52-4406-8501-525a8f3d62eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7851" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c64a70c-47ce-4b6f-a472-c288ef29c908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6392750-120e-4535-9b54-f6618ac4e5f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7849" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-896e65da-d86c-4e2d-aa84-4b6993b455e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba0be7f9-01da-4201-ba8c-84a49cd1b85d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7847" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-838234ae-eec2-4c48-bf0f-4cdd98574882-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7846" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51d8bb6f-28a4-4bde-9d9c-b5b65a1c0400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7845" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37d76c79-d0e9-4484-8cf0-3c571943bdf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7844" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca82f288-c0e4-468a-8b5d-b1a47248247f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7843" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a01d6bf8-e238-46d7-9075-66ff9ae56760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7842" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32342613-5608-4cb6-b7cc-461d30638264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='880' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7841" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8414750b-bcab-4b10-a041-f1fb1948fda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7840" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47c1c37b-d5ea-422b-9d6d-8f0d46c7d773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7839" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-990e8b25-9dbf-4602-af43-d46f9d43a3da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40881']" priority="7838" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40881'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40881' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40881'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43b59a71-a9b5-44d5-a941-cb07a85fbe0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7837" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): de waarde van @code/@codeSystem MOET ''881' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3be032d8-9a5f-40f1-9b2d-4c0fa5393a7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c336d2f-d632-445b-9e54-f00b3a34dd5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7835" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a40d4c35-4889-477e-b68b-22748eefbd66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7833" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99ed52c2-206f-44eb-aea1-e4087e20504f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7832" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4775d107-bb32-483a-8cc3-d151caa957c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7830" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec845d98-2dcb-4b57-bf4c-ba014bf8a82a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7829" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59a71380-673f-4ad6-839a-f4867a2464c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19e96dc2-a26b-4286-b1ad-e6bac363e7e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7827" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c49f86ab-6c8d-4b75-b5b0-0efd4be9dc4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7826" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f28ca17-6d2c-4d39-bb96-66566e76cbc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1301bcdc-95d3-4b57-9d76-8b806cd0100b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53af7bd1-4ba1-47a4-9a4b-cb9ef57d0e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7822" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a2fccf0-96b1-404b-a697-9fdcb0247c1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7821" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fb5b731-7c3b-4aad-8dab-2fb21db5e918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7820" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b8f4727-f3f9-4edd-b4f9-7a89f32bcb35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7819" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec2bb1a0-668b-4119-b822-cd2cc82c68ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7818" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3f1fb5b-03a2-4f8a-af7d-faa30457514a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7817" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7abd765c-cdda-415b-9c61-84835dcfa21e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7816" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd184e03-d186-41d1-b471-f9d1141caf3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7815" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1365262b-9003-45b8-9f99-f05c939d54ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e3d38d2-4ff5-4951-bceb-1003dd541464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eca47eee-1679-43cf-9d5e-6dcd27426896-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b877f6cb-9679-41b1-b5ea-95d2064b665e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7811" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5936c15c-fb39-4283-917e-f3fe5bedf31e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7810" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3afd9ac-1c13-45c3-a6c5-f5736268cbf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7809" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c19dfc10-0212-4c58-8575-a093317fa0c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7808" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-711728e1-cafa-42a4-ac49-d20d2b8581ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7807" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48cf31e1-8a2e-4244-a206-1000221c7acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7806" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b732a65a-b36a-4c10-98a4-b7b1cd374675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7805" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f7a7e89-79ce-4ffd-9923-63016bb28d3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7804" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f855a18e-7f7c-43d3-a243-0e69ebecd308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7803" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8fb3d28-f52a-4da1-9229-13d60b12ca59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7802" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ed7e971-b87f-47de-b791-18bd401ae904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7801" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-988f5adb-adc0-49e2-b94c-ad80b094bb5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7800" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c8c2a0f-605d-4ab6-a3aa-5388c72756e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7799" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b9b9490-7628-49b1-9a05-d72839ac53cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7798" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e71c8bfd-10a3-44c3-847e-dbf6f7254e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7797" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f98c91f6-f171-47e4-80f2-1326aa4c44ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7796" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d90e9798-c054-48c6-ba7d-da3df4c8b5f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7795" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f66334f-ce4b-4fc0-8b4a-5ad779735e3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7794" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9d0f1fe-22e2-442e-9b1c-0197a42aad8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='881' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7793" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-461fa7d9-329d-4248-9782-cfc8cc026dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7792" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fac44bc-cb76-4fb4-a476-97edd7b664cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7791" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b25a032-a399-4e0e-b6e8-1f410f1bc24e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40883']" priority="7790" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40883'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40883' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40883'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-823c79d5-58a9-4700-bf74-7866315e75ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7789" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): de waarde van @code/@codeSystem MOET ''883' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22aaacd7-f709-4664-bc30-28854d35909d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7788" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f83456f-d391-4533-8a74-a1db94d8651d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7787" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Volgt_met_ogen_en_hoofd_30-0-30_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fbfd82d-9e15-4266-8cc6-7f48c721a7da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7785" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0865c75-b6eb-4e19-92dd-9db6c585275d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-392a96bb-8c0d-480f-9dd4-7b129b57c905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7782" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74e70f11-d211-40b0-a69f-c45dd870d36d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73191ce8-e98f-4cee-a66b-6cf369e34693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7780" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a4beb31-9375-4030-9e16-4583659d7681-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7779" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-702c0946-e15a-4554-bcf3-22a2b3f2360c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7778" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1be14278-e0e2-4262-9a69-e1bbfed4d85c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b488df56-fe26-45a9-a270-255355e887a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-564265ad-3562-43ca-8a04-2b6f93e757dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7774" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9ec9e8f-6856-48b1-a27d-ed92a3ad5023-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7773" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8492ae4b-f3ca-4597-a19b-06d4454a746a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7772" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb4bcf62-9b99-4060-b97e-012aabd93aa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7771" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb89ff54-acbc-4789-aa4a-e619d2294c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7770" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33041c35-d9a7-46fe-b357-b696961c65a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7769" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0738d04-21e2-443f-b2e4-1714afe90f57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7768" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6cc110e-0f7c-4b2d-965d-56e6b85ccb81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-588ddcc8-43f5-4c8e-8bd6-80c4a3e607dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7766" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e7f0a83-72fd-4689-8c58-71d84e8942da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7765" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82f198af-6509-4ea8-9d40-ac90db20595b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7764" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63c26550-3bb7-4c44-b94a-f637e11f9f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7763" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5006d18-a31f-485c-95ca-23d8d9b9c4b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73a2ad1f-f0c1-4215-a8b6-3ef6438fb889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7761" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82f2b5b2-3ab8-4300-ac55-cb0db879c4e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7760" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab7510b8-8e1a-4cba-b250-94d4fba3953e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7759" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbbcd0d0-bb46-485f-ac7c-c22695f0191a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7758" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0eb493fc-a85a-408d-8280-8ae6d6690e09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7757" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3710284d-c760-4f16-8aa9-5b1134abd048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7756" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-836393ed-9520-4a6b-82e0-897068a263ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7755" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8aca0962-6e45-414d-880d-0cf42c820a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7754" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6a07847-e7a4-42d9-9ecf-9d37bd27b383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7753" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-816156a4-8908-4f8d-b71b-156a07402979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7752" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57a09b46-12c3-45d6-aff8-5a4018a3b583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7751" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd0bc876-d57e-4d0a-96be-be22e83dd5ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7750" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8212df46-b2e9-4ad3-ad25-f03589f7b29e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7749" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91dca7e5-d65b-4186-8305-4fb5483c52f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7748" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7839f6c7-3f9c-4702-b633-2dcf3fa3aa2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7747" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd79d2ed-f4f5-4167-a850-f0a96451881f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7746" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-968a8db9-72fa-40f6-a5ca-6f75152c06c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='883' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7745" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b87765f7-f4b4-4b59-ae79-31bc9c7a7283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7744" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3d2960e-8394-4f59-99d6-20f59d486886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7743" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd8dcaa0-340d-45c6-b722-99148d0b1238-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40882']" priority="7742" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40882'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40882' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40882'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0978d858-cca9-4881-a5b3-69849bf0868f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7741" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_2): de waarde van @code/@codeSystem MOET ''882' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b66e1433-4878-4591-b49b-0d2da9ae40e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7740" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a02636e-e0cf-4df2-8f06-7fa340710464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7738" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e17b5eac-3726-4bf4-ad7b-31a9b73a87bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7737" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a944a436-78b9-465d-a908-8d57a90d1674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7736" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27320a8a-c4da-4b1d-90d4-df8fe59fbd52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7735" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97ddd9b1-9fbb-465e-acff-48a043cc63c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e10d870-4159-4082-bb7e-571a65f3c400-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7733" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5de9ae7-71e7-44b7-b9d0-b5c62579b330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7732" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cba95ee2-6194-463a-a0be-7edc84005cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98763f59-00b0-42b1-8690-1925b0da8e8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa8e4508-169a-4536-ba0d-e149ca61d323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7729" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ddbcc6e-6c2b-4915-b8d9-4508e56beea3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdaba30d-e4b9-4937-b7a9-46070f4a32ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7726" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9092ee5-e278-4ac1-958b-c4fb265853b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7725" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26f47239-2c88-4e0b-9fe7-32461285d24c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7724" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c85e4cab-a15c-4e64-b614-3e657dc39f56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7723" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d33bf80d-4a7f-47ea-bcdc-2f6af9fa427e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7722" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60c6a707-8069-4ba3-9be2-e6a7d502870f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7721" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3a0b79d-1a96-4fae-9654-244bfe9cf75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2b2650f-d273-4e19-bdae-e59383ec551c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7719" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c042ba4-2ad4-49e3-9c4a-95cdf42289a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7718" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac641771-2831-4f45-85f9-b018e1b1cd26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4499a88a-8c21-4b28-8e87-51c82e8f8c27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7716" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1a2aa98-8054-448a-9309-c356c4a9413e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b0ffe3e-2698-49d8-b9df-44672fe93bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7714" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fecbb736-4c24-4975-bdf3-95d255a1d09d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7713" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a29c554-7532-41ff-88d6-f39be37be042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7712" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03fe847c-dfad-4e56-ae65-ef05f81a5fd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7711" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16e1236c-f2c5-4adb-886e-f34d0a0b0225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7710" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cafd6ae-8722-4d5d-87ff-1c16a8dd2e5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7709" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81a328f4-a679-467f-92b0-745fb08820cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7708" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4a01d2a-e698-45a6-a10d-b7eca87b3762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7707" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-698e2b4c-c92b-41c6-9f9c-1ec7bf2f2219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7706" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-281bf25c-ff53-4b69-ae9c-13686338ddec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7705" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd7f18cf-6aad-4a55-ad21-64747cadfc55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-663af34d-c333-4b60-8200-836dbb520fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7703" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d43ed55-5430-4093-a961-aef1778ade41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7702" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d74ab143-e27a-43e5-b6af-06405a3e9288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7701" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0cade77-0dbd-4a04-a9bb-f21013fe6668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7700" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2e6237d-6f78-4a40-abb5-0bbb49130fc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7699" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbcf2304-bcae-4141-b6e2-9f14170e1572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='882' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7698" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec3d1ceb-25f7-4caf-af48-5ed8efae046b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7697" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4efc8bf6-43ff-4dea-8f92-f47043d0b9cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7696" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af1936ef-5fb0-4387-9b63-ae03270cccd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40884']" priority="7695" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40884'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40884' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40884'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ba8e099-3009-478a-8638-443dda900c34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7694" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): de waarde van @code/@codeSystem MOET ''884' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5af478b-b290-483d-b9d5-ad7dc6d92f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7693" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-226ee8d8-baad-491f-bf82-0605199e6c79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7692" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8942bd05-f817-4787-b60b-581168480098-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7690" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-623fedba-ac3e-485d-b08a-de218dc88c29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7689" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c482854a-c478-4164-b6a0-b0dee7a4c624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5fec972-c3cb-4237-b7dc-56368f037232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7686" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2b81526-4680-41c3-88e5-ba6b1ca6fb83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7685" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c712c98a-4b59-48f0-bd64-369388a57dd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7684" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21a51230-4aec-4369-a0d2-ef48201b9c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7119f28-dac5-42c9-bd9f-2908fa58f225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7682" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-527ee6a8-073e-4b39-9e9c-945496018dbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7681" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1b60138-f114-44fa-ab95-1aba632a1246-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cce11b2-33e7-4fbc-8a3d-0cc9bbf78f3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fef1e1ef-498f-4538-9258-55d7d3bb6357-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7677" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96d25293-4ec3-4a30-b18b-9ce3218eb1ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7676" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3cd7590c-8f68-41bf-89f6-fc984b8df237-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d132dd1e-9a5e-46b7-badf-b94fd47a09ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7674" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e06d06b6-228b-4943-9a75-aa0c5c9bb65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7673" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82a9af2e-e314-4f58-ad8b-11fde449073f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7672" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de831a91-c76b-4f2d-8d56-f16830158363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7759289-7a73-4364-9fef-94ecda4295b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7670" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04a81042-b27b-477b-bf1d-06578fe341ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7669" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7961fc3-59be-4cef-9444-f4c7f8b50128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7668" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43234142-55dc-4f2f-b9ed-fb457ac830e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c206234-d95c-4c49-9a5f-694069d3b780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7666" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0c1dab9-73c5-42db-8ec0-076ca360de30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7665" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc449de6-f679-4a11-9dcc-83872aee9394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7664" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ddf4f99-6d20-4c31-8215-eaca65ea96f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7663" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-541a693a-300d-4aff-9428-f6b73b443666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7662" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c5c144c-604c-4cdc-8105-dceb1af6e463-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7661" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-239a7383-c470-49b2-9aec-159c23133709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21800a88-f1f1-4ac9-90a8-c2949914dc81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7659" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b53553f2-8d04-41ce-b41a-9e6aa7522b37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7658" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf09a9dc-4e36-4640-acce-1e6af53a4f23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db2c135f-9583-4bff-abf4-faef888dc0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb34338f-a61b-4af6-b355-9e63ff5f7e6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7655" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8d03f66-c4e1-49d5-9271-814f5d1828e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7654" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9975987b-77a2-4145-b948-44d427ab0103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7653" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a64c7ab-44a0-4798-89cf-83c1aa377b00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7652" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-144d0fa8-4d58-4c75-a320-cc6fd002707b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7651" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cee6c1bf-5c4a-4c88-9a9f-b62b46fe29aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='884' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7650" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb9d9a00-eb7f-4655-b6a8-c5520e5c0af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7649" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f338d568-8df1-47ab-8c6a-f229bb30f49b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7648" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b604e8fc-ff0e-486d-abdd-8418be301358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40885']" priority="7647" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40885'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40885' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40885'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3963694-32d9-4a89-b94a-8db624066ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7646" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): de waarde van @code/@codeSystem MOET ''885' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c9dc1e6-fe6e-406f-af43-ead6404faea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb503706-7f55-4654-a9d9-9af98151880b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7644" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Handen_af_en_toe_open_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ae248f0-103c-49bd-b2e4-412afecf8741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7642" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1effc13-1134-4ef0-aff8-2141d18046b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7641" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b8dd595-39a1-41c8-938e-98dc3b4b9994-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7639" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6db45847-48c1-4327-906f-0eec97677c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7638" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb6bd82e-8a03-4651-a1ed-9ac9eb65565f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7637" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-791de4c4-a8f8-44ff-8254-0461245ed788-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7636" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bf2c3a9-03f3-43ec-ace8-57c04cbec387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7635" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ca4b932-a874-4d47-977c-d7fda6227432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7634" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-317d0672-31d7-446f-b855-dfbbc0c3b0dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af29f9d2-b753-4a45-8e6d-718322a02f7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7631" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa734dbd-e2d0-4bd8-8fb5-56238eaa1efd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fe0f9cb-d698-43b6-b6a6-08cb49026452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7629" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fc3e8d4-ac3b-462b-b83d-dd625ffb25f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00d24264-0faf-4617-b01c-68695702caa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc3f132f-b798-4b00-8fd3-2d1ebf1c1b88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7626" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e1d9866-a78d-4d0a-bac1-5c37d9314632-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4430f7d6-d43b-43a2-98d2-bedc8b4a17c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b22e00a2-29f5-4578-88d4-ee6f6e161c51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0d63125-da5e-4b0d-80d2-125eac82cc1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7622" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b58417a2-ec6e-4db6-a1fb-de759f6fecc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7621" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25430c2a-b715-4c6b-8e13-ff01d4fa966b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7620" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68580aa4-0bc6-4e03-9b58-5a65867c850d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7619" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43c50850-4c63-4de9-8486-aa28bad0937d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7618" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04029e99-5d32-4717-b138-d8635c649b37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2d389a3-0f90-4691-9f4b-b343ebcca61e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7616" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b07f5a9c-0078-4937-9c89-237a262f074a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7615" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6315f9d4-debe-4adb-b7af-a193ba0234b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7614" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29845dc1-bf11-40ed-84a2-3e1940833aab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7613" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ab2703e-a09d-4731-8cc9-e8066f409839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7612" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f098e599-3fc4-4bcc-a56d-e36c58b49fea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7611" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d649989-019b-4acd-8743-cf1ed9cc91f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7610" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c467e951-c768-4c33-bfc5-13414cfafc51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf278433-bf1e-468f-9c71-c3e6cecdc12d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7608" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-826b2104-fad8-4e56-a418-6f0613514c40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7607" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c82e4896-aa09-4772-b4c3-8d0176f210cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7606" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fe0aa36-9f57-4140-b948-126656607bfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7605" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd3f98d0-71aa-4541-811d-62ed8a173494-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7604" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9431f02f-97f8-45b3-834a-34e6a6bd7b3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7603" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2409ac6a-dc1a-4fd8-971d-40228ea3e59f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='885' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7602" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6061fb23-118f-4586-a7cf-9be2d9ceb0f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7601" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e0d00c2-d178-401d-8a44-0aeab54e2a85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa81bb2b-eaf4-4416-91d6-0e27e77a9e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41240']" priority="7599" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41240'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41240' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41240'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23e34100-1eb0-4cfe-9fdf-9ce2e14d9b80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_3): de waarde van @code/@codeSystem MOET ''1240' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39b6d139-2867-4a6b-b900-b0d7aae135b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7597" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef805998-4dfe-43ec-bf5d-093f0a618961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7595" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95959e67-5888-4958-837a-9018f709583d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7594" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-874a2e58-1427-47ee-9216-e3097372282f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7593" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9691fb1-476e-4556-b477-8c2ca4af49d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7592" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf896566-776b-4508-aa0b-df3228d62ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7591" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3300a999-ddbe-4814-8ced-bd9b08301a3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1667865a-04e0-4c59-a483-4e31f13c7bc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7589" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad0c8f55-2e1e-4707-96ca-0d92de44165b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7588" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c0345c5-7735-40ce-b4cb-2fdd1d9113ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7587" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d9ebb9d-d53e-4a35-ac80-01c02d69220c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7586" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-509bfd1a-5026-42b6-bb3c-e816a8f739c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ac11718-77cd-4f69-8184-d54908be4d75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bf87940-8499-4d6d-a7ae-595cf99c9c4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7582" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b6eb55a-f5b9-4058-b86b-891cd5d8854a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0338885-74ac-43bd-9fce-98eb4132a116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3104222c-831e-4c82-b3cb-94e4c23428fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7579" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19bc2d15-0346-4811-981a-d65b76537f54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7578" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3cca6db7-d29a-4bca-9376-093d42fa932d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-481c8833-c039-409f-82e9-044971b88231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44ecef55-67a7-4c24-8b0a-ad29b5b165e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed8e64c1-b643-4eac-83b5-f3b3d71d80eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7574" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c19ddfc2-deb4-4797-a14d-43c529e6f891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7573" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b71d6fd-b69f-4803-936f-2778b30e1012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7572" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe904339-fec8-4ae5-99ec-5895334a3ea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7571" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52464a20-a0d0-486f-bd2f-5ac570ea87be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7570" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79ab5aeb-093e-477e-8a5d-41c5301579d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7569" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34b64430-6eef-4e9c-9b9f-868d74e677dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7568" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a96a202-8a6f-4a8f-8663-2b03d0442861-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7567" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f814b1d7-68ca-4d55-8d22-4f8f412f5766-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7566" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cc1c524-18a4-4e86-a57a-b656a8d41c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7565" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c357453-fda9-40e4-b0be-4b9500cb73f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7564" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f86a562-2f48-4949-9862-3b23dd78f200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7563" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c6065c7-74a6-4fc8-82e2-8d779d82ee16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4605b9db-db96-4e52-9808-1603b47ed21a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7561" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cfe32e5-08e5-4d15-b509-43bbcac87e6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4090cb2d-498d-46df-8888-728d5a622885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7559" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-330de505-5007-4c22-8876-63d80a80a65f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7558" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ace45cc2-ba98-422e-ae3a-3e241f81fabb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e058c2a7-1df5-439a-8fdc-0b100019e5b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7556" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f109ee1-2620-413b-9c0e-46ecab386952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7555" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e722b0a3-d834-4b42-a25d-d23202bc8b0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7554" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-922d2c00-23ea-4d7c-838c-8d5827f10f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a31d2228-898d-4c92-afdb-3c31fb68feae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40886']" priority="7552" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40886'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40886' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40886'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7701447f-a992-47bc-82a9-373b161bb403-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): de waarde van @code/@codeSystem MOET ''886' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46beafdf-6b30-4baf-9373-2eed4a901064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7550" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Kijkt_naar_eigen_handen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bafd94d-9699-47a2-a0eb-455e2e868501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7548" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ecc13aa-a38b-4012-9782-0b676d41c4e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7547" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e95fdbd1-1b28-44eb-9663-9a5fd27ac1e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7546" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f30ee12-a9bf-4d38-b884-6fb81e5d3b73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7545" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f6da83d-4ffc-4728-8425-f62f7333cba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7544" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8499a43-e128-4fe1-a66d-40a57944a21f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7e944e5-a602-45d5-94ac-9af34c486aad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7542" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1f881b3-12b1-4f9b-9920-b455bd243afa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7541" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12eedeec-db89-4fc2-b47b-3d5b1eb8ee04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7540" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed849b73-b37e-4d49-abb1-8cbe8e8250d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7539" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0d1c007-62de-475e-b6ba-be87eb8eeb66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7537" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2baa3332-2a93-4cfd-9b78-9d18af199b93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6839f2e-6fbb-4e61-9375-957c6ef49a14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7535" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6330aba4-8700-4f03-89b9-6e74c8bfe603-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-633a0fbc-8e5a-434e-b5ab-bf5e6c98ded6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3d80121-960c-44c4-9c3d-908673d6d422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7532" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed4e0591-0495-4e35-b15a-8b98d7a4fa1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7531" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-125e603f-346f-401e-8b19-c19b3d68ca0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae27e29f-7f3c-4636-8f1b-4a52d778714f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efdda86c-1545-4fd4-970f-d49055d52a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7528" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e6b331d-eb23-4255-8790-db857a371bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7527" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65e67d6e-424f-4a6a-a987-67d514830713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7526" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6f2d65c-a0f1-457d-bb73-1222bfac0476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7525" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adc263eb-496f-4bf0-8818-427b922ea30a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7524" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b66b91c5-30de-409d-b684-57419b341518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7523" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1590bd31-a188-4db6-a68c-4c5668759da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7522" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09948b01-db74-433a-abbc-b949fde83baa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7521" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8c303dd-d5da-4993-9cac-a58c2a616de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7520" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b015f6ac-933e-4946-bf9c-9f14623b08ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7519" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f0b0117-90bb-462e-a2df-dd2cc93bccb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7518" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6eb06b86-d881-4bf4-8122-d03cca23ed1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7517" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97ee556e-c3c6-4807-842a-5f19787c70bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7516" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf601851-184a-458d-b1d3-08cf30bf7dc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7515" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77289e83-5023-4f1a-a8a3-ac5ee5ced6c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7514" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64e606a8-723e-4d0c-b4ca-5e14f5c7741f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7513" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6901575-201b-45cd-886f-fe6eaa8c22c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7512" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6931bf6a-68a4-4948-a118-1db5e0262e8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7511" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e92eba0-385f-4980-b15b-32d831026f85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a05e71a4-01d5-491d-95e3-16a4dbc772e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7509" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a15986d-abb1-4111-8ac3-4827f1c48177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='886' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7508" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7df6add7-dc46-42b8-bfbd-6568ea520f25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7507" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d9acbe1-e35e-4092-ab7a-ceda844b3638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb809443-2e29-46dd-aab8-2c716165d27c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41241']" priority="7505" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41241'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41241' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41241'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fe575de-ecf5-4c70-844f-ee80995fbf83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_4): de waarde van @code/@codeSystem MOET ''1241' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6eae04b5-5b5f-4297-9630-3c0a9d7a82f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7503" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-957399f5-81e3-4cb5-9254-25498a65e310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7501" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b43accda-67e0-4303-b957-216c1ab8d780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7500" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06068620-a367-4f63-ad13-6bcb6290545c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7499" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bcf4084-519c-48ec-b065-d82260f16eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7498" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47ff209e-55d6-4c0a-82a7-64f6a660c40b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7497" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b1364fd-04af-48d8-9125-20e285568f0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-861828df-8ade-41af-af0e-066b2f794d94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7495" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38bd7a2d-404d-4e71-8b8d-47285921da53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7494" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0ddac20-f51e-4833-8502-0c96188435a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7493" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e40ec33-0d41-463d-bb6d-287a53ba573c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7492" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0410eede-60f3-476f-8e24-6ea694996c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee505060-2579-4940-82e2-821ee0b46f14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7489" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a68b2cbf-fa70-41cf-9f5e-e29fbb45db5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7488" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-161eb046-4d65-405b-9ee4-b7f2d8d62594-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7487" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7760b491-4599-4166-9151-5a724daf52c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71e9789e-7b9f-4410-9e82-6a3f3db03cd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7485" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-660f7719-bf8e-45aa-86e7-267a7ea6bfcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7484" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-718e25c7-d432-4acd-8261-825cb94658c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b0985a7-96da-4793-a947-d123335d40d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7482" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-016050d2-795b-4ab4-980c-c59dad71e617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7481" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6eafd0e7-682a-4c5e-81c4-f74bdf0fb15f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7480" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd44c8ab-4c8a-4546-aec5-2da8c4732043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7479" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53e4126f-3b32-41f2-a79a-8074c59e3049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7478" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad51ad2c-9fab-4172-8285-32d3087cc13e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7477" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d1c3864-5f81-4d4a-a07b-e7fc589ae8c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e389f03-056f-4bd7-b00b-182b10cd4c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26c19772-c3ec-4781-aef3-60aa8e8747b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7474" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f396460-b4b3-49a6-8bc7-351f61df3453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7473" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c706540-38e2-4fd1-8745-3a1d4da02bfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7472" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29824985-6692-433d-9a5d-0a593906a337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7471" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d112c86-7eee-4fb9-a241-38df6493be19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7470" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-645d7b8d-2270-4754-b208-3807de1f8148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7469" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07e1ce0d-8797-400f-b8fe-c022988f9d40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7468" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd042609-311e-44fd-87e1-f313722462d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7467" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93273c9d-8944-45bc-803b-cd6713c8960c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7466" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-123a474a-eec9-4bcc-9390-2f34feb0aa7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7465" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eff10ee6-7b5d-454d-94d0-8268405ccf3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7464" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56cdb9f6-b9aa-41f1-8e81-699f52cb361c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7463" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9de38f00-3582-4f94-9bdb-ecb37a8131e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7462" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1d1533f-8133-47dd-aa1e-e77d292d61f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1241' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7461" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b0717e8-310c-460f-bcca-c317fd5f642b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7460" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf092de4-01a7-4550-b719-c365325a89f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7459" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d997d46-ddb3-44c5-b18b-a647dde22597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40887']" priority="7458" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40887'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40887' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40887'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea64b629-f7a0-4f3c-abfb-777929e742a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7457" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): de waarde van @code/@codeSystem MOET ''887' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f036f120-5a7a-44da-8b8a-bd310e1a7048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7456" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Speelt_met_handen_middenvoor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e44929eb-18a9-4462-a203-48d9bccdd66d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7454" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92d992db-c2ed-4db0-ac19-5fff7d00c9b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7453" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4e544fb-e5e1-489d-bf81-fbf6250b5070-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7452" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1574733-42a5-4b1a-b0ff-b3dfd6f08c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7451" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b263cc69-0a83-4f45-8f4b-725a2bac66b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7450" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b9548e5-6b52-4d4d-80f7-b571089b6823-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-012be7ed-bca0-4917-9b3f-185bd3682d0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7448" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fe35399-7763-42c8-8915-af2f57755306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7447" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b765927-3d50-4bfd-b588-36bb0a341636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7446" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9d88b00-e804-4d8c-8a72-cf02daeebf6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-635e017f-4ec6-46cc-bea1-77fae3e320e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7443" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0d95e66-d730-485c-a012-86861234c881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7442" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0df0743c-fcaa-40f2-b252-3663a8f1527b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7441" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa5a60f8-446f-416d-8164-5920fa27a4b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7440" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5cfd6c4-24a0-4dbf-8278-936a220b5fa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7439" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-402d5e71-043f-472d-af1a-6bc88e9b2355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7438" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d8fcb96-507e-45b3-986e-af062ce54617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7437" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c665171-ca5c-443d-9a08-3776300b940c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fd6d1b6-c8c0-44bb-b4cb-f9a7af28e650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a7f403d-fced-4474-be6f-bc547de0812f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7434" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61d2045f-64ec-49fd-a965-fb11c3a646fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7433" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7366763e-1a60-4b49-9aa4-7047df022154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7432" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad5232f2-eafd-4a2c-bd11-cab73162d0ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7431" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76fe7155-f038-4fca-9c86-df8faee04b63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7430" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b84c14b6-f183-40a4-9406-e8e794fa090c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b217d7ab-e6d2-4067-bfce-0a78b4be1452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7428" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e5ed239-91ff-4ec9-81da-ae2dd6c69723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7427" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f49d1a3-aa81-4b77-aa02-df74df31e607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7426" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f287bcce-0c18-4a93-9c99-a9576a6480ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7425" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-482810ce-0c1f-452b-aa09-abab6e9ac4b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7424" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ae3bcfb-2f81-45d7-bebc-ed29223ba07d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7423" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e2db61e-9f1a-400c-88f1-178957e56473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7422" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a026fb78-b908-43d4-8aac-8bf369ad3fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7421" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eabbb141-c19b-46e8-8762-bf699641e19b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7420" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e645d126-8eca-4cbe-aba6-399fcff0a03b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7419" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3023454c-f083-4338-b793-6bf3cc418325-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7418" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6384419-43b6-4773-a3bc-56ace3aea47a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7417" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c524bf7-1e40-4b1b-99b9-eed575192719-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7416" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aea74919-8399-41a5-b3ff-79bae480f149-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7415" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2c0c67a-2cfc-46cc-8d07-53162dc5e5a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='887' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7414" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aae2a2aa-d51a-411b-b593-92a059f10af1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7413" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a84013cb-fb95-4fda-aeb5-e5e04e0fbaf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7412" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72c2a4db-bd8f-43a8-929a-acbc79e7eabf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41242']" priority="7411" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41242'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41242' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41242'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b6d9575-70c4-4e78-9946-9f6287fbf0a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7410" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_5): de waarde van @code/@codeSystem MOET ''1242' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7d017ef-5121-475c-9d84-8b2eb2e305bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7409" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e28eb6cc-0a06-4545-a329-caf659d3bdfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7407" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-797a7ffe-5d7d-4e57-8105-691d56b12436-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7406" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98f6baf6-7ff0-4eea-a703-aa464e512c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7405" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9d88baf-f779-48d1-b159-804341218de1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7404" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05da4352-7de8-41e8-9dd2-5f6d9b6e0f0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7403" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb21d61b-0eb8-4ec8-b2e0-590cb6f81adf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9efdee1a-9d03-4b80-a594-b50569b7d587-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7401" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28a7a09f-b11c-41e8-8373-26ed0f496fc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7400" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9c307ee-ca7a-43aa-a356-eaab831010a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7399" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65cf67f6-5f64-4de3-889a-6c8c9139b4b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b26f834-9dd7-46c5-8e99-bd0f197333ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7396" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5d1c5f8-642c-40e4-8f6f-fe7a3ea24ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7395" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dbf3ab3-30f3-4c2d-add4-75ea37c535e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7394" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0b77e66-543e-49b4-a0f6-652cdf04364f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7393" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ae52601-f067-4c1f-b5a4-ef3736c730da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7392" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b6077a4-33d0-46ac-855f-7a3b28c37c80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7391" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec3ec60e-45cd-4344-8045-cb889db26cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7390" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de98a5c9-37ee-4b4e-8b11-9598f50a1e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79e6fac1-e987-4098-a51d-79f36476d0b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e070755e-4282-4d14-ac2a-8599198b16da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7387" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af0e94c0-49bb-4379-b920-7b3bcfd86308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7386" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-207551ae-c32f-41c1-a1e0-f4a7925838b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7385" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68ead4b5-015b-482e-ab92-038fea55ff5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7384" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb462c78-543f-48f1-905c-7c9e4dcc82e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7383" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7690f3df-b3d3-4147-a5a9-2b8b8d76dc5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-027f8e0d-303f-4e55-9849-813c93a891bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7381" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ef63f1c-63e5-457a-ac5b-4dc1c7db822e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7380" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a2c3ed1-6ca4-4a65-b13d-093b3842adf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7379" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7721f52e-bd40-48dc-86d5-baa03e0f7205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7378" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05cb754e-8f42-4f64-8b99-61671df2c83b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7377" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bb8bfde-0326-445e-b43f-29b177b7faaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7376" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30f15827-7b2c-4a1b-b799-3ccd9dd2e7f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7375" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71e44afa-9b0b-49bf-919c-79344bf1258c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7374" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51fc116e-d11e-406f-86e6-10212df33b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7373" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f06b7c2-8422-46d4-85b4-cd60758b2598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7372" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83efc5ff-51a0-4295-acd2-0ad9947290c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7371" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99dd5164-bcb6-49d6-b743-777252147f7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7370" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-403e7acc-6207-4277-ba51-050401f7179e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7369" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fc0210d-cabd-411c-9f1e-42c1d63f48b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7368" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b72fafd-d0bc-429a-a431-e9df2788772f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1242' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7367" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1307f1d2-dc75-4ddf-b6f8-b2b7de78861c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7366" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8709536-c082-489d-8494-a765797c4b34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7365" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75c5c449-9848-457b-b42f-91aa10a24a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40888']" priority="7364" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40888'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40888' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40888'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f07d873-36df-4aa8-979a-ded3e475024a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7363" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): de waarde van @code/@codeSystem MOET ''888' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fce1ef77-ae57-40f8-bf1b-bd433807beb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7362" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-426d6c54-f1b3-4e3f-a425-89f099c6bbeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_re): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fb49a86-60e1-40bf-b036-9cdd085f6bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7359" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41ca4e15-8669-47f2-ad06-b75c33f61c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7358" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-285755ac-8a1b-45bd-9074-60441bbd4cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7356" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48eec671-7225-4c9f-8552-8b6638f4979f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34a011e7-6dde-409c-9dd7-f3337e1f89ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7354" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d6306a7-c62b-45db-891c-73cc66fe3f40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7353" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-163cf7f0-657a-4a48-bb2a-a36cd319ee3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7352" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e7678ec-27b1-48d0-ba62-3392fdf117c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7351" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8624f45f-a284-4884-bb5d-3353c0865273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8d5fc45-8ba2-4404-8281-8e24c78bc582-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7348" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf40b531-b86e-46d4-8df5-8272ecbe351e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7347" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58026996-79f4-4b5e-9122-d1798dff1744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7346" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cfa4b0dc-5c60-4508-a904-da2b458c2929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7345" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09e35772-5149-4833-ba37-634ab5e356b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99dba2d1-03a7-45bf-b9b4-d5ea99297e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7343" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6253fe6-302d-4e5c-a7d9-bbcebb5d4f0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7342" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e6482ed-fab3-4d30-b5e6-cfeb0ecb9aa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01bc6fc8-f6ca-435e-86fe-2942f49295d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7340" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32a791d4-c98e-45ba-8ab7-a6d01e06b118-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7339" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e73311c-62e2-4ed6-8e3d-c00326827661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7338" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec0a6704-c6cd-4bf0-aee8-a9e1614046bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7337" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d1cb5f0-663b-4e06-abc4-57f8fc8a2260-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7336" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c430abe-0bf4-4d52-b510-523db3af2bc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7335" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29e7f80b-9cba-46ad-988c-b3eac35d3521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7334" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-292c0e5e-d01d-40fd-8eda-4493d7c9ad5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7333" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48a53e16-010f-4613-9fe3-6f4618589b56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7332" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf5fe356-8b12-48d7-8b9b-25274fc9fad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55efb582-6a53-43c5-b3b9-12baee7f2ac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7330" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-133f0a46-9c32-442c-a871-0c6efdde7d13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7329" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b3c35cf-783a-4bc9-a75e-c3cc1884151c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7328" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-485328f6-58e1-4096-9a28-838b28eab616-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7327" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7298af24-75a7-4fb8-8a0c-33eb257e0635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7326" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bdb7e5c-fea3-4821-9cc3-b4e68070e044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7325" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6facc81-6aaa-459f-9197-e9babb6ae75e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7324" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3fea402-a45d-4998-81df-f81cf90b32fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7323" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb4cb657-1c56-4b20-96cc-195288148909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7322" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4dd67c1-2866-42c1-8778-8b96a8cd233b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7321" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c081dd51-17c8-4d69-afda-802e550f506f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7320" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d268195d-7368-4d20-b587-5ca41a594f6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='888' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7319" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6673818-6dad-48af-bbed-dec191b7feaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7318" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38d73660-f602-47b4-b63e-1c758260c075-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-494aaf13-9cd5-4175-a023-9eb22d4997a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40889']" priority="7316" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40889'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40889' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40889'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c1d2ca3-304a-4d9c-b33d-a17807fe0262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7315" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): de waarde van @code/@codeSystem MOET ''889' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff652ef1-e60c-490b-9f2a-af6481aaf449-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3707752c-02e2-4a06-8fc6-a2f9311c85c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7313" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Pakt_in_rugligging_voorwerp_binnen_bereik_li): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eed93988-f155-40fa-bb28-72d50c83c8b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7311" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e6daa73-50fd-4c66-b70b-e1d657401d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7310" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b311a28-a3ed-48f3-9f06-b10b43774822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7d32b3e-c6e7-447f-8753-0292ac780496-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7307" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61c87b4b-2eb5-4dd7-a84f-803d45e8fa71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a783df98-d81e-4b00-8200-a78596361ad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-170f2a8e-22b8-4d1a-ae62-86cf1e5d86bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7304" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1227f3cb-8732-4232-b6d0-4ef35f3913ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd6af67d-cae3-421d-aae3-242ba0723a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7302" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39f5147b-94fe-4394-b4e1-fc4c312b28d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7300" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d633a53d-312b-42d3-b7eb-493bf4592eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7299" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57d601cc-93d5-46ca-8b80-82e3a5654a4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7298" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3668c19a-73f8-49c6-809c-e7eaa3077fbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9f7b6ac-881e-41e1-ba28-5dc6a3b6ecef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7296" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2dde5ed7-96fc-493f-a04c-c4f6c2e2a702-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7295" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9d7c2b8-378b-4ece-9168-353d58885ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7294" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-594471d0-faed-4345-986b-7b74abffc956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7293" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbf5a251-ce13-4c43-ac91-12f30fd21492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7292" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e589b45-c3c5-46c9-8a9d-794845dc97dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7291" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8da8ca9-3da3-407a-ab4f-be04c98236a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7290" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7abe5b0-aa8c-4e2d-b71a-9bd73b5acb82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7289" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46ae49fa-c322-4ed3-b76d-6eb0b6e80637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7288" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32dd9b91-0898-433c-a08d-5f8c3fde5aa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7287" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7bb72ab-8aa3-40d7-9d99-fc6e1c6a4e18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7286" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4db7c9e6-2799-4909-b8ec-3e4e1836ebd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82961438-dcc7-42a4-9d3c-a2b53851b664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77170314-ddec-42fb-9bc7-6a1dccc78ccd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7283" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c05464ff-508f-4a2c-a2ed-81514c4b1889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7282" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f65ac4df-b894-48c5-a535-ceaf180c9531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f6ff111-60ec-4101-9eae-bda5bd5be5fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7280" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5783cab4-a287-4de0-a087-aa44e7a3c0bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7279" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcdf07a9-9fb1-449a-85da-bf4318a4ce45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7278" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8aa37a71-83d9-4341-858f-7207a78f00e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7277" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58889358-40e5-4da2-a728-6e4e8fcf9a35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7276" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46b21369-e2db-4628-ba0b-16ab56dca57f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7275" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f762de6f-9113-4a03-be2b-ecfac3e4b891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-574ca371-a4ad-44fa-9f4a-f93eeb8cd816-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7273" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e60bb989-060d-4f4a-9152-795c352ad8e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7272" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c1d6785-e957-404a-8bf6-562229c5b7ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='889' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7271" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41ba1b7f-e91e-4a40-9467-763c9cee402a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7270" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1a1844e-2d10-47c0-8ad3-ae9b6d5ccc19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7269" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c138ceb-fbf2-49fb-804a-f565bd85986b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41243']" priority="7268" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41243'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41243' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41243'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b0f25bf-a19e-43ad-85aa-3a9eba3eeb82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7267" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_6): de waarde van @code/@codeSystem MOET ''1243' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2c41399-e0bc-4bce-a21d-4ba93c2854b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7266" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a4a1660-1db9-4fa6-90f0-cd442fdd3596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7264" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9c7e20d-4f13-4898-abb0-5c56202aa5ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d73eaea-0907-4370-b340-143f9267f029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7262" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8fa8f38-256c-4e28-b372-1662a7844631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-629f0987-f4ad-4929-9585-0b2df1209b81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7260" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-518d9cb6-0817-4cab-b2a4-1f6ea056339f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7259" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88f40a29-e6ae-400f-b832-cd49be1f22a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7258" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c58471a2-6c49-4da4-8710-ec45750bf59c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7257" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-892b5b34-16d8-43cf-bd50-8904114a19c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d1e1c4a-665e-4547-a296-33e2119275dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7255" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8be20005-5696-461a-bbff-8abeda87bd34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7253" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab1a4628-af98-4219-bde4-adfbc0b39a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7252" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efe679f9-c237-4f98-938c-4cf58ef27d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7251" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f6ee4a3-1316-4832-aa31-3e4249b378d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66c6fdcc-370e-4b47-8b1d-f587a64afa29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7249" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0465ccc-6cfe-41da-b5b4-10fde134d9d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7248" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69b7db41-e9ca-499a-b33f-236bf0f9f306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7247" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d697330-a355-41df-b85f-622d4a33fba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7246" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02a60cdf-1208-4661-ae7e-a7f8520b79b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7245" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea214180-92f2-4eee-9c87-c051034f1a05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7244" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dab65f19-2de6-475e-b3be-43fc4995468c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7243" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c83f2787-b4bf-4487-894f-b399009d0db8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7242" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51627b1f-39e2-4aab-a155-91bdeb399f64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2924f3c1-76ce-4d16-8b78-63d11364e690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca9fb1a7-b3bf-4b1b-b970-26d8f4021078-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7239" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85803778-1720-44ec-be39-6530c1776f92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7238" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-befe5810-287a-4bf0-957a-04d0144da568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7237" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb96af26-da7e-4568-9304-3ed1af23a8df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7236" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9038b893-6411-4139-822c-7f4395824404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7235" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c177c06-7f1b-4523-9aee-12e1a5e4c084-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7234" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45768302-caf9-4ef0-b232-5323be0ab190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7233" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-612841bd-e305-48fd-be7a-00ee5965eb2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7232" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2d0f55e-f4c6-4574-ac22-51ade2c52b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7231" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1af21adf-1137-4aea-88a4-516b458a10b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7230" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53d507bf-e5a7-4409-9fd7-5b13d2ea2d3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7229" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31d71406-5416-4d0a-9c88-592e0aeadb59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7228" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc829149-36ef-46f9-9ce3-54f7f59d6c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a39258c4-740e-4629-9965-b0e3dfc35a0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7226" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9ee95de-f5c6-41dd-96cd-e3ceccc5846c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7225" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9abd0cd9-e847-4cef-951b-a8c7dff6bf7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1243' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7224" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4ac8fe8-e618-4860-94c9-6ed2847d3c10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7223" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b50d52f-2c26-4081-83c4-319e644189ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7222" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd283d4a-a0c6-466a-80f4-e7c6187b7124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40890']" priority="7221" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40890'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40890' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40890'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b5f1733-a27e-4e58-8109-8020dad6a461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7220" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): de waarde van @code/@codeSystem MOET ''890' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de601c37-53e0-49ce-89b8-9af5b413ecb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7219" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Pakt_blokje_over): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09326bf6-2ead-4ee2-a3d0-c05689374de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7217" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea28c551-6b62-42c9-9de8-f571c8deb38d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7216" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9499e846-7a6b-4bbc-80af-7ba34faf86a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7215" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5dd18cc1-11ab-4b8e-aff6-0af520d9ec86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db89b922-237a-4860-855c-3ea2a9f49d92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7213" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09f8c0b9-61ff-4dc2-9933-1ac60ac5f7c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7212" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2910212e-8a72-4e8e-8ad4-b5f2c9581b9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94ce6d2c-4001-45f9-98c0-5a4c633197f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7210" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d6353c1-18d3-46b9-9c54-780762b416e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ae19406-ed37-4b27-aa1f-522638eac5e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7208" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-622618b6-4e66-400f-8eb8-880c94af50ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7206" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9209e296-499b-49f4-898f-5155b8a6daae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7205" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04c3ca34-cc75-42cc-8291-1f46e7ac319a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7204" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a872cb6-6916-422d-9d18-2390c3f87659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb8b4ca1-8147-47d9-87b6-bebb1f0725f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7202" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efaf302b-44aa-42a7-852c-1cdf0b5c9ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7201" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f81d9323-d2c6-42f9-b61f-ad2f47268351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7200" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4efb0d26-8871-4adc-bb10-3c0f855f081d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7199" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80fadcc4-6269-4685-abee-6c90a3a6229b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7198" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35eac222-0b03-4410-b286-9037e68097a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7197" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15a6fa53-6691-4ee5-befc-e352f219ffd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7196" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bee29bd0-1560-438c-873b-26ebef6eb35d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7195" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5de6e6a5-5139-4539-8fc1-1fc475f1e65c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7194" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9440339-a63a-4903-bb79-4fa0d3334f5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7193" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e56b7f93-cae8-4687-8ad2-4e5b41d9dc96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7192" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9647740f-213c-462f-a745-28041ac4dfa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7191" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-000126c5-bf96-4530-82e3-a1a49a9236f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92f30b8e-3e69-48c0-8f76-f9afad6bf05a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7189" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83042ff6-9fa7-4d02-9629-ef616e0b849b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7188" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd3d28e0-b06e-4f3b-8a52-f5be656ee4c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7187" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcaf5390-90e1-43d8-a299-2092d38b0b59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7186" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d332ba10-d3cb-41ab-9e89-ca5e41448280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7185" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58698e74-ffbd-4f77-a3c5-642661b114f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7184" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba19ce39-cb5c-45b7-af6b-94a3066fec00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7183" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29008568-266c-489f-8495-5bf2dff5c508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7182" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57afa5a1-b1c6-4b72-a98f-e8a71389b7a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7181" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bdfac21-08ce-4a2a-bbd9-3807b10eb0c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6dc9c02b-fa9f-4291-80a3-685231fddf0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7179" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2750e34f-b495-4de1-9217-82fb75558c6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7178" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21a217b1-1402-479f-a3f0-1750136dd557-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='890' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7177" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10a1b79a-1bd9-4300-ba8e-8ed83027c535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e60a91ab-fe80-4aa2-b0ba-61f5e06af2f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7175" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7b1e330-6973-43ba-bd62-3a29cea35c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41244']" priority="7174" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41244'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41244' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41244'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf7da4e6-61b5-40df-8ad0-113cfab75a5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7173" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_7): de waarde van @code/@codeSystem MOET ''1244' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ba99a4d-a09a-493d-b1bb-485f414526f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7172" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47efd630-5f25-49a6-8340-6542fe665359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7170" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1aee41d0-97ca-4796-9319-3696d3eb2450-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0cd419d-c742-4908-b8f9-17b7d4859875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7168" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e900072-7ea6-4c0c-8add-469e68204630-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1002df3b-e772-4d49-870d-a0efd6d70e33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7166" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-981cbb0e-1ec8-4620-8827-67e06ccc75df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7165" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1614c8c2-e15e-4b04-906c-19daec1cd9ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2596898b-3139-4e2b-84af-20d363dd78b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7163" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16088f08-6c53-4558-a9ac-8c35eef89d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca2d49f9-58a6-4407-a711-1ef34302869c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7161" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7140923f-18fc-475d-bb81-7405a24983ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7159" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a4d45de-fd8d-4189-b98d-41c8e6d14d64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7158" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5af354c3-d907-4a49-bc6d-8274aeac3a6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7157" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e41a38e-83eb-4544-97f6-5e97053b1537-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d227c91-a531-4bc7-ba4a-fa8ddcfda5c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7155" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39adcb65-053a-42ce-b20a-bd937d7287ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7154" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bdb8584-fcd2-4663-970d-33f456056f0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7153" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c9b3429-585f-4d89-8ca3-d3440bf7694b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7152" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a07f9da-1cf0-4415-86de-dda80223e4d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7151" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41ddaafa-4b3a-4c0f-8973-6fea3a69aa4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7150" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3eb4fdc9-cbf3-4234-99f0-90ab4fe5252b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7149" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-646f789b-2d97-4e60-912d-94ce516ba58f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7148" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bf693ae-cbf8-4719-8813-f71dacd68335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7147" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f339d642-b0c8-47ed-bdc2-3f701c32934b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7146" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2303561d-438f-497d-bd6e-c13ecd9590ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7145" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c3d42d6-2d60-40fe-b94b-4776e38277c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7144" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcbb1720-8075-4dc6-8d09-37efcd28408f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-949d9b6f-9d62-4d69-9d39-a1c2b15bc110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7142" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87e47f4b-fdbd-4a88-90eb-9bf37663d421-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7141" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c84c0163-9de4-4ab9-8715-13a7ceb1b040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7140" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19ee4834-4278-4f66-a4fb-3d1b5c615213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7139" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87a2ce40-25a0-484b-b95b-c8e46a699a7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7138" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b72979cc-4d6c-4fe4-893a-9cffc7a33da4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7137" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cf137b9-faa5-498a-9456-0d4a570d1402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7136" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d35e8a8-9a08-4726-9fdd-458ea02928f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7135" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f910cd6-5ff7-4b28-8460-6ce40344fa60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7134" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1a9917f-da96-4f41-b359-69c965fad13d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55b1872a-702c-4200-a337-7773143a808f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7132" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a84ed673-4c8c-4cea-917b-3a7abd6bba4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7131" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1fd3d3a-55d1-431d-b77b-f8db7db6207a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1244' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7130" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d6c1431-3894-40ab-94ad-ae7b6385b2bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b0cbda7-008a-45d5-a635-5438dab9ccc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7128" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-318ca01d-7bbc-486e-9b93-ad869759414b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40891']" priority="7127" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40891'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40891' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40891'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bfeb1133-cd52-47e4-8b5a-ed189b002851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7126" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): de waarde van @code/@codeSystem MOET ''891' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ad65dac-4898-4439-aa07-4e616175e07e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7125" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Houdt_blokje_vast_pakt_er_nog_een_in_andere_): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d41c05be-a1d7-4eda-a9d0-497d6e5babbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7123" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54790b02-3e60-45cc-a3af-895e1b1bbdbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64cb48f6-8273-4ead-a351-97b0dd9a2423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7121" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-354fbe03-28c4-4f30-b7e0-bb8bd7287872-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67bc3c68-7cbc-4778-9f93-c0d2a6290505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7119" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b26a2f2-0941-49c5-ab15-d9e447cd4ccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7118" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b268435-68c6-460f-a0cc-dcb16b0cb2f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28039fbb-e83e-4cd3-8733-4aebeccafc68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7116" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2063a0c-4fbe-41d7-8aef-9e57b073014b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79136b7d-a42f-4670-926c-816e76d39905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7114" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ec0d65f-c017-48df-be2b-c6bb0301db92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7112" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22f92146-f288-40f2-bbd6-795bdc543257-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7111" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ca457d1-7769-42bf-b446-efd00073b49d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7110" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d24ea5cc-e9b8-4bc3-b7d0-23c0b6304138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-443b63ab-1f81-4ed9-a122-76472552b6e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7108" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a261015-b8b6-44c5-a3e1-e16878a3a384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7107" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-640b3238-4deb-47e1-b7dc-9ea89255bf8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7106" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f964ad9-4394-4931-b2e5-bb911b58e2ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7105" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2500a767-9df0-439d-b478-ccbe78d5d8cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7104" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ad09f53-e0da-4fc2-955d-3d6667e7c1ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7103" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a6d0f09-45ec-470a-afb0-40e0af884386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7102" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59a15044-5cb3-4e83-8f5c-e62fa33ffe9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7101" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18f0ed11-5321-45e2-bf68-719cd4e15fbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7100" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50730ffc-d632-4087-ad3d-539032634773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7099" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7dacb90-1251-485c-94ac-7ed5368081cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7098" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6415d8d0-21e4-42ed-8ed1-fbea412bb00e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7097" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d09a08b4-2818-4318-8a4e-f8bfd8e49433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7205942c-52e2-497b-9759-6c9b634f885d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7095" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d246c8f2-ec8e-4f08-8689-cc862cd89461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7094" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38c624ee-01cd-4c82-9326-2c4b20260940-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7093" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d978d61c-b06c-4ce4-9cc1-c2363ed884b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7092" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e6ca24e-dbc9-4b01-b9e4-5cd4315fc052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7091" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4413724e-36d0-4719-83e3-dd35b2ecc6f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7090" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf07c2b2-cde4-4714-98f3-e867485fa22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7089" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-689a4c01-8927-4949-843d-71974dff17b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7088" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4544f37-0098-4d72-af6e-c8a4817d7f47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7087" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78a46718-7a10-4baf-adf9-e55b115e237c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7086" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-463bf101-0f36-4951-a8b1-3f7c528bcff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7085" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-377e026b-9e7d-482f-aff4-cbc17fca40bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7084" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59d5897b-3aad-4d37-9a3c-b59b920de368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='891' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7083" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12e17938-1cd0-439e-aa94-4a1c0be7dda6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7082" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7d27a7c-a258-47e6-bd55-96e758913580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7081" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c5b9a6a-4a97-44d4-8ad4-a355368f21d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41245']" priority="7080" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41245'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41245' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41245'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a6b3c22-f87b-49b6-8425-342934b95734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7079" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_8): de waarde van @code/@codeSystem MOET ''1245' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18ed133f-393c-4858-a068-4fcba45081f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7078" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf2705cd-142e-47b2-81cb-f6d6a65a1d99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7076" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86f7e753-bd16-4321-bad6-9c7065f63433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04e5f2cb-ca73-4bd1-82ff-c6677126cd76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7074" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc32be3d-c4de-4a9c-aff7-40bcb636690b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-544e2f0d-f22c-4db9-8639-6821dbacd745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7072" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab9c2702-cd88-4b52-97c4-c0198e1a8ec8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7071" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7677d67-74d2-4d66-a9a0-3f31715bb992-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7070" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85da282f-fabf-49dd-9255-86d1a51fa2e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7069" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9df63d2b-4e69-42b4-b878-a44b16777405-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7068" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db24540d-b7ef-41bc-9cfe-d50dee4aea94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7067" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-837da968-9d59-451b-8a53-9bee5efc639b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7065" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb3cad34-a1f5-4066-8516-207ffc6ae177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7064" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7be6b5d6-d7f0-4494-9d40-5dd2aef154e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7063" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bcbb7af-167d-4651-990d-867cfb2d6ebe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7062" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca9e018c-cadf-4a79-8ede-2e460e2e8d72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7061" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-939b859a-4fcb-43d6-942d-3018af0d8ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7060" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-226145b6-c4a5-4f9b-a652-10b7a5e096c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7059" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1e540a4-12f4-47ad-a9c1-e575e48acc1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7058" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df83300b-7ebc-4f43-8279-af73af3f6374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7057" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-259076a9-f994-46ff-adda-647d155939a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7056" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28013ee0-1b39-4d0c-8153-47823cb59209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7055" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb5191fb-6e7e-4f3d-9fbc-e46289b7d892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7054" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d859f960-b24c-4449-8102-64b0edf8200c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7053" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75602d7b-e211-4fa6-b8a2-242a577ab48e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7052" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af737a3c-5071-44db-9abc-cbb53f4132ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7051" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6bfff7e-ca54-49ac-8c02-a8bfee772a3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7050" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8034a5b-3ad0-4c5c-8dfd-6e17af38d5cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-844084d0-173b-48a8-bba2-3c23de16e081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7048" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14478826-860c-4d71-8b90-d512e53a3eac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="7047" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6cd952a-9221-4304-8923-9b2b292d01da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="7046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5af842ff-030b-4d2e-9f02-e168ecf2c1a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="7045" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b57506a-ab7d-4805-a532-05817769e1f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="7044" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49173204-d145-47ef-af98-4844df25155f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="7043" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-871aba6a-b8ed-4549-baa9-1d263dd5d46f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="7042" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45370b7a-5d28-48f2-a9af-261980785538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="7041" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2abbee0f-d1a0-4e84-819d-98f9161eb6df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="7040" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89d500d0-dca1-4c7f-b10a-83f850fe6c73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="7039" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d635636-933a-4aad-9a7f-2ebe442d2ebc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="7038" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e52ad8c-bdde-4ab5-8201-4fd5860e3799-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="7037" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc81e130-90ce-47c2-a233-dbcd39cd3564-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="7036" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c72be96a-7606-43c6-82cd-5cb4cbcc9bc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7035" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7bd7f6a-1df8-4c9e-b6c1-a18d577d7087-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="7034" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01b2dbc7-1c13-4974-a63c-0deb4356e628-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40892']" priority="7033" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40892'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40892' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40892'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e074c681-5dc9-4d41-8098-304a35118265-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="7032" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): de waarde van @code/@codeSystem MOET ''892' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-324570c2-717a-4b9a-b206-d691caed3230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="7031" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8939870b-cef9-4484-8f4b-654df3a82362-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="7030" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a0fabee-bc54-4fa2-8360-4e6f7da6df6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="7028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e81b2aa-6c12-4eca-880f-96d015be46f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="7027" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65b2792d-b868-4e35-9070-a61d9f07241a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="7025" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5500fcf5-e55b-4cf0-97b4-1a3f4980399a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="7024" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0d5592a-f82f-41ee-995e-dc68b1305f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="7023" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a561721-d246-4dc0-adfa-a3386eef11ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="7022" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d8accaa-8f95-4447-a6cf-c29726ba8cec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="7021" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4a96775-40ca-40e2-a4c2-f9e7bebc995e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="7020" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b7eba81-484a-41d3-b067-3d01b5d0531e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="7019" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b47e92f-3f7d-455a-b0e1-9ca009c540e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="7017" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-012682d8-bedb-42a8-ab4d-2aa93726f98c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="7016" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cec11656-0689-4eea-a97a-aac2aedf67c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="7015" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c174952f-8a2f-47de-98e0-1deb886de241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="7014" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4d33b83-4b82-4f0a-b761-de4b2d5c5134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="7013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-733ee145-047f-47c1-ad2d-c26b8c2f6dc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="7012" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-992e54f5-37f8-485d-89f8-d7e4137682a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="7011" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b09a1f7-5028-4666-93db-90e42f3f5718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="7010" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cb9aa2f-59f6-4cc2-8322-564b278956dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7009" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1fc13ae-4f3f-40ab-817f-8356d9ad6478-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7008" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d2b8400-3f2d-4e01-ad6a-4e388c40efa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7007" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d848b696-a22e-4f3f-a901-4066fd69b3e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7006" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3e78894-53cb-4860-90f1-8ccf296e8828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7005" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7f8ed69-5252-4fa1-b2dc-9bd8ebd24dc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7004" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-813c68c0-3084-4615-aba9-5421dbae0905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="7003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3236fac1-e2fa-4ce3-9ad4-a847729cd379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="7002" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa1d5daf-1884-4a49-9ea0-c3d4c548490c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="7001" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b65ae2c1-e20b-41b0-9fcd-e109b05b35bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="7000" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed0c20da-c4a4-4b9f-a93c-6e95ad13fca0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6999" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-379ff2fb-3cb1-4adf-b655-c1885186c531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6998" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ba60329-63ed-4145-8dda-b748d7c7a001-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6997" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e680a5a2-45d8-45c8-9053-8443eaf78288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6996" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6dc8c94-56e1-439b-aa83-88ac954bbfd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6995" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab201d20-f99a-40c9-b185-9e99611105b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6994" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da58b536-9d9b-45b5-b290-2e3196fa9c96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6993" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dc6648b-c63a-4303-871b-2b24b2891765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6992" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23f5e8cb-d073-45c7-82ec-ce41b0f97ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6991" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-695e88b8-e94a-4a14-87d8-30cc62d4a483-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6990" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bc70796-7d4b-4ffb-bd92-41c5c5ff2c76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6989" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61f90b3d-ca32-470a-8f65-10d79ce9480a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='892' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6988" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16dab5a0-3237-416d-8838-c7a277dec57b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6987" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee59ef0d-64f6-4dc0-bc8e-852a78ebc76c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6986" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f9e2ec2-830c-4992-afbe-4ca8807d84da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40893']" priority="6985" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40893'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40893' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40893'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50f79098-95a2-45d0-9513-bd9456feeee5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6984" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): de waarde van @code/@codeSystem MOET ''893' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4dd93efc-3856-4a15-802d-70a92c073b74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6983" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb437ecc-8c3d-4e70-9d07-b3a6da9104d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6982" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Speelt_met_beide_voeten_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb4d6b18-d843-4687-9f82-d6016d627a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6980" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ff03365-0c26-42b6-93ec-abf5c13047f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6979" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e24f289-640a-4cbd-8b53-8ef7e9518f0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6977" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb60d807-3da9-4e32-ba64-25fb69975477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6976" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d677be1e-14cb-43d1-b56b-66c35ac75727-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6975" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd1aa2d7-6b45-4e85-9faf-5e69217e3291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6974" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee0b6474-a7b3-4260-b4f1-6254855617fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6973" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-403c34a0-028b-4d26-9428-c9931a9a132f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6972" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-430610f4-8567-4091-8beb-d8fbc9d5bc27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6971" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b83ab6ca-4dc2-460b-a011-1cc7f634a2c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6969" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-882f9771-7c0a-4a80-9331-e1a3f02f4881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6968" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26dc4435-2367-4d40-872a-39b69efcafae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6967" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c1a3e82-fda8-422d-b03c-4e0d637b2757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c40423a-fe59-4ede-b8c4-3f46eaed4a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6965" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73f1d08c-948d-43a3-9ed0-90885942082b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6964" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c20b55b-de0a-42f9-bb78-e0cebf6f8084-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6963" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98f619b1-941d-4273-895c-97d37f9e6da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6962" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee40d7c3-ffe6-4031-ac78-adb8f9e3daa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6961" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d626c17-60ad-4465-80b0-0d4fcaa713f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6960" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b9b2e7f-d55e-4fa0-80ee-bfc35f4615f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6959" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0171bf4-0a6d-4515-a0e3-ca71383535ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6958" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2920129f-93ec-4c34-8af7-34730ad46dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6957" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c57eff1b-ad40-45d8-89ef-0563a370e944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6956" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ada38a31-e1ec-45cd-bd5c-192ee6f00642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b7ec717-5601-498c-ac8e-c79746932513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6954" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-944b89b3-844b-45f9-91e0-e873163014d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6953" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f4c69e7-e838-4a4e-bb03-276083b7f547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7af77933-12dc-4bfc-b82d-dc61c0ec1ddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6951" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bf8cdb4-382c-4057-9c4e-7175b37e05d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6950" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b90bbd0a-cee2-47ca-adff-6c7fc832eb62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6949" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fbd71ea-8966-4aae-9be4-85ecced289b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6948" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-090e51d2-c3f5-4672-91ba-0184b1573f1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6947" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-660fad20-6b6f-4862-81e0-a865b21c9f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6946" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1041c0e7-0fb2-4af1-826b-834d6582a56e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6945" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0aebffbe-8292-4974-be54-b48d771d35d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6944" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2adeb22c-046b-4b16-8d62-5e5110475134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6943" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ebd2f54-504c-4a86-b1c1-7bda9d17d623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bceb7f0-0b99-4eb3-9f00-75eb16d1ea02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6941" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2937011-876b-403d-91a8-063c197b6ece-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='893' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6940" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a271ead-f010-497d-8f11-52b2c1f2c5f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6939" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c049128e-8795-4bfd-8df4-c1f5a4bdfaf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6938" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f51e0999-df21-4e55-b61a-c21679d8e76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41246']" priority="6937" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41246'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41246' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41246'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d32cd19-a692-4c82-b27f-fac708996dc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6936" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_9): de waarde van @code/@codeSystem MOET ''1246' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c5727f9-6df1-4062-9a85-cb858975c567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6935" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71dff11b-fd32-4fb2-b58f-6a99e371938d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6933" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-775f8ff3-7500-4b0d-b7fa-a84a229c94b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6932" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a1ad9d0-3e16-481d-aeb0-1ce85de1a80e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6931" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b91244-c94f-450a-9ef6-501399114c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6930" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ecdfb45-72d9-48a5-9734-62c5a3ecae74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6929" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d453c0d8-741b-4039-8d00-c9de92df466f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6928" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3578412-46b5-4730-bd99-a4f26791f857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6927" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0c3bdca-1d69-4481-848f-0d453c24770a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6926" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e7bb401-a1cc-4b01-a7c7-7ecba8715a63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6925" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b79da23-bca7-4022-b4bb-a2b28464aa8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6924" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23efebc5-c339-48b8-a3a4-500870077035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6922" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4746e40d-87ce-4d04-a246-5e2273fc6dcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6921" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c9daedb-8443-44b3-86b1-00a542c9d737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6920" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c035cc80-c822-4fd6-9b40-c4edc5cb96d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-814c783c-2472-4151-a60c-7fb77836a46e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6918" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0808844b-d170-474f-bddb-e078a1993155-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6917" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-055fbf5d-7575-4ab7-9538-764163851f16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6916" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad3c8e3e-1f35-4a85-912b-f940317a95bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6915" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2e53b44-c8a4-4194-a622-d72e1d40f070-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6914" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23b2c8fc-df02-4a14-92de-92a67f7b8490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6913" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36ec0876-3618-411c-b5a5-6b61d372226f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6912" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8403ee01-afe1-4534-87c9-ef9742f1c879-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6911" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcb405d1-0bce-445c-b6f3-8f53356b1a7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6910" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38c52cbf-a546-44e1-a4fb-0f273d09c294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6909" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d53b8f8a-a2f0-415a-a406-85368eb8ab18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6908" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94521a07-55a9-44e7-b23d-bc844f741aa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6907" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e0c047b-a81f-4eca-8de2-fcf2db758b47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6906" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69452d18-64fe-4ab9-9bf2-680493ee3f49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12ada55c-6f16-4678-96be-7667864588f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6904" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16c2f566-b15c-4281-907b-c755e499e9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6903" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d84b9b6c-1a52-43e8-9147-32c8cd8d241e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6902" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0983e21-4405-410e-9cfa-bca6ce39ac8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6901" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3ec8c05-b66f-404d-8767-f4033235b674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6900" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bba0a2f-bf49-4ad2-a7e2-c0bfa8f01613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6899" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bc84511-43db-44d0-be51-5f8c1a96afc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6898" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef084c79-df63-439c-9535-54629b053f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6897" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1891e13-da5b-411a-aefe-351a5365f652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6896" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b38efd8-9026-44f7-9092-5a289affbae3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c469b1fa-e814-4a95-9edd-8888a8940848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6894" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1086cab-fa35-473f-a46c-f3b5b2c48821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1246' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6893" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f1c4978-ecb0-44bc-b8e9-80380e7642b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5bed4e3-a8c4-4fcb-8243-5c52933c89de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6891" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1aaf1cb-9252-4d9e-a5d7-7aea3f41ec8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40894']" priority="6890" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40894'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40894' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40894'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cf07e7b-c516-4a84-9564-0150268b54f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6889" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): de waarde van @code/@codeSystem MOET ''894' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d538019-6793-4cf2-af8d-1fcda9d71955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6888" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5b4507d-899f-4142-84b8-250b0da3ae55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6887" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-438e511b-247b-43bb-ab00-700c7845de68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6885" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e3dbfc6-4de6-4e16-871e-0cd55621cd20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6884" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2193ee44-a832-4eeb-9266-070a678cd962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6882" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffef37cb-6ab6-411c-a056-0bd4e4ae4a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6881" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4dba015-d214-4dcd-8b95-8c120415e23f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6880" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb95ea87-59b1-46f5-aa47-c23385714aa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6879" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d259105d-36b8-4922-8faf-f1f20cb2ff78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6878" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39b39eb6-709b-49c8-a204-7529c1d3235e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6877" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5773770-9d88-4275-ad90-910ab2eb0e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6876" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e69ef9b-5f03-4e50-a642-e52024f0e8c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6874" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89501b78-2952-4f64-be96-0a9a33c103d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6873" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2d052a7-2812-4c80-82b1-daea00686e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6872" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f19dbe0-92a2-4c82-b554-60e47b0dece4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75aef8d6-db98-4eb9-a742-4b0e36c89f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6870" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05b6cbae-ff0e-4692-86eb-2eba4e5c35ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a111f92d-3512-429b-b927-3d644d5794d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6868" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83fa33de-8d6c-4a2f-9805-cfd5e4131498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6867" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4f17913-735b-4a11-9b88-0e22d88fab09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6866" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10356590-49d7-4c8c-81fa-c1383feb20b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6865" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f3dce81-88d6-4e25-a6b8-97a48a8b69e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6864" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9973a319-595e-4483-9f9a-be5396658b62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6863" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-964abc39-3d65-4914-b453-47e6d6d0491f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d1f6f93-88ce-4524-84fb-93df33154dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6861" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ce201fe-ca34-4c1f-ae1a-9a8fe426e5ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6860" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4be93689-b4e6-4dce-b759-4193b57c6cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6859" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a472187a-d2fe-43c0-b033-24b5a9bbb788-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bafc09a4-9c99-475f-936a-8610139ad722-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6857" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a476d2e-bbda-4507-8af4-8cb926eae5d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6856" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-668b8673-0dae-4744-811b-61d3daf88b21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6855" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6fde8dd-7af9-4644-a762-d7a575f70b41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6854" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-969c5527-bbe9-40be-91ba-76673d885935-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6853" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99f6661d-91b6-4ae6-8a37-f3d87e6a7a0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6852" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f9246ee-181c-4262-abbf-ec6829c5d71c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6851" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89b159c1-dbce-4b38-876c-a6709bf3573d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d47556a-4ac9-4361-af1c-06dbd68a75f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6849" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89a89ffa-b8cc-4ce1-b612-f964a0d41567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ba6b658-c21e-4371-90d1-7ab361b5f498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6847" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-993089b4-e753-4d79-9eea-c75244ae9983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6846" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1049d685-46c4-4993-bc59-bc40790df162-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='894' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6845" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea4d1b29-3746-42ab-9512-c59a233dce54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6844" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d71b3367-f3f1-42f2-9d69-2d6279fa5de8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6843" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6635dd7d-98c7-4db4-bcc4-7c1e2d3627b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40896']" priority="6842" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40896'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40896' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40896'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bce3c7ad-5733-4e50-8a96-024dc77b4724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6841" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): de waarde van @code/@codeSystem MOET ''896' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40e3b9ba-4980-4495-ae30-cef21fbed660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6840" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3771b738-b7d3-471e-840d-bb0dae498743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6839" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Pakt_propje_met_duim_en_wijsvinger_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cce28e4-17ef-4e17-951a-11ab0a5774fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6837" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77af60a7-1f09-4381-b3e5-fe2974c5e134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abf3c0a8-011a-486d-a903-6f5ffe4cdd7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6834" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d952f343-88fb-4a21-8e35-40f5e7a6d8a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6833" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48ef44ff-55fa-4dd6-aadd-45db8b4a29de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6832" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68f98e26-ebea-4c70-89de-7a50f296e750-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6831" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a41c2b2-b468-474f-b33d-ee4dea6270bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6830" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d9e7b45-492d-427b-be04-ba7f78939513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6829" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8e4e041-d526-405f-b92f-61d57cb93bea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c57cd0e-f02e-47ed-a559-b08d51b5cfb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6826" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc0942f7-580a-4d71-b33a-9c81faf762f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6825" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e071384-d683-4750-8def-f9e0fca4b277-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6824" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a55d5f31-327c-4299-b0c5-3b00f67e9ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6823" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04771835-9a6b-4935-99ee-4f860208124b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6822" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00ab3b99-16eb-493c-95da-c5c68e37d755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6821" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4691cb5a-282a-4bb6-8b0a-08fb1fa5ef59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6820" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd8f111f-999d-41a3-85eb-c9edce701d26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6819" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1513266-9081-4059-ad37-0026e98962b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6818" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75213698-370f-46e5-aee8-d22f86bcd9d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6817" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7b1bc49-c8bf-49e7-9d2f-cdcbb5eb3434-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6816" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a1a6702-d6a0-45a6-aad9-a51218e39d25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6815" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5277954f-9249-4122-a9b2-6641269106dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fd72316-6c1c-4d51-b4f0-ea404d9640f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6fb4632-ecc1-49c2-8791-4acf1c89f4db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2b8aaa3-3ee8-46bc-9c40-dd619bc109ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6811" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64f343a8-c085-481a-9df8-7eecb6b1ec84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6810" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-799fe226-8a4f-42da-aeae-45b31ba4257e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6809" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a49cb1da-620b-4f27-85c6-95296d09d619-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6808" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb7655a0-4120-459c-9c0a-5d2db0be2182-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6807" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44f2f3e3-0723-4b21-a016-d62432f550e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6806" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b78f913-15e4-4f55-b208-da4d1b5592f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6805" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84b04457-c6fe-42f0-963a-4e28c1a4334d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6804" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12d9d78a-0f37-4e94-b658-f85f11076a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6803" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1972045d-2929-4d41-8c12-ae7120025a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6802" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b51c3118-96ea-41b8-a1e9-df744291d009-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6801" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acc3a847-a262-4da7-bef2-bf13c64ed664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6800" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f152413-c7b2-41e8-8653-5fd69d2653d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6799" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f58589b-13c7-4423-91fb-3906e02deeea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6798" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56f21495-7c88-4f37-86c8-46da4f74f576-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='896' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6797" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fee1bc0-c7ba-4dfa-a023-f2d0879c1275-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6796" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-848db012-c5a7-48f1-baaf-04e9e1468d75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6795" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7628d796-83b5-4e64-b8dd-de8fffad3c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40895']" priority="6794" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40895'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40895' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40895'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15e3f28e-2a3c-4aa4-aafe-21ea86e33dd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6793" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_10): de waarde van @code/@codeSystem MOET ''895' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3ff2c6a-16d2-462c-b48c-a0c3581c545a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6792" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-809d1452-192e-4bac-84de-6ece98051390-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6790" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7dd751a-9277-4b01-82c1-8d4213c411ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6789" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da2931c4-0c3e-4a09-98a6-de3135c0a546-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6788" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f274d4d1-31c4-40ef-a2c6-8e967cd7bbb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6787" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bcea99f-9d99-47bc-817e-8f755f5aca4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6786" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44820215-b14c-4373-b434-3ce2a6811910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6785" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cba8041-1452-49ea-a851-8c5fd1e7ee38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f18de60d-f8b2-4e65-b603-0bc580ccd6a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6783" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-256a79fd-01de-40dc-bdc0-1247918efd72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6782" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2fa9288-b07d-442b-bfc9-7a555c949206-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49658a0d-faf3-468e-aed0-26825b1136b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6779" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8567da7a-a7b8-49f5-9ab9-4d032307978c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6778" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8c0f823-a770-431a-8904-5dba07d8bd2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6777" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8679b01f-8032-4a74-bf00-2ab3c5bbf4e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbc2e51f-2ad2-419c-b3bc-5df8d6de9909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6775" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-892a2e71-38c7-47fd-863f-934e3725663f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6774" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c914e9e7-c21e-4808-b3a7-bbd7c93791c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6773" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00863292-e7d0-41df-94da-7ba1c712ca9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6772" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1298af59-4649-45a2-935a-aef21618ed42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6771" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3aa688f8-c1b0-43a7-801f-dcf1496ef143-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6770" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3357004d-521a-41c9-a4d5-6c4239a3ed5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6769" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-659f8a44-623a-4d4c-bf97-52a302c1befa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6768" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d8b5659-a68d-4050-9d4c-3b265d7eb181-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15768b0d-0dfa-477b-9929-6b2b2e05f9b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6766" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7bc4f570-260a-4585-907e-6a9ce3c1570a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6765" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75202319-d548-49ad-8609-ab2e1b6c63b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6764" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39eb382f-70b9-4619-8f36-b7ff20b95bbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6763" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a81b652-363f-4ada-8f25-c447e6aeefc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78973eac-a347-4efb-97e3-5831d0e30b6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6761" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10b3830f-69fc-4188-be0a-92667dc15923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6760" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d30db9e-7cbd-485a-b291-e8388b78b345-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6759" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c78ff7f4-9463-4680-9de5-b20cbdb7de55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6758" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a981db61-fd89-4b7a-ba27-d54263b90cd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6757" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8e240b6-3602-4bd1-a59d-02ec4da23990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6756" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0641a8a5-e9d8-4429-85b4-282223ec61cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6755" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee2b45cb-d516-44ac-bafd-607e2cb4912b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6754" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ada92767-c682-46b8-be22-5a94c4ccf1ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6753" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad9ed111-28f7-4ad0-a7ff-62f4d1a83208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6752" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8150a890-9b96-46aa-add0-454c30406397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6751" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90fcd0c0-c2da-43ff-922f-0a01ea795fb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='895' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6750" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adca8043-085f-4c14-9ea6-5614754e95bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6749" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27de4245-b242-4c5c-bc34-077261277226-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6748" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e1f257f-7c65-440d-912f-d5d5b3d527af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40897']" priority="6747" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40897'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40897' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40897'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19e2e550-dee2-437b-b19e-08f3537d35d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6746" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): de waarde van @code/@codeSystem MOET ''897' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a8aa558-c1b3-4ac1-9e33-a16edde1c1fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6745" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8332d5a-f96b-4b3d-95e7-143b0bd71545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6744" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b030c02a-21db-44bc-ac9f-6c0f934498d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6742" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-909ef694-2685-434c-b3c3-a932a5d06418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6741" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74a2fbcd-ac83-412e-a67b-521fa383261c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6739" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05fad289-38ea-441b-9813-1923f4adc47b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6738" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14894c4c-647c-424d-ae38-0f505effbaec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6737" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a562048-00df-4990-9fd4-f8880620c6eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6736" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c0f969f-8727-4df2-90b6-d612f872bb13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6735" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a14410e8-d789-4921-a6f1-de0a76cf5dfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4af68015-a4e6-4f6d-b396-faf056987f3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6733" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14707d51-7057-4f4a-98e5-13e44c27ec54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5f1a4e9-dc1a-42e2-85b7-c2a3b003cd31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6730" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dd9b59d-6a58-4db7-a956-1a49fa9b191e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6729" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b6adea2-11e5-4d54-9488-72fd4b20a2a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6728" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53f4e1e6-de71-4afc-bc7a-9c87417f5d18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b54f484f-2180-4a0f-8aae-82fddd137d5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6726" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2bd15f42-3e04-41ba-9f88-ba32392ca968-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6725" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-173b76e2-8191-40d9-9f04-6447bc4a00d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6724" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c19831bb-a8ca-43b9-b49c-28ac9ce3dd5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6723" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2edb0bf-0077-4c88-a324-76675625146a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6722" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8168661b-4a25-4b9b-b18e-637fa5445f33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6721" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4ef8487-8770-4bac-87a1-27c572761315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6720" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e89117ca-ac4c-4e7a-90f2-fe1dfbd524d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6719" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdb65c3d-7d9f-4ca0-bff6-ee5d6c0295f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6718" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50293801-bbab-4b4f-8ac6-eed10c706ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43d79e22-9bf5-409e-b6c9-fbefe77a674e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6716" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9816643b-d80f-49bb-b262-4d09cce412bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff337f8c-3716-47c9-8f15-4de305e3e4f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6714" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fb79c0d-bf7e-4a04-bf88-f6bc86e29299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6713" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7655073-68df-41c4-808e-6d550b987324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6712" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec8539cd-cec9-492c-b5e2-cf83eaf24ce3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6711" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0223af96-d53c-4f18-aaba-ce73afb29119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6710" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10521050-855e-4965-b94e-7481496d3088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6709" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-233f29a9-14ff-4ec0-843d-effbe7233fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6708" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8bfc951-9cf7-4992-8629-6abeb342e89d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6707" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2114bd2a-b44c-4009-9f8e-88cd283c839f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6706" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-136d0f9d-2667-4ab1-9f42-9ec5490584f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6705" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f871734-ed33-4c62-bd32-1bc58e97bab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6ba3fa0-fe44-44a7-8cb6-6791496cc6e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6703" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53a3e8af-9eed-4dba-a9f5-f686c5eebf22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='897' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6702" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26f26161-9f3a-4512-9de1-b5dee0ac6e03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6701" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de284171-d9e3-43c8-85aa-9bde0561c902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6700" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e2fa5c6-c816-49a6-986a-fef76883bc00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40898']" priority="6699" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40898'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40898' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40898'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d885fc27-dbc0-4985-93be-cfa8357b4834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6698" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): de waarde van @code/@codeSystem MOET ''898' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1f846f6-5db3-4973-bb5e-c5974b355b8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6697" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65ee08dd-f711-4ccf-ae41-e1ff78e5c9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6696" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Doet_blokje_inuit_doos_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6976d4bb-7767-4e81-b251-f5de25c7d44f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6694" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab2c2fa3-83bd-4ba5-b954-b8b7a9670d18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6693" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9c433e3-3d6b-4967-a1e3-312b96810dcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6691" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-533aeefd-9b07-4f4a-a012-4c26dcf2b70f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6690" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe433cb0-a39a-4ba3-b441-ba39a6c3fd15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6689" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd042ea4-61f0-478f-a8c9-ba933a02a9f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6688" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aec0cf3c-c15f-4902-ae94-bd1f2a8f0eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59a68018-4d89-4d24-8abb-0973826074bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6686" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-921f38c4-1dac-429f-9a2a-a190bb9c6f0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6685" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5557c7fb-06e5-4bd2-b466-c7e5d7d1a304-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f797fb85-968c-44a8-9048-2f1b3073fdb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6682" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec4abacd-085f-4f60-806f-757fedf56a4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6681" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5fdf646-554d-4e50-85d3-7de542857070-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6680" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9136e351-fa50-460f-949f-f0cbe5c0a7b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e699fbd-de41-4886-bd1d-0d171557cfba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3375a40-e9a6-463e-a5a5-ceb67327a0fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6677" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fde66571-cef9-4fd9-b189-cc639bb05339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6676" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c85a17df-9ed6-476e-8936-3978db467006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80b7f175-5f7d-48f7-b394-e4a978898c26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6674" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-691d91a9-bdf1-44b1-8198-ae12474ed6d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6673" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53068fea-3afc-4885-bc93-755a0d9e136f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6672" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6035b7f6-9402-46fc-a203-2e6d5a26f677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d5c30b4-bf20-467a-8d4d-daec0d493e0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6670" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff573c68-4410-4ea1-af65-3d48d9c238ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6669" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11e166e3-6538-4519-8481-2d4ebbed0adf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6668" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6b077a1-bd4a-48af-b320-7f6fa17d09d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df90177e-7448-4ccc-ad5e-5d29d3d6f0a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6666" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf9a95ac-754b-4b86-9011-1ea25cf92fc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6665" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22c76467-5597-4055-9389-7292c064c625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6664" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb02540c-1862-4059-8d0d-9cf0d344dc16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6663" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c7e4572-fe59-41f5-98b3-cebe9d257a59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6662" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-872a0770-8d91-48e9-88bc-5e65d991a406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6661" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4997c13b-7f15-464a-9e3e-a43a9208c04e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f6d8685-6850-45e2-8298-50990ad9496e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6659" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc8afaf7-f42e-4616-8cef-1580e2185ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6658" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c48904ae-c74f-4c50-a765-24d0be1b70c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b88097a-67f7-4873-831e-9fdfda653fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8821a87d-c0f9-42c4-84f9-7bff9f290911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6655" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d983f8d7-9800-4987-bf93-1deb5e62198b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='898' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6654" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dc4d0a2-a40b-4253-afa2-173c78f6b5af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6653" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-876aa75b-9a83-432d-a568-74026fb25866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6652" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3939195f-bdf5-4fd5-b082-a4a303a952e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40899']" priority="6651" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40899'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40899' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40899'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de097c76-1c5c-4e04-a2fe-905ceaa6845d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6650" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_11): de waarde van @code/@codeSystem MOET ''899' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a642701-bdd6-416b-955f-f258bb7bc510-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6649" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f73c29b-05de-4233-a0a7-13a9ea1c3ffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6647" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a5d29bf-ae2d-4515-a539-8e2e38aee2e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6646" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-544ddb84-a8f1-485c-9d2c-d8080ef693bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eeaf2d9c-6cfa-4480-9474-9874af2cf636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6644" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0510ee7a-9568-4498-a3eb-db6f7a53d3c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6643" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3390a99-bd8c-44c3-923d-f7e97b9b76ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6642" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86bc9af3-7c0d-484a-8534-8df6e718e568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6641" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43f67b7a-ffff-492a-ba2b-1cb9207eb7fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-519db33b-09f4-4725-90a9-0d50b2af71d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6639" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0e7ec27-7a7b-45e7-9613-c78a634441c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6638" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8aa3ab49-99c7-4b2a-bb03-9c55981b03a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6636" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52cc6346-56db-44db-b46f-01de19848cf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6635" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88a16ab2-536e-4672-a9d8-ca9dd89bf6af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6634" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43865b3a-7853-499c-b181-a521fec3eec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-568b0c70-f76a-46e4-953b-6bc4e60e022d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6632" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4e9f5b3-4b5f-4e7e-8271-2d7f1bfffa3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6631" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea86a72d-14d6-4f49-a960-92315dd641f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f14ab93-8f18-4df8-b760-57d0f178b506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6629" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b8c63d3-db8c-4724-853a-3ec8ae371838-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0abfd02e-9ddb-43aa-8583-e1ad2051652b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6627" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c759373e-64a0-4af9-a4ac-3612f1949a0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6626" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f542113e-fb8d-4383-900c-6b9ea3a54e20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e56d4dd-dbfc-449f-bfa3-3e30559a5b38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46ded2db-5f79-4634-865c-86b456457561-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6623" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2036a819-1fd2-4c7a-914a-c16daeadb417-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6622" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e909f4e-91c7-405f-9228-28ed23ce40e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6621" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-273b0f7a-56c6-4fb9-8f34-5ba068ca2f30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6620" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c93b54a9-c4dd-4d45-893a-cfacbd0a9131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6619" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bbf65deb-7a95-4785-a5ac-701b5e1dd57f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6618" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5610d91-1155-4e50-95b9-b94992c8cf40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d540d85-fb08-4c40-9c4c-08bb9a65cbd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6616" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94b665de-f893-4d87-add7-be77f4d852da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6615" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42ff57f2-5861-4749-8773-890d74cb5b19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6614" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51be3b05-5f19-4ebe-bc18-6d9730c1d972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6613" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99244b9d-a371-4b83-b543-0fa4c1251fe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6612" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ade9763-6802-4971-920a-5506b5f30caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6611" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f48b542b-a80f-41a1-8b5c-518b11809670-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6610" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb47e32b-56ca-4ef7-95ac-f181d8db677b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5abe8dd-b305-41d2-a790-4c1d52d51877-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6608" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c4e34bf-5c64-4cfd-9ebe-acd47400d1f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='899' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6607" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bed9eff8-cdc6-4f24-b7fa-4133b52e5ea2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6606" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcfd46d9-f525-4ecb-84fc-d71e9011a5bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6605" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-691f69df-7b8c-4527-837a-95c5904f2aa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40900']" priority="6604" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40900'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40900' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40900'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35b665e5-7918-453d-9ae6-7764c5cf0af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6603" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): de waarde van @code/@codeSystem MOET ''900' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e80c1502-fe6c-43b3-a80f-c7b403effc7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6602" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a38c6bec-85fe-4134-98f1-fb12c69a8865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6601" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Speelt_geven_en_nemen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-700c6279-1075-4529-9345-642e4463c397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6599" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ccc0691-8b6f-4a22-9731-147ffab3275c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5567b23a-45d5-42a5-97bf-1e69b539ec7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6596" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db25ae81-b4b3-4cb2-931b-c4ceaa9b95c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6595" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b95dfa69-7877-4744-a173-43fc14f43b6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6594" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8a370dd-0d98-41a7-8459-a16f6a5d14d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6593" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e956476c-95cc-4817-8d12-f474d225d339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6592" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fcdc033-83f9-4c7b-b2de-7490a23f1f97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6591" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c801ec3b-74c8-4205-8276-5d9b233c7fe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b8c83fa-5ab5-43a1-9840-d4eb82313257-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6588" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c12f2c7-c1ac-4dd9-9db1-68da9e1b1d55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6587" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e667876-240b-4e4c-a7a0-ddde61518dbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6586" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59f99ff6-9e3a-4ba2-82cd-bd78970e6c18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6585" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e83fce0-bd50-43a1-b424-89b04fb7f3b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b15344d9-a9d2-4502-b0b2-45be78ebb79e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec509e5c-b903-4623-8e27-3f4bbaddf7c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6582" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c317b7c-9bfb-4996-863a-bd06cf99de8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1bffcc9-2f04-4f94-8fe2-4d860bf54683-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb53be24-1fea-43b7-b5e0-464bac18d127-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6579" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e6582e6-6343-42c3-8336-70330b5188bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6578" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d9cb861-46bd-49f3-a9fc-9e2b93fb4aed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6577" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a88f259c-b0c4-401d-b0e4-ec94f592419f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fab9497-2989-4e28-87d9-b142355c99da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19a22565-98c5-4ae7-9edd-4a86bb5288d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6574" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c90aca9a-9134-4f7b-ba1e-f30c5bbb0152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6573" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10c1d240-b6b7-49df-b86d-87fdcd15a856-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6572" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-088bd4be-8b50-4f8c-976e-f1e2cd2a0fb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6571" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05b3e8f8-da5b-47ee-b2a3-066c81498f72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6570" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c823bea-a675-4a9f-bbe7-0051b907deb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6569" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9606c76e-3efb-4c26-aef9-4c30f2108ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6568" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29443d09-e645-4e0f-bd71-1f0941234bc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6567" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-064167f8-d5ea-4bb6-af7c-4b85ad457000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6566" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a4f5ada-01a6-4810-9deb-78e13909e250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6565" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bb5c594-a3a5-4b81-aadb-0968a78e4566-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6564" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a505487e-f191-4b65-a89c-98cee58d8ff6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6563" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fee55769-ae3f-48bc-beed-f498a799ba53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b68895d4-fc01-49fe-926a-05ee1951fd80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6561" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9aa03622-2ef2-4265-9699-7d88cd830860-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44fe296e-83d6-4fbb-8d5f-6cf14dd013aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='900' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6559" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-027079e4-70c6-40e8-9a65-8adc93020a03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6558" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db54a98e-1244-473b-bdde-73d0bc4de684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f385ef74-82b3-4baa-934f-6749df6231c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40901']" priority="6556" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40901'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40901' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40901'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d83c5cc-11f0-4ef0-9ebd-f8dddd2eadf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6555" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_12): de waarde van @code/@codeSystem MOET ''901' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a9f1160-2a00-4c7b-89e7-49d0b1306a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6554" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c13b209-4e9b-45eb-aca3-5478cdb30ae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6552" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c33cf587-4389-4255-bd38-7409dfaf6ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0543f2c6-03d6-4533-a82c-0ad1697397b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6550" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05756067-e4b1-4e14-a1b1-a96e4aa7812b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6549" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbdf716e-76dd-4dc3-8134-b0ead067d583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6548" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25dffaf7-fade-44e6-8717-ada69b7bea46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6547" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd059c38-75e8-4594-83eb-c1dbe3a6e75c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6546" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0ea3f46-9528-4de4-ab6b-a770ef7cd6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6545" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5c841b8-e7ed-46c1-b30d-35e8b10f489e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6544" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b9fd8c5-d9c1-4d48-8dd6-0275db1ee7a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94bbd666-9de4-41ab-abda-2f40fee984b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6541" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-768cf2ea-a5f8-4f90-a58f-c060f9394a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6540" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98161d76-599c-4430-bb74-c7f903b6b080-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6539" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdd0f02e-cd1c-4dac-9924-5d5abdc70000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6538" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0223fa7-a772-4382-9850-23721144f27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6537" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54a74f5e-0828-4fb0-a8dc-4be5c6012a21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fbd0831-55d6-48df-bd6e-ba3b02bdb503-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6535" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df8e494e-a26f-4021-9efe-c6b160ff4f37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e43fc9a-68a8-4886-8d57-6660fadffaf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c96393bc-5eac-4b21-b276-a34a3698c844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6532" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02f4495b-3feb-4f1b-ada4-811375f80b6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6531" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58b9172e-75bd-4abf-89f1-4efc44eb9af4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6530" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-967437c2-87c6-4c18-98e4-b67a93d1a0a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d00f2a4-d67b-47e9-ba9d-b2741e45dff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6528" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-518cc710-f54a-42b3-8371-913cfd789c80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6527" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d9c482d-737d-4838-88cb-48525ed65f23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6526" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d19ed2e-cf92-4930-8226-080f7d9d3319-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6525" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4b73f03-a2e3-4fac-baa2-b0ca46e28aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6524" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25cb81c3-4349-4294-bc15-fe6cacf189ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6523" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a39eff9c-44db-4a5a-9dc7-0c904ea507e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6522" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d301c9f9-a804-4bf8-a5e8-df586ae660d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6521" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1f46e36-18d9-4213-b786-ea116ef98c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6520" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9a1ea92-64c7-467b-a317-39fee4c1338b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46ff1428-0c57-451b-b51f-f3994ea0b8ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6518" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8605fff-e19c-4bae-8bd1-b26eebe640bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6517" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de0238c0-add4-4694-a04b-0816deb64afb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6516" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-645a0ab7-e12c-4606-ba5b-9ebc80810909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6515" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df2a8765-4730-4f39-9611-75bd53a3940c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6514" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97e7d2a9-5007-4131-a7b5-04d1b69ac56a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6513" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c7944d9-a59b-4a3b-bc11-16c1fcc289e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='901' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6512" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8293c38-b9c4-441c-8f74-c34e9735003f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6511" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74d65940-a40e-4b26-a5aa-85b5d265f592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c10e3b87-a1b6-4f07-90b3-290ab0da6517-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40902']" priority="6509" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40902'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40902' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40902'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9f205c7-0125-4a35-bff7-930894be775f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): de waarde van @code/@codeSystem MOET ''902' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a0ab15c-8256-4183-b981-58ac8363b11c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6507" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76ed31d1-0c81-4e4f-aa35-a625b3203301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6506" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2449ebf-b156-44b5-a936-25a0cc04bb34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e77786f4-9c51-4d24-a122-ff12691a5d07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6503" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-210350f2-73d9-460d-94e7-b8060ba1f849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6501" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bddaf4b8-8532-4c1e-bcd1-7b2a73eaa1a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6500" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2032dbe9-09ad-4448-a615-aaf48efc9641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5de6ebff-f8da-42d6-8a88-dae45e9e7744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d18168df-ceca-4c6b-ac5f-bb12407c0225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6497" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20ec54ae-d14c-47cd-b8c9-4edcd412d9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d838ad3-9c23-4c93-9fc9-f28a41fc6e25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-580ec9ae-c580-4f87-8745-514361c4b396-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6493" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-645c8c47-3cb4-478e-be78-ce20194d3a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6492" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3ddcad9-adc3-4569-ae06-aa6b14e0e8e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6491" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30f99822-d38b-43bf-8ba3-b72798db1fc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3de3b925-df9d-4ce2-b245-ec418adf201f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6489" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c42b78df-4caa-4b88-ad27-3ef47143824a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6488" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa780fb4-15c2-4444-8893-83568211f002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6487" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6da5f85-9d7f-4d30-8d46-c98de7c5bfd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-656fcc81-10da-4931-9176-b7d7efa32c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6485" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f27f156-d381-405d-8259-d362aefa8025-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6484" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-568ffb02-f800-4715-9666-8cd71205fb4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89eb9858-c824-4767-a9cd-10364b32c875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6482" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-068e55ad-a498-492e-99bd-a5f4909174f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6481" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44e55463-3479-4d31-bcad-2c9dd8672570-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6480" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e4875de-d889-4cb0-a211-1c1ec89a66b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6479" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fd92cef-a924-4cd7-843b-20a230d48704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6478" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fc959ad-9332-4396-b73c-6cb14e47b47c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6477" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-155bbbeb-8c91-4e22-b00e-86dfa57cca6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10a2039c-41cb-4edb-a79f-b7740390274a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad561734-e52d-4f95-9d63-b61bf3c59e07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6474" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6658731b-883e-4426-8a89-736f684890e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6473" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-156cdfeb-dfe2-4482-b054-bce34f596f5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6472" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adad9d29-a0db-4ed2-9d9f-38aa41eb00c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6471" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a96298e3-86cc-4c3e-b138-fce4a3cffbdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6470" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3e4f32b-a91d-41d6-9e51-869bca6bdfaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6469" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cdb9163-754a-4c10-ae3e-ceb3b21a320c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6468" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df9f0c91-a063-48b2-b4d6-9518d63ed1d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6467" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25f32729-48d3-4020-b91c-7ca1345b678c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6466" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e7ce3e8-5408-44bd-b664-f5697f934631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6465" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-569d4919-331f-47c0-854f-28c6aaa11b33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='902' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6464" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdef7d30-aa75-4051-b1e6-c215edfcefc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6463" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50369b05-daff-480b-be2d-1f874ba469a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0169c4a4-4a65-4a4e-8add-4ea76175a6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40903']" priority="6461" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40903'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40903' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40903'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5822316f-de8a-4de1-b92d-3e6b96e7065c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6460" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): de waarde van @code/@codeSystem MOET ''903' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2351517e-61eb-41a3-9f48-21536f617ab5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6459" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef7e63a0-4162-4d4b-935e-b5d38f44cfb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6458" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Stapelt_2_blokjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d9fdbea-3323-4d83-b2fb-ca5e5bc923cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6456" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af5da580-f9ee-4afb-bd88-4d7e29fbc8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6455" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-401eb012-253d-4028-a3aa-9e0b16c0d6ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6453" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbb8b584-1bb2-43e8-a9da-501e97e9d837-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4acc7d49-6192-4420-bc27-abf5a68f5168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6451" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb386c77-5e28-4299-81a7-fcfec3eca3b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6450" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4404ef32-8098-497d-9848-320ddb9d674f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47634b8a-4d6a-4967-8372-310f05e123df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16472710-6492-4e3a-8b1b-c0b57144ff8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6447" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d790956d-c500-4430-b3fc-38f3c036be1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-489df07f-94b1-455d-ab7b-0253f514d652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6444" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcfad6ae-487b-479a-863a-ef83b4f1afff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6443" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3527c8c-ece3-4e6f-a929-5e8f709f9219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6442" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4992caa3-b0fb-4973-a3c9-e0d74bef7a93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6441" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-455ab5a8-c4a4-4db3-892e-ca23ef977c23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6440" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4612a79-8c0f-48aa-9666-62b5af2c94c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6439" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-293e391f-b9d7-40fc-a449-a4d3b2363e60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6438" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6b0e0ae-8f0c-4ba8-aad3-5d0ff6966dd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6437" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8dd3005-1fb0-4208-b105-d931d0e5f4c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6436" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a0b3f7e-b638-4919-9b83-059a7afa3a50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36901a5f-fb52-44b7-bf45-d036fe3dec46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6434" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08b70559-940d-4ec1-9a5e-3f604d939bf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6433" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-618acc4a-1f54-4637-82ca-e117e48a068c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6432" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a444bcb-424c-4a8b-a274-7e43be744f5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6431" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06bc93f2-1e1f-4640-a685-721eeab15fc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6430" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bba27f1-dba2-455f-8b76-92eedaa4f3cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb7ad811-b642-4472-969f-c858bb948971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6428" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf282648-ed3a-4e74-b651-56448142d25b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6427" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4627269b-6037-4449-8468-562e9fad996a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6426" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-faee4862-4124-4b5f-a079-78fa76c0ad51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6425" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0909db85-4538-4700-9783-d274662b710a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6424" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8f187a8-ff8e-4df7-badc-5009040cfbf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6423" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9acc3f42-a2aa-4920-b5cf-297384da391f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1a397c3-2419-4575-b5e1-218b1003328d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6421" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a915d585-3aa5-4de4-9ec2-093c7755a41d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6420" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72018afd-28fc-4df9-8a0f-d3ce677520d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6419" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a0bd244-ebc0-41f0-9ffe-c6dac3767689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6418" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d25c73a8-1bce-46d8-8964-471edc189eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6417" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76169be8-b589-48c5-984d-412820ebf828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='903' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6416" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed2f2cbb-bcca-4987-90e5-826b7be4dd90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb6d63d5-fc48-4806-bdaa-5e949c538402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6414" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0315bf9b-a9ce-4ee8-b8e6-85eaec9b60cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40904']" priority="6413" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40904'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40904' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40904'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d0832fe-76ac-42f1-91c0-13717560a3f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6412" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_13): de waarde van @code/@codeSystem MOET ''904' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a343e6ee-ca7f-40bb-9807-ca7adf1170bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6411" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b313edb0-d57d-4ba2-b6ef-e366d7894ebc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6409" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce6fbbaa-f338-4b6a-98e4-722393b1f2d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6408" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4f407c4-7850-4e4d-ab2e-79a77faa7efb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6407" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a767d778-8263-4f39-b304-5d8e3c601fcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6406" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6da32b62-6443-42cd-9a39-019eeecbbf39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f49ede58-40ae-4994-9338-3b1b5a6d4642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6404" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa56af98-e19b-42e3-b1d7-207434f95353-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6403" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab5b5656-1999-4167-9af4-e814159aac6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-780dfda2-7300-4067-ad9c-a991ba590126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2ef4e37-5c4c-4046-95a6-ee0f9d01be1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6400" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32b6ed67-08f2-4ec1-b48d-c96489e554d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2520a928-c830-4741-83cc-bf8c90cd3795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6397" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ed4f095-f4ba-4bf2-9b82-9d69f921e141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6396" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ca0f388-09ed-4548-b91a-3b8fb266412d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6395" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5413066-4a12-4276-8335-339b6b6239c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6394" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-deec3027-501f-4cc6-b92d-6c1e6ce83734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6393" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0775d6f1-458e-49b4-abcb-a7ad02d55d16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6392" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41400378-ed6a-4483-b6af-2f8fc916fd47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6391" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1adf2238-f34a-490b-9aba-c1752b276a9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6390" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a839e771-ed16-486a-b2c3-b51ee6a9087e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6389" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7bd46647-ffbc-4ca5-a224-57ed6e9a520f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-384a2d7b-6b12-4fc9-97d0-20315b7300a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6387" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acf8e3c1-ac7d-4800-b021-9fc37b8aae50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6386" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4854e58-2753-4a71-90a2-2e4295874184-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6385" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65276130-c579-4c73-97bb-0a86a178c3f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6384" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36891342-427f-436e-b97a-52d23ade132a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6383" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a7ab1a6-072f-4891-bca8-4b23f333ad77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28e919b4-d707-4230-9318-ba38a114faae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6381" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f458186-9034-4b7f-a3bd-b380726f1a35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6380" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bdee4ec-71ef-4a85-bf14-a9175ec88306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6379" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ea6f114-9294-40e5-8f4e-9c7e36c36c12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6378" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9df635d-7053-48be-a35b-19f735e58c01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6377" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eff787b1-2bf9-4daf-a5c5-e3154f7c0fa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6376" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-567ae7f8-d5ad-4741-8141-dcc4c50a8be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04be5126-4319-4b9c-985b-c3b8c617eeda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6374" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfb21851-45bd-4bc8-b8c6-916b66e943f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6373" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91db4cdd-68a8-410d-b724-1eabcd60d97d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6372" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d4506fe-7a56-4a40-b673-7385608a7775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6371" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10aa42ad-6992-4fa4-bdda-0b1279ee4731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6370" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-303684e6-b2ad-46e7-9211-847cdc920a46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='904' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6369" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-857c6a0c-b0e8-4aab-b07d-dd7ef56fe1da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6368" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ac42505-283a-4649-9c0f-4ad505aaf9ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6367" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59c9e5ff-55f4-486e-b1de-039fc31dcc7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40905']" priority="6366" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40905'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40905' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40905'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f090e38-3cd9-452d-bd27-7db62bd51b72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6365" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): de waarde van @code/@codeSystem MOET ''905' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d2f27e2-53de-4ec9-946b-c730e3476f87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6364" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fc78b69-1cca-4ca1-a1f3-d8bfa997b76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6363" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Gaat_op_onderzoek_uit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f2d4716-4d42-4237-b903-1b48c5e89d4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5105976c-bc81-44d4-9d35-edebcca16e5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6360" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bce63e5-9831-4cd3-ab4a-0fdc5bb14014-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6358" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a1aac03-1640-4997-8be0-0c715609a3d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6357" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae14f029-6cfe-4cae-8940-cae8d17437a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6356" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a8a669b-7514-4bc0-ab26-73fcadf19668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6355" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e15c7a58-bb72-40c3-83ff-69d7ef5b1f96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6354" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8be827a6-9861-4b4d-9bf2-dd8e12f91e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6353" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d056de2-3959-4d03-81e2-4dd18e39b489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6352" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d19b97a-8133-468a-ba3d-3a769d14f76b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69d3c698-e8c6-4c60-a520-e042891367a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6349" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c05e125-fc7f-4469-8fe6-ea8afb0e8252-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6348" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19a0801a-5bbb-4ac0-93a0-2e15506dfcf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6347" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b73835da-7035-449a-9d71-49fe1b6a1e27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6346" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-558855e0-94ba-4d37-a126-22758ccbd119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6345" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9d09192-8eb6-4947-b05f-b0d0f77e423f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6344" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a81c36c-486f-4f3b-b2f2-59a0e6b8d39d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6343" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30b7f3ea-a420-474d-9444-43e6695c1457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6342" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e6fe240-8ffe-47f7-b673-482c3abf9fa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6341" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b057e266-67da-48bb-9c0a-c78e8810a393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6340" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d7e5402-bc58-40a7-9517-12b03ba46b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6339" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a36392d1-9544-4e02-be51-9b056b62a065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6338" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93a45daf-1f66-4c5d-aa9c-a96367b842d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6337" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5019825b-39a7-4473-b647-d3a242b0d45a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6336" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18fa24db-9065-49c4-954b-22622850a230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6335" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0fef467-4ffb-4f0c-9da6-c6d3c98f01ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6334" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d91048e-d11d-4b05-92e3-f688a518b010-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6333" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-945e7e40-e826-4263-a0d3-888ee86b6575-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6332" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-979e9e7c-ab19-4bd0-9b59-4749d6418952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-603a7e45-6b65-4056-95ab-8f7d3a593316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6330" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffb75a71-d6f3-44f0-9791-9a326d46eeb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6329" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3d1f4a3-8260-401e-9406-fdab7458b374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed2b41da-5e77-453d-9e92-df74c3ff7f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6327" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f894f04e-9950-49e3-871e-2f2569e6c61c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6326" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-126fdcb2-84d5-4c0c-92fe-ee6e353018b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6325" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe9addb5-cc7c-4544-979f-d60af935dc3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6324" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b46c4cee-3e60-46bb-8189-8d87ca1e939e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6323" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46b61fb8-a1cf-4031-8218-59809854406b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6322" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d84db19-934d-4869-8cd8-01608ed5161e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='905' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6321" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-095f2f69-d51d-4596-98bc-58334c39c336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6320" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ebe164b-9562-4154-8173-b0b9416bb7ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6319" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c7a6c74-b0d7-4796-b584-b57ac2e0086d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41247']" priority="6318" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41247'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41247' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41247'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4afcc1db-3f64-4670-b601-46d074484352-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6317" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_14): de waarde van @code/@codeSystem MOET ''1247' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-952dff97-d0a6-42ee-a406-7d3a42c4d4f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6316" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4b16a82-b41f-4f9b-9ba9-bcb76c361d96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fb62bce-1850-4257-bc07-c363c75c55f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6313" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa2573bc-a16e-4622-b6bc-a7815eae3f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6312" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cb626ef-60e5-4dfc-85fe-21de8a999bb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6311" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d410562b-7cdf-4e10-bf14-90c5ad888f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6310" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03b7c866-a4ae-4b51-a4ba-b69414c4e342-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6309" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d17d844d-a80e-4b93-baa9-a5dd6c797593-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6308" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8240e58d-1bf1-42d0-a563-3b990a71a451-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6307" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6772c4d-c070-4d2d-bb4b-4f9d561bf774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eaf77bdd-74ce-4032-9ca2-842effb9e9a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6305" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14a4d5e7-d4ea-4195-baaf-cfa83f653ccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb66c9bd-de9b-48ca-b257-97ac55194667-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6302" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89a65176-a3b3-4cdf-b949-dc618b6a748f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6301" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f530eb8b-9b03-4d29-b8d3-78e9a0f84a2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6300" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad955de5-28f2-41ed-9aca-884eeb83473d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6299" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a723ab12-0fcd-43f3-8b32-44c841733b51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6298" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c3dbcc3-acd8-4f86-bbe5-a2e28c713e73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6297" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e203e6db-243b-4f0f-831a-5b8edf67ba94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6296" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c869ca75-c484-4cec-876e-5cb4f0c9292a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6295" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d966d60-9ff7-4869-b6b8-e8580cc4af2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6294" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10757499-5f82-45e3-b6bd-70f502010633-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6293" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd0bb661-4514-400f-ad3e-79ab36e28866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6292" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11038366-40f7-479a-914e-588507df2759-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6291" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d419c34f-0a74-41b7-951a-d099b0d8db08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6290" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79ee6130-04d2-4916-910b-b42deca8612a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6289" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d21393b9-1043-4b59-b202-e5a5a4e6708c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6288" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15d672cf-db47-4a5c-9038-76ead4b0f600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6287" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15c3c3ed-4e8c-455e-a9b4-b3a7d76510f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6286" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e93121a-15d3-4351-9dff-213ffe30f0f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dccd29b5-82b0-4d25-8c34-5f25c9dcd03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-392d2881-c017-42b6-a87d-6320165dfa11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6283" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e78e98b9-aef1-4501-9c55-162f1a3284dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6282" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f951818-fed7-4a4a-a13e-fb38fb5728cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61890385-2653-43a3-9243-ac313b2a86fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6280" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37ba93ca-5911-4181-a430-1cd52944905e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6279" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5089b2f7-246e-45ef-b6ef-94c58f0a238e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6278" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13e8e798-67fd-42f1-8577-614a6f681a1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6277" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c36684e-1ae4-43e0-8169-71b0ebff528a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6276" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6034e7a-acb0-4662-971f-dbb2c03a3d31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6275" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71344fdb-05d7-48cc-b719-8bdaa8d2d32a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6274" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fa5a64d-a0b6-4136-97c1-b54830ddefec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6273" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a03fd60-ec15-4b57-8ad6-0e5a68d7875c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6272" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56d446c0-8a9a-43eb-9dec-8f3399046480-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40906']" priority="6271" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40906'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40906' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40906'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-665ba6c0-fbdf-4cc4-a712-c31e24320689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6270" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): de waarde van @code/@codeSystem MOET ''906' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-884c579d-44d6-46b3-9032-91aa94eadf20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6269" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e8cedb1-f763-4748-97ab-c796458adcf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6268" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7adaa2de-3553-475b-b71a-c766249b6d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6266" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98687cd4-e825-4958-b722-911c150e8ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6265" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd9bafd3-62e8-432b-bc16-698cca5cfce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6263" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ed2de9f-cd4d-4305-a356-49b1ce4cb477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6262" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72c213d1-e470-4e40-b25b-5fb642508e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47ed3b5a-084b-4696-993b-5b093cc3511f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6260" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35b647e3-3a34-408d-8882-b888cb9d08db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6259" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff8c8aa9-d25f-4f71-a234-a59816aa6b37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6258" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1429f031-a31e-4bb6-b91e-7f7cc8e4368c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6257" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e531e29e-36fc-4a38-a289-76e293f11979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6255" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d8d99ab-f2ed-4bbe-9b55-8c3772b28a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6254" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd27b36b-2e0a-4ff1-8367-6ab0b1468061-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6253" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4a8cf85-9819-46c7-b984-3552e1ddaa24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6252" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce24ad9c-776b-439e-ad49-bd0cca8d0ef7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6251" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-608d4a6b-377c-4b2b-8752-0e77f6ce2484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6250" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cad0e55-4ab8-4123-82bc-ab4d8cd4af08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6249" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-475da0e9-34e6-493c-959a-336d282be028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6248" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f68184c-e98d-45af-bc13-84c5ce0ca8ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6247" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51a07ce3-ac89-453e-8cd1-c2abdcdb98b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6246" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f27f31d-2fa3-431b-8051-82df6fb2b36e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6245" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08176db3-9649-4d78-b618-0f3adb039487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6244" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c5f153f-82a0-4874-9573-3f4836bdec58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6243" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f050ce6d-46ee-4ea8-a274-a74ac7dd45de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6242" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa43a9d1-b90e-4d9a-b181-3e063dd6a1e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0cd3c8f-836d-46aa-ac3e-23b0fb53249c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2b877e8-3932-4798-b8e0-4e3d012b29dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6239" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-357eccb8-1ac9-46bb-b2bd-fe19c9934ed9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6238" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8981e995-7c1e-4bde-91e1-52efaedc17ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6237" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69cfa477-d7cd-4f3d-af95-6c695ce3a3b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6236" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9dd50ec-09d0-49bc-a42b-82e7ab749662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6235" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bb9ef7e-fe9f-47f0-9d9c-240279842aed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6234" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d442d90e-02bd-4e7f-a59d-aa45e845f12f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6233" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49ef992d-9480-49e8-9652-e7501e3e5a09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6232" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-473590f8-e09b-4adc-98bd-adf50ece3446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6231" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d0ef888-e1cf-4213-8734-829b81f5ef74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6230" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50df3acd-e34d-4e6e-82be-ffe0d724a26a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6229" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-629213b5-2521-4e19-b44b-b505412afe8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6228" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08bb16e5-b290-4b12-bcea-29705775538a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6227" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-186f9bf5-2e44-48c2-89e7-0d1b8964fa7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='906' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6226" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d657a134-9ec7-422d-a5a7-ec65c36c5fae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6225" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-186fd547-ffa8-43d0-b9fc-d56e0f2bd48e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6224" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96f939c9-ea19-459b-b980-857cb8087f85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40907']" priority="6223" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40907'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40907' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40907'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75e755c4-82d8-4bb8-8c37-a0889f1fd2d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6222" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): de waarde van @code/@codeSystem MOET ''907' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06c3a4b7-3ad0-43fe-8c4e-911a07d99176-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6221" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9e9d44b-01fa-4e1d-93fd-550dae20ec6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6220" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Stapelt_3_blokjes_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9eb575d-e0c8-4c3a-beb7-a272162241fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6218" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fca58098-56e5-4f62-86a5-cb6aeab711c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6217" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0b376dc-1e65-4644-ad79-f6879a97fbcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6215" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eceb0c2a-3c9f-457b-bbe8-5aa1bdb17c13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d425c7d1-7267-44e1-9623-19a467a30309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6213" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c978f37-9783-44c9-a994-f900694e0ecc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6212" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5bc9b5a-6dfe-40a2-a802-63509918eed0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6211" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ec806b8-5353-45d0-9fe2-e4611ef6bcc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6210" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5305640-823e-4853-84f6-bd7a8516e7f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc52f7d3-7a70-443a-9f7c-3f0fcc7f93a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6207" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6629a8fa-924b-4e9a-b6a1-0f1e124e6b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6206" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bd94239-fdf5-40c4-9611-4d5fec1d637f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6205" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5ab2764-9a88-4e6d-94a4-8c94652fa388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6204" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22b39081-022c-4446-80cd-4ae2357bda64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb9b9cba-2823-4582-bfcf-b5ebfa517c1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6202" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0e8c345-156d-496f-bee9-4aa8f48368f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6201" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2c497f9-91b0-4393-98ab-a96b419d5710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6200" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-526ab8a2-668b-4828-8f63-e98b1b91ed03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6199" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a80db018-434b-4dec-82ef-7ab3616f9a44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6198" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-763ca878-4b36-4c0a-9017-614287cfd827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6197" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df8ab96c-c117-42f2-ae36-bd62e7567735-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6196" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85cb2101-3972-43e5-9d47-19ea90d47697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6195" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b5339fe-04a8-429a-aa2b-2a84e307032b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6194" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-839d19f7-7c55-48d3-a96f-ba873a1a4edb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6193" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8b0886c-a87c-4c85-aae0-9ff956055cb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6192" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30da81b7-11f0-42ff-bdae-91053ea6a817-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6191" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-308e8d33-e64d-4526-b3de-7d7e029ae044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72b654f0-9af4-4438-936c-fab5bb330dc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6189" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5396589b-4ef0-4cf4-af9f-7b757e5fd3a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6188" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d65306f3-119c-43e5-bd3e-2a7c8faf7873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6187" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1331f81a-0176-485d-b694-817ed3c50a82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6186" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fff4b2cd-c47c-4ec8-9ec8-76d773254e16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6185" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c61eab7-680a-4bd2-8734-c0dda6aeff0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6184" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c44cd371-c8ef-4484-b13f-86856c7a6947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6183" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a50f238-6cf9-4f77-88b8-f4fb748c7eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6182" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05a31bca-bc82-4813-a74e-2933d6571281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6181" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-501cbef3-0d60-42ae-b08f-2dc075de2142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e19101d-6478-4746-b90a-756ff8d38462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6179" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7474e447-1d5d-4742-afa2-7870203ba1c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='907' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6178" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26078de0-0e89-41d6-9346-e4ba55080aa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6177" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3eb198c9-ef6a-4d1d-9ffa-e2808ce06438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4dce7596-9708-49e4-ae14-1e79ec8f4787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40908']" priority="6175" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40908'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40908' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40908'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-395520cd-c9e6-4941-92c0-935158b9b107-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6174" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_15): de waarde van @code/@codeSystem MOET ''908' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18e9b824-4af3-435c-95a3-f693db419506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6173" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bf7292b-c174-44d2-9d55-d7a289c293c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6171" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecbf3704-f76a-4622-8352-9624704b7e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6170" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05ae8f66-085f-4d32-82b8-8db2fc67eae8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f115f90-7481-42bb-aa89-b42b27712c19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6168" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-911e59a6-4401-4057-af4b-b9a627d10060-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36bb5889-0c2a-41d1-9e68-8117f9df0d85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6166" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e49b80e6-e4ec-42fb-9b4e-d7508de65dc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6165" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8ea5bd1-f03c-4787-9f3c-e493bf932e9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6164" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d497d73-6b2a-48c0-a61e-137e1a8e1586-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6163" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e2d31e0-ecd4-4bc6-b447-1b0e39f275af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a8473c6-8b30-4f75-a2ff-7552814c513a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6160" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d0adf13-03ea-4cc4-82a2-27a1ca692b88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6159" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d15098f7-b9fa-49c8-b3bc-79a600f86cb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6158" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-903a0ec2-220e-405b-b790-7442c7249a60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6157" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7586144b-0473-45c5-84e2-1c9d2cbc8c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7808473b-e622-4853-aae4-a0b5363e7c3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6155" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f1a2835-7ce9-425d-a212-83e229096e61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6154" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49a45355-168b-4f33-9c70-9ec9d26d4d9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6153" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1a4b968-af32-49e1-bbc0-df29df08ffc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6152" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee8cfe03-be86-401b-99fd-64d2cb23e6a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6151" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-335a3519-6975-4f1a-82f0-c6bd24ba8428-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6150" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6aa31b65-c4f0-4149-9007-3df1807bee41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6149" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d400ea4-e2a6-47cd-b686-419f42f39c74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6148" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5a67e1f-eefc-48ca-ad6c-de3560b49f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6147" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f2fc652-de22-459b-9a6b-100fa07ea5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6146" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1dcdeef-7076-4737-b3fa-83e09319b53f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6145" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4eab08f-3dd2-4017-8850-aeb74d8a56f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6144" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe2f7124-dd23-4a14-90b8-394d3990f18a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf756a29-83d1-480c-b75d-fb9f0bc431b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6142" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a23f41d-02e6-43e9-909d-8552be0b0dbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6141" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af3db1dc-3e2b-43a2-87a0-a09700eb359a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6140" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-321e3bee-0bdd-43c0-acbd-017a3cdc1111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6139" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53c47bb2-3956-4474-a87e-657300e1b4a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6138" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6412f4c-fac2-4579-ac39-0b954952de7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6137" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6659af3-b507-40fd-b50f-eb9eecfe2287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6136" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39604722-4724-4c3f-bd4e-3867b8ae5d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6135" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a22132d3-7d6c-4dc7-a4f3-16ecf2dff5be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6134" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad1dc570-309d-4d4a-8f2f-a277a19bcc97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3f4532b-8f0d-403b-8c2d-ddb2ea7b4de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6132" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68e21643-82fe-43d0-86dd-80f507c5f70c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='908' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6131" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-492f3ffd-5c92-4e27-91b1-d51578730ffa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6130" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fca0206e-7f1c-4b9a-ad88-3f66383769ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e44c3f4d-da3e-44de-9eda-5f5ad6a3a409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40909']" priority="6128" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40909'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40909' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40909'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-550ba487-8631-4270-96dd-ff3b2f97bb53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6127" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): de waarde van @code/@codeSystem MOET ''909' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-993d0046-7a8c-4c73-9426-f064ec4b6315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6126" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Doet_anderen_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57797739-1298-414f-a642-98958ba5f526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6124" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad0babe0-1200-45c5-90a9-bdbfe7df0885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6123" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7eb1323c-65a3-4112-93f8-0df9ae677124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8800680a-4577-41e3-b859-2404d4eec4d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6121" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89e87747-e03e-405b-b2c9-4dfcad9773d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95e02455-2ca6-4db1-85f1-f630d04ab3aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6119" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92dbea66-8d18-40dc-a423-2eeef4394aa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6118" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc64fb9b-ef38-4e19-8f97-3cdf0de96fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6117" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2f61b39-1402-46c8-963d-1ef77ab0d21f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6116" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d636bec8-01a1-433d-873b-ebd11ed7915a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa8b1baa-cab2-4e22-aaf5-77ffbde0173a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6113" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9f5197a-45b2-4c79-9eb0-ebb4999a01db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6112" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a40636b5-1313-409c-b541-3a5fedd377b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6111" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d65b34a2-9cd9-4e7c-bb95-4f03e11fa1e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6110" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87637cea-ef5b-4703-8d4a-08256ec40991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be5c071f-71dc-41e0-bac2-994234a04686-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6108" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e2c880b-3ff1-45f3-b97a-1d68eec0136b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6107" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c759c6c-11b3-47c4-bd0f-f5272506c2f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6106" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0167ab5-556c-4730-a67d-105aefd58790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6105" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b5112fb-94cd-4a35-a79a-746d146a99e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6104" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a24157ec-db03-40be-8cc3-476a2c173ab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6103" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2679ddf8-db6c-4cc3-bb37-166def450c99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6102" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22cc2e1e-266e-4241-a4e8-c11fc0dccab5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6101" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce692f97-2733-45d0-9d86-4a360f6ad8f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6100" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f44a2625-3ea4-4634-8b07-bb090b6f3abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6099" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-695de71b-83d0-4bd4-b87d-59cc474c7b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6098" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0397d4a2-776b-4c23-8507-6d3ac3a1595e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6097" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-211b3169-dd98-4bb2-8013-e4c657b0932d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abb8c826-f72b-47b8-9421-4e9ac4fdf6d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6095" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7ee4a37-59fb-4241-8ad5-615aab12b021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6094" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abe5554d-0d61-43da-bb79-e3fe1b4deddd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6093" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-396e283c-5866-4b54-95fc-e236cfa592e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6092" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02ee3a56-8cf6-4e3b-b195-7a053f78b464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6091" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8282d52b-ac36-4c75-94ed-fd84d1a4c6a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6090" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b506e406-b685-4d75-9c96-549deaafb3c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6089" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff9ba25c-0978-4121-b220-6278569fa886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6088" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6302e21b-7930-4cf5-bcfe-732084c6048f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6087" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27e96b83-f0a5-4855-acba-890fb0836449-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6086" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecbfba1b-408d-4762-85c3-6f8fb9c0162b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6085" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca68cab4-b989-4f03-9f5a-fcbd11da3a30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='909' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6084" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-628a16c9-6be1-41a1-907b-4120a3248e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6083" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d13dc393-3593-4656-b266-f6f1e02402fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6082" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-420de801-8476-4e03-9ccc-b520057e3aed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41248']" priority="6081" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41248'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41248' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41248'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc5629bb-7df1-4894-a2db-be66ef3067f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6080" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_16): de waarde van @code/@codeSystem MOET ''1248' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e46af262-08df-420c-b9d7-7b0fd99aa62f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6079" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb842bb5-94e0-4307-87b4-9cb1cb7f16ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6077" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33da63c2-2e5a-461b-a733-41a8b271058b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6076" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d057f25a-b6a9-4472-b959-bda5972ce036-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9daed811-ab55-465d-8ae5-ece7e2e8822d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6074" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c0b14b2-6cce-4c0a-95d8-702aef33a768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d59360b4-9b74-409b-850b-7a66881c46af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6072" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66dc15b4-0db2-4830-81c5-be3f67c8a392-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6071" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e9b1340-6bd6-4eaa-a3f9-549c94b66d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6070" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69298bbd-dfe6-4384-a936-d42c9635b3f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6069" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7f64ad4-14bf-4f24-88fc-572b5364ad27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6068" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-403c5b75-10b7-4763-9a90-6c3fbcc9fffd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6066" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9def4b64-8344-4c14-8ba1-02315d51e778-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6065" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7643b69a-64f3-4cde-b456-88e65460d5e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6064" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad6e7cef-05aa-4238-99fd-a609b590060a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6063" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4c72af7-695c-49ec-a803-ec189387d16b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6062" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e46105cb-373d-4f26-a3ba-94832fefae5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6061" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18efdafc-de16-4d46-9f6e-6c5c6e2fda0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6060" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efe13575-c80a-4b7e-9f7d-a423059eb313-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6059" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12d5f8e6-f999-434a-97b7-1a4832c24fdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6058" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a11294c-db0a-4496-a3b9-74802092a86d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6057" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bc8ad5d-1807-43b3-b5f3-586e730d08a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6056" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11828a39-ed73-4c3a-a162-fa76f0fb211b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6055" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4befc8c-ca3b-4825-9c11-74a7099ab5dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6054" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-564fa744-35b8-4d75-a253-e0c9ebaf0507-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6053" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4bf1fd6-b9dc-4689-9f72-bf2625ab5e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6052" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15fe7678-091e-4834-9284-428d7fad7098-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6051" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-385a278d-3978-4a1b-9130-58a996412d3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6050" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb86a8d4-6297-4ad9-bbdd-bce7a42bb924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d22dd7f-a6e7-497e-a4fb-7f47d3b56d4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6048" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89610e2f-1a56-4685-b970-ba87ad8231a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6047" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc7a3aef-ac4e-4270-9e67-528fd66cfa9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="6046" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6a69358-918e-4ac9-8dc1-073f86bcc0df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="6045" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08b0a134-8f65-4f8a-94b5-d25a2a82ef63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="6044" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa73ce51-461c-4741-866f-bd44c734cdc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="6043" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-765414eb-2cb2-45d9-91e9-51ee3e291120-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="6042" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73fdc9b0-08d5-48f9-aa7b-9c9de8cdb708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="6041" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-886dd26f-b8a6-40ec-898b-4eecece0ee85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="6040" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9c236a6-be0c-42b2-90c2-1cb9c243543d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="6039" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9a118c8-7d36-4ac7-85f8-c14e5ce1ff6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="6038" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d31069b6-a70c-4e12-a8c2-b12d961f836b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1248' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="6037" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4428aa1-1546-47ff-b078-f4b2161d6f16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6036" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a09f63d2-bcf3-4b9f-b92a-bf82b0be4f83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="6035" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c0aab93-b872-4bdf-ba1c-da6575e9b9f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40910']" priority="6034" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40910'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40910' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40910'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01e17822-65ea-4ede-aa95-6f1b7e0eb4b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="6033" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): de waarde van @code/@codeSystem MOET ''910' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efea67c5-764a-48cf-abc3-41892f67ac7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="6032" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Stapelt_6_blokjes): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db2de5fb-9a8e-4616-9b67-0fc6d7969ed3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="6030" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b623ea2d-08f5-4591-8026-52965ca2e335-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="6029" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7579fb5a-e1f9-42a4-a8e6-a5fb37aa002d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="6028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e0d9a02-2bfc-4b2d-beb4-5f72967f905d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="6027" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e00a54d-03a1-4fc1-bd5f-aaa1f9bdd12b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="6026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f004651-28e9-493f-b658-261811497ad9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="6025" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4ae0ac5-45ac-48b3-b4b8-9d54ef2dc50d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="6024" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed5e01c5-4319-4416-aaa9-f05732098656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="6023" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd56a90b-d6b8-4cbe-8855-bd48c70ada44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="6022" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7969312-b382-42c2-b95b-c3958c502f40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="6021" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51a53eca-1024-4d62-b263-5b47e50838f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="6019" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69c6361e-f82d-4453-b98f-5f648202fce2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="6018" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1a3cdcc-826e-4d96-a055-1b7f60f95629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="6017" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00a3a558-384a-4ad4-8f59-d30ab7695b53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="6016" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15402a28-52a3-4e9b-8b58-278e3a1d9bd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="6015" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98752c7d-c14b-4530-a13f-f682b49daa79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="6014" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22749b2a-d08f-4c7c-8e56-6db02ff839da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="6013" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69b03a3f-0081-4b90-9545-c214db55d1e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="6012" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-197267d9-3711-447b-9006-7fc788148421-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6011" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6be03b7-ab32-4998-a32c-42af6d768bb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6010" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-608ec850-c524-4531-94c7-bc8706f3fbb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6009" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73988148-44f0-42b3-b057-3eeaee26ff26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6008" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37c07d2e-0f47-4532-b3d4-016c71330c17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6007" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a103a24-d98e-4208-9603-29e596b89982-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6006" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a358b6e-6dae-4bb5-9fec-88a0d15a197f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="6005" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40d14147-80d1-4cc8-9a35-d4506d851c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="6004" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d049734e-0aff-4f5b-89c7-4fa065afebf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="6003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1ea2539-10ac-4b8f-9dd9-e1fe86f2d819-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="6002" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34b3e9c8-e43d-4316-a940-8186fa33e2ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="6001" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-beaf5117-5237-429c-815d-f6a37205c210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="6000" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a367605-1201-4099-9cde-07dbd53751c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5999" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b690ec59-6c71-491d-a845-62380b96675d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5998" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd9ee8f5-6084-4cf9-9e96-755fe10f60fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5997" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4aaadc91-486c-4ea8-8811-3ad82fa7fb50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5996" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd6a12c9-bdaf-4f18-8950-2c09c91277a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5995" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ea4bfa0-837e-4870-82ed-18cff4ba2731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5994" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a6d7b55-c44a-4c9a-a550-87144fdd2a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5993" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf47aae0-7c7d-406d-9dca-6061ac86613a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5992" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-676ca561-b236-4df5-9242-f294e529a9a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5991" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3876e7f7-1f1c-4123-888d-558c2e26f894-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='910' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5990" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b707820-b379-4c6e-9806-376b5a9c4928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5989" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0544d8d8-ec4d-44b4-bd56-0568e839448e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5988" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f0ca3af-7cc1-447d-8608-dc853225a29e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40911']" priority="5987" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40911'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40911' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40911'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-993cd0f9-1512-4706-950c-42557be0713c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5986" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_17): de waarde van @code/@codeSystem MOET ''911' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-336b3df5-baa0-4854-a030-6b4fb41336d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5985" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cbeed60-d743-4373-b2f9-31d6d81cfae3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5983" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8977bea9-f4b5-4777-9cf6-0836bb447247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5982" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71fe3898-1095-450b-a694-b138bf409152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5981" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c89c4283-30ff-4ce4-acae-abb40e2faa47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5980" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6243adb0-9ee5-4e5b-a489-c0325883edd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-772596f8-582a-44a9-9c09-8402f36a5d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5978" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b77ae89-cebd-4c60-a192-013eb26cee75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5977" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f3e3b88-3c84-42ea-9864-39eef2aa1601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5976" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2525d01b-f967-419a-b8fc-8078359d4c04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5975" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bfa645f6-7c1c-4c08-aa90-3503e49af0e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5974" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e76d9f33-dd9f-4140-8780-f827a24c37c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5972" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8812fe6-e468-45e5-b240-a46c0f2e6540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5971" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07d34d99-ae60-42ea-ad32-17ef625bff78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5970" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18090dab-f2b5-4913-bc99-71df4f9d887a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5969" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da9889cd-8b8b-456c-a147-487a92de4f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5968" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c409b3e-6cf0-48b2-93d9-3566496e55c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5967" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33bc341d-5f35-434c-a486-b06d21ec69ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5966" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ef72865-c678-4e6c-a979-7a43fbf7df26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5965" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aac3cdf7-da44-4e82-8780-54ba336fadb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5964" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-138f7382-76d6-4f9a-ad52-e4771065303b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5963" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-704df1c0-dcd3-470b-b9d2-b67e58492881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5962" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-446a1346-a3db-4f67-b967-975d9cd1f0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5961" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6eca0bf-f09f-40c8-b311-44450de1853e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5960" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36434518-0ced-4baa-94b5-aa013df57e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5959" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b2a3f2c-9b44-48db-a2a6-6b852e09d805-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5958" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d7756ec-fd04-4127-892f-c990b466e025-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5957" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5199fc7e-8744-4cd3-afff-ebd5e1245373-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5956" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcbf74cf-b93a-4f69-88c3-af0d2ff998b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98900cf3-ad00-4503-b34f-4411eaa4aa46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5954" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c94fccc-45d5-4c84-9cb3-950610198919-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5953" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3890ac9b-854c-4b82-a1db-e5eeec77ac86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5952" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c880da6-caa6-4360-87ec-0f321efc00cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5951" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f84a3fc6-acb6-4726-a081-1a29563f4a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5950" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c52514c8-3516-4060-9c1e-2c56138321ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5949" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48e721c2-aec2-4a7f-9e79-e3ef6fff77cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5948" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90a30449-2ddf-419b-8b70-175f597dd59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5947" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e28ce24-50b5-4ff0-afed-09fe079683fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5946" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff3f3a68-3bc1-4fa9-98aa-88c0f91380aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5945" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf159c9e-677d-4dfb-9e76-ac1bff3f2422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5944" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80fa5d1a-0d4c-400a-9b66-c6027b394bdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='911' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5943" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad3730cc-8aa1-427d-9e95-8e1ddbce6618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7afe3bb8-4587-43b4-8402-aa5583a328b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5941" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-090107de-8cbe-49c0-a665-709d16cdd3f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40912']" priority="5940" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40912'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40912' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40912'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa93f6e0-fd39-4052-9f78-f803a5556b15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5939" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): de waarde van @code/@codeSystem MOET ''912' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d355ffc7-5899-4293-b12c-9048aad521c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5938" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Plaatst_ronde_vorm_in_stoof): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e67b20bf-424e-419b-8e11-0d5a3e6786f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5936" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69593cf9-084e-4afe-9d65-bbbfafbc2bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5935" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ac42c33-8a52-4bd9-baea-829a86ffac4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5934" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83917e4c-1e8b-42df-b480-3b15bfecec57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5933" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b2df3de-98b9-4bb4-89b6-a96ec6da7ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5932" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f81e6eb-d69e-472d-8168-b2c8b159c129-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5931" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-059315b1-a34a-4835-a082-e0aba64c8cae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5930" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a18d192-f2e3-4b27-8715-e3c31433655b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5929" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a73bb82-2a6b-47ad-bedc-856114c01bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5928" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a559689-81ff-4b1d-b93d-ebfd2ccf09d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5927" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1930d63e-20d6-43a3-9b53-02f5481dcc76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5925" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c59945e5-9da3-4ce6-9118-882241540690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5924" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5161b914-6d22-4545-9db8-b8075edf6232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5923" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecf4f645-51aa-4b72-a340-36fc65993a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5922" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6876b69-e212-4392-9b66-22ec67305465-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5921" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96ef7afd-80ed-4aad-aab3-e4fb65426464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5920" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e93033f8-876f-4f5f-8e15-7249a4038fac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5919" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a762a72a-22b6-457f-a4ef-468ad5967ed6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5918" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c34e2520-3e09-4653-aea7-0d1747e91d3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5917" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7c0be8e-b438-46e3-8a9e-77472b6ed9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5916" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca9b8240-1848-4c96-806b-965b4fca1f19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5915" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3624774d-46c6-4fdf-a072-5372066264b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5914" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a203983f-4bfe-49c3-8e24-8f2e819d361a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5913" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b372921-56f9-4250-b2b0-d1075eb23611-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5912" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3355ebcc-c2a5-48d3-bad9-ebb60f8cacfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5911" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f18d5cc-d415-453a-978f-c82741d4ebf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5910" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0458c343-d596-40fb-8a84-27b8e5de510f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a42d569-8330-4384-8068-6f5be3a5aa7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5908" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aada4c6d-c3d0-4fd4-8470-f276b0022b44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5907" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-153977f0-ec2a-4a11-8b21-ed61392f3de2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5906" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec9d0a89-65d0-45ec-ae51-0c1912efb931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5905" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c0ad52d-42b9-46aa-bd60-2974af5a61a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5904" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53eac435-104f-425b-b79b-3b3948146fc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5903" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7425ed57-8538-4202-b968-4cef48cfda6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5902" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82fea179-51d0-4a46-ab34-1cf180094f0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5901" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b812b15-33ac-4549-be1c-a6e27ce82b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5900" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6525b098-20ca-4dc1-a4a1-d1c5681b4e98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5899" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbff0d62-3282-458c-86cf-a9783642ebdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5898" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fe197a8-6cd0-4259-bd90-9e39c3bf531b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5897" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bd38761-b908-41ae-810e-a0ae0e089586-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='912' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5896" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-707f2315-3683-4028-b19b-dcbd50dc025e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-650bf6cb-5e14-4c1d-8d2b-f74771d26dc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5894" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c965fbd-47bd-44c6-bc52-b7d013bda14b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41249']" priority="5893" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41249'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41249' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41249'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbc26248-2bd8-467b-97c4-17614fd53892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5892" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_18): de waarde van @code/@codeSystem MOET ''1249' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11af763f-2e86-462f-abe9-e0a53380cb29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5891" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98b8d27c-7fdb-425e-8f6b-396bda06304a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5889" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5df36291-988f-4b2e-ab93-5e628582f53e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5888" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aef8336d-866c-43b2-a767-de3750c36cd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5887" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61558eaa-d076-496d-9f44-437101de2ef5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5886" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b794244-6bef-4fa2-a95b-647fb5499031-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5885" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afd06924-c8b3-4f5c-a9ee-2fbb8f185226-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5884" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c57be2e-9e2e-4f6e-af77-40f23c3d3b12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5883" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f067d44f-df79-42a5-86b3-53077d6e0571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5882" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a65c327d-d50e-4fd8-a93b-8d0004908a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5881" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0bdeda8-ea32-421e-94cb-d102d51d046b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5880" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad4bee54-5b7b-4833-ae9f-e39217453989-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5878" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7974d2e9-550c-4029-af9c-758697f56cb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5877" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c634c95-13b3-4ac8-aaa6-4bdadbee64f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5876" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15bb5af3-4237-4d34-85f9-f8be49d66d38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5875" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9566a0af-7d9e-4645-b3a7-fa5f9281386c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5874" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e43a6e8d-cc55-4f48-861a-c93ad1bd4103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5873" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2d977a1-0f16-4e68-9036-68294ca3f92b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5872" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c3b5e2e-a497-4e67-8cec-3aff7b58bb2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0632f9fc-4f0c-49d9-93e6-12da9d313bdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5870" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8244e787-b3d2-479b-ad40-645d2634495c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9225189b-3b1e-4a89-8175-376a8de6d9ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5868" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8326be5-cc10-4d51-bbb9-e03acf3e46f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5867" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fdde174-3565-4d8f-927e-bf960e26e231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5866" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea232b82-9e52-4e91-8f12-62bd9e0c1e52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5865" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59b2544b-5ff9-4979-bdfd-c87a353b6978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5864" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ccd7570a-9a66-48f1-bfbd-15875e6cddf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5863" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6161838-06ce-4e49-ab2e-9192dd280ce2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a49349f-788f-4f5a-aad1-a01ce4f983c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5861" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d58242a-7942-4883-ac2e-4fde36c93c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5860" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d69a342-3d04-4320-964d-65d69a10d3b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5859" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2914410d-c7fc-4f97-9191-fe4cb0c0ff91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5858" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-231d6d46-f26b-4108-9820-fae43f17cf43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5857" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83462bdc-0dbb-49a6-b99a-ced861b01271-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5856" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4582ff41-e136-4172-8ef7-aa1bf481d093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5855" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb2d3550-d7fc-48bc-b6eb-5b6762008983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5854" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b670433-7b92-4900-8f1c-1ff1bff18abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5853" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e333810-f3bb-4d12-b78b-c62781b0514e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5852" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cfffa4c1-ced6-469f-b10b-17b9376e7e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5851" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c1bab9e-0eeb-4aad-b7a4-97c37e603384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-728ddebc-09c9-4cd0-8e0f-706491bc65b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1249' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5849" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7148edfc-a6b6-4557-9ee1-6fa4933cf2a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42a266d9-edb9-47fa-add1-081089db7abc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5847" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-824a43de-5539-4ff3-af79-e879dff8f0c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40913']" priority="5846" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40913'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40913' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40913'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc986bc7-418f-4f04-8c54-68615ca70471-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5845" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): de waarde van @code/@codeSystem MOET ''913' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-249d3d8d-e57b-4c68-8336-39e8651d1fd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5844" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Trekt_kledingstuk_uit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4562e1db-c8fd-48ef-aa8e-589ca73a3686-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5842" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-443c4ba8-fbe3-49b8-a1ff-0cf77907348a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5841" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a805c352-14f9-442f-a905-3a2fe203712f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5840" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d18f4972-ce9f-4366-ac61-c5d825625d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5839" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e109a5ea-458d-4bd2-a62b-ab6642131e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5838" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33f6ef94-c4f1-42f2-a85a-0d33389ea464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5837" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c47f91d-5a78-40d5-a4eb-b57b72399c8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-332f8143-a1c5-4eca-a5c3-da5ebd27b19f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5835" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b9f2fae-4d1e-40a9-8a99-fecf148a7d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5834" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fd6327f-bafe-42d3-b769-f184cd32aca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5833" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-308d3c7c-e623-498e-9906-0b6038445bd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5831" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a209945-66f0-4648-8499-9451dffeb33b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5830" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3c2f1ec-a13a-4376-b818-eca62c380f51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5829" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9232767b-d28b-4b7b-b8aa-cbaaf757d650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-699cb870-fac1-4eb8-9b1e-71444bb7758c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5827" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a43ee616-5070-4d40-bf24-c3dbb21d1147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5826" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98ceb557-c6b0-4661-a81a-9aedd8e014ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5825" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c753052-5c2d-4b58-8c81-28706129a816-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c316193-4200-4c92-9f2a-7c3eaa464e09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5823" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26ca89bf-9a57-4402-a53e-843a0c3c6866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5822" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4d1417f-da91-4611-8650-6aedde46e622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5821" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aed15b53-976d-41ce-9ca1-b89f55a2ab8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5820" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30bed5c9-1558-4c46-9878-e3a90cabf683-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5819" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6dd8eeca-cbc6-48a8-8947-9eaa86c2cd0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5818" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9456e1f8-f616-4be0-b7bc-2b74d6251df5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5817" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c10931c2-36e4-4575-9ac6-86d810d06590-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5816" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b301bc2-9e46-4abc-99b2-923c3ba857b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5815" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b94e9a5-a3a9-4946-9e85-b7eb2f09516e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be8b1db1-a26b-4bd0-9f0d-852e0476036a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ee356ba-3eb0-4860-9596-3670207936cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a898345a-b2f9-4d33-bb16-48fc266dfac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5811" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0d2ef8a-8f00-4a66-a903-b71d1946da77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5810" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c36015a2-ea60-4110-9a1f-dc99ba33b635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5809" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5948af60-f42c-4d68-af40-79dc991530a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5808" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d510348-38ad-4a51-b9e6-caa45ea1f137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5807" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4273be2-2662-4fb1-8d42-5a1c49bfff96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5806" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a183e751-64cb-40e2-a0ba-a2a7572c16c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5805" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54e69591-2eac-4587-a21f-29a84d2c6218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5804" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1420b702-ab9d-4bd9-bdb7-40a9240fb180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5803" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91c9fab4-0717-4a1c-a6e1-9a5f2409a56b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='913' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5802" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa6c66e2-17e3-46bc-a410-52e42108844b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5801" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01d8dce2-965e-4429-848e-0ae69377df27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5800" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f97e528-accc-47b4-8cd8-c354c8fb513a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41250']" priority="5799" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41250'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41250' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41250'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3761f1f-5439-4241-8b55-a89ca8bb1490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5798" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_19): de waarde van @code/@codeSystem MOET ''1250' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be5cc77a-668c-4d22-a0f6-094183e96af6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5797" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e489b4b0-f2aa-4bb2-91d1-21601ab7726e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5795" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e309577-e34b-44ec-b850-0cea1c3de84e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5794" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-634e1af2-f8bf-434e-8b8b-5db121f0b4d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5793" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b988e94-59e9-41f1-ad1a-e0499baa1dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5792" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdbfa6b4-5a6b-4641-b3a8-8c102fa9e53d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5791" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a707f974-dff3-4989-a68d-89facab1bfab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5790" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ea996bb-9010-4141-9614-054abfecf607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5789" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32399302-9f85-4f6e-a672-21ff83fab53d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5788" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dab3d7e2-7b76-4c9b-b6a3-6e8a279959d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5787" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e62c579-5b23-4dd7-a54e-63d1f34a4b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5786" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-525c527d-0c8f-46eb-8dd7-b45f1f773840-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5784" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0aa9ace-49ab-4934-8cfd-2a08e3efaf29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5783" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bbac4e2-8914-4551-af98-ea4a67a71214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5782" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4eee9e73-ac6f-466a-aca0-aeee0f67cedc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b3a6d38-ba2e-45e3-aaa9-057c05c15a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5780" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd584444-01c6-46b7-972d-0de68c792843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5779" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ae390bb-2b3f-4927-9800-6dbf3c38e898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5778" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-631edd2e-cf29-4004-9982-37d97df8afd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afe1d0a3-f978-4e46-873a-50d0a81b35d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d228247d-4e36-46f7-9e81-c585fcf7d8f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5775" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f87f421b-e846-46c5-8628-459bfb1b6ef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5774" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24f7499e-4cb6-41ac-8d7f-7606a7a1ec8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5773" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4acdb69-7752-4dae-825a-b6718934d97a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5772" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a16d22e-b2a2-4cbf-b678-e2f8abd5fa4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5771" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-967284e6-f877-45b5-8c6f-59d574cc0ac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5770" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d689899-feb7-40aa-bb18-b665f6c8d753-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5769" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ff4fb8a-6190-4da5-a542-ca75630b5d13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5768" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eef2c199-9556-43a6-9540-38622cdf6812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fac0387f-d8d1-4eb0-8126-ebbc04c905ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5766" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54a48054-ad9a-41e7-a04d-64a6c11736b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5765" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cd35f0e-08bb-44c1-a13a-c1de11636d8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5764" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e87a815e-eaef-4932-bdf2-edf25d5f6b18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5763" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28943f73-9510-4ad9-89e9-c5895437c927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4244c26-e75c-4add-8645-35bfc2dcf42f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5761" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58f954d1-4fd4-4dd0-9938-cf4c09b0e99e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5760" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7dfe1f6a-8f65-4e25-b3dd-36f1ff63eb12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5759" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59d05343-638c-47bd-99e6-5ceb8ee69e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5758" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43f262ac-4595-419f-baa8-134513b40b30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5757" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16cb1e43-19cc-4f20-afc8-50e953006f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5756" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-234dc6f2-0d8b-4849-9dd6-e78949a0d7e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1250' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5755" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e642eec-8df3-44d0-9ed4-f1d44673d7ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5754" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6935707d-52aa-44a8-bc9d-b0e1f27f940e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5753" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5c42b1c-57b2-4f7c-a149-e83436051c3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40914']" priority="5752" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40914'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40914' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40914'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-719fbf86-7eab-4457-855b-56f7fc4447d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5751" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): de waarde van @code/@codeSystem MOET ''914' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47d3d915-1291-40fb-a51b-9a313362e05f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5750" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Bouwt_vrachtauto_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca43f5c9-cf71-4cb3-98a1-371b1cc987ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5748" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ef6a575-3e54-4ff0-9618-f9cc5874f83f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5747" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2489cbf-b5bb-4905-a690-50da2b92c2cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5746" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be0d9e41-2c84-4040-80b8-d7129919af28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5745" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43db6460-100f-4c62-973d-87a6b1ddc556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5744" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e8d9aaa-ef4d-48e6-8241-61a372ad1fd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5743" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0f5251d-6c61-4f49-9458-52722c576136-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5742" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82b4da7a-4a6c-46ea-b5bd-6212d42acf85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5741" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4f7c112-9313-4707-b9f9-efc6e825a97b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5740" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2daeb462-e60c-4e4d-889e-9ff4a45b1d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5739" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b96b53d9-e19f-4df1-a4c1-c00a2330fee2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5737" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8101833a-ed0c-411c-8031-082bcf66d095-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5736" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b385e08-6144-4b1d-8bd0-eea068b3efeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5735" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f243f0c-a4d9-4c71-97da-d105d2b7dd45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8a4fde7-5724-4d1e-b7b8-ad22b97e57b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5733" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c3ab227-3427-45f2-b4aa-a94a9fccd6f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5732" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89824006-d089-405e-b378-564322154eca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5731" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee263cf9-3933-4478-bebd-adc56b7829fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68600496-0537-40ed-b543-1cc45959b80d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5729" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4c2365a-9f18-4a83-95e3-9de0cc66f830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5728" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4780b184-8930-4897-b1e4-941c0281fc9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1c3e82f-7d56-4b6c-a7ee-15548164d380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5726" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-912a23fe-fe11-495f-98e8-ce8b72582777-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5725" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-534e9a3c-8b7b-4d2c-961f-fbb2894733c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5724" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47e61a20-7501-41ee-8356-231ef56e3e19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5723" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-524f9187-cd4d-4f44-99df-38ce35934cce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5722" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cc04d9b-2970-4f7f-8a37-86aff2808ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5721" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-394bf846-9ca5-4c67-82a3-9c4e6424a2f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a93ef3ce-610e-4825-b425-50e641635b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5719" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b303c32-0b93-4d26-8b17-91e9bc2bf79d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5718" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-739f079d-df16-4d0a-aadf-0654de59e57b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5717" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-876c4d2c-703d-49e4-be15-5a4a3d3c4540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5716" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6db29472-e503-490f-9d33-fc99441e0cc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd0474a4-55ec-4a97-a10d-bb86a3d34571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5714" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6f6d14b-4b04-4fa3-b764-e738b895349b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5713" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b983b473-31a5-4f6f-932b-7ae4e31419df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5712" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c45bc1c-5cf6-4ac0-b3e2-28ada9693298-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5711" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0385b0f3-9887-45a1-84c5-a1eb66c7af03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5710" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4699ad14-40c9-4184-8f85-e3c11e58f6e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5709" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce333e6d-af0b-4656-a8bb-59a4c8fab749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='914' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5708" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6afd221b-c34a-4ca0-8e94-54c5e1f7e01b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5707" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6957fdd8-c2ea-4e8a-80d6-ec3586b2e509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5706" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d0f5453-b84b-4750-8912-87d8f0c3f16b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40915']" priority="5705" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40915'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40915' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40915'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38769009-e19d-4adc-a42a-9fa2503f6f14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5704" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_20): de waarde van @code/@codeSystem MOET ''915' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b5a4b9c-8e6b-4bae-b76e-77c487a1061d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5703" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09092ca8-144a-45ee-93ec-e38943787531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5701" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d846844-ecf3-486c-b1da-ddbbdaf634a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5700" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7423948-63f5-41f7-adcd-f31ff82f283f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5699" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22cfc482-a047-49a9-9146-b7be18377b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5698" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-770aaf83-0345-481c-a564-435987de2479-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5697" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20e9bce5-a454-4087-ac26-c1395555ed4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5696" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f6c06f4-fcdc-4dbe-9c31-114fd58c8610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5695" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e944d4c6-5fd2-46cd-ac2e-ad501da2d8ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5694" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4050617b-102f-4bc1-87a2-3b8afeca70b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5693" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4962794a-c8fa-42aa-9e5b-d1c57acd86b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5692" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8a05cad-1f39-49b0-a1a0-08bb94a0dcd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5690" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae966b95-c93f-42c4-95ec-8786de3ffbda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5689" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04fa3f9d-7de3-4a97-ab22-227c464677b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5688" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a265b4f-6ec1-4018-a0f1-3a5ae115e8b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fbf9f41-6194-40eb-80b1-127c3f702736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5686" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6816ec7-e3e4-40f0-8232-dd698917b3a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5685" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e81ab9a-6824-423e-9437-cd366adaa55f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5684" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41fcd9fa-e79f-45a5-8406-e9362cdb16db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-343ab8db-3293-4088-a539-0ce23ea252f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5682" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b773297-82e3-4476-9d05-253438064c0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5681" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3de48f7f-8ae2-4273-a76f-12dfaf084b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5680" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-172a45af-e1d2-4158-8816-259b33e78a04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5679" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f594b852-284e-4d9d-9de0-c888c77c3213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5678" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4cda83e-27b9-4c98-92bb-f31dfe4f16be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5677" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca00a00b-5310-438b-8d00-a1aa943ff43c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5676" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19aee3dd-e999-4b19-b467-357b3f14824f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5675" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e78a68af-ed3d-48bd-9cf9-97088c02d65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5674" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d423694-59d6-4946-9ebc-fc7ec3322dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5673" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb16e5fa-0f6e-4092-bf66-83debc318baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5672" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12d3e64a-8ec5-4148-aff0-d298852f61f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa424eeb-d437-4de5-b318-1444085a8921-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5670" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95362c15-d69f-47f5-b4fa-25c9bc720b41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5669" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2589fa79-0b68-4d78-9fa2-863cc517e7d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5668" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d59b30e-39f7-4303-91e0-511c19d23e79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df34ab36-9dd0-4361-bf02-e31977e5ddb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5666" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41b99c09-f4ed-48c7-9046-1112595c209d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5665" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2535d9a-a573-4e0c-8468-a275fc44d459-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5664" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc557c5b-6680-4070-a520-8a9137d54b52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5663" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4c99cd4-0759-41af-95e3-220a3c542485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5662" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ed9b9f8-0f52-4a58-af03-2193489ef5a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='915' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5661" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4182054b-11d7-4291-9eba-212ab9acecc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6390ef2d-9bce-4009-bf3f-191f9537d1dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5659" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf9e8439-3955-47f5-9717-c21cfd4b05ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40916']" priority="5658" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40916'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40916' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40916'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8f10711-b573-4c21-9169-aaac22f0e17f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5657" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): de waarde van @code/@codeSystem MOET ''916' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57be770f-474e-4f42-b46d-364046769c8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5656" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Plaatst_3_vormen_in_stoof): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa842214-0273-4f14-807c-52524829a37f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5654" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5d3de5a-a375-4cad-bcf6-86074689d4ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5653" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42fe00ef-8688-4892-b14c-95556238e7c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5652" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d745239-8c6c-415f-adcf-f251fcc34748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5651" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-781024b2-67e8-4d17-a722-db4b8bd9498c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5650" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82d1b410-114c-4d93-bc3a-cbb496902ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5649" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0231663c-d6b4-4579-a696-5cdf049afc32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5648" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3e4cdfa-ac33-49b1-9ad8-60a73ea3a404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5647" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e2addfb-4e80-4b29-bfdd-c510fc173939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5646" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9535277-8338-4fd3-89bc-c18b7a5cdadc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5645" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb02305c-8da4-4e09-b68f-f8db0d221422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5643" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f6fa4f2-fcbf-49f6-8258-52d287df028e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5642" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d0a4f54-1a4c-4c3e-8b40-285227f8bed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5641" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4544d6b2-f4dd-44f3-b492-1b93a3eb6ee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1e34d96-eabc-4e4f-9391-60013475beee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5639" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-421c46aa-9899-4552-98d2-322c57801c19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5638" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-834c7d6c-9eab-4223-a9f8-759674281df1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5637" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc055dd8-80c1-4e54-a05e-b483b478c4e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5636" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9633c00-1f70-48c4-96d0-664833158cf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5635" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d73b9292-92aa-467a-a0e3-953c14364033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5634" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29f00fe0-82bf-4f01-adf9-c96a4b2800a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5009198e-eaeb-420f-a4ac-e855ef54b57a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5632" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4566b42e-43c8-450a-a95f-f6664cc900b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5631" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14d4daaa-3adb-42b0-9d94-2ff68a88fe77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce4247b3-3e21-4f19-bedd-c1f3f70a2828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5629" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99a4fe3d-7e15-4b1d-814a-4feb3c56c7ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5628" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f66a111e-9a5e-4ca4-9ec3-28152283aa0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cb975ea-be63-4bdc-b164-b161f497ba5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5626" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d349f5b1-4f0f-4bde-a533-205265be6696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28d92df1-752a-4c89-9e4b-a0d2b2d1701d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22e2519f-f86d-415d-82d9-afc4efed0dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5623" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78121001-179d-4e51-9469-e106e06a4a48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5622" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9258ca82-435d-442d-b061-a0e66eb95635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5621" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e48d937-adba-4968-baec-0f9f729fe58a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5620" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92d1a2eb-ae15-4837-aadc-bf43ddbb21a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5619" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b663754-f116-4a7a-bf90-0b803aa26e57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5618" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e995aad-1b76-4216-a3b6-7ea2861c7d43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74ccf00c-d373-4469-9860-945910e8af06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5616" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c8ee05b-f4ea-4105-b55c-93672ac275b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5615" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f45e6144-086f-44f5-adb6-cd4839cc1064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='916' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5614" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba12db4b-411d-49f3-937f-eb485e727a91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5613" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-483f0208-687b-459c-bda3-99168cae59a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5612" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68cb2c1d-1081-4e84-8f36-13b6f9613ccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41251']" priority="5611" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41251'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41251' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41251'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be5b8b33-8d41-4e0f-818b-f0b44ed6c090-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5610" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_21): de waarde van @code/@codeSystem MOET ''1251' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be4d94b4-22c6-4090-9aeb-44ba6a83e9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5609" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9cbe0b9-4b49-403f-815b-8f03d06329af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5607" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da82e1f0-2b77-43f0-8f2f-6ff1fb3fe3d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5606" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a577ff25-88a7-4ffb-b266-7ef744b05b1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5605" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d83b1c8b-7401-4f4b-bde3-6aa8ac069dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5604" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb81aa8d-22ef-4183-9705-a43a1029a88f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5603" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3c96104-dae3-4c9d-9d47-20763db92923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5602" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cd77cd6-b158-48d1-a9c2-8371ed8319dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5601" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50113b9e-d5d8-4719-ac43-9817bf89eda1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74bb8361-896c-4c68-ad55-b1fc104436f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5599" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72dcbb0d-8561-420f-a2a8-1ec5c3c2a910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5598" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30f9f16c-b663-43a8-9870-7a0c66299999-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5596" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-270731cb-f303-4b80-9045-25e0f5b4adcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5595" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a61b8332-4537-4524-a7d4-dee87c717b94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5594" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e19fd9b5-a52c-4bc0-9122-9ceb015b47d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5593" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-233d397c-8585-4e2b-b807-ccbb7a2c6f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5592" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7daf11ab-b458-4f6c-91c5-73b5d5a9e543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5591" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50470119-e864-4c77-8e0d-f1e23c079568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5590" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02a7c860-d0c4-469c-a79d-e1b6772d8b3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5589" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1ba6f3f-c968-4f3b-aee5-6bb08f4e40df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5588" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebc4e6b3-e230-4be0-9383-0e2a0eb363f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5587" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-978c2ac7-9774-48d3-9cb9-306df8c51486-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5586" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aed8eb83-dc1f-4bd1-b549-eb5b53f41201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5585" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9b112fb-7dbf-4075-9a6c-777b0e511350-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88ec3b52-85a4-4745-93a8-9964c2306e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3fddfe6-ba8a-4ad6-96d0-04aa26490ff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5582" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a0fe85e-d671-4982-bfc0-4992345631dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5581" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ccf531ee-84a2-4ebb-a45a-cf9590fe9ff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3a23c84-91b1-4ead-b17a-94a387f80150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5579" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f41a5c0e-83b4-4767-8540-da8fa91164b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5578" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e22a7ca-be74-4627-9bf1-2394b7d9a5d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dab70355-dbed-40d5-8913-e39e8de6b681-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5576" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45b48e54-9c24-4c05-a54a-7b2fa4af1475-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5575" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-574d5ebb-163f-4b85-b87e-0d2b57c70b14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5574" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb8f0cbd-597f-47c9-af3d-e6c915ca257c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5573" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a6a0a80-7110-413f-a593-c9cd00b30bd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5572" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b05cb04-74b4-42e8-aad3-c73ac84c9adb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5571" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f06dba33-94ab-4281-a2bf-57413687fa6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5570" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1877ff15-21d0-4a0d-b1d4-2d061f6e6c0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5569" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da943630-f73e-4041-a9ac-625b1d37299d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5568" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdf43b2f-1b0f-44a2-ac68-b8eab4a5b012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1251' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5567" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebc9edee-356e-47c2-b0ec-ee5eefd09d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5566" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd9a405e-4178-452f-907f-0da4dbdf961a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5565" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec626c56-695e-407b-b43d-274f8f02f09f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40917']" priority="5564" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40917'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40917' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40917'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0e0f573-904a-4638-9f39-fc208334dacd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5563" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): de waarde van @code/@codeSystem MOET ''917' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e8b0ed7-533a-4d5a-91c1-86bd02ac0e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5562" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Tekent_verticale_lijn_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b2d004c-57f1-4765-b4f1-66f5836909c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8df3849a-c234-4415-9d26-10202db06927-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5559" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b625943-f1c2-4e84-9ee4-02e5bb6818e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5558" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0e1afff-761e-497a-ac1e-dae1beace91e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b1442f8-eabd-42e1-ac61-b243f41f3a92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5556" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85d93f8e-6d57-4b6f-b278-98e2d9cc19ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5555" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9c5d73d-1449-491a-956c-c7d1d89c80f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5554" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35847d16-d053-4196-9e0e-2549fc4c03b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f608cf3f-be6a-4b1a-a168-39f28cf5f6ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5552" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bbdb4da-82e8-47e2-8e66-a24593bd6441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5551" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8da0a255-fc00-44ad-a894-a6f35455c72d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5549" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76a3c2dc-3c09-47bb-bcbf-fd85bb03cc83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5548" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e7b8655-3fec-4dee-a77e-0e1311d7f583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5547" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e40b201-d1a5-4013-a476-2be8aff3cbdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5546" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cb97154-3203-4668-a548-99565411d639-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5545" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d2555f8-614f-4845-acd0-5333c38faf2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5544" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca3fdbb1-9407-47fc-a642-40e56c83772a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5543" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b43be014-7114-48bf-a4d1-fc469efaa047-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5542" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57958b0a-4fa3-4a42-8bf5-119ccc23b26a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5541" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a433f19-807c-411e-a2a0-8ef85b43689b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5540" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-156f79b9-c95f-4527-afc0-d5f3eb79e081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5539" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e230b1e-0d2d-4038-9681-19e7f45983d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5538" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ca38268-1617-42e8-baa4-9cfe34edae39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5537" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bd14d92-b976-44bd-aebb-5f40a2e8e793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e63518ee-70bd-4a31-80a1-bc703d024266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5535" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b01c5d4-e0ba-4cb5-870d-110fd4746e8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5534" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f326054a-7b95-4dc8-9d04-bf21aff0f2d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c49ad859-e429-4b4f-8c95-75eaad9af58e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5532" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68a718d4-3bfc-441c-9a21-78cfa7b07df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5531" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ec399ef-c7ae-418a-b98a-b25d7cf5f54f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3590d0cc-52f9-4124-bffe-ce0cf244c964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5529" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1005e0f3-8f8f-4390-99f3-52bc111f870c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5528" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a84ff26-403f-417a-a593-9c241c4e7310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5527" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce568b91-2705-4b9a-9e8a-e5351a86e674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5526" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f3723f4-eb06-4198-a560-164738214cbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5525" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e449a14-3193-482a-ad93-d4b3c490ed23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5524" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-697370c5-9b03-4f3f-bf01-c51e5377d52e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5523" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb8ccb41-bff0-421c-9c7c-d9438349c46a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5522" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cfd5448-336a-4679-b9ad-a83798696372-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5521" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01f16b48-4abe-4bdf-a688-b3bc3ec1b11b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='917' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5520" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-626ef11e-db51-4fab-853f-a0246187b605-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32bdf8da-9fc5-4e26-92bf-5a6af146b372-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5518" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-346347a8-c630-4aad-a597-01d1038e2034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41252']" priority="5517" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41252'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41252' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41252'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aacd89fd-bd6d-4ad2-8edf-0fbdd9ec4a04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5516" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_22): de waarde van @code/@codeSystem MOET ''1252' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d158727-9397-4f25-a621-467344736a15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5515" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fed95ac3-fde6-4dbf-a567-bd5f27a4d55b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5513" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-238d7eb3-3aac-4a4e-8945-5e13d6182419-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5512" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c53e4ad8-2aed-447b-ad3e-94744ee9a3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5511" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b138f98f-9c53-4f0e-b195-9bda40feaa69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d3e2ac1-9de5-4ded-9688-9153a87d416a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5509" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0906eb49-bf06-4c0d-8062-7185832ebca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5508" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-799bb4b4-b390-4f25-b3bf-41e5a52ffc36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5507" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f8799d6-17d4-4120-bc07-c6229571f660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ec37081-7e23-441b-ba4b-7873cb109afb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5505" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff119c85-ff7e-47b9-aa3a-d1dbcde84040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5504" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96b3ed6a-35e9-4541-9245-43e3734a0349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5502" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be4c75ff-b89d-4b1d-b48b-d474f33a2834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5501" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5498cac-3df5-4734-9300-fe5a29e04811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5500" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15f2fc33-5f59-4fdc-bc69-71de3bad6013-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a939003-8b03-449d-b906-7baaf8010928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5498" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cdb8b3e-72e8-4e8e-be66-a0e3fa83eabc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5497" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84dd9e23-778a-432c-9751-2b45b8c5c7ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5496" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71bb7d1e-69c5-4fc0-a609-6d9ebbbb17ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d7415b8-f459-43bc-94de-2a4a898749ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5494" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e2c5aab-9c1d-4669-949e-6dec2809e6f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5493" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae009b6b-87ac-4fb0-9d1b-7d2f73c6a729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5492" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba2c5233-8cf3-4412-84c7-6b8a43879e07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5491" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31fa809a-4d66-4201-a726-15e9c55196e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d4e14be-6933-438d-8a2e-05f846ed78ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5489" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a53f9b1d-ba38-4740-ac39-30f5d189421b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5488" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36e0e91d-11de-4ce9-a822-2c579fe503f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5487" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca147d67-ada7-4fe5-86e0-c38fd37ca9d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d3bd030-c9e2-4ccb-afec-8c28ac2dca8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5485" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42b75917-7f43-40f5-895d-2bd113c708e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5484" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8d9fa34-45e4-402a-aff1-d19a10aa91cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c38cfbbc-583b-48ae-8a5d-c834fa274b21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5482" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-147211b6-55f5-44c4-b54e-f9e2a6d5e2d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5481" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45126a0e-b300-4679-b9ae-dd31443870f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5480" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06a178a9-1592-4735-9a23-eaf4f930b8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5479" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-910016b4-020c-4d7e-beaa-1e1c72eaac60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5478" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b14ee1d5-6110-47ba-8c95-7d0cc9d27c4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5477" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da11a6cb-26a3-40e9-b123-724de4dc7360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2682161e-2b07-4155-8f29-00fc0029190b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5475" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cf9f9c4-c573-4718-8481-aa077c2c6b93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5474" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26a79d91-55c3-4b68-a836-6c706fcd0a9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5473" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e4653c3-0248-43af-8a41-aa4f3470144f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5472" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46dc2dd3-6a5a-4a46-8fac-bdde16da8a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5471" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df7b8be8-03ef-4bc2-ab39-7f59042ac488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40918']" priority="5470" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40918'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40918' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40918'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e6d1908-f6d6-4145-8a2f-32d6b2cbc4d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5469" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): de waarde van @code/@codeSystem MOET ''918' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d904c2e8-9551-4db7-b215-487d39fca4ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5468" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Bouwt_brug_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e8d922e-6c5a-43f2-a9b0-340960f55875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5466" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81564e1c-eb82-4655-8980-af8a8474a56e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5465" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02cc6ffd-c003-46b4-b2c8-1710edc70717-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5464" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88d87739-e049-4c58-87e1-67a0a23b2457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5463" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aeab81e4-fc70-44f9-a5e6-529fb744189c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ab82cc1-63ad-4f6c-aaef-a7e195d3f5ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5461" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcc32d89-241e-489e-ab9d-2a071311444a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5460" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32a0761b-d030-45fb-b5b4-42abdc62ffdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5459" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59b0a270-ce92-4026-aff1-a22194facb0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5458" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4fdcdc7-8843-4063-b048-ce50f0c5aa7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5457" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-849f8556-e45e-4ac9-9a1b-b4002c9ffc14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5455" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5314e28a-d380-4ca6-a03c-6cfdbc934583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5454" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21f9a04d-d84d-4213-b9b4-81c6fce92146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5453" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a324bef-6c27-4a8a-b30d-38b37463ae9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5506e35e-a2d3-40d8-96d3-73a867fe54bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5451" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-216476ce-3c35-4c37-9886-87a744e325f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5450" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-276370a6-50f8-43fb-a652-46520eaa23f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5449" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-624cb14a-8cb5-4138-8125-e1a553beda2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef70dd61-a577-4919-8c07-08ac86b948c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5447" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41e36d00-2c69-41f4-bb12-7de8fcf602a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5446" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9aff9e0-fa84-4bea-a2bc-344979a3d83b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-321e9228-a1b7-4b3b-aef3-4f42130fc12d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5444" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f80b13d-7a8a-4c25-b61d-d555b1bd2aa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5443" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b26d261b-45f7-4030-8ba3-a3a47bf9f687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5442" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6484bf6e-be5c-400e-8b6e-a4534b202323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5441" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1b30f71-4251-4030-a5be-2de1bd23b26e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5440" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bd30dbd-8f48-4bfa-8686-38e987963bad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5439" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7328aa3-7965-4285-8ad1-d0cea1c5a2fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5438" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de052116-221b-4109-9584-4d1a0f69e7da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5437" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b752f01d-9e81-4938-91e5-5075684fbfb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1035d99d-69f4-45d9-b8be-d0dbc6fa8405-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5435" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fb22a9a-27a8-4d44-99d5-9f6ca43ba040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5434" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b614c9e-819c-4a11-8ce7-c26ba962e037-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5433" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d60b0b0-e18f-47de-b8e6-13c0da9419f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5432" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66fd67b7-a331-40db-bdc9-a2a622e671cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5431" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b83d02f9-5946-4aa4-b213-e1bf7927b8d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5430" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53e5415d-9cd7-4766-88dc-dfbe79039412-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4066f6ec-7675-4df8-8938-36309e6f4d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5428" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-613bde55-3e39-4cf6-a1a1-15b5860a3f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5427" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d320ae05-19a1-4008-a86b-105d6f6a93f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='918' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5426" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bdd6bb8-c013-4b0b-bca5-8e88e02ba9b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5425" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6405b1c-860b-4087-8aa3-54244f698461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5424" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-430fddb4-64e1-4295-aa25-3fee3b0f1a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40919']" priority="5423" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40919'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40919' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40919'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a234240-7998-43b7-8e56-72070ddd457f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5422" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_23): de waarde van @code/@codeSystem MOET ''919' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cdb5748-d607-48b4-924d-7f1ae5595401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5421" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27b59e49-ca8b-47fd-bc38-43df0bc31332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5419" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f67d51f1-90b9-40d5-a26d-3001120ce563-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5418" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b8c0e0e-ed24-42c8-af32-c039bb3f3e9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5417" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f23abc1d-d766-4d42-8f40-9c594d56074e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5416" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-946d0b3a-6530-4dda-aeef-f780728bfb6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c251c246-0f46-4de0-b3b6-73ecca67b3a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5414" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de96b3b6-6b61-46b0-a0fc-5117f42862b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5413" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d567863d-216d-416c-a03b-79e6eff13e3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5412" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c81553e-e2cd-4dff-8fd0-3e4ffa030b14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5411" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6f1806b-1e1f-4545-9ab2-a48bf9cfa1aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5410" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12d84b36-78be-48e6-9483-307b86e25510-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5408" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5f96fbe-7931-4d73-9c98-648c6c29be61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5407" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d2e9e14-fe94-44c2-9c1a-67b3fc445e33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5406" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b922ad-5c3b-4092-aea4-c19e42663ec0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a35d441-9569-423a-97c5-1aa03da69fc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5404" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a7d2648-6916-4b1d-b270-be0b409df01f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5403" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-157ab8ee-47bd-4f2b-87d6-a6a7e18f7941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5402" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f61d7c3-28d0-4ff8-90f9-19352eb1eec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5650a6fe-9b80-4500-a2a5-cafa07df1ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5400" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1a0da19-cfa6-4752-947c-433a1b6aec8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5399" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d99329b-a4af-4e7b-a6af-c538e89bf48d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49c75f3d-5439-49b9-a5bb-98b31d2dc384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5397" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f19234f0-aae0-4d8f-9c65-5ea01eeb63d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5396" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8829d5bb-a057-4b97-8030-681fc93f93c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5395" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4aa300c3-59e0-4ddd-b066-36c599ced885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5394" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f768a6b1-41dd-47aa-b689-275d48b91d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5393" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-151b3e7a-734c-47fe-be56-a009f885113c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5392" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84073c71-7f6b-429b-9f17-bb29166ac8fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5391" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fce21296-ad9f-4eb6-a466-18ba8b31f88e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5390" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e630d4e-01b4-4d5d-8699-b5abd7f8b24f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca323359-9bb3-41f5-807e-b03208f07d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5388" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82896e57-d4ad-428f-ab21-35a5989db010-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5387" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d89fe51-4442-4b3f-8e31-806f9297add9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5386" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d389514c-49b0-4dcd-96fd-1104ae3ae493-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5385" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bf1a07a-7bf3-4d27-aa84-e1f0df6079a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5384" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c112bbfc-2dec-46d0-ade0-709244dc8793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5383" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7dad4564-f5bb-405b-abce-61907c9b0d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce2a7d8d-9b44-47d7-94be-fa3b7d2f2276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5381" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2144571c-6053-422f-8601-cc3a9ab2c6c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5380" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cca33f2-4169-4cb1-afbf-6e58e93c066e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='919' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5379" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04da7900-9067-453e-bf39-6bbade5e2c96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5378" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6f5c608-ba4c-44dd-b29a-4ff304aff635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5377" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdf826e7-87b5-42eb-a544-41c08ed74030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40920']" priority="5376" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40920'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40920' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40920'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e19562e5-4070-4be8-836a-35cc75ca61ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5375" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): de waarde van @code/@codeSystem MOET ''920' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2521ad7-3eaf-4d49-8b51-384c9c4d2ea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5374" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf38ebd2-357a-42a2-aae9-0a9826d2a410-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5373" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Plaatst_4_vormen_in_stoof): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03950349-2c44-4261-8e5d-d2492937e048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5371" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65ab91eb-cdb6-4d5d-bc9b-4e74eb6d2fd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5370" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-581472b9-9e36-44c5-a462-7555e577b883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5368" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c66b0149-db89-4161-ad02-68c909037291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5367" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86380806-959c-4fda-bd18-6cb4595ece27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5366" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f99eeea0-1f91-4c3d-9a0d-64a448511a51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5365" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9e279ba-40cb-48d7-8494-4f800b6512e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5364" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcfc3d39-d037-4c14-b507-4e8d0f5aa20e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5363" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73d991c2-3122-438b-946f-04b651cf9f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5362" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e5810a1-e9c1-4f11-b13f-2f034559889d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5360" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-433aeb7a-1dd3-43fe-9296-238184ed82d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5359" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f9f6eab-c199-4faa-ae5c-3149d20a306b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5358" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32d2c861-7ac1-4fdc-b89d-b5cba52fa625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5357" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc24d125-4bc0-4e94-ace0-4ccf961d2de8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5356" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-423ec144-db65-47cd-b190-3dded8d4d6d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5355" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44f10ede-0ba6-410d-beea-2b08e5161046-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5354" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d41ce2e-a9a6-4fe5-98fb-31acea3b5d1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5353" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-948506f5-dfed-4412-9e20-c06f774de474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5352" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fe7d0cc-6055-476f-87c5-b51816e20b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5351" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c3898ef-f4ce-4115-a5ae-31a531638575-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cec8e2ae-3bc6-4060-8048-bfbf2a0d8515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5349" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8783c3a2-d2df-438c-a2a0-8c9f4252f533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5348" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a94fab3-b90b-47e7-9cb7-de419818162a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5347" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9f823ed-0bbd-438c-9f82-eb7a2f15962b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5346" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e389fba-08a5-4021-b198-b7757b62af8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5345" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0719c7c8-3a97-4d58-802b-e95be9aa0365-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6927712f-a318-4123-b9e5-976cc428406b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5343" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bbd9d0d-a678-4dcc-97c0-c99428481b74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5342" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e39a1bf2-1407-439d-b9be-96967a7880e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48fd733a-0e84-43b5-b169-923f4836210d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5340" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b82a8c0c-60e6-4492-bf29-c98290d84c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5339" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41a11da0-11f0-46f2-ad28-a5fe39298d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5338" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-008e8b53-a6ce-48e4-9e99-1a9a4497461f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5337" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d1ad289-23d2-4b54-b73b-710fe346e954-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5336" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e9f7f25-2bce-4289-ae71-0f59270b56f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5335" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee48d20b-3376-4683-ab9a-a06c6cf3c158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5334" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9af116a8-2671-467e-bf89-30b31d0a95c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5333" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb156912-62ec-40ef-9e2c-f49b9faf5f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5332" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48c020b3-0e01-4511-abd5-327955143f43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='920' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5331" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc59e703-f738-4629-9a35-690276168772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5330" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff5b1d51-1703-4a09-9d71-a9cc9c11be48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5329" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-981c2c67-8cd9-4730-bb8c-2c83d1143b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41253']" priority="5328" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41253'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41253' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41253'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd05f30d-6775-4385-b257-e69d76d988c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5327" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_24): de waarde van @code/@codeSystem MOET ''1253' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a6bf7c8-46e4-4b59-ab02-f0727c2c8e2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5326" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-254da48b-0a19-4d5b-89d0-b04cba6f3e59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5324" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-703453a5-726b-4673-b8c9-60ae40841ed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5323" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c22c2672-fbde-45a6-b22e-43ff0d7e8865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5322" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec09ef0a-60d1-46d9-a008-9d00a0cf4bb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5321" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-701c0263-70bc-4c2b-a03e-2a39eb984e0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5320" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d08cff5-ac37-4448-8184-662b1316f74e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5319" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8aa3940f-3bb3-4b14-aa3e-e61b5bdf5707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5318" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1ae10cb-0599-4e79-81e4-76a641258371-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c12f870-ccd4-4cd6-bb4e-da3867277e91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5316" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bebd67d2-b09e-42f6-9cfb-b87e367fdc64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5315" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84019c03-1209-4349-b406-a82762e78e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5313" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7edb904d-675f-402b-9985-9ec81cb27428-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5312" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6aea00d3-8995-4227-9ea2-4fe7c37c23da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5311" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0aeaf44e-8a11-4c3d-ba7b-67c75e83ebed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5310" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-836714f3-5149-4333-abc4-34c12120bbff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5309" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0518201c-8628-4352-b424-3f3010d39f37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5308" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-941f6d3f-a209-41f8-abf6-dbd8a0db4d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5307" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b1578fc-a8a4-487a-962f-74157ab992a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e4fede8-e7ba-4196-969b-8bacd1006378-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5305" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f36583ee-4567-45ec-bd7f-016ab5525764-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5304" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a78c5386-bbe1-4c23-807b-5d11a4879dca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb77af0c-c23d-415f-863b-08bcc62fbd60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5302" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-709e8268-6e6c-45da-85d9-4bce2783cc3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5301" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64ede281-5882-4652-8fa2-f71d950e9141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5300" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-398643d5-a3a7-4321-bdcb-ab2e7c69952c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5299" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07836fe1-af75-4b62-a144-4fc37dcc47cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5298" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81c17469-4f60-4464-a6b9-eae902442cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25b61c48-3381-413d-a634-833d0514cc6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5296" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fcc11dd-c2d7-4df6-bbaa-1ad152e4cbdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5295" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7787e08a-5b81-40a7-9edc-9186e1e2afba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5294" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c2f182a-7357-4dce-9dc1-70a5064e2604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5293" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80f5993d-b598-46ac-b0f6-a073c9b1c3a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5292" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-420b9a6e-f237-43c2-a35d-458697619498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5291" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a4e3f54-516e-429a-a180-cdcf4abd9d36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5290" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b918017d-d203-4748-8dd4-5cba864c3faf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5289" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e0c0da1-3abc-4033-86eb-e191c6dea4c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5288" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-123b7711-549f-43eb-a4c6-2caa5ac51637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5287" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b965663-daee-4616-8410-837fd519bdad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5286" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6400f92f-a24d-4eb8-95db-39ecb7e5ea2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d191af18-0c75-4922-93fd-a5622249aad4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1253' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5284" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2705d7c0-e8d0-4c15-beda-0ec38489a9f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5283" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d6700a3-c6b3-4a64-9cbd-bab7168b1516-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5282" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21851195-e037-4702-8a4a-0a3b790a06c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40921']" priority="5281" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40921'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40921' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40921'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e9abe09-5671-4f58-9611-e25c05620eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5280" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): de waarde van @code/@codeSystem MOET ''921' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05dae1a6-08c3-4021-a7d3-69605aa8833e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5279" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Trekt_eigen_kledingstuk_aan): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d908a06b-670b-4f68-b9d0-9c2a111d0cc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5277" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41ca485a-608c-474d-8e75-394d1b445227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5276" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e062a57-77a5-4fb7-bf59-d15c8ff507f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5275" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8bc89ef-7475-4a5a-a3b0-d9f30032b49b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff78f3bc-f720-4689-ae31-b1ea146241b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5273" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62e00a44-f5d2-4164-a201-55693af4d877-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5272" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc62689b-8288-47cc-aef3-3a2b30f1699c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5271" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16c893f3-3618-443a-a61f-2476ec1f9291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5270" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad1f64a1-c213-45b5-8873-3df808da481f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5269" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fe897e0-3f53-4e57-ab92-49c3243efb93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5268" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94924dcf-4782-4bdc-b9e6-10d88351dada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5266" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a87424b8-a66b-4945-8137-b607f4f72ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5265" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f38fd817-6495-45fa-9405-6a9089002f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5264" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df139d57-c49e-4f71-945a-02a81c0589a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5263" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f563275-ce19-4ae9-8ada-b8ae6ec08218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5262" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d9c5311-0fa2-4e7d-9b69-253c8e3843f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5261" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a015b78-607d-4593-a9dc-9fd8943930e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5260" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-964ac018-8674-4540-8313-7883e0791e1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5259" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f9d241f-d302-4631-9b8e-c53d8f63eafa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5258" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d48ce339-2770-4cda-8261-dbc0e41693af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5257" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9f2ffc1-640e-46b6-8c40-0793c65fcb68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f055e11-e108-4a53-b21c-150ba7644742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5255" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68f551b3-f3c8-4358-a514-39f9c9b2b51c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5254" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8916056-8da6-472d-a185-ec07234c1679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5253" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0c05b56-d160-45e7-8b92-6475a3e75623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5252" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fb617f5-19fd-47e8-bbd8-769510f6f12e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5251" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84693ace-8779-4bdd-95ca-cee646c13110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6106bde6-d903-481a-80aa-4c6d4e896ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5249" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bcec199-e585-4419-9d30-6ff7f52c7afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5248" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dee54dd8-7d5f-45fe-aa7a-61720042a2f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5247" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9713078f-a0c5-438a-b5db-c30d77595f0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5246" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f8f77c2-ac70-456c-bc7a-b5059693f3a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5245" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da601b0e-af2d-49f1-b0b1-31eff8fb8759-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5244" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0faf859f-58b9-4c0e-81ac-c5b43435e49c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5243" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23a85a36-ee50-4ddf-b9a7-3421a26d0146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5242" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-145fd76e-30d4-486a-ab6f-6d2e6f335581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5241" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71c0e865-c6b1-4779-86e0-2a1851270e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5240" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da5c83ca-0c01-494a-8e44-9cc5b4ec371b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5239" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26f2f811-aa0f-4689-98e1-97ae2bc13b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5238" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abd09e8c-040c-432a-8cbb-a687a52c1763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='921' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5237" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7107d19c-3b50-49f3-991e-129e96fa196b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5236" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82a8304c-1395-4483-834c-e806e941d551-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5235" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec9a1782-e356-4eab-b0f7-76884f7eedda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41254']" priority="5234" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41254'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41254' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41254'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-571da7b3-c914-446a-b982-373471d7f6e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5233" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_25): de waarde van @code/@codeSystem MOET ''1254' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa705a58-b3c0-45ec-ac4e-3d2854da7162-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5232" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4f836af-b355-4b5e-97a7-618fb5fdaf12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5230" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-068760dd-98c8-44a9-9aba-5a257b87ae7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5229" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71afc112-961d-4418-81d1-a6b627d1ac6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5228" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11f2c10a-8ae7-4b5d-abeb-dd3180355e83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9efd1d2-f362-4137-84f3-b62e2d47a271-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5226" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e64dc79b-c05d-41a5-8582-c058e719f461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5225" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2876b209-4c7d-4bb5-9556-3b5526bf6b1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5224" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51584d47-fce5-4c29-a822-af800b2d5b72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5223" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8691f165-a290-4199-84a7-f5d8be194463-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5222" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a0257ef-59c2-4f02-8776-8fc8500204a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5221" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-394d1922-38d8-4bf0-b6b0-ab849ad1cbc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5219" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-617ac085-d3cc-46ac-807d-4474dcf326db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5218" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-133bbb80-7329-4564-adf0-2cf224e6b31d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5217" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5412ceb3-5a32-4b96-bdcc-c4b1c85f5721-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5216" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2caa53ef-ba4d-4859-89b1-d53db4dbc2c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5215" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-434cd535-12ae-4f22-a7c6-c9e3a1e54cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5214" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c443547e-4d76-4011-9f97-2b9fb12563a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5213" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc174d57-e1b4-4dc4-b388-bee8c1d25f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5212" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-417e5b40-f28d-4bae-8e3b-c780672aa6eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5211" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38f6c097-83ba-4561-a4bf-340ab4ad1bed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5210" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdf2d18d-9950-4653-82f1-60f4a46697a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54dad568-eb87-423a-921a-67d9cf6a9aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5208" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b17c65a8-e831-4985-bf15-bcb47a6ffeed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5207" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28d34ba2-b28c-49a9-89c8-bdc89f2df1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5206" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1590d2ed-61df-4cc5-b6a4-85cbcb8bf65c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5205" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6185f9c-bba2-4280-befd-5753068b6f15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5204" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d29d93bc-eb5b-4bf0-8178-742bdf5478ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63dc95f2-9a05-48ba-a12f-67bc9b3cba05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5202" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0033e083-1d3c-4309-8fe6-087953b53742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5201" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ef5cf2e-cf59-481e-b2c4-eda0b808bcdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5200" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e6fc65b-a6ce-4edb-9284-4f1adec971cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5199" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3e3b920-4a57-4f3a-88f0-5679ed8436ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5198" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cab42ab6-fae7-44df-9127-b4e67a76bf4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5197" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fc67ec4-8a93-4fec-b6ac-cf39cde989de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5196" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-209525f7-3ee9-47a1-a13c-5bd444a53e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5195" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc86572f-7d26-453a-a3ba-261e3fca4638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5194" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3e3f372-273e-46f0-881f-8332fdfc1042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5193" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-439e137e-7e5e-400d-a71c-d82dabbdeb14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5192" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d667826f-efc8-4dc2-bc94-146c90595c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5191" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-478a638f-c5fe-4707-9b9b-56c2195e9b7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1254' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5190" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08256a82-3456-4642-88c6-7d2bcd5758dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5189" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3b155f3-7033-427e-b800-f2aaa691c50a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5188" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c171b8f6-dd78-4162-8bcc-e614bdb92fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40922']" priority="5187" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40922'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40922' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40922'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c76027c-3b0b-41e0-80ec-51c653c101c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5186" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): de waarde van @code/@codeSystem MOET ''922' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b58cad33-f63a-4a50-80e3-6e4b3852a3c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5185" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_26_Tekent_cirkel_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61955306-52ef-4a66-a591-0daa42a189a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5183" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d1385d2-3740-437e-a767-6d417d999ae7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5182" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1073776b-ab3f-4275-8929-02a8395016d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5181" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2b36ab5-c334-4c8f-95c1-b7f0873328df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a59a318c-b949-49bd-b8b9-24b135ac516f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5179" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96e55ec8-42b0-4a23-b008-6e62b18bfd00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5178" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11860b78-3309-4b48-8b41-9db3bff0a296-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5177" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b51bed2f-6de4-48b9-a578-bf292fd20dc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8dc00ad-bd92-43e2-8e73-1e9f4d334021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5175" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f8400fc-7f25-4b3c-9289-cae63d32d61b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5174" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fe0507d-e582-4488-9fa4-2c817195d65b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5172" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd5e7037-73c1-41d5-a27e-abd15fb6ac94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5171" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4b741d1-00a8-4826-8223-9c8ef24ded75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5170" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85ee70b3-860d-4c74-9b21-e174760dcb8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5169" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9e689ed-dbb7-41b1-bb49-b7d49d096a6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5168" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a51f48ba-d26f-41b5-9012-17748fe0b20d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5167" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7bec719-ef1a-4053-92d9-490c816e6aa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5166" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac759d0a-ba66-41ae-88dc-ae27250ef50c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5165" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-edd97fe1-cbbc-4af3-9814-696d11681df5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5164" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ff92de8-98a9-42c9-a743-e54d6bf1bcb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5163" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-212281f9-976a-4832-806d-f9711115e104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1f59796-b574-4104-93cf-cb73ad578b5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5161" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfa58fe1-091f-4f1a-9933-991044505a28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5160" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a338c6a7-cad3-42cd-b99d-02f23925b59f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5159" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bbdade25-dcb3-433c-889a-fe239c536fbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5158" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-647b9777-b6ad-4ac3-8737-3b7315083a27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5157" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa5b61fe-66eb-4b33-a59d-9fd24f6fdcde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3553852-0762-452c-8771-504f796b0a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5155" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae64f166-06b1-4163-9c95-00f0d5f8adae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5154" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8547c967-afdc-4679-8187-ff22ca214839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5153" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1e79695-7187-4db9-8eed-622c8bb57b34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5152" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9783617a-2571-4337-abe5-e0bf090f901e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5151" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1817b7a0-001c-44f6-8706-3f3fc1ce26a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5150" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cae1e43-304b-4ba1-a104-e51340cd00bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5149" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b3d29c7-44e1-4ecf-b0c1-f6adca3a153a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5148" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d24c0246-b27b-4365-9e96-60f5b3b561b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5147" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3531aecb-e6c5-4018-be47-c8fd5357e0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5146" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1fe3400-9691-4cda-a8bb-fcd09c2bee26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5145" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29cb01a6-bf04-45f4-ba78-405ac53ae94c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5144" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8f839f6-7e84-404c-bd08-b7bfa426fe52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='922' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5143" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fffe707-4b6e-4bfc-8a04-1e205ae5f980-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5142" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93db0b09-b25a-4442-9d18-dabcd30916dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5141" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e39a4ea-9993-45a4-9977-2c161bf706b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41255']" priority="5140" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41255'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41255' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41255'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-289cb481-229e-462d-9dd4-cbb2858394e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5139" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_26): de waarde van @code/@codeSystem MOET ''1255' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c2f60f6-559a-4def-9d87-4ea1229ae361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5138" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee4c22e5-3912-4058-a550-3c41afe4d9e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5136" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-163fe687-1d72-43b4-9ba9-f4d2ec97a5ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5135" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc6d517d-5ddf-408c-83a3-bb908cbb9649-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5134" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6128bad-356d-4233-9e41-e15b880f01a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b683e57e-1d24-48ae-8d46-a88966a3cc64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5132" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21458b0c-05f9-47d4-a068-b8b778a950c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5131" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6a2e829-0c4f-4185-8c9a-6c495518b778-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5130" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-375b9e7d-f55d-435e-97a9-a9a4baacf2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fbbdede-289d-445e-8b85-157c375b13c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5128" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b8aaba4-f8b4-4a0b-9ceb-01baf2c5ce9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5127" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d6a6a65-fc89-43be-9682-153f00f224dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5125" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cf942d4-a8a2-41a9-82cc-619e2f0d18b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5124" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18a1e07d-3d37-4ad6-9ee1-97c094bcf90c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5123" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29742216-2595-4ffe-85e5-825c415e9fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5122" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb75a5cd-c0b7-4a70-a5ac-5aae62f60ae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5121" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-223eee77-53bf-4df8-895b-5c0362cd5ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5120" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b046005e-2a2b-49dd-bbed-4402ad05da5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5119" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-487d58cb-ca10-4f65-9f50-d264adc0ab97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5118" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a8b62a8-9928-4df7-adf6-92e0c804805e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5117" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d14ea91f-a973-4e72-9f8e-9cd4dd5334da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5116" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21110ff0-3d80-48ba-834e-b0e2cc93a1ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dff49de-3a84-4b5d-acb4-f73aeb423aa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5114" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43def2f6-9e58-4a97-a497-5efe84b469ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5113" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-edede07b-51fa-44a9-b7a2-234aacbfaec1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5112" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6aa5e77-d290-4f8d-98a7-18a59869c044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5111" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c84cf55f-97d0-4f97-8c58-d359ceb83889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5110" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe78c1fc-f3e6-4e68-acd1-f5cd0225b02f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86c7b53f-972d-4dbb-91f7-2f8acd78d6d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5108" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87778cad-1449-43b3-92ea-48adf7f37e14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5107" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31fa1b80-d6c4-4ef3-9462-8e4735665472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5106" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-599e2c8c-4704-4ee2-a6b7-3a642c07e38f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5105" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d6c668d-76d9-4376-bf38-073acac20b9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5104" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a8e57e4-0c1a-4d12-b16e-7b6682d44f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5103" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a6f896a-633e-4ff8-a8a0-3cf78a4dab14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5102" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4bddef4-e468-438d-a145-94a986dc9445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5101" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7b5f678-9be3-40af-b4e6-ef9cc580ced5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5100" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ce134a1-cc20-46cc-b629-065376c336c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5099" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c32b411d-6781-4fc5-8239-933254b3cd5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5098" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd624b18-93a3-4681-bb58-f362c62968b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5097" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50adb2ce-9ba8-4bfc-8576-d9bdd56e79bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1255' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5096" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4eeef0a4-8cf9-475d-894e-29d76707dad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5095" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9b34e27-1594-4118-bb4b-0f102fd3c07c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5094" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a546f5b-8ea1-4b00-9b8c-00dcd52795d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40923']" priority="5093" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40923'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40923' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40923'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cd572d8-ddfd-4493-affa-f9df742e4888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5092" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): de waarde van @code/@codeSystem MOET ''923' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f36a9340-3319-4cee-98e6-2157cb6fc833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5091" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce1a744a-e2dd-4d43-9330-2046025ce9ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5090" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_27_Houdt_potlood_met_vingers_vast): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f046cbd5-99b0-4459-b98c-277c76d475d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5088" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cbfbebc-881b-4bbc-b8ab-c14391928305-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5087" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c7496ea-b2c7-40d3-8668-30f182fd8244-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5085" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57b6cb2a-22cd-4a1d-b7af-c9caf959e79a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5084" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-607af698-bc08-43ef-883f-301954bfedb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5083" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c574fb0-8041-4d45-a7b1-2c8bfab2e3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5082" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67fc43c3-2e4d-4f76-9db4-3adbb5030bb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5081" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78f617a4-41ec-44e1-81c3-6308df89e535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5080" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44cb8a0c-02d5-41b3-a2a3-fe0153cf7f77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5079" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e97e90c9-e609-44ba-876a-65956241a55c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5077" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ec43935-2bbe-41ac-8859-f7d6669d078d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5076" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40e6d339-fc89-4140-99b5-d9788440f79c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5075" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbab23f9-da84-42d5-bdd4-f6b1f93e0bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5074" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c80a220f-54d8-47a1-88ed-e062cb79c2d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc4aff04-2eb8-4005-b2c9-bfd1fa1ab1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5072" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adae8d86-ea8d-4263-9f05-0d2582a512e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5071" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62498bad-fa11-4f6c-a077-b1074fe3a3e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5070" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09158d62-f8d0-442c-af5a-c1bcb3b5d9e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5069" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-077c8dd2-b77f-4873-a3a3-a1fa42c7308f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5068" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a4ec6e9-9637-4790-8546-162971600c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5067" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b7f1222-cd2f-4be4-84d8-339882a20960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5066" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4c252e9-3a7d-4a8c-a927-570a654f0f83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5065" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddeebf15-e691-48d8-a6a6-0971a1f24e76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5064" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20d53ef8-87eb-4302-b478-9ea5b51a3e91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5063" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bd349af-bed4-4254-8f4b-52f199f130e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5062" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-295e8daf-4483-48e7-8056-4e8b0d7efb63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5061" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ced44a8-1581-4870-a61f-65dd4ecb1763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5060" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79177fb3-53f9-42e3-9698-297db8b27ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5059" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c399a0a-08bd-4fe3-a17f-125bfcbc8691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5058" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79a7beda-35aa-4da0-80ab-962016cae920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5057" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6610f7e-aeeb-4c39-9f8a-e3f7a86565bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5056" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bc4601a-6c7a-4145-b626-4bae141d52b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5055" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-739753d5-0be7-4a2e-a9ba-8866f91450fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5054" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2de6562c-7153-43e5-b60c-fb9e20d42349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5053" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81ffa4f2-955e-4300-9b0c-01ad11189a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5052" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30c16141-164c-410c-b23b-d5a864d55188-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5051" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d72a91b-7108-4589-9582-dd61f328fd0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5050" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d61dc264-aa24-4cbb-ad6a-e42e69245d35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5049" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cd89969-4f59-4165-a066-43b1650cd32d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='923' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5048" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11b8d268-baa6-43f4-b174-bb6b0ceb50f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5047" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-794ff64d-51f0-4c60-a376-2f1fb32207ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="5046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e564f0e1-2c66-4a94-a84e-9a307f3ac8cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40925']" priority="5045" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40925'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40925' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40925'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e533784-34b0-4504-a2a0-142208531b05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="5044" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_27): de waarde van @code/@codeSystem MOET ''925' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7da306b6-a6c0-4d52-b05f-981d697c10bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="5043" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc7d10e0-12b7-4497-b11d-2e3846ba1f3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="5041" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47cbea12-0fab-4c43-bdaa-9a2b1f1edd7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="5040" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f23a5b19-90ba-4c11-920c-752f651da63c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="5039" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b3b0677-2f2a-4cff-8cc1-c3d4a6e19149-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="5038" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13726699-237a-4c92-857a-0eaa5fdfca9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="5037" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5861932a-c0db-42a0-a3d3-f3292df1b897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="5036" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-195ee5e8-9d58-4b5a-9b6b-2de561ccbca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="5035" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fa6cb15-9e24-42c7-9be2-bee83d232deb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="5034" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e248572-6b17-48fe-bc22-763a1d564ea9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="5033" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-001b8769-cfcb-47ae-9aa1-79c06c6ccffd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5032" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc91da6c-d914-4f25-bbd4-07bff5246380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="5030" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6670c4b-98b9-457e-a95e-fd96e9bdb40a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="5029" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04b1aa22-9c9d-4f81-800b-c83beede0a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="5028" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-565cb2d9-c8f6-48ff-93bf-c027a3717a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="5027" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01a0670a-4303-4837-af24-416599c81bb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="5026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1b6f624-7825-433b-ba26-64b1df79e5d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="5025" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47930542-df4b-4e39-9c04-9172afbb7970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="5024" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88479e21-3f5c-4a40-8af8-122f8cea41a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="5023" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-736abee8-d36f-4426-b6d6-a3b44ad8cdd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5022" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c418110-e957-47ec-91a4-90f1bc519874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5021" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd6901ec-4692-4ec3-9acd-4d7b74b3483e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5020" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6852d513-387a-4bf4-92b6-7579e3411152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5019" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-062bba8b-9038-4a95-915c-40a6149d9f7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5018" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0bab2d7-7e86-4754-831a-e3580e443c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5017" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab32ed97-e4b8-46fe-9bd4-5d6c6ac34785-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="5016" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82da198b-0577-4808-8c8a-8be09d45fc09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="5015" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2a6490f-930f-4f63-b961-334bdbb4d02c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="5014" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2cbbc6f-5a26-41d9-a877-87b5e74efe40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="5013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0a5c239-6fcb-4225-ad8b-6d92ad944148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="5012" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6c1fac7-a462-47fc-b716-9f49979b7b41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="5011" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9d2588a-6803-4b80-9add-75f8c60ad162-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="5010" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9463771f-e674-48de-ad9c-a36706204d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="5009" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9eb7d7a5-adb2-4dea-ace3-50d1af471513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="5008" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a37bef9-4976-4452-8729-2debc70be19c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="5007" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36ce6bd9-db4f-4cae-87eb-81ea1386c620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="5006" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df3fda8f-6dda-4963-b47c-1622536bbbcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="5005" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-998841be-afaa-4985-b71b-611726d53ec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="5004" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0afb6cb4-396e-4650-b873-61612d250f33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="5003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba694bab-dabd-44ad-b52d-fa3861866523-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="5002" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed7d974a-ec8a-4b81-aeff-12a0df22fb84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='925' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="5001" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cd9f794-1e84-4c15-829b-00e73ab86c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="5000" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6c7c25e-9dcb-4860-af0b-058db39cc470-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cacc4b52-b33a-475e-aeac-710f7cf471bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40926']" priority="4998" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40926'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40926' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40926'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63fbede4-ef08-4b4b-900f-f4a7d7d8fe09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4997" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): de waarde van @code/@codeSystem MOET ''926' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4532e85-ff13-432d-a12a-299686b0c815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4996" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_28_Tekent_kruis_na): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7178c204-1fdd-44cf-91a5-db2e95b17002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4994" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5385682-f959-42ea-b2ea-29bb10cbece2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4993" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-712becbd-b3ca-40e6-be2a-e0b3a2d93de5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4992" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05fb62ee-498d-4fad-af4f-ee7af62d68f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4991" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16964290-a7e1-409e-9239-e9bd61056852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4990" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba8e06bd-4cb7-427a-8b3e-3eab1103fc42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4989" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a81e9f51-f050-4a34-abd7-8322f42c8f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4988" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa86b428-dd4c-4e53-9eaa-b0cec2e55fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4987" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-299d3d4d-7ebe-469b-891d-5067335454ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4986" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6e8208d-eacd-4cea-90d9-a4343ec9b936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4985" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63ca6f31-350a-4356-9455-c3d52e7d662f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4983" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e59f2456-a397-4765-98c0-0c6d03d2bdd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4982" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fd7fc5c-6e8b-4b62-ba36-2c26bb69105e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4981" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16b4f3a9-0a43-472e-8474-602a5bdcf9f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4980" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c811fbcf-ec9b-4e4b-b20d-9bdda0ae1bbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e837605f-bd22-402a-88c2-88fce3931a6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4978" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65511ecc-953a-45e6-9187-f19b5fefd6f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4977" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-162fa69d-f347-43ff-a5e5-caebe6d30659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4976" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fef11454-fbb8-4c74-b862-fd35e95ebd01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4975" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82d47d69-8022-44cf-a49a-e9c7058fca70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4974" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-131a0a4e-5394-4486-912e-6a16121f6642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4973" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45d7264f-629a-4939-b9fd-8d748f472d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4972" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d7627b0-2857-4eff-8c7d-1b8971065e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4971" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8ff353c-6983-446a-9bbc-74c43cd07648-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4970" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d62e3711-42ef-442a-8cf7-4001d34e1176-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4969" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7759eb2-8253-46d6-a228-b4b0ff69a84d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4968" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2e1f485-76cd-41fa-8f80-f4218ccfd4c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4967" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69d33733-367c-44b1-97fa-9fad79f8d961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b25b4e8d-15b1-46bc-acd8-16132170a360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4965" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d230b50-5a93-4327-bdd3-1a51ba282a79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4964" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2918d699-06a7-4b0d-b4c7-ad3192dea92a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4963" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-870480bf-692a-4c42-97d2-f593aaf3fbb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4962" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cca8401c-eb07-4768-a5c3-dacab1055533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4961" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcc2837e-ffcf-4b08-9e91-89906eab039a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4960" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9333b110-c10b-4567-a984-8a61730a9647-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4959" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-811d4bd3-0c54-4944-ba67-3812e997740b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4958" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af0c22dd-0759-4154-9ec6-b41e560da7ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4957" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f9492e8-e1c6-4f1d-aba2-491513ff8fda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4956" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb15b58f-e683-4963-9350-ecdfda485360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4955" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01da1168-a3f0-4dd7-90a8-9940c1a48f6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='926' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4954" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-524737a2-0d10-4636-9df6-3de1dbfbff9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4953" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c09a80ad-7871-42be-a75b-fe82eb45cf40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbb35a6a-8516-4238-90f2-e8a9d9c581f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41256']" priority="4951" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41256'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41256' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41256'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d79c08e6-83f2-4dba-96e2-1e174945441f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4950" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_28): de waarde van @code/@codeSystem MOET ''1256' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0038a195-e4c9-4695-9f76-0dabae02db1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4949" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6379ec87-b368-4d40-a9e5-d487444b9895-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4947" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b165db73-c270-4574-9533-28e1c37dc64b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4946" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34e094eb-d4c2-48c5-885c-eed1afb2201c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4945" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa64359c-1a1a-4bbe-af2e-51ce75703dfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4944" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51433230-be08-4a72-abc7-28c0bfdfb04b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4943" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcba1e6b-b5e8-4023-95e2-59204a14b40c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6ec3823-94a4-479d-9134-8c9a7e637261-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4941" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ebd290a-0108-46bf-a2e3-9ed4adff0e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4940" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b32666f5-aa3b-4ec8-a8d2-9ff5d3f819cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4939" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbd7d05c-ed0b-48c2-b70a-517e9eef7631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4938" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f18f6b1-2d2f-4ee1-80e3-d9dd1281a6c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4936" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3dcc38ec-cc9d-472d-9599-123f0af6fee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4935" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ac3ece0-12da-41d5-b90a-fcc965d0d995-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4934" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b705108d-f249-4253-a4b7-d2e827316503-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4933" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7dad8225-b722-4a7e-99a7-60c8346ed8a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4932" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5b8f894-7ae2-4be0-8e91-4d2366ef141e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4931" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93e99306-8ef6-47fb-b6b2-667213078178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4930" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d2b46c2-d0fa-46a9-830b-290137f2ea2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4929" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-baa71fc5-b28e-4901-9a3d-f9cd2ce51eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4928" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ed25add-76eb-4ef6-8dbb-bf7790f2ece4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4927" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51af52ea-ce56-4b9c-af17-3c89feee3d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4926" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35827ce3-cd19-4188-825b-b59a433a7f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4925" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5df02d9c-9416-4fd5-95ac-95130ccaab7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4924" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3334b37b-fb52-4c99-868d-441b9d4ff2fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4923" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e61217bc-36a2-45fe-9c24-fb216120045c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4922" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-975d5300-e9d9-47cb-ba93-cbaad3d9ba22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4921" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd3c85a1-118e-47ec-8f45-ecb1110f4da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4920" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86f76ad8-74f9-4fbe-8e54-92090574ccd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce4948fa-eb01-4ab2-b6a5-dc0ff55f3533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4918" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27fa18cd-5b9b-44e2-822d-fe88f7253315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4917" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca267c65-3f4a-426e-ae30-9b4176abb379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4916" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66435809-cf89-4cf8-87fb-ed032f4e5ad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4915" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c7e01d2-69c1-4a82-8b3d-ce8f374db4c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4914" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fef4d03-c1cb-443a-8052-d8f23c22af15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4913" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2257f28b-4162-4176-9277-ad4089adfc5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4912" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77906733-df93-448b-9099-4f1708277a68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4911" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67c3d0b3-d6d6-45df-a029-65226193fd87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4910" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5da4ec88-d18f-4570-9bcb-94c8c2e2a0d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a060cb3-3632-42b3-9abe-4816ef9fc811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4908" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b990570a-d052-4cb6-8c17-675b9c944863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1256' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4907" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1b57b8b-a325-49e7-b8bf-f9f2ee3a5444-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4906" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b87dec5-fa8c-42e7-abf4-fa863148cdb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19618f88-1750-415a-a977-0334b6857969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40927']" priority="4904" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40927'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40927' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40927'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ec74120-3ea0-436e-b77c-5b079b24237c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4903" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): de waarde van @code/@codeSystem MOET ''927' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95f7d3a0-131c-4ee4-ab01-230da5b55cc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4902" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_29_Reageert_op_toespreken): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5645de74-38f7-42c5-9856-16564c5aa105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4900" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5085f99-da40-44c0-bfb3-42e5f2502758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4899" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d91b35ab-2612-4051-8a5c-4be180616ec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4898" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9778ffbd-e5d2-4eca-8069-4381b5e0da9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4897" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47c069f7-3264-4449-bf97-bc515972fdb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4896" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c04bcea7-3df4-429b-91e4-b43b110e5062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-395d567c-9bb5-4a81-bef4-be9852b45547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4894" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e0e51d2-71af-45d4-8323-dcab94613c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4893" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-131d8cf4-b6ac-4259-89af-7df889892ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a864a30-ff4a-4c56-aac4-07c18d50e6af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4891" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e60e40c-a5f6-4c54-b105-3a9e4bb11ddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4889" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7f7beb5-e9df-430f-98d0-a5f77cb0e950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4888" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57f47e06-a0ca-449d-833f-8471ed293dd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4887" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9094ef5-97a5-4124-a97f-52ba71dcb5eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4886" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef33948d-c3dd-4835-9ea2-d2735c4f79f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4885" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e56f6a12-7440-4161-972d-55b012b3227f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4884" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c652f174-9220-4c40-81d0-48ce308e214e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4883" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85bd5b56-d339-4282-9e65-87439af37852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4882" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d3b83cc-7b66-40ba-9d57-759801d305f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4881" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51db6672-7f2a-43f6-8a05-343a699e0ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4880" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eac7f407-7a88-4821-a589-ed726e3226be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4879" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6260d4c8-0d37-4010-9aa2-b05a61d2993a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4878" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14bb7ea6-95c1-42ab-9042-59763f3c2958-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4877" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e12ba2f-452d-4bfd-8647-f02f8ccf754e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4876" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1477861-95b2-4754-830e-24094355dd56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4875" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a52be315-8b59-4c71-b399-0f1a7ebb8da2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4874" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4649ceec-695e-4a36-9570-d4a81948c154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4873" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94d4b245-754d-443d-b124-5c01c1334e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d73060c6-89b8-486b-b98b-4b2426d3519e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4871" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dccdd1fa-03a8-48f8-842f-caa549bc1e05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4870" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fddcd0ef-6005-438f-baa0-72e8cbc9d299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-166c699d-8190-4b2a-9168-872aeb16f684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4868" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70bca69f-ab71-4ddd-a372-892ae74e5d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4867" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3be595c-f76c-4db9-a1ac-0fecff72878b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4866" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42781b6a-5eb9-491d-9dad-13489de5ee8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4865" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2652b3de-61ba-495e-886f-7c0a71c6a41a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4864" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85c44a78-1c06-4c10-981f-6f5d80872805-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4863" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9db52045-d885-4da0-9bef-34491d12ef16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-519544a7-9d82-44e6-ae16-ac21e81d18b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4861" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a535d8e5-b0b2-4be9-afb2-f72caa468e6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='927' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4860" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a073feb-b111-4b9c-bea4-a5f0efaaece1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4859" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14232599-00fb-4be8-8c4f-61bffc1b2066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3a5154d-47c2-43b9-aaf9-907557b1ada3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41257']" priority="4857" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41257'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41257' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41257'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0aabc06-dd5c-4394-9840-7aac9bf54665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4856" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_29): de waarde van @code/@codeSystem MOET ''1257' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbfdf6ee-b1e4-4835-a555-bdfcb8b92d9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4855" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6462bbd-39e1-4fb1-ad02-758a836c59dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4853" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0f60290-5374-43cb-9a42-5e1d5464a4bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4852" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-def96a70-41f2-49f3-b088-fe0346f62f32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4851" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b2acc71-691e-4d4a-8e2e-b4714fb55671-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4850" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ca9f9c4-40fa-4385-b514-1dad2c0fd0cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4849" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9a21520-9cf4-4612-9f51-0c48ebcea010-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6f58343-703d-459c-9b02-e5cba52053ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4847" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4ae8d12-d6ba-4ae7-83b9-1e89a08e1d7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4846" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b443f19-ca3b-4537-873a-b7f47143df8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4845" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f320eb7-4445-4e72-9d04-d516651286ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4844" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4657a5b-f355-44ce-9fef-fa23e4c70465-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4842" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7bd2578-3c4e-4c7e-842c-fa8d5fb78c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4841" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7af3ea3-bd7d-4fd6-b77a-66ee0ca8621c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4840" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9a6356a-7453-4bfe-b73b-a83e0a7a31d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4839" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95f598ad-c307-40e2-be44-144b8c82d398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4838" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acb2ddeb-73f9-442c-88f5-901129d51be7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4837" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-590466ec-e12c-41b0-820c-36cac1c68bc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32c646a5-b80d-45a1-8df3-d6236ad69b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4835" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ca7a14e-828f-41ab-9470-329ecec14b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4834" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0966b0b2-efef-4fe2-a06e-487c201f6812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4833" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40b8ddbd-a6e6-4d6d-a007-e54a7396b134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4832" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-698f1b53-c48e-4e0d-87fb-c1651b6c444e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4831" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3c34aaa-a914-4f4b-83ff-107d5ad9faf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4830" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97279d1a-4f69-4284-a393-547d130d17f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4829" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb627bdc-1336-414d-9e01-e550e7f1d35f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32bd1c8a-8727-4af5-ac03-04f8dd3c72ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4827" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc28526e-57d1-4fa5-8f0e-fe1ad9f9c902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4826" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e01e242-f002-4b00-9abf-1165fae7f798-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91e2c153-733d-47c7-a1bf-fc447d6f8b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4824" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f726f6ee-b25a-438c-bd09-1b52a3457e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4823" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1271639-9e3a-4bcc-a8d2-13bad0e70cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4822" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da31fe22-1c7a-45a8-8c89-3d41c991b592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4821" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a821044-e192-42b4-b411-fb20bae1f6b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4820" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68efae3a-73d8-4333-8933-b11bf2b023b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4819" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65b0d794-4ad1-4ebb-8efb-e931922aca92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4818" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55c6bfd7-3a6d-4f80-9be4-c3d47a7b31d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4817" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa1b2181-b4e6-46a7-b2c9-7ff3c927c26c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4816" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5a8cad2-5f2c-4ef1-ac6a-f83436a6bfb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4815" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19955141-d651-4f81-8500-37f10d90e7f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4814" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bab2908-0105-421d-8649-0a15682c5c91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1257' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4813" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de540bc6-16a7-4c7d-a099-70ead92bd5b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-169f3a28-dc6c-49f6-90d6-da3bdb3cb39e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4811" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecc174e1-8ff8-4416-9a24-1f99d6f7f237-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40928']" priority="4810" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40928'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40928' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40928'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-409cb1f0-be84-4591-9fbe-7482274bb7d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4809" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): de waarde van @code/@codeSystem MOET ''928' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efca499e-e3c1-49a6-b520-3294ff8c71c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4808" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_30_Lacht_terug): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9755c147-b741-4a92-8879-b60e818706e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4806" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98827464-21f8-419e-8ca7-0dfdd9974093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4805" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6749ad4c-a4e6-4cd9-878e-a7fcabae2d68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4804" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d4ac4ea-8a01-4672-beea-0370b297d1c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4803" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1db2f3a7-9e69-46e3-b7d8-ee1d6bdccc0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4802" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af26c35b-3f42-403b-b534-3f0c9ecdc058-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4801" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-096e6430-f161-4d7e-9349-ba3d3494fbe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4800" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c630f775-0550-4279-a200-26a4e7d34746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4799" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-251d0347-02da-4b23-b88a-0733dfccf3cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4798" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a68ea64d-e60b-40d9-9c01-ac14671185b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4797" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32f4ed5c-b215-4154-8018-c248741abd64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4795" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55125d50-42e1-4cc9-a69d-df47b1cd4f1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4794" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f50ba8d8-7b11-4ae2-8f3a-28164cdd71ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4793" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f82508b1-9ce0-4f57-99fa-b002244cbaec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4792" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-342685dc-312d-4f94-abef-ca39c73404c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4791" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b57cc4f-d774-4d12-93d9-23c187a4bf4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4790" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d9f6eac-2449-4a27-97cb-76e6d7955a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4789" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2117254a-ff96-4708-9215-07b55c4f4ecc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4788" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fad6edcc-66fd-41d9-b37a-802f68b172d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4787" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dea960b7-9b78-43c6-b1ab-12f73e3d6c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4786" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16aefea3-45a2-42dd-99e8-86ab01138ae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4785" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e423086-81c4-4b88-af45-ee0952993adb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c58d0ab6-451b-480c-89c0-289eb416b4a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4783" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9b33439-5311-418d-b7e3-d45cb9d2bfee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4782" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8c723f0-9da7-4928-bfbc-24a1cd80e6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1228c1ad-1e65-4292-af96-7b6bae8e1cea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4780" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bf0c7a4-6715-4d57-9650-c7b0ed02f67f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4779" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9eb51e1-df20-484f-8563-3dc68866fd6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4778" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55d5012a-8a82-40c0-8ae3-1f3cd3e1259c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4777" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47f8779d-dec9-44e1-93c1-84bb79b00e0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9546db5d-9de5-4e6e-899f-43ca40e98e02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4775" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30c665b8-e0b9-4d61-8c37-b6ed51761b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4774" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04e1806e-ed1f-4af8-9ea0-64385f2766b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4773" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32e2212e-fd79-4dd8-9d27-903e54b3ddc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4772" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69393177-ee9f-4a20-90e6-636a4f674e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4771" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae2eff96-d434-48b3-805f-848d106c5542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4770" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c06bfc1d-8bdd-4520-8161-4bb359fdbf2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4769" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e8c56fe-ac4d-4c81-abb6-d857f18e92b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4768" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a819866-a328-475b-b4fb-afb5d68268e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4767" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14f0f677-b372-45aa-a922-13d805a40ba4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='928' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4766" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19c51307-3c48-45d4-83a6-dcc6baed141e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4765" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e122840c-b16a-419d-9459-f99441b54dc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4764" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f33ded5-7083-49e2-a60f-ba4d069222bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41258']" priority="4763" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41258'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41258' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41258'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-caf0fec2-abc1-4e73-adb2-0498f9f1d3e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4762" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_30): de waarde van @code/@codeSystem MOET ''1258' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-407acc6b-df39-455c-a8a0-e9781a76f9da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4761" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96893f49-86c8-42fa-a1dd-fee93cab899d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4759" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e180edf2-43d5-4d11-9ae5-a54001522790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4758" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84481e26-2afb-4f75-8d91-8f0832b0537e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4757" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83b79f81-397c-440e-bd6b-f514058e8c26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4756" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc183165-304b-4f21-85d7-8c2dae740f43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4755" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d753d82-3f1e-4c71-bfe1-3192a3a41f52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4754" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2206105e-6d16-4d4d-9d47-729b2240b12a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4753" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f32d608e-71a5-4ab2-b85b-6f4d49ef58ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4752" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-685b62c8-406d-44bb-895b-a98368117f30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4751" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95581e30-0c0b-4806-8cfd-5943886568ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4750" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adc6c895-2662-48ff-abd1-6e32cfae1c0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4748" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3feb622-333a-4ecf-b758-d16ff5e15128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4747" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9352bdc-5da9-4fd2-a7e3-5d16821ab455-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4746" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23d8c1f7-a537-40fb-929c-b10922512da3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4745" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01708356-3621-47a8-8eeb-7db1cd0d410c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4744" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a654596c-1cd1-4cca-8e62-c4a3ba1c3f99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4743" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a9c187a-444f-4e87-aee8-f7a1ff0f5adf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4742" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19d2d022-f3f6-4e25-be8f-34fd9e3630e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4741" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a08878f-1ded-44ca-b524-2ccb6280d2df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4740" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ff4677c-d2f7-4f5b-bcfb-0e70fc81f187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4739" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d31d004-8a6b-4993-9a41-761442311297-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4738" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0dc03684-b20f-42aa-b918-a5f69d19b9f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4737" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-060514cb-5bd0-4aed-979e-94dd144397e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4736" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66cdab7c-41aa-49fe-b075-10f9bcbfc0a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4735" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5068d3d6-9de7-4f2a-abd3-964a5a1babcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08827baa-f8b5-468b-8d6a-90325abea191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4733" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a078cf4e-599e-431f-89b2-deca448e13df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4732" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6b87eb0-1d1e-4691-9611-6a05e8ba6269-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf9cc1f9-aae2-4b17-a829-4ee056574895-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4730" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-676a9596-89e1-4134-95fe-468535fa451e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4729" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89cd6cbf-7756-422f-bb1a-d2bbbed4c9b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4728" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acf381b6-e6fc-4242-85b3-5a2a83afd6a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4727" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-680d2b1d-d09b-44ab-8e1a-e9c5ece9a999-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4726" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b403e0cc-b3dc-47c0-8c83-abdaafea8e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4725" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f893d47-2d11-4385-bbec-20b867abc2fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4724" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f29d69f-3668-46d6-b124-111877a170d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4723" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0e165e3-309d-470b-9485-b2419901f69f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4722" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b9de237-61f0-46dc-ae7e-75f9afbe0c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4721" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28ed4f33-3445-4fb6-aa26-60a7e4134dbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4720" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bccea51-4e6b-41f6-8e48-7065f034a5fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1258' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4719" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a84f7aaa-3917-4955-a3dc-4ff6879a5328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4718" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a040ef5-7fa2-452b-a8ac-3bc07c062928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcd32ebc-6528-4da9-8638-a0fa49157549-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40929']" priority="4716" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40929'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40929' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40929'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b3a8a72-bd95-4cbd-b615-55756cab7c85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4715" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): de waarde van @code/@codeSystem MOET ''929' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2cacb14-acaf-4caf-9e48-6044610ca79c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4714" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='wk'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Lacht_eerste_keer_terug): value MOET eenheid 'wk' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='wk'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-875d5f48-45ea-4def-8e61-efb815bdf282-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4712" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02e30b55-735b-4c5c-9505-8f110923274c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4711" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a423310e-718c-4664-b061-deb5b61360e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4710" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c505ee87-c5f1-4320-afc4-5efae34c1ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4709" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-158ca6d2-831e-4b08-82e7-ee154b31478f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4708" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7607776-cde9-429f-92af-58a05f8499fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4707" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fccb2d3-9e34-4448-8fdc-3b9494058489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4706" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3288b37a-89e9-490d-a11a-bbae387a35e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4705" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4c48a06-c0e7-459a-a010-3842f21a83b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33dcf3f6-040a-41c4-a359-8a40ea1e01fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4703" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-385d8f59-50e2-4a25-812d-5d147ec48610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4701" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1097d16-d032-4ec2-8d01-115477a1ba9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4700" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06c44bef-45de-4809-96b2-fdaa652595fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4699" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be979e9a-9db2-4330-a392-ca42e0e8b29e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4698" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2965d9c-1a9d-4329-b2b5-2c44113cdcaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4697" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a41b22d9-7fa4-4bac-8a6c-802c8c946f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4696" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-557f0bc2-5eb8-48a8-9adf-b16920e3c8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4695" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-faeb1b20-1d47-41c7-b69a-49d7cd11d052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4694" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85086533-fcd2-4458-a200-c4ac949e789d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4693" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77c8f35a-dd27-4f08-b5aa-49c092d8955c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4692" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fde8be84-19cd-4ce0-97b2-6991834db2be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4691" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8636d76c-7894-40df-89d3-acb52af6a221-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4690" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51b3e543-15fe-431d-9094-4e304a32f586-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4689" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf8a14fc-09de-4c92-b22d-176d75d3a300-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4688" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12bd07d5-480f-4732-b68a-3ded64edcf2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9764a80f-25e9-4b5a-9043-981f9d46a1bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4686" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38f7c1f3-504c-4775-b823-55a42d48b461-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4685" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2be4413-2063-41d6-ac27-8ebe1d71d98e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4684" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecbab07a-2095-49f1-a26a-a5ca4f4c6c58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4683" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1189f2e-e243-49c2-ba06-90a39da2797a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4682" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb27e489-e297-4841-94cc-5552ed9eb053-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4681" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a8b6486-f57e-4978-9074-bf3ea00b8f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4680" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0926b465-e95e-4401-9ccc-f01aa5d6593c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2ea0e7b-e272-4c7b-9b69-9a7e142c4d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4678" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3c19e06-1b6f-438f-9f39-be5d5308852e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4677" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ccb7ae07-2368-483f-b209-5e7dc1a63448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4676" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abc2d133-ba42-4922-b691-e60199b800da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1390954-a0ad-467c-aa3d-7032dcbcca49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4674" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b98283e9-9e5b-4e3e-8426-46403b646a34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4673" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae38c206-8a5c-416a-b02e-4147f6eae149-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='929' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4672" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-368be606-7951-4874-a46f-5b642a41f6af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8eb3fccd-4978-4915-971f-51675361e318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4670" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2a71628-72d6-4880-b8c4-d2d5d5bebb33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40930']" priority="4669" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40930'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40930' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40930'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c89f2129-f3f7-4a87-9d2b-6beeba5a8369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4668" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): de waarde van @code/@codeSystem MOET ''930' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4584266-0167-4e47-8a29-52e11d3ffb63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4667" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_31_Maakt_geluiden_terug): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fae2b69-cc8b-4b90-9b79-45c8c233063a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4665" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16e2645d-64b1-4fc3-af64-30b6b0424c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4664" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5432dd52-16bc-4116-b9ce-e023d8453a9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4663" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad6d44a8-3404-4067-a9c8-8e185599d21a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4662" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-985502a0-77ac-4c84-97e4-7a7300fcb92c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4661" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95962724-43e7-4ced-a7ce-fbee9453e277-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-641c3b61-d915-4f67-b4ec-e12175713641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4659" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53b7a53c-852a-4ecc-ae1b-c225fd29e62b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4658" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cd789b1-79c3-401b-ba60-0e1facd8c13a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93a417ce-0957-4880-bf74-1d904e4f7713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7932f96f-1c87-49f1-84db-a4536ccfc3b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4654" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39d867c5-51a6-4b2f-85d0-a9473a6e3958-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4653" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0137605-b6e6-4f36-97cb-45ec616b3482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4652" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee7fea74-afdd-42ca-bf4a-ca2143af0ec3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4651" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08b0f745-e577-428f-ae4b-17d9cf5c6423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4650" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9185b6a3-4e9c-48fc-8b98-18883fc7e25a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4649" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1807a1a-d69a-40a2-8721-9dd98705e114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4648" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9988997e-cb4b-4a83-81d3-0a2a8cd78cda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4647" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1df4af66-506a-4924-b5a3-98fd73feb5c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4646" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9b9880a-3a3f-4fd9-be83-1cdb681df6a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f47e1c2-ea16-49bd-bb56-a3732cdd079e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4644" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8bc1d78-b3e2-4a5a-b26a-717be161ac25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4643" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fb1980e-9848-4612-8e31-82072b72a98c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4642" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abac33f2-8c5f-4b2f-b0c5-bb6ac3a66057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4641" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f7c09a2-0535-4e0e-a9c3-454012190a47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d9f75c8-77d7-41b8-8624-1492fffd6c33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4639" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4f65133-1353-4a8e-b172-c3ea5d2d225d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4638" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45e5e0f2-375a-4029-8fac-7f38c20dc364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4637" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57515f2d-bcc6-4106-a500-d8d2a8b71851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4636" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa4a7506-8cf0-403e-abb3-2ba6cc64e230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4635" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b6434c5-dc09-41d6-a178-a538371cc256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4634" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f49df711-9dd6-4336-ae11-ebe5ebfac5c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4633" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28a4beb4-ac4b-49f8-a0fd-d979c0e382af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4632" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f779839-fb14-4f5d-a1ed-4c0214c03e61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4631" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0229c0d8-0e5f-40fc-b8bb-3ea95bcd784d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1603853-f7a7-459d-a0af-cc0fd0ee6ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4629" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f929dac9-36e4-4c39-9775-f1a9f601f038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdbdbc84-e8d2-4239-a1fe-ed454f368337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3cd73337-b1c3-47a4-a071-b9140a57e5f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4626" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b4713df-a032-4523-acce-7e9f2ef1892e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='930' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4625" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7325d78f-3fbd-4e8a-9f7b-58cedb416849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-398090f7-109d-492d-9547-4b147c40d7cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adca06f1-4bf5-4109-bdec-9a301f3f8c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41259']" priority="4622" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41259'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41259' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41259'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2131e3a3-70a7-4a33-9cb6-893549252de2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4621" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_31): de waarde van @code/@codeSystem MOET ''1259' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8f27539-8ee5-4ee8-834c-fd8a6db3a09c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4620" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62b1645a-a3f1-4bb5-9465-1303c3e58627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4618" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-102511fc-8e0d-429a-b443-54939ed5fff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4617" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da5d4e67-28de-4bea-87fb-f243a5a71fc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4616" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2a9b062-6372-4106-a04a-30ea36ffb0ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4615" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f4f16a2-2a49-45aa-a5f8-11080d560283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4614" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c59fca1-fed0-4199-b314-3d8bef4df5be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4613" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c6b9ad7-2036-48d4-98fc-299c18f2bead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4612" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35b58c3b-45e2-47fe-ba4c-7ad02fb57b36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4611" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d66d88bf-499e-484d-b85f-d802556da775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4610" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7059b6c-ab0c-477d-8c85-ca1b3efaf326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-766bf9f4-d104-497c-889c-b2fffb13703a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4607" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9fed167-8904-406d-8d63-8513bf9693d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4606" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-058baa7d-c84a-48cf-b839-561f1e505585-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4605" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1111a4fc-2456-4c60-9b99-30f6f35c4283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4604" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-def3489f-ede4-4ee2-ae31-65d38eca0b18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4603" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4b67ded-4f52-41ab-b541-00e5c8620bd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4602" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0120bd95-be8f-4ede-b879-a6944e19cde4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4601" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a40a2661-aa90-4083-8791-54df241d3105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86d031b1-dfbd-47ae-81fd-8afd6ea732da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4599" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b72bcd6-47d4-418a-939b-abec253e94f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec89b331-5a5a-4215-a697-30ab33c06f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4597" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb91f5c7-eb2b-4414-a569-6f0c33ca65df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4596" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b53e3859-b64e-4fc2-bc76-8108f5df9b55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4595" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05fb6c5b-24a9-4117-9d7a-88a583a5f853-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4594" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d881f74c-1857-4537-add0-d1b5c9ab9d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4593" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-206fa08e-0c65-4a44-8f9a-27d41cb2890d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4592" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18d432ba-efbe-4b8f-896a-ac8194881fa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4591" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a458f268-9562-4b21-8f8c-f51127c36d27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6d6ca7c-baa5-4a22-b217-42ffb8541447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4589" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b595cd72-cd98-4dce-980c-4c9056d369be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4588" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba2413bd-e478-499f-a22c-6f9d920e2f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4587" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1656bf54-2f8f-4146-87c5-70ef71c8ea39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4586" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa411405-f2f8-45fb-95ef-637ae6c9653c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4585" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b6bc350-d6c3-4703-ba2d-4b53804c02b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4635ebd6-87ff-4ad1-9bb7-f8bbfb44ee2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0682fd8f-fa85-4bd9-a870-62c8c4fc0ac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4582" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d353040-d1e1-42aa-8ee2-bbd15c8d8d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcb2450e-c8de-480e-b023-ff436d4c1e86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1300478b-d6fd-4c59-8dd6-ef5d3f90dba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4579" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a21be3f-2544-47da-8806-a400ca72ed1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4578" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e01f395-a3ff-4c74-9525-e37ae1d8a80d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d83d2d9-35d3-4052-bde8-51a0089a8ceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fdb9627-7c23-4e01-aa7a-a864659a84fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40931']" priority="4575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40931'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40931' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40931'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a97db10-9239-48dc-beea-45a77438ebe9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4574" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): de waarde van @code/@codeSystem MOET ''931' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02479969-bacd-42a1-97d0-0387a6b56044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4573" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_32_Maakt_gevarieerde_geluiden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91225ab9-91b3-4397-8ad9-33adefc7b058-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4571" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2248bf7f-4bfc-4230-a61a-b703efa5f7ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4570" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8ad3c59-505e-47d1-83b3-24e50744e069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4569" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb4c29c9-9213-42c2-b8e3-746b873cb6ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4568" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc647c26-0e30-462f-90ae-4afd14639406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4567" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d09e66e-06ec-4f22-8e1b-6e32b6255b1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4566" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9019c719-09a5-4e2b-8dcc-dbc710b5dc6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4565" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5ed8f10-e2cf-4ebf-b454-c9957dc10678-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4564" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00e2cc8d-23da-49a2-9570-86711b355493-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4563" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be0ce9bf-16e5-4f1c-beae-1d3f60b77293-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b16bb91-73b0-42a9-bb4d-aed2ba25a5eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4560" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcd528dd-609b-4537-9da3-77ee2323f271-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4559" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-702808fe-1fed-4163-babf-0d54dd0bde01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4558" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1a34ab0-fe63-459b-89d8-e0a3e1008fc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a9d9f96-da5a-4e54-a9c5-13f728850970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4556" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8987717-4de3-4e97-bf70-bac8027c0e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4555" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2600914-8821-4de7-94a0-90b4b88445aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4554" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0d31f1b-cc3d-42f8-9835-c5116b0ba811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d772c231-7c15-4454-b677-d6e22eda3064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4552" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d16a220-465f-42d9-b963-d7001907df20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a26f1f7f-df0a-4fd5-95c4-8cdc1cbb3a2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4550" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e01804e8-590d-4205-83c5-c6e20febf34f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4549" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1546a328-120f-4632-a20b-8707d06eb40a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4548" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28709ed0-c9bc-49c7-8f5d-6a1ae233fe46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4547" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b989f9c-3a40-428a-8d22-73b782dd5278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4546" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-928e4aff-0199-4c28-aa2d-06fb214c36f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4545" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1e48af9-7c05-45c8-bff1-e134edf91eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4544" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af660e9c-33f5-4503-9dc9-b1db4d208c54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5781cb16-f7fa-4b93-adef-5135cd44db48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4542" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4693414a-179e-444f-91a1-260e195ff069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4541" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-422437d9-f215-48e8-9fea-47fe96b3144f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4540" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e8d66f0-2428-46cc-a213-39062b761a93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4539" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22e04dba-533d-4ac9-9ff9-2f1107f842d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4538" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec5aa767-0c9c-4f62-a2f9-3d6a749dd978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4537" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76276b7b-b39e-4745-b147-29f24f1fed42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bf3a9c0-7d1e-41f7-af66-0790ebfafbbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4535" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5102d2ac-3ee2-4a69-9f40-d7ffdc9249a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f03a3aa-9781-4083-b29c-052c35117894-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5983e7d5-760c-4844-a9d0-d2806b408229-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4532" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acc2998a-fe9c-4f75-90ee-9296ba0bddea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='931' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4531" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6d026ae-f120-4594-ac11-ba224b9cd78c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9c0e46f-b37f-4bcd-8e7e-dfda4f6f96ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f162f7cb-9ffd-4a86-94f1-22026a397651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41260']" priority="4528" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41260'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41260' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41260'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0130eaf0-1d42-4b47-ae78-9860af803dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4527" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_32): de waarde van @code/@codeSystem MOET ''1260' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18e9a000-6673-4c80-ad25-f5cccf91b166-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4526" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a571f0a-7c90-4052-befd-b2eb7146d9a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4524" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-038dc097-512a-4394-9bdc-d346e5f66630-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4523" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c828f3be-7af9-4401-899a-580e7cbb7dfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4522" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f515f9f-dbeb-4d1f-a93b-61a221fe24b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4521" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41a517eb-499e-464d-9a83-bf9ba8784e5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4520" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c730ec48-26a9-4df2-862f-a9a806c78d6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dbc8eb7-3c5a-4edd-94eb-2985edd12eed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4518" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-945cdd1f-f709-4670-a6b6-7151b98ef1d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4517" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaf56c59-b8c0-43c3-b0c9-24525daf72d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4516" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-377a4c2f-a393-4668-a163-36b69fd99029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4515" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aecd14d9-f6a5-404c-845d-29ba3347f4e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4513" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11cba941-715b-49ae-b491-5be1bfae9c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4512" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-554239ea-ef94-4944-8922-a520c6111210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4511" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcfaca0c-e727-4d71-8681-f5904718ec6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58bf95f4-fb51-435e-b47e-e0f99a1ebcf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4509" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cc84fc7-c803-4c77-b36f-a3e06cf2ff2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e3931c3-7371-4e6f-b212-c9d4a4c122f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4507" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fa93980-5bac-4a8e-8965-cec30faeec4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e69b2dbd-6a99-49fb-9e9d-52f765fd6af9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4505" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-772fb45b-708d-4ae4-acb1-3c797b72c515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94353ff1-c11a-48b3-9a19-f583e4f1be82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4503" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e73262a-bd16-4bd8-8e6f-a85d18ba77f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4502" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef212535-d057-4ce0-9453-330f0fa2cfef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4501" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0192f6cf-16c1-484d-9ada-679080fc17b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4500" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-269df6b3-9fc5-4967-80d5-48bf6c1b40eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f5191f0-e032-49fb-a412-b2b57350090c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7c90ee7-2201-4578-a1c3-97ed6a9cc547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4497" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71e482fa-5f18-4632-96cb-7fb49560d2dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8592f2c-b0a1-4c08-b963-f390340ae990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4495" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a66ad02-3f54-41af-b8f4-7f216eac34af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4494" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2dc3e672-024c-4e95-833b-475737ccbc15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4493" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-217632b2-bc36-4c39-a11a-494edb725165-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4492" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5a3a83a-3792-41dd-90df-ed2b3bf79ff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4491" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40a1d19b-6320-4174-8ef2-51f9c4194dc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71c5bd1a-86b9-4359-a074-a57e161c019e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4489" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d8df6f9-4bc3-48f5-8a98-937059356811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4488" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d04c582-5151-418c-9ba3-7ca3af97c7fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4487" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0e480ad-2f22-477a-92ba-b1683674db6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-697f41d8-2c71-483b-adfd-fc09f6c8f8b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4485" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c56ae6a1-6932-49b1-a045-4abc2fe8d8bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1260' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4484" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae80ae79-ddba-4834-8c85-8e1ed3d4449a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4edffb34-2394-4149-94fe-560f458ab7b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4482" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9faf6c8-ccf5-4444-b27e-f986bfe3c100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40932']" priority="4481" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40932'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40932' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40932'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb4ab90b-96a4-424a-8a6e-fabb625b011d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4480" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): de waarde van @code/@codeSystem MOET ''932' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a8a5837-3b4a-43b5-99f9-2baf35f55047-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4479" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_33_Zegt_dada-baba_of_gaga): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b494de25-01f4-42ee-9a68-cccfeb8f8638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4477" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f480b48-8be8-4596-a377-28188a65c302-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4476" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79a2dd5b-feb0-4a9e-bc34-d1d866f58de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6c61a66-7cb2-44fe-a9d1-a6ba113f7402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4474" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d840d9ca-9d82-46b3-acb9-83d331042c43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4473" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-192cbfd8-5f83-4aaa-9f98-a50ccb3344c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4472" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3371b5f4-06ab-4a8a-b052-b34348ad0c86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4471" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e419149-c6f0-49b1-907a-3f8689d8997e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4470" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-300b5049-066d-4afb-9de3-fb9bcc03b663-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4469" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05d6661a-449c-4804-9442-48226297b321-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4468" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f371fca-cee4-438f-a54c-59bc95277614-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4466" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bd64d69-9549-4fa5-8e45-b1c066744da8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4465" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42320c3b-3d4e-4a1e-89de-065002cdf618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4464" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34ab05d4-97fb-4377-b34a-881e04b077d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4463" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a534474-930c-41bc-95d5-85cecce9a93e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d8f51d9-b5f2-40eb-afed-b2fa2849fa4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4461" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1b15837-5438-4e7a-b455-0a551b8a1543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4460" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7282930-be2e-48fd-a282-31e9398b47fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4459" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1183dfeb-42b0-44bd-b312-1d1815f89bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4458" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15948837-c86f-48ac-b337-b584fe0b4555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4457" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef1741c4-d7b2-4de9-896d-fe75ee7c1f2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4456" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-050d5f38-5b03-4ce8-80c3-5375196da16a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4455" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63938305-a467-4ec1-8046-c83b9f6d6bae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4454" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11f943e6-46a1-4d51-b967-8260b5fda3cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4453" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f54b8fcc-f034-4e07-a826-7419cf5b5229-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-062008be-aa9a-4448-8e09-933f08d2b530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4451" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f000040-8b03-45e1-8120-b8f5ff2b9d68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4450" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4487509-554c-4846-8437-10fddc35eeb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f149914c-e7a2-4132-9836-83978d71c803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4448" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e7340fd-92c1-4f5b-ae54-67e7da574f98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4447" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8886ad94-fd50-455e-aec5-14246b7cbd62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4446" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84e5b143-994c-4c5a-97c4-d91a166af0a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4445" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78dcf8ba-7385-412c-ade9-9bba640cca58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4444" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76afc776-5e26-47af-b58b-eec4d0277a83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4443" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9757f29-ad58-4200-9b2d-032a4d9c4366-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4442" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2c043e4-5086-43fe-a437-381e4fb8dfe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4441" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6281c443-6774-442d-bc93-d79338e9cad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4440" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2bf46756-dc6e-4f0c-815c-9db2bb83df16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4439" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fd60a63-565d-4bef-8db2-586c795d0336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4438" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c42b0758-8bb2-4066-ad9c-173c15e3f447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='932' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4437" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38453f74-7e55-497b-9a76-251fc35a3979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2542026e-d5fe-40f4-ad73-4d4ca7694abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c98200a-a2f9-42a8-8bac-a0899691e243-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41261']" priority="4434" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41261'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41261' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41261'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a122963c-5090-4f64-ab8e-ea16d04fba72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4433" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_33): de waarde van @code/@codeSystem MOET ''1261' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6f1d2bb-3b38-4b30-8d7d-f5cbae6aa19a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4432" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-560ea85c-8262-4844-a11d-d4cee4892c1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4430" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-251cea1d-9cfd-40b8-a2fa-500935c5f6c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4429" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da02c393-62ab-4818-97c8-ca4378294236-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4428" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c91a4df-6ee1-4bec-bb70-62b0e5a2c130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4427" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73b188bb-9f68-434c-a89d-b3b3694e2e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4426" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2fbf983-10d3-4c8b-899d-d111637abc7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4425" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2459e02f-86dd-46ef-bb1a-47ce6e5f6c7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4424" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5701c64d-c1da-4281-9ad6-87db5f7acb32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4423" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25c7b028-f90f-4e8a-9f85-e22ab07b0c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b37c3905-2971-418f-9289-d0425e23ef81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4421" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13649a0b-5b3c-4579-bdee-694a8e079dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4419" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd069f3a-7aad-4dab-9c91-467ba649fa0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4418" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee524fe4-5fcb-435e-960b-2069f2be65ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4417" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34672a79-6b97-4dba-bedf-0823e4f37d74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4416" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64b112aa-94cc-4e4b-b68c-257ecaef23ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64690300-57ee-49f0-859e-b30daf1ded52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4414" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88ade097-9619-4537-b41c-e38270d01bf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4413" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-974a1a7f-77fb-44b6-9ed1-52a6dc46fa1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4412" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a631d26-5541-48b3-8e4d-83f644dc4e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4411" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74370788-b2c0-4091-b73d-f2b476b6b70a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4410" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-571c7bda-cb78-4591-bd08-aad359f8ee9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4409" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c6939a6-d7fe-4f51-8b73-ee9db1791815-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4408" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-454d0029-c85c-4d72-a471-8330d006452b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4407" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac807d97-41f6-4d05-99a8-14dec050d1f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4406" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb67cb2a-3ca3-4781-80b8-a1c2877f9540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ab88850-e959-479c-b522-61c8676eb98b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4404" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-daae1d32-7182-4811-88c9-cb8194b4db13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4403" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-010dfaf3-00b6-4df4-8aff-6333187534a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3e41cb5-330e-41e0-8321-7c0feeb69da8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4401" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5b70581-a1ea-433b-ac66-17d3520c2067-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4400" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1871e2a5-b415-4b1b-9172-d2d942f8f530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4399" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c385468-f101-4151-821b-dcb2919a2909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4398" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e960eabe-ce12-4f5f-971b-19b3ee20f9a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4397" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02e03ede-4683-4092-9525-1c728956a5a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4396" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca6b52ff-0b0b-4986-bd21-5f7675728036-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4395" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bca330e2-6f23-4648-893e-f9bbc5475752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4394" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ce5b625-49f2-4f6b-a2b2-adbe335f1caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4393" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ed3c402-bc50-4957-ad70-efce620177d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4392" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9cba989-b1e2-4006-a714-1154daad3a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4391" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15b2f018-20e5-4c48-bca5-f4285ad2d51b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1261' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4390" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-201fad91-f3af-4e2b-a2da-5506c8364312-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c21404df-735b-4d28-b3aa-fb88cb9491c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef0c2866-ba86-4a0a-b8d3-aef089c4eb8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40933']" priority="4387" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40933'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40933' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40933'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e623c0d0-bea5-451e-a69a-291c3c73545f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4386" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): de waarde van @code/@codeSystem MOET ''933' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eaef6bb5-f410-4de6-ac17-85935ab74827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4385" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_34_Brabbelt_bij_zijn_spel): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4584831-39d8-4949-bd9a-b04600115f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4383" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-991c39e6-bf68-412f-bc00-f423df2944eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4382" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc76a06f-70da-4ceb-9471-ed363c0e1073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4381" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78b9998b-5306-46e4-a6fc-146226ee9e68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4380" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3d393fa-2e3e-4a83-93c6-5a8f3592a2b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4379" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce6b72b5-4ad2-450a-b720-a3fe517eac9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4378" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c30f7b3b-38a1-4d20-a7b7-fa4214ebd9a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4377" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7032d7e2-3199-4233-9394-ff0a6694c150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4376" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e83d3db9-6bdd-4f5e-a2c4-a634bdc6293f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d7b7144-e380-4d68-8984-240f13bcb572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4374" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4dc73657-581d-41a3-9174-d2baffa169e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4372" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c97b80cf-ddfa-4692-b049-65423491f556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4371" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6759faff-967d-4180-93bf-139ebe695e68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4370" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ddbea0b-b83d-4ec0-939d-1910185c5292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4369" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b105bf7b-60ac-483d-a3b6-670cf04edf7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4368" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-237bd755-d7ec-40c7-845c-19eca239971e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4367" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f4d98df-6486-430d-a0b7-dd9582d22c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4366" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b75aba2-2b9b-4e67-bf3b-1b2d384f1ef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4365" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf6f6886-1196-4ca2-8559-39c381d3c133-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4364" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b88a690e-3093-41c1-ad90-f1f19c6ab098-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4363" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d869a53-7b8c-40bd-a510-0f1c76409668-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4362" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e435df01-e385-4ec7-9d06-c6cb5bca36f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0267349-ab39-4338-bb55-5e97a1e0ac84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4360" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1a83018-da17-4dbf-a09a-dc81cde89c04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4359" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a35ac8e-4fd4-4584-8189-5822108f2161-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4358" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e113e0c-c6f7-4a1f-8e9d-2364628a3164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4357" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d153375f-3258-4147-84d3-af835e26c26a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4356" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e5b5bbc-e44f-4747-bc40-9c769caafb27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8fa4d6b-3edd-4b40-a602-a608433bd1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4354" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67903ca7-92f7-4633-87c3-39c3e4394086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4353" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e72118b-befa-458a-af4e-d665e93c0ab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4352" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f295c520-6d6c-4bf3-bf9c-cbefe9c194d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4351" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9abca278-f6c3-4d3d-b956-e4375a84a4c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cad3ec3-8320-4714-b2f7-5f7d2e061cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4349" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9702f4a5-f7ec-4c54-9be9-2e4189864dc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4348" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1796253c-7b5b-4d5d-9514-cfd7aedcec7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4347" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c27bccd8-a986-4217-94e4-b9491996cafa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4346" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09e3a357-12bb-40c5-8a95-2b28c0fd30bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4345" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f655ef57-6b8e-473e-ae1d-8c92c8f5438f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4344" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d0e05a3-7f79-4b13-ad0e-cddecccf31d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='933' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4343" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b57367f7-5398-49fe-b057-fc1835189a41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4342" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c535fcb-d90f-4606-b3fd-07db82b7acaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e192940-8b02-48be-a2df-1a605670e807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41262']" priority="4340" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41262'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41262' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41262'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea927f3b-653c-4415-8cd6-516e80806cbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4339" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_34): de waarde van @code/@codeSystem MOET ''1262' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7761cbf4-70f1-4d54-9df7-8095ffe541ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4338" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a042f596-ec4c-40c2-8893-3f8bd331cc2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4336" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4801fdff-6b80-4a9f-9a50-41b73732cf3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4335" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58af2cbc-b89c-400c-9545-e9dfe2af14bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4334" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-958ca87a-ff02-4172-a927-189496125ade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4333" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb0ec1aa-3ccd-40fc-98ce-cc3a57a1e042-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4332" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6c785a8-b53b-4b60-b469-9cf50324c31e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c87ff4a-227c-4e6c-8894-cbc2b8f929eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4330" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72ad6e66-322e-48c8-af52-208047a42178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4329" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a14696d-3806-4a26-9505-a8ada40d35f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06e4ccd4-44e2-42fe-97e3-528adacbdcb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4327" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-370b79ee-73c2-4195-915a-353a9905c276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4325" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-894f5679-712e-411e-8c8e-a6c341133351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4324" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84d6f565-c7ba-4725-9b99-614e80cb1395-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4323" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f5a674c-7433-4e2b-83d0-b5f8fec1473b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4322" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4249984-024c-4d8d-a3c5-6261077d4060-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4321" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8730a558-0e81-4191-a9e5-bd8996ddd094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4320" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d504687-03f7-4468-a218-f7ddf97e7f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4319" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7d3f940-d99e-4379-8243-e6e1d56fdea9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4318" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-260f5359-d18c-47ae-841f-d0ee247c4aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e92c1fb-2b39-4ebb-9dc7-ca928e4272c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4316" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b84e3018-dd0f-4cd9-bbcb-6e2e57fcd720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4315" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3beabc93-a887-4b00-a22e-e178b8f03216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa2d7606-5c6b-4f76-9c86-1c072ad71195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4313" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8855a56-cce6-4fff-9041-b5f243ad4630-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4312" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e613016-200e-424e-903b-796f9f099582-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4311" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f09b941e-0df3-470a-b0a4-49175ece90d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4310" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01092271-2326-4a76-9795-f2dc9fbf45c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4309" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02a51c1c-7e38-4fbc-b801-6462a4546b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45c23974-f2d1-4171-9ad2-7ad3b458c658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4307" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69a92df6-1c07-4ce1-a248-0e8ac9f2e9a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05649957-f9f9-4eee-8abe-5baf54c0228c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73313371-6174-442e-9c1f-cdc341028570-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4304" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2c51670-0641-45c8-994a-82debe11ec4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6e2b141-a2df-4c99-aef0-c55914ab52e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4302" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b380e626-8be5-4ccc-b3fc-893d377bf30a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4301" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bfd6192a-ef50-4dff-bbfa-21ede943f64c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4300" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f8abb5b-4bdd-4418-bbe0-52f74302d98d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4299" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf6b588e-9b53-4cb0-b7f8-7baf0af908d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4298" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db94df82-99a2-40cf-9d9c-57548e5afb14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4297" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9fede81-30ab-44e3-a8a4-eeae2f06a2c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1262' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4296" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0085651-a2ef-4da8-abcd-3e7d8aec8da7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4295" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5398ae21-4fc5-4e15-bef9-3b047908b200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4294" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80ff9e3f-8370-4f1f-bf7f-9eafcbfa7a12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40934']" priority="4293" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40934'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40934' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40934'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cc0bbf5-b8f2-49e9-bac5-39dae9018ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4292" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): de waarde van @code/@codeSystem MOET ''934' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51deaaa4-b789-4ae3-9e3c-13dc7e6b9c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4291" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_35_Reageert_op_mondeling_verzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9eb74b34-fd94-48f9-9dc0-2a18d3bbf1ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4289" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98356d9d-0604-42a7-bafe-ca45792a3f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4288" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30843c16-c371-41c1-88ea-090235d7922c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4287" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-608f37fa-785d-4437-9731-ff32cf2066b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4286" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12da30a6-4c9b-443d-82ae-451e53d762b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4285" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c99820ec-1a35-4963-a157-1229d1558645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3def932d-5826-4411-820d-5969a8178926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4283" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaab04c3-408d-4df2-8f0b-b4b6fb935258-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4282" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1c84056-500c-4b9f-9d8c-7f708925efd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25f50913-a683-47c5-a526-e3a78a83e331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4280" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13b6e642-3109-4698-b5a3-b04bdf30addc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4278" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2971f51-e622-43e5-a8ba-1d23c02d19db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4277" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc8d9bc4-411b-404b-ae7e-25aedbab725a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4276" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c63d025f-1c0b-40b9-b310-f7959423f641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4275" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1226e4c-c59e-4812-9a93-8a6c40668e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26282116-1ca0-4a60-98c9-d0e50ba309de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4273" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a91d3f21-a12c-4f7f-b76d-9cbcfc030376-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4272" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85b16b47-997f-4741-b6c8-4aeba521e9d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4271" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13a0e5a1-02b7-4003-a0b9-e0a1cdc82f2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4270" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-300d582a-0254-4ec3-9f02-1d0f4d00b80d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4269" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa07165c-4a58-4788-af35-a50be12378d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4268" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acf41c9b-6148-40dc-a282-bcd1e50a3531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4267" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0913f39-edb1-4457-987b-85f15a54a30b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4266" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c316e6d-b45b-4c0e-bbed-2d840d8f9731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4265" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8f0444b-e804-48f2-b1f2-b27c2aa182d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4264" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-faeb6811-87df-4e24-a76f-67ab24aaedb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f461abd8-b232-4810-b51d-dc4b47915dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4262" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7063c7ce-c5e0-484a-bd7b-12ac361daf11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e165346-8ef5-426f-9ead-644b09e1144e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4260" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2412dee1-358e-4038-bb8a-e46fd3d30d82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4259" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-580d6331-ad02-43d5-8165-9dd7c67566a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4258" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f464f9c4-cca8-4d0e-aa10-2984e8bef5e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4257" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92a0d67d-ffee-4a82-826a-517a9565ee1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fc73403-ce09-47b9-80de-f1415be01a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4255" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f908698-00d5-4f5e-95e1-30572cc95665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4254" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48edbbc0-b707-495f-9780-3ed806096da3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4253" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-624c05e7-814f-4987-a826-abcdf24497e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4252" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2648e54f-f2f2-40eb-8a89-f9b0dc01001c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4251" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85382cad-4e7c-44e6-a03e-e3e48f71a8fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4250" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe201eec-fd4f-4951-a601-f339f37dc158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='934' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4249" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77777dc8-3041-4a5c-a8a2-b74206caa6ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4248" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9951510-be81-4283-9b12-f701d42efe35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4247" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ad60d64-a6c3-402f-b96e-18b5d34d1651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41263']" priority="4246" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41263'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41263' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41263'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0faf9f37-31c3-4327-be75-b1f822c7bbd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4245" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_35): de waarde van @code/@codeSystem MOET ''1263' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e50fa5e3-f0f2-46c3-ac67-33d7a8eba978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4244" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b2f580b-8bfb-4e69-abc7-eb5b34a8498b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4242" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c46c731-05a5-46ca-abc0-f580ca1be1ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4241" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1cb369f-ae1d-4b3e-bf92-9c6c8bcee144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f779d4b-baf9-4548-b2d3-4023dfd10976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4239" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5547af3d-629d-4b68-a088-41adffa6f2b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4238" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2edb2db9-6674-4da3-8727-868a381e02e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4237" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12dbe206-5afa-4cba-ab45-af6b99184b84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4236" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c230c638-37d6-4d77-8b94-b3e8f5ea7277-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4235" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8e628e6-7351-4a51-adb0-6c86ef46bbb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4234" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4b4582d-dbd7-4544-92b3-f4d642be1088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4233" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0afd2a50-f573-4f1a-a52d-08c4dd1f2d1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4231" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca1f0b06-8e89-4ed8-a610-b69f61acd24f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4230" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4037647-c175-4ebf-84c7-1bc1920831e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4229" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-936c42ae-5245-47fa-b3e4-6fb821f4ccd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4228" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ab39c14-1ba6-4264-ae5a-bbce46568314-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-901c0dc4-611b-4af1-bc80-c3a3d3ad3c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4226" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ebebd78-1f08-4e5c-a11c-8313ca417de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4225" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6c86382-086f-49c6-a4ed-7b57d076da2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4224" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-256b1c1d-972e-4459-8b68-1d73471c5967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4223" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-714d47df-b855-4da9-9cc2-7c455d719378-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4222" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e0e414f-89a7-4167-b117-f42525118a43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4221" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cfad2dc2-7f5b-4339-b95f-f76c3f8ab453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4220" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f755a6b2-f52e-4e8d-8c5c-0677ba2c9a66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4219" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cf6b232-a4ce-43d4-b027-e762004e2aae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4218" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e93fd19-7430-4595-88ec-67f2fb7a21dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4217" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b9f5bb9-ef35-4fc5-8f19-c20b12c5f24d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4216" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3b38dd3-5793-4ccd-b2d5-b740179f263f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4215" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ebe1f63-939f-4baf-909e-831fd94c0da6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cccdb9fd-d0ed-4add-8aaf-bb36322a4956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4213" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d392d0e-afc8-436d-9279-f98baaafbc7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4212" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6456085f-0351-4e36-8458-7a4872d65165-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-184ae7bf-6669-4107-af9a-629f91313616-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4210" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de1fe9f2-7468-4004-904a-3f8d6f8b45f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0dbb5c0a-aa68-4e3a-8ec4-bafd75421ab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4208" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5ef6348-ae9b-4d56-8c1e-a1529270d579-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4207" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7827a6f8-87b0-4525-b3d0-13d6101d5696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4206" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d755515-2189-4ce2-ae01-c8e0b3130fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4205" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-950cd6dc-bb28-4e2d-a259-a1f747d9f8a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4204" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29d9824b-21e3-42de-8a88-f038ff820b9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4203" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bd22526-7262-4da9-8d90-9dd855703411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1263' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4202" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b916d434-bde0-44ed-9ac4-e7aed05e1170-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4201" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eeae1c15-ccaa-4cd6-bd41-d2013fe61aa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4200" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-def9f9f4-4586-4649-8f83-b6e31b441ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40935']" priority="4199" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40935'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40935' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40935'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7796a403-200b-4b9c-ba27-2d5198f3d1f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4198" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): de waarde van @code/@codeSystem MOET ''935' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af93814e-f81a-4076-a532-2aff9f2802f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4197" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_36_Zwaait_dag_dag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5626aae-6e9d-4fe7-b943-f9a191a9465f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4195" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-460bb9b4-972d-4229-a3ca-1661fc048a1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4194" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-536cb083-8bfa-4d52-9d58-d2cbd3ff829e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4193" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-902f71ba-dc01-4f88-ac65-f4136d8df5e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4192" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07d0da77-af10-4d98-bc3c-6aa70bd4f979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4191" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb3c567a-6631-424d-b9df-f2e2f69a2f31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e53860d-3df8-47f2-9164-13f56e10ba84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4189" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0afc2147-433b-43ad-9e6d-7d298df2db56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4188" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25a1d1c2-0088-4387-94fc-646f466e8b44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4187" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9717d5a0-3948-4932-99ed-39b615a1a69b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4186" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abd17b2a-32c6-4a80-ba32-f87f72e9a5d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4184" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54b07ee4-c2b3-4d24-b11b-902aa294dbf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4183" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56b3bb13-f070-49fe-aeb2-05e68cfe404a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4182" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9865c987-debe-43ac-b68e-578565497bcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4181" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff09de81-5b81-499b-ab9f-33cd96c4831e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fef1838-ad6d-4dbc-b314-42c541623fbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4179" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a26e8fc-5bb6-4a8e-add8-19fd49e72d7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4178" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50bc53ec-e7ab-4b9b-976c-86c80ac80c40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4177" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-baaf551a-859f-401a-8b07-c98d743382d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63d3c562-d6cc-4178-8c9e-921468841a02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4175" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc31a6da-3d64-42c2-ab87-551a27ba70f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4174" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fbaffe7-ebe3-4438-99b8-4742a9c4f9bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4173" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c1cf507-c45d-4fa7-9081-22af316f1664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4172" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44638355-d96a-4f26-88bb-3307a730abc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4171" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91ea7552-93f9-4cc0-9668-8a818fdc2fd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4170" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b6ef374-e98f-4a1f-b193-1c9425189ead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99d51a6a-16f8-443e-a792-42ce920d6c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4168" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a0eb676-8e08-4e06-a3e0-e4dd52633f6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dad0fa9-5ae3-4ef9-817f-46fedb5b3154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4166" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cd300e3-5f08-4d6d-922f-e07f051d86aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4165" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4345d51-9a3c-4b63-84a3-2c76e61d655c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ceca338-ee88-48b3-a33b-3cdce5e9f30a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4163" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbb0d95a-59f9-4329-a59d-2337f0bad028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94b842ce-259d-43fb-9240-99ef0ea495ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4161" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27023c92-e1eb-4d60-8c41-ebe7c2f0d9d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4160" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23f0f5f8-9085-41f8-a6e4-c5a977ce1027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4159" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-615a5770-f00e-4078-9d11-5e3f5fb2504e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4158" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a44b5f59-5837-45a1-aaaa-8d0abf4aef47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4157" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-115fa2e6-99bc-42a2-ba6d-ab9dcaf5167d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4156" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d84a2c0-b362-4849-b715-4105fa790654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='935' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4155" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77906d05-ca33-4243-b9d6-c7e40a173974-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4154" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5693207-eb90-41ec-881e-b4de4d8c31ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4153" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-587298e0-ddf4-4115-aef7-c63320797789-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41264']" priority="4152" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41264'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41264' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41264'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbbd27cf-ed8a-4a64-9ccd-26bd8dbbe33a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4151" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_36): de waarde van @code/@codeSystem MOET ''1264' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4956d2c3-c436-4cca-b1a8-e960cace826b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4150" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e053f337-c962-4e90-9c40-36d507b22acb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4148" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c788e139-026c-487e-ba60-b21b0ac11cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4147" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae7141e7-2c1a-4a85-85fd-9b8069fe6be4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4146" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d45eadb7-2bad-4d32-a865-367ab4edee4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4145" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9661eca-4430-4204-bf73-3e186ba34d76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4144" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a74ed692-6716-47e2-ba78-5bf34f681ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf5474e8-1aaa-4378-b271-c9176b243f4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4142" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff58758a-34db-48cd-ba46-83c93d8a0c2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4141" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7209bf5-0ebc-4e43-9de1-d5325865247f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4140" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08a83ce7-f45c-40ff-981d-0b7124be3328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4139" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5537897f-0135-4655-a870-d3b2787124be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4137" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a925cab-c4c9-4ce9-972d-49cb8d3bc171-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4136" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-828a553b-f5a0-4736-bd1c-756f2ac0ee95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4135" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26a4c0be-a1cc-49b8-9555-b714e067b245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4134" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d20bf35e-3448-4054-bbf9-604c2f9cebf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ccf337a-0c3a-4671-80fd-389ec8851c7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4132" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f3603fd-fa1a-4426-9e9f-5b9a0d1f112c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4131" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a487e16-89ff-4b71-aaa6-e3f2ed44e0e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4130" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a21dd24d-5bb9-49be-8f8e-c4dfadc65379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48220e06-cf53-4f82-953c-d9136cf160f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4128" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d664e036-4fcc-4396-8da0-13a9cf55f94a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4127" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6ddd2bb-601b-4caa-abf7-ee31769ba03a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4126" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bdf8b8e-aa2f-4239-8975-f0e08c778b70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4125" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-123b1337-e2da-4dde-87f7-95bb1890b466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4124" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1bca0a4-cc7f-46a2-a2d7-5e8fd41bf5d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4123" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a03931b1-1db5-42e7-8d4e-5d0ef8258180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-142b4487-3d1a-4f8d-add5-6627da9ae36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4121" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-963010b9-62f8-4a4a-ac23-0a875112b44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a08ceac-c7ce-42c2-a787-6af908c3b427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4119" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a328b14-587f-465e-aebe-a24818fa1455-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4118" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28f6b939-f45d-419a-a05a-8238b18d9999-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbe2bffb-389c-4481-b443-c42e031982be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4116" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2badc20e-d088-47fd-8ef7-bbfd0f5a56ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-935869cd-acde-42ff-b6af-873229cbea00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4114" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5588060-4e89-42e6-a46d-c850a0e4a79d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4113" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48007183-bcd4-47e1-b9f7-8c9c0c637a91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4112" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22c0a692-1ecb-4689-8308-eb918f5c12e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4111" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33ed6919-34fc-4e0f-95f1-fb7dba5ce5d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4110" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-316341ad-9a9a-4fe5-ad1d-721bbcd4ae4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4109" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae74426f-6715-4e72-a1aa-b46450904ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1264' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4108" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f55390ab-4ba2-45a0-a120-e2dcffc867fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4107" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca35951d-1594-4bf8-87d2-4018970ec7d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4106" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f666eb4c-c9ee-4ef6-b6f9-be3b4e99f49f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40936']" priority="4105" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40936'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40936' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40936'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d17a6a12-3015-437d-8d31-9c91addac2f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4104" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): de waarde van @code/@codeSystem MOET ''936' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9852fa7-da3d-4b90-8de9-d40bd4582869-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4103" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_37_Zegt_2_geluidswoorden_met_begrip): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79f5b9e1-4a81-4000-8a50-7f0460e99c2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4101" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1512e8b5-7e69-4795-aef1-5cac5d402690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4100" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a99458fa-2973-43b1-acb0-69f3d7e12f1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4099" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9df0861-012e-4fde-9ef0-3516216f9607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4098" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b55116a5-7ff4-4098-b13b-fe502abd7253-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4097" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1d520c5-2dc0-4b53-ba0d-193453f953ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67becf0c-ad10-4377-b625-c27883392a43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4095" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00b47bd6-7687-448a-bd1b-7a68d7de35e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4094" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2e365a9-3ccd-4222-966f-cbee75680a8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4093" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f302757-f2d8-4fdd-977d-472387ba7a9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4092" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1927d28b-1977-46eb-b846-ca167dd18922-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4090" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0b1f413-4aec-49fd-b0a7-9a0682e624f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4089" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-306f8057-8334-46eb-90b1-4a7ccdfd11c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4088" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-688b5d10-146a-4ca4-aba2-887be85cbb6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4087" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76a70c9c-4c5d-49ab-b8da-bad56a74b0b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4086" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30cad839-d80c-4217-81b7-c04487661250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4085" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5986d725-2727-45df-bb2a-d8d236d34260-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4084" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7e519e1-10e8-4f07-ba79-5a4ead96c043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4083" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e66bc8a-5d6b-4b0e-b78b-e1535f7c7ad1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4082" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae960b36-d85f-465b-b882-29e6cb523c4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4081" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c025341-fb06-4798-bcd8-c53447e6567f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4080" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23983070-e300-485f-990b-d503029503cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4079" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26b76081-8243-4ac6-a4f5-466977047cf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4078" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a08bd4e-302f-4ecb-b994-3b8cf0f700f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4077" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3bbb382-9733-401a-9bd2-d004996cbe91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4076" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2bc0efc4-522e-4f82-b99a-32c3856435e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-470b8c40-c1ea-4d30-836f-1b43345f12ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4074" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66cbfd63-d8e5-42bb-b4d6-171e476a2043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-759ef155-7534-49df-afa9-bbc05d056e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4072" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d90c5941-e380-40f2-b5b9-71c0895c31ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4071" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcd731eb-abaf-4713-9568-bd7bab1cf591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4070" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42e0fc17-ac1c-4d13-969e-c9148bec3ce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4069" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ac9cd0c-c79a-4fa4-bd87-6a5f61141e3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4068" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b730f1de-c9be-425d-afdf-0a8ec2821806-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4067" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c43e7d26-9e9f-46bb-a162-9021a8d77f0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4066" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfe0fd69-2318-4e99-8624-f93c9c70349b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4065" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c396dbff-0427-4d48-8356-f19923da07b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4064" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0a3ecc1-85da-478e-988c-4095fe6e1e8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4063" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfe27841-b56d-4b75-a7e6-b3910fe24f4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4062" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-326c525e-aa1a-46df-8d5c-0f8c47f48a16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='936' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4061" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6d66c2f-e183-480d-8367-0085cdf07c6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4060" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68c27483-c221-43aa-abb8-7c4914464818-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4059" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c184aeb8-a84d-44a3-97ed-2e75212f3f64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41265']" priority="4058" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41265'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41265' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41265'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df079fab-17b9-4357-8fff-24b32b00b016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4057" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_37): de waarde van @code/@codeSystem MOET ''1265' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-895d6a4c-d727-429b-a7ed-6abff8a5a9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4056" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ce8a5d8-bbfc-4e21-b3e9-41826d256f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4054" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d0d689f-223c-413d-8fd7-80b882d87d2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4053" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b75ef21e-16fe-4f84-b3c5-72796df000bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4052" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2f107f4-e016-4295-a03e-cdeffd721c88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4051" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0eec7a6d-66c4-4d5f-ac63-e71fe89add44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4050" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8817a0b0-3f79-41c6-aef9-42aedf145c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-645ad5e4-69fb-4d87-a235-eeabf89926d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4048" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-029f4809-13d7-474e-a6cd-e174477891ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4047" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8cbf2b3-f532-4dff-97de-71dc91cfb000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="4046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-101313df-6fb5-44b3-bfa2-cd4ace1cc3cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4045" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d89a15c-d942-4af5-8d0a-c34cbfc97d78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="4043" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1912c665-06cb-4365-85a7-08ed2382f65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="4042" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb7e6915-4a6f-4cc8-b8b5-2e47a3511d5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="4041" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c27d5f0-1252-4593-96fb-a9a14dbb04c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="4040" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0b69772-a797-45ed-b554-d9a24579f5c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="4039" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f71c03f1-dca7-497d-9688-bc35fe16084e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="4038" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bcebb32-8a89-4d9b-ac29-bcc2c80a64a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="4037" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46178b87-a930-4da9-9f0e-01fe56486951-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="4036" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3a3b809-d2fe-4cc2-8a06-8b4610eeba5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4035" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33964eec-9f26-4835-88e5-5939838c2277-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4034" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c7142ac-d65c-4a16-8116-bcb91f65eeb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4033" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c2b995d-fb59-4588-8811-4235fe977010-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4032" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53d71b9a-e52e-43f7-9526-686b9a5a3562-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4031" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b3f63f4-1b9b-4e06-a85e-207e74e49487-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4030" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fee19710-5eac-4bc0-88c3-4f018d627c4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="4029" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-464551d3-0313-4284-a1e9-2a106ba18526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="4028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-534cc28a-1c81-41d1-a718-c53b9eccbaa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="4027" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61e338c5-c6d3-4cb9-bd12-d0bce5bbcd47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="4026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38316350-4907-4fee-9c5e-dd7cabce2bf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="4025" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1de5d29-9072-421f-8837-62652ded003a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="4024" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf8028db-3500-4669-b55e-2ee69960817d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="4023" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e93eba6-1fe2-45e8-aa4d-dbf942a2d3b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="4022" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df299265-e0ee-4d5c-9fdf-02314ac87cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="4021" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42e4fea3-445c-4379-b3f6-a21742a482b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="4020" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03cc004f-c745-41c4-9540-eefd31116559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="4019" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28a96383-3b27-45ad-83c2-d18b2be50fa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="4018" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52fd9021-4293-4b80-8d81-5108afd0c9c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="4017" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c840f0be-a31e-4666-aa2c-9706a989cc7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="4016" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9f30641-758b-439d-9f2e-d816a8a6c401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="4015" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39b68d83-efa1-440f-8347-c964777ec850-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="4014" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e66c6fe2-1779-4fa4-bc5d-55a1abaef3ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="4013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8ae407f-d742-49f2-8a24-b86503f25ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="4012" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8fd17f2-e83c-49bc-916e-ec0dec30b054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40937']" priority="4011" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40937'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40937' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40937'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be27c588-97ea-4686-918f-4de9b07d164d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="4010" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): de waarde van @code/@codeSystem MOET ''937' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-049a183e-f033-4234-8dcb-47622ef9cbca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="4009" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_38_Begrijpt_enkele_dagelijks_gebruikte_zinnen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13bfb019-e781-4791-84de-5a3974bdcac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="4007" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6429bfd2-f1b6-4706-afdd-6a22ac514255-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="4006" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d0eb4de-2154-4f7b-a4ef-85d8dabf91f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="4005" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b9cce0e-c115-4f37-b12b-573e0e5c1ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="4004" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f93d3a3-6963-4307-b66d-b83e66e1fb56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="4003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92e990c6-8989-42bf-a818-5c49aaca265c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="4002" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77a06079-a253-4e68-a3b3-a03c28265fbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="4001" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-223972c4-77ba-43ff-8d72-771fc581e494-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="4000" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb1e1b42-51ac-49b2-9cfd-c326581bdf8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a39f72c-cc4e-4816-a272-b62aaa57a22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3998" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a2c1c04-e1ea-4f22-b511-abf315b94025-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3996" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76604505-a0f0-46f7-a34f-0b258cc6e14d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3995" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dea7941b-5106-4ca5-8de3-324e40278d08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3994" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03e7c1cc-1739-48c5-870d-60515bc5f7b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3993" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-875bca2a-cd14-4651-93ee-39005f24b680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3992" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5be00e7-3c11-4f99-bdad-9bded015aef4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3991" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ef2d3d7-3739-44a8-b89c-0e67c4d9bc17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3990" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e65c277-eb9c-4def-aea9-6b74f470d61d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3989" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b78c25fd-c496-431c-89b7-d2696a47dde0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3988" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17a8331e-a5cb-4822-a436-28075de76b70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3987" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa0a6f32-8ded-4874-bca6-2b6e25e7d476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3986" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fd404e3-d804-400a-8147-016b9b62c288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3985" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9704a361-08c2-4369-9ef9-b1e5081ae17c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3984" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4ed58e8-68f0-488c-94b4-34d5aec97539-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3983" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63bca8c6-fe4e-46e1-b078-d4bbc66fba35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3982" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fa7997d-cfd7-42f2-9ae4-b40dea2a9ff4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3981" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fa2ba9c-144e-4e43-98c6-92d75dfb07cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3980" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e40da35-4f67-44ad-b784-8034da9d8ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d367e43-6bed-4a7f-b1e8-330c6186a5e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3978" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddbfc22e-19d9-4036-b26e-60c8ca33baa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3977" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c8270f2-39fb-40a2-a417-f0f500c99041-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3976" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53e39cb4-b646-448f-b359-9f2cee90d969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3975" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3283ca14-236f-4c31-8fba-c61600df2105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3974" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cde402d1-7a7d-451b-94f3-c8e9637b37ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3973" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-810d29ea-bb86-4947-b95d-44e3b49a1b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3972" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62878bff-e375-4009-af33-b89a59163466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3971" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20316977-68d3-4db8-8988-5fff520f8d96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3970" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00f88084-9347-44ba-896a-84ef1563ea99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3969" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2f8fbb4-5115-4f39-bbc1-5405c105191e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3968" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62179d36-233a-43d9-a13a-fbc911093b23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='937' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3967" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a4dfe0f-b874-40ea-a4f5-de7db32cab36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9cf6b54-248f-4228-87cc-781f581fb2b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3965" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a6ac6e5-f3cc-4d8c-a9bf-66df07eea071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41266']" priority="3964" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41266'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41266' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41266'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7b9c923-b346-4eb7-ae8d-1918e8ceb760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3963" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_38): de waarde van @code/@codeSystem MOET ''1266' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3a0fd45-0936-4f7c-83da-9b80cd66be64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3962" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba5570bd-54da-4337-b1f7-480438b46622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3960" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86cc9e60-d411-46b0-b64d-9bd30e5137a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3959" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73a3efd6-8d6a-41c6-8892-659b2162ff01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3958" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf5c8dcc-1755-4c3d-af14-2dc3b896aeff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3957" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1cf3c3d-1285-44fe-b8ae-685b2ee4461c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3956" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bea78e18-312b-4f17-8fd9-1b6d167d7743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e53cc32-41f8-4d24-bfdd-3579bfe96170-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3954" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ce6ca02-ddd9-402f-a49b-a2c8d0c241f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3953" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bbb5c5a-7cbb-4a22-a2ff-fc711cfe9675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d10e75bf-4d15-4898-aa2c-0d333f43af1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3951" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-346dd2a8-a349-4975-9f0b-96b852fc415d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3949" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b4f055b-d789-4a7b-b58d-4b8cdcdaf10a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3948" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86a50320-37fd-4f7c-91b6-ec9c95da9b9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3947" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16fe8238-255e-4de2-9fb3-c3aaa013b85a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3946" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d84d51a4-9c29-4ca0-b9e5-64d50d09e278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3945" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-967a291c-6be2-4fe2-b58e-1c79d9945fc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3944" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1173899-be82-4074-9d9b-9fb4dfca1169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3943" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57f5475f-77fe-4058-8a9e-b52679d446dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb2176d8-5811-44da-9b63-aec6481da0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3941" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8ebc690-d66f-43ea-b9fc-c6003346bc11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3940" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-660fa1d2-7d3b-4198-aef3-b42e516a7ccd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3939" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8c5fcf9-1376-4885-8f8b-ac4be1d7ed5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3938" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bc1f47e-ac36-46db-88b3-dbfb1810c07f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3937" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3f5a77e-6bb7-4641-840d-7d941be65ae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3936" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fc54d37-0cae-4114-8f0c-51fd82ffd841-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3935" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bc7c2df-fac4-4677-9eab-ec968a9f9d1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3934" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-616201cc-33d6-47f3-a86a-d2b38df47a33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3933" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-216ad623-9bea-4ea4-902f-12d8806201ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3932" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-648fb371-511a-4b8e-ad9d-d989e82e3fdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3931" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0aed4a58-30ae-4d9b-8265-2657cdc8698c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3930" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e764a2f-6dca-4537-80c8-afdf7de75274-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3929" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-151c4861-3c7f-453f-86c4-745fe6c98280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3928" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d07e4ce-fe4d-4dbf-bccd-cd06e686d210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3927" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2273e79f-b110-4e44-8c24-ffd780978ce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3926" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fe6c40c-c5b5-41d8-9bbc-43dc87610e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3925" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0b49ab3-0812-49de-8edb-bae72b67eebf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3924" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f423f66-87d8-4769-a30b-42ea9fdd659d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3923" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1eb2676f-cd8b-4644-89fe-663788797610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3922" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-802ab8c3-b625-4aba-a935-f862d3aa8971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3921" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25eeb89d-c51d-4079-ac26-35ec4ec37b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1266' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3920" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93d55f9a-2428-4a30-8e65-66db825bf2f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70e995a3-711b-4fc6-b497-d2d93a9d5904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3918" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ae0c98e-b355-4353-8691-5633bad13790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40938']" priority="3917" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40938'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40938' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40938'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed8ba310-d1c0-4a1b-af4a-7cb12da60fe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3916" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): de waarde van @code/@codeSystem MOET ''938' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-466b7b5a-0f01-49f6-a5b6-b9fc0e0ffb38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3915" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_39_Zegt_3_woorden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68c72de9-f7b8-4650-abd7-dac3d375e43b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3913" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97d7940a-82cf-47b9-8e24-039948f1b3c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3912" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11bd1da6-ccef-4ec8-ae3e-26cbbdb66e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3911" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64bff29c-40da-4696-88a5-4e390adeefed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3910" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-616b389b-02bc-439d-b41d-96072de3d11d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e60ac999-57e9-4aeb-96b4-9c33f59f4055-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3908" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ef15363-31bb-4a30-9652-05aede881387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3907" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e46ae70-ff5c-4417-a32c-90b1ffac9038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3906" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-430c5263-ae0f-40de-86db-0983c6263d8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ae33f82-1dc9-4141-9401-e2423186dae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3904" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce227aa2-eeca-43b1-a013-861f284f8455-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3902" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-929ad8af-e93a-4201-b77e-7477e1585674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3901" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-345b67b9-9ca8-4f0d-8994-96026f6cbf37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3900" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ee9ff33-b821-45a2-bb19-1b3c98ecafa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3899" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cbce712-2819-410e-9f33-5c2b97b20075-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3898" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9d4b2f1-b211-4ee1-9c99-74f353874c88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3897" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8025d9f0-5e6f-4d42-819c-692c6c9634a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3896" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b6f69b1-9b87-46e9-af9f-aef423fc5177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f174f18d-46d9-4dc2-a859-860dcbdbce7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3894" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-125315ff-9857-4cea-af2f-c08d2b13ad04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3893" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70f26c30-a9cd-41c8-968b-47fea7e9ad71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01ae1353-94ef-4af9-b4a3-6c555ffcdf44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3891" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84ed36fc-a267-4d24-ae92-0d96fc6252be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3890" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b0ddc03-46b9-4b3f-8548-236f9a81e494-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3889" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a9d4b77-2b9a-438f-b934-32b104fcccb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3888" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93214995-7678-4861-9d4f-c96ef12351e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3887" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-763931ae-3f15-456f-9e61-4908b37e8ee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3886" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a758364-5d7f-4238-a1b5-96beef81b91f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3885" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f97a4dc-dbe3-4cd4-9adf-aa56991ed6b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3884" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7206b59a-595a-43fe-a70e-f521c6747209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3883" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e687b80c-bb14-4450-9cfc-63f6c3c712e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3882" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fc063ba-4ff4-485f-9ecf-2cf32f8118dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3881" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ab3163d-522b-45c6-8bde-ea996b6a4cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3880" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78a0adb5-8967-43d3-a9cf-c5e3675c23f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3879" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40ca0bea-fb7c-4884-aecf-ec623921759d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3878" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5a39367-2f26-4d66-8bc3-01df6850179d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3877" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d04e603-c93a-40b3-95e0-c681414d97d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3876" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c24a3cb-c7ed-4214-8a99-b8d1b5214c69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3875" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7c72b47-7f63-48fc-856d-9c7704090fda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3874" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-186f2ead-c6cb-4fb7-97ea-0db9cb75171f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='938' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3873" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9dc6585-dba3-49ee-97bc-62ebcde5f6b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e343464-07b2-4d5f-be73-ef049db5fc67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76928b40-d750-436e-955a-5b1bbba0172b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41267']" priority="3870" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41267'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41267' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41267'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-841c8cc3-e441-4566-a0f2-d67f9efa2cae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_39): de waarde van @code/@codeSystem MOET ''1267' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6a21c08-d56d-487f-944a-025be40b9a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3868" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef532a14-87c8-4310-b12b-521354424bff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3866" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55cdd513-d034-466d-96bc-dbf7573497a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3865" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39ec68c5-2afd-4a8d-9a09-62f962dad077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3864" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-630c30c9-446e-484f-9005-3be1b927bd77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3863" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f06486ee-caf0-43aa-a416-bb02b52d0002-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5874951f-6edd-4ac0-8c4b-2bfff6f560a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3861" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bab86d43-10fb-4e75-bfaa-126a9ab45738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3860" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de4199ea-c15e-409b-b00d-a0bd18647474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3859" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42b969a9-9051-49c2-b61f-ce82cfa6d72e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-010342d1-dba1-4d90-a242-7dbd115f37bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3857" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac45488f-e510-4391-b42d-bd4eb92c6220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3855" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d292271-9c0e-4bc7-bf1b-54f49ded4ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3854" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc775347-892c-4d6c-9bee-fe0137745e88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3853" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-654eaf0c-5a9c-4f44-9abc-a8013934a358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3852" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ca223f1-3ab8-42ad-bb2c-af8e89a1c757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3851" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aceebaf2-861c-429a-ad6a-7fc8b74c411c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8d3ae49-9ce5-47c0-a1a2-bd9da2f43f1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3849" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca014bd8-332b-42cb-9b31-ef94579ebfb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-072547ab-dbfd-44eb-ad06-b444abb86c3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3847" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f684412-c89b-410f-bdaa-4604b446d0af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3846" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0fa2e0e-2bfd-4a8f-b1d6-7479421adf4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3845" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e97721a5-0773-4b7e-bced-48c52084d524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3844" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f9b7e42-2cbb-49ea-bc38-a2838eb7b0da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3843" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-560de139-32a8-40e6-8802-971f53c98291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3842" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32cb5ab1-48e9-4337-8424-79f15dc74041-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3841" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1734296a-3c6b-44dd-9af6-b65a64389f93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3840" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ec7c648-1622-4a0c-bef8-b9427ade287c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3839" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db1f113a-4a93-4fbf-8d24-a24ab3200ac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3838" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9d43576-7915-4051-a816-9de7bc1ea2ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3837" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0b79a63-78de-404b-9900-fe191e1c6da2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3836" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5cbc9f1-7204-4095-9741-cccab5108677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3835" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a25af9e3-5db0-4efb-b2ac-50c39e80df8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3834" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f04a4b35-7b3a-4db6-abdb-3f420f5d23f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3833" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-180e68c1-35f3-4b61-9339-cc9aad53f924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3832" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-497e7d4a-4f92-494f-85e5-3cc0c9af1a0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3831" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6e5055c-eda7-458e-9c2b-de89dcec2615-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3830" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22716af7-52e8-4d26-ba46-94ef21647c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3829" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1772daf-482c-47cb-8478-6af3bbe08c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d5e3245-e07d-4505-8ca5-db61ffb4601c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3827" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc3e0d20-cc8a-4770-b2fa-637620a29d2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1267' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3826" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cef82563-4f31-488c-af90-dddf557507d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5b94182-b6c0-47e7-8e67-d8e36092af51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a29ed373-d198-43c1-8d11-1cd18407650b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40939']" priority="3823" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40939'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40939' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40939'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c5925d9-30dd-464d-84e1-cc48497b9522-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3822" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): de waarde van @code/@codeSystem MOET ''939' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04fb994d-9c50-4304-b9ae-522abd644f66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3821" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_40_Begrijpt_spelopdrachtjes): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d140ec8a-a4e9-4aa4-967e-df753c3ae693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3819" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1d6a07c-6bcf-4352-9316-85e9dcc29ffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3818" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e4ff4aa-f044-4ee0-b946-b610899a2d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3817" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcb361d6-c83d-4560-b419-65ca604e0540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3816" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97ea8628-2e4d-4bcf-922e-3b5715ebfa02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3815" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fa1d506-3da1-4f11-b958-355a28d1f691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ad9bf86-7ef8-4ad9-8067-b4239ae08f66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a577f86c-0e37-46dd-9ec0-81485ead59c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b23df3ee-c34f-4597-8a71-91a6b8d9ced6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3811" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7da401f6-fbdc-4218-9f5b-8af03e5b6146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3810" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6341d995-19b9-47e6-99bd-616471cb4880-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3808" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1d9ef91-5895-42ec-9f26-7180843c5b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3807" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-307c0dbe-e8ce-4344-9b48-7787f8c80909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3806" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b01be685-24d5-4dc3-95ca-9f6cf2af8aa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3805" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52f7043a-2391-4865-b11d-72cac9479583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3804" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-919ad13f-2374-4522-a943-7ce0a5b38cd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3803" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-307c6d5b-f58f-4021-b7ac-d7464e294a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3802" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61a51cb9-75ab-4038-9b3c-3ed49acca6d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3801" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78039eeb-c53a-4574-876c-23d89f75e0b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3800" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0db1998-0305-4e5c-8a50-2a79c59b0237-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3799" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68c738cf-74c3-42a1-b4e5-e13bd67ce36c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3798" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8d59009-5a0f-46f5-9c50-54425c4d4ec5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3797" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-986a2531-a790-4598-90df-6278518b8838-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3796" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea0d3ce1-2c6c-4dc5-9730-29d500be5f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3795" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01a31325-68f7-433a-bf44-462502efabed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3794" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23575783-b26a-40d1-977e-476057e329c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3793" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a21b2f31-c216-4d65-987e-a277b70c1233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3792" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-636543b2-2924-4007-9c7c-de649d873fb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3791" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eadfc658-bae4-4f4a-b5d9-acd7dd57f8e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3790" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2757404f-e347-4906-b477-162f345f8a90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3789" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10f814f7-5c8c-4342-af70-f4f5855d16b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3788" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbf9940d-8149-4ef6-b0cc-05e64609d048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3787" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e127c41c-0c84-4f96-bb4b-fec9964bd969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3786" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fc2f6e2-e9f3-472d-ba15-de3f44302c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3785" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a8c2563-9007-4e18-8f79-e7d25616f31e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29a4d3ea-efce-4638-9e95-d3bef3a0256a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3783" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4673ace0-af49-4e17-a864-3d2d5e4d6113-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3782" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e6c2619-a664-427f-a6a2-2e5eafa6fb8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78bf1b72-4622-4f0d-a71d-8f62a341ccdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3780" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ed33f85-5313-424f-986d-bfc8a3723a9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='939' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3779" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0c2eb83-3ceb-4693-b21f-790e63bf802f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3778" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d289ea5-62fe-4a2e-8baa-b13593682121-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40093da2-1be8-4723-b01f-963806deca4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41268']" priority="3776" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41268'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41268' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41268'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc23ae86-5bdc-47a9-907f-a7945d3f8a20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3775" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_40): de waarde van @code/@codeSystem MOET ''1268' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94e00f4c-9d38-4698-b1fb-60d4356288c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3774" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b63d37d-e6b0-4e13-a822-e7eec5ab29d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3772" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0bcc421-5bc9-4b49-9059-81289e7a7721-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3771" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-097623e3-c240-41ef-bef8-50150a4ea063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3770" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63a4e06c-f76a-4cb7-a66f-11f0d1a192cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3769" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47ce774a-0ea1-4d00-a104-e3f157c41f7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3768" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cce002ef-d839-4713-ac9b-153427c2f96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af364542-a78d-4000-be66-7b367f5446c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3766" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0c8342e-2844-4e96-b66b-cc1ffea1d828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3765" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55743125-f928-4b21-8af3-35dc9076d0b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3764" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8e49765-33e3-4cab-a35a-f3ef7f38be7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3763" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1794ac0c-71a2-4854-ac90-9292d8d399d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3761" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ed4b3c3-c727-48b4-abbd-db618ceffdba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3760" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a98744e0-db2a-407b-9513-48163d9dde45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3759" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64aeb685-f079-4c05-b163-b92d51c28d28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3758" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9aff04f-a367-4362-b311-98e7d6bfc7e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3757" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba9d22c4-ed76-4236-afb6-40bb42b368b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3756" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e699e1b3-0890-4ff3-bd51-5c106468bdd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3755" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13e262f9-118a-4216-87df-a5b87e303fd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3754" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53ab531a-e4dd-4e3f-adfc-a1d7b9924116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3753" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-276d829e-d383-4b5f-b5bb-e980d9c2f2ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3752" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-308ae625-021f-457b-8973-d9235ff9e933-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3751" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5a6ebcd-ba61-48b4-ba9a-6ccac610c8d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3750" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20525469-cc3d-48b2-bf14-6046651dee17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3749" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-faa0ceab-e8c0-416f-9277-4effc2cc4b03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3748" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8d89a10-388b-4ef0-948f-9196bcb3cb06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3747" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecfec314-dbd1-42ad-afe5-6f0fededd8c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3746" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d40917d-1cd2-4db5-8f35-06217bcb3338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3745" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30711d87-ee89-4487-b4a1-0f4ce6fe6dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3744" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f92d178-27bd-4646-8059-114a216dd3d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3743" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d42ec85-206c-48b3-8bb2-114141f9f69a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3742" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f164508-2dac-420f-b913-e19a368364fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3741" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ef247f3-d86a-4a3f-90da-f8ff98282ef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3740" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-236f01ee-9fde-4e36-b109-99b63e747931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3739" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06daa5ed-5496-4a08-ae3a-a70943db5423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3738" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53bc4544-1bab-49c7-bc30-3312a2813ac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3737" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-512859d2-5670-456c-8291-fc183be2b857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3736" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6e05a0e-4531-41ce-8eb6-6dfcfe434f46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3735" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b9be182-0647-4d03-95a4-72dc1bd7ee48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae8cfdf3-ea53-40a0-ace3-098773eafeaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3733" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f263da44-04e3-4c00-b6a2-3cf6f6dcaf58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3732" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f48fb7e2-f576-4c71-bf23-7176edf6a13b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac73812b-e073-4dc2-9138-23d76aa2341b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0eaee44e-00d3-4b0b-9fb5-4c06b529d40e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40940']" priority="3729" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40940'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40940' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40940'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0cf46fa-fb8d-4747-851b-18a0e1be9213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3728" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): de waarde van @code/@codeSystem MOET ''940' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d904113-278d-4118-9924-10a676474b9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3727" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_41_Zegt_zinnen_van_2_woorden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7468121-22ae-4925-a6dd-07b1c3b408ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3725" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8196292e-34da-43cd-a43b-4730dc78b114-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3724" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b524ffa0-5669-46e1-b897-5009a012967d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3723" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f24a1f99-4899-477a-9b27-5bfd1462203c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3722" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89a60082-f74f-4199-a6b7-a5c9032629f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3721" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a03d15f-d29f-4ba3-b2f2-2a36dc4df20a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-323355b1-70b2-4935-87cc-fe0f9a480bb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3719" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fd945ca-7250-4dfa-ad1b-414ca516f0f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3718" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7cff5d4-8a9c-4f4d-9ce9-95345584e77b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-472ae514-dfbb-4366-b7e6-27afc1bf8a19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3716" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0bd7f9c-aa8b-4faa-a36e-1723570b5af2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3714" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c51de832-7886-4bfb-ac66-4fa699134d96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3713" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1cfdfe2-6cf5-41ac-8b68-2273b2e35716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3712" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47b3ebe3-2530-4cb0-be3d-2b0ff55517d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3711" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-690525c3-dd7b-4447-a2ef-8c7146e14da0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3710" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6faa966a-57f4-42ee-8a4a-6e4d3416d8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3709" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b142778-eba6-4a8e-b16a-e1f9251d4708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3708" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab1b5248-f689-42a8-85e2-b544fb024e3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3707" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d4c700f-7aef-4c31-b977-24f7e73e56d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3706" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23b916eb-3f53-4427-b7a2-a19440d1ea63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3705" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0685f3f0-b439-42ec-94c7-e6f5d8cb55a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a93609ad-7450-4f61-8e6d-ff1649ecb790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3703" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44da17e4-3283-477c-b25c-5345f7b69b48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3702" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70558660-38fe-45b6-be9a-83959a3a53dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3701" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92259ccc-8189-4dbf-b3d5-83dc5547061f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3700" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-972f3a73-fbf0-47f0-8a3c-72592e613629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3699" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73e37946-aaa7-4c5a-914b-06ac2b6e8169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3698" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e148785-98ad-45ac-8963-bd7d5d3c4aa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3697" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df47b319-1615-4063-af7e-a3c35d1ff3fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3696" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2da56c3-9a99-4a8b-954b-bf83b2408678-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3695" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0375016-a091-4b12-96a2-eb34b218c932-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3694" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bd10f5a-d001-43eb-b20d-e2576ca0a0ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3693" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b561f83-f104-40bc-bef1-758f2a0c17f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3692" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f86673f-6df9-441f-bb92-46d43289171b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3691" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2051a73-a714-4a75-9db6-f26e25465288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3690" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab61e217-4eb1-4838-bd6a-b8fcb2a7d730-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3689" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82bbcf8a-57a6-4e09-a9b4-14642bdd4c1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3688" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe8100aa-8b6d-4429-ae26-79148a6ef4ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17109527-f696-4e7b-b21d-af04a1670b7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3686" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d1c0514-7cdc-4223-8a3e-e146fff1ad67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='940' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3685" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c5c724e-28be-4ca7-98d7-f0d7d8705345-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3684" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61be888e-da3d-4bfd-bf0d-b3feef60d691-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17e27ca6-ef1d-4bb2-acfd-23c3d15032fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41269']" priority="3682" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41269'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41269' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41269'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b706e432-b9d7-4d25-8531-ff52bd8774ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3681" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_41): de waarde van @code/@codeSystem MOET ''1269' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9264e1b8-5813-4805-8dd7-7c2aaed40327-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3680" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e35b078-98a9-4dc6-b509-1284c74271da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e3773c4-1101-44ff-b6a5-6695db4e439b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3677" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-164e1ac4-051f-4a8a-98db-7dacc09b0db7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3676" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb5e9f1e-6415-4ebe-8880-797279750a88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8eaab52-bad0-4cfa-a9f6-390a4bca238b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3674" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10312a51-c0b7-4050-b4dc-f0a982d590ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3673" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-415bf0c5-d748-4ab7-b4e6-1c320a7bb7e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3672" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4130886-fedb-4577-bcca-5a8119a780e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f083983-4ffa-40b4-9924-6c2f3f042532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3670" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4713da35-8b23-4cac-b1ec-3ae0efbecaa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3669" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0abee18d-93ca-46cc-8149-1fba33bc0e66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03ce23c1-7748-4b97-a929-aaf6d3615a2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3666" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f0fb8d7-b6bc-4dca-8f63-68d838a5a4ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3665" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b96289d-527c-45f0-8bba-c79b20419e1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3664" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3793f82f-ba2b-467e-819a-664f4a0b316a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3663" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-210f981f-02fb-415b-b677-e1299088e5a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3662" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef69efd9-7000-4d09-9748-ec9a4e548cc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3661" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b13e50e4-1095-42f6-aea5-86609b837730-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4156caab-86cc-4e00-a714-ec2821e4bdc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3659" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c34eb01-48cd-4ad0-9ebf-3da8aabf1d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3658" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ae73542-593d-44d6-a56d-050d09065433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38036e74-6ff0-4815-8eb9-a5659b795b16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3656" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2e3b7c1-6f6d-4f78-8956-e28bfc6d26d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3655" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de034704-a576-464a-a40a-44f4f02ea135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3654" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08eccf29-7c60-4423-97ad-718591489947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3653" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06e627c1-5e13-4df3-880f-a7309955e2ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3652" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b846bd7-941e-441a-8e93-957372ec675d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3651" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7382291-53f1-49dd-a4ab-565e7faff48d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3650" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4f2aba5-7a2e-4e50-ae3f-21d5a790237a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3649" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac0f01e7-9765-4cc2-91ce-91c085638543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3648" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9215e69-836c-4745-8c96-dda06eff8f8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3647" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e39df56-893d-4953-b2fb-8d739499a4f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3646" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-993227ae-19a1-4498-90cb-8570b59d3515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3645" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5277fa5-5e0f-4794-8c4c-19224a6c8258-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3644" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-058a6452-1818-4e47-a278-0a4e2079f1dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3643" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-faa4e8bc-3f73-4a5e-b636-040bff94cab1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3642" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2e90bb8-795d-43fc-80fe-7661eaa2d6cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3641" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3152873d-4cf7-4605-be4c-350025169f81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca441d17-e4cd-437a-869a-4db7fadeef53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3639" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3872a08-9f5b-46a9-907f-33432d2cbf49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3638" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90f05ecb-6582-4b3c-92eb-ec5ecb7cd1cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3637" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-044490cc-9271-43bb-a47a-a598cb513a34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3636" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec8fc4f4-5a6b-4a76-9647-b52a09f2fcbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40941']" priority="3635" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40941'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40941' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40941'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c25dd76-f736-495d-9cdf-3814bfe4ccb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3634" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): de waarde van @code/@codeSystem MOET ''941' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6781fb8b-6c93-41fb-a588-b4c6540b0698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3633" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_42_Wijst_6_lichaamsdelen_aan_bij_pop): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f52ba0d-3d47-4fad-8b61-24ad8e899bfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3631" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56fb9dc0-67af-4c04-bc42-4efdd1d838a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11f9de86-d6bf-4117-a16f-e43980d713ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3629" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21fe925f-e470-43a6-8ae6-b9cc530aab64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-532e880d-0f01-4a31-9a57-dce3757de5a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a959013-8c55-42ec-a173-cab7abba3d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3626" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b35af741-9949-4cf1-a373-81e11507fcfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0c93ad8-5c0d-4078-a84b-d61b19b25319-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f76c147d-e7e3-49ea-9e15-285d1440f2b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-376233f3-209a-4f34-a5da-5ec4476a7b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3622" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e160ccb-1870-4e20-9282-07c079ab4a55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3620" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1516c18-bf22-413a-b62d-01d73a1c2820-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3619" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12a4b7fa-f899-42d6-aaac-6adedcc75069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3618" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f360dd19-c5e4-44d2-8dd3-7c103248245c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a56abd54-1a67-4194-b4a3-65ec553b6ba7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3616" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ca8cf31-f747-48df-a7f3-32b0982e0871-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3615" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a68a40d3-c4a6-4a8c-ba4f-c384fe2f3c71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3614" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7703f238-8a06-474c-8006-003e0a991126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3613" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f8cd106-00b7-42b7-a0da-065b825686f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3612" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8229a5fa-2833-42bc-8ba1-3bf78f1301d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3611" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e66261e-d7fd-4a3e-9477-cc6b5ca1aa0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3610" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-723f3aa2-a030-48a5-85b1-2aef30cca9c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3609" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaf40eed-efc1-48d3-b22b-312e16ddc90d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3608" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86b881c0-dd89-49e2-9af9-846e7a6372be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3607" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71f03089-0d60-4a06-913c-7cbc05e7b072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3606" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cd0c0a2-3fea-4da6-95ee-93e7f74ee015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3605" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c059cce-fb71-42c2-bc56-40b6808523c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3604" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5aae5e94-4525-42f3-9c6f-7bd3f233ccd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3603" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ade172a-9996-4b3b-bfe0-11db23ce2b03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3602" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78f03f1a-73e2-4472-9abf-4b10790248e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3601" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f97ea4f-2d90-473b-a58f-7795ab806693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3600" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d40415ab-9d64-4f0f-9218-f1ad3cfc1196-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3599" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3d39f50-9168-4dcd-ab02-e3888a45e340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3598" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27fbf4c3-0032-4936-8eb1-c572f1bed490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3597" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a56256c-fe47-44c2-bd9c-09d4c4d2dc2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3596" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd20d10b-fc57-4bba-a3dc-48cac932a6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3595" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7e49ac7-ae43-4ecd-8af3-db69ee661866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3594" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50358c78-9bb4-4ee3-bc53-e71e0f901d47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3593" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08ee939e-6516-4a8d-b28d-598c9f3e8c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3592" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6852be6b-79aa-4366-8986-9cc753542f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='941' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3591" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd1fa2d7-00c5-4c73-8fdb-400beca259db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e316640-ee17-4b86-a763-01996b4efad3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3589" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3af1689a-3b6c-43a0-b847-edb50798b99b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40942']" priority="3588" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40942'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40942' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40942'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a71b712-9bc8-4bcf-b5f8-b86cce3affdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3587" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_42): de waarde van @code/@codeSystem MOET ''942' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee143ea2-09c1-418c-8d39-f39c3a4b579c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3586" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f61a670-8368-4ae6-adbe-a0cee243cb37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3584" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2ae1033-6de9-4f64-8d69-a6b212d72c37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c9b91ba-6f47-4e2b-a064-e637c67a3e2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3582" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb384622-056c-4af3-b98e-ddbed692ef04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f4ceb21-8878-4f9d-aaba-50d35ec418ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14159776-ff60-4a42-b74f-8db31dcd97e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3579" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f3153c0-e7e6-4d15-b439-f7dea684bed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3578" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65699197-f0ac-4df5-bf59-b822ed947928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6964c9e5-d3b6-43ad-bc2b-ffb123c80f23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fffc659-9493-4a28-b884-5804cae54ae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3575" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f57fc638-de91-4933-a216-e14c56397e12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3573" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b593f276-c3f7-4d5e-b73b-2534e86349de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3572" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-210133c5-57a8-4b69-8b89-f7ea70d21ca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3571" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1001fd6-9be9-400c-a277-a2a5b89e792a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3570" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4555b5c7-212d-402c-909c-3572836590ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3569" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bfdb913-3f09-4c2f-9f76-b56dd8106ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3568" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63b1c032-2dea-4568-9dac-1b8193375200-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3567" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10065ccf-80a6-4fee-bf82-a224b6d4dac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3566" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-014d73ae-2de6-47e0-8f74-f1c5b0955d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3565" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b18553c7-f144-479a-b237-fde4c2d994dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3564" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdfb78ef-db14-41c9-aedc-00fa59e1d50a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3563" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53ef39b6-aaa6-4471-955f-d8a493cc9a04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3562" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8835240-d762-4228-9aeb-da5730cb4fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3561" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5ad72ab-0e34-4dfc-858f-32b152f264cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b29e076-d4e9-4a27-a05f-a86a0cc1e54b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3559" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb4f3b72-6d73-45d0-8346-b35f63fa8ae6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3558" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a5e6402-11a0-4c5c-a2d3-a2cf01a03db0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53f0b3b5-fa8b-4d36-8d42-216dccff9dc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3556" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b282d342-9110-41b3-8c8d-70de51dae15a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3555" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fea75261-070c-4472-afad-61fe69b689df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3554" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf36759c-ed78-4cac-bd7c-5917d1eb983c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3553" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00d03d24-c6ee-440a-92e3-c62efc741fee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3552" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b11d327c-85c1-42ee-b91e-c383a2e26581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3551" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a94f64c2-cf60-4c36-8cf9-e3ac3b2c4c05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3550" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de1cfd77-3b5a-470b-80c1-442b6ec5a27e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3549" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-799ee97f-b3e8-4159-8bb6-0b28bdcac59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3548" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81445461-ec93-4a4d-82c8-415385c341b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3547" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-095b54dc-6289-4e24-aa71-1ce7ee28fe8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3546" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3946afb-017d-4735-ac09-744ff01d01bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3545" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9013793-385f-4f6c-8ec1-f07cbbccda4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='942' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3544" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c86cb58-5f72-4147-ba4d-9324890dcd93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4908a3a3-7fa9-4732-9aab-778c9e4d20fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3542" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4301cc90-3b95-4fc1-9992-bbecea4e2cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40943']" priority="3541" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40943'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40943' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40943'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-584ac681-0462-48b2-b246-851989ad63eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3540" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): de waarde van @code/@codeSystem MOET ''943' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9666a20a-06dc-44e4-a9a0-9ba32597c384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3539" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_43_Noemt_zichzelf_mij_en_ik): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2304af4f-1ebb-431c-b7f1-b1239914474d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3537" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab98e7f9-c3f0-4dbb-a2f9-bcf7a9bb74be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32ce1d40-8661-44cf-9098-f173e1d5f28d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3535" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1073a7c-3d21-4ff8-b071-8901168130d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e88951d-3c41-44af-9a81-d412625f137f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b7a2ec9-4983-4427-8453-b4f574e6b3c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3532" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fa6c21a-7b77-467b-b82a-c88f1b432e67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3531" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07f94102-6000-4bf3-bf82-2fe400ce46f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9b6f40b-2111-4d41-ad8a-13a52775fbc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61858be0-afd8-4cb4-a62b-0d4b67aea4db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3528" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-934fee79-43c3-4f4b-9df8-4bf6009c56c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3526" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec77f974-5b18-42ae-96e4-8d676be1b375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3525" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84896ed4-f99a-4a50-a105-4eee7866966f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3524" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e25dc9b-cf70-4db7-b419-0ac794523aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3523" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c7e8b3a-2f7c-46e0-98e4-6404402c5140-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3522" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dab944e0-a840-40b0-a667-8f35f25535e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3521" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65eadc29-f1e2-44c3-829f-077ccabe74e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3520" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2931899-142d-4174-a741-fcce2154360f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22d717ec-47c4-4117-b9a0-734843e06859-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3518" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-750b2168-76eb-40e2-b712-eacab7707fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3517" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c279e1e-4690-40e2-af64-442a8475e99b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3516" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d233d99-eaeb-4999-a1bb-1bdd969dd4a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3515" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eed1ac49-1cb7-4ae4-afc2-8a8a8eb0fde7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3514" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e91a25f-e526-41a3-abd7-8428db65e29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3513" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0bc2b37-595e-449d-ba7d-9c1d2e7ff8c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3512" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6ad007a-6ba4-4a43-b664-82fa91e2623d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3511" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-285626e1-a63b-45a1-bd00-f09cdfca1dcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0af44fef-0a2d-47b0-8644-081820dcef65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3509" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f693f9f9-f83f-43c3-adb5-7843ef3cde7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b69f7d0-997d-44a9-87b4-8596405ce8c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3507" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a047f7ba-078c-48ea-a9ab-6d753887546a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3506" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e15ac91-27fd-4938-b4c2-2919f158272e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3505" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-153bb302-f695-476d-9d29-394ea9a14306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3504" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61918ec8-7021-47fa-8080-60a0b04d7dc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3503" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbafb99c-aba2-46ed-9e5d-4e1a85faa0a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3502" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0452898d-832b-4c80-a706-6e3f59205cd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3501" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed77aaf2-014b-4f0f-a9f5-a6f7243bfebf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3500" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2310862-b719-485b-be0d-f0fab14163bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-628b4161-0b83-4e46-8464-1e0ac261306c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5946e39c-3b2e-44d6-a3d9-62e75bfe5841-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='943' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3497" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ceb758a-9969-41b0-a204-b9d7fc98362f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35d9a8af-542a-4354-b472-6576dbeae5f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c73d38e-492b-428e-9235-01b7b3db82a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40944']" priority="3494" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40944'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40944' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40944'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f942b19-f9ee-45e4-9b94-30073728596d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3493" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_43): de waarde van @code/@codeSystem MOET ''944' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f738d759-9d82-4c65-b25a-a2ad500e6c64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3492" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e324afa-3067-4da2-9f77-94e074ae859b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3490" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3d62269-0f4c-4ab9-a7d9-042f91ca2fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3489" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a50cb46-1734-4385-9af0-d4f64b271718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3488" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bf96ae7-df46-4aad-882c-8f687ececbf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3487" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c3264b7-3831-4cea-916a-134170da9be1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d44119f-e829-44df-b784-074b8075380e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3485" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5f9f4dc-ffcc-4a46-83df-d61d8af710ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3484" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-837679b4-b9bf-4ebf-9f13-d05fa92b0b82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ac1cea8-8388-47ba-89db-ca14a4cf93d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3482" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5b16639-2825-4781-b461-26643ee1302b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3481" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00fca4fb-0b01-4847-8f37-abec75b4cfe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3479" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21590413-b437-40e8-9751-8732b1a36c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3478" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0101e3a2-696b-4fba-aada-6915cbffd43c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3477" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1f9d13b-b693-46a4-828c-0148739ba8f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f168008d-3994-4a21-a76d-7f9a016b1833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3475" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9bb9c8c-6752-476f-ab9f-ce9d459d04d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3474" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d6cc58d-3bbc-4265-8180-0d87c8ef0718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3473" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08f03058-0d98-4b49-8aae-bed19b1ba011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3472" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16c1b5b9-1f27-419a-b44d-c800076b67cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3471" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4a5e151-4185-49bc-9837-6107822d10a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3470" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e324757-d6ec-4d9a-9a1a-050ec52a36c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3469" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29c0090c-59ab-4bcd-818c-23c09f38d889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3468" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3070a739-8b7a-4734-928b-3c7495080b70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3467" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb44b15d-9748-4553-b0a6-1931fe3e9eef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3466" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80dde596-5309-47a2-84bf-72e7ac35b386-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3465" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c494445-dd9b-4cfd-b82c-bcf67d483870-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3464" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a4f047f-f5a3-4455-90ef-35eaeb13956f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3463" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5f850ed-a672-4321-9765-3112813e51d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2a45a17-ec75-43b3-b024-b28e4637c432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3461" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42afe8c9-6ce1-4eb6-8602-db01ed98f747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3460" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a6b6445-859c-49ba-8381-d494f6102f28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3459" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12f76d16-8e88-4187-9c1f-edc29f374b1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3458" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee83c003-e4e8-4a90-a810-9c9efd28df91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3457" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef02924e-1c4f-400a-b768-882ac131a10d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3456" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12a9685c-d173-4026-bc12-bd657f193ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3455" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ac492d9-7874-442f-b7a0-ff5e5a0998f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3454" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b8c64b4-d4e2-42ae-a090-49f3d6c9659e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3453" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5a2efbd-3856-4a61-87b8-433677824295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d7e2203-39c3-4b1e-bb59-475429ca72bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3451" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1231fd2-a148-4a6d-a8d0-692753ebb179-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='944' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3450" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cad8f3cb-3473-47bb-8951-6b067f0f06be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4eabba05-d797-4ee2-9324-7012d05748b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c618d25-52dd-434f-ba19-6fc8ae677486-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40945']" priority="3447" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40945'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40945' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40945'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db98ff1b-3403-4ff0-b82e-51ca652608bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3446" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): de waarde van @code/@codeSystem MOET ''945' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80dc861c-753b-487c-aa9e-d966d9b31efa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3445" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_44_Wijst_5_plaatjes_aan_in_boek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dbc6f46-f6d9-4329-9573-24447182ba28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3443" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe314a3b-ed98-4f39-b091-bc0c065cf2f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3442" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e240cf60-bb7f-470b-bdb9-99a3dba84c53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3441" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc94f12a-7863-449e-8737-b36d63498e29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3440" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09b46fc9-7a75-458f-871a-677d5ad51633-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3439" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e4b5bd5-b5ae-4385-a232-b7cefc99b1a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3438" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e6a28f2-fe9b-4501-9416-910dd277b970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3437" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89951ed2-c451-45e4-800f-ff2b06582955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45837e18-7d8a-40b6-bbd9-34707ef273f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-642de64f-ef3e-4496-be8b-aa55bbbcfff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3434" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e004a4d8-a603-4ce1-97a9-360b119d6e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3432" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6b76038-7b38-4121-90d9-7b822514786e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3431" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-090af97e-fa21-41a4-9cbd-50e307bf4f9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3430" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5222bca-0521-4bc2-898b-9ada59db45f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-821b9097-ecfc-4b24-8e3b-2ac35dd858f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3428" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9890c4ab-8de8-41e3-b845-d2a219a82454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3427" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-845fe9b0-539b-4b85-bb7c-0dd7b64fc294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3426" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66002df7-51fa-4243-98ec-3ed479b83e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3425" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00e32487-9ad6-46fb-b555-839e62444ace-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3424" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d30136a8-4b32-4316-ab5b-f059aae7bcc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3423" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3158bec3-a5d5-4192-8b4a-df263877a6b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad3585fc-3344-4dfe-8c4d-d735d3833ba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3421" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3aefd67c-9ebb-4b9f-9e57-b30507b27d02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3420" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e862720b-65df-4143-a1b3-52d0ba511107-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3419" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87ef9987-3602-4c5f-aa7e-eea06f3f4072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3418" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4aa5e72-c560-455c-88b0-2eeb84723b3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3417" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67238a7e-b902-4d6c-9d3f-171bce2cde4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3416" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72501d43-133b-4bc2-bf93-f1e612524e6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b89fa58-4c7c-444a-8daa-8612e58f8382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3414" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a9c5848-8ddf-4806-b65a-0e04a3bf367f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3413" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e501ae81-53cb-48c1-9c95-0293263dd496-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3412" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f710b4c3-b2f7-437f-bfea-4b8151f69ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3411" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-081be534-ee22-494c-a8cd-51a9a06cd191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3410" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b87d8b82-1582-4f67-9a2d-aa96d73e58b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3409" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ffff8b5-9007-48c2-a5e7-c521429c60c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3408" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae7af579-eb92-4f32-8c6e-14c30f9ba063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3407" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fca0c87-cf62-4c4d-8d36-22bf2dc981db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3406" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5289da25-b62a-49c2-b5c4-01c33d0046a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-779a2d34-8bfc-46b1-b77c-9cdac0eb6330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3404" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82db6070-faf1-497c-b421-e06f35ba92ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='945' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3403" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b4895f4-6df9-43fb-87c3-a8f56428489c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-206ca6d5-0e3b-4e9b-9b3c-cd6f8fb60e8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17d1b5b8-4271-42a7-a34a-f70e28b8966d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40946']" priority="3400" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40946'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40946' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40946'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b83bd2ab-957e-4f85-93a2-a783dfd4b8b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3399" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_44): de waarde van @code/@codeSystem MOET ''946' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afb5d100-0b25-4ff7-8964-9a5590547442-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3398" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87ce5cca-2503-434b-a2a6-36dc4b3f9f29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3396" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-569306ce-3206-4f54-9fb3-a89495afe84d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3395" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b47761a1-a012-4916-9eba-7c6636648b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3394" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05299611-c4b6-4b38-aef4-5fa6168c623e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3393" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65ac3dcf-7f4d-4092-ad63-4479d8299852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3392" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96787529-ee81-4b4d-99d3-538da6798e51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3391" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3369f0f-7a0a-4c94-83a1-e555acd60d2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3390" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7dcc490a-2b52-4173-b81f-b5decaf975f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84c3db19-40c4-49c3-a576-24d70337c4f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f7b2491-e482-4c67-b4fd-cccd5ec8e76b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3387" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cb4b70e-50d5-467c-8161-552d202f475a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3385" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13544031-32dc-48ed-a30e-83b346515810-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3384" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f723889-d5e9-4651-b44f-f7959a4c5944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3383" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-082c7f30-a3a5-45b6-8df5-45654b892c03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9db4eaac-916b-4fd4-a09d-55ec6dd44373-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3381" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4daeed3-05a3-4c83-aa75-b8635a71fbee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3380" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50d0fa9a-3ddf-43dc-942f-100f55d53898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3379" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-730bf93c-50b7-42c0-9abe-ec94c4b02de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3378" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7fee21d-fb15-4287-a461-872217b47889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3377" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ec08b2f-7dfe-40bf-8c71-c19cee006e89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3376" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4196c392-5b6b-40bd-891b-a5bdfd01e8d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b303315d-ff1f-430f-a4af-f04e6b7cc602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3374" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26fe3e6b-7062-4070-8948-5047d6be4480-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3373" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0a5df4a-d7c9-4ae8-9e5d-626e97988241-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3372" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-543d6233-afc1-4374-a681-4abfbd91c1b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3371" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1acbf4f5-bc02-4dfe-bd21-2539d882b547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3370" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31bc3344-9216-46fb-9f48-8103ca6656f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3369" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06c91844-07c0-4d6a-9112-d057b256d5a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3368" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29ba1828-32c7-421c-b8ac-e3bfee58b37a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3367" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f385c680-b4cf-4656-8bc9-a1b805bb612e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3366" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0d43e01-e936-424d-9e20-bc0c0cd0baf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3365" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e599cd9-2ca3-4ba5-aa74-84ebe401e79d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3364" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3770b3a1-b61f-4da0-8e6e-5a252b18ca49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3363" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2fe3161-482d-4f84-b7bb-d2f36cdbe33c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3362" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91774433-863e-4f29-8de7-67ec43595ee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffd57995-0d24-47da-979a-cdb4ac5b0f3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3360" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcbc770c-72ea-4731-8787-14babd4636dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3359" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aac1d615-6e47-49d2-8a16-6b2fa4532043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3358" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0145f109-0dae-441a-876f-1baf177c37aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3357" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4e21528-8dae-4915-ada2-d7783a372a5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='946' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3356" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b3c7f6-b9d2-41a8-af23-39a187182751-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b591227-064c-474c-8d23-240ab6971097-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3354" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ee4298f-7b7f-4207-8ea8-3b7c78ff72d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40947']" priority="3353" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40947'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40947' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40947'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c357bb9-c97f-46c9-a7de-324593bbde4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3352" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): de waarde van @code/@codeSystem MOET ''947' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4c9aad8-3626-4f7f-8c38-4fe30cadf132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3351" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_45_Zegt_zinnen_van_3_of_meer_woorden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c502a63-f2c8-4571-8b4c-3b3fde433369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3349" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-628118f3-d441-4d74-b5c8-a8789a87d747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3348" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8042ed62-de87-4829-8e8b-e2288748f48d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3347" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ebe7149-3919-4e77-b445-06ff2a759139-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3346" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-036148eb-bea3-4e96-b5dc-fa9f6fc0a49f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3345" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58b377a6-3290-4dd7-a236-0516014cf504-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71095b86-83e1-4186-bdc2-0a949118f2f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3343" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcf4c431-b0e8-4d7c-b6e5-14a7d3d9ef86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3342" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca368ce8-2b14-45d8-9950-160cc6aadf66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10417e90-ddb7-4217-ac5c-933070f97693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3340" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f981300-b7c1-4d2e-9c29-2bacd316b323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3338" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cd71c1e-f8cc-4f0e-9864-2156d32230fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3337" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fb84ed3-6516-4bb7-8210-edfeb2c1302f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3336" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2df1d5b8-78ae-4839-8f7f-5373ec0909ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3335" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a83fdaec-cb2b-44b8-ae49-11c1dffb5a59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3334" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-652664db-dc33-4e27-8686-cf998fa56d68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3333" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afd2c91c-5034-4656-ac4d-cd6fc3cb1a3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3332" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c83e5755-5f8d-45fa-acc2-655cd77a6889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-323efee0-3f6e-4605-88dc-d3e720c01329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3330" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bee42618-3592-42ed-91d0-4ce0ccbba583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3329" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bc33311-b886-42d5-af23-1e4106e2e8ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cabc57f-6e10-4c42-904d-560301560a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3327" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60e6f03e-34a3-4757-96d9-6387dcc0b273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3326" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-145ca727-438f-4cfa-8f7e-89bedfc86edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3325" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db691957-d47a-4d86-85d4-2ad984ecbd4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3324" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eec2d8dc-7257-4d9a-9f7a-1293dcba7b4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3323" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee6649e0-7395-4776-bfb7-4a6f3a7f7c96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3322" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-432cdbdf-3707-494f-b569-f843ca7101ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3321" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5470bdd9-5753-45c3-844a-98792d81051f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3320" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5877a624-fca8-47cb-ab81-5412f85b9cf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3319" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4e9cecc-346b-4a1c-9e1c-253156c57e5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3318" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8d1c733-53ac-4658-a8d0-3f5eb7b7af29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3317" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0081519-ac5c-4083-92f5-bd06f1a7d008-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3316" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8368f306-49e4-4458-884e-9f62892d385c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3315" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07c3db5b-e5df-414e-860d-36f43513739d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-225160f7-2996-4d05-a374-3c52e1b0dbfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3313" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c3d235c-b228-465f-a128-702f836fb46f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3312" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbcc5f56-8daa-4db8-86cd-4c374cf22fdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3311" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef72f388-d0bc-491d-9055-509259f864ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3310" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-915efb45-9707-4bb1-85a8-81fb830bebac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='947' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3309" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c946500-61a8-4647-9999-e299ef517015-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16dd7b57-f358-4c22-9632-5c808c774955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3307" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed5a3292-5664-4558-b212-99d3bda89ade-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41270']" priority="3306" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41270'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41270' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41270'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0622034a-4433-4b70-aea5-f4f539b47cc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_45): de waarde van @code/@codeSystem MOET ''1270' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9822cfab-27df-4e4c-a130-ca727f62a5ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3304" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23906e74-c1cf-4278-8e97-e66bc800309f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3302" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea85b94e-0300-487c-972f-4667056285c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3301" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-405db866-176d-4572-a073-99ad52b46c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3300" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcf04ff5-cace-4a72-8de2-7f98a3a03658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3299" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93450bfe-9570-4f5f-aa41-06a1d6d494ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3298" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4dcf654-c585-413a-ac1b-726f79f3d146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a158582-dd67-4467-97e0-ead28966de42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3296" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d0adb63-a0fa-4069-b0b6-dc56a1ccd4a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3295" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f50bc80-4b92-4eca-b71f-8564af566684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3294" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cbbabbc-541d-44c2-b6ed-1e6f361807e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3293" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4749c04-9588-4ed1-a5ce-ad46a692a804-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3291" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdcb2c03-313a-401e-aa6b-6323999eb501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3290" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-052f758b-822c-4642-be8f-0b3c3ab4bea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3289" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d62b281-1cfe-4c2f-b9d9-c9195bd5f418-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3288" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df7bbf2e-c4c2-4d42-b8a5-b27e9fb2f8a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3287" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc1e952a-e7f1-4799-9a85-0126a020bc18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3286" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-513cd12c-23da-4294-a158-4b715ff39fa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79ebadaa-beb8-456f-88ac-5202dc70a5d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b31e5bd-4add-4156-bf32-d4611aa912a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3283" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7efcbd6-16cd-4dc0-8392-4612a81784e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3282" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f251cae-e739-4fd2-90d4-4c9b62342ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d290baa-9f3f-4194-878a-299241f90a73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3280" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62c9af9c-ac79-4ec9-9889-81bdbf6650bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3279" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a74321e-5da9-494c-a869-a8ec2664afd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3278" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-229b9774-2940-4c74-afe8-c9c7caddf689-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3277" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3538dfde-5e9a-4cb0-953b-ec8164244bf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3276" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2dc88e59-6863-4142-9e7e-f7bb07b4ce1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3275" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b8af808-0c34-4e6d-87b5-ded0766951a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0396a434-7471-4cf4-aeb2-f3c0aa6c40cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3273" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-699d3c3c-ea63-42e9-815c-9485998f7f26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3272" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c691e566-da0e-4c5b-80cf-49ad2a0371e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3271" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b541b4f3-aec2-4b17-bd41-dd6751c5ca97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3270" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e1dba7a-54ec-4d5c-b4ed-67feedfddb97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3269" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-153450f8-ee6e-48da-81f5-e95bdc7418af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3268" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2bb01ca-e86a-49f3-bb42-ca1f06ac9daa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3267" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-856afc4f-c2ec-47c1-9cb9-d789c68ae6e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3266" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-944ef244-c7ea-4deb-b745-fac62d05541c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3265" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a20a3d73-aa01-4aff-9f3d-e4bebfbd75db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3264" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4509833-13ab-4494-b451-3d6a1b308c59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-139763a7-9bad-46a7-8610-4b31cb569b4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1270' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3262" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31edb712-2f9e-460f-859f-a910fec9cf59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6b23f17-f087-4c4e-8561-d15fac9b3701-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3260" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d36a6ae2-00c8-4c21-835b-1a3d03776f88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40948']" priority="3259" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40948'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40948' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40948'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af7faf92-01de-4045-9752-683c19a6af71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3258" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): de waarde van @code/@codeSystem MOET ''948' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-343deccc-bb47-46c0-a678-3cafdb28b7a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3257" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_46_Is_verstaanbaar_voor_bekenden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3bd7c38-8123-49a2-9bea-55e56d403d3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3255" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69c41d34-62de-4a95-8db6-b69a684c593b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3254" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18878aa7-3592-4510-9b4b-7191ffb7a848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3253" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f52a7350-0538-4413-a4a0-baea17f2e821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3252" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44205fd7-5c46-4000-9f38-9135aef9e32a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3251" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-355b6d31-03fd-42b7-9781-140a62c36f80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2aa1bd10-1ce0-40cc-9d4c-f06eb2d7a75c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3249" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a877c37-9069-4c74-9d2b-6f834c6b45ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3248" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2145731-4deb-49bb-844f-be2630edce0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3247" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2624baee-ff9c-443e-83f4-d3e1a0fae531-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3246" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b575afa-9fe3-4ae8-af3e-c7591bce15d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3244" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da8c968f-e896-4810-a533-a9f5c954d8de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3243" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8c10bb1-ccbf-4033-9788-27257b034e5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3242" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc71c390-8b26-4483-a266-e379f4e6563c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-329c68d7-adb8-4ce1-b39f-d51544b6405e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3240" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35023504-b619-4d6e-930a-eba3298dbffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3239" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d5a5adf-bb6a-4168-ad20-0882f7e54639-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3238" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cf632ce-8b29-4f09-a4cc-83055b1dfbde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3237" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4aa722c5-4de5-4a00-b3d1-f9614a427e02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3236" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0597bfa4-f11b-4b53-88d3-42be257127a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3235" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22696925-a4bb-4332-b2c2-4f5d0e3e71db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3234" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8ae5547-fd8d-46c6-8c30-c69236351c51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3233" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e03b948-9d91-4ec2-a299-d77d4c87f934-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3232" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cc3b930-cee9-4651-91d7-09c74d2d9ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3231" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c42be56a-bcb9-42b2-aa98-3c85c79c790a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3230" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b3c3911-6904-42b8-bcb6-92c1c132c53d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3229" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-420156d6-c83e-4d57-8afa-5d69c4b65c6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3228" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05875e71-0b71-410c-94c0-2bbca5916c22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e86432fc-be55-47c6-aef0-5d68e0d4f659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3226" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6dc17923-daef-4704-8ce6-b18f603bbdd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3225" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65348a8f-ee48-4380-9e4b-52b396cb5891-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3224" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a780ab1b-4447-4817-8230-7935a56e1b3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3223" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65b7c13e-a691-4db7-8253-877469d01ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3222" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed92f364-1091-4387-a2b5-8feb47d160ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3221" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d953158-59fb-4a9c-9706-a2efa27517bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3220" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-294aa94c-23b0-4c2f-af92-c05ffb1765cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3219" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6c86d2d-4eb0-4f2a-8f6f-1fa3c080a57e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3218" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c0945be-7035-4c7f-893c-ccc64c80ac09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3217" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e206716-dc20-4bfc-bd6c-d88df4511cca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3216" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c580314-dce8-45fe-a82e-387c90fad394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='948' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3215" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6e6e049-5b8d-4197-a703-a10ee8c7c9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e511838a-fb02-4d77-8b97-3f3cd9fd1000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3213" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-849f1240-786a-4811-8f0e-9d32891e69ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41271']" priority="3212" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41271'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41271' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41271'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86ef7d3a-3cc1-47d7-af02-990c78fa94b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_46): de waarde van @code/@codeSystem MOET ''1271' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d64942df-82ce-4deb-8baf-c4c373b8d675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3210" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ff36708-f027-4305-82ca-8e62f8ed7ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3208" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3be6fabd-3fd6-4a57-a956-028c7570f495-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3207" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14d09093-57cb-4592-ad67-d94050549449-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3206" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f84d01c3-fef2-4c5e-a8fb-a795adc3f1d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3205" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c50badd3-33f9-44a3-9ff9-2bfb10bf9a1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3204" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63fb20f2-1424-461f-9c5b-a7e68e1453a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-135ceec9-3e60-40b4-a8b6-50252b238cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3202" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a247723-c73e-43cc-8f77-e4a51ef3b9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3201" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54c292e4-0614-4339-8921-911d54284a3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3200" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7b6cc55-7c77-43f8-aab7-f63cfb3c3fec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3199" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22046d2f-b000-437c-be6a-f2d0abff4e07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3197" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5bed152-f4e6-4682-bef9-8af7bbb3db11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3196" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaaccae6-e517-4332-9cda-a1ca639e6b91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3195" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd39dea8-9cd3-4332-bd78-547a343f0c9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3194" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e2bf1ec-40ac-43a5-89c4-20e600de8c27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3193" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c97315d-fa20-41c9-988d-eec9d18fa33a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3192" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92a803f9-83d8-4466-b1b6-b40cf7f5fe19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3191" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90f27800-e284-462d-be84-6b2c12704e2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-882aeecd-f40b-4c85-999c-e1c165e1bf7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3189" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3060e0c4-2b99-4b15-87f4-7f722e752e76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3188" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-555ba8bf-a46b-44e1-b902-d5c9e05e21c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3187" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d931593-1358-4c54-a77c-cba1aea6ea4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3186" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e76c088c-a701-4e8d-9ecc-b6fa615c39e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3185" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5204c09-ed6a-4a8c-9a38-3fcefab80ae3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3184" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83680c12-ba94-46bb-9a0d-e8de7e926f4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3183" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-32341d31-401d-4742-80ed-72e9041c79be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3182" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37698a23-88af-4af5-9fa1-755139874d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3181" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c8cc391-37b9-47f6-9867-539f92d77e2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b9c2676-648e-4cd0-b3e4-a5c68829222f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3179" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e63ba05-a926-47f0-853e-9b8bf5682cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3178" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ec4c58c-ba10-40ec-8b58-d6116540e5c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3177" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ce6e41b-0e27-4467-b0bc-5d67c2a43c23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3176" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a9a0b1b-596b-404b-b7ec-ba1d47efb091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3175" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1434624e-a06b-43e6-8812-51c2abbfcf5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3174" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5405c658-9bdb-44c2-b13c-1b8d919354bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3173" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2c91e4a-5fdb-4b7c-a5fd-22ce6dad6f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3172" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a55ea258-4ca6-4219-bd17-56162e6d8fdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3171" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67f92f86-1a98-4148-9cf3-0635b3fa0181-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3170" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6895d734-18a9-45b4-9c20-a4590106c516-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aafe533b-d325-4a42-b420-26c51098847c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3168" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f7f5cc0-83ba-4064-9cf8-9ea9f501f225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23439c46-3696-4f1c-a949-0e7d9a33d377-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3166" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1602b86c-234d-4b7a-bd04-4aabd1d214c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40949']" priority="3165" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40949'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40949' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40949'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75deeaf3-0a09-4529-8b52-7c22e628ef7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): de waarde van @code/@codeSystem MOET ''949' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-929dc865-8824-41c0-a8cf-4b8d6aea4bf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3163" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_47_Praat_spontaan_over_gebeurtenissen_thuisspe): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-031130ae-f53e-4b90-8875-ab048259f376-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3161" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10559e5f-7bfb-4b05-9b36-6c049253cc60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3160" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebdc9d4d-fdd6-4085-826c-0174f3ef2bb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3159" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91dace5b-165d-45d1-ad30-8f548199f57d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3158" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31dd3bca-6529-405c-be39-b0c07342248b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3157" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71a29237-6cf2-4d11-8899-c7de59b761b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2770ad8-0ed0-4ecc-babb-8365974abccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3155" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a48fdb90-604d-4ce5-8a92-c555a5a81e12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3154" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01c43b4f-6d7c-42c0-a858-9adbffd6795c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3153" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bff6dad8-87c4-4e74-973c-addbe97882d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3152" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98084274-ec4e-41c5-8813-0e52b791d3c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3150" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8e4f9ac-9bf8-4571-bc15-1d5f171b3f17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3149" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-146ee1da-9f7f-4b61-89ff-e63c4d59c406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3148" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb7a115d-9bcb-4728-bed8-723dfd143eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3147" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb94d6e3-8063-44e2-887a-dec773df821f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3146" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cea0f3f-b7cb-40a0-a739-da74794fa667-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3145" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-272c48c1-ad1e-4100-aa9d-0744f1677e8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3144" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de1c9391-bac4-4384-87f6-bc66f7ced69d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e5cd1fc-9630-462b-ae9f-aafe6d5346e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3142" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b459554-7034-4ee6-9664-e8e850e09b41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3141" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-866e848a-c5ee-4f2e-8468-1f74a0f3f7b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3140" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96c2075b-219f-43e0-ba90-cc45b6a34c3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3139" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85977b6d-f509-4bcc-a06d-c51e8285f75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3138" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07bb87bf-4738-4b8c-894f-74333a0aafe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3137" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-463879dc-3580-4306-b8e6-d1c59c99ba9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3136" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75815409-c73a-4160-8765-d9e7af982bdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3135" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02ff3117-bfe3-436d-b334-faac796fd6df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3134" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e3f293c-728a-4e24-8a88-6c2eb4cfedc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96eadd0f-e01e-4e86-8acb-e710a3a1d2da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3132" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12da6a5b-178b-4a69-9397-7c36cd0db99a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3131" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33559a21-21a1-469f-891b-8b77db1906e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3130" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a6e3b27-b41f-482c-952f-aa49357b54a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3129" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff6c045a-12dd-42f5-8533-b3b6a660d17f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3128" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96fb206c-32a6-478b-8e29-4bfd6708e9df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3127" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ad3d037-d76b-432c-903f-e91a1b2336b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3126" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d551cdb3-03f1-4133-8c01-83b37b3d0040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3125" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab0f194a-9417-4b6e-a29f-8f4098fcddda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3124" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70f8efd8-1414-4252-94f7-49dc6d70b7a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3123" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42a3904b-8b82-4cc6-a7fd-86a228b08968-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8681445e-2206-481b-9c90-c8b834fd3a6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='949' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3121" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ba2d5ef-f064-4e65-9284-7763e8dc75b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc9b09ac-07cc-4c56-aedd-72027c053dc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3119" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be2d112e-7141-4c27-9002-d68b3d5d06ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41272']" priority="3118" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41272'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41272' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41272'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b59929ff-a855-4e6b-b8a1-77b641c6b100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_47): de waarde van @code/@codeSystem MOET ''1272' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5966c12-c8c1-49cb-88d0-18ba42bdeeae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3116" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-410dc859-af40-40f5-98d9-4fe3bab43dd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3114" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7de40756-45e1-4723-86a2-1d80723c9d8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3113" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-551116a4-cfaa-4276-b7de-8f25a2616228-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3112" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-717a3db0-2a3e-4801-a964-904ff183000a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3111" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2902a4c8-3525-4ae1-bd89-8636e112702f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3110" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c63cb60-ee49-435c-8849-0b809a539bb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-202784ed-569d-4120-aaae-502249c70d9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3108" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91485f20-b784-400f-8310-b5c354f7c583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3107" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e662e99-56ca-4779-9023-d3a3213e5ee3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3106" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2c15c51-3f5d-491f-a325-cd32daf32d39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3105" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d787bd6a-c0ca-4d73-810a-81b3b12f3674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3103" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-525414b4-02ef-4ada-b1d4-3f917560390b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3102" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71bc2639-766b-42dd-96f0-c22d9d39b313-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3101" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-875b2c87-14af-4b3a-a72b-d5f159cc2210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3100" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36572064-5208-4b60-9a32-98648126e0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3099" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9db8850f-8446-49f3-8061-c3d37dd27919-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3098" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22bcf658-88a4-4aac-8bb6-06c8905ee751-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3097" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2519f2a-7465-41a1-9df5-27e03dd1cf3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e650eb6-6778-47b0-9e3e-7a8a1b21dfc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3095" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6b73e50-c059-43d4-9f41-449688059d9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3094" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab4bbb39-6fa7-42c8-b30c-838ea6c97089-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3093" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bf9218f-3144-4d6c-8e91-4cf50c4392dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3092" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00fdfc3d-342e-4fb6-b552-fd04a6343447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3091" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55aa9abc-e464-4797-8c67-2c6a9ca43650-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3090" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb01287f-e70b-4864-901a-acf5631cc518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3089" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03dc39c0-ba7e-4891-af2f-2084b0c50367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3088" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb57fdcd-3382-411e-bfe6-9ef10aa472c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3087" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aca4470e-888a-4fba-90f6-1bec5510d60e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3086" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8676b95d-f0a2-421e-9d26-e17a169ba22c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3085" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b64e2c1-962e-49b3-b9e9-80b12d7fa1e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3084" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae0abe31-e8c1-4d41-9bfd-0ad6fdf88f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3083" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-008d3773-46d6-478e-ac9e-30e69f7e3f87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3082" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e7e872f-88b3-44fc-a109-d6187302dafe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3081" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb4c3b68-4797-4461-934f-4d2c2cad659e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3080" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9f74320-ffec-4243-9c87-9bea53543ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3079" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8bd6a65-e98f-438f-bc8e-8551aef16bfe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3078" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1853f890-1702-4f8b-ac75-265df0c7fd84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3077" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d545189-ff80-4ae5-a053-1292c81c8d11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3076" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b653f699-231c-48da-a93c-73317ddeecba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c0b4ba3-ec80-475b-846d-f42702d50b01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1272' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3074" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae37d125-0668-4398-96c4-b5739482c416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13e49366-0d91-4be6-997b-663a2ef177d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3072" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47b9d2cb-7088-4af2-8572-d238aff76656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40950']" priority="3071" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40950'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40950' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40950'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c181bd3c-6cb6-4b0c-b0d1-7234029e5e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3070" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): de waarde van @code/@codeSystem MOET ''950' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80eeac39-6269-4cab-8a42-f318d2754a7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3069" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_48_Stelt_vragen_naar_wie_wat_waar_hoe): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-000c783d-3658-4aba-a0fe-01f93db950b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3067" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b62b2c53-d558-45d6-b1be-16858ea6a591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3066" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ec4d5e7-e648-4acc-9156-e4be80e28bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3065" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffbe4341-7a84-4704-bc50-673c4bd1fbfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3064" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd717dd2-c692-44b1-a770-16516d5b352f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3063" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5eece478-fe42-48b1-a499-c1bc879ef1f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3062" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-634f6656-f96f-4438-ba45-4795d8eb4b2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3061" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a292165f-6847-451a-a4a1-74ee6944a2c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3060" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2fb85e6-d709-4738-b7b9-40f73d8dd962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3059" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a129e53-96d9-422c-8826-856d72eca7d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3058" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97ad5df8-d72d-4a48-b4e2-9faa1458fd38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3056" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a60d825-d9ce-49e1-b065-507d170b4a7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3055" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f8c320e-5d9c-4c3f-b28e-266c24b810af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3054" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4687c4b1-edba-4425-9974-5c3910c3df7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3053" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df740056-1922-43a1-a6c6-5cd0367919eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3052" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29c50d33-4400-4de2-9561-4647f7907477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3051" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee8b05a8-f5af-4c85-a7b2-fc70847c3604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3050" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2387c85a-e2ce-4ca7-9cfc-7c408d5f8f3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cbc1bc2-bab2-4563-a0ca-30ae85d252b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3048" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1012f1b7-62f5-4c3c-8c62-238cc8dfe256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3047" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ecd8a73-303f-452a-a65d-e6bbc83e9a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76c67074-e76f-4b9a-835e-9e750fd54deb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3045" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19542d0e-3fad-4af8-b020-b1d8ba754b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3044" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ca40fe7-4699-4265-a6e7-27619ef22a21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3043" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fecfc8c-05c5-4712-a6c8-551317da243f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3042" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-726980dd-9959-4544-9ad4-af622f41dcd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3041" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86ad10b4-d7cf-4c9b-bf8b-d1eb3ccf2425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="3040" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-284e1ae3-407a-4de6-ba4a-93f34f7267b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="3039" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d07cda45-13a9-4ec5-a9b8-6f01e7dc9448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="3038" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab4a3587-e93c-4502-9998-2d7843d85ca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="3037" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28c754e5-7308-4c1d-a8c6-d9c637ca9cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="3036" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-092738fc-70e3-428b-af4a-0e32b2050b14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="3035" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c051d92-2831-493f-8741-c4cec027f393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="3034" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3be7152c-6012-4a14-9bc5-ffbbdba48df9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="3033" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdc88a7b-e4bd-435a-8482-6f69ba008830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="3032" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17176d66-7dde-4ce0-a450-1434bdc99807-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="3031" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72ee4328-13e1-43a0-9dff-669c98a13c69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="3030" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f457e113-f318-4e25-b648-04d7873a5a11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="3029" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bf4d524-a73f-479c-9d64-91b92f5fd0df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="3028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d0e3b8a-2498-4791-b466-dd79c8424061-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='950' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="3027" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bf454b2-dfc6-418e-ad4d-57907555c85d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2695fa22-0eab-4af7-9bf5-9739c0f21d61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="3025" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35eecc4f-e01e-4ef8-9dec-2515197f22b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41273']" priority="3024" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41273'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41273' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41273'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-785d779a-e0c9-4ab7-b00e-624ac622aeab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="3023" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_48): de waarde van @code/@codeSystem MOET ''1273' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e382e13e-dc55-4ef6-8392-e466cf59f81d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="3022" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-756a1d92-b1e6-49fd-b6c6-57cc249b12d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="3020" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f202ef28-a210-4d29-805a-a3d0d8759d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="3019" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33ee86f8-fbd0-4186-8ba6-d246db123169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="3018" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81c945c8-e030-4d44-ab32-3f59fa5b7cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="3017" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-108934ed-19ea-473d-80ea-f90acc64b0b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="3016" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe3ed203-b731-49b8-876f-ea9fe86f4ee2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="3015" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e66a7c91-9330-488c-b37d-6265f14f8e59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="3014" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab2ef3d6-c0ec-494f-8bb6-e85208ec7fe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="3013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-edb36f81-e113-4c6a-8684-b390f6c5f851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="3012" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-938de71e-b9a0-4ea9-ba42-dc9f392fc9d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="3011" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c30ce6bf-4d3c-41bf-97f2-6d897f1c5cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="3009" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94c55711-5619-4024-9962-ada1605c46d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="3008" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd7cc256-90db-4fdf-a633-182d6b27c48c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="3007" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66bab108-e584-41b5-8073-658145315b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="3006" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14d1c342-7afe-4397-8acf-46a0edb8512d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="3005" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bbf888f-c11e-4f6d-b795-5fab9d6b04c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="3004" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57cc063b-f699-490c-80c6-0e185b346a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="3003" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab1ff0d2-8ba9-4d70-a056-42669153cd14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="3002" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fdee46f-5af3-4cbc-861f-87fe23a072c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="3001" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4898006-a2a5-40ee-8cd5-ad776ad62130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="3000" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c5c12f5-fbc1-42df-be19-12fe9391737a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c66d4769-be1d-4a8f-9707-978772796474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2998" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-732db763-d312-4437-97c2-50dfb7b91c96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2997" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c145db5-7bc8-44d7-9cfc-98bf3c69f5e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2996" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8003ac83-2d9c-4fae-b8bc-430bd99ede29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2995" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64414162-a8b3-4c16-bbaa-7b4896a2291f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2994" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb3d7b91-7938-4584-abc0-57428bf86669-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2993" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1018594d-56cb-4c54-9402-bd2695c663e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2992" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-469bec12-6878-4a3e-8312-db5d28151f31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2991" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57064d96-e1d5-4f93-809a-863d7ddc8b6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2990" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e5bb3fd-3451-4087-981b-2e3fd21e01b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2989" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-860d88dc-2675-4a68-b80a-48a547022718-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2988" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7cf65b9-5c95-4004-a144-7de32d066286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2987" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a811c765-df49-4f1c-b3b3-c619da9c57da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2986" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c8a0d09-adc4-4648-aff5-049ed6e7482b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2985" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9473b71-d6f6-4ad4-9f96-95f833033adb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2984" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24303c8b-4350-4e9d-a92a-63b33f7ec072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2983" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad39ee46-9712-4d2f-a0c2-5932aef17627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2982" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46ef1f13-e686-4034-9191-d225e3022db4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2981" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48e162d9-c29f-4dff-b0bc-f68bb954cfd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1273' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2980" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c78f373-390d-4f3a-93c7-d70a8563fdb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df7a5b8d-7d86-41b0-ab9c-258abd38694e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2978" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b32511d4-c2e3-4cc7-a1ba-50d698fd637f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40951']" priority="2977" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40951'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40951' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40951'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5274f81a-ac06-4c32-8b4f-9fee8b08ff61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2976" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): de waarde van @code/@codeSystem MOET ''951' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7eced95e-b806-42d1-a3aa-67a64d0a63fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2975" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_49_Is_goed_verstaanbaar_voor_onderzoeker): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aba7ab8f-ae05-401e-8967-4430f6849304-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2973" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c859d2d1-e8b8-46b6-a9ab-8c7d60193d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2972" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fc5dddb-27c6-4296-a412-06966fe87a6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2971" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fd4f45c-d7d2-499b-8465-2b4164c83179-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2970" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5d0cae1-24c3-4b0c-9fbf-1496c7b3e63d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2969" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ecf541a-12f7-4436-89b5-ecf1e195e79c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2968" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa7dbb47-d947-41df-a4fc-aa45a6492cb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2967" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9d6d1ca-2fe4-46c7-bd4a-e23d53845a37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6ec0baf-d490-4d4c-90f3-274880ec9189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2965" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a94377a-21e0-461f-8632-e2a2503023e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2964" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a80f4e8e-d946-41e6-8025-87bf0686cfb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2962" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90ef3173-6c15-4036-8789-5c99c0ea2eed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2961" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cfaba5b-b70b-43da-bf12-f2ad9c95237c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2960" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26fbb4be-92e6-45ca-a422-0433f007a33b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2959" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10730ae2-2f9a-4e29-9526-590db32e923b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2958" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea5e0ad3-5af7-4c29-a9ef-b14688d50cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2957" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d550b87-bb86-46f6-b417-245b15d97252-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2956" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f816f725-571d-4556-b1bc-4ed1ea4231ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-717bdbc0-93ab-4363-8b6a-5f8962c06930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2954" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6e09c01-0c24-4177-bd00-d65f2bae4fa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2953" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-362fa60a-8867-42f8-8044-707d006cbafe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4a12e4a-472e-42ed-a9ac-0ebfde87877d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2951" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22a50c01-7400-4920-bec7-0ac868198a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2950" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6f7e3a1-3ef0-43f5-b746-9152e9f8efce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2949" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f000d14-dba6-4b5e-9619-1dab857f5eb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2948" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14bb44d6-7803-4f1b-8d5e-f849eccdaa2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2947" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad8d76e5-9319-492e-bb36-337065073ce3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2946" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d803c138-6547-4fb2-80fd-56d70a28c55f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2945" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f74aaec-1884-468d-994c-51cd6df71522-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2944" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dc90d99-74f7-40eb-9ca5-576cf9695e26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2943" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7debcc7-7502-418b-9f5b-875a04bafd22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2942" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f146b46-6694-48fc-ab38-cf882517a1a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2941" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ae73ff1-dcfa-426b-9e78-236e48df32df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2940" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e506092b-50c3-4cbe-b5b9-d1902e405aff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2939" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a947d8e6-7a35-4600-b580-0dcd3fcf8b62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2938" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1387ce4-c96a-40ee-a496-d35a6548c06f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2937" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81347f9c-2b0b-48a8-971a-981b1aaddb59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2936" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bbd581d-4a3a-41df-b533-b4b36c7e7d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2935" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-977f1d0c-7cc0-486d-9003-7f191639e28b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2934" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d399e57f-7887-409a-a56f-e0f79befb220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='951' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2933" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eea14bf0-df6d-4f8a-a794-d4ea954eb802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2932" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cb168f2-ee11-4256-b7c3-8b7f171f1591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2931" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-811e09ce-0694-40ab-9bad-1d0c84bbab4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40952']" priority="2930" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40952'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40952' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40952'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24bf2dd2-f1a4-4f9a-8eae-f13bf6bdc489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2929" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_49): de waarde van @code/@codeSystem MOET ''952' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60967c66-b26c-420d-8460-83da333d5bd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2928" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e55a28a-edfa-40d0-9032-66ec4317547d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2926" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ae54397-e423-406a-8167-ac321f078a14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2925" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35d3f995-9c2b-4ae3-b2d5-c7dab2f95191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2924" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdcb1f9c-52ec-4372-a057-2fcef0bea8d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2923" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89b652ea-9da8-4066-87b6-ab12ef4fd355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2922" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1e17e97-c60c-4b2f-993b-e5a73a56866a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2921" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6448dd0b-9ee8-432a-845d-c982ada5e350-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2920" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf5c4c98-9f41-478b-954d-b8e512979f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b5f3b48-36d2-4e11-81dd-d5b3dc2ac45d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2918" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a19de67-5de3-4083-8413-11b31907d845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2917" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0dfcb42-97da-4183-a2d8-a35e43606587-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2915" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37612563-28f3-4be9-91c0-e417e5db2a2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2914" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33cdad79-cb93-4f24-8cec-5a3115760d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2913" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31437d63-7310-4dee-bf6b-492463f23bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2912" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c977eb9a-e70a-4e51-a0f5-2c7ca54db231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2911" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb5e5f87-a00f-46e7-8494-86f41d0310bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2910" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3d2d231-bfb8-4af4-8f94-b3a3b3cf61b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2909" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b4f524c-ae7f-4f94-a9ab-27d1eef7081a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2908" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1bfee1a-a31d-4871-9270-327a227ebf1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2907" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f20317b4-a1b9-4cba-9f36-52e420345716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2906" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93731163-96da-4f07-9ba2-fa00851f7405-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1f8cb58-6011-4142-9041-25ad5d6fdeb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2904" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf90ab0a-7294-488c-8bac-f4746163584b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2903" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdd71424-96a9-4786-8ead-d5bdf43b6a2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2902" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b008931-a46c-48d7-bd56-e205e9992f85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2901" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2ffb3ed-203c-4545-b895-4d1ea63b8397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2900" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6392215-c321-4746-8409-a58f765f2f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2899" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e4c43a5-3345-42ca-acc2-f9d9eee0d0dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2898" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48654696-00c9-4a8a-afd4-f24c2791ef71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2897" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fce8278-0c0d-485e-b7a0-26523b662153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2896" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-001b3611-edb9-4d3a-8d15-177ed1033e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2895" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fc5bd18-de1c-47dc-bb9b-ff99483ce8c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2894" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-978d2980-6428-4dc9-bbe8-e0e26f99e472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2893" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43c453bc-8b5d-4456-bd18-090844db6bd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e253eb19-3f15-4d26-a9c4-937e95438d23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2891" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d4e6a18-7bc8-4e5f-8dc4-dade880401b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2890" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41a89535-fead-42fa-9827-4b5f91ffec0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2889" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3c53bb4-cd8e-4e1e-8c99-12f203360855-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2888" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a12a119a-8e0c-4b87-9dd8-717f87f810dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2887" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58be1ef1-edea-4fa1-8f4b-6910607a63dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='952' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2886" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7a8bcd2-3c11-45e7-84a5-f41dc8759be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2885" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15bb4931-cf0f-4c0c-a253-a65494f888c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2884" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbf8f403-4812-48bc-b7bb-e8667ed36e54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40953']" priority="2883" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40953'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40953' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40953'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2077a18-090a-43ff-b338-24f9057c7fdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2882" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): de waarde van @code/@codeSystem MOET ''953' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c24e629-1583-4283-b676-7f21a6fd317d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2881" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_50_Stelt_vragen_naar_hoeveel_wanneer_waarom): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f27613d2-5f16-4f16-853f-8642ea6dfb55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2879" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea8fb108-ae31-4744-90a6-183ccd74624b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2878" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d63bc09c-3fe3-4871-941f-a0a5350b022e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2877" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bada818-df50-4de7-a465-fe55239e18fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2876" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3d9b785-17c9-4bd2-b352-97f1581dac29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2875" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a7fe105-7bcd-4ffe-beaf-12820c4b67de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2874" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a192f58-69c0-45a0-a3a1-5bd21951771a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2873" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3391b764-e1ac-4328-ae43-75326a6c476b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b202fcf-1a31-41a1-9c80-1c5c52b07d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb6729f2-923b-46fe-9853-48aac48ecc7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2870" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bc8cea1-095f-4092-b6b5-f2b8c400be8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2868" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-334c0bbc-37fc-408d-8348-f795261bd6a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2867" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4e07784-5340-4765-b084-c87bc315a102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2866" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f68a9ea-8a43-4246-b0e8-64bbb99a4a1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2865" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7167092-c882-49d6-a1d7-d3351fd6bf0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2864" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddc7fde6-b54b-45fd-acfe-f95fd46a3836-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2863" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bef3f65-7222-4a32-9ba6-804c37fd42b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2862" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fbb1840-4cba-42fb-b304-c85c79c8771f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2861" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ab3dcfd-5207-4986-ad0f-5f3ea8183931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2860" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e63c09f-2f4c-4578-a2c3-dcdf67df2cc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2859" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e3e4b35-97a7-40c2-89ef-0ce2400db93e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82517900-e0fd-4b43-bd9b-55e31e5e95fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2857" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66fa9bca-1515-443f-9fdd-875e2a39c8e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2856" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd2f230a-2d73-4b0b-9f7f-ebd22c55b673-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2855" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d889f62-4dc5-4b57-a3ab-a7186f0cee54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2854" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15161029-01be-41e0-a455-9075689374b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2853" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2887691f-b80c-4a0b-81ff-f58db9cb7537-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2852" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-749cd201-9aa6-45ae-b5ff-3a77c386170a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2851" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3efb1448-f22e-4094-b8b9-a7d121417b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8e70600-0ec4-4ebf-aff9-6b4c5e313f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2849" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26bc90fa-6836-4b5f-8e1a-eae7068394e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2848" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d7af9f3-b28d-4f94-979a-cc2307504c91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2847" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b8f8a05-6d0d-4893-96a9-982a92e52763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2846" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51f00377-1cd5-4488-80dd-9cbcaabc5033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2845" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-974623f3-8a8a-4592-8fef-3609525e1aaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2844" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cf5e74b-76c7-42f2-aeeb-f13783cf80f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2843" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d19b26d-4088-41f4-b3c0-fa915448dd2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2842" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c7719fc-995b-4e3c-9487-5404dc07c59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2841" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93c9eb44-5cf8-4425-a3b7-384c92ce8d90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2840" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dfca195-5650-48a9-afa3-e9118a688511-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='953' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2839" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1daf54e-1ad7-45aa-9dce-69bee4024867-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2838" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80983566-f062-474a-afb9-73e64cddf823-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2837" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b24eb20-e203-4cf9-b283-532bc5b83cba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41274']" priority="2836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41274'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41274' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41274'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a02a29d-7003-4a2f-b14a-2da1c27bf7e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2835" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_50): de waarde van @code/@codeSystem MOET ''1274' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cbb13b9-786c-4d09-881b-de3c57c6d48c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2834" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-232463a3-eeaa-450a-bab8-95cdc7a5a17f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2832" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c01c7d0-ba33-4199-8528-3521daa52926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2831" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc1f895a-f90a-422b-be89-be94d1da66db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2830" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffbe6b21-8e1d-4f6f-b76c-de84bb5362e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2829" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cb8b3ba-e618-4c46-9394-839e2f6ee364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0e6dc45-fd5b-4502-9e5e-6d4f1e0e1d93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2827" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f7101f1-546c-46a6-871c-b93056ecb1f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2826" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ad4be95-8044-4fcf-9181-5c70711ee736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45b05267-2108-4bcd-872e-599d84b4964d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4aaf929-3e3e-4960-b338-c92be05af9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2823" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f56d86c-4e95-44d1-8491-29c5fe610135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2821" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22bc7825-c49f-446d-8b28-be5845aa8129-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2820" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bef297f0-0d8f-4736-af73-ef1879384da4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2819" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c93c6dd4-db4b-4f3d-8734-d9e59f611ea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2818" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b961895-1141-4924-b137-0d75d3953c7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2817" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3673402-2fc7-4497-828e-016b1591bbe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2816" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a20e295-4b69-493e-84be-6ad18eb7c7c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2815" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5d43396-f486-465c-ac20-04293c3b92a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc58c6f2-1a1b-47cd-8721-4b7c6a442da6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2813" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce14cf8d-d914-446d-8749-13b38b56d024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2812" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d4e8113-e5b9-44cd-8c16-f1d2a05388f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2811" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de93251f-94b9-4143-a0cd-19b9e7c08495-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2810" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45c29c73-78d1-4f4a-b3f1-882a93cae762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2809" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce2876df-fe4c-48bf-b6aa-2b313d8da867-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2808" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3c02403-baae-4b74-a920-e6d28bedff5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2807" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6efe952d-5d5a-42f0-8b30-385ee5dc845b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2806" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c8a2323-7c64-4b87-8f4b-02116843fc5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2805" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c310dcfb-403a-44bd-b83b-a99de2bb94b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2804" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac66d469-0b50-4b6d-8199-c5d8faa0a32e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2803" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36ea0e1b-b0b2-46f0-96b1-5bc3c51cd011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2802" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c895d8e4-361e-4442-b61b-ab1d2b94185f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2801" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d9af70b-e314-4383-b914-d3adc9f7daa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2800" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb23a1a7-8e5f-418e-9428-da5491a74f2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2799" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9f584de-6179-4327-89f2-25138ccde038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2798" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9b38ae9-639c-48b5-b959-1adcb4be9790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2797" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-739851b3-09d3-44a5-93ec-633cd12c5981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2796" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16cbd70e-56ab-4b0d-9699-f8264151bc45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2795" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea5c378f-26e1-49f2-b675-765cc27e8e1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2794" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fdf3b7d-2651-457f-835a-7e1a2dd523ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2793" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb9fceff-0131-485c-8ee5-f6515cc8e37a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1274' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2792" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8170910-389f-4005-8ceb-a4ca9261396f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2791" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1b31ee1-144d-4ed1-a7a5-bece9c6aef63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2790" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e24b842-213f-4fe1-882f-16553be2a2ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40954']" priority="2789" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40954'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40954' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40954'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1520b193-9be2-445b-96c8-d25878b81398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2788" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): de waarde van @code/@codeSystem MOET ''954' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdbc71ca-8247-4f7b-a0d5-b79783b683fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2787" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_51_Begrijpt_analogieën_en_tegenstellingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a378a804-b0ce-40a9-a4a8-3b32f87e4609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2785" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c8537be-cfb7-4c76-b54f-afa341cab7ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4c59200-0d70-4f69-80a7-4ff90b26cb46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2783" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31b54fc7-3f4f-4700-8cd8-cfc4fe7751d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2782" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc0e371f-c636-46e0-85a3-c2f75bbeb3fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc69faa6-a7fd-435c-b189-ce6869e395b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2780" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e57cf5a8-eac1-4d9b-9da6-91eee31fb1ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2779" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-740ec272-0380-453c-a6b7-59fc9cd44bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2778" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87c37b7d-e504-4aed-9a0e-86d3f02f0f21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4a6fa5f-754c-47e0-819d-9d6fed5f5bc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87cef3b4-e1ee-446d-990a-c78f8452a180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2774" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e3cea4a-0964-42ba-a3d7-d7f940d48ce4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2773" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22c2a619-f1de-470c-b941-77e9af23a99a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2772" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c87e3a0-b674-4a2e-9cd8-85d1379ae890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2771" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6639e3eb-38b2-48df-9f23-7ee2cbb4aeed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2770" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39f74783-4697-4b0d-9ca6-c8fe8367efec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2769" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-656883d9-ba5d-49a3-b391-c343d185a1b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2768" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12ee3431-7582-48db-8143-76dd2835a635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-037b6c92-83a3-48d2-bd9a-efdb5e4063d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2766" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c243fd1-0603-42f4-9970-2e537a72d9be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2765" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1a0c22c-0056-4942-bb2c-ed6bce197128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2764" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d41f495f-1ea9-4377-a365-ffedd9a3950f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2763" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e455ed3-64b4-4a92-bcd7-53e9fdadfee8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1cc0cbf-7440-4149-8ad8-5faf9cc6925d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2761" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-214413c6-bc00-4f83-93e7-2e179b6f2fd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2760" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c1646e5-74bd-4dd9-94e0-396772ca4901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2759" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cfb7f90-e650-4d58-b737-cd78ee2c0fc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2758" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3063271e-6808-4a17-802f-a5cf70f095a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2757" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c25e2a0-cd91-4c9d-91b4-63eb0576ecc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2756" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f41bf2c0-d212-4d89-8837-4907d77479d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2755" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1c4a767-4e61-4d2a-b94f-4dfe9176bbda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2754" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dde1f181-1a9c-4567-910e-71a2cbd80338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2753" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1763e36-d7f5-45e3-baa7-b723262b17aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2752" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a312073-9fb6-41b1-967e-7295f44f3943-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2751" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36fce995-5755-436c-8cf6-872995901f7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2750" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95a7ab04-973a-4324-a913-158b7fe0ee36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2749" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2dedabd-37f7-42a0-9529-0004e82be521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2748" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-385f299a-243b-4086-b678-afbfe097ba8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2747" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14c2675b-538e-4d6a-b722-c2c40ac9d5d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2746" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f8d3e53-eb11-475b-b6c0-0e42625fb2ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='954' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2745" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c24a2d8-caeb-4080-95bf-22b22260e738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2744" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-835112e7-d4d8-46ae-a72f-ee2d886f39e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2743" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be2dc2d7-e6d4-4a1d-ac5e-09c24c2c5138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41275']" priority="2742" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41275'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41275' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41275'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22cc6a1d-0174-4fdd-9e42-6decf1e2d231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2741" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_51): de waarde van @code/@codeSystem MOET ''1275' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db4ab69d-53e0-4fd2-8024-fec5ddf77a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2740" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ae70f9c-830f-4b30-a52a-afad1fb145e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2738" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f66990e-4973-406e-b4c2-6b7cbe2c1dad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2737" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58b082a7-74cb-48f2-a939-6fd9051d3b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2736" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcf15e14-8df8-46f3-bee5-a5e1345ea266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2735" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-964119e4-c479-4e00-939b-2744ea9c5214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47e1a40c-9af8-4a67-8f05-cf2280e34c0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2733" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c86c2ccc-0f67-44b4-b902-caf6c9ecd3d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2732" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9495d91-3886-40fa-bd35-b2d95d9e66fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb48c78c-08bf-47e8-a6ae-0acefd9090e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86d15177-3ad4-479a-80f3-50bd7d675f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2729" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82f62fe1-6ee7-4fe9-b303-be37adf1c456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-135869b3-c080-4379-9ca8-5796ed558459-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2726" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e0301fa-f264-419a-98f3-6d6dec3d4a9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2725" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-786e719e-9f5f-440d-a94e-ffdc555fd729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2724" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-056f791b-0c03-44bf-8dde-d6380956c299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2723" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cdd8ad6-241e-419f-898d-34daaedb4972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2722" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b32f8d74-ae97-4727-bddb-914e49afe08f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2721" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9d0c48e-e5aa-41a6-b974-862bb449e543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d13016a6-a775-463f-ab46-41991b3ebfcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2719" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7621ad96-9d22-4496-a9af-7884dd69b0c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2718" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33254ab6-b500-4750-968e-3a8a830f54ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43e7d00b-dc32-4fe3-8e48-eb3e6d8e3ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2716" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8cdef32a-e9f1-4ccd-bc64-c46139449d3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-accd0b8f-a352-42ea-b808-1bfd69b784ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2714" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11e75b15-cdef-46e9-9584-2e4aa681a430-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2713" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98e07d85-9d4f-493c-8368-ed3c523dde28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2712" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d55b3860-f101-469a-8b00-2af797880763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2711" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5c10996-29c8-4973-8141-4b7044021f87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2710" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae2cf201-fb6b-49c0-bc95-a405a8599b8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2709" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e40df77-7f54-46e3-a7a7-ea75764c9532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2708" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66b03f9b-2a5f-4a5b-8ee1-aeff0f9f4748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2707" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26b9f11c-177f-4c48-95c2-353ec30cd000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2706" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fe5a859-5af2-4bdb-bb31-9c753ded4de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2705" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f216753-0d5f-4999-acd7-c9eb871bb1cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1655e9ba-b22c-410b-a387-f9ef4dcb8568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2703" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c8af67d-9ce5-4daa-a7a4-5e8ff538b119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2702" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b8d98d7-27f0-4b14-8ae5-b1c8fcd16429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2701" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-706b9f8d-c911-4448-a9df-86508443bc06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2700" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce14fe51-c60d-48db-aaaf-52c1accf9d55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2699" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d43ef36-90ff-480d-a288-400fffba3e64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1275' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2698" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e812811d-24a9-407c-934e-060d815191f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2697" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24cbd45a-ddfa-4084-b2bd-7531dd18cdef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2696" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6895157-4d44-409c-ad20-15663531ef3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40955']" priority="2695" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40955'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40955' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40955'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b633931c-21e1-440c-b701-c00f95d9e52e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2694" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): de waarde van @code/@codeSystem MOET ''955' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e30f4726-1be3-4da9-acbc-ec791dff9ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2693" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4734ef3c-6c13-4c2b-a2c5-28b146bd8b23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2692" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb385d37-a5ff-46d9-8db5-bb3fa7a461cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2690" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-279bf87d-b086-46aa-b04a-0e38daa71e54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2689" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02ff8b2e-b597-4b55-8f85-e833bd2c89e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5863a27b-6648-4686-9e48-7ac01a86da47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2686" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-895c86ab-da40-430f-bed9-b8ea7a4a41a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2685" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5837683-7195-4236-a0af-d69d1a92fc9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2684" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-971a53af-446c-4ac7-bb06-9598affee969-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-855f0b8a-66cc-45e6-bda6-58a7ce5e0c0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2682" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fb3035e-5c3d-4f83-8790-104e7c94b99c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2681" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1f96989-cf73-43b6-b5b5-7d483b58fa08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8346e5a2-e53a-4cb0-bee4-b740399da0ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9a34bac-3378-4dec-bab3-f16453fe1d63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2677" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39e913c6-8618-4dcb-8814-82d80888cabf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2676" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f34e3163-3cac-4ba4-b8a3-8f6d3609d144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6fba132-6ed6-44cc-96f2-dcd74940f329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2674" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d34b77bf-4aed-4fab-8719-25c9a5d3a2e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2673" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f81463ef-4322-4fa2-9a08-436d65df2489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2672" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44c9e4be-0871-4e22-b73e-68ad0f168aee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-655fb90c-0df1-4252-ad0d-cf4e3afda7a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2670" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aff034e1-8f56-4047-a795-8415780a5daf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2669" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fa68ff2-f56a-4fb6-89c3-7e3ed704d9a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2668" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3615d0ca-1fc0-4047-9a8c-af01fee923f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7a01526-3ab4-4227-809e-07c7f0800b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2666" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b21efc6f-3619-4f1f-8534-a2ecd6120ff0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2665" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-701a1ac9-8af4-4dd0-a8c1-a6d2c8af6bf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2664" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7efea7c8-1bbb-451d-9b38-4c8e8bf61e46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2663" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19aa1f2e-d9ec-4bff-bfef-03f7bf6f478c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2662" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bdb8579-d192-4d9a-9601-6b4d2241d5b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2661" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efd8b0cd-d6ee-4740-90c8-76021fc385d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02e18df1-fe85-4eb4-9655-8b5bb28e2a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2659" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c09cf72-c283-4d6e-9c51-df1ecbb7d231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2658" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81f15d4e-7274-4415-874f-33112c6307c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6f2275f-e4ce-4100-9e5b-fc9a682dd555-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dcbfbe2-a27f-4a1c-9a66-8d80cec76e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2655" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6b79af9-9513-4219-8a21-e8a020156069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2654" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1bbda95-9aa3-4eff-b5da-cf2ef011ba37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2653" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93867af1-47f5-4a02-88e9-4c4ba4074bba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2652" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9eedeea-8cb2-4497-a8c2-83a02a8d8f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2651" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1be8fe30-65b3-44a0-a36f-783b39202b57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='955' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2650" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ba4fb0c-6b56-49d9-85b8-5a0598e47abc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2649" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64ff4555-820f-4404-9d28-8d640302e3eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2648" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-394bd3d0-122b-47e3-9bb5-74b36ea746c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40956']" priority="2647" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40956'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40956' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40956'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54baca99-ebf1-4c97-b71f-f9bf1ea84413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2646" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): de waarde van @code/@codeSystem MOET ''956' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0397372-5b6c-415c-84a9-d38bee05affb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d28e5a1-b56c-464a-b0cc-3c137063bd26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2644" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_52_Beweegt_armen_evenveel_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ce5fce7-dad4-4720-8822-0203b72cf1e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2642" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05fb22af-bf5d-450b-a07d-fbe0207a25c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2641" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bde0f49-6f8f-4610-ad87-5100e98c79eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2639" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7163f05-223b-4915-8259-7d077e3ed971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2638" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cace8fd-2d59-44f2-93cd-e349edf6e6db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2637" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79a2e230-8b3b-46b4-ba11-0f66bc537136-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2636" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10e8b215-b7a7-4488-b342-0bf718818749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2635" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1add70b3-7e27-40f9-91a5-c3fd51346330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2634" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b433b4fc-2b33-43b1-a5a1-0d778e50efbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-842600c6-9bdb-44db-a9a6-91167d937a1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2631" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8ae028a-6ea6-47dc-a575-7132c0f77b05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de31a8c9-ccab-4fd0-b46f-1944aa847295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2629" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-daf991b8-6d85-46a2-8e8c-c67b808646a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df80e555-cf81-4cd0-95b1-f583789e5de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7b43eeb-7355-489f-919f-471d07215aa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2626" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fcf2389-29bc-43ab-930d-ad24b7ce67b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a760b873-f1fe-4a45-bb2c-944d5bfd4688-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf125e5a-8b8b-45f5-a4ee-82aa9c47d96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-baecbe2b-6726-445c-a871-385f6a9dfe60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2622" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9515451d-ff68-4e98-b7d3-eb2988a9c7e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2621" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f5a97cf-ced4-4b26-85fa-32476d3cf907-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2620" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c583c69f-d6a8-4d75-b54b-e144fcb12569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2619" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7968cb8-6979-479d-9d45-c4ce84d799a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2618" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff135da0-e045-403b-aa5b-0ad42d151d91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f01cded-bd90-42fa-b728-2d5de0f5c65f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2616" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2c2262c-4273-42e0-82cd-ddf31a933963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2615" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e74ad3d9-fd6e-4ea0-9398-8e54b1789004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2614" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a14fe07b-de40-4b5c-959f-e1676f16c498-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2613" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce5d077d-f1d1-40a4-9cd1-bfc6a8e7b309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2612" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a17b992e-2f2f-4a87-8afb-48b6d62e8b73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2611" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a615f86-fe8b-42b9-b6d7-957382922d09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2610" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ae1e5bf-0cfe-43c8-8f17-5f42f0423cdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80539d19-4ff4-4534-8b8a-02958e1b3ab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2608" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22ff91e3-7228-4488-ba4f-40ee5bc66b72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2607" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17ee06fe-cfe8-4ae1-8456-d6752205c9dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2606" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d34b3bb-da5c-45f4-9e1e-f2382e9775ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2605" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-793d4779-a66f-426d-bccd-015b75f2b0fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2604" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48d0c8b2-e9b5-483f-98d8-0b7b9d32f821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2603" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70eff80d-8cb7-406f-bad6-f4a0eb9499b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='956' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2602" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4df5e955-3c53-4fc0-b947-e3a1fc7dcb02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2601" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9607c2b1-d54a-4782-9e04-6d415b294c4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9c1f668-ce6b-4acf-bbe2-22a0670c36be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40957']" priority="2599" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40957'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40957' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40957'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf6f95c9-4f99-47b8-bf2f-b8dde088cc00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_52): de waarde van @code/@codeSystem MOET ''957' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5130a60c-9225-4266-a4b6-f48fb7664e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2597" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5a4d0ef-b05c-4463-ad68-afc3ef9ec169-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2595" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df63ed93-e13c-41e1-80f7-69bfd350cfd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2594" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6550ce1-6c8e-4566-aae2-a60d8af3bd89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2593" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6126637a-472c-427c-abb3-79a81bff46eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2592" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cd626e4-b1bf-4dce-add9-dae0b082a1b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2591" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51378f50-e5a0-4fee-a202-efa221234506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af9527e6-77d0-4e92-9455-334222059490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2589" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc22cb61-18fe-4f55-bd79-18cb518c1e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2588" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f037f2c-0330-4ef1-a9f5-4793d5c15910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2587" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a70acf70-e0cb-4a16-a8e8-37fe41726f44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2586" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a011e332-18fb-4eec-b704-63e2cd00f48f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb6725c8-ec21-43ee-9a9a-a19762769e26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d6adbed-9b33-4f9b-b78d-01bf5e5c12b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2582" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-003b51da-31ad-4509-b899-ccd50523df66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b664cd7-9d03-46f4-983d-b879d5c2b6b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed82a379-c2d7-490b-8afa-88708e2ecb0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2579" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b52c89d2-c576-4b75-a168-c26a516f2bf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2578" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3fe9713-eea8-4de8-ab2e-dbebc2107287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2349d43-3e88-42f0-bbf1-b7b301a24d4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94d2b88b-8261-41fa-acfc-472666979592-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c65fa2f-0946-407e-8460-be2120245923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2574" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c66f485e-2926-472d-b2ac-0497f551ccb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2573" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5efe998-ebcd-4fdb-88e5-c2b5d7ae5545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2572" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4f308a9-dc89-4114-b875-9556ee6f0024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2571" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20aef420-827d-4c05-b600-69171e84c9c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2570" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e71e3cf-d4d0-4b8c-9597-4b91d5288063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2569" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5247221-1699-4df2-926d-cd8a7b998a11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2568" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10ba0e01-5759-4c52-9651-0855ca619c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2567" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03e44abb-d2ea-4236-97a3-c634a55dfac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2566" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c6cec14-c8a7-44c0-9c9b-350f82b3a2aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2565" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b386e596-243c-4aef-8939-59a412be5d9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2564" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72f10003-fe77-4d98-8ebd-317f7e759bd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2563" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d877ef0-4517-43a4-bc6e-dab2e7924561-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66c13c90-ce0d-4145-8370-8fe0334f17b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2561" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5c4a744-762e-4238-9881-39bc61e470e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-141b77f5-72be-44fe-9f0e-d20d57276c49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2559" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9684630-adac-4fab-bc19-c3cfe6eef0e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2558" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13f2a4bc-ed8d-46d9-98b1-4000ef0a8a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2557" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f63f3cb-8f27-426d-8b7e-0301fa3b1c7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2556" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dee28b70-4149-4411-9474-2ef46631e4f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='957' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2555" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f384da08-ac1c-4a06-bc8d-104b6f46cec8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2554" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7de3cfff-c762-4da0-acdf-ab6cabb128dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c64e2378-02e7-41c0-8900-3d46388ce755-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40958']" priority="2552" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40958'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40958' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40958'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8177f7f7-8529-489a-8a9f-ece82a624006-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): de waarde van @code/@codeSystem MOET ''958' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8eb3f209-91d0-4742-be05-734443a54d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2550" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ef0aee3-793a-4237-a267-86408bbb088a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2549" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddefb9e2-9e7c-428f-ab3f-5373ee85924b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2547" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20f86bf4-83b3-4ca3-a7ce-f72b46387872-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2546" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c289b5c-c58a-43c1-82ff-1251a1801ca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2544" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb37e084-ced1-42d4-bddc-f2b9d6fb3bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6eca9b7f-4521-4530-b54d-d6b7f5eabc29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2542" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d0b7cdb-d374-445e-98b1-bf3fad3f81c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2541" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ae13c50-862b-4ce3-aeb6-2229a912450b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2540" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d24e95b-c462-4ab7-80b9-c089e8f26cc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2539" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c437b4ec-abd1-436b-8977-3f61ef05b0bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2538" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9ee248f-ef91-4139-b491-98ce48d628ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2536" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67b7a77e-0e8f-414f-a4be-36772ffab1c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2535" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b82cd920-8f62-4cd1-9f7f-d2be7b41b4a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2534" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf1f6fc3-a436-4734-b252-ee217ea16e86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c9ff58e-c168-4b05-9453-4780a8099291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2532" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81615cdc-5f73-4406-9be4-f8bea1050b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2531" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf965c27-c573-4560-b7cd-5db0de7e0e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2530" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ca81c39-1bf3-48cb-9485-4eb5e60e5598-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-795c51f2-f8b9-42e5-b384-769cb0f6f6ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2528" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e182f8db-daef-4535-8526-2e921fb04d49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2527" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d061889e-7c61-41ea-ae6c-cf243dba9c79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2526" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43c580f6-f490-4a8e-ab7b-378faa040059-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2525" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d07d97e0-f6d1-4412-8858-58c49529babf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2524" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99ea9dba-5911-431d-9bfc-add29b14071c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2523" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1594168c-1c67-4eae-814a-fe3ce1f49431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2522" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab13727b-832c-4b15-8306-95bc71656420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2521" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd6359ca-bad3-4d06-8604-3da946e5ab86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2520" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fddfd729-ca1b-4f9d-ab3c-beb9740c397e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95d8d2fa-3bc6-4cf6-8f3f-27c9e56b1d18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2518" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e3e0858-9279-4865-8836-c824ccbe22b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2517" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13af6956-8c33-4fbe-8d13-849a1ad26e08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2516" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5dba6b67-29b3-4fd2-9f05-3de8d498734c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2515" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f4d171f-156b-4b3b-b641-6c997c56ff4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2514" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b873ece6-88ec-4886-9e02-939324ff2f02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2513" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ac47a69-1e6c-438e-81ec-99a1458a5b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2512" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e1136ed-9545-43f0-baa4-4b589e0b5ec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2511" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac68b3c4-83cd-4e81-9a88-19c2daf65a83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2510" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b87eed9d-884c-4143-8cb9-1c4074e176e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2509" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d7a6a35-b565-4d02-ae39-0b6e7e96991b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7826e79-f4cf-4c8d-b22d-8818fbc79ca7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='958' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2507" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c47073ca-12fb-42e2-ab64-d5ffdaa48d39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-325446c6-1c10-4228-8045-fa39f047408d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2505" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e30414e3-436f-4867-a24b-e20aaa2d97cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40959']" priority="2504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40959'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40959' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40959'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee636477-35c0-4191-a51e-a8bba00046cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2503" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): de waarde van @code/@codeSystem MOET ''959' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21949c65-d433-42ea-b626-f8a46fa99f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2502" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f7aac4c-3386-4e66-8153-ed81a40bcde4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2501" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_53_Beweegt_benen_evenveel_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67b2c7d2-fbea-4ad0-a204-2f41c47002eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2499" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8fcefd02-66fe-4954-a6c7-bb87871d7b51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5c0bb44-8e29-49e7-8cfe-d9d5327f0ba8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb49bd5d-d712-48d4-9052-1bd54f0daafe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37f0b791-fd60-4ba7-affd-eff7e851ae99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2494" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c97aaf07-d8c2-4c42-83e0-1795f325c82c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2493" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79ef4068-714b-497b-997f-700b7a9b94cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2492" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75459b8b-96f0-4ae1-b4b0-dbb05acc28e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2491" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75081d57-6df7-4f70-b80d-20b4ef75a030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd53f496-7eb8-4ff8-8522-596cd8b9fe95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2488" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65136266-904b-4de8-b335-55257786309f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2487" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40641c78-8e19-4812-8c5e-35f677cbf8da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2486" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93d81c3d-cd95-4dfe-a3c8-02929322bc17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2485" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c7f210d-b955-45a0-9b55-7f14300944e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2484" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d752e91-85db-4433-88a7-a5abe615a82c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2483" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a3ec567-5fd7-495c-9434-7c0b2bd70ed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2482" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74e84a9b-7f44-45f2-b251-e7508b50b9dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2481" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29599287-b1a3-48ab-8c85-91c8ef33d93f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2480" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7992234f-a177-4395-97a2-2ff64ed4dba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2479" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdff2f28-ec32-442b-8066-ac7af52ddc70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2478" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cd8791c-a4b1-487a-a1cd-0e017e89bbb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2477" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbf9647b-6bbe-4976-9ff1-b64dd76db602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8c3b469-eaeb-47e5-ab8f-b7c1a192860b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ec3f2af-b4df-4397-ab5e-86c07c818cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2474" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89659f22-bc95-407a-8c52-2c60fab694c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2473" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b748c9c-fea1-4302-b24f-e3d5ea76c77e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2472" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15817964-05e0-43d8-9c25-66a178fbb577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2471" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac756862-4cdb-49a5-91d1-5febf01ac8ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2470" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe41d93e-8b8e-48de-b15c-0a4b99230726-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2469" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-395b55c8-4a52-40ec-9a4d-18020054c5ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2468" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42603d39-0cd2-4454-9f2b-1c21df87074b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2467" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c71e9403-25a7-49f5-a9a1-d482761a8c5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2466" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb1af5e3-ed59-4f23-9ac6-1e01ea327044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2465" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a93d1189-626f-48cb-84b5-fd41f2a97ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2464" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38e4ff1e-a2aa-442f-a0f8-1eeceafde985-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2463" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca990d05-ce9f-421b-a326-d7f28c82b39b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bcb0663-6674-4f13-a47c-ec8bfe979700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2461" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f29dce7a-e103-4482-9033-3f723fef3863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2460" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff9c0fba-7190-4137-a9f3-ea1f9cca0499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='959' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2459" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-339c4963-3b88-458e-92b1-9bbab9c15d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2458" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1491ad00-4f2a-433a-a029-6ad783100ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2457" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60b43022-6093-46b9-aac5-2764abe85a92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40960']" priority="2456" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40960'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40960' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40960'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64d058f8-4744-4570-ba01-4784638ce521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2455" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_53): de waarde van @code/@codeSystem MOET ''960' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11ff481c-0d68-4fdc-920c-38310e6cba55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2454" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53161981-529b-42e6-bf4f-1f5d4911b926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2452" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87cc54a8-278a-47ab-a9f9-40fe2109a6db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2451" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ffeb813-ee4c-4ea0-8c37-ab5b1d1d4cb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2450" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7b2f327-fe76-4fb1-a58a-b9c77634d985-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcc74d57-b2b2-43b3-8009-e599b8f7d58c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5ad0f58-c27d-432e-81d8-56478b1537ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2447" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a246df24-71af-4e5f-8bd6-eec95108d74f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2446" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-037332fd-5dff-4708-b281-022656eef65c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1827b879-49eb-43fb-8d9a-7448758ad7eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2444" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce527383-da24-43a4-b181-2d2a89d3aad1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2443" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3af34ba-4576-4ad1-a599-c8b67e6cb5a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2441" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ea742fd-8b94-497d-8a49-18006859cc68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2440" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd6d34d0-3356-47a2-b062-a8d4beb5ca17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2439" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-176b35a0-6c5b-4035-8fd9-bd7a5413aa44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2438" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f62291ff-0271-49ac-a5a1-fad0abda673d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2437" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58ddf447-3c38-4806-a74d-4122852184a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2436" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68447e33-4532-497c-af20-ce5ab9facc44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2435" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b21b1420-b9ec-4767-b03d-5b6eae8cb2f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2434" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24d27e8f-be07-449e-92f5-46a9259ef20a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2433" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-19d66514-a18f-4f14-baf7-f9c6b4fce86d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2432" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b96325f6-6e99-4bfc-a52e-c817d6f86bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2431" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2fe1333-ea14-433b-8c9a-15851d12ec2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2430" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f8dad7f-6880-488b-9490-2db0312848dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06931c45-c2f4-42d7-9cda-43deb19748d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2428" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b6fe062-775b-45ab-93ba-9a343431872f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2427" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b8480f9-2177-4055-b960-0cff77db08ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2426" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2e6cda8-6dcf-434d-a758-477cd2a8d710-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2425" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad9f834f-925b-4a10-810e-568ca65e2979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2424" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dcf3648-44f8-4163-a4c1-66da29e141bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2423" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cb0f2ea-31c0-49ce-823a-b893118a0268-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efdd6793-be87-45b3-8ed5-67e1aa5526fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2421" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf4724dc-0b54-4990-9055-b082065711d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2420" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-459267da-d05c-47c5-94ef-d5477048547f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2419" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1596ecd7-6f34-46b9-88b7-33b5eda43ead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2418" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1f2460a-ae16-4ae1-a4f2-d94db638f509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2417" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-924ce109-3ec8-4400-8fd3-3d3c6fdfa5f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2416" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08578aa4-46ac-414b-bb01-cab8ea5385ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb4619d8-cb9c-49d3-92a8-db98d55f4da3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2414" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6184f7b3-d0fc-4fda-845c-cec33bbad177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2413" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d484605-de70-4c6f-8420-bfc9676d002b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='960' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2412" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a81e93da-9024-41a8-b54e-80a610b2af8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2411" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16de2930-a150-4bf8-b5f2-0dc90f0877f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2410" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-febdc76f-acb7-4a62-9d92-81dc5c2e77a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40961']" priority="2409" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40961'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40961' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40961'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f53d5da6-673a-4e07-940d-340bb6b2eb3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2408" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): de waarde van @code/@codeSystem MOET ''961' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0624a7ec-6eaa-486a-a189-ba904e74bda2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2407" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_54_Blijft_hangen_bij_optillen_onder_de_oksels): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5179ce07-d2ea-41cc-9bd4-3d7b93ec04d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2405" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f407fb6a-09fc-4297-bac7-89788deb14e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2404" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b005222a-87e6-4db3-9dea-a0dfaaacda5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2403" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0165ebc5-9acf-45c5-9053-ad965d50841d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d21f87a-65af-4a8c-9a5d-c50c0ed76e19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bfa46b5-8546-404b-b3cc-3d8203dae65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2400" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18d39b73-068d-4080-9ad8-3c997a1f1c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2399" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d5d1650-1400-42cc-825c-0fc508974690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14434a01-5840-4979-9023-7d43ceba2258-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2397" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7756d03f-09be-4088-8114-2e873eb7d447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2396" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e1b1c8f-4d0b-4467-b283-bb11d93f2784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2394" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5043347c-9f68-4242-8717-8853fa70942e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2393" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56bbdb71-ebd2-448f-a466-98a9b7fc7057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2392" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7bb26428-6efb-4c6f-a074-56773647fe11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2391" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f47534fa-7701-4a9e-9d8a-c71fa825a10f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2390" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6071638b-7455-49a5-9e69-128144fdd6bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2389" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9fea26c-2117-4c73-9209-3685edc8b510-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2388" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af8cfc07-1f8b-48f1-bd2f-6ab26e3cc6ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2387" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5ae7dba-fd57-479e-aca3-a59aefac2a24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2386" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-431aae76-0bd3-47b3-a95f-7677d85d17bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2385" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d60918f2-cb30-4bb0-9281-80bb7ae33a5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2384" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5f80bdc-298f-4bcd-b791-ea33d5742530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2383" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b786f7a4-87ac-42e8-a42b-f0c50062cae4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6441907e-31da-4633-b62c-c2f52b6cdb81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2381" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-518bcef3-5506-486e-9f2e-b7ee6a93015d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2380" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db68b165-c6b2-4e91-9cc4-6409e6742d09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2379" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3afac0b4-250f-4e78-83b2-c9c6be5a191d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2378" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f66f355-cbdc-4789-bed9-d2f4fd958cb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2377" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-207d5624-39a5-4ef5-927e-1ac81d7bc0f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2376" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddb4dd9c-25f9-4ed9-8eff-62f0422ff866-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93dc490e-b476-440a-84a4-f3fa4e481a5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2374" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c64cdbde-9567-4998-a2c3-91bb531e6983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2373" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dc78edd-c4bb-46e2-8e47-acbff24b52a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2372" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b56db2fc-ccae-4854-840a-318b818ef9be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2371" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-100e6349-1ae1-46e9-a34a-1a7bc1d4c990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2370" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3d375a7-d788-46ac-bc5c-40597fba1a4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2369" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e12e1eb6-9270-4af5-9fae-60f6a920d645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2368" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ba64590-320f-4aa3-9b4f-3cb5dcef9e41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2367" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6367a7ea-405c-42d1-8421-048d036427a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2366" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0cbb4f1-cd4b-41d2-a8cb-e352c8847224-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='961' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2365" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2dbf36e-138f-4d0e-88ce-2cc99eaf8e1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2364" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6abc20e3-f078-4c90-839a-a1f43a3a2ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2363" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c525226e-965e-44e2-8584-fb782c4370dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41276']" priority="2362" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41276'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41276' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41276'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01d32a2e-2c3a-4909-97f8-73684bd52175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_54): de waarde van @code/@codeSystem MOET ''1276' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a4cad62-87fa-44a2-91c0-35064a310226-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2360" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7eefd26-6001-4674-80eb-a7db3aa03ecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2358" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d628181-bd5a-4094-aab1-b740b12ccab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2357" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9b8a6f9-b913-4ed7-a514-f49c5c1ce662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2356" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a63e079-f234-489c-b900-2e09859a9f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b0c35a2-2c34-4e40-ad20-7877b43be4d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2354" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-002a4894-8231-4542-acc0-4bf8f0155ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2353" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53dedd53-d19c-4210-badc-108596993c6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2352" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a7da59f-16d6-463c-80c7-1dacc1f95661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2351" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42cdf14b-8cdd-4b18-bcb2-d686825723fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63c910cf-2184-4d24-b9f4-c22bbbe202f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2349" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfd1af75-6f06-4e44-b5f4-6a1211b9688b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2347" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d266c898-71f8-46b7-a7e2-fcd18dd40680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2346" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2f8cdbd-f75a-4579-a745-124bdd7dd779-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2345" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b1c4e1d-9b7a-4822-bccf-3f514f3eb75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2877ecdf-4fa1-4775-87df-9bb678bb9384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2343" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-069e8ca9-8762-447c-9f96-489a18dbb9c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2342" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a3033ac-dae3-4d7d-beb9-7cb3f2ce9e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2341" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2437d650-e9b9-4e83-8526-40c81177600f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2340" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c64e23e5-abe6-4a00-a887-39e7cff3208f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2339" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e75f4e55-39c5-4736-bad8-e69019744949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2338" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8becdcd4-1fa3-44b8-ad9e-bdf099e30602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2337" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ea11019-775e-47ad-8804-7b51a6c26f98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2336" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b16f5482-d8d4-433a-bec2-f7133c6e99ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2335" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9c10f73-448c-4e55-b259-c293d045125e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2334" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30bf8e56-c31e-488c-bb72-12e9e320a299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2333" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51f1ee1e-23ce-4978-9b9f-90def9d6ff57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2332" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4f52391-8050-41eb-bb13-e3e7bca26e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b090f05-6ed0-4b7c-9186-6cd6d87c69ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2330" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d2f5c68-45da-4676-9643-c9102ceb5454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2329" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-096e7751-2ed2-4cdd-b16d-05dfc9820925-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0a3e3ac-8467-4b2b-b96e-763dc448dda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2327" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8efc1a0-174a-4496-ac87-860c6475e3ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2326" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2226d9d8-5905-4db5-b5ec-c84c84aeceea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2325" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5d49acd-d12e-4fe1-b418-2cae32476434-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2324" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88f572ea-d2fc-4870-89a1-d20d8ecd991d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2323" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63bee24e-f856-44a5-b613-49280da99be5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2322" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ef21b30-1a16-41c0-86d4-b59204539cbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2321" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0f658c4-9e8f-46f0-bfca-b9803eb1e7bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2320" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f62fb2c-7196-42f4-a098-12a9d3c25f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2319" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09f5a38e-a542-4cee-b78b-8f0f560b9104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2318" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4285ebd-d8bd-4cd3-bfb9-9887885a98dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e63cc58-66c6-4e23-ae58-5903a303cb98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2316" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dee4f43d-be34-4391-9ac6-d68d4518ff99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40962']" priority="2315" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40962'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40962' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40962'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b5beb88-2019-4b40-8132-21b1abee205d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): de waarde van @code/@codeSystem MOET ''962' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c63d7b0a-858c-4328-97b0-56d502978eef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2313" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_55_Reacties_bij_optrekken_tot_zit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-851c0297-2470-4995-a2a6-dfe5db20dc53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2311" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df24e99c-c76a-4638-b57a-c75d4361fbfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2310" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40173a3b-e50b-4d35-80c1-ad01446642cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2309" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5935608-f59a-443d-b311-e6cf3e6b9c8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90147b67-1e79-432d-926c-ed917c983de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2307" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2af63cf7-c83c-47fb-bd37-542d149794c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8c88c58-c9c5-4fef-bd81-3b9a641da847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64368d3d-cbf4-42cd-99ab-b7f95e65636a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2304" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a04dd20-1527-48fc-8fec-7d42ead6d6eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-530a343a-1d5b-4119-8637-e000d5254822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2302" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80e7f442-a9a7-4dc9-8372-3811ae458457-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2300" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aff6f393-3944-4325-b718-9bc31f097828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2299" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c6a639b-807c-4e1f-841b-06803d329df7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2298" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc9a234f-f8ba-4423-80fd-1b72f1123a1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a81f8b61-2ffd-4fd8-9bbc-5302754d1cb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2296" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-295e5545-283d-4dc0-b14a-950dd03989d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2295" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a766979f-90c1-477a-ab62-d24014b5b75e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2294" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b615439-541e-4ed7-adb7-bd504d43e06b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2293" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adb4362d-f99c-4511-9589-47f4b0113acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2292" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-55a34458-1f2e-4278-b93b-43109540934f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2291" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc5159ad-78d4-4d0a-a804-470fe806307d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2290" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b48dda7a-a1c7-40c5-baf5-2c5feebb5c77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2289" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36428d4d-98a3-4753-b6e2-badb8a5fa45e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2288" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-767266d2-1ee3-45ac-b0ff-9dc86d323ba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2287" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae0c910f-2302-4d69-88dc-dc2c13e8ba3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2286" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6b705e85-7b7a-4d86-a462-30693ec46256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b6fc7f-c247-42f6-b64d-f0d5311d4154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e68bbcf5-9827-4170-b676-0bc666fed3d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2283" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97bf659d-f9ba-435c-b95a-e5d5c8d82fd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2282" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-182f5580-1641-491e-a870-a10c359704ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95698849-62b0-4eb5-bf0c-4f944c77cc4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2280" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e39ec69-4b8d-4daa-ad7f-268494474295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2279" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97521553-40b1-4c0c-b9b2-1313c29cd234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2278" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53b5583a-1379-4ff0-aec5-760968cfc136-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2277" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0f6e459-4e0f-4586-b627-acff510f5109-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2276" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7738a8b2-c351-40d5-a1cd-ce5c29b170bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2275" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2916f3a8-e1f7-47da-8891-d18f407c4a1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4977835-6866-41a8-b299-e0cae9424778-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2273" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-974ab6d1-5713-4b67-ac1d-51c9e5960fa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2272" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53a0f085-d88e-46e4-b4de-472d030b18e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='962' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2271" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61c51c04-c5ba-4aee-acdd-bc06bba9105c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2270" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a34cfbd-9ab8-4162-abca-a6cc51ab8dfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2269" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fcff590-3fbf-4dc8-be9e-0e2ea7705eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40963']" priority="2268" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40963'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40963' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40963'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3caa07e7-e068-49a0-ba45-c48929a44e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2267" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_55): de waarde van @code/@codeSystem MOET ''963' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ede0a627-9cdc-4f2a-8a8e-af35f65f7d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2266" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec657152-9e44-485c-8bec-7c9a951355e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2264" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d93a7b35-1d13-401a-b135-2dbab83ac3ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e75bae21-0fed-47a3-92aa-b5909c0e7b07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2262" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc3a1725-d0f1-400a-b67b-07f453b3c232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d72c2fd-2473-41b0-9c6a-c12f44b7ca20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2260" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bc24345-2ce4-4616-ba17-7e5a7c409802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2259" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9be8419c-0e5b-4349-afad-fec5d85a6fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2258" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64467338-ff38-4c8c-8623-fdd5e8f18590-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2257" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-721ff28c-6f11-4f22-975d-d692ade1c612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69e553b0-6e34-4cfd-bcd7-470ff26eac3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2255" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-464e4462-71af-417e-860f-345d68f54800-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2253" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-321fd34f-366f-477a-8a43-5aae6453ff77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2252" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54ebf7c9-6962-4459-86c0-8d2a30b64a74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2251" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c87eeb7-92ed-4d1e-b256-702674612ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb767b4f-e1ad-489c-8ef6-3c01e3b3a6aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2249" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-643abe8a-f18d-43a9-a5d4-2d4b7371adac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2248" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25f38fe9-4857-4ea1-ada2-c538e0245fbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2247" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d573e83-db94-47e2-8019-83aa7b5fbc13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2246" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc55b012-5b52-463a-9063-f466f6b931ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2245" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70439eec-e73c-4284-982b-4732b63ff175-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2244" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7660afe4-2200-40e2-9942-a5a319ab45e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2243" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9eea499c-5c08-43e4-b999-7df03c1b4c74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2242" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c634648-31ea-4e2f-9909-6e8d3125d0be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c631db8-00bb-4e1d-9581-a808891292d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e09a4d6-612e-4224-babe-adf8dc0d5eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2239" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f544c932-6f7e-4fb0-954e-953b83f01c4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2238" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b487c7a4-43ab-4b74-8a4f-8656a296b4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2237" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ca98255-a0db-46f8-811d-fca766db326c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2236" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-306945c9-5bb3-4354-8fbf-9122b2362828-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2235" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-532f0d79-a65b-4ae2-9e81-57e398df5758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2234" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-479aa51e-daa6-4ade-b367-b94b5a2ed320-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2233" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f08bbc5d-3b55-455a-8dc3-7bee8f2208b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2232" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8fa70a9-55f1-467d-b91b-c4471837013c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2231" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1617da4-5f37-4e9e-91bf-845f7d13b9a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2230" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3b9d31a-76f9-42b1-b6a3-101b58da3c67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2229" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c11e6cd-02ff-40c3-bb90-15d6fb2bf323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2228" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f35ca85-c8cf-42e6-8bf9-85da945f9df8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b9581e3-89ee-4955-9339-7fc96b8324c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2226" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6457b142-95cf-4e49-99e8-c9cf70d8566c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2225" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3785530-2810-4a34-b9d3-dbaa590365d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='963' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2224" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49b31fd0-c7c7-4141-b647-685937f758e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2223" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d40ccf33-ef51-4c6a-a170-97c021e336dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2222" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1448f81-c7cd-4097-8e78-d2148de69796-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40964']" priority="2221" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40964'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40964' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40964'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cca6076-5f4e-4ce8-b757-0d18b6b8da11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2220" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): de waarde van @code/@codeSystem MOET ''964' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-729b31c7-00b1-47e4-9a5f-741b89ec01b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2219" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_56_Heft_kin_even_van_onderlaag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3547271a-f86d-44b4-9a90-3032cbe4b7b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2217" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7144d36d-84e5-4674-a233-1a7a2a4fe6d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2216" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c729d54-1a0d-453a-9deb-130b4ec0b556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2215" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-497343c4-787c-4f4d-9abe-7d13b8e06128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-929db832-572f-4acd-82ea-55c9e3fd85bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2213" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-199ea32c-815b-4fd3-b79c-599057f81529-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2212" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddf7af67-9c60-4ca8-9b66-4fc1aa2b0b40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6d3a74b-0855-4b81-a127-daacf2c9722b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2210" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dbcc680-6f15-4f00-a6ec-7f9c8fcea190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96a3d9f7-6f36-4f2e-86e6-f3b3db41ef08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2208" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6205de9d-e038-409d-ac81-b66010046df0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2206" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06946225-5870-49f5-ae30-75f4943ba9e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2205" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9de83016-adfb-409d-b561-f1307d72ec73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2204" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5097a8e5-3c1b-42bb-bda9-f5763dcd21f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f85bc9c-5ef1-4096-ad74-9aa37b54097e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2202" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b366f87-0fd8-4390-84bc-115160711a37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2201" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b72b733a-7378-4637-adc6-703834a37c70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2200" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad6925ae-52d6-4da9-9a62-f24b447583c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2199" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf213d03-fd67-4b38-8f37-a9939236048f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2198" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d580314-7813-46ee-ac72-679ce2238e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2197" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fbfbe7c-5e1e-4945-a95d-89e96ee4d70f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2196" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c149d3b-74d6-485c-a3b3-e25375c501e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2195" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c2abd61-5539-4cd8-b450-6ab7bcf7654b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2194" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f219c37-e859-4a6c-acd0-ae180e6612b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2193" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bddb4ded-2800-4968-abec-7e3211cd9e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2192" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cd770e9-ac17-45be-8634-cf579601d787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2191" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0a6d058-10c2-4a04-ab96-60ea7e2a5a11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b55d1db1-c352-4fd2-89ca-c7d427229d3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2189" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bb6e9a5-d5ea-48ff-9344-700d49352a71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2188" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-569c2169-1370-47cb-86ae-ef9c85bc9fbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2187" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8ad9415-d624-465d-b73e-28f61764b91f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2186" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13cf5e40-3411-4003-b5c4-bace33d04a6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2185" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e9a09ab-0a23-48e7-ab08-d7f65a767164-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2184" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7026023c-f146-47aa-a667-01b2ad3317e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2183" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-334872ec-46f5-4999-ad72-f9c51169f77d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2182" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f9fff9d-04da-4dbf-9236-f8c43cdc9b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2181" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4670d37a-c33d-4fa3-958c-34e437335e29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d71c259e-e1e9-410a-a537-0ccfbec4ca14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2179" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f64f53ad-70e2-47bd-9346-5f5c9b93db47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2178" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe4ba531-917c-4571-955d-64f721e92b1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='964' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2177" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b6243aa-0f00-4782-9323-e8634b82693f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e46652b-602b-4e14-9e72-e34d517c238d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2175" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5405e0e8-4f9e-4ea2-89ff-7123b85bf8f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40965']" priority="2174" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40965'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40965' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40965'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2030f4ee-5e7c-4ca1-b84f-98bad0219423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2173" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_56): de waarde van @code/@codeSystem MOET ''965' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9775dd7-21ed-4c10-8fd2-c1083fc3f2db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2172" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15ec88f5-9014-416b-aae4-ff3f30c800b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2170" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95a75207-e06d-4e17-a3b7-ff3f013d7876-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-432a0ea0-38f6-4175-a3ad-54a3dd2367f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2168" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f05d1065-4840-484a-9325-6f632a26fce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30494b06-ba18-4de8-b835-2a1e1762fc02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2166" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22e3ea71-62ff-413c-ab2c-4f1707b8e572-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2165" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecc40690-70e7-4eba-bf81-ff796ed68499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66cb3a08-4dd4-4eba-8c10-d3d9fac94f2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2163" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76ded291-b29e-4dae-b71a-eed367a1b0bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16b4dc3c-2cc5-45b0-affd-5337295a11b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2161" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15bc48c2-c952-4d6c-aa58-fafb9fa38f00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2159" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a87dcbd6-c5eb-47a8-940d-ba503853286b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2158" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e83a384b-08ed-40c2-8a85-deee73039116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2157" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c8650ae-5092-47e9-b30b-ed6b299215af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc0e0ba6-db7a-46c3-a848-1f5fe9492538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2155" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9e775a4-0099-4d6e-a1d7-b5845157c667-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2154" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdf71ccd-fb51-4882-a85e-f616ea0ee348-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2153" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a58292a8-936d-4560-80d6-42b9400d9d20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2152" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7fb21da-68ef-4cb0-824a-b356a07f6395-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2151" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44d2799a-e381-428b-86f0-a23b94746a3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2150" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a741862-4f2b-479b-a3b0-771435e75eb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2149" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db7ab94f-d851-4428-a4ce-4998cb904743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2148" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3e98400-9bcd-4428-b9cf-b91622d7af40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2147" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8370ac2b-63f7-4525-82ff-ff79f2f1cf45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2146" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-182c0ff8-aad1-4b88-9b0d-274cdddaf84c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2145" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff2a9829-3f8a-4757-9ca1-1062a3ebdab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2144" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f521a3d4-0848-44ac-8a51-f4cd59655fab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-758393e8-0c90-4054-8bb4-11a551b7c6a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2142" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-591516b6-7e2c-454f-af9e-5853c3cee48a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2141" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed989a1a-c3df-4d1c-8a27-84fcf082d8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2140" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a39df5a1-3be1-4de3-96c8-b60149298865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2139" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da505ce4-5c13-4177-9c38-ac9dd4ad62eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2138" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fa27b52-bb97-4ee6-a2de-b22df35fba21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2137" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74f3c864-3757-4483-a325-26cd63f65ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2136" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65d287fa-a046-4611-98c7-bc14225b4536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2135" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1eeae48e-b4fb-400e-804f-647f5c20a5f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2134" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79d36bce-7ab2-4845-800a-5892ccf94530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06796c74-5a5b-4aa1-9401-334a8e694534-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2132" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4214d7e-3025-4bb1-a7d6-e242b30856a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2131" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5259927d-2a71-40a1-a3e7-e8c47cab4336-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='965' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2130" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16943aa9-9acd-4cd0-aa93-d63dd5f5a542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9e63649-145a-4fb1-8d8d-c9d686df999d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2128" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5be3f9c-682c-4ab9-99fe-bb5beb16145e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40966']" priority="2127" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40966'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40966' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40966'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d9abf41-d5ff-4c51-92a4-7ccf3f3f1445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2126" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): de waarde van @code/@codeSystem MOET ''966' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b13a06b-6955-4414-ae54-b33417be913d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2125" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_57_Heft_in_buikligging_hoofd_tot_45): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06632f51-fa81-44f1-957c-0dbb530d6a17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2123" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ef4153d-b18c-4bfa-b7a1-cf2a50c97c23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40d97d28-864c-4c54-ac3b-c0324770a2b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2121" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c60ab925-62b0-4698-8e2c-95879af9fcc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4441451d-4dc4-416a-9148-4c1738430b4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2119" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b11c75-8620-4f24-b460-6390b6c0ad5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2118" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b777a343-a87e-48ea-a51c-216b1ee293b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d694830e-c106-4519-b476-ef7fe118ca3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2116" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8bb8c61d-87ba-4b34-be6a-c784de4b3145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5c033b6-b65c-453c-88dd-a98b9ba741c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2114" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2182b09b-3102-43b3-bdf1-24430e27c6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2112" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f66c4c55-c1ed-4237-9db8-61caac825de1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2111" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fd1121b-1231-4d24-9d82-08ac292a4c4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2110" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29c0a473-e307-4c38-8d7d-79e27ef54844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-273bb579-54e1-4e82-83b8-df80fab522f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2108" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10be88a2-b8ad-4287-a92a-f38b83759081-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2107" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10dd2550-1b2d-48b2-bdfc-dc923d079eb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2106" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4b61375-ae94-475b-a148-9bf2e3dc87ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2105" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e00bda2a-ae73-432c-9a03-53ca56f01762-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2104" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8943578-33ae-4af3-ae62-69926e38ed90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2103" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6af575c0-0c8d-4864-92a2-3f4fec33beb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2102" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3dcadd8a-5f67-4f39-97d7-fb562651f47a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2101" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9b1d540-0b93-4233-bbb7-4c995a969670-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2100" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1eea9b95-423d-4898-aafe-29f641768f66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2099" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ba275178-0390-4edc-a604-b549d36bb330-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2098" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52ea92c1-e1a1-4cde-92fc-d245d9690a0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2097" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76205cd7-8ace-48bf-8c32-5dce1576278b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7e66b38-697a-48c6-b2fa-57a4c61b71fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2095" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d751642f-aa21-4a5e-a9d2-f6debb36578b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2094" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fe830b0-d5c6-4de2-9878-49573ad3b479-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2093" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-285bdb9a-004a-4335-91fd-8751597183c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2092" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9056754b-043e-4c45-ae31-ab7569105b28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2091" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9629621a-18a0-4060-9ffe-ba72376ddcd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2090" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e00d27bc-a584-4653-a53f-cbf02a99deaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2089" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65d150ef-207d-414b-b1bd-786b8e5df7cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2088" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34eb2fbe-cc79-476d-962b-e03e5223d128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2087" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f96e4eb0-e071-4a5f-b103-f37e463196e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2086" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75302bbf-fe44-41d6-a8bc-0bafcada339b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2085" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ad40a65-2ec2-4278-a64e-0d0c17e09bf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2084" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41de27fc-a88d-4246-8b80-d2c96286d20c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='966' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2083" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c60ad7e-f937-41eb-8caa-f08abfe2e2f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2082" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c689fb37-8b21-4c94-b7c0-47713148218d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2081" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5757255f-fd15-4f5b-8bcd-a1cfc7dc7fcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40967']" priority="2080" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40967'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40967' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40967'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-220d4fe0-a1ea-40bc-ac7d-81c60d0ac4ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2079" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_57): de waarde van @code/@codeSystem MOET ''967' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3869678-7a2b-4d8f-ade0-137de195f8d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2078" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51aad28d-374c-4b3d-9d3f-e65eb3131783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2076" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-861a4b20-33e5-4eca-b8d9-431682b03b67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-331b6f3e-9b2a-4d51-8cb5-586eaa66fc1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2074" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f500fe1-3fc7-483c-9187-f92c269b3536-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1efc87bd-a892-465f-8f00-3d23214e18a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2072" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2d0e963-b643-4c7c-ad8d-d7796a20af0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2071" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-112fc082-17a6-4f64-9a4a-557062441310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2070" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1b9b49c-82aa-4de1-b2f1-c85569f76906-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2069" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-812502d8-699f-4ba4-9a24-48ae39f91159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2068" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cfc80de-3ebe-4c59-a546-24be1151bbeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2067" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc53f373-efe0-4dc5-a7fc-afcf6aab1c11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2065" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dc912c7-b3f0-4020-9493-8cf850444ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2064" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf6ca6ed-3587-48b4-bb4b-12b16b3953cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2063" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2335be87-3e61-406f-b08f-3f19d63273c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2062" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0269224d-7c98-4fed-95c3-716baef46100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2061" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0379343-c5b5-434f-bf1e-5516c9f43f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2060" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6313335c-838a-4363-adbf-29c7eed8e255-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2059" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6fddbcf-0d91-4970-a13e-3aad55b167cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2058" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab37a968-a2dc-4ba6-b695-95dde17c978b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2057" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b715ce7c-d0cd-4647-a228-540e718bc2c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2056" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09dab770-ed33-4646-94b7-705c1135d697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2055" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b42aee97-f309-417e-b6e7-edb0d1ac4d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2054" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fa9f0d9-9194-4ab2-9cf0-2ed30e05a784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2053" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ff5f5c9-9dea-44f4-8f22-7aaa04675df4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2052" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4701938b-cbfb-4e4b-80fa-445879f73de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2051" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34a48bdc-0fbd-4945-98f5-34eb6b12abf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2050" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5586cd52-052f-4c05-a3d2-fcc463bb0168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a535b1f-1ed3-49f1-ad32-c68198376f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2048" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52bfa424-bf36-4194-9230-27c35e96aad6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2047" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e06728e0-b01f-4b8d-95e5-018a062966b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="2046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78d9abc1-8ecc-4dd3-908f-4611ed1252b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="2045" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd433e1b-948a-404d-9227-0fdc71a15b54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="2044" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a31bbdd8-8b78-4217-a627-e90dd0a2bc31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="2043" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-177b78be-0933-4dfa-8319-069ddc7025f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="2042" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ca662b9-f106-4fd0-936c-963c0bfa86f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="2041" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6cfba62-ebb3-4f44-87f7-413b0ddb3f14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="2040" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d8f6e90-4ce6-4b2f-9f2c-c7e8091878c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="2039" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-110dc59c-4c98-4355-91ae-54ae4934c78a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="2038" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afa1a243-7aaa-4c1a-849c-345d69246e62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="2037" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d89c29cc-789e-47e5-8bce-ef06ae050aab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='967' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="2036" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9625862-da83-4117-acd1-ce1eb0430aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2035" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74a42019-5db1-4ff1-a0d1-e67591b7b238-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2034" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2f83d1b-a9af-428a-b43e-dd73af3cfdce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40968']" priority="2033" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40968'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40968' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40968'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d590df13-9f73-4e80-bcb4-45d8b05d46e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2032" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): de waarde van @code/@codeSystem MOET ''968' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6798954-9e13-4465-9cab-88fb4d482766-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2031" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_58_Kijkt_rond_met_90_geheven_hoofd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60e86071-4ceb-4d30-a8b8-b22a24f7bf7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2029" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e5f38f7-1418-4719-8eb3-058babce6673-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2db96b04-13e6-4167-b037-bd8cf15d539f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2027" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72c415cf-e11d-460d-aea7-42a7d070236f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c7edc37-6d06-4e38-88fb-33009653e659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2025" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ccab2b26-f6aa-40be-887c-b00fbb38c310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2024" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef70697a-4c3b-48ee-96ad-1574ee354f25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2023" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91a310c6-c59c-4100-893b-7f0ea20ad951-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2022" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ef6bff4-39e5-47b2-b59b-c439aa15c27f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2021" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9464ebf5-a96d-42c3-8063-e8681f45849a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2020" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c56b70f-ec94-420a-94d1-4d36e492bba4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2018" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ffee921-a857-4efa-ad12-0a5140922abe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2017" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d523f02a-a4a8-4e0b-a423-d377f1971964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2016" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6482b077-36b2-41f1-8334-692a2fa0db84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2015" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3db64cf7-c159-4540-9f6c-f1e267fff1d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2014" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8949b4fc-f642-4353-b551-58d61c0941cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2013" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c53562b2-bee6-4f7f-b909-7a627da2a525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2012" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-716ec407-454c-4abf-9d6b-4d10231056cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2011" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-064a459a-68b4-44d0-9d1d-1adf4aa95138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2010" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b171849-931e-4024-ab6a-400b47a7a70a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2009" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79614a31-1aff-48b8-a858-c17099390c06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2008" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-827a60df-fc3f-4e47-9536-43b541100a03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2007" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94ee9d17-8133-4eb5-87ab-7d9feee50294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2006" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-40387133-fc27-4dc8-9e2a-d870f2d8c64b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2005" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2f8d4a9-997b-4d9b-90af-b893d66ff96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2004" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-866a65fd-f50c-4943-9283-6e45cc2d49a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2003" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-352ad368-4acf-458c-896d-040ecda4d303-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="2002" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d00a8500-7e5e-40e0-94e6-41c22c74356a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="2001" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ba66052-8225-4253-828f-4199555bb65d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="2000" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-031fe847-ba73-4341-b623-b5fd0ca02321-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-127650dd-f7ce-4987-bf42-85520f9f73cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1998" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44b8e30a-ebf2-4bf9-8fa6-cff529056df7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1997" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db87cbc1-ff4f-4e2c-aa02-22ceb312b4d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1996" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d5a9ca1-ef5b-44c7-8ac6-08498ae82a71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1995" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f572a685-3462-49cb-bddf-e6d530580eef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1994" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89b8c1fb-4208-4f2a-ae90-557c59e2a1b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1993" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ec77974-827c-4373-8924-565b69daf930-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1992" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01b83beb-8601-4921-b905-9c933e0ea028-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1991" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd8f23ce-fe8a-488e-b25f-71590448ff1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1990" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48d0f8dc-16ae-4408-98c7-9155ab9e0508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='968' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1989" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb2575bb-6e74-4e67-96e1-e714e013e02f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1988" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59c2f48e-1e3e-40a4-b941-1a9230acc5cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1987" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4cce9fb-0ef7-48e0-9b3c-f8ef001e04a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40969']" priority="1986" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40969'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40969' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40969'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33649b5d-070d-45c8-9f7f-00ef34b2f4fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1985" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_58): de waarde van @code/@codeSystem MOET ''969' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cad9eb8a-5f0f-43d2-b1f4-b737c8141700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1984" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2210d83f-2d7f-41a7-b86b-d542408a0c55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1982" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d138722-7d7e-4d3f-8959-be3653e963b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1981" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f6a4250-d5bc-408b-ad8b-755613e56c83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1980" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f6b896d-fa27-44cb-bb78-8a3b00fd74c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f146bd2-f67a-45c0-890a-ccbfd1d44d11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1978" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2f81e48-1dc6-4ab5-b101-b0ce0c22b2d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1977" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d011678-ab67-4851-9c47-87339a85290f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1976" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d0b5f77-faa4-4f53-a278-231f6d33e490-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1975" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e153424-e12c-4bbf-af24-f2ab2eebb454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1974" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26b26975-ed37-4bcc-9437-56eed9330c69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1973" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00bf1201-7ad3-49f8-af1e-451aaf0fa713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1971" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e559a01-30ae-48cf-8342-71dc69faf299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1970" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00d48eec-b6df-4da4-97c2-99f0d9ce26af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1969" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18c41d1e-6d15-4dc0-a4ca-f2eab86162b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1968" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ded9ef6-fbc9-41b6-b489-74ccbc6c29c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1967" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8dddf269-8dd4-4afc-85fb-16595110d672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1966" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52bf4678-fff0-4cb3-b99a-319f4e7b821f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1965" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20d9b32b-3d8f-4518-ac69-209e7501ffaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1964" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c78687d-e4bd-4512-be9d-37b4c09aba42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1963" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34035896-b44e-468d-8bf4-5b98788bab04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1962" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b4823d5-7917-4aea-8791-747e09140c60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1961" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-554f1c11-27f7-4073-9c43-f1724985e754-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1960" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebbb60ae-20d7-4431-aa42-dbe7320d6f17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1959" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c882d0a2-edc7-421b-af42-6b0feddf1f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1958" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82031de9-e518-4b15-a1c5-b5c3c97569f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1957" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-619e741a-cc16-4102-b107-b30fca86c664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1956" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49670e0f-b226-40e3-90f4-b639a060a868-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae45e006-b4a3-4c4f-82c5-16dbe3779e01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1954" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a0ac4b1-db7a-4933-8964-c6a812cf47a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1953" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f41466ae-23fe-4aea-82e8-9560d861d030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb0727d5-13f5-4ded-8144-8f68622655a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1951" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20b3e114-9033-4a7c-a190-5106c10694dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1950" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-160da675-eea9-42b5-bbc3-dab77d3b6990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1949" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a117abcc-8f60-426b-8cfd-bd01a69dc758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1948" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-278637c1-d86a-47c8-aa07-76bef258ae6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1947" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39ef9844-fbb7-46bb-92d1-dbcdcce9d818-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1946" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71cfaa8c-5d81-48dc-b060-fca7243154e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1945" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82f25684-1142-4d5d-bacd-a984ed62baa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1944" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-becc11dc-e7f9-4538-a705-c36b4fbb4679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1943" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0baec584-0a67-4dc5-8154-cb4288b4ca00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='969' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1942" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa3a4127-b91a-40c2-ad20-56d955031a19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1941" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-944f134c-04c2-4637-b4b7-3ff1056f005d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1940" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae979bcc-4130-44c4-837e-083a034a6d04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40970']" priority="1939" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40970'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40970' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40970'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-476d6f88-e17b-4680-8745-3062d2e6db07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1938" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): de waarde van @code/@codeSystem MOET ''970' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d17600ba-92ce-4905-b164-c5087a92aca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1937" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-376f5b4d-6394-4223-a471-f15101e68387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1936" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddeafd7e-8d66-4610-95b4-9d999fd59cf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1934" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb3e0cc4-cd4a-473e-be48-ea68e0e3a756-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1933" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ea45446-02b3-4dcf-a7bd-e09e8d70e775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1931" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e0e8bd9-eb69-4e7d-9de6-e0d068d4fc68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1930" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2ff4372-6514-40a3-aed7-42cb760ab2d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1929" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a3eb7da-b3e2-4fa2-94f2-b7e47e3344e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1928" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8800387-148a-4d39-bd96-809702b68415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1927" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fa983a5-b554-47e8-ab83-7bfb05ac6331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1926" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5876141-b299-4078-981a-92b0ec4439ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1925" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb019b22-c294-42c4-8102-459da56e94b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1923" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7579eec9-ec2e-4b60-86c9-19e86cd0ee0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1922" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbb931a8-b81b-476e-9a2c-92a11b6ecd7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1921" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e472f42c-fa7c-4158-ba79-195a6d5fffba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1920" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-54f00d2a-4ae8-49e3-8a4a-946a4f98e15b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a02266f0-dc77-4372-9ecc-59738ea401e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1918" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2bafc514-6643-41e5-ab95-4ce3ff84fb93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1917" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f569e7a-6bc6-47bd-ada2-2b9b2987e60a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1916" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80af5dc3-82d0-479d-a4fb-664ee9d5033f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1915" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1543ea5-916d-462d-821d-a6076156b7c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1914" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b30198c0-6928-460a-ba14-989a140d24c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1913" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f321f3e5-8c71-4785-939f-c4813d1081f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1912" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c07452ea-40f2-4299-9845-2d844b60b2e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1911" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-961da026-9a49-4b88-ab24-03749eb032f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1910" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b92bf462-c611-4e27-bb0e-ad65edcceaa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2e2ef38-501f-4e43-99f6-a2ead5ec67c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1908" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cf14b60-47ec-4668-9a2d-aa801e4129cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1907" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abadfcca-83b9-4cc3-bff2-9d03cbbfad8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1906" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6777d10e-bde1-413c-b7b3-e351c3b25cbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1905" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60269796-8aec-4331-ab7b-6572a5f1d3fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1904" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0e3503a-0318-4fd3-9695-64b526432054-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1903" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ead5c6ab-a067-4598-9b82-a68e77a8ee05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1902" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-629e38f2-f077-4bae-a5ab-6be48956d441-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1901" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98508328-df84-4041-8246-42a3100d85e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1900" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-075849af-0015-4a66-b37e-4d1c598beb1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1899" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa43155a-6996-459a-9b43-547bcfe137b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1898" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d66014b-870d-4b20-8445-6a846205850d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1897" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-188ce40c-c199-46a2-8b0e-02ff5d202a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1896" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8714ae81-a5ff-4c8b-b90d-9e9ee4c84600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1895" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5b1f158-6f42-4fe7-ba23-850ed83f419c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='970' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1894" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-319ef56e-1746-40d8-8348-ef2377889030-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1893" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50d4822f-eae4-4b42-ba04-2eb577a6ccf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dc3d497-38a2-4d4f-813e-310388d62e34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40971']" priority="1891" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40971'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40971' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40971'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa0194a6-c343-4ec5-8d8b-e9b1b9431d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1890" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): de waarde van @code/@codeSystem MOET ''971' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07cc58b1-f43f-408b-bd7f-4c0253652203-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1889" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49ebe31a-dcef-412a-8532-5b841860b8aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1888" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_59_Benen_geb_of_trap_bij_vert_zwaaien_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94e2d3e7-674b-4513-acf9-ad51e2240139-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1886" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b1be267-28c8-48ff-9778-613215f79834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1885" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f449b1ed-8153-4549-87d2-b1259590d4ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1883" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcf0ac91-03eb-4755-ad37-5374494af216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1882" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c45d72a1-91f9-4e33-b9ad-4546bf77a4dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1881" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fee6d81f-8235-4dba-9cd4-bc7ae8f83220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1880" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-811b2b30-4fec-403d-bbc2-3b58ed8d8a76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1879" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2af576d-9a8e-41f8-8b46-a1ca34dfe00d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1878" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2977dded-3533-49a4-ade1-4844b72bc3ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1877" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de790bc4-5d59-4564-813f-e740004017ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1875" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15cd6995-6e9c-4f25-8ef1-8e5b7c63b28e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1874" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffe3ecf9-161a-468f-ba94-dc8b442206ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1873" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf7d32a3-674e-465e-b49b-9d93ddb6d508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-976588a6-c9b8-45ea-a862-b39ed9b28eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdc02a3a-47ff-4fff-8741-8c8f5ab65f7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1870" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd6229a1-41c3-462a-8db7-58fa61b95b1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1869" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f5178a3-9eea-4772-bc42-b3762a5f3201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1868" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d413596-e186-485f-b0ed-bc5bbde7091d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1867" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e3690d0-4681-4f9f-b55d-2c5f44069d5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1866" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2a77c5a-10f9-4256-8ebf-7a8cbaf82210-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1865" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f60d19c-dc26-48f3-945b-bfbf2f7c92a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1864" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f281398-4520-4fe1-87d2-066fbf3a5370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1863" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4afc7c2e-c07a-46bd-b01f-c9cd937d8328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1862" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d568c79-2410-4fb1-a1d8-159bb6dbd48f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1861" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2b8cbc8-c18c-4bb8-85fe-190e36b03c13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1860" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e56fd832-7d81-4c32-a2a0-cbf33b6e42dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1859" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b882f203-201b-464e-aed5-b1ea69e02ee2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1ec304c-634d-4399-9008-6719fc6aa9e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1857" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a79fb171-b34e-4366-99e4-b0954b84f185-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1856" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e406a42f-a5d0-4906-9ae9-fc8e9707a829-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1855" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-581716a5-5add-4e86-83bb-b6acdeecfd2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1854" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a1da995b-a1f1-46e9-a0d4-f782227cdde2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1853" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c4f2c95-4e77-4bce-ac63-d63f5064faa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1852" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4b55b19-643a-4712-b6c6-0598ee931e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1851" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f53cdd73-6eb4-45a4-9a9f-6a754e4cef64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1850" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84d524c0-6283-4f9d-9b62-59fdbb7e6fd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1849" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86a71a79-8575-4b15-bf0c-643279b33636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60e0ee82-de48-48a8-a889-d480ef772cab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1847" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf3f6897-8be7-4ae3-ab37-935d8d9efd01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='971' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1846" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97ab3f6b-3db3-4375-b459-b26bc7352a1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1845" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85c024d4-95de-4f20-ab5b-4f6077fd3eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1844" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37ec325e-40b1-40b8-bf56-672615aafc32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40972']" priority="1843" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40972'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40972' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40972'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-301794c7-a6ad-4722-bd17-6f21799fc735-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1842" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_59): de waarde van @code/@codeSystem MOET ''972' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd03718e-8d54-4dae-86c3-dfc95b00cf72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1841" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a9d4591-8de5-4541-a564-9f2a03d14588-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1839" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c1c1f02-e8b2-41f4-b189-fc7099b5223a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1838" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f179f39c-e5fe-48fa-b00e-139b2042a0bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1837" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db1cc531-4dc7-452b-b7c3-2bb74c403987-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1836" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42f6cf2f-2217-4ceb-93ef-a89e1d080f6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1835" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91cdb3b5-28c5-4481-b80a-8f9456588157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1834" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-400a1514-e975-4b5a-9721-dddf7b885dff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1833" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bf49513-cf00-48c3-8390-1900df0c46a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1832" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-783d8840-fe9c-45d4-87a6-9496dc579450-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1831" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d267d1e6-b007-42f3-8d25-233bbe35c729-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1830" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc3a34ea-d5ee-46c7-b90d-5b5d3ef97edd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1828" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91cf784b-7df3-4b98-883f-7819b4d284a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1827" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffe9cc2b-8686-4801-af46-aa5c634157ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1826" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6504ba6c-63ee-47fb-9263-9d8e001f2ef7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db3a3c70-fd79-464d-bfed-00dd3ecf9a04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbcd6da4-28c3-472c-a952-168ffb1a41c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1823" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1362c8b0-1d6a-4b41-b226-dcc951bcb848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1822" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87f63b41-ae82-461b-8b90-ed489e1f39a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1821" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f5cc3de-19e8-4b78-8f50-93ad08efa970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1820" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38e228ec-cf89-48f2-ac81-c70934911088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1819" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb775c69-5abe-4347-a83c-8e1c986ee128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1818" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b6b5566-f869-4338-9f30-f7640a7fb4eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1817" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff747e2b-60f8-4495-87f1-018304c10600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1816" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7cc06d9-8074-487b-93d8-9ea32a094898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1815" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc8027fa-92f4-43f3-863d-8ca1ecf7fd8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f872b7c9-855a-4508-b45e-18c06445ac2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a9d2f4a-f32d-4ccc-a7b1-bcbfd5ddec0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1812" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-832e7bbe-a48e-4ffb-a06a-5d73efac6d3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1811" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a924cb8-ae9c-46ec-a560-0cc4c3307174-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1810" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db44a9f7-c6f2-476c-8e1f-2f81e1402b8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1809" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dade0b61-7b40-4454-9c75-25bb296a7fe6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1808" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68728a11-efaf-4bdd-8a2a-95339f610149-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1807" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-564125a2-aec6-40a5-ad04-296c1d85b484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1806" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51708c27-e3bb-4d04-aed6-44680aeeb178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1805" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fc346f5-c751-40b3-9e45-bcc587fbb80a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1804" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f86341a3-42a0-4f90-bb1a-2a297f5bc206-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1803" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c5230bc-157d-4f7b-ad0f-538a4244dca3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1802" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a6844f7-5eb1-4634-a586-e3e0f7d2d26d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1801" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92ac4909-7aaf-43e5-8874-c956776a0e7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1800" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b524b2a6-f010-4a79-8ad4-20688b05bfa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='972' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1799" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01caab08-8f3a-42a2-b1a2-85cc5306eacb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1798" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-477ab57a-555c-4b16-830c-777a72210fba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1797" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20aaeddc-bc57-4fec-9b90-1f7a449864d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40973']" priority="1796" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40973'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40973' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40973'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa12deab-1002-40d8-b7de-d4acb5768dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1795" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): de waarde van @code/@codeSystem MOET ''973' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53ed6140-9c03-4bac-ae50-a55bd8f22d67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1794" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_60_Rolt_zich_om_van_rug_naar_buik_en_omgekeerd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70f413c4-ff4d-49a4-9d6b-a0a1e99057bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1792" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f90a22f-7723-40c9-85dd-ca49d61f7d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1791" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6d9e7fa-1758-4e4b-8f59-bd50365c0811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1790" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cfeff53d-6747-42d2-a7c4-b7772ea21c54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1789" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb90074f-0a47-4233-90b7-93bf5e5c8f28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1788" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7162764f-ed59-4333-8d2f-51d085a3ec98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1787" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bee8147-52ad-49b7-91eb-8a12f9308b47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1786" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42cf5ce3-f700-4ab6-9575-dae2d148b291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1785" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c715330b-00d5-44a0-8b07-c63b7114b68d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1784" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24eec725-c9c9-4d49-a231-416222cfb247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1783" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09a951d0-2454-4921-9b34-fdcbe190c28e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e99ae1b7-c205-4f8a-9c11-a38a138725a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1780" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c39da749-4588-4d59-af20-5936472eaaa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1779" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f133c22-bd30-4f25-94fc-bd52cd2eedc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1778" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6e19efb-a810-4293-9c2d-4e72304ec234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-692059e5-08b5-4d87-9388-71dc15720bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1776" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f94cf3f9-7b02-4270-9411-ea387165a963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1775" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5fefb7a0-4e29-4c66-98a1-a929831e4b96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1774" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87a050d5-cedf-4f08-b365-50ff42c6bbef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1773" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cdbe74b3-f4e4-4b5a-992a-7d54215c3a4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1772" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f64557ca-7a80-42cb-a61b-7c98afb8ccc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1771" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34b06633-bc7b-4bb8-b796-9159980e0020-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1770" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56c3a369-16cd-4eee-89d8-23a93db40071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1769" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c48d2ccf-16de-48a9-bcd5-c1c25e6b37a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1768" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6ca08ba-a8c7-46ea-b230-eceb2e40d0c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5623cf9f-b506-49de-991b-d2e48361c5f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1766" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15397c33-cf45-4f16-a0b3-2c240832cf9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1765" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4282d016-5762-453b-bdef-29ed9d550da2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1764" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46e65c3a-5ca7-4442-9a3d-d861e503f52c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1763" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1e2f48c-1dab-4fe1-8448-b5248158768f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ceaea69b-df29-49c8-985c-d9d1dc89517d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1761" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e4988b9-3f3f-4cb2-8d04-bddf57dd02a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1760" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef2a8ebc-19f7-4931-99b5-e350fdf1beed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1759" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-baa3305f-ca35-4060-b195-290efbdf3920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1758" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42dbcf1b-1709-4929-8829-ff94182f7853-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1757" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-734c8563-cd33-47a8-b606-a6c342e06768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1756" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62ae121d-1d04-4208-b68d-ad4ee69f46af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1755" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2b802ae-1291-4e1e-954e-286cfba1f13e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1754" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7aebc5a5-ba6d-4963-8be7-c552d9de92cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1753" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d6e95f4-b3f1-4c8e-a0b7-b091627cd91b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='973' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1752" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e16dc177-fea9-440f-b99b-98cf55672faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1751" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49ced571-c616-4973-b066-292d5b83970e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1750" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-416de9e8-4afe-43d6-b638-933ee37e942d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40974']" priority="1749" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40974'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40974' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40974'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd9aed35-6850-4911-9dc2-09fb8b8ba1d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1748" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_60): de waarde van @code/@codeSystem MOET ''974' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8955ba74-2e62-45b8-946d-5f8b7e951b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1747" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-971d10c3-34c7-4e7f-9675-99704955b8d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1745" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2029b35-b23d-464e-be20-197c46d07fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1744" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7b634f6-ccfe-49ed-a1c6-d5207dae85dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1743" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f0d7c1d-8cac-404a-9f6f-21dafe7ee56d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1742" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73a9ac76-c9a5-469b-8546-4c9535b13bc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1741" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3da2a016-7aae-464c-be8a-bf4a5d764d46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1740" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26822b13-c173-4c16-b2e5-0733a5ef34c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1739" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffbb1dc7-50dc-4a59-b397-524a03ef011d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1738" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb21170e-b78d-4d2c-bf24-7d1fc8660ca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1737" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c62d463-c8a5-4dee-ac66-0164c872a420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1736" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9939c824-2615-4420-853d-25eb8a42b3bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-171e5e6b-8302-464c-b828-8b9f9f5eb571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1733" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0189ac37-8fe8-4bd9-88fb-738b959f17af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1732" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22e7ced0-7e93-47c1-96a4-de69faf3084b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1731" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb52e304-0dba-4b3e-9df6-2ff794c03af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad267358-e2d0-4860-b47a-bf260cf4b8ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1729" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaad1884-4704-4fbf-8817-5acefff5e787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1728" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-158da3a8-8e8b-4674-90d7-fe4dcc59cf8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cf96ab5-f4fe-45fa-9f18-c1f067317d10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1726" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62cbdbe6-f79f-486b-919a-8b4bbf5c5b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1725" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abd1af2d-bd3f-4100-b056-89e424dd3797-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1724" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5186070-17b0-4b68-81e8-08fe57c7aeee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1723" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4bf57ad-d4c5-44f0-a170-61c435935a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1722" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9dd3825-bf28-451a-84ac-c3e266b982f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1721" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc9d1f3e-03eb-4292-87fb-2ed6141370f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4778c5c5-23b1-43b6-b749-6d311d081d35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1719" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b129df31-7b03-4afd-857a-4edef00bbb0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1718" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87111b84-0df4-4f47-a1fe-a3934d66b4bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1717" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-164dc1ac-296b-443c-97f5-a35dd3c231cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1716" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1805822-57f4-4ea8-a768-ab16c8f9d923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e300dba1-1ae7-4cb4-855b-b08e81d22483-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1714" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45601de2-214a-4996-9055-5fd2921a54f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1713" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b58598b2-02a6-49ad-b741-370bc9413978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1712" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6e0f7fd1-93b2-4161-b11e-99845de8ac41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1711" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42c35082-79c3-43a3-85c2-d1fff1357fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1710" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd81f079-d6bf-4d7c-b2e2-0f77f8132363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1709" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d1ce9ba-708a-4dc7-92b5-143d518df146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1708" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c57cee1d-a803-44e0-9f97-3cbf98d14189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1707" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83777b3f-4ecc-45ff-a1d5-e11ba73b3849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1706" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88355935-d55b-4c1a-a2ee-1f2606e9bfe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='974' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1705" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-beb8c60e-e7a7-4cfc-8c3e-eca3bddc0f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-496fd45c-13eb-4270-8411-2cf14f2af7c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1703" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9eb0de2c-e510-4d09-98f2-11e34be153b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40975']" priority="1702" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40975'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40975' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40975'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbde5472-9649-4457-a639-9909eff1eb1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1701" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): de waarde van @code/@codeSystem MOET ''975' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc2c844b-83c5-42e5-9479-bafdc8d2d1ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1700" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_61_Kan_hoofd_goed_ophouden_in_zit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac09d648-e002-4904-815a-c54c8d0faa4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1698" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71329796-83a1-4df0-b933-52d402a63c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1697" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a604675-9866-4ca1-a728-52ab54d1b583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1696" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7527e113-fba5-4157-867c-5deab84b5f76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1695" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12e36e81-663b-4c4b-aef0-c6ba41138821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1694" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4eafe0b1-f81f-4659-bf7f-644ac284c4a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1693" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80313cef-6d0a-4521-81a0-a4b5ff4dc3a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1692" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-acbc0c66-618f-4256-9bc0-967eab31413e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1691" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3398cf2-13be-4802-85e3-c72fa1caa31d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1690" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39985591-98eb-41f0-9be9-8f217b8c5278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1689" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e49bd0e0-8341-4acf-a30f-d0f4bd9dfe40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1687" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd3a3878-a992-4b0f-92cb-a4e03b2d9aa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1686" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d0d1bed-bc84-4dca-ba00-ac0fd555bba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1685" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f558766-7a82-463f-b160-2706319459d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1684" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9490bafc-94a9-40ec-bccf-21fbef144654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1683" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f64e3871-4f15-470f-9f00-1506ff1324b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1682" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60a20a3a-d023-4bcb-af8e-e59a1ffcff12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1681" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a582b795-cb53-4cac-bb7b-bd2d11db8739-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1680" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-31849453-3954-446b-82cb-7a724c755160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-134b06db-6dcc-4bc0-b557-38d2bc5f84f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6443bbba-f8ba-4d8a-810d-55fed187d1de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1677" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b1feef8-f639-4551-a772-1570b425d975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1676" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ded545e-7d79-4997-beb6-e2c5f79efedc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-272de88a-81a9-4ac4-8478-57e92c65f0f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1674" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05b8a96a-c150-444a-989a-a13c9dac7d3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1673" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7b21b7d-89b6-41de-90e4-3c9a63e72dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1672" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab30d22d-11fe-4ca1-bf02-a1650cae6f9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b00ced58-1105-46e3-9743-1750282d036d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1670" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-799e1b74-061e-466d-86c4-1c048bed8505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1669" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da92ac28-891d-4a9c-bba7-ebf9be96c846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1668" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2bf6832b-63d0-48dc-a07d-7a9519d65805-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1667" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e80968ff-9b8c-4a57-bf72-65f599eafff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1666" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e2aad22-6cfe-427c-9361-3251b53bc1df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1665" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96801a97-d78b-42a0-b260-160f509aa77e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1664" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37a173b4-59b7-4209-8823-df6b9a1f7c56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1663" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe7c24c8-b13f-4bb5-9734-8cc660986ab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1662" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a95dbe6-06a8-4a86-825c-61fd9b605b67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1661" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bfd5eef-8843-48f7-b937-486465f762ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1660" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78d503f3-5fbd-4c05-80bc-983d8c3ecdee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1659" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25f16692-671a-487b-b8a3-95292f220ed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='975' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1658" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de3a9e5d-75fb-4036-b1e1-ba28759fa8b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cf8a56c-91b3-43fc-83ed-67b62e174903-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7092d4a-c99b-464e-ab6f-1835aea26cd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40976']" priority="1655" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40976'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40976' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40976'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7b08d14f-1983-4d25-a2bb-e6ee846dc96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1654" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_61): de waarde van @code/@codeSystem MOET ''976' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92ee7bf5-8729-4a8b-99c3-ba873e53c973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1653" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-259fed28-2dc3-4b1a-84b5-4163c019b5ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1651" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fb252ae-fa8e-4da3-952f-2025289b78a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1650" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b826fe7d-4b67-47be-a090-2ce7002a0edf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1649" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d7d5564-5b4c-42f7-a18e-2337a1e546d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1648" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a85b6820-721f-4174-b2c6-1e570cd0ac98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1647" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d52675c-3948-4cd8-8168-586d9b3f2e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1646" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a8690b6-e27e-49cf-ac3d-73b0a0b67746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a14e4c6-23c8-4946-998e-f4747685f88d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1644" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b978ad80-8b86-45b1-b286-5e020ecb506d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1643" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56419491-730f-4073-af16-5b3703dc837f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1642" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4750180d-354b-4e8f-8919-7439e45a2bd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d877898-f698-4f64-86bd-9abd3c4c374f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1639" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f75c72a-37c5-4efd-8b5f-5e1c516afc98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1638" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a62afb54-f34d-4d8e-b6b4-1346aadfe9ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1637" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-431d14a0-7925-46ec-b144-9e619ba3e447-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1636" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9a620e7-93a8-4edb-9e78-32db5bb4943c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1635" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a574692d-77d2-4791-9b6b-07df582a8abe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1634" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8146502f-29d7-4d5b-a755-659b556f6a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-199dce24-25a3-4da2-bb99-610f84b03f8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1632" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9bf8952-8101-4b33-9257-b4f6493e83e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1631" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd8db798-a54a-4278-b317-ba764199d876-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1630" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5f9f85c-1f7f-4e28-b14a-43e0556407a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1629" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6886312f-c2fc-4982-9d55-8415a929e5ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5da63970-c6d3-4d69-9b1f-b5a6dd369cef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1627" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3f09010-dd46-4b5f-8941-e6ae927924ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1626" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9348917-95cf-4cd8-a6be-0e7c530951ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1625" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02e1af79-bbec-465c-a87a-a70dc73dafc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83279cca-0409-47f3-b4f0-f83f931c88d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9730fe27-fe98-4241-9556-ad928f980202-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1622" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46b831e5-211a-4002-94fa-28ca97b8ae12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1621" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c355e07e-91b3-477e-ab4d-d9ca1d0ee066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1620" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab3a83e4-03fe-4fed-8b33-1f980b81503e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1619" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cb5fb80-1314-4e85-be84-0db63fffe316-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1618" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d33eec9-3eff-4a36-b8b5-04af2625427c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1617" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82b51943-df80-49c4-a735-96f7cca66d3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1616" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-815c1327-52c1-46c2-980a-0da05602d061-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1615" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e944d1d-7d00-4fd8-8151-eb31b6a23d5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1614" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d1f5395-de03-4220-8020-ffa8391c0c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1613" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8702951b-ce5d-4466-a951-85786b4201b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1612" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b48d2cd2-dc73-4a4e-824c-dbb4210185e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='976' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1611" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3a3f6b5-caf2-4305-bb74-931525ed4181-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1610" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7bcc5afa-0d30-47d7-9fc7-99b6075b2201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-460f6a7f-4b6e-41ad-a6d3-8be0687b0aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40977']" priority="1608" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40977'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40977' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40977'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ea38a41-a6df-4ecf-ac46-0e9360946231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1607" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): de waarde van @code/@codeSystem MOET ''977' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab44f45a-083c-4c5a-868d-cda956ca5179-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1606" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_62_Zit_op_billen_met_gestrekte_benen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2c31c43-55dc-497b-8518-427fec075bed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1604" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87dd35aa-c67b-4cb4-8300-49737305049d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1603" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-420a9e83-f14f-43f3-85bc-609f9aef30de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1602" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8a5462e-b8ee-4345-ac16-a544139bbf2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1601" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3971172-eaf8-4dad-a902-6464f5bfc9fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fbb2696-786f-488f-b3bb-14a87ef54289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1599" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-831f13ae-11fc-4cd2-9e4d-383ff54b0011-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17c2dd1b-3bac-4022-8b3e-197f3d854b32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1597" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a6c8fa7-7d87-403d-9d3a-76eba5d78a8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1596" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b026abbf-5751-4888-9a1f-a58a7d84d4f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1595" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91c6e788-54ce-470a-ba2e-e800786a6c6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1593" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9b6f3d1-0087-4c29-aa7a-997118b7442f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1592" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39aa15cc-e57e-4334-8fe2-74f86b2b8fea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1591" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-081e46bf-bec9-404c-a2d6-47639d2d624e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1590" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b18b7ea-1dc9-48ca-b2b1-e119c8825b9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1589" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3729126-971c-4261-8bdf-fc0287ed695e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1588" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7eeb8360-10d7-4584-81c8-75ce4d470942-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1587" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-872146a4-bf0d-4014-9126-289b247da35b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1586" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3982d40-a56b-4e20-80cf-951e459add86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1585" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a339cbae-522d-43cf-ba7a-d1cbcf8e56bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1584" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fcd4ec5-8284-4b4f-bfe1-5a586ce802a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1583" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f1e2dc4-2db9-4c3f-80f2-f462f7e37bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1582" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53f3aaa9-38d8-46ff-98c0-18edfcee8801-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f24a488e-2fcf-4620-b01d-c4cc59c161e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1580" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7c3345d-a88f-4e20-9a22-4ec05e788fa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1579" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a161b74-edd4-4b71-9b35-ee50ce744f8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1578" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fef1bcd-9e74-4ab1-afd5-7ab466be7724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e71e7ada-d16a-4177-9ca3-ac5a49b5032e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e5791f5-4ce6-4da3-8c81-a1956d48a044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e405167-96ee-4b5b-9b26-1e6da074dc49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1574" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01e041da-2569-4fec-b962-9a149bc21262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1573" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-198aa807-d701-4fb7-9a0a-95f6cdd13409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1572" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c4470fc-e12c-4a24-bff9-5d2ebfae1e2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1571" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f66484a0-04d8-4bd9-b302-8ef90ec61545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1570" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eaa77fd4-eab9-4c97-bf3c-d5394731aa6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1569" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cfcda38-deea-41ec-bd15-743e615f843c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1568" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c29a591b-5f61-4401-b9db-463753337838-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1567" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af3e2215-6bd7-424e-8e08-e833dd375ab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1566" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-791c407b-e2d1-4995-a64d-f33e62c9f3b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1565" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fcbc7c6-c488-457c-bcf4-483ef37c8ba4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='977' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1564" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96c2cd22-0ad5-44ef-b0ea-e6c4928a0ec1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1563" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73543e48-40bc-462e-b1ab-311c4d07333d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ceaca187-80f3-43e1-bd14-8c86d7b13833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41277']" priority="1561" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41277'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41277' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41277'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8e1d498-9127-4489-b297-482879b31eb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1560" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_62): de waarde van @code/@codeSystem MOET ''1277' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1c8928b-e82c-4d89-9fdf-4a79958fad71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1559" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5b1ed30-9eb8-461b-9bca-a407dd07e741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1557" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ab5b53a-c018-43ec-af53-98370abd508b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1556" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8751e6b8-fb7f-4c72-992e-4d8f20b2abea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1555" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d87174c7-a414-48c3-82ef-f5a401377c79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1554" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebcaedce-dfdc-4238-ac80-bae5654e07b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bfa679e9-f065-46fd-b65a-06e61f364d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1552" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-226062c6-ea5b-4286-9300-20e4b38bf67d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d386274-e068-4626-8db0-79810c19b2d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1550" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b749ea0b-0b86-47b0-8ab9-bd637cb72bd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1549" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc89a389-7603-4558-9d75-d0eed8125c26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1548" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-344d5834-5450-4014-a487-115194104f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1546" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-274df281-59b8-46c9-aade-39678171915a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1545" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b273c3d2-e3e8-4cfd-bf50-d27b5d37dc34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1544" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c40a6374-5cdf-4fea-b77b-9efa62b52a2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1543" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2178ef0-3893-4a67-bfb0-78d65aec69aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1542" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5672104c-f962-4366-b130-b7feb658db62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1541" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-86616844-09aa-4bf1-865c-8e500b3ee278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1540" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08f2b976-1af3-4378-b778-7fbb1e770617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1539" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d956a489-ca2c-4d53-8069-0ce20c210e55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1538" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46979c5a-49b2-44f2-bb56-d084605f079d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1537" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a26f983b-b345-4523-94b2-af8dc047a445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1536" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-481f2d97-a860-417c-81c8-fe6d05466388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1535" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3de8fbf-0426-4b8e-a1d8-e09279640189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbb5679d-b67f-4a24-b33a-d949ec823403-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1533" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e48eaa58-c3a6-4395-8a3d-732a221ba456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1532" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fd575a36-7da5-4bed-9620-1aa90065b324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1531" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ac0ba97-b07c-4351-a199-6e8e75996655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1e26bdf-68fc-4635-b515-9821413061bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-761ed2a3-7297-4e95-adbc-25420c011804-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1528" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-925d6064-d92f-4902-95c2-dee74649713b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1527" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9254fa26-0885-4963-9e6b-0813237010f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1526" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f155f30b-99a8-405b-9b2f-d8c0be73b94d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1525" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42c32d65-9688-4407-8abf-00f175d21aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1524" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63abbd7a-9081-4541-86d7-afe6cb562123-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1523" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4381e1b2-fa00-4bb6-a76a-8f88c74552ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1522" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cc9b3257-45c2-402d-8d91-e2def8900c80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1521" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bda57bbf-9324-4ffc-9145-c41237436c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1520" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57782af0-7959-42e5-b1f8-b0053a15dc1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1519" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c6198a2-f70a-4dad-bc74-d1f39c75e3b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1518" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05366682-e035-4de4-a1c9-b559bce60240-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1277' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1517" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5af24fe-b1d8-4f88-b6a0-1929bbf6e608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1516" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a8d632b-3383-45af-a044-b2cf43248138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1515" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60c01ba5-e518-4e6f-a5bb-c63199f6ff69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40978']" priority="1514" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40978'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40978' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40978'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6db4260-5577-46ed-b803-28c4439807b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1513" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): de waarde van @code/@codeSystem MOET ''978' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5472391-649c-4dfc-9306-b898742b9f7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1512" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_63_Zit_stabiel_los): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a3e51c2-8514-4998-bcbf-1336bf788702-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1510" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84459b91-69c9-4a34-ad1f-02585340279d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1509" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96b34a92-71ae-4611-a238-5c935fd71b0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c444329-c5dd-4ae6-a888-0fa9111d6efd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1507" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e988d3c-dd7d-4bd9-8796-95591478e33d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-918ffb1c-b5b4-4c59-8706-708631228b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1505" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ac331e6-ccb8-48ba-932f-9daaedace847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-074f82be-7ba1-47f3-8805-d4b9b042558c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1503" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04b3ecd2-aa78-4037-8393-581368cce4f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1502" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2834a331-eeff-4e37-bc4f-102bde921d9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1501" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7dfada4-3fa0-44e7-a34d-8199ad3ad6aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6a8ced0-86b3-49d5-9503-181752b3dec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ccf14be5-bb32-4926-93bd-3393fcd0c624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1497" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85abc812-4ad1-4404-a21d-9b86c1d70713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1496" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fd19eb8-7f77-4159-be43-4d71889a14a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a40ed134-4e9d-496a-9ddb-c08bfc52c769-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1494" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-605833b6-9094-416d-8522-21b1dddd4469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1493" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a28cd57c-332a-48b5-863a-1b850030064e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1492" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b497e272-417f-4714-b193-1ad9d0d63e25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1491" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7c1accf-6599-4d77-9937-17919ad5e5a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1490" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46cd993a-f51b-4b09-974b-84803ca67e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1489" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fee68bf-8ad6-463d-aec2-8431e9305bd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1488" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-408bcceb-613b-4060-90a1-b8496193090d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1487" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb7b0ead-1c04-461b-9372-372f84e349a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1486" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6d302a5-334c-4fba-ab0e-ff0920866e83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1485" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9520790-b2e2-444a-9d66-7cefef42baef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1484" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0bdbea15-ede0-4529-807f-d7e89905f742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e9eeafd-66b3-454b-bc23-0efcbed3dac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1482" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2c5998f-72f6-4826-b070-17373dacab0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1481" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-746e0e09-d00f-4a5f-9bf5-8d32a69c2328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1480" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14697e27-73c5-48c9-bf81-8f69bac1646b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1479" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dea9624b-d593-4381-87c8-cc75a2e33f3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1478" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecea9600-8797-4ddc-a75f-485218dbc375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1477" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c94f36d8-8e6a-4201-9731-74af5c6fb7ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1476" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fba502c3-c500-40ba-9ac0-72cb958d588f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-065a36a9-f2bc-4932-a8e6-32e8bdf44263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1474" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cf2793a-82e1-4fac-977c-996f93d42a80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1473" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aab693f2-7fa3-4bfe-8934-1aa2584a6724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1472" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d44e6897-c59b-4c22-a36d-d8471e69d213-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1471" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df91469e-7ae8-40aa-934b-72829bef50c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='978' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1470" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-500f3e7f-4f26-41d9-880f-cf2d3b4624e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1469" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65789476-7014-446c-a927-66d7b88a6929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1468" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6d5aa4f9-d0be-4aea-8fdb-1f6e764ee597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40979']" priority="1467" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40979'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40979' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40979'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea1be162-dc12-4450-a338-d5d7908b9935-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1466" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_63): de waarde van @code/@codeSystem MOET ''979' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62276170-0a67-44b9-bb14-21bbe0dbdc48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1465" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-348870f5-494e-42e5-a69d-555aefb69bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1463" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1906200-c9f3-4069-9bb4-60cbca5aa8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1462" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f47da59c-e723-4eb5-80ca-97aab766fd0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1461" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a76cc379-5b80-4753-b51c-ce45af5cb677-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1460" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e6af54f-edb3-4a27-a5f5-0f267f41471b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1459" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51d6e0b9-76c1-4ed0-8a02-3a7b492d7923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1458" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbfbd3dc-208b-4ea8-8127-a4a1efec8ee7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1457" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f07eed5-bfdc-4922-978e-a30cc7a072ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1456" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ca940df-f8c4-4b98-a127-6eba26b62cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1455" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5777eddb-9601-47bf-b9d6-29d0ef73d414-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1454" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d19e653-6281-475c-b958-8c653a3a3f12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a6415f4-0c7c-4a3e-950c-e7c1d08f5e3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1451" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9710499-dca4-4089-9005-549b7be50701-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1450" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0068eba-71bf-4568-8b80-e3aeaacbb13f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1449" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2948f58e-1223-45be-b959-d3245940d76d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70417fcf-60bb-4a23-bd41-1b09cf32d37a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1447" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89af5902-012b-4991-bf6a-c3ea27136c6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1446" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b362c105-a923-4336-8ac0-a978ec430bb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-878bf114-cece-4730-8bd9-3b120e5044f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1444" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec28b2d3-afd7-4ae1-8e5e-388cc3dfc820-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1443" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51a00233-9424-4f8f-a4bd-c2d1ed74b216-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1442" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a915a62-580b-4db3-96bc-1a64e787639f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1441" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10c0d630-a990-4e8d-b0a8-a589d94dd7e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1440" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdac804f-1f3e-4509-8ae7-8eb5381d5dc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1439" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-406a6ebe-eac8-4443-8710-973394bac644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1438" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1da2ce6b-f016-488d-8425-a4faee774ede-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1437" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb893cc9-4894-4a15-b5d8-76a7fea2711c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34c0aeb8-a518-49f7-b608-8f63f99d432f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89805eaf-634e-4f8d-86c8-29ae8d747d3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1434" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea0efd08-3084-4576-b2f0-7db22b6f3dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1433" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db745279-1214-4480-a3a5-827f38de0137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1432" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1592501-e4b1-4bb1-8125-c044ee3ee8fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1431" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52096ae9-fa6e-4e08-865e-9476bd0b4f98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1430" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cef854f1-cd9f-425a-bfdb-75e9231e8baf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1429" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a36cf0be-cddd-47fe-9ba3-8d525119a25e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1428" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e32ad9b-cd23-4a6c-8348-97913cea1cc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1427" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efd2d024-4b1a-454e-9478-1216453c67d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1426" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da5b1e1b-74b8-49a7-9002-6e9dbdb5bbe3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1425" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c2fc348-6833-4db4-9824-06d3c2a51a23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1424" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abdaf6a6-4696-4cf0-8f99-1c0f59f75e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='979' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1423" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8854a931-33f1-4491-9178-15a0f5c77c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a674813c-2adb-4529-9152-2ff074b2dbf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1421" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73558f91-7b6f-4923-aa44-2854e8ccc757-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40980']" priority="1420" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40980'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40980' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40980'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0dd15bff-416f-4dc5-b9e6-57408beff76c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1419" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): de waarde van @code/@codeSystem MOET ''980' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-828bdb30-f4d7-431d-9bc1-bbb34e773a26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1418" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_64_Kruipt_vooruit_buik_op_de_grond): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5e608e8-01f3-4d93-8224-d5aeeed7691e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1416" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-135c03ec-2e51-41f9-aa48-6a101cbcd879-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1415" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-969b4e00-2df0-4624-8a4c-6ef7fe356e5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1414" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-555b2f63-489f-4f2d-b1f6-c65ef8407f3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1413" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6120fd38-3725-49b9-869b-85e19f0acd1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1412" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad2808ee-cde3-4fee-a7fc-503ebe4a4b4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1411" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c265670b-1844-485b-bb32-099c9dab3a8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1410" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3ba99dd-da6b-4d2a-bfbf-595eb5552738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1409" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24750c91-e287-4ece-bf8e-1964fc98ca78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1408" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-166bd6d9-4dfe-4dae-89e1-3bf37105ade1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1407" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33dcc09f-d835-4649-a9a5-888f707283da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-304c3c9e-5c0c-44d2-919c-34be3db33482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1404" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b85e278a-e779-4f60-ad9d-3adc2a88c433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1403" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6ec8716-2ab7-4c5d-8a1d-73480df987af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1402" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24f4ed0e-b7b0-4892-a6b3-758e8df96bd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dafbf6ea-35a7-4afe-a0c4-1ccdce52ae36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1400" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ac7fa80-5dcf-4dc4-80b7-9780dec85e1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1399" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-752055cb-2d82-491e-8778-ca292e2f31ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9bcdb53-41ac-4074-87b3-8cef329f51a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1397" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ded5df2-f7da-488d-830b-a592ad3d48ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1396" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdba91a6-ee63-479b-8e4e-9d3ac0aa3425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1395" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bfa21867-571a-40d5-8488-5c1ab44e91b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1394" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6092177-28fc-4b4e-95fa-0e6f2fb1885b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1393" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c49bacb5-0fb5-4f2a-8c8a-5d1377515cd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1392" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-204f31e3-29ad-4f55-8516-5836808ecba6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1391" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-432b66c0-935c-4ec4-b6c9-66e17d183618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1390" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-309d9477-6cfd-4df3-83e2-32298e962e90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cc161de-91bb-4b0c-9b74-48dab0d26577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df538670-ff82-40cb-b3fa-bd7b8cf93783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1387" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9965838c-65f9-4c58-b373-c1f24a9c3e11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1386" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90e89ae5-ec87-43e5-8b00-fed9724fce01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1385" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-edef480f-c30c-4e7c-ae76-dbd90250b4fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1384" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0ab2baf-3a71-4fe0-b91e-7faa5cf6bbea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1383" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26dd4365-e5b6-40e1-b766-874e8e185252-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1382" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ceddb90-6ec4-4b52-902a-36f1b79c38a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1381" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c433adc-e20a-4f1f-ac7e-d955118ff02b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1380" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b997e6fb-a689-4a4a-8d44-9bfe448460c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1379" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81d6ee39-26a0-477b-ba17-92721f46af15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1378" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7d6d222-a3e2-4ea8-a7e7-f7382904bb72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1377" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91482575-5083-4937-9527-3ee0cb62f6a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='980' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1376" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b27a530e-a662-45a6-80b0-3a66e0fd8bfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ecac026-f598-4291-b9b3-0df83c6aae2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1374" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc98af74-01da-4f94-9fac-8089f220f88a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40981']" priority="1373" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40981'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40981' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40981'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63cb475c-8540-42d5-b60e-07d4cb6e5a14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1372" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_64): de waarde van @code/@codeSystem MOET ''981' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b03e240-ca71-48ef-94e7-1bab692360f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1371" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8007d81b-d3e8-45c8-8f58-d468c391949d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1369" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5277d46f-9c7b-4381-8bda-6fb03b071339-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1368" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-161d4c74-a987-42ca-a7c4-9f64d63a6be4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1367" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-723976b2-359e-4464-8f33-c0cda723551d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1366" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d95975f2-9b5a-4994-9b4a-d7cd86f7fc96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1365" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c6d35db-9cf0-4c78-93e7-03f904a73669-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1364" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09cb3c83-bd65-44b5-b874-0b3d2e3985ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1363" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-050bae23-98cd-42d0-b4f0-f230e594a4ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1362" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2440595b-6d80-40ca-8642-3cc28240b281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1361" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79810a05-69d8-40e4-9825-48250f1b6ff5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1360" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3a03a9d-308a-4458-a461-09169a7d5f6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1358" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4460b91a-97b0-45be-be5f-67c3f6a7fa8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1357" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f850d4d-ce73-40bc-9023-235f077889c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1356" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6646a680-83ee-4d0a-9a82-3c0c6c7a1416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8e9a53b-a880-46a1-9d78-d9a3d195426a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1354" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3056f03b-48b9-44dc-9087-ea47bf05ba80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1353" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0997dd68-d3ad-4227-9562-96e8dce3f7c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1352" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ab4904d-a802-4287-8a6b-dd5e1b01521b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1351" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-347172e3-d400-4d57-89e2-fca85d6097ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fc8dee4-1884-4d02-9e3a-5ecb67a61f3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1349" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fbd5624b-106d-4e86-b73f-593ebebabbb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1348" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4bf19ba1-073e-4fe9-b5a7-b1ca2cb28fa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1347" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a583ab98-4b6a-41f7-8d47-439a762aec0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1346" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d50b91d-f2cc-4ab1-bf56-37962c566615-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1345" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-91f476b6-bf68-4e48-9b2c-d68e82fd450c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad478e01-dbfb-479f-b5f0-7207674454ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1343" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-979d1e05-dff2-493e-9632-0dc499fa3f20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1342" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58fd7f01-4fa1-459a-a271-ab240651070a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-057327bb-b147-4272-9f7c-e05286e48c9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1340" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae8af46d-a8f9-4106-99e8-5afedfe71123-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1339" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe9cccaa-a106-4ad5-af01-91ff6c98a65a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1338" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d15d0f91-47bb-4435-a8f1-3470cf1454d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1337" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76dd8758-34e0-4cdf-baf8-be550c11ef38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1336" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-877b08cc-1fdf-41f9-b14b-07d3670fd7f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1335" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53b7a369-9022-4967-b61e-9a993360ebcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1334" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c5b2225-4690-49cf-94ee-5813d358ab5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1333" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4f5cabf-1589-405f-9d46-b16963df4505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1332" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53215ac9-6906-4ba1-9355-4391d1ea17c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1331" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d549f94-1460-43ff-871f-6329d6dea944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1330" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2862d5ee-8c5a-4c65-aea3-f6f63bb339fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='981' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1329" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2e5587d-1437-4d28-921d-1d252b6fe477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-211ac2ee-0847-47da-b5c0-ed5f7880ae4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1327" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01aa07db-db36-4b2d-a6f6-8dbd41bd4ff9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41278']" priority="1326" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41278'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41278' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41278'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24ea26d4-40f7-47d9-b8c6-726f6248e14f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1325" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): de waarde van @code/@codeSystem MOET ''1278' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8066fe5-5b02-4e35-bbbd-75e11803937e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1324" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_65_Trekt_zich_op_tot_staan): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c002b0c4-439c-4482-9232-8b70c183c4b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1322" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a4d4ead-b7c0-4d5c-952b-c7c9715b7998-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1321" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a005282d-5597-4e55-843d-2f43071730ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1320" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07f62882-b209-4b5c-9d96-747e9b6b2f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1319" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb40ea89-7e26-4d9a-96f2-fbe03331a962-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1318" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea21e87b-244b-41ad-b54f-8694e32eaff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62d14e08-ba6f-40e8-88a4-be82c9f4ac75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1316" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6c85d7c-ea86-4af1-affb-659fa8c636c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1315" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f63c8789-ac22-4414-bbca-193babc7ad3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1314" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52fd3362-c369-4f55-83b4-31b90d693286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1313" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9007c23a-282f-4693-85f3-5f2e46125e4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1311" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81f64c57-b0b3-4556-b255-210f001e5a61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1310" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17ae38b2-a5c4-446b-8df3-174f21b7251d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1309" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67530847-d87b-4b77-822f-e3e82a151a8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-553f6d98-5f3e-4f8e-aade-c725f48667fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1307" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e208ce6e-03ac-44f7-b27b-de2ba7130c3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1306" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c81496f8-496c-4b40-96a8-b2a5c3b0470b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9da23b93-d516-4f32-b360-9b501897ee41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1304" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc80d2b5-4655-4127-a655-5da2bd4ea6a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d3e5282c-bb60-4aa0-af33-36730078a78c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1302" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d64a1763-a8b8-44c6-9e02-19727f2ee119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1301" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e412cf2a-a861-49ea-ac8b-88b5d61cc3df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1300" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d46141dc-f130-4fe5-90b6-e15930dbc079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1299" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e5dd075-e6d0-4e26-8f1e-cb0fbfca08ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1298" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ad393f1-0ebe-4745-8e6f-12260cc6b889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35968872-2967-400c-8d4b-4b165a4d6684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1296" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6981897a-3eb8-4f27-bde9-bff49eed5134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1295" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d945a2d-f9b5-48b6-8606-53a8b0bdd4d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1294" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22f4eefb-7db7-4bc2-9cca-c3650298471b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1293" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fb51966b-7ee3-465a-b2b2-dfd184e0bd58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1292" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-808cad9c-7070-4487-81d9-6149d9437b97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1291" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27ec0e7b-ca12-4d92-9716-6c5ba9ddc97d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1290" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-166868b8-60a4-4bdb-b87d-9f098eb424a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1289" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbe61e02-a034-4229-82ba-16ec3c998651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1288" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01e72f59-fefd-4ae9-9dd8-dffbfff21dbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1287" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94e4798d-475e-42db-bc18-18732d0fda1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1286" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f145967d-1a82-4739-b3c7-1fe375ff55d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1285" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81e307f0-0ae5-4740-a13d-f06cb4fa6a76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1284" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3637780b-cd4f-4b72-8f24-d2161e853d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1283" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da7148f2-4593-43ca-8298-8157cc3a2936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1278' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1282" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1591cb07-9eab-40cf-ad72-5685b6375880-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1281" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4cae4bf-fd01-460f-a66a-0579ff565b6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1280" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1df937cd-f724-4630-a4ad-c094ec1e3f17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41279']" priority="1279" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41279'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41279' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41279'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78e6085b-2744-4cd2-8d82-55ed8e615a35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1278" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_65): de waarde van @code/@codeSystem MOET ''1279' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f573c3b9-61aa-4aa6-9f0b-3d99f1376817-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1277" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37695741-1186-4263-8204-49c94755c8df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1275" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef423979-3916-472c-bb26-34077d503845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1274" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c370f392-434b-4f5a-8d23-722b9dbe4d07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1273" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac7a91d8-22b2-4a09-954d-979e08d4e97f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1272" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12647b5b-0431-41a1-aa20-d51f72b7b324-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1271" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8766786-f35c-4e88-b4bd-98fb8c643c34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1270" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30b5bba6-8377-4434-bbb0-803a2386f4d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1269" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e868156e-ea1f-4fee-bc58-5e77575b8ff9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1268" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84b8bc1e-8f7a-43f3-ab98-fc52bd3035fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1267" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-420ef21c-4cb3-455a-b21b-c2175e26b223-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1266" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1aaf2978-0fcc-4f95-92f8-557a726e6bdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1264" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf65e492-5c72-4948-855a-1f813fc97239-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80b973ce-2524-4a15-9096-7761c87d96cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1262" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-656f3af7-abda-49a9-aa26-bb3eeff2338e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1261" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f44f9c0-803d-4acf-8fd7-4fecfba00b94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1260" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00d342a8-804d-4176-ae48-cf8a1ff5dbb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1259" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08f3b29e-cb2d-4f12-9a5c-a22d44342321-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1258" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2548b115-c189-4a05-ade6-c6f2c08da436-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1257" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-480e92db-c3b1-4385-8e8d-3b6a8f4cb709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f08e6f84-1f4a-4ccc-a2ee-4540436a09aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1255" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9c0ed1e-a100-4368-9e95-455f8339e545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1254" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a0be0c0-c3b8-4ffb-914b-84075a3144d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1253" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9f9a419-a851-466b-b75f-6dcce07867a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1252" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-71d4e17c-1b90-4c7a-ad65-3304bbb936a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1251" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1fd0db2f-0734-4468-bc15-8dd987c3b627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89445355-c742-4bb9-a8eb-31acf9636d2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1249" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76404a3d-d50d-42b4-b3c9-282f7e943983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1248" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a540381a-0fe8-488b-9321-81d597acede0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1247" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33ffd7d5-0c8d-41d0-9342-eac49d76c0ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1246" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd5494b0-cef1-4807-81d1-6be63a7fa36d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1245" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4e60d47-d3a1-4b4e-ac87-31395d858825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1244" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-486bda09-0594-4037-8738-edfcdae6c64a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1243" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b46179b-34b2-4b2a-b756-854515c29f7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1242" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee737301-85df-404d-ad76-7abe8e85716a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44e1aa6b-f04b-432d-9aa2-1f905f866f9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c22f43ff-f484-4cdf-944f-546d47dcb413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1239" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45d023a8-641a-4549-822b-41df0f5eda0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1238" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2b5d045-9341-40f5-8d4d-7ec7124c2bdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1237" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b975d33-581f-4b86-8f1d-9593148c62df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1236" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42aee3bb-c411-430c-b035-19287ba81ec7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1279' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1235" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a20fe908-9765-4a70-b8bf-69170389cca9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1234" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5ba3697-ceab-45a8-8e1b-c2ecfafa9571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1233" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b23d0c54-255a-48e5-9b3b-b07dbfbc6f58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40982']" priority="1232" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40982'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40982' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40982'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df47cae5-2764-4627-9e4e-56a29925ce99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1231" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): de waarde van @code/@codeSystem MOET ''982' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d894c1f-6c0f-453f-be08-c17908afdcb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1230" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_66_Kruipt_vooruit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8407c32a-7f53-466a-be7b-b32567410dc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1228" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64180598-881d-4170-b6c6-73e7b57e100c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1227" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-426c22b1-ee56-432a-9885-36af874ce4ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1226" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-896479e7-c6a1-443b-b170-c54438a92311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1225" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74252ff6-77a7-48b2-9d39-4c9c16a06306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1224" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c854c36-c012-4677-9576-bed07d8cdf70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1223" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37d0ab3e-9ec6-4ca1-b57e-29c74c77427f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1222" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7899ccc6-38e9-431f-9027-c6b0229a6cad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1221" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2d790c2-6987-42ff-a486-574f5bab07a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1220" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f8b2e410-8a20-4fb9-a873-e6083a03db16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1219" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c36a0ee-0705-4fa6-81bc-053da2595796-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1217" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50bd8511-0972-4abf-be27-e8ca334e7cef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1216" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f8f6411-45a5-49ef-adbd-5820214aa994-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1215" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a9d6b46-3bb1-452e-9260-b83c7fb1c317-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4373f61-8d36-4b5f-afa8-6c3fc6f48b8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1213" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7a256f4-47d2-4dd2-95c0-923ee732b351-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1212" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-656a0406-2bc1-4d44-a2dd-e26c0ead49ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-101ece5b-f876-4682-987a-dba208b9e853-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1210" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-beb144cc-ccdc-407d-a6cc-87cf92751e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1209" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-42f0cadb-363c-4550-941e-cd1b763c0248-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1208" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f856be97-06fa-4d2e-aa28-09e82e5c1b99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1207" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5bd35cd-282e-4e5a-a0f0-5deff012b8e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1206" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df972f2f-5c07-4cf3-82ac-cf14d8cefa8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1205" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e7ffe96-e38f-413a-986f-c615f2006706-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1204" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee150062-d07c-4cba-a119-671cb6bd11cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1203" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-973170cc-dfbb-4a25-a375-206b1c495dcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1202" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44cfcbab-f72a-4393-9364-0375e811adc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1201" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c3aa60b-9593-44da-b4e1-befdb6eca137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1200" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c53c426-f8aa-4440-b6f1-7e6cec0ab874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1199" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7e76573-236f-49f4-9436-577b61b1f688-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1198" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67d857dc-f1f1-4b1a-874c-2d82eb1b3b78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1197" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6099b61e-b662-4486-85f1-454942f1c848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1196" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5f3c9e4-64ba-48aa-9cf2-f9472084e84b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1195" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bc5a509-3fe4-43e5-9763-69aa73357748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1194" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05823c63-b7a1-4e3b-8566-88893c7af0bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1193" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbf8a9b4-57cf-4070-b1e9-d529496b7966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1192" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-619cf9dd-3d86-454c-b982-57b104a13cf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1191" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8f11de1-53c0-45b0-a9dd-aa0bd0bf6ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1190" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-468ff084-f913-480f-99f8-8a7986e3c27c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1189" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-982e5c4f-b228-4e64-a4e0-904e6a9a60a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='982' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1188" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58919021-dae7-438c-ab21-5e1d20c74f1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1187" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33e9c04f-939f-43e7-a2ed-9e57968cbaea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1186" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-227dc689-d8c3-4054-b2f9-4993c2e69ed1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40983']" priority="1185" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40983'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40983' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40983'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa9eb519-0392-47c9-aaf7-b419fc25a0fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1184" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_66): de waarde van @code/@codeSystem MOET ''983' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-721cd745-d85d-4a19-968f-99a00367beee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1183" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7578bf3-3fbf-42df-8361-43bb3a5606f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1181" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2812632-f6f1-4a9f-a5c2-10ed10c6a32f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1180" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb038839-2868-4c7e-9e3d-431e19da812b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1179" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe57648e-b38f-4ae5-9f81-a70f724f02cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1178" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc7cc59e-f0fe-4df9-95e6-381037279b89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1177" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33885031-8fd3-4070-b6f9-514832a91912-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1176" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2438890-5d28-4593-bb50-3a29f13899cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1175" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b441e8ee-1e28-4804-9a8d-82dfdbb76423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1174" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cdf8ce6-6a60-444a-a9cf-949a708c8a9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1173" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-af7fc79c-4b17-4c9e-93c1-9b7de4ecafbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1172" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e91b064-d37b-4999-be00-c2671dd10265-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1170" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41856c9c-0f6e-48b3-9db2-9c6e25e19a1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1169" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa7b4fed-052e-4b10-9a4f-d13c6c6c422b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1168" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-995e3144-fe62-439e-b072-0502acddc6e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60fd6aea-f6d5-4c99-a8a3-0def7c44f0de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1166" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d8d5ea8-083c-485a-9aed-e6dad9b98c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1165" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41c95d22-24d3-4ee0-b45a-1b8380fe4edf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7311bb3-ba69-4d9b-9ead-39aaec5fa802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1163" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-599396f8-d8c4-4bbc-93e9-74cc1184e05d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1162" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-38360533-297f-4476-aaa8-f1d1492dba2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1161" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5e35528-a765-4289-adf5-b8ec6fee463d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1160" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84190be9-c8dc-4bb9-bf17-1de5ca19c1fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1159" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d3eeac9-37c8-43f2-b60d-18b864baea63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1158" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-83c1d317-bf54-4f9b-922e-694bb01898d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1157" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9cb6a8e-afa2-4d66-8a0e-41318f5038aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1156" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c6a22d5-4535-4698-86d0-182cdc250da0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1155" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7f61dc2-baf2-4e85-b058-6cd8df3e889d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1154" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16affd61-0e7d-48e2-8106-52a42c56edaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1153" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce895d58-1b2f-4375-b47c-568bed65913c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1152" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-196a5daf-1164-493d-b800-462fd598425d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1151" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43880e1d-4ac0-4361-8693-bb42cc29ff69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1150" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b02cc100-25d3-46f5-a336-40ba14751746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1149" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7da7e0aa-3c98-45fa-be0a-695cd4f255ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1148" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-649fdd39-c566-4451-ba46-f0d852412e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1147" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8473a00-e433-447c-bd5a-d1c81fcfa250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1146" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b5a46562-58d9-4b09-845c-987f2813b23b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1145" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2043cc71-dadd-4373-910e-11470e62f638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1144" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d574c244-a19b-4321-abf0-7a0ced17b168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1143" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0641240-5d82-45e5-bd11-384bc3f4fd1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1142" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-274c1971-ff76-4815-9602-373bb1d73b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='983' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1141" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-759b3b93-5594-47c4-bc4a-e02edb5b5bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1140" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90dbcf39-2acf-4462-9800-812f66f71f4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1139" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41d85f35-435a-4123-a2cd-e70043547023-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40984']" priority="1138" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40984'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40984' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40984'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a4abc11-9ddf-48c3-b6a8-001c82bb90fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1137" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): de waarde van @code/@codeSystem MOET ''984' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cea0dd1-b792-4d9f-a7f6-d86813ccdf3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1136" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_67_Loopt_langs): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-613a9d0e-08bd-46e5-abbf-ea11ecd971ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1134" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20d46b8d-98d7-44a6-a309-dbf8115c5957-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1133" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-deeecb92-5200-4350-a5d3-2417e05eab2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1132" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-943881a5-2ad7-412a-9d51-42b0e60aa82b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1131" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb883979-1bb8-4184-9da8-44ced00cef0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1130" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c11d889a-6cc5-4c56-b680-8e3a928a5d2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1129" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c970a0a-8a00-41f2-b212-a1ccc854acb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1128" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e9fe648-5d43-44cb-a346-100617f36ea3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1127" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-caf6d00f-db18-4499-ae60-42b1821eb2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1126" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7950a5d5-aef7-4052-92fc-c9d0606acebb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1125" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecabb432-070b-4a7a-a08f-9b166c317bb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1123" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58ec70ec-6543-49d7-ac6a-9b64602a023c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1122" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e30fd87-ffd9-44c2-8cdd-aa5dad1a65de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1121" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60a6cee6-5e08-4ced-adcf-65446f90aa1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f2c7b36-f147-4b5e-b061-1e3d4f745b1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1119" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f25b7e89-4090-4430-bf09-0cc08dc5b679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1118" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0acc0a30-cf81-4c8f-b585-15d0930e329b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2240dff4-1a24-470a-a124-7974db600c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1116" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74337324-64b6-419a-a04b-3933b6786e96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1115" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b39b7058-d2b6-4379-b8f6-b9242bc64eef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1114" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d9635854-0c5a-46a3-86e1-69d199d3e294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1113" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9157167d-f6bf-4872-b444-f72c53bf939d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1112" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f7af104-1478-4bf0-bf33-09c3b17e2688-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1111" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64bcf2ef-7b57-4178-84c2-d1d605873936-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1110" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2100383-d10d-4c2a-aefe-b72711dc5977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1109" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afd6aadb-397e-4148-a8f7-464a22589f75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1108" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a3c5af9-90ad-466d-9fd4-8cca8a37d88c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1107" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a245bba1-bce4-490e-b94f-58a428cebbcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1106" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62bd0ad9-3972-405e-b690-daa77753cdea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1105" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4a49f204-08db-461b-9a35-955ed7908289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1104" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27b4ebc1-a820-447b-ab99-7062a341e7e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1103" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16a60ce9-7eeb-4281-b368-b181c6906bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1102" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9f9991b-1217-4b35-9282-3d8d73752c6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1101" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33d9e29f-5f70-46fe-92a4-eca876130afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1100" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9dc19b22-452f-4db3-a013-65d1179a1ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1099" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa45f916-5b28-47a2-9a3c-6e82e30c7732-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1098" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64cd8053-9491-4ff1-a7c9-b4da410f83b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1097" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b70e71f1-0a64-4900-a7ab-ca986cd2d8bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1096" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9d05a40-c1bb-461f-ace9-744930e85945-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1095" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1444eec9-d660-4ee5-b739-a773c11c9ae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='984' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1094" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d65ffcd4-b349-426e-ae80-710e1d8bab34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1093" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b3f629b-383a-42c0-bf8f-8c883c9dfd13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1092" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9490dcb3-2156-4701-bad3-a360d4d9c4bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40985']" priority="1091" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40985'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40985' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40985'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab3e42b5-e321-4405-b7d2-da27ffab36d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1090" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_67): de waarde van @code/@codeSystem MOET ''985' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2b1b7ec6-c107-4b7a-a8f9-cb32142d2aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1089" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e8e3836-553d-498f-bf05-36c6b25b2d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1087" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d6645de-e057-4c7c-bd8a-2a708ecf67b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1086" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8831a1a-27d7-4904-bf1a-2a8b436a506c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1085" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e602b13-97ee-41c8-85f0-49daf3006df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1084" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c307b22c-582d-4ac0-8a33-a8b967402435-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1083" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-70486ff7-0a75-4663-ad73-f205a83b954d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1082" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa175f44-aaca-4c63-ad67-07b928f814a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1081" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a97f87dc-e3cc-4867-8d21-6343d2ab76f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1080" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c27985e-ed9c-461a-b324-524a117dae3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1079" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d991ae0-b5c9-4713-996f-4b354c92828f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1078" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a00940d2-105d-46b7-b660-0f0239a532be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1076" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ace1cb8b-bbc5-4a73-868a-9a5fa37a3559-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1075" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4465ab9f-8fd6-4dcf-995c-78e13a36a153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1074" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-33c83a7b-fb2f-4865-9408-1cb1791cad88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1073" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e4e1067-7b7f-4d02-a235-6b88d59bd47d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1072" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6693183b-fc7b-4104-9494-df2332924567-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1071" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-095db5d8-aa41-4d81-9d05-727862792538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1070" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdae8213-e9b7-4bf2-b002-914d39a14c27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1069" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e10811e3-2b39-41e9-913d-381815d73d53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1068" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-239fd06a-8707-468b-8553-7137f1b68af8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1067" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c92a120-e6ee-4671-9d70-97eed180abb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1066" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fedc23ee-1a36-4732-aa53-d3feac15d4a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1065" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c2e6ff7-b23b-49b0-8064-19bcf97716a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1064" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b2d0683-b84c-443b-ab2e-04f12ccd67f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1063" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1cb101b-02f3-48b8-8ac1-23d9d2de4c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1062" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e14dbb41-9e52-4522-a034-c049f30ee606-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1061" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5813f80a-bbba-4002-9e49-e8a15527a712-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1060" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a987118b-1444-4c5a-a97e-7efa0f4cf97c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1059" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05106fb4-1399-4d45-9a91-4e03fefb3d9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1058" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bd7e39b-b16a-46fc-bb00-a9c16e758832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1057" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d0d54b4-ed6e-4b10-8104-8b1d356937e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1056" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6663bc7-f469-48bc-adea-47458401f8be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1055" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2eec20ee-f658-4a69-9f24-f399ab9c5659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1054" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a183305-a899-46ba-98e4-62ead4d928ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1053" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc475833-9ea7-4e86-9498-f559e7210096-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1052" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36d15b02-d0c7-4e80-8351-9b0e43c2f752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1051" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f49a39c4-1113-444c-b240-fffecf4892fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1050" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a0212ed-2946-4562-bfb5-9717045bf82c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1049" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ec7eaf75-30c4-4fea-a9f9-7c3a1c76f4de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1048" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-819f93f2-528c-4a36-9d2f-ea906bfcf508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='985' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1047" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e7a87a3-d279-468f-8aa3-1c51b49124fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1046" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e155cb21-64fd-466e-b775-202cdf6594cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1045" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-591e8614-5ecb-4278-8cf4-c15820a51f25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40986']" priority="1044" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40986'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40986' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40986'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c04e603-8dbf-44a3-9acb-266e1f46ea9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1043" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): de waarde van @code/@codeSystem MOET ''986' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50215528-66d5-41aa-9d37-6adfd6f1c12a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1042" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_68_Loopt_los__loopt_goed_los__loopt_soepel): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe85873b-430d-4bb4-867d-b412742f33ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1040" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0d9d2f5-de44-477b-af1a-099ce7689fdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1039" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e2e6a21-77c3-410a-a34c-e64d7e079795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1038" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2910b270-a150-4ffc-a0f8-6fce297b81ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1037" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-784f9519-3ad3-4112-96b6-ed538bd4fbed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1036" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9606c5fc-81c2-4f91-b205-2a6ad8168c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1035" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4af341c-d74d-44b8-97af-4f9418551746-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1034" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b14b99b0-6d08-47a4-bb7b-6b651f803157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1033" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a95ab7c-93f3-4935-af5d-f8b455d05ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1032" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b25c73e-161a-49db-9bab-74a68b848722-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1031" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22cb6354-b06d-4377-aa76-82e149c3d44f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1029" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6980cb5b-2ff4-4c67-b541-fa5ea88e895e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1028" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff9bb4e4-0ae3-4a65-a362-7c662ed73311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1027" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ccb8680-e7d1-488f-85fa-52b3666c83f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1026" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e470044-5276-4140-a456-1ebb0897605e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1025" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a19e42f-4399-47d6-93fb-cecf4b8687fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1024" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ddebd67-0637-49dc-836c-753a33aee375-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1023" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51aa9c65-c186-485a-bc51-54ef9eb46bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1022" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e49ec1ff-6e9c-48ca-9969-2bc6840c4905-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1021" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e3acb20-f6d0-4b0f-9b5c-c901bf5f2334-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1020" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa1d89eb-eb87-463f-a854-4b47ae3785f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1019" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9db11187-b1fb-4574-bc7c-638b929ebc4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1018" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bea6fdb6-a00d-4f95-af59-0a0568efa87d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1017" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ea8d2ca-dde0-4d57-a7ce-6f596d3dd4e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1016" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efd64b1b-4cf6-49ab-a2bd-b8a4cccbc001-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1015" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a445b74d-b9d2-4fac-9572-1b38f26e1110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1014" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35c4a5b1-96de-4c16-9b3b-5956b6e85305-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1013" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-686b8a5f-d379-4636-ba17-e674e29ee803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1012" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d5cd381-5aef-42d8-8a90-41cd6c5a6a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1011" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-45d9da90-000b-41b6-b91e-f901c8bfc801-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1010" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eef6e58e-7a3a-4230-b4b3-e2a4eb467153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1009" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9722543-d1b2-4051-ab46-8487418f2d98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1008" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f59b10db-2279-4b7b-9cfd-84bf19f0a607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1007" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a090425-e7b9-4066-aad5-a9f281ed701b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1006" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf45726d-97fe-44fa-97aa-3b65525610f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1005" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-537850b6-97b0-491a-bb65-26f67307713b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1004" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-87d19592-3749-45dc-a2f4-1cd939e7f057-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1003" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c70b188-166e-482c-af3d-d05f0700cb44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1002" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a635b5b-773d-4c97-8c9a-324bdf006308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1001" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-39610062-dc6d-45c0-8d87-11c0b86cc426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='986' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1000" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cdc5399-8582-47aa-94d2-cf2ea25329cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="999" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6fca72b0-c449-4b4f-a9b8-be0d151de228-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="998" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-15267ca7-b631-4e5a-b322-42d6836599d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40987']" priority="997" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40987'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40987' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40987'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69d54f83-b13d-4689-812f-d59920cf16c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="996" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_68): de waarde van @code/@codeSystem MOET ''987' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74d0717d-a842-430c-8b3c-c7837f8bf81a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="995" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c7bbfa6-2950-49db-a6a0-8b099d487dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="993" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea4caea9-25fb-4b66-8f0b-ae3af4de2d4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="992" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5aca55c-b133-4c56-a881-5da7f358ee2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="991" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc7f766b-a1d6-46f2-b05c-6b3acf2cce29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="990" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4527a424-1266-4c0c-969d-5261825e4748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="989" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-41c69918-5093-4d99-b9b8-8ad8a3d4b481-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="988" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5695d07-9142-4462-9254-80dc4c01ed70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="987" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04489a56-83cf-431f-9d10-a3ca3dee766f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="986" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-36e4a6f3-f87a-48d8-8223-4a85b024b892-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="985" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81fe7fa7-35f9-412a-b032-7c7e08ec09f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="984" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b54eb056-7929-4d11-94f1-a10e2be663fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="982" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea54e2b1-2679-49e2-8dc5-55a4cb5b7b8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="981" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6d0cc3f-3446-4efe-ad9e-51ee17c3c4bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="980" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e0d73fd0-abf2-49a6-95a2-78cf49f6a19b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="979" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2894faa-e529-49c4-a60b-e2cb65f9bbf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="978" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f8f22a5-64c8-4c45-bd66-78a0bcd03d7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="977" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0f999d0-1472-42f0-9173-aaf021442df3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="976" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9b5425b-1f44-4b7b-a503-2a36420c94b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="975" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3ffd9c6-0366-4335-84e5-3e21d86543cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="974" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d355f6a5-2563-475b-b48f-6ad27cb82723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="973" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c91deec2-6b0e-4245-9091-511214e1e5dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="972" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f9c669a4-aafa-4766-a6c7-e2578626b2f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="971" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d6cf253d-b90f-4e8a-b0e1-fded62b776dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="970" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-983c4127-bda9-4852-927f-86e60fb8c3ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="969" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8180a6cc-0059-4d2b-81cc-4059d8806993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="968" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61eb0515-c1d6-45bc-9509-31263d2ed1d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="967" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b0a1a690-8c93-480b-be1f-f5fecfb50aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="966" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d51e050-dc15-41a4-b88b-bd2ee07af31c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="965" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a149d620-0c27-4970-8b8f-d3b60b846d8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="964" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-816cc091-77d8-4e9c-bda6-499530475ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="963" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-282ea9ad-b117-4e83-a895-f129f1f35eec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="962" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-937b09c3-cd3a-44d9-9020-9a09452c3c21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="961" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4875190-7834-4f1b-95e1-204e58b3636e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="960" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-59f657c4-324a-4093-b98c-90b688c88c9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="959" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef61b64c-3017-4659-96a0-e07eb2bb1bc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="958" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-619d185e-dbff-49d8-89ad-9640acb46212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="957" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7064df71-33c0-44f6-aaff-70468e59a788-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="956" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37213184-158d-4310-acef-1f2350f4f765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="955" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea2fa5af-c5f4-4ff3-80c1-778a49e5e40f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="954" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fe71651-f1a4-4923-800f-5efbfab6a7e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='987' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="953" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3f989252-9d48-4c22-b895-cb78fae4448d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="952" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-972b2c3c-32f4-400c-ade4-8bb1cec8cf06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="951" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-273b1ef5-1a3c-4ff6-9b6e-d1cc04403506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40988']" priority="950" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40988'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40988' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40988'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-553b981f-6f38-4fb5-b88a-7f796bb90c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="949" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): de waarde van @code/@codeSystem MOET ''988' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dca0d1a8-c725-4004-ac4a-1904f86c52e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="948" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (@unit='mo'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Eerste_keer_los_lopen): value MOET eenheid 'mo' gebruiken <axsl:text> (</axsl:text>(@nullFlavor or (@unit='mo'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5006d78-3841-4a55-98dd-5f53ad73507a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="946" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96f63e4b-e296-4036-a75b-fc18d1b5e66b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="945" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f19a6cc6-efdf-4539-9875-26883e014e8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="944" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a82bd0d-f2b8-41f0-a41b-ffa24b7b6b43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="943" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34996432-4ba7-45c8-8b82-ed8d5a563aea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="942" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2eae8e27-f708-480a-bf18-cbc19b024ab3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="941" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd6c6eaf-f727-4625-b757-7c036b8d0e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="940" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6585f572-b6ee-454f-a4af-e5f2c3f27f07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="939" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10afd6b1-c825-4438-b9c2-552ece5529b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="938" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a3d26ae1-f667-44b3-a25d-1c533ef7173c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="937" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0ac512e-9946-4cc0-bf35-f74cf1299a15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="935" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-393134b9-300d-41c0-a12f-4e03c8408ec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="934" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d36727c1-d026-4c8d-9150-6eb013e6c059-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="933" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b678a1a-f8cc-4048-97e3-6209c8887a71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="932" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fcd6e8c9-63df-432e-8aa8-078f6593607d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="931" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-014d5bdd-6266-4bb3-b74f-60f2ee51c839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="930" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae808b9f-40c5-4251-900c-db66a4070984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="929" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab3e454a-ad8c-4554-a5da-c15eddba171f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="928" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8e01b53-2c3d-42da-9a72-05725d75a379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="927" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c9ae41a-7129-4657-b78f-ae7fadb44b43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="926" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4406ffa2-9df5-4a4a-ad3b-728092fcf812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="925" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34fb10ab-194b-4f91-942c-6f0befd32bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="924" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8020fe81-e5c5-4207-9e29-34fe901a926d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="923" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9f8825d-a586-4934-a81a-6ec6d47295ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="922" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f3886c0-b185-4727-a84d-7a061bc97885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="921" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-648b30b3-3b17-4fd8-bd4c-573b82b1fd4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="920" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd2c53c8-a0e7-4198-9473-6ad5611c7167-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="919" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-602220cd-367f-4b53-b3f8-fe5125fdb01e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="918" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9d653dd-1210-4c1f-b88e-0d846332708c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="917" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62143e48-b825-4851-9c2a-4e7e1f8ad829-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="916" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81f0e23f-9e75-48c8-83a3-20c9913a3145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="915" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c8f8a1cb-6984-4a1e-9e70-83f86b9a085f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="914" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-594d3724-4159-4429-b164-c45603f9b8cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="913" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6dbcdbe2-9911-4d05-9ba4-6c6823638f13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="912" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb9d703e-75b1-4f2f-aab3-5b32d8d7ecf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="911" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-02a0b391-bce3-4c6b-ab50-8dd4467a71f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="910" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9b455e1-149d-4cda-b62e-21900d279601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="909" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f011d89-1143-4775-aa06-e38f0a9f034b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="908" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ab80704b-e90d-47ac-83b0-2a5190dbc928-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="907" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cd82ac8-cb4b-463b-baf4-c89c28e5d884-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='988' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="906" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c720144f-024d-45a0-8e0a-9ec94bc015bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="905" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f88ddbe-560f-4ef9-95c5-4c7d4fda880d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="904" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9123b9ea-cf4c-431d-89d4-581286c17416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40989']" priority="903" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40989'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40989' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40989'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7796302-497d-4042-b049-6eba77978d7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="902" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): de waarde van @code/@codeSystem MOET ''989' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa92b3f7-bc9f-4b70-8110-7ded3b0b6168-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="901" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_69_Gooit_bal_zonder_om_te_vallen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc7c361c-dafb-4ed5-a009-106a8b1d0b77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="899" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a34275e2-35a2-46dd-aca7-9721c0e66354-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="898" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dcff5664-2368-4c33-897e-5ad83a6a20b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="897" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47286f68-8490-4e86-b8d8-342bd24d98fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="896" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95cbfa1b-ed7b-40a8-8c12-44d67e15a24c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="895" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2b964c3-4540-4a91-8231-a828f100afe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="894" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4958f58c-1a9e-4173-ad0b-03d0df40c3ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="893" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad34bb33-e924-40dd-949a-ab98d5fb54b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="892" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ff4efcb-f18e-4a38-8823-77c994da2aa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="891" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90b648cc-11ac-4124-a61d-f7c3ab15a95e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="890" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64731193-d1df-41e0-93a6-dce020799b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="888" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5d01ce98-9b44-4105-a94c-d526013a6c66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="887" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a51c1f88-d6df-4d94-9347-da284f4cf4aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="886" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d0b0baf-aa85-4808-bf57-1e01f78bd8a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="885" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e30cd5d-212d-4ba4-b95f-ec72113bfef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="884" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-10942791-0bbb-450a-9634-728b69972985-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="883" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-edbf0a12-4867-4af1-a219-81e7b1afcaba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="882" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a3e10c1-8f9d-4a30-aef1-6ede2aec9f30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="881" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fabe270-39e8-467b-85c9-5d78d87c87e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="880" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3fea790d-3a54-4651-b8cc-b0bb7f1c28d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="879" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a20aeea-91ac-43e2-b873-3d3b76d98128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="878" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abd2ac80-98c5-480a-a25c-07f2104e55b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="877" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18d21401-f51b-48cc-a740-6e26a1739c11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="876" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bcd8f90-47a3-4ba9-8ab2-6b4a67691b1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="875" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e586e18e-3421-44f8-9ad9-ce2897f1d530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="874" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c4f5f91-f97a-45fe-a665-e5f35e2da72c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="873" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0043d133-b2c6-431b-89b3-b4df057f7bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="872" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-341a222c-807a-4ab6-ac9a-e6769ada4126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="871" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cef3dbe-c675-4272-a4d1-35b2d4ef4535-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="870" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-615a86e4-853e-4bd8-a4ac-b13db36e12c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="869" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fffe3695-abe7-43db-892e-67d01bbc08ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="868" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efcaa73d-3486-4bca-a1e1-df176e28e1b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="867" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-190233a6-696d-4110-856e-0faa6509823b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="866" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d659e2e-a5bd-42a7-824b-095accce6a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="865" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d2518eb-1438-4503-8085-0635b79a8b2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="864" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1f06b16-4d35-47dd-bb56-4000d51be38e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="863" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc966979-de4a-46c8-8be2-bf12cd326e97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="862" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46506c5e-9af8-45b7-a5af-840190eabee9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="861" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ab64c16-9267-4719-8235-0c2bc47dd198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="860" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc517183-710a-45d2-937c-ff795326e6de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='989' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="859" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d080849f-c963-4448-8210-4b556a6a7488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="858" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad91e116-df58-41d3-b8bd-ec6259196d34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="857" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4e6791f-ba76-486e-be7d-f496284abc1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40990']" priority="856" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40990'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40990' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40990'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f7259a7-f9c1-4be9-97c9-9497296696d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="855" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_69): de waarde van @code/@codeSystem MOET ''990' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21deba7c-0199-4c9e-9d18-08549d4ad28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="854" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12488a57-a4aa-435b-ad08-742d7a741773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="852" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f310181-a8d6-4d3d-b41c-780fcc05cbc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="851" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9609dc2d-ca14-478f-a001-fbb3ca138856-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="850" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e93a67f3-0235-465c-b1de-d33ce1b46543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="849" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c9338d0-be46-4a59-9336-d729549eb4ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="848" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-004cc2da-9298-4b1d-b08d-fef70bdef61c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="847" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88a0c4c5-5061-4c9e-b4e2-318d3bcb6f36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="846" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a565cabb-96f8-46ee-ac49-c4ba0af383b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="845" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0aa74af9-c358-4e8d-930e-6c7d2a1c8b6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="844" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05ad170a-6533-49bd-8b2d-af2b280a81bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="843" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-84fe1cbd-5e03-49b3-903e-fd3d00e997f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="841" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-13714d65-026c-442a-862b-17c8187bdb1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="840" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cbae8bf-ad4e-44d4-8558-fd137d45d783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="839" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efd25c14-2fa0-4177-b159-68e6273ed83d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="838" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-98a4420a-ed98-48ee-b905-3b108f2abfc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="837" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34f76517-cf81-4719-94e3-ababc9f65c40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="836" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cfa907e-4b99-49bb-b911-b55fb568ef4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="835" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d25cd05-1227-4f62-a603-5e56847f1b86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="834" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a41b1e08-eb4d-4472-bf81-3fc5c2e98484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="833" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-772f4b15-31e7-47c2-84b4-7287a7857f12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="832" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d258eeff-bbf1-4cc7-9b7a-774c371d0af8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="831" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-357a03ce-f33f-434b-a44a-b9a484c9c391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="830" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-095aa588-d016-4bf7-a8a6-d8b4a9de9cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="829" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9426e3b9-a0f3-441e-9796-a508f3eb32bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="828" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-495bedb2-9403-4a49-bad9-47cff581defb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="827" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dc20624f-0484-4335-a254-0977af1c08fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="826" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9bfeef18-f2ca-4bb0-b6c3-481a547f563a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="825" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1dfd7d98-53f7-46f8-93d2-bac4e7993b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="824" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b1c90259-792f-4100-8241-9c26d40db0fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="823" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28cae74e-6c6c-4d29-9e85-5461f65a895a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="822" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0090ebac-3352-49a0-a49e-58afc0be5e96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="821" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ea390b02-31ec-4207-b30d-6585e53af069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="820" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2471d2f4-d95e-4cef-8002-e1a598ace13a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="819" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d8eddb1f-f10e-41ca-8d18-f85176a7c89e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="818" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adbbf711-9193-4ebc-9738-7a9571e14e15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="817" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7a140d4c-d616-4021-9f05-786e7ae23b48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="816" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-768b7a64-4da0-4852-9a69-0b748b5522b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="815" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78184cb4-25ba-4c16-a464-c9fb969356c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="814" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9af8f10f-6122-4594-9a8f-a9f2e73e7824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="813" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1341b7ed-69be-4dde-9833-0608c42352ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='990' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="812" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3c895c2c-e867-42a7-958e-37e9ee37e752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="811" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b697bab9-a5aa-4eb8-b960-c29bbfbd7029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="810" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ffdded24-f461-42d3-aa8c-3711e3616433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40991']" priority="809" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40991'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40991' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40991'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-25303963-a2e6-4d6d-9b10-c3e20617d323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="808" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): de waarde van @code/@codeSystem MOET ''991' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d13ee4fd-59e1-4195-a96b-a084768dd44b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="807" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-927c6d34-0846-479c-a14d-55d8006fecab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="806" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_70_Raapt_vanuit_hurkzit_iets_op): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be52621d-52aa-4aaf-94f3-ef9ebe477476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="804" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4719aea-ca1c-45f6-a6b7-82d9dbb70cd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="803" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-abac7d05-4031-4397-8083-597b4264460b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="801" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d05dc18-63aa-49f2-83bc-adb9efe504a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="800" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-17304d26-acef-48d1-ae2e-3442e7336719-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="799" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09b634a5-16d3-4168-b88f-bee995da3e3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="798" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de215f53-b17e-4b91-9104-01ebce873caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="797" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dfebce72-c871-4750-b41f-f1b90cc0b9ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="796" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5b2cec5-0b19-44df-ad42-8707696d719a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="795" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e33172e6-4e82-4c5a-ac24-624736df8cd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="793" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7024050f-e637-479e-9e58-f0ccf810a9eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="792" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1b525cce-8848-429f-99b4-3c54f760a9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="791" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3a7a307-c217-4cd3-b959-0a2816e79d01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="790" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06f9e8a5-2073-4604-b4f6-1eab00a53faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="789" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-166ce537-ab26-4c1c-b4fc-d3313d41af5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="788" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-27849982-8970-4309-b6b7-eb7bbdb777c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="787" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d44217db-960b-4c3a-ad5e-02cdfe960d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="786" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae685ed8-0855-42b0-bb61-7d71ba1d53d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="785" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-113717fc-92a5-43e2-b3cd-3413b0c3a923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="784" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-06d65feb-3578-4c6e-9600-afe33fcbdfab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="783" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c82ef0b4-7bd8-40cc-929a-eea6a35b38a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="782" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac248b52-5698-4a56-84a1-046b198319f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="781" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-274be3a6-773e-49fa-8ffb-51082b6461e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="780" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ad7320d-0f6d-4cce-888e-a25192db13f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="779" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e006a9e0-213f-41d0-b1c1-d317e86e9d48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="778" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03f116c3-37ca-42a1-9971-707022477411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="777" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20930e99-dca1-465f-9280-59c96f85de71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="776" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a65f5e85-0b60-4a87-a884-15f1611b252a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="775" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65f7e8e7-8e7c-42a3-a385-2e8c74949f59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="774" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7386266b-60d8-4285-a922-0f7bc96ab81a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="773" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d15b098-ab15-4969-928d-ed03ab5e9918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="772" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cec9c50-da67-4ca0-8215-10ace4376b4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="771" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-711080d9-ca88-481d-a10e-a2eeedf9e603-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="770" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b25c8252-7dd8-4d93-b6bb-51274222a699-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="769" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99107824-dea0-4c5f-83c4-1537a2a7d973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="768" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09f831a9-3d09-49bc-a307-e3f2a68f9bfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="767" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75dec5d7-cf6b-4308-8995-bba762c5eacc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="766" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-439fbcc8-36b5-454b-95c5-3b41e692a0aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="765" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a5c04751-2609-4d82-8943-3817d7719116-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='991' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="764" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebfcf083-5af7-4828-81ec-8166a2e39622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="763" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24f1e157-9805-4e30-9027-fab2a63d26ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="762" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5bf7e20-31f0-4396-8ab3-aa8e04935108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40992']" priority="761" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40992'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40992' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40992'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f5dfaa5-8acb-4d44-99b8-1f9afde7f1cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="760" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_70): de waarde van @code/@codeSystem MOET ''992' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9acc4c62-df01-4b3c-9d3d-521f372ba1f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="759" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1129bbea-af9a-49d9-9959-c50ba48a7834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="757" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3f4c179-0681-40bb-8395-4a8b9764491a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="756" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97345b45-7434-40b5-b28c-38f5538292c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="755" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-23337097-b0d9-41fc-861d-7332b6732b5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="754" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a22df3c-5d37-4e4b-a37d-6be135d33b18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="753" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d2f14d0-7efd-437c-a646-4cbc89ccad50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="752" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d085aeb9-6f15-44f1-8a49-6da7ac600810-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="751" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64c4d7e7-b749-4208-ba31-5657114ba3ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="750" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c97dc4a6-fd05-4ac8-8610-7aa4defb1ce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="749" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1637292e-a413-4854-a441-0f701711e347-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="748" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adba650f-e032-4198-a8d8-e872bb59e177-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="746" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67a3917a-ba78-4925-95aa-6bdb8f5a343b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="745" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-257086bb-d858-40d7-b9d4-2a498d1807b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="744" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2e29a1d-5fe0-49d3-8050-5eb55a33964f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="743" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce595f60-833a-4ef3-8872-5634f6eae796-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="742" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf23adc6-2799-4670-9623-5225979d1315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="741" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96a5d791-115d-42ab-802c-b09bf7c92597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="740" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24af7699-b278-4e75-8e70-417632c1041b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="739" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1d35c2f0-0d6d-4888-850a-19d315161de2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="738" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f497d463-612b-4803-a860-4f3f91e244d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="737" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6873cf46-e4e7-4549-8527-227e350b67aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="736" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c624c4ab-7d57-443c-9bd6-69d97c024faa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="735" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e47e9ce-6cf3-4811-bb28-f21852517a6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="734" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ff50764-5298-4942-914b-4a8f0c0dea52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="733" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-151fcd36-47e2-4e6d-b666-0a2da9f2567f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="732" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81a1af1d-86e8-457c-a29f-848c4d5900b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="731" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d38d1f36-180d-4da6-a683-1e55e6bc910a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="730" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da57c5e5-9355-4772-a0c1-e72df2c035d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="729" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f62ca55c-4be3-4cb4-85f4-6a5e3bbe6cab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="728" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51a24fe7-ecc6-42d3-9530-89a0e7f02547-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="727" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-543c5f4a-6edb-47e0-a833-811146a84a33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="726" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3d72e997-b01e-49bf-9e9a-e0570a1d4888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="725" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0d93585-097a-4177-97a9-27f019155d38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="724" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-82433c75-7b77-4681-a896-94750885f9d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="723" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5448f8dd-c3f4-4eb9-9f6c-8cd8ae83e99f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="722" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3edb60ea-9699-4a4e-82ee-9a8c3c1f13a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="721" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61f211e1-3493-45ed-91cb-b58a368035e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="720" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72ab99a2-bb93-444c-bd12-f682eaf7e88e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="719" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd6f8074-9308-4763-8e71-d5f92de69637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="718" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79149b8b-1007-4d21-909e-1ae7adef8edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='992' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="717" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b7dbbef-0805-4bb1-938b-56cc6eb4ff7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="716" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-26f71dcc-598e-430c-9dca-4bcb1a6d37b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="715" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81c91ac1-d35c-415b-8279-7dc6fbff9ac5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40993']" priority="714" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40993'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40993' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40993'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2eb17d6f-b9a3-459f-b390-59166fc42d21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="713" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): de waarde van @code/@codeSystem MOET ''993' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce5e9f71-0f92-4614-b808-aaf733ccf733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="712" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-67f40f80-0655-4776-9678-fc22560000e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="711" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1ec781b6-4171-49a8-a412-439269649edd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="709" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fae13db6-b644-4564-b1d5-1b4fe0560a47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="708" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-763a26c0-f0bb-47e9-b234-2b5a9e0413bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="706" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b4117dc-8aed-487d-a901-b852318173b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="705" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f497903f-8320-4d6b-a381-da4c9c10debf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="704" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d8849b5-7566-430d-9746-b2d7872b887f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="703" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d38313c2-f8dc-492c-b0f6-99ce25878aee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="702" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37af2f5c-6216-43f2-9829-24003c631c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="701" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-49a427b6-9d4d-4445-8046-c3a37a856332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="700" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-200c8389-7569-49bf-81ad-d3af0fd6a5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="698" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8d3f1a2-50c4-4f48-9044-7c65aed94876-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="697" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-876d8596-ac8c-4d68-acb2-10ddd4bba2a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="696" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-94b5baac-fcd1-4014-9740-62b6776fa893-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="695" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75e1cac8-4c10-4c42-a599-14d4066be4e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="694" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96905a17-92f9-4cfc-93fd-391c852a47f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="693" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df20aaf0-4d0d-46a4-a1b1-2ab8726bcfe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="692" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51c17ac3-c6f6-49c6-bbc5-1f767cf8a472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="691" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18348d46-1895-4afc-82d0-f51cbe8ea3c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="690" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c8c1274-aa56-426d-839b-ea542e3c3c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="689" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-552f0ae9-2fef-400c-b95e-8a6961f65d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="688" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e083bc2e-6e0e-4f6e-8f7f-1c2ad7d4334d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="687" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df1e8407-a405-4ccc-a431-9354bd1d4d10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1f4322d7-2ced-4eb6-8df4-7b14789645f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-814627b4-c0a2-48eb-989f-a5410051ee81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ff3d71db-d5e2-49d4-be8b-48d623a94e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7fef502e-f203-442f-9a84-a8d24207037f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="682" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c3bc874-d551-4e8a-bbb7-31b5461cc92b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="681" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-79639aca-81ec-49fd-806c-d2d8923bbe0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="680" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ac588afc-0c2c-4589-beff-14de6b53581c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="679" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e087e4b8-d716-4e68-8442-7d99b8e74e7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="678" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b902e35-842f-4ca5-b505-0617dcd86f4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="677" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cd26601-4fa1-48f4-b6df-252aa4175ef3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="676" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a8a05d2b-5367-40ab-8c5b-ef8ba0c49be0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="675" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0b281433-d3a0-4824-a304-9db8937fce10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="674" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4d3a4b83-1f83-4bdd-b96d-2f0005337f13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="673" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58258b59-43e3-4445-b22f-b7188e1403d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="672" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74df210e-55cf-4b96-96b6-2501d3dad48b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="671" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7d9a6c57-2e45-48ca-ad4a-45a9f45f5967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="670" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65a855cb-c7ba-4c7e-b806-0ce659995404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='993' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="669" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6665e088-e69e-4964-9638-6981641a0e3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="668" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-52395b8b-7ba2-43c9-be91-eeaea6139acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="667" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-16963602-9cf4-4291-9468-1c00dd63c1de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40994']" priority="666" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40994'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40994' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40994'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9e4030d-0924-44ff-a250-c6328c2eae10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="665" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): de waarde van @code/@codeSystem MOET ''994' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5ae5ce08-c5d3-4c04-8ff1-9624f3cc3c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="664" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f5546775-e9d0-4e06-a8d1-59e36acdb5a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="663" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_71_Schopt_bal_weg_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e61c5b8-3aa5-46cb-a102-3f39f93a44b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="661" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f4531f05-211c-4fb3-933b-35afbe4aaec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="660" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e578c29c-dc06-4c10-8b60-e342d4d4e54c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="658" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a1204e0-978c-49e9-9067-8f2172af0b0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="657" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-adb9ce5c-d395-4162-abfb-57201a1f0fb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="656" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b33d7d5f-78f8-40d8-ad3e-d00999e57915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="655" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d432065d-25a0-4362-ad0e-001234b097e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="654" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e39f1c5-a651-4527-ab86-f7a678b170c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="653" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00635f4b-98da-4095-aa6d-2965c046cf59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="652" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd864fa8-6a16-4d01-bc4f-8bbcbc1669a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="650" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5a91ab30-8102-4d28-b7a5-c9b6ea9f9582-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="649" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a6e5e49b-352f-46ab-b723-4be056238c37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="648" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37c94b58-64d6-47bb-8012-867a1290d5af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="647" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2888dbf-835e-4167-a74c-aeed5f1de4de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="646" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ae9cf64-efd6-420e-81a7-0a37f44b686b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="645" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a54b05d5-1fe0-4154-a995-fb7adfd65e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="644" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-76c2ff1c-db11-47c8-b932-e9d04393d07c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="643" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-883597a4-9c40-4940-a810-bcb310e02da6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="642" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-905d77e4-f4c9-4ea5-b32b-07922b682acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="641" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c5d857a9-96b7-4b6e-af4e-ea1157fcab39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="640" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-21b10921-d1f9-4976-b938-1b8f0dfce6f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="639" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ab5eee1-2228-42a5-9429-cb7bfaa6b795-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="638" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20439183-0929-42ff-b2fd-7893269f0b33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="637" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf0d12cc-4fdc-42ca-91e6-caaa5b056c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="636" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b85d7399-6d19-44f9-a1d3-a61ddbe5e5fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="635" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-93d75698-0b84-4bc8-a1e7-f61bd49dfbda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="634" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ee831e3-6507-441c-a879-9f63ee8496ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="633" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f492e703-2759-4ae5-8112-6916ca97982d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="632" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e61a9faa-b54b-4fe2-879c-392b2dc732dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="631" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-725ade62-19ac-4248-a220-b1d9060e8d05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="630" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f42ca5a-607e-400c-8f72-817359454d3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="629" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-df232002-c1ff-4c40-866f-c17544a74888-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="628" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e3ce77c-46fe-4120-afac-799ac11a3fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="627" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3055b9a6-2896-4a8e-8e42-2107bac9ed0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="626" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65eec497-f6bd-4d48-bb3c-393bb58ad655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="625" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e1f6973f-489d-442e-8208-9e1c512e250a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="624" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1539d9b5-eaf1-4ddb-9b97-977c1a5c640d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="623" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-11fe3077-7161-4f3d-8050-ab873fd5f7ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="622" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bcd579ec-5750-41c5-bc94-a149ceea82f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='994' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="621" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0961cb2b-0ab4-4ee6-b7f5-abf62ef7aed7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="620" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c79c0022-4f03-4ae3-8f4d-e6e872db762b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="619" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f6aef82-be2c-45f3-8323-95dfb9581eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40995']" priority="618" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40995'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40995' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40995'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-248d3cb6-6ecf-4dab-b124-08cc9305aaeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="617" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_71): de waarde van @code/@codeSystem MOET ''995' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5c4bdbee-d9dd-4da6-b971-3286cf68e6fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="616" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f104e79-43d1-4cbf-8ff3-833499e4d08a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="614" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2edaad34-204e-4d26-9ed1-6b5057cae9f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="613" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e73b37f9-f535-4731-adb8-3b0bd045c13c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="612" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-53cb55d7-76e9-44af-8760-be74a06486f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="611" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3508dd27-b2a3-48f8-81a3-bdbd08830efa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="610" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12e71d2c-e8df-4d38-8514-d8aaf5695f9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="609" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f04a20da-966d-46bf-97d8-b7849e2c862b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="608" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8693b2d7-0dcc-47ac-bab0-c03efe174986-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="607" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-35d750e3-ae99-47fd-9ccc-1b6fed184cda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="606" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37c7502c-29e2-46c7-893d-3d617c74bfca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="605" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b2c05b6c-12ad-441e-9f27-758c2d285233-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="603" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c722a4d-c56b-422c-8f40-a9b58da939c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="602" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5699f01b-06ba-4a42-95e7-1c9e7e2103d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="601" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a2275fb-7d37-4765-ae22-c179d24f1ff8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="600" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58c62a65-02f2-42b8-baf5-0decbda8474c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="599" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbfac5dd-82e1-44ee-bcec-525f2945d208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="598" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5abbaad7-7b4e-4a87-80cd-69173787cb7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="597" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e2fa2563-804b-4213-8fa4-8f9aad08f4f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="596" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2250b1e9-d9c6-4a6e-aae9-785848ae044e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="595" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf6bd9f2-2bc2-4c6e-9267-ae77af6822f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="594" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c2dbeaa-155c-4818-b02e-60990852758e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="593" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22fba165-924f-4e42-8aae-b5bb9999dd91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="592" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6cd4c27b-876e-4369-9248-7a16d5dcff83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="591" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f33205a5-444f-4c07-bc3a-862e31e62c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="590" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da3825b1-4e21-46c2-9a22-b710c4277f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="589" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2fa755c-036b-4c2f-b23d-ded526f90128-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="588" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-902b75ca-9ac9-436c-8cd5-401152b2ebaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="587" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cc56f17-a29a-4edf-b2fd-ad084fca57a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="586" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c6ff6019-09bb-428a-bf3b-5473ca5aa9c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="585" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a8be85b-76a3-4491-a96e-4e771a687ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="584" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-28b179d2-1caf-4b1a-9a7a-fbde01c911e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="583" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48b752ec-a18b-4742-865a-6a45da28b0ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="582" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4fe7a272-0200-4442-8ed6-47c24b7c0e11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="581" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0270417-c5a2-4ff8-9ca3-30890a613a98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="580" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7b32663-e2a9-49d9-b99d-da1fcae587d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="579" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68f901ff-84d0-4a6a-a022-32df3f5f40e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="578" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4629e25-156d-4845-a008-3fd25f03349a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="577" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe99bf4d-19e4-401f-b274-67d794763acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="576" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f0d2e3f7-ac38-4667-a53b-c99878f54f82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="575" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c02f8996-f037-4366-80eb-d3ea8bdfc7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='995' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="574" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7075937a-7c2e-4fd3-8b93-eac0b3fece42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="573" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9189ed6e-e104-4542-ba31-45dd856a5f68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="572" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-707eb56c-da3a-4c67-b410-3c7ab1e2a062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40996']" priority="571" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40996'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40996' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40996'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64d25398-cd0c-4722-8114-9d6775d658ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="570" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): de waarde van @code/@codeSystem MOET ''996' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6aa874a7-0393-420b-a571-6b9db42ca851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="569" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_72_Kan_in_zit_soepel_roteren): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2280690c-732e-45f1-b2db-c47f55097464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="567" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88ed1491-36a1-4705-a4ba-09d365ffd0d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="566" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b499eabc-fad6-4f9d-83de-34c577eea527-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="565" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eb1f5aca-04e1-4758-9342-d3646c65b82d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="564" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-24f4c1df-46d4-4494-a026-9637573cb88f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="563" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-207ebb82-0624-402a-b43c-8254e8a2d2d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="562" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-62b24743-6968-4b15-be66-96803ab747dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="561" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c0537fe-d84b-4079-a0bf-7d5ed4b57c19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="560" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b6bb6e4-5f46-4dd7-a8f0-7543d109b65d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="559" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbcf7a6a-5ded-44a5-bcb7-5d003c958827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="558" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a95ba4d-d834-404d-b9a1-01eab18bd8be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="556" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-630f02d0-e490-4dc0-a4fe-c0f63dc44558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="555" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce4979f4-5217-4688-a9e3-d9d3880c29bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="554" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5689acdf-d5e2-4727-8fb3-578b20a2615d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="553" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b4cbece-e5cf-485e-94ac-c92e801a4956-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="552" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43195a9b-f1d4-4daa-9da1-95500a243c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="551" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a259ab7-591b-4de0-8483-396083fe736e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="550" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c4129717-d5ea-4c9a-a186-34c494186d13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="549" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e40ff74a-aa90-4850-b59a-303e249cb49c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="548" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a0292fc6-c9fb-423e-8ff1-8db719fdaa56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="547" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14905355-ff42-494d-b2d1-5b13667dc158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="546" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-323be2cf-5a4a-4804-8908-4dec2eeee0c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="545" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ac3e4ca-9d79-4631-91c3-4a56b76f5dc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="544" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-37b31a6a-0417-44b8-8d57-bcf54a9bc7a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="543" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-064cf5c2-0067-4514-b358-dedd6e0c4b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="542" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01ff8600-28b9-4159-840a-8ec41b4d11ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="541" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2d2dc74e-0667-4319-b4aa-d3d8ce57e47c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="540" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be69ab9f-29d4-41ad-8ae8-9a52621b5eea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="539" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc160402-4b1a-4602-95bc-bf8b6944ee39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="538" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb3b484b-1e08-4fcc-a0c2-83a0787d5790-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="537" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b448d32e-4277-4708-a35e-eccb35fd58cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="536" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a2ae56ea-0bc6-40ed-8241-d38ecfefe966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="535" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-169213ca-e7ae-4a8b-a65c-3c48ba444772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="534" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-924aaffb-955c-4bb1-9a2b-ea7dd5531a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="533" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-398b605b-92dd-44ef-ba23-a943dbf4e337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="532" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bb42f343-c8d0-4513-9fd2-67e14c14731b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="531" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c0aa481c-ea30-4e8d-b51d-1522537d5a78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="530" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72244b9c-8101-4b9a-9b17-8639a9c072b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="529" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fde6ee6d-03e5-4d1f-aae3-e23a6df76d8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="528" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48e84113-8612-4609-9181-f30d9eff2a39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='996' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="527" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50428bb1-b4b2-496a-9c10-8dce8cd98b2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="526" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6ca0b487-cf83-46e7-90de-68e7a5631ea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="525" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-88ac096a-2967-4bdd-80ff-160854d88bc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40997']" priority="524" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40997'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40997' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40997'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-90ff100f-41a4-436a-a785-bd41acae0cc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="523" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_72): de waarde van @code/@codeSystem MOET ''997' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-780b8b6d-cfc2-4f83-bbff-b7f5248a3294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="522" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1f9e00f-e6f7-438b-a59c-1db4ba2aa4ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="520" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6954b4f-6f92-42ee-a0d0-b1bae1dbe8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="519" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-09ea84f1-ee3f-4446-a196-9e1794b4955a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="518" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-424fcfd1-72f9-465a-bafb-8b528537a2d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="517" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee813435-3a3f-4dc2-a8ea-86aa87586d70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="516" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68f16363-f442-434a-9a17-82038baade7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="515" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-496840da-e3c6-4911-8c97-640626977569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="514" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-65e36992-5ad1-49a6-872d-fe418f855a84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="513" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4e1ef9c7-235e-43ab-9440-38203b7c2abf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="512" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1daecac6-ee5e-430b-bdd8-cb8c4772a58d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="511" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-477f6a5e-c765-4695-8a48-391e99a4f9cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="509" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72b23e4b-2095-449f-9a8a-4aa25bf3bbd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="508" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-46a7b878-69fc-4e08-86eb-dd66b58e8b26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="507" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b6bb305-41a9-4125-bd11-29e0ee11fa93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="506" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2c332928-7d6c-4fcd-bfca-637032132a4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="505" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c451e3a-7770-4de3-856c-e76625f40be5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="504" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-539b5fdf-fa22-4d02-8b3f-5a0b89c1c4de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="503" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-632160d0-1364-493f-987e-83d25ef3fcb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="502" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e54ae80-4799-46af-9ec7-c5758d214196-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="501" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-341c96d7-f02a-4283-a932-8ca5d554e9ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="500" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7768a567-272c-4296-862f-2e40b2a1db3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="499" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-464ca131-5458-4453-867b-3c09dc099227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="498" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d170d51-c949-4368-8bdb-b3b3fca4247e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="497" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-63294863-d309-4384-8a7c-51580ffd3245-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="496" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-72d5d2cd-91ee-4b37-a3e7-62282be2494b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-121168ab-f58c-4dd3-9cea-9c343904b955-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0261c23c-c377-4783-bbd6-aa05f87da34a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="493" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1f99a60-2625-4911-a818-d568c3b5289f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="492" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fa706b54-f94c-43a2-bfb4-7553b0a6f9ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="491" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c51217e1-c7d9-4121-b459-29ab264634ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="490" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20cda3b5-f900-4d98-bccb-8562ad2f2623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="489" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08fc7217-a7f7-4f18-8dd3-ac7da2adaca4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="488" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e9acd6b2-9e05-40ff-9697-7a9a3ca5de5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="487" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-afcb782d-c769-440e-8b78-108ca65f9d03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="486" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5da7e624-0b76-4696-bb33-4268e0916737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="485" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7dbe7c3-bcea-40b3-b39b-853447bcfb6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="484" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f86d2df-773d-428b-a6f6-354c616c125f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="483" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5e3f4295-1fcb-46f1-8cfd-69041af64c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="482" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e833c68-cef3-4555-81eb-e9610b5d3bf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="481" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b399bf74-799c-4404-8a48-9c2d94870fe2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='997' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="480" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ef046da-3e77-4609-a344-011d7dae9981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="479" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-80ed65be-d503-4223-909a-2b6e2a6200c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="478" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cb77b818-152c-483b-bd51-a19c167ff247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40998']" priority="477" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40998'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40998' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40998'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-102127fa-e386-44ed-a00f-6010988ee7d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="476" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): de waarde van @code/@codeSystem MOET ''998' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3aa33821-34a1-4fc3-a834-db8bafa66c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="475" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_73_Fietst_op_driewieler): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5941cac1-3aac-4fa8-b8a0-187545a5815d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="473" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f2836787-8c38-4667-8d96-3c568c1163c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="472" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa6ffc94-a582-43ca-b32e-827eef617873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="471" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d60873aa-2ae0-4da0-bae4-41c8edeac2ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="470" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6bd5d25f-944b-41ff-b26a-1eeb20ec741d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="469" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-029bc882-fc6d-4284-b974-68a6a9c6954e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="468" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-069365b0-88b2-41f4-965a-b059c323ed0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="467" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4704db6c-b6dc-4367-8fec-2a0bdedb84b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="466" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-57541f5e-a002-4e9b-845a-680ca05f7b20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="465" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ca56589a-6298-4b22-8d44-6ef66878ce1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="464" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1df7e340-5f26-4554-85cf-ab93ef915612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="462" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66634ad0-3653-4e63-92ee-c919fb52146d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="461" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bab57265-2b09-4dfc-98cd-af1a211e2d85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="460" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3835fc43-2b5e-4686-a5d6-1595ad7403d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="459" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-03954c8d-4cdd-4bd3-9125-7c4de4525798-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="458" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-445f60ec-cf64-4876-9aa7-9e85f686b5f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="457" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-238028de-44fd-442f-b04a-32e78d22f077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="456" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d74448ef-4e7b-402d-8b85-31a9c18df298-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="455" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-333eb7aa-cec0-440e-bffd-f375c65a14d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="454" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fec0a1a1-c949-44f7-877d-133802721a7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="453" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eaa2d2a6-7ce4-4d8e-8deb-b2569ab25aae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="452" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a69edf9-6530-45e8-bb78-c2624ce2f583-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="451" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a5f0866-24a5-40c3-b3ac-a9870c48b10f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="450" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-44c491c7-cb56-4772-947a-0855cf7f4a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="449" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c584a683-1047-40d2-9acf-8edbce009d57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="448" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fe67ce1f-710b-47cb-b1ad-5b96e3dbe222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="447" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74aa0f21-95c5-4f6e-9940-19db505f4848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="446" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c25295d9-0e50-4810-a315-475fe8d673bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="445" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ce1a127b-6d8c-4aca-952e-98d9f933b56c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="444" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1db2cbf3-c5d0-48c9-83e2-801f990a1f76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="443" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ddb64e47-9e11-491d-ab7d-97fc97674280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="442" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0f935823-bf75-404e-b58d-580a616a21dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="441" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f57ecc6e-64dc-4354-8d26-3d8f5063fafc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="440" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-60945711-df77-4132-98ae-a4625d4b3b51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="439" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12263093-9fc3-4b6e-9267-e0a6db40a9c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="438" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-855bbca1-d9a7-423e-9ed4-8702834bc637-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="437" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-66811c8f-9fe7-4ec0-a23a-29ecbadbd506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="436" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f16f32f7-de3d-46f9-a7a4-0fbb9d468dd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="435" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-51d83a86-cefb-419e-b2e1-38dbe3eb97f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="434" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0d8a9e0a-5e0e-458e-896a-d45eda4f0532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='998' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="433" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8f1cb210-461f-4df2-afd8-5a409489425b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="432" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4f961f55-4d6c-4a9a-a33e-a07fab63f9db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="431" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7da0962-017c-4558-819c-6cd6ee5cd983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41280']" priority="430" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41280'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41280' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41280'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ee65bb6d-05d2-4d31-b609-5a4fe0de9464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="429" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_73): de waarde van @code/@codeSystem MOET ''1280' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6829fd06-8a5c-407c-a323-484654e27e2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="428" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cf507f8f-60d4-4079-975f-37e119ff1be4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="426" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aafd6679-bc37-4b3d-a100-2b9113f67d57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="425" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-77d42827-7545-47d0-97ef-eb3f44e12e24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="424" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2ef0677-94c1-445c-8d92-65c1c3f28496-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="423" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-07d15cfd-0ad4-40fa-a4b7-2d18e5b9ea58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="422" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-db2c1c5b-759c-4db4-9b42-5abe1a7bd8b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="421" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d977398a-c8c8-4bff-9c66-253281f494d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="420" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e0fa53f-c748-4a2e-9944-47b0dfbc57cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="419" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-906e8744-f4de-4449-9908-26a51f142b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="418" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9ac8c97e-504a-4c1a-8db3-1780c599371d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="417" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-591ceab4-7aec-4510-bfe6-afe0fc11be20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="415" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7dddd5d-5ff9-41d6-9c54-1966f2faa631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="414" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ef8247f-5f8e-47ba-a0be-ead6ce98527e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="413" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cc47f43-1773-42ae-8c51-470bed9a8a8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="412" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a2382db-e21c-4482-9705-6ec58c2b356a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="411" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04d6aa67-77cd-4bb3-bbbe-fb7f2742c0bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="410" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ecff6bd5-ef62-4429-8e9b-50b55916dc3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="409" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4310cb49-d28a-4247-a298-138e118a3130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="408" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2f2cb64d-3fa9-4af9-9c3f-ca6b78132a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="407" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5671585b-71cb-4c9c-9130-ea96951d6437-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="406" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a89a481-6f5e-40a3-aefa-18c66107308d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="405" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-75bfc550-f9b5-4d18-86a0-022c08ae4d5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="404" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b86c8d63-c55c-460f-a576-0562c9589115-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="403" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d1ee53d4-afbe-4a3c-87cd-95c2b16e75e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="402" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4b400350-6b1c-41e9-ae40-597307a81f1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="401" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b827bad5-50a0-4d30-924f-d968aa86ba78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="400" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30867492-9081-466a-bf10-1dc9565e8c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="399" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a895eda4-30db-44cc-ba42-a9bd7e6048d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="398" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5cae2af2-9df2-4e47-b0ae-7dbcb7186a27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="397" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6a57457f-be09-41de-a78f-5d62dc1dc358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="396" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dd7081d6-eea6-4bc6-9449-f1cee71c0499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="395" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5bbf8282-c469-48a6-9fbd-4aa1da3162fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="394" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4b6ba0f-dc57-400d-976a-ed2a75c5de92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="393" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f75cde67-f00a-47b7-a12d-dd37fedccb1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="392" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a9a52d6e-f3e7-43cd-b19e-8622947bc11a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="391" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c38dad9-0df4-4f80-95f6-6222f5b63c89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="390" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a1e5d82-ec0d-4b87-b6b8-0c5792cf1942-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="389" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-30070253-b8b3-4588-876c-46ddab7e3403-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="388" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1369f13a-8a2f-4942-a9ba-a41718cd8ee4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="387" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9fb12707-94ab-4958-9927-aa1975a81fa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1280' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="386" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e64dd554-4b5c-40d2-b2a8-4b88d68b8195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="385" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f14df585-06e0-4c17-8bf3-f560b28112e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="384" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e4b5efb-62c4-40fc-a82b-e97ab5c763b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40999']" priority="383" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.40999'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40999' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.40999'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c72ea73c-77c5-4457-870f-e9791aa9f6c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="382" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): de waarde van @code/@codeSystem MOET ''999' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a2dc574-a117-4b62-b6cb-a05a561e0bc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="381" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-08650fa5-0eef-45a1-91c0-c20519ace512-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="380" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_74_Springt_met_beide_voeten_tegelijk): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e8e38514-2922-41dd-bf34-ff8346f4bd4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="378" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e5ef49f-8f70-4768-9292-0ffc465c2d70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="377" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d244a4c4-51b1-419f-a2c1-9dbfac23f37b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="375" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-04792ecf-813b-4315-b8c1-a996365f7bb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="374" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0c58113c-313d-499a-b55e-15d424e1e8af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="373" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-464d9b91-dc8a-47b5-80f0-352161436fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="372" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-43f4dcc7-3c4f-4995-aeb8-f02631d35902-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="371" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c17666e7-e5a5-4062-a086-b4cbf71be04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="370" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-97c06a85-cf89-49b7-a553-987539b0fed9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="369" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e3d3deb-03a4-445b-8b8f-c9d892e5201a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="367" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-efcf688f-8c82-4738-a899-e6e76c8441b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="366" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c7df2f89-5981-4210-a547-6a0c0795980c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="365" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-701fff5c-1b1e-483a-a685-d9f2c51b2737-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="364" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cac57444-ce4f-45ac-81e9-cea59118f355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="363" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-789cb47b-4d91-4a77-b856-5a1bb033d6fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="362" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2abd647b-2fb2-4c5d-8260-c9865ff9ca27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="361" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ec94b8b-dfcd-4a40-95ee-e0a57ed4426a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="360" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-214188a8-3d7e-4cc6-a8a9-912ba6bb7fa8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="359" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c61f39c5-a38e-4be5-a128-a747cfaa189c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="358" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d5591a45-500e-46f6-be2c-12d2cbbd85be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b3cc3d88-ebe6-47cd-9c73-b197ad2c5354-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9b711527-acb7-4636-bb2b-2f8ad03bb575-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d78dfb99-bbd9-4ff1-9eea-c50cec674204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a48831a-779f-426d-a943-95431b74249b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dbed24a1-21ad-40f8-990b-12fc16f269e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cbd7e7a1-9a55-43dc-aa6d-1a69cac8a81a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="351" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b055101c-d450-44f4-b4ca-3724915dbd7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="350" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-438310b3-94f6-46cd-b9cb-85e66171a7a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="349" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-22f8b735-8d30-423f-aa6d-fc2fcad0d6db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="348" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c9073e07-1211-460b-a6cf-a87b08fb7370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="347" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d16eb018-60aa-47bf-923a-39754a10a7f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="346" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-68f8ec3c-4901-402a-9579-b24ac0ca9ac4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="345" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f3526b37-0b99-4bf0-aeed-c64b9bf47cc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="344" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-471fde11-1232-4212-9281-6db79269a643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="343" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e2058c5-7bb4-4edf-a1cc-7a282d89fcbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="342" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-340ff450-2497-4a59-a176-4894c23023dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="341" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d63ad6d4-8151-4779-b5f3-327d2cbb2540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="340" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a7c2751a-3e17-4ca8-997f-3efcf566b571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="339" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-536fb29c-fd5e-4631-a57f-9cc900064596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='999' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="338" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc3475a4-6173-477d-8257-01ad74b9e64e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="337" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b7b5aa07-b26f-4f6b-8ccf-354d79dbdb62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="336" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-99f6513e-559f-49c3-a51e-df89d61d71d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41000']" priority="335" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41000'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41000' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41000'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-29c8b114-feea-4c7f-b04f-af99e36efc29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="334" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_74): de waarde van @code/@codeSystem MOET ''1000' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d2bf9e17-135d-4a5b-ac8c-b7de1a8be50b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="333" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c1605c1f-ca12-4ff6-880b-350009198e1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="331" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56755ff9-d04c-4077-9182-2d76f5ea1742-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="330" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a4f0ac39-a0de-482b-bc28-b5a3d1d4d2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="329" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e5bf7894-1478-4760-95e4-933bfefbb984-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="328" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1cce4251-8396-4d89-bf1b-6fa9d38b1b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="327" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-725a688b-da13-4e34-9bd0-b588a1f47f4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="326" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8c9998fd-e478-49ea-87f6-33be4819cc61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="325" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-64ff3b4e-cb33-455c-8746-56bad499db5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="324" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a8ce203-5236-45ab-b88c-11e8a24edd89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="323" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18b916b4-cf8b-49ce-8167-ba4a372a75e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="322" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69690738-5cd4-4e41-b9f9-825ebc813a6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="320" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0aaa3d9d-1699-4e8f-9ab7-14873b762dee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="319" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d90afe7-8daf-46c4-922f-cd38c2d0d254-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="318" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cafe5a0-9e37-4ac0-a33c-f74844605bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="317" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b37333f-92f6-433b-9991-c35546f59e85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="316" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0cc1d9e0-7bad-4209-aefe-56fcd24fc311-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="315" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7779094a-b9b1-4390-8b5c-e86cc82237be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="314" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-be63bc5e-dab9-4c99-a675-4c6d9a23ea91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="313" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d45ab3ee-2080-4e74-afcc-18c91845933f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="312" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4191ce75-92f7-4d06-bea5-25bf06ad19ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="311" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-61eea934-1159-4e20-af81-90bc1ff76f50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebfb3e1b-ab55-47b0-a9b8-06489bb3c19a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-85ed1aa3-739d-430e-9275-e94171372b13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ebaea17c-63b4-4180-a14b-8277aa522454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-69834fc9-3898-4bd9-82e1-3d3dfadeb041-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-20d02e30-78b8-4d1b-a307-fb2d4efa1de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6880dd47-2239-4ef0-8cfa-28c8db41e646-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="304" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e7f3458a-e0d3-406e-b570-2f30d88a1033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="303" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fc573ef9-6490-48d2-acc1-974d5a8ef521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="302" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bef11c08-710b-452f-9e63-f3ef03aefccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="301" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-de136f9b-fe0d-4030-93ec-beded23e3b31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="300" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5953a43b-7a0d-475f-a646-92c065235c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="299" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2cad46c2-a9a7-4e1c-aeb8-30009d97c9d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="298" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2a3bcb57-85bf-4017-ba58-701932852a00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="297" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cb9f1ea-83e2-4b1f-8da0-e1872ff6239d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="296" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bc167954-3d10-4b7c-af63-3214eceeb223-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="295" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f918167-aa42-4b3b-98bf-5a2e7bfa9161-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="294" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7ed5c6d8-40b2-4566-9e46-6d9363809836-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="293" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48998c69-86a8-4e4b-bb64-a33bae935dc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="292" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-790c10ec-349b-4d2f-9b0b-551d4162857c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1000' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="291" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c94d1131-96ba-46eb-9fcb-d281e8297b8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="290" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c61fadca-f013-4650-8d1d-e5598c3e8380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="289" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c381d6bd-5c9d-46e6-9289-c617c750204a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41001']" priority="288" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41001'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41001' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41001'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6199f3ff-9c58-478f-9537-e4cef7b02b77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="287" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): de waarde van @code/@codeSystem MOET ''1001' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9f9d0b3c-b2e2-4503-96fa-7d7696f1f491-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="286" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-eae34617-ea69-4e50-b3a8-a7ad7f75999d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="285" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_r): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ed946270-e20a-4560-b741-13f705e8b8ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="283" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4cb71b16-91d5-4cb3-8f4d-282b9aa9fd60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="282" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-96d6775e-eeda-4fab-a7bb-8e18f222f199-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="280" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-944a559f-7823-46dd-9d0a-f0d7203b269b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="279" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4882a9a-a648-4b80-ac49-85da1acc30a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="278" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f35ac559-477e-47b0-89b6-0edf9a804c7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="277" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f053b7e4-4ab3-4bcc-8ec6-eeebe257303f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="276" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-00a600b8-45cb-475b-b577-62429181b5a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="275" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b6319fc-e909-4f4c-b54b-e3d8bb5aa6c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="274" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7c272412-e6d5-404d-a463-3572e2645b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="272" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fef37ade-6157-42a9-9a7a-8f8fca2704a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="271" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-039d61fe-c2e4-4b79-a040-f22b0279b0e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="270" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e4f0da75-4c5a-46ac-a6ec-f0c4aafd7553-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="269" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3b60dd97-b7a3-4ed5-bc64-5dec9ce44d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="268" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58b99cee-ece8-4f7f-b799-e6ba58f8ccad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="267" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f75a6c2-fd63-4fd0-9b8f-f36c6f41c0e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="266" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae6e64ed-8483-4b18-9293-06a23c833e10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="265" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a187af6a-a877-4c06-8857-566092cba95d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="264" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2e87ce42-a0f0-4d77-ae5b-f542e1ea5b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="263" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b53c2a01-3e38-43a7-a1d1-54fd6ab63696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="262" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4ecd2bec-f016-44d5-8390-2ff988fe1c00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="261" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1e506185-fbec-4d93-846e-95e37284bf34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="260" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8ec4ef72-653e-4c6b-ab22-e8254bd2be43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="259" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aa30f4df-1c13-4a52-bc28-c7dbdd2fed9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="258" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-869fdad9-7508-4e9d-b775-f00535d57628-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="257" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-558d2737-41ed-431f-928d-81d654473ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="256" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2fd20d8e-c4b8-470f-aeaa-6cb4c20ee73c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="255" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-01fac3fb-7ac1-4ac2-836d-c6a222afd9c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="254" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bf564ace-bc77-4bb9-89c5-71395876292a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="253" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5445644f-6bdd-4df1-a8a0-5d303dbbc2ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="252" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0430d04-91d4-46a1-8260-20bd9550ac24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="251" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8a1ddb3f-708d-427b-9cdf-0933f579713c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="250" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-485da92b-8fbc-4475-bd7b-60851bd53f5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="249" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f365759f-6e10-4b44-8bb4-18f7ef017f2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="248" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f7ff636c-77da-4396-8d10-1e96f78cee43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="247" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c23b8a21-5d71-40d6-85b7-f7946c7a4c44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="246" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f03d3441-42e2-4031-9537-e08b2909e35e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="245" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78d5c114-6948-4651-b441-2ef19a8a3074-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="244" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2acd31f9-329c-464c-ae48-d21510081f42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1001' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="243" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-dea79e72-5993-459f-bef8-8c420ac091b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="242" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-246f6ba3-2d9a-47da-ba80-7d760cedfbf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="241" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b4dfa7cf-18b2-4e4d-baff-429f8fbe923e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41002']" priority="240" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41002'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41002' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41002'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f1223c5c-e904-4c3e-9feb-4d9ef38f037e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="239" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): de waarde van @code/@codeSystem MOET ''1002' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d141a728-1dc6-49c3-9741-99ed1da0ae1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="238" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0175_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): de waarde van @code MOET worden gekozen uit waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0175_HL7 W0175 Plus Min (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-48aacb68-d3f7-4269-a274-e7eedb91597d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="237" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_75_Kan_minstens_5_seconden_op_een_been_staan_l): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-fdcde1ca-9a45-4e40-b3bc-bac6b7ce5caf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-346c3d2d-f5ba-4692-8f05-935e813337bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bd0c9425-a10d-455b-9b22-77921b1e4ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-bdc70097-ce08-47ab-a7fc-9443f584b9d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-74daf7cf-26d8-4613-9d53-847d80939bb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9c6641a4-3659-45a3-a718-2495f1146784-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0412302e-a53c-4f18-8f09-ecc770c5bf06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5847f9f7-4b08-468d-b77e-2195796ca1ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7e7f9c75-82b9-4d12-9a10-20d5f9f3fcf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef2b8990-335c-4150-b210-49c49f8be6cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-92b15bae-2838-4b82-9bd6-0d579b68467a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-298c3f70-c8e0-4f49-ae78-c65868ba47e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9a9332df-c0ad-4fb2-9dc2-32d6ac75bd50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-807126e7-b5e8-4e5c-85e4-2c6ba4d79972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c3a8f00-bbcb-47f4-a179-7c80132b715f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b6bdce19-c81a-4d83-b2b0-09ab3b6f5640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e670f1aa-d5a5-4b0e-b279-47ae04da1947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-782654ce-2b17-414e-940b-4a20e94e0c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aea4c6e7-d1ee-4d0a-a469-f7fa9fc1eec2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a99eee2-90a1-4dc4-b3ee-0d5865a29500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8946ad9d-7a73-490d-8868-e01a3d13e9b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4df2ccd2-d05a-4403-a71b-995668ba9863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0e02016e-0e60-48c9-9b42-f9b9ee4c7076-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5f2ae308-0681-49dc-b3f0-de2bcf5e28cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-175ca74a-d0c1-4829-9820-142cf16f0a21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d78c5de3-58db-4d9a-8e80-bbf70fa417a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ae0d4bef-14c4-4084-a796-fd4551c8ba07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78e99b84-84a2-4460-afd5-f72c99ac4c55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da92885d-bb7b-400f-8119-e97ed0c9b23a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-5b7b9141-5009-4c4f-b534-1cc562f66f3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-a64a99cd-9908-4cea-a553-6b9ededc9222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8e802e1a-c1c2-43f8-81ee-0d52e93b7a1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ead8dd68-9d69-46da-ac11-62411485f5b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-18bd404a-4b17-423b-960a-e6e73f40e235-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0ab7f538-5a1f-40a4-8f16-93867492f27c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-50447d7a-64fb-4059-8c98-081970d8a5c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2516fe99-da94-4aaa-b837-42ff6293f6c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0fc14199-e20b-442b-9305-e8f9291b2780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3e3b29cf-dff6-42fa-a7e5-5d0d2a62b298-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1002' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-960a0e35-6710-4ddc-bbcb-552c4b673380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3bd96925-0ae9-45fa-8b9a-f2e1b6e777b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-56f30bd5-d8fb-4e51-979a-48fc636eccc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41003']" priority="192" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41003'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41003' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41003'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d0893086-f344-4372-8c75-fb477ffbd62c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Opmerking_bij_VWO_75): de waarde van @code/@codeSystem MOET ''1003' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b198399a-8f5b-4501-8fe1-214eab5158e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d712447a-8dd6-44e8-b1d7-fae7b9b93b01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9d706ba0-5460-4c2e-a1e3-a4e1d94b81f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-941dd1fe-af10-4028-9471-109d043c3283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47ee081e-1931-4e84-bb20-f70bb90a17e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f6522b2f-0020-4ff2-a91f-455ddc071aad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-995c9517-9591-4251-bf3e-4e9d4c972c02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b728da05-2668-43a0-a3ff-d63dd39d565f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-95331aea-f423-4914-aebd-4bb16b2719af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ceb664b6-74e9-4b94-9c65-ad19f3dfe231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f300b6c3-f421-4a82-9cea-3813660faab9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-842b6639-660f-4f0e-afdd-f0d0d6f75b75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4c87abc1-8cd8-4ecc-b59f-01951328d413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3ce4f33f-ab91-4b8e-b922-6476d0d65874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f19198e2-237d-425e-b505-125ecff15462-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ef09c820-de9d-4585-8c9b-7cd94159417d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-78895c4f-4632-4ff3-a1f5-1f50f387aac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-700c9f58-fcb1-483b-948e-4f3bb8d37cd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1a529d8c-bf39-4c3a-a965-b6e735762034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-895ff905-1cfe-4f62-816d-e13ee6e951cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ded5bd2a-f671-40db-989b-355de85c2439-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-14226c03-c0c2-4db1-9d8f-f1097ea1f1e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ad7bb192-82e2-4ee3-9ce9-c43f19ba6009-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e6336392-79b1-4bdf-902b-1e11c40eeb8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-ceff3afc-efcf-4d6f-aed7-17bdbc7a3e2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-444208fc-d2b8-43a3-b6d4-bdaa540e0fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cd8416a2-5118-4403-a32b-6d8956ca0a42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-034503d7-ce68-43b8-bcb4-9f2bf7dc3488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b8836bda-873e-4d7b-885d-e7d11c3a9734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6f7f68cc-39c5-4229-b40d-685262fd5bbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cfe66d4a-1b5a-4262-8092-585823983ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9e333bd-517b-4c62-8d9b-5f611b9c1a5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c3c58d61-0eb1-45fa-8570-f85c19299f11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9835e4c8-44ab-4017-a9b7-aab2679b8c9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-aaec8bd4-7c8e-413e-a95e-7c8ebd07e8d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d61230d3-8323-47af-ac9a-7f1927437ac8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-cce779a7-3d39-4ee2-893b-941d0a1fe95c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3a6538bc-9292-43a0-a2f6-e51ad23dbce5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f38d550c-194a-45f9-a6ce-f6c760050145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-771d3ad2-66c4-49aa-8dae-306bd44ed440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f87749c7-b567-4609-a691-e95bae82dec9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1003' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d913c0a6-ad49-4d42-94b5-08fc7aee331f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6655561f-0409-4d0e-beb0-e4788a07f45e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e36e2bb0-7056-4503-bf4f-2317cf3198af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41004']" priority="145" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41004'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41004' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41004'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d7011249-dcc8-4ce4-8170-5ca44bcf9a11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_Van_Wiechen_onderzoek): de waarde van @code/@codeSystem MOET ''1004' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f48267b9-f980-49c8-90f4-b27441313ac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e3c467d9-e28a-4aef-af94-795763a7f358-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-89f6b49b-88df-4a75-877f-ede77bb63e13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6c80d2ee-80e8-4d41-a55f-faf5237fa329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-58b53958-5b52-4e35-9169-860e91e4cd56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9e008391-57ef-4c76-b82a-b65610fdbf23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-4140dbc5-a3ac-4231-8859-d2ec3ae31507-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-81e49954-5c1b-4815-9c7c-03a838134e36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c2d5f16e-ab62-478e-85a9-756307641c45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da993d0c-16fe-4d38-8ea2-94005d826117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-f94e74d4-9c42-4fea-a407-698faa2b6021-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-c27150f3-fa73-4b4f-a919-43662d8e8069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-caf04b48-78ce-42ba-91f9-9f4078665f48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9305c7f-acd5-401e-89a8-69a732e0a59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-d4e19346-1377-40e7-93a5-bbbb555d21f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-73862116-5799-4b77-af8a-578fd90474a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7cc5b094-7c25-4ca7-8dd1-64952a7e894f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-930fce4c-4df9-48fe-9a54-d3eb7552073e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-12b683b8-9263-4a1a-9825-c80886dd08f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9175e50f-3efa-4cc0-a7fb-147b85ca8141-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8b9d5627-17fe-45f7-a570-4455b4a09bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-6245f1b5-5e51-4eff-a950-121b54a9faba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05b6f405-32d2-402c-89b8-d4e6b4d7e8ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-34ff753b-1c5e-4011-8daa-30a9db65ea20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-435c112e-5c1e-49f4-a120-6c4d8a6e2de9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-8d3254a0-8abe-47d1-b702-16dd0b0b248a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b9b46456-3948-447c-9a5a-f277f01ef13d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da654709-9e83-4ce9-a217-7481e218d17b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-da2ddd9c-311d-488a-8f91-b42c1be53c07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-47c63d9c-73be-49b9-a7ed-7b9571aee6d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M83">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1bb32657-ce09-483a-9448-c5c5b4e4d93d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-9cb37ab4-64e7-4482-b050-24e29e3c704b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-0a1cd80f-7812-4b02-836b-c712878a3e06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-784010b5-b322-457c-839e-5710ef2da72d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-1c1ae67c-b829-40a7-86d3-c9cffa548340-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-3842041f-a951-49cc-8df5-7f18e6029617-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-e284b283-d56c-4303-8f06-e1bc0447a436-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-05e65a60-eae3-47b6-aa7a-06b0bb83c232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-2ab2200b-6251-4ef1-a1f7-7f60a377dab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M83">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-7f879f1d-41e6-4038-8f55-666a8ad972d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M83">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11042.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>

	<!--RULE tmp-b196d924-07d5-4ed6-add6-b515e735ad77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11042']/hl7:component[hl7:observation[hl7:code[@code='1004' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M83">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M83"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M83"/>
   <axsl:template match="@*|node()" priority="-2" mode="M83">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M83"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M83"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11043Rubriek 43 BFMT-->


	<!--RULE tmp-404af2da-6199-4ba7-8226-e70c5190f2d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']" priority="1948" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): element hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3db74c76-4aef-48d1-8617-398345af1f74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']" priority="1947" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11043'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11043' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11043'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13773216-4c22-41c9-9368-c47be1a94898-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:code" priority="1946" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R043' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster43): de waarde van @code/@codeSystem MOET ''R043' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R043' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6499e222-c374-47f6-8426-5f4cc6cde7bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1945" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e3b127c-db2f-480d-857e-8f79f5708e5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1944" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bd74f0f1-1225-418c-8552-0056ed32d4cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41382']" priority="1943" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41382'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41382' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41382'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bea79556-2ac6-40a7-b5a5-ffe35d1599b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1942" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): de waarde van @code/@codeSystem MOET ''1382' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ddb343ad-e9fd-482d-90ba-730db2630843-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1941" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Gebruikt_hand): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-26b9a9a7-a717-4262-859b-76e89ba8b04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1939" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a8e3354-95ce-4378-abb6-bf4ca3ea73b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1938" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0d5c2948-684b-4d6a-b18f-57a05b304f9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1937" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d0472731-7467-464c-baf7-232d1ed12bcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1936" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0dac8a09-a804-409c-aba7-d94ad2429e6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1935" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-72e87d64-9181-40e8-ab05-dec3ed0eae11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1934" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f5d06eb-664a-488f-892b-70890bcb8881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1933" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8420c79f-85ea-4ea3-8571-272bc3e8840e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1932" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0e228e9d-1306-44da-9f34-5135b1a868dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1931" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-be7d8040-9474-42a5-b4c9-21bd66fd6100-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1930" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-973d75bf-0fe4-4bda-883f-8dc26ce23ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1928" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2e1e00ad-afc1-43e4-a1b5-4e8d3bb96e18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1927" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f691206-cc19-4480-a029-a3d855372911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1926" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1d69417d-cfb1-44a8-b40e-92306661211b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1925" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-87da2ac8-ff41-4f5b-bb4d-8abe74456623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1924" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0746a5a-1827-4a1e-a89f-5e7cd5a0ee0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1923" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4c328902-fdb4-4747-8347-437628793186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1922" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d24e22b3-2f63-4762-8e35-22ec7da146fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1921" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e7c353f4-a74a-440c-abf7-c1c63826b8b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1920" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b28589a3-730c-4eb3-90cc-5caa94256ecb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1919" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01ce33e5-48c3-4433-bf9e-f36fe6587e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1918" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f105a03-739a-4703-aaba-13b4a5bda20d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1917" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-155a11c0-1472-4e34-a605-eb1ca8405e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1916" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-359f156f-3de6-4450-adfb-044ebcb2c7c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1915" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a758a353-f99f-4ba3-a68a-1fb0124a694b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1914" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ddcb5c22-5a78-4a00-b280-fabdde9c0fb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1913" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b12a2670-dfb2-49ef-aa77-2a411c913e13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1912" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bbb5b6b2-d98b-4df1-89ef-7d4c01123558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1911" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d018278a-3520-4a71-97ed-c90dfa9a95cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1910" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-77f72fc8-9d5a-4afc-aa61-9a91e13a230d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1909" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2d7bf01-7de2-4340-87f7-fcc6d81785e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1908" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2877a688-e4d0-48e7-8ec7-4807d9eeaa80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1907" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-317e0564-a1af-49fa-bd2e-ab9cb2008dc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1906" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e6b326f4-a955-42fc-99b2-ad2b040c8aa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1905" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3ae2a93-f6e5-4927-a965-fb05473f2a3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1904" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f0ad612-a1b7-48af-81cd-e0d7decbe1f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1903" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0b36b88c-3e48-4f3e-97d8-6ad68e8a4420-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1902" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f7d2a1b5-59c4-446d-96d1-f5c9ee99a513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1901" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4d6bf105-18ec-468a-a464-e7d84d723879-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1900" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a2ebb52d-c0e9-4d0c-8b0d-19458dbab60e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1382' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1899" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b9d2db91-ee4b-47e6-bc23-62482fa09ac9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1898" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c3c25e94-c12f-4631-b285-1b4c3b2a1183-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1897" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e3479b1d-344e-4a77-9a52-b5975368d803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41005']" priority="1896" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41005'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41005' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41005'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-249a1de1-dcc6-4d73-b64f-a7726f886d33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1895" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Observatie_bij_oefeningen): de waarde van @code/@codeSystem MOET ''1005' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1525d68-0b9e-495e-8aec-7619188fc5ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1894" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-93e1bfb9-2a2c-42f0-8f9d-a2bdfec4e525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1892" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a83f15e5-f228-403a-9860-d361954f99fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1891" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ebabfda8-3a49-48f7-8d3c-d9b2216a9246-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1890" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-82f9db16-c8a8-42a6-a6e4-637e2ee6b56d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1889" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe082071-c018-47ae-bddf-9fd79346f749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1888" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a28e8429-2b9d-4110-b6f9-0a77778f5d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1887" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dcf11ca1-b600-4bd8-ae0c-b36dbe59616a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1886" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48f22326-635d-46de-8766-56b43c9c892f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1885" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcb146ea-4a90-4646-9508-7f176d915317-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1884" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b25fddc8-de8b-4c9d-9167-e2b2ce4eb37d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1883" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-66167e5f-8891-47dd-a459-f7a91fb83132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1881" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-630e562f-735c-4948-81b5-d36f65c0f4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1880" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-73c0abe9-4b51-4e5d-a435-0713b904b5ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1879" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4ed3a85-741b-4fc3-a0b6-b20fcf324f65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1878" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-81631ddf-d211-4423-b521-715f1cce6384-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1877" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-46fc7b62-d35f-4837-a157-fa6f8fb811ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1876" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-89b25004-3cef-4bdb-b15d-486dd2d91109-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1875" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a10e6988-2695-4f09-93ed-16f177a3d30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1874" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9174c8ad-e6c2-4293-b6ff-1f620cc78afc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1873" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-017a9867-7995-473c-9dbb-39d0550deda3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1872" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e0f3a40-4b7c-4eb2-9ad5-31abc1386d19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1871" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-677d24db-12f2-4548-b022-a60a014043f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1870" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bc24f782-47ef-45f5-8ce9-2174e2462e77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1869" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cee90b98-bbd2-482d-a69b-a5fb671a1849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1868" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-11226169-49d3-4e44-8c93-e27f85697dbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1867" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-267a05f8-7b79-4bab-a405-912eb05ca8d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1866" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-88504f4b-eef2-48ba-9d55-a2c07a7bb41e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1865" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9dd4f410-ce5c-4cba-ada4-da6fde5825a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1864" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-676c508d-663b-4eff-91a0-0fab37fbafb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1863" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9f6311b5-21bc-49be-8725-0cc314f94238-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1862" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c468cf8-afc2-41dd-bddf-90977b837c33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1861" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ec939466-562d-409a-a5d7-0d517daadd3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1860" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01bd92c5-f26e-4604-8004-b6f19c69b25b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1859" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d5c52b33-15b2-4187-b3f3-2f07cfe28733-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1858" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ffab890-9f80-454b-bb2b-64f47f105502-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1857" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-de0c6b14-3f3d-4a37-8d3b-d854d8634272-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1856" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fd587b60-a23b-4b70-8765-a11f791ec964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1855" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cfdc6b06-692d-4d71-9dda-5e5a81329039-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1854" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d748f436-9c95-4310-bbd4-91e542654ce1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1853" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-66871866-fa70-4995-b11e-3d078aa9d9df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1005' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1852" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3fb51755-80b8-43ed-8bb0-3c629ff4ddec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1851" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-18c2dd15-582b-4637-963c-1ec3ba747131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1850" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aac76bb4-1323-485a-960e-3cc299995dc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41006']" priority="1849" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41006'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41006' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41006'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5690da4-aa8f-4b30-9522-61270ad34664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1848" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Scan_van_oefeningenblad): de waarde van @code/@codeSystem MOET ''1006' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-480562e6-96bc-4cf3-aa89-87eee0a746c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1847" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reference)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(DatatypeEDTextOrBase64): element hl7:reference MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:reference)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:thumbnail)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(DatatypeEDTextOrBase64): element hl7:thumbnail MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:thumbnail)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-668d29a7-833f-4710-91c5-3d8224fd1e9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1846" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bbf1b4e1-1f1f-472b-a9d3-de1ab7b69d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1843" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-824109e1-fdb3-4385-bcd0-df83e453e8d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1842" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-505df172-8de3-45b8-a2e2-c4dd85007c39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1841" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-89988859-bb38-4f9d-8e39-07202479b04b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1840" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-00390732-68a5-4b56-bf6b-49ec8faf036c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1839" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c1fdd97-1e03-4495-8fe1-dbaa2fa6d2a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1838" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b275202-489a-47f4-8c32-fbeeee6fc97e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1837" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2ea806ae-1239-4ea7-8a34-f30dc7b183c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1836" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-179b46d9-2967-48d5-8fec-39d700006124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1835" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d17c83cc-91e2-40c8-ae5f-0c4a1dd9eced-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1834" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8ed01b40-1bb3-4026-806c-708e00d236fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1832" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6d552524-3d62-4983-880a-76ad311122b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1831" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d3f3d483-6fa5-4a38-9d53-76761ec1b615-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1830" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8ca86b73-4949-4fdd-8604-45d23a276fdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1829" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0cb4cd8c-2e2f-41c9-acf4-5327e0fdd0fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1828" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-980e4075-67b2-4e4f-b17c-ed30f5eb0d25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1827" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0bfc32af-ef9f-4b38-98cc-d49d33c32960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1826" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5c28b58b-cd9e-478f-b4b7-86129e3e39e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1825" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f459a1c5-fdf1-4a8c-a2e5-eca8fad75dc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1824" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d7887ec-17ae-4686-a280-e89cc5860efd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1823" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cd7b6b79-9624-4ff1-8996-f3165e4cda5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1822" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7bb2a450-291b-46c3-ad84-cf872ac35a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1821" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-04a7a93a-c826-4ef9-b16d-353a755a5dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1820" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01fe4b4a-3aef-46a9-834e-64631446086d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1819" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-901eb3b5-8aab-4073-884f-340aa71dd132-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1818" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f7cfa5f-ed58-4ed5-8e7c-34d47f607963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1817" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-549471fa-613a-4098-93c7-8763b74093ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1816" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cf61b0d9-2504-49fd-9b42-1c6cb6e19904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1815" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dec8925f-3605-4352-9676-bddcd53aaa6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1814" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2181c611-05f0-49c5-bf6f-b353a2b5bc8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1813" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0a9ec9ed-49e8-4763-af53-b7cc5f3c4dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1812" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-29696a23-b99d-4f7d-b34b-cd29d0e48b22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1811" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a565a35-6b55-4d6d-b73f-4b8d38fc4ce4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1810" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d133b53b-a835-43b0-bb12-e669b767e78e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1809" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f51eb39-3f5c-44a3-88c7-57264506a369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1808" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ec327005-65cb-4ed8-a6a0-0b7e1785ca4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1807" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b430fa9-778a-4beb-8698-fd0716b37d82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1806" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa3489eb-3292-481c-a867-b84abe235431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1805" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6ebc80ce-589c-46b4-8d79-c1a600e75b25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1804" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c7a7411b-4526-4f4f-9521-3620857b3082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1006' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1803" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63c99b40-85a7-48e5-b288-6b43bd924e50-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1802" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-241f757f-7173-4539-a551-99e8a2551d11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1801" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51a0a0a3-9683-45f7-a8ed-143a070f36f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41007']" priority="1800" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41007'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41007' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41007'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0381e1a-ca31-4e64-8917-d6c9e16d3f4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1799" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1007' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49a4ac1d-dcef-4d09-8175-a1f67f1c24df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1798" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0523_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0523_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0523_HL7 W0523 Figuren natekenen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Figuren_natekenen_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0523_HL7 W0523 Figuren natekenen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3503ecb-cd65-4fad-85ce-784a0bb0937b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1796" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4894cdba-e45e-4b3f-9921-8e5e64cf464a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1795" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-654868df-1019-45bc-8b19-9a89f9c21b6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1794" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-53badffa-af0f-4a7d-9c10-d054720a1a73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1793" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1be9ae58-49ea-4dfc-ab46-c3b337ced234-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1792" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-77516ad3-0ed6-4b74-b757-e78fda9a0b35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1791" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6fdf5d60-6abb-4d0d-aef3-b1ac7208a9a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1790" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-30578490-3450-4cbd-82df-ab82739fafdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1789" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4fa90836-7609-451b-b062-6c67603090fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1788" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-93fb5801-7052-46fc-ba85-6fd5f7257687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1787" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea218be6-316b-489a-8cbc-f30ac4e3babe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1785" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8dcf6584-7707-4e2f-83ec-279c220e703b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1784" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-185ee8a8-6938-4db3-89d0-9a7fa1c11697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1783" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b5e6924-dd33-4c32-8e88-8c121975ed27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1782" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eeaa98a9-1178-40db-ad8d-0f52c818f6af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1781" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-99ceb1c3-1992-4512-ac95-697d34bc3c84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1780" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c728bf8b-8baf-4ca4-9bfb-653171fca066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1779" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-20b2510f-87cf-4008-aa45-1d1938bb5afa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1778" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-85ec35a1-9103-4d87-a7a0-77d3be32d92d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1777" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c612e9f-677d-4e2f-861b-e25712fabad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1776" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a989ae0c-9657-4319-a47f-98e19f9c548b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1775" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ef0316a6-af3a-4203-8f83-859f9b99d370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1774" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3e303dd-9196-4c73-bc18-d8e95d24699f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1773" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f2e8abcf-398c-46d4-9c76-dff6fa0c4641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1772" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0a683ad2-16e5-4535-aa98-70d1b2f15edc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1771" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b5619fc5-bbba-4a5b-af73-ce77414d8438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1770" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35254d4a-ce28-40d4-a8ef-6a3d30a3306e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1769" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a6e2746-5fad-432b-a1cc-606f0771dac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1768" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e6ad66e-5077-4216-9969-d84321f969ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1767" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-332ab573-1dc2-4b21-8822-67472e0ea440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1766" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-974e0026-6369-44c7-a035-8d5df0ad6408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1765" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01eddd40-7301-47df-9ada-27de9c2211dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1764" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fbbe55d0-5b1b-46ed-ba98-da958cf0c148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1763" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0f85e4a8-f4b7-4dd4-abf7-226508da41ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1762" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28d48cd1-596a-499e-afe9-e6099217c6c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1761" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-11e8b3b0-3f9d-4b60-a803-6f22033183a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1760" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-649751fb-9c02-4882-86da-dda5bcc9a990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1759" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9cc28e82-96c6-4426-9f03-2b778fb2f477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1758" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b165024b-2ea0-4566-bf05-a70d3dbeb82e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1757" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-983b3c63-d94c-4c40-800b-34b1be45a04e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1007' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1756" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d86084b-fc4f-4c35-8018-e45f7700cef9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1755" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1f8796eb-bc5d-46cd-9a2c-a83111c226b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1754" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8b54c94c-36d5-424b-b186-a97586a07606-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41008']" priority="1753" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41008'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41008' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41008'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8c8fe86c-0ad3-46fd-a1b6-a4a3debff577-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1752" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1008' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a362edc6-87a7-4e6d-9223-e874a0b150b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1751" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0524_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0524_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0524_HL7 W0524 Lijntrekken - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0524_HL7 W0524 Lijntrekken - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c04634b2-c4a2-4f38-949d-b2d6d66d5840-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1749" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe8c3aec-d358-401e-8cdf-a24f1bb5d93c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1748" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8e494468-4aa2-455d-85e0-fff1ce96a659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1747" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8210a8d-28b4-4e02-bd2e-939c5b5970e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1746" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0c050cf-82c2-40b4-9dd2-81111fb3e094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1745" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dc10f218-001a-40cf-a04e-7bccf6ac8159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1744" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-68f3ed6c-0841-4051-a6ab-c2a347298cbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1743" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9b7f1e30-1ea1-41e2-af19-fabda050dfcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1742" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1e669514-7d6a-44ef-b046-0aa47863a25a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1741" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eaa26c42-a2cc-4b92-9329-31ab80fdabce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1740" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-25c3a204-ec1f-47ba-8fe1-6ab1eb75c758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1738" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-367b10e0-77a1-41e4-b3fb-e4c2ec648cdd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1737" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-05664509-cbc3-4c5e-bc30-b7b42212216b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1736" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b0f7f9a-bb13-46b3-aca8-ebaeff949517-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1735" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8febe70-0231-49cd-81d2-c80cd3719966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1734" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4482f0f3-9133-4e78-91a5-d0df983868cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1733" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e785b05-f2a2-4620-b3a3-c219e65d0a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1732" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e2741acb-283f-4951-814b-7fe029ee1931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1731" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe7f4ad0-1b20-4851-b059-ab9939f12e4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1730" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1e02588-816e-4ec5-9dc4-0d97310fd806-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1729" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8df1ed31-5574-446a-b86b-06b337d70367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1728" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6dc79f54-61dd-4344-aef7-06f11fb14fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1727" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-86facb76-4398-4285-bd97-033644766f51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1726" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5d15609-eaac-4cbd-9e19-6b7f58df678c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1725" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8bf3280b-0275-4d9e-8b70-93be3509b120-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1724" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6d21b8c0-e253-4a27-86a1-64f4adda66f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1723" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-07f11ab8-c5c8-4776-a73c-c4a33c4d3549-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1722" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e875ce5c-7628-4393-8e06-3bdd8abf1b4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1721" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eee55895-cbad-4146-b592-e365567a3b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1720" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-146b204d-1c84-4c4f-84ef-b98d5fc65a8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1719" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f0bc61c3-8656-49df-ada8-264fc18ec7b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1718" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d04d793f-184b-4012-8b21-a1d8b3f47d56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1717" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-324d40dc-4200-4102-9142-7ecc72d31d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1716" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f7632337-ecf4-42e0-8f14-92aac132e697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1715" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5e7beeb-dfa7-4bd2-a605-352ef8b8cc7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1714" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eda4a526-1b8a-4995-bfb4-6e9f98f08306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1713" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2e3c9772-1363-478c-a658-57034f49443a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1712" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-31053cc6-0dac-4b2d-99c2-b3749a2b9b56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1711" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-41b9d2e0-8491-498f-bfe0-8f4f46a81c5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1710" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7a2d90db-c8ff-4e0e-aab5-1cf09e8da4d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1008' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1709" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b45d0d49-1221-41f4-9f8c-c47f5f0cb4c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1708" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c38a5c4e-c5f3-4bde-830c-87c7d64bd165-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1707" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df1bb763-a896-48b6-959a-f9476929cb2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41010']" priority="1706" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41010'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41010' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41010'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c684ab38-91b3-4e2f-8340-65454d5fa6fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1705" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1010' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0a68839d-0a88-4f66-a0f9-29d4d8dd0c57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1704" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0526_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0526_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0526_HL7 W0526 Stippen zetten - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Stippen_zetten_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0526_HL7 W0526 Stippen zetten - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6963db9c-df10-4b5b-8a07-461bf8418c18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1702" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9d93deca-c79b-433a-b157-7e65888312d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1701" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d86e1142-a510-4a3b-b790-7be35dee0d63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1700" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d31dd82e-7745-4812-a99f-34b8cb255760-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1699" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d93c3f44-2094-469c-8009-121fe756ae2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1698" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c6a9580f-aeeb-4c3f-af60-419dcbfb4232-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1697" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-87b75227-2bf3-44c0-9818-de9ec2f11777-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1696" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-808bb663-46dd-4d9c-a490-a73c0ecc3528-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1695" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a9d03b5b-5bc3-4581-8d3f-0903cc1d4c49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1694" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c6964d80-6d85-4934-83db-8ce6e36cb979-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1693" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0ad855b0-2a74-4a0e-9c2d-fee50f53d79f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1691" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-be22c346-027f-48e2-8c82-f6c19c1c1792-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1690" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a6662166-4660-4c34-8cc8-aa2bfa1d3b23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1689" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3de5e1ba-65f4-457c-9664-dbaf9b780ac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1688" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ff69dcea-9f54-44e3-bf91-cac5facd3159-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1687" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ba980588-7974-4705-bf5e-b67b92651026-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1686" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c6fe2779-da5f-4ff2-8dc5-4b9acbf8877a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1685" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5ab2f811-af91-484f-8b4a-b47c34f62e36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1684" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6934e2d9-4d1a-4097-83c3-a2805bbea69d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1683" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-27cbe13c-61db-4374-9eda-1c6b9163fb16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1682" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ceff115e-9773-43e5-9156-b89737a26fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1681" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-61e83b91-fb3f-45e2-9392-5e14d4cfaf65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1680" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f8beba13-26b7-41ed-9e96-9dae7910b1fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1679" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7f71776e-dd83-4488-b875-d17a45f9eab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1678" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4d756bae-a2ad-4bbc-8776-d3fe60445004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1677" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-40b9809a-6c64-4b68-987a-6d73f7703a26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1676" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60f30a72-bfee-44ab-bbe5-5a8352d95d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1675" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1005841f-d5e5-437e-96e2-3729b3555604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1674" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c1bc2cf-cd29-4ebd-94e5-e8a29379fd28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1673" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-00ea3a8a-32fa-4095-ac7e-56a8c7d035f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1672" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1485c4e-8830-4a2f-b953-972a21b37ab3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1671" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6477d28d-c772-428b-9a15-c56658df6121-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1670" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e8772ce-c283-4bbc-a5f5-687a4173b7db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1669" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-34b4dd45-48c5-4f36-be7b-982a66a6421c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1668" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c69d9eff-3a38-4647-b001-6130aa8c9344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1667" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-89afc2a7-b22f-43b7-962d-9ff26093a1d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1666" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b6f1228a-8488-4ef1-a183-3351b86e654c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1665" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-06ac7dad-0f91-4038-950e-167f5e8c8615-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1664" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c85c2bd2-bff9-4d80-9527-15a5650fa7f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1663" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cb78f0d0-eb10-49ac-a8b5-3bc477de4d65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1010' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1662" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d515737f-4da2-4b0c-84c5-c77158134513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1661" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5926c873-8a3a-41b6-9b5c-63fbfd543fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1660" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c6dbe89-3d13-4383-a515-2c069af7e046-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41012']" priority="1659" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41012'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41012' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41012'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f4acbd28-615e-4d10-a98e-dbf576594609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1658" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): de waarde van @code/@codeSystem MOET ''1012' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-895cd120-3941-4728-99f7-d89c1fc5c3ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1657" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0528_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0528_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0528_HL7 W0528 Vinger-duim oppositie - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0528_HL7 W0528 Vinger-duim oppositie - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-121524ff-fc80-4223-b347-2a456b306e2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1656" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-18d9d475-b340-4746-a31f-6a330f4de7cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1654" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f34945f-4986-4ca3-af57-63e072f5adaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1653" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1d90756a-7de3-4724-bac2-c72b00ce16de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1651" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-44cf5c74-d614-4f3e-a87a-634087914d0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1650" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b43c7100-2544-4481-83ff-8750b2c3a23d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1649" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-675ff61c-902c-464e-ba61-16f8c9a75fbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1648" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-70dfcdeb-fb7e-4c16-b9b0-0d083b6805b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1647" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcf7e1cf-1046-4a1d-9a05-b6d8e0ed4cae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1646" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-40cb297d-557a-448f-aa94-64f84cc267d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1645" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d802e88e-c09d-426e-8ab1-3eecf4b7fac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1643" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37aa832d-279f-4ebf-8672-5e7d33daa7c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1642" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-20b9eb9c-416d-41f6-8d93-3eddb7c74dfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1641" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-52e7cf76-b12e-4075-8449-0ca21beba783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1640" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48c457b7-6789-4484-bdd3-e81d2cbbf707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1639" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-484b0b04-8b31-4f92-9895-155e1a30b01a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1638" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9584c159-741a-46aa-898f-4b5939e79e23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1637" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d00e56e3-eb0e-4c54-bfbd-1d769b2fd4f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1636" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b855ba7a-aa38-4846-9289-9521fd8fd4a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1635" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37951507-1e87-4125-959c-be814ed4f2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1634" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13938585-390c-4e3d-83a0-cab7684f2eb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1633" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1805840-5975-48ab-b5b3-8d4bb37b5ed3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1632" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-006ffdba-600e-4e91-ab4c-991a05283876-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1631" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-26db81cd-a259-4370-a20c-97a50e2d800d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1630" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aed18047-e82b-4842-bbcb-d4a9d9dcbfd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1629" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8e6c8ee3-546c-4e67-b8f6-53967739a72e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1628" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcfc67c7-ef85-4221-8101-9865f1b1be74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1627" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-895a90c7-9376-4475-90d3-9260e5841d16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1626" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a4ff0294-da60-4155-98c7-315a0bdf26a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1625" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7181590c-015e-4249-9479-90f79d1ca7fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1624" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c7d58b2e-d8aa-405b-b0cd-91d290ce4425-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1623" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-10291134-f2cc-4ff8-9cb1-4e2c18c34c2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1622" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51992130-b7b9-48eb-bde8-1b75ad8b209a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1621" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4cfdb2af-195f-474a-baf0-222eaf1f662e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1620" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-523f01ee-eae2-4769-b9c6-9df6f60df696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1619" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60275300-6a92-4924-addb-8f891f04dc52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1618" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e6c45d4-02a0-40e5-bca8-d74d4b693e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1617" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9136519e-53d7-459a-be8e-1581d84d2939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1616" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0875eb7-4493-4021-b22f-2a4e6ce1a54d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1615" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-483d624a-414a-4d32-a78c-bcd5c3bceef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1012' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1614" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1ab0344-7c62-4f2e-9cd9-d9526a8b8e41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1613" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9dace8cf-99d5-4349-aed5-4f943ef56d6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1612" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9eb9c840-7d56-4347-8a3c-f3da2afa394f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41013']" priority="1611" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41013'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41013' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41013'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1993be85-6636-4b5e-a321-c5caac4d4d86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1610" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): de waarde van @code/@codeSystem MOET ''1013' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f0134795-4997-41f3-9625-03eaa4945830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1609" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0528_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0528_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0528_HL7 W0528 Vinger-duim oppositie - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0528_HL7 W0528 Vinger-duim oppositie - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe69e207-38d2-44cc-be1c-a8a6a2dfe528-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1608" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c579ff3-10b0-414c-951b-bde1efaaaf99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1606" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-97cfcaa3-1efb-47d2-b983-2f0d4c8e8f3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1605" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c98466f7-c957-465d-9898-6dcf71c72ef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1603" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-71aace36-be85-4a1d-9ebb-b1836efa45bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1602" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d526ab55-3bd4-4c0c-a3de-1a30ea08d7cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1601" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4a510c35-2d8f-48f3-b0a9-1e51e4fd90a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1600" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7c4c1f28-d307-4939-85d9-7a5f46079c32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1599" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f87a1a6-eed9-4fc7-846d-47e11340a95b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1598" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-993546bb-c17f-4483-ac2a-16b497a239ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1597" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f77aa3fe-5532-43e8-8c7b-41ba9f0c01eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1595" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c938ea0-9dfa-41fc-aab0-3f11a316a3cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1594" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea762746-1688-4238-a91e-f51685a7a4c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1593" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1bea96b-7f66-4283-803f-f41fd38e9bdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1592" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-337115f5-7ccb-4c32-81d0-3ddbb665ab98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1591" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5fd9eed0-b5dd-47af-9b5e-5b3f1f8e24f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1590" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-254ac160-fe06-4f40-bd54-0dbffcc5c5fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1589" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c179a931-992d-473c-ac77-766aec9a966b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1588" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f299b639-97e1-4ba4-8e85-75fe23490c46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1587" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c2ebd145-838a-4f56-aadf-022ab707e854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1586" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4eb59b51-ddac-432b-95ca-8b8074777d0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1585" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-afadbe1b-4042-49e2-a9aa-84f5a18ff22a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1584" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2e805155-6229-4db0-8954-91456d7949a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1583" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-09614098-f874-452b-80e7-4e036c4749c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1582" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0bb3dfd-7fd7-4a22-9b00-b5097294b774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1581" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0e52b788-a2e2-4376-ba0a-c5bee1e661ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1580" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a1f8723-1f99-404b-bdeb-16a9b52ed8e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1579" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2211855-3e30-42c5-a547-b7d35d2fb91c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1578" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d6f4615d-3034-45d4-8e09-290997d0672d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1577" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-953526c1-cc9c-4257-995e-0701bbe9e473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1576" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-52391fa6-f07e-4316-986f-fbe46aa3c925-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1575" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a93d354-64d9-4515-902a-322715f38874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1574" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6960fadc-9f92-4601-891b-33485287220b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1573" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d6f47cad-b0c5-41df-962f-94b0ebc9162c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1572" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-475d142b-5f39-4912-aca4-6fed20c7923e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1571" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3bd96080-3f5b-4222-860f-1c916def8854-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1570" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bc0c7d55-5371-4477-bd1e-3a3d3aeb2501-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1569" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a2faeaf8-7ec9-4975-8ae5-79eb84ca3f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1568" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-272d4be1-301c-42cb-b9d4-04d1f044df97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1567" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e50008e-e15e-4a5a-9721-4ab47026f07e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1013' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1566" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-84c85ebd-8e32-4f4a-916d-0a643e252c9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1565" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1307658-e593-4ad3-9013-7f66ffcecdea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1564" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3c7b2194-98eb-481b-812d-4c44877c7135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41015']" priority="1563" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41015'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41015' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41015'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bad934fc-3ce8-4a23-a3a7-ad39b529861f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1562" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1015' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-57113729-e93b-4b58-bd80-6bf14d0f0c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1561" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0531_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0531_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0531_HL7 W0531 Oogbewegingen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0531_HL7 W0531 Oogbewegingen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0f08e216-93f1-45bd-992c-008e8b29f1e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1559" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-76b2309e-d4ca-40b6-bbb7-00ba9befa4f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1558" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b397fa37-5ca2-433e-bdeb-b50640a188f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1557" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-33482f53-5cd2-4a99-8e93-d3fba224ab8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1556" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0d6503d0-acff-4d4c-8d05-7a7c51be97be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1555" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1ecf6e5b-e3c4-4ea3-885a-e56333057265-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1554" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13c415de-552c-4b1d-9864-9c6ecc58dcd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1553" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f7389e3a-558f-49cd-a4e7-276ca3368aec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1552" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3d43c15-25fa-4f56-95a2-3531ea2f43e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1551" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a69d5aa0-d775-4034-96b4-c80ad4d4496c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1550" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f0ba9407-5ddc-4b4a-9202-64125cd7b2bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1548" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-86eceac7-cb74-4fcb-8c38-c7e34896de02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1547" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0d473c0-0e67-4251-a382-4e9d4c242c1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1546" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f20e036e-8a38-4145-a8f5-239708659c5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1545" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1319becc-273b-455c-9d3e-a21cebfdc5ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1544" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bf8dcaf4-e2b4-4fa5-b491-68aae5623407-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1543" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d58af27e-d12e-46cc-8ac7-b6ae57ec21ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1542" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b9f830b-fa95-47e0-aa6b-5591d66116a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1541" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4324ada1-40c7-4f0a-bc04-4daac8d8534d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1540" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49dcb818-68f8-4eee-9189-40fccccc246f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1539" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8085cfd5-a387-4ed9-a9f0-735aeadd77c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1538" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49a9ee73-69bd-48d1-adbb-4db04e740993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1537" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c20d9e92-58b9-435d-9a2f-f6548f5069b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1536" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-08e8123f-4069-4791-a580-2dd623c4ba3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1535" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-36c73288-b781-4dd1-a1ec-8943fcc7baa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1534" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35cd6950-5064-4115-bab4-532286bae7eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1533" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3aee9806-4348-4280-9df2-e6828ea735ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1532" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8d34cb8b-f9b4-4a79-bd79-150739ea9e75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1531" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5cb39896-7e04-48e5-8d6b-0d3e592ae7d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1530" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-70143b19-e19a-4583-b0af-5833401ca9b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1529" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-234c3bf9-1833-4a5b-8adb-d9f91bcc54ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1528" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-33318cb9-d34d-475f-8ef0-0f0e8c1c526c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1527" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1e9a76d-9703-460d-834e-502483204231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1526" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4964c62-643e-40c8-b204-3963624a6040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1525" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ff0efade-aa0f-4dae-8bff-97da14f5563d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1524" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-123e3f57-0c33-4767-a2e2-1cad64d487a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1523" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75f4d85e-6bc4-448f-882b-397d95914f32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1522" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f90d4d8d-eb24-4e54-b7c8-8f3115d88e55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1521" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c540838-791e-4520-93df-8857be03750a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1520" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-052543e6-785d-4541-9f59-4825a2e10ae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1015' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1519" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7ae224bc-4bcb-4f6f-b69e-9e24810d664f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1518" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed4e94ad-e05d-4fdb-84b5-b90db0ff7519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1517" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63ecfa02-1d08-4302-9a66-c2d175247318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41017']" priority="1516" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41017'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41017' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41017'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-07e6c9a0-a414-459f-b0c0-7a4279279761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1515" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): de waarde van @code/@codeSystem MOET ''1017' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5fea2aad-b17b-4432-89f2-da648aa9337b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1514" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0533_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0533_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0533_HL7 W0533 Top-neus proef - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0533_HL7 W0533 Top-neus proef - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8237cedc-c4ed-4ecd-92c0-d431e2a3398c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1513" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6a8446ef-1077-4477-8ad7-9e2c1d04c38c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1511" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9163e035-2a5b-46a1-8d82-dffb5544b5e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1510" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-629738a7-08f7-4c61-90d1-9b10b08ae97c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1508" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f408238b-3df7-4172-b29c-ab783509a72d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1507" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3baabf0b-e53a-4bb2-ad9d-c0a0ccf12026-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1506" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c771ccc6-38b1-47fd-9c61-6fa083eb6c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1505" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-82dcafc7-93b8-4733-a7c8-1148d007ec03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1504" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bafec40d-89c6-4f31-88fc-07cf2863dde5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1503" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d43119c4-b8f4-4a08-8bda-754ca1871ae5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1502" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aeb087b3-a6d8-4e0f-8ecc-72354b29c509-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1500" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fb931b0c-bfcc-49f6-a3f9-a1a286725d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1499" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cbe15b1a-f974-49f3-897e-b8a8e42c442a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1498" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b6cdb40c-5071-4dc8-950e-0831c70260fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1497" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7036c0fb-57f3-4f54-8f45-d147dca0f58d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1496" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-94513cd0-177e-4344-9950-707f476f3be4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1495" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0b02dc34-eaa8-4af2-adc2-4e7ca74f2c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1494" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0539674-6775-4a31-9278-3fe5f51afb4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1493" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-727b06d0-df40-4ee8-8f0a-959650f28cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1492" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4f5456e-b235-447b-aa57-2b5f2ecb8e0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1491" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f413f52e-b050-4828-b723-bb288cfe2b1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1490" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b46f48b0-cb2d-4e39-bb72-35b191f9b6bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1489" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a893d1f-348b-48b9-b6ae-11073e109108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1488" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5bb81b00-d140-4328-81bb-4e37373a9636-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1487" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-234b8ecf-f6d8-4b14-9ee7-1214d5c3d666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1486" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a341c72-e0a6-4eaf-8d1f-1ed7f6e8a080-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1485" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a52e73c2-8743-464d-abd6-46f1e561050e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1484" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d406bd5d-f358-4863-9fad-9377193f533d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1483" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab768c44-1ba2-40bd-b4c0-542ce5dd61bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1482" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cbca61dc-ce37-4b79-a334-d84a1a2d3ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1481" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f9c1bf5-8547-4047-af06-81105cc2b642-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1480" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8189836f-9afd-44e9-98ca-5321af862918-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1479" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-45e484c4-7dae-4950-bacb-b86d518e3538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1478" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a1ed8f6d-11b4-49ab-8f38-b7f3d0d1400b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1477" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-52040267-f830-4a9f-b529-82c7fcc8570d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1476" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df8d2e42-6419-4c95-8fe5-73892ffdb32d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1475" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4b0d625-df53-4bf1-b1f2-bd155cc21e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1474" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e0945aa-0d66-485b-a446-1033090635e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1473" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f59ba59-e67f-4cad-9299-e3fa79d8fa83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1472" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e491271-ee7d-4039-96ad-b5e6fd3cccd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1017' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1471" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d3a2843-1b86-4c67-a4ba-b202f24b1d3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1470" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6be7492d-1e96-4820-9ea9-7aeaff7d5350-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1469" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8840e7a-961d-4694-a7bd-39db9c444b9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41018']" priority="1468" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41018'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41018' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41018'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f779ea9c-eaee-406d-921b-72261415a22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1467" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): de waarde van @code/@codeSystem MOET ''1018' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7adb7666-e0e9-4049-b802-883e5097001e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1466" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0533_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0533_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0533_HL7 W0533 Top-neus proef - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0533_HL7 W0533 Top-neus proef - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0a0ecce4-ffd7-4245-9771-81518b5cc25b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1465" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Top-neus_proef_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8965e1c8-0cf4-4f87-b588-0515c3b7b192-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1463" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-550bda33-1491-4e72-84f3-79d2dafe63a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1462" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-65d36652-4db3-4bd0-a5f3-11bb2478200f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1460" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d4ab095-bbc3-4f2c-a053-29bd0ebc42f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1459" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fb5bd7d2-eae2-4c3d-be88-c23e8b9dd02a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1458" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-607d6b47-a483-48cf-b68f-d75a5ebce31a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1457" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0a5d9351-1582-4e80-bfaf-430f2703dda2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1456" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0313154-eb64-4822-bc5a-d94878b5656e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1455" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9897f234-5da7-4c1b-aebb-ec4eaad906e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1454" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9edb3f06-a7cb-4d9f-ba84-bea17d57fb83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1452" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5998bf1c-80ec-49f2-a919-7a1e4661d075-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1451" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d709b86c-65ea-4620-9617-db5f9b4c6d49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1450" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5398a1c7-7265-4a5a-8281-e409fdebdf6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1449" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7107df8e-106c-44c1-8e68-c828948c8242-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1448" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8c7f2589-14bb-437b-a8d0-d0540824fdda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1447" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-58ef0c4b-64ee-46a8-b91f-ce9482eb8138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1446" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1cf4d3e5-57ba-4d3e-bf71-08f8e5f8c558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1445" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-faafee1e-9884-4019-bd3c-3d3aef33b06d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1444" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b66b14d3-652f-4adc-8e9f-492a1ef5d4b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1443" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4291eb5-17d7-4d90-9fa2-06337bc95ace-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1442" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1a5fff72-e1ea-4ad7-868e-7ca10e5d86fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1441" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c789db8-b28e-43c0-966a-466eb1ba4c4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1440" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-07ab2a06-dbb6-4a5a-95e6-02a2bbf5cac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1439" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63f3e08a-ccbe-4ae9-8470-b018609568b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1438" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e925e70f-db08-4c17-9c8c-4b5c86e7d624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1437" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-38c86b83-38e4-4fa0-a287-3927995d04f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1436" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b48799f6-b3d6-46c2-bc52-1e2c5bf74751-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1435" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96343bf0-9b69-4073-804c-0d0ed84ae916-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1434" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-684060cd-ac13-4f80-9958-043f57cfa4a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1433" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e188cd7-29eb-4974-b4dc-72b6b9f40763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1432" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7af61dc8-7a02-41bf-92d1-44cfa5aa9c35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1431" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bfea88c9-debc-44ae-8511-2c62762cf24e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1430" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-43345c29-5906-440d-804a-0525c21b0082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1429" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-015ac0e5-fa64-4a60-8566-ac76242cf6f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1428" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-608bcc81-e36b-44ac-a069-5d8cb8aaa8c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1427" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b77f5509-4ea0-4600-a682-228867ec209e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1426" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-53418c76-343d-463a-abab-f94565d016a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1425" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37f0f1ec-103f-4c8d-8360-ef0b92db1eff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1424" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bd3f046c-66c8-4057-a278-5e413c87f5ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1018' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1423" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bb176faf-a9d3-4551-a260-dd4af8f46cff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1422" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cf698f5e-e02d-41f5-a569-fb2a7b97928c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1421" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fd046459-aaf6-4720-9a0c-8443f94af1ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41019']" priority="1420" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41019'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41019' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41019'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0ade6557-2e2c-44d4-82ea-c2b68db8a191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1419" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): de waarde van @code/@codeSystem MOET ''1019' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d42ee744-67a4-41e3-91ec-1032f3ee88f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1418" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0535_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0535_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0535_HL7 W0535 Diadochokinese - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0535_HL7 W0535 Diadochokinese - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-af7ccee0-a71f-4bf7-84e8-05bc17d4ea2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1417" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-87c8527a-2fcf-4130-8ace-020b8e932556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1415" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ca826aa7-c91f-489f-93dd-99860af9a865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1414" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a6dd0a5-7882-4808-a8b8-ecd0d0c3f398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1412" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cceef42b-f281-4f5b-a72b-a70c3023f651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1411" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8df1276-538c-401a-a101-a9c64d1913c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1410" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7400da5c-a4da-4a19-9df6-a49d52c580b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1409" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0dd9b93d-ca78-44f7-8f21-1a7fb2bb39f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1408" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a161d28a-e28e-4b18-9139-b328451939f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1407" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a51f52b-c41c-44a3-994b-da20e4af56ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1406" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e55c150d-ea57-4b22-a050-0f3fa19b83c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1404" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5c8c12e1-8321-4147-aeb4-2ccafa889881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1403" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-744e6072-80db-431e-b401-05abca181fee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1402" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3bb71a9-62b8-4522-b215-0145509bc901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1401" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1d497550-15b9-4efa-a94b-f36b3b1dc4e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1400" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4d49f769-6f7c-45d2-abeb-80a70c3584df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1399" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e7b91064-4220-4eef-9532-d09a7dcfd734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1398" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9eef341a-4841-4229-b7cc-6f5cc34c019f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1397" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eb882ddd-cb62-4f89-8e99-acc2136896f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1396" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-285b51ce-d484-48de-a33c-627e3ff8a4d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1395" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e31a0177-0a8a-412c-99e3-04cf009ffb7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1394" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aac8027f-e907-4e01-84ae-ef5656d0ae5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1393" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6c15d999-a272-4e06-a24a-920bc18773df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1392" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e884a3d7-0e87-40cd-95d7-2cf7e97e6134-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1391" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f17a59d9-e071-41a4-a261-bf07d8e8c1cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1390" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-263779b6-8273-47b8-bf87-f062009b632e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1389" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8220ce81-30f5-43c1-8c5c-8b7e976a38df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1388" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0f2d9930-a9cf-4393-bcfe-b2a89785a293-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1387" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-de40b162-c293-4857-97b9-92ef6666f049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1386" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e262e3ab-7cc3-4b98-a135-144074fc46de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1385" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f180a0b7-2fc4-499a-a25e-fb38ff1372c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1384" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-27390c60-1410-43d1-bcbb-04acd9934745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1383" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-38371a93-34b8-44cb-b943-00a2faa51097-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1382" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-00db9383-cf14-4334-a4c2-d21bb7d7cb94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1381" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b7b89897-11ed-4fb5-bdd5-ccad57a858ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1380" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c94a6b26-4a23-42ce-bbc5-0acda37ff5e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1379" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2317071c-6507-41c9-88e1-65e089ba4a7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1378" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7e51e3c6-4947-4bf4-8ce2-6af9984ffd66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1377" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8efa441c-22ac-4e51-bcc7-9dff186d4d1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1376" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-508f7837-c069-40b1-a3f3-e1e96e091e0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1019' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1375" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ddc18033-c28e-416c-983c-02b4a16667bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1374" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-293dc162-77c6-4ed1-90f7-d19654ea1d3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1373" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1478d0d0-8a63-4581-b324-6cbdd0061801-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41020']" priority="1372" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41020'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41020' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41020'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-260af276-6672-40a5-9690-14e225c43913-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1371" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): de waarde van @code/@codeSystem MOET ''1020' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a66ca64b-e4b6-4e95-8328-c7b93f820f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1370" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0535_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0535_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0535_HL7 W0535 Diadochokinese - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0535_HL7 W0535 Diadochokinese - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-39f01eef-2c83-4d5e-a876-681425da7f1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1369" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-739d88df-893c-4e7f-8ef3-8fbdab707482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1367" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-02737026-7a8e-476e-b7aa-379e204b66b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1366" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b00e02d1-77f4-4b8b-be3f-708cb0096f11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1364" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9f331b4-af1b-46a8-ad7b-f8f03f3ff0ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1363" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2200252b-9926-4860-85f8-db92bb006e0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1362" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60b54870-50ff-44e8-89bf-2601e2893a4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1361" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4c6dde9-812a-47c9-91a8-ccc085b82ce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1360" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-787b27d3-93e2-4f79-9eaa-af764c489ab3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1359" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7b866668-ba9c-4ca2-a357-cb710d07cb34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1358" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f345488a-8555-426b-bbd5-dcc9a6905bbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1356" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eecf43a9-9458-46a0-b41a-2b130d70c641-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1355" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b8ab2609-8c77-4ca5-bbcb-1fe3d1bd84d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1354" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-391e4ff2-1441-4b64-abbf-abe313a92697-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1353" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e234d80a-c925-40ec-955e-305b086a8afc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1352" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e151dbc0-1364-4f9b-9109-f41c0b46c3d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1351" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-322720c3-ad76-4516-8fa1-79581734680a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1350" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad6731b0-da60-442e-a00e-b715052c4c65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1349" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d034b7aa-45c3-4237-b567-51054348280e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1348" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1d0c5b52-0907-4fdd-826e-eb803c235332-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1347" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4958caab-5d39-46e6-a606-29ef8b59430a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1346" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea633f10-ad50-4f27-886c-703aa6ef1f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1345" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a42b34d1-6bf6-4809-a98d-01e79e45760e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1344" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-05b5f5d9-2006-41a0-b4f4-8c4241861bff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1343" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fd50effd-ec40-4873-81ba-96d667ee64c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1342" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2143dfc6-cbaa-4841-b05e-ba21b66d2528-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1341" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3bb81fbb-9ddc-45a3-9aa4-6208eeb4f22c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1340" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e26c3ba7-9e0a-4a86-9a62-bd4f9aa0032c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1339" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-278b5ef8-ff89-4abb-9118-c6a058153288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1338" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b93707ae-747d-4100-9acc-8b45cffa60b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1337" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-38e7fdc8-3c47-415b-b212-9b847cd998b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1336" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-566145ae-bf2f-423c-b768-adf448d2be0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1335" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c7691ed-122e-425d-9c10-ffb125d1a7cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1334" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-be69ae11-6784-4a5a-a6bc-d7bca2e3d526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1333" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0b226c7-04cf-4932-b50a-514f6348d3a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1332" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7492b01b-1ef2-4aff-a42d-1e54d65336fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1331" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-06f4ba28-ffa1-4d1c-bc1f-c059b45e7744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1330" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0ca9b0c-71df-42f7-a109-a8f18f0aa6d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1329" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d3ed0c0-ebf0-49f1-aaed-c838e24aa8a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1328" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eff9a46b-4ddf-4a08-a0a3-95edaa1242db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1020' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1327" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49ef7cdf-b25d-43df-93df-edbcbaa2ec86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1326" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0eb04aa-ede5-44e0-9c86-02b3e8e3c5b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1325" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-87c9febe-097d-4a04-8d3b-169e7b7857b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41022']" priority="1324" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41022'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41022' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41022'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1de0b33a-2e33-4946-9c07-3628d481d7e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1323" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1022' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3f409b8a-80c5-4a51-a329-567533023a44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1322" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0538_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0538_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0538_HL7 W0538 Veter strikken - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Veter_strikken_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0538_HL7 W0538 Veter strikken - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-39e28689-56fb-411f-ae93-fdd1cd1bc62a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1320" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-30280ed0-48f9-4ac7-8855-82e47e8ce35b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1319" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed06f575-3f48-40e8-98ab-e576b413fd23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1318" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f36fd6e7-a088-40ff-887c-e615095d09ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1317" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b080ee15-75a1-4164-9184-0ae605357ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1316" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4d861f64-9fb6-486e-9765-f4d1210c6ba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1315" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eee593c7-b50c-4956-a651-67ff41af01c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1314" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ae8698fa-8780-441a-97fd-42dbb13e52c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1313" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a51c08a6-b75b-43cf-ae67-4b0570d4f7db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1312" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7430efa9-55fc-413f-b853-cda40363d4d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1311" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1ea8665e-978b-4b29-b777-0479ce3ed6c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1309" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0efa3f34-5f57-4615-838d-f979f3ac4d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1308" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28d5e869-9751-44b3-bf2e-179cd2bda823-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1307" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a71a17c-8acd-4611-9ef1-1453a640833d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1306" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-43dca5ea-241b-4576-9585-38a951350fa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1305" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f4a6caa9-3c47-42e0-808c-f9df225355cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1304" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-494f5665-351d-4557-9786-e5fd456dc9ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1303" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d888e893-9267-4303-a0b0-3a73c1331ba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1302" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-08dfd49c-903b-4a6e-9775-8911c4230c55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1301" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8bc028d2-ec58-4eba-8bfc-bae1ac49c87c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1300" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-82664dd5-22f1-4295-987d-6aafd11838af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1299" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-52c90fcb-4c70-43b1-8eb6-5ecabff1004b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1298" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-920186b8-fa33-4977-93c0-732311cc9808-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1297" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-280c6d8a-ef85-4a02-8a8a-fc329c9f8e4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1296" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2ccea8b4-e47f-4825-a09b-0a1c9ef7f5af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1295" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d7c16616-7b88-4968-b506-be63a9a60b4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1294" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4fe68f3a-2b47-404b-b598-e6538390545e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1293" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9b76098b-054d-4d52-9913-2c17c3d74d3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1292" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-279db931-f997-42f7-9f3b-6dd7881c4a27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1291" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3a34e1a-afd8-43aa-8370-77f3015bf482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1290" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f94f9db7-ec65-4601-b86a-91ece4c8b39a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1289" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b7449bee-5b14-400b-b14a-6d38c92a788b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1288" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1e90f714-bf08-4c27-b3ff-d6ad7b40bb68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1287" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ae4d0cb0-f990-4703-9cbc-84ae0342e648-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1286" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-71b8d4ce-7fc8-4a4a-acb4-ce297b927dff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1285" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9355a104-131d-4a82-8c29-e3bf89c12d03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1284" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e5392bc1-6acc-4558-9b63-a281e242257c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1283" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-366bddad-ecf7-4924-bc0c-7c4fdcef512a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1282" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d363b4b2-d38b-4416-928b-1a56ed819e05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1281" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28891431-8f75-4d77-8ab2-0812f911f5d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1022' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1280" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a256d6a3-6c51-4d1a-867e-c684787dfaf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1279" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f51ec8c6-4b57-4825-a803-3a3363917fb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1278" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c656cbb8-fa3e-4cf2-93d1-3f802bcd722a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41023']" priority="1277" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41023'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41023' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41023'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-54ee1043-1ef3-43fc-b358-6492cac22ed3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1276" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): de waarde van @code/@codeSystem MOET ''1023' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4db6daa-af2c-4621-857a-d5d8f0b6acba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1275" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0539_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0539_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0539_HL7 W0539 Eén been staan - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0539_HL7 W0539 Eén been staan - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9eb14c43-5574-4265-a3ed-badbe72c3a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1274" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c36f98f5-6e65-46d5-9334-698ce767d532-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1272" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab0b9650-e0bd-47d7-8065-9cd0c2f3cdf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1271" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1651aa35-c1ed-4cd6-98dc-2b2d66bbceb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1269" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cc3dcfe9-a56b-459d-9bbb-d34f5c8ade39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1268" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ac255125-f7d7-4ae7-80dc-45941e17b8e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1267" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-083d4631-5e86-4be0-a310-b8322c02d0a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1266" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-11607df2-9e62-4b57-b51c-5700aca17eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1265" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fbaaf867-aecd-4f89-87a6-a4f8847f04ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1264" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8c351118-7995-428b-bc8a-73a879f5665f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1263" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad54f673-39f1-40c9-8120-8ad16dda1de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1261" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b381bad7-2323-4f25-834a-d3d84024f476-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1260" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b68ddf3-986a-4174-a9be-95fc4ee50087-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1259" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-21f5147f-c5d0-4f6e-899e-e45127eef30d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1258" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a66630b9-1c87-4a9f-b5d7-4b3b12b5e5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1257" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-53b23c85-2348-4acb-aff8-7d5ba6903ab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1256" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1d63ba9-5eb0-490e-a6e5-de245b5f1460-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1255" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bf490d85-369a-42a0-833b-39b8f97aae36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1254" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a587723-4665-4a18-a509-2cfe8dfc8707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1253" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-157f2cbc-70e0-4985-bb17-414c4b0b5208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1252" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e150f0b8-38df-40b8-bc51-4a15125097ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1251" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f9f255df-0894-4747-9ade-62056a22ca34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1250" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6703f7e0-5f7b-4a70-9db1-60eb320f3fda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1249" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2097e95-5144-4180-a8f2-052068536949-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1248" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-974a5666-70bb-46e6-b34d-5e4283e0724f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1247" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c0a2c73e-109a-4227-8060-c1fb674bf03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1246" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f87cdcb-e718-428c-afbd-9c75cccfa2d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1245" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37a4adff-dca3-4841-b5e7-ff0f216ffd37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1244" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2c84aea1-5b9e-43f2-b2e5-de27aa4d831e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1243" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8991133-26ea-488b-9e8e-9cf96c96005e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1242" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b18bd7b5-c69d-4f49-b3f0-9b02c9bd8fbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1241" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-430e4cb8-0e5a-408e-ac80-4c0448d8c3a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1240" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5cf58091-d2c6-4e71-8e7c-8c2fdcf921ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1239" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7be08a53-cfef-46d7-8fd6-4f2351b57d27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1238" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cbd9af3-d8ba-4003-a481-55d6eecc6201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1237" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a8c3526-bb87-4df9-a990-65495bb567b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1236" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f323b0a8-54cd-44ac-b996-1280b390028c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1235" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-566c87c9-36f6-4ffc-a5cc-78c18fd84731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1234" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe640d6d-a5b5-43f2-ac83-d58717a3330f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1233" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-567ceeb7-42e7-4eb4-a809-d02911fab63a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1023' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1232" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-06be25a0-f877-4468-a31c-023d51f4ce77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1231" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2895237b-3dd1-4a76-861f-542b1ec689fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1230" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-00f12e3b-7758-46c2-8642-55ad24ee971c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41024']" priority="1229" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41024'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41024' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41024'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0761c6f6-9db2-41c4-94de-a405e2fffe87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1228" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): de waarde van @code/@codeSystem MOET ''1024' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cf76297-7ab2-4806-9c02-d59fd091e85d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1227" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0539_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0539_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0539_HL7 W0539 Eén been staan - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0539_HL7 W0539 Eén been staan - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ecbadb25-b4f7-44a0-82fd-2ead8239d448-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1226" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4cc334f5-f45c-41e5-af8c-23be6d87fe82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1224" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e562488d-2ce1-4439-913a-4d76ff54163f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1223" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-44f1ed3b-343d-4b72-92e7-caee0759441f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1221" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2dc1061e-f60a-4259-a07e-6a9b16c995a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1220" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-16226f91-d39a-4c7c-9dbf-5d87abde8413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1219" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d80c7b0-8f33-4513-a153-b15dd26304eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1218" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9bdc533-e709-4f41-a3d0-f02a7021c2e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1217" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7330602f-7bad-49ed-a205-c9c52c9324b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1216" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6318ec9d-0f1d-46c1-a6d9-1c3bfc3a1033-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1215" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2c351fa-cb02-4fd4-b39a-4974978f6680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1213" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-79c8f3c3-ccc8-4e22-8d0f-c4782cbac03d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1212" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d5d795b-284d-40e2-8052-744d49d1ff40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1211" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5928902-5e90-4c12-a7ed-c1d2fc06a343-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1210" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c2516c6c-0d7f-4632-9844-951b1e30e052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1209" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8623314-f6a4-4914-8b05-9cb9c72e883c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1208" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9f7aabf8-f63c-466f-ae25-88fec8b38e1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1207" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f5a6e0f-8d2c-4d58-929f-c584e0ecdc90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1206" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0040571e-cea6-48f6-9861-f944b9bf563e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1205" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ff8673a2-b84a-4948-bea7-70dbec9d014a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1204" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-29ec0d2d-0247-4506-a377-a9a3de0639e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1203" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5c4a1a0-f670-4d89-8953-8b1d98cba97a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1202" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d3a0c37c-9718-4dec-b7e7-50b2cac7f28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1201" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c861b28f-1a76-4147-be5e-559b7441abf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1200" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-332069da-1994-4c05-9ff9-83ae9e339334-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1199" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-902ba275-aaea-4008-aed3-c2451b3cb5a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1198" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1f481421-29bf-43df-bf1f-9cdd5410ec09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1197" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5a81905-4096-46e9-b6cb-b23f3f96f92c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1196" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5454ac54-bebc-4e33-995c-53e9d659ed36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1195" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f9ab1e1-521f-4320-9f32-9321581a8c92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1194" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48cf5322-a8e8-4213-8449-2e57899df8f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1193" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-918664a2-1c76-489e-ad4f-ef31a15ce4ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1192" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b943beb-908e-4b71-a102-8bd4ed109431-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1191" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5db7e3a2-0414-4f7f-a48b-bf1b94b92c98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1190" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ec02450e-ce82-40b6-af0f-3100f1ed3584-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1189" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-646ebb55-692c-40ca-86db-a9fa651d1a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1188" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-38b1301c-77e6-426d-b404-3e28686d9f79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1187" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-40438fc7-3e77-4334-bd6d-097e796630f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1186" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-64d10187-f331-43e9-aa9b-d398d818fcb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1185" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4edbd616-0e89-4ffa-bc66-ee5dfe91ac5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1024' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1184" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcf680dc-985d-4ad1-87f6-80da8966bec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1183" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bfd24a62-5e93-46f2-9978-d99f5b632cf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1182" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7eebea06-bed2-43c5-8ac4-4038ccebb1f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41026']" priority="1181" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41026'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41026' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41026'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9004d977-9745-4632-8e6f-f0e02bd3e120-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1180" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1026' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-508f5c1d-8b55-4f8c-a806-1d1dba98ecfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1179" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0542_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0542_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0542_HL7 W0542 Hielen lopen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0542_HL7 W0542 Hielen lopen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-acb8b95b-71e7-494d-97da-0592c7ad8759-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1177" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ac2068ba-9a8b-4b24-bc6a-befb999a066f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1176" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2dab39e-fcfc-489f-9fe2-9470b75818d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1175" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-003d4c21-d676-4521-ad21-b8b763840ada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1174" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-00677be2-de9a-444b-90d7-372f21adaf68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1173" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e6ee9cd2-7ff2-49b9-8735-8ba6deab43c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1172" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8399405e-ac18-4aca-a7d6-747fc72c2656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1171" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-de3d88f5-adc8-47ce-9799-bc8472029a13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1170" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f79c43df-7768-4c84-9b14-8c3834966208-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1169" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-04236a6e-981f-4936-b673-f25b8277a322-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1168" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e20733ee-8824-4ca4-a5d0-2d304b648a4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1166" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-728878f9-857d-4703-8e98-290bf3866f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1165" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4af3a239-4f27-4511-9ef5-aee05b3d06a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1164" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-553bf5a3-3878-472d-b2fc-374280fcabee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1163" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5381b4e-993f-4f61-8c3d-c96ca8d569d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1162" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d20b94b4-e084-47ab-893e-654546c11fee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1161" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-602808c0-eba9-4094-b8be-efc8f5f4d9b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1160" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4eaa6b1-85b8-45a5-9707-24b97c804e11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1159" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96abb756-bfea-4413-95fd-beeb50c2650b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1158" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d55fd820-f916-4639-8c41-153f9d171874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1157" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dcbef12b-0b72-49a4-bf23-3556a3e6ff2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1156" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-133b61b7-a07b-43cf-8915-f845113e75f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1155" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-628d25ca-6daf-48cc-87bd-caeb2b96f975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1154" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4322290b-29f8-48fe-93ac-97489059cb7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1153" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-94209b53-a1d2-4a65-a42f-35ed8f1db530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1152" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bc5b0e74-32a9-402d-8b3c-7767fa288ce9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1151" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-56c39bfd-41ae-4746-82f2-b7a0faea35f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1150" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49f166e0-bcba-44f5-9e5b-17b9ecacfcb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1149" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5a2fd871-0c0a-4b79-a2d7-768d6656a965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1148" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1c3c703-0e71-42d9-af0a-67de263adf03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1147" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75eb6529-cd7d-4086-99a0-d46bfe2b29be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1146" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b6a370f2-e0b3-442d-bbaf-93e2d86be829-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1145" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0556ef87-99d8-4df5-a974-0c59abd5de0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1144" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-80ea0393-c080-474d-aff1-0ea2ada6da5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1143" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a0a81f9-dc74-4b5d-a674-de2e4509b9b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1142" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5de2029b-b970-4e10-b455-5c9262ffa272-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1141" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d6051677-bf28-48d4-9206-c907ad513048-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1140" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-681ad8af-976e-4f2e-8a7f-0c4538229b5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1139" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dc1b666b-d1ef-4b1e-9247-7d4e602656fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1138" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1bed6e92-2361-42d3-92d0-4c421b499edf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1026' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1137" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-57f15de3-6b66-4e84-8f5a-1d42acdff25d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1136" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ae6354a5-60bf-40d1-b8ab-0d5898cec869-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1135" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-52265543-939c-471e-ae52-f06dc3e67b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41028']" priority="1134" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41028'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41028' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41028'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-382af412-fe8b-4523-b490-9202fd2b4f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1133" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1028' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4c0e3797-c754-46e3-b4d7-7f132739ea33-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1132" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0544_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0544_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0544_HL7 W0544 Streeplopen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0544_HL7 W0544 Streeplopen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9c58f8e-3eaa-4c25-95e0-7ebc83810fea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1130" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-012365f3-f27f-4841-b45c-ac73b0bf23ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1129" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0441b130-b77f-4fac-8036-e54444ffd4f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1128" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f7f7f20-6dba-4d81-bdde-69206746dd14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1127" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-897111e2-8dcb-4075-9812-e8839806ef4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1126" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f406bf78-f4cc-48d3-b63b-0c5861f62b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1125" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cbcaf8e-4118-4715-b07a-f0181e03f525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1124" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-990d8391-5791-4dc3-aba7-73c3a85b212d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1123" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9259225a-520e-4237-afc7-015ac68df44f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1122" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7cf06038-4eea-44ab-aba5-1a4756a7c4a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1121" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a6bd8f6-c9fe-41f1-b67b-d9e19780dac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1119" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a6bd6a2-f1b0-494b-aca9-d0175365447a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1118" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bff1c9b1-9bd1-4710-84d1-6f8683cbdcb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1117" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0b585c5d-9a0e-411a-befd-cee711ec19fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1116" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3228fa71-1e66-497b-b75a-df6668a93c97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1115" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b3b70a52-f62f-48e5-bf3e-f6ee706a0d68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1114" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b61f935-35e0-47b7-8e56-b35288b0c631-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1113" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7b9a6d36-6413-41af-8641-fda0c0935515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1112" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aeb0e662-6200-463b-8504-c37d5ff0955a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1111" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-94e7d228-2632-4070-bea7-571f9a8b112c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1110" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-db6a80c7-67ab-47de-958a-bca88dd7d2cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1109" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-207becfe-4819-40be-a091-497a4bd6857d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1108" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-72b2de6b-d24b-46c9-8897-8383dbf98f30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1107" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1ae8b319-d6d3-4977-98d4-4eb718149a3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1106" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-32ad3c6d-b40c-4fd0-9903-b88643290287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1105" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-39019f58-51b6-4875-8b70-0d4ba30c5da4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1104" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2e206f2-be01-4b23-b117-9b51556e336b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1103" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1a30c57-809e-4dc6-9c90-27a53d84f9db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1102" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0bbf915f-9318-4bbb-9aac-8d622457dfe8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1101" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0acb7940-aef0-4984-978a-9a9a9a1b7d3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1100" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5520a4b0-2a7c-433a-be19-ceb9d52688b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1099" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a66b2a3b-f4c8-4e3a-9259-8aa2f35cee12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1098" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-80302c39-017a-4321-8e6f-33de69f340da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1097" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13afcaac-96a5-4fa0-b901-a49175a8c7a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1096" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2c80531e-91c0-40f8-b0d3-0cfc0379e9fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1095" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2039ff82-03df-4065-884c-4a6e7ce0b00c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1094" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-117c612a-1717-45e9-9092-73e300a1c26b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1093" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1a7cdc96-4fd4-4225-ad75-58a601c8895b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1092" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-930addda-d483-4f2d-a5a4-893f8ef5b8ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1091" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-459e6d13-0113-4cb6-954d-a3d60f86393e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1028' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1090" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-605f3566-c65d-4591-8184-d87ea1eeaeb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1089" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7f33662f-82c9-4507-8201-93c03f24fced-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1088" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-62900a18-3426-4543-984c-4529acbb83de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41030']" priority="1087" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41030'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41030' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41030'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0948131-c453-40d8-93e9-a18c4b8a3f42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1086" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): de waarde van @code/@codeSystem MOET ''1030' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6ad57ce7-de77-4f9d-84c0-a5b0133ea2d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1085" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0546_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0546_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0546_HL7 W0546 Hinkelen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0546_HL7 W0546 Hinkelen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d9a63a2b-a757-416f-ac67-7ddf525e1ea9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1084" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_rechts): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-84915c7d-f46d-4a0b-a543-c17c690a37d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1082" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dea18661-59bf-41cf-b12e-3824cf078343-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1081" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e168adc5-4941-463c-95d1-8c3895ad8bce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1079" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2297c3d6-a4ee-4417-b6bb-adfe2c1008df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1078" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13726433-1c15-4eaa-9691-9f2b3c37324f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1077" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-57b88e67-53d7-4996-bfd3-ed9417a35a7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1076" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-66d37aa0-0693-48b6-92cc-9c353703d680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1075" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8e9334bc-fffe-442a-a712-2e86a9da2433-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1074" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-53f6b933-ba24-4183-97a5-3d2d6b7d02e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1073" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7d9259c7-633b-423e-9738-c3a5c05169f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1071" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5f8a1122-76f2-4ed0-a2a9-546a6ef88975-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1070" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b689975-6469-444d-b190-d5a0bb5d940d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1069" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-173491aa-0ba0-46b0-b18b-49beea78ee3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1068" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aee5c0ca-20bc-4e32-821b-faaf019ee2c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1067" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-79e26c64-6145-447a-ac53-7db1ca8ed111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1066" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3338dcdc-3cee-40b6-9f8f-cd91c5b934f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1065" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dfde6ca8-6a01-4969-b883-3cd9b8b7a721-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1064" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0e7d00d9-ce32-47ab-ae5d-713dcef0740d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1063" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eca67d88-e9ae-4cb2-9401-8c4e498aa08d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1062" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9d104c3c-1b9a-4875-bb3b-6434ffa61533-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1061" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d3964e7-8325-434d-8d13-f72cf9487e52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1060" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-083d1416-d6a3-4654-bdee-7c5b25a661de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1059" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-303b7fcb-3228-482d-88f4-06278c933613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1058" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f23f1ba1-40b3-4590-818f-04a6f5f8ff46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1057" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e95aead8-b5a6-44f7-b2a2-0b7a868e878d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1056" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dacf8373-4c10-48a4-b0e8-379b2f27b381-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1055" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-845851c7-e0d9-46cc-b2ba-088d7b3bf86b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1054" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-102c5adf-3eb3-43bb-a14d-1a9f7a8c3c90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1053" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fb755c4a-94ff-478e-a43b-0be5786d1679-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1052" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-93740280-484d-47e9-992a-2359d6aa1c44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1051" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f3901ef-b9d0-45d9-95e1-94f38bcc0941-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1050" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ee9311be-78db-4006-ba4a-ab354cfbe88a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1049" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37ca35b3-ff2a-4671-8ba7-c4609afc5278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1048" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8abcbcf-d828-473e-9774-459c8cc5c1f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1047" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-45d5e8e8-5794-48cc-9eb2-ac7fbbc0378c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1046" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ae1a3ad-bfa4-46fa-a220-34c5f5988acc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1045" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-46db9ce6-8be8-4445-8df8-3ab7ddf708f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1044" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5d4c65e0-c8a6-45c0-a405-9794e639087a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1043" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9678a95d-8d88-4700-b7dc-1db346650f2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1030' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1042" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-85a28e2f-eb22-4789-81ce-e5689efffd3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1041" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-de50752f-28fe-4d89-87e5-a735b108f02e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1040" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:targetSiteCode is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&gt;=1 and not(hl7:targetSiteCode/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:targetSiteCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): element hl7:targetSiteCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:targetSiteCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-61637050-40ce-4b26-a7d3-7135e73b0623-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41031']" priority="1039" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41031'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41031' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41031'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-97960677-a88c-4508-84d3-32feae4d1e27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1038" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): de waarde van @code/@codeSystem MOET ''1031' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c3179d78-aa78-4f0e-b4a3-05741141eb1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1037" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0546_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0546_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0546_HL7 W0546 Hinkelen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0546_HL7 W0546 Hinkelen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6a6822c9-0e1d-456e-ac60-70fc33e380b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1036" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0206_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): de waarde van @code MOET worden gekozen uit waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwantiteit_links): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0206_HL7 W0206 Rechts Links (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab09575d-5ee6-4538-9c9f-61aa4dda7546-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1034" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8482dcbd-577b-4020-9d08-e9c2f7b2302c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1033" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ebc4734a-279b-4b4d-88f4-77c39fbaeb75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1031" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-447e9e87-5646-4c81-9a5c-2beae01c1df5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1030" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f91ca089-aaa5-4c8e-b7be-ec2ee238b5d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1029" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ca83eff3-8830-454e-99bd-ee8409745b69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1028" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bbeebe84-a6b0-4afc-af58-d413fd61ff52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1027" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4e0d54c-f09e-425b-88cd-b310df334bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1026" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28d866ea-1b97-4508-8cbc-0c7d968eb355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1025" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6c244381-a2be-4f2e-8070-17ffec3324f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1023" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7413fc74-b8e7-4beb-ad66-617a3177c7bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1022" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fdf8ad4a-cd52-4c6e-b452-4b2b5f29f72d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1021" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4ecc3793-070c-4832-bf6e-bcefb3c0be1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1020" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-47ecd9cd-cfac-4804-934d-18ef19591230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1019" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e3a67e3-fd7a-454c-9ccf-048b65c4be2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1018" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e9ad92b1-eb58-4031-94c2-be15c916bab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1017" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9b781834-e248-4658-bb45-3224f846bd81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1016" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7153fb03-8b18-4a0b-a26f-becb1abfd713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1015" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fa5a88ca-295a-4b89-ac84-2dc46a5e7773-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1014" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7a571161-80ac-4248-ab50-9682ce30ec9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1013" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-95d32794-dba4-42e5-b2f4-36f39f00cc13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1012" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5c5f7588-4d70-40e4-9ce9-ab32a2796e9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1011" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f7c1fb9-e09c-48e3-8e6a-b780ba16cbee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1010" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01114533-e86a-4b9a-ad7d-a45f83c83d1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1009" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b20ea0c2-aacf-4c0a-988e-1c855bba48c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1008" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5dfa094d-98ab-4d93-83df-33720c35dc34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1007" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-83fe4da3-7480-44d4-8427-c6c3b900ca2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1006" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4fee932-0037-481b-9327-ed5a6a2c07bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1005" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0152f1ef-7e18-4658-b3b8-b84b6000d4b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1004" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-343a9fbd-77a3-4eb6-a9b3-e907b9b5010a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1003" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7478f6bb-afb7-41e1-91b9-de0ccbe11645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1002" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b6759f0f-c29f-405a-896a-c5c3debf3f1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1001" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7b4172a8-bfae-4284-a2dc-3b5c30544411-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1000" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9edbd374-a08c-4cb9-b1bd-92fc755843e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="999" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed14c915-42d0-486f-b885-054cdc9c18f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="998" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c0085cf2-1353-4bea-949e-9b771b120249-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="997" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c3c7c205-918b-4c62-a480-d5c27c56e413-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="996" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ae7c2b0f-2be2-481e-9261-55d5fbf8dfb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="995" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-491e5d2e-ab0d-4580-aa7d-13179744b3fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1031' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="994" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-666171a9-4a82-41ee-b037-b3e6bc7414c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="993" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-189aaf24-a7aa-4edb-93dc-4b5e510c1a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="992" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3ddf114c-01df-41a6-b65b-953fcdf42eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41033']" priority="991" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41033'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41033' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41033'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bca257af-2931-46e6-a370-3d68f18ddccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="990" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): de waarde van @code/@codeSystem MOET ''1033' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b282d939-d342-436d-bd61-7e45d71c33c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="989" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0549_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0549_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): de waarde van @code MOET worden gekozen uit waardenlijst W0549_HL7 W0549 Springen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwantiteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0549_HL7 W0549 Springen - kwantiteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f6ca47be-e76f-41e7-a777-924b5dd4fdc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="987" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-45bb0973-f96d-4ea5-b9ec-5f0d16675da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="986" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a6454b10-bdcf-4c1c-b647-328452504545-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="985" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa1ca8d5-a66a-4243-91c2-21a183e8cae7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="984" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-08b3ad1c-4ea2-42ab-9d1c-d51813c20a63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="983" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0f5ff840-9731-4201-9e97-389a57ac5f67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="982" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75700b26-2699-4ff4-8afb-ff564c4c9077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="981" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-560c1c9a-b97b-42f3-a2ac-73859da9de35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="980" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cef585ca-0e33-4dc0-b193-48005dd2b12a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="979" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-888e500a-dbbe-4f2a-a075-aca6dce6212b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="978" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-acc3b9f8-6b71-4bcb-ba4b-30cd19dfe38c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="976" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8d7016e2-2ac0-471c-b87f-71144406f613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="975" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-401b69f2-1843-4361-972e-234a22e1b399-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="974" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-16299c32-fb91-47ef-9610-3ed2309573a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="973" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0920948a-a91f-4a83-9b89-19ac2834cca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="972" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1ba3d08-7efe-47a8-b98b-abbaa4d32446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="971" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35ccc0cf-86c5-4ea0-a697-d3870086ecca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="970" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-674c36c4-9253-4084-ba65-ea96ca67a9a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="969" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f053f8e2-9ee2-4b6c-9129-80b7edbb6663-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="968" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1ddcbae6-c368-4551-a1af-26927e0a2e60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="967" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d3f89d8b-446d-46c4-ad7f-4c7557756f8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="966" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6a0394c9-392b-4dca-b03b-502fc948c2f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="965" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-869f18d0-a964-44e9-b0d3-401ff85beb39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="964" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-91e8f760-b417-43dc-9a53-da62ad1fb61f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="963" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-530e5a80-d114-4650-bbf0-0bcddc155978-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="962" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-62cc9371-65e6-4a14-a314-2a13063dc56c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="961" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fc0afea7-e3c1-4224-8cb2-f0dc5bb18826-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="960" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5c7d8e0-16b3-475d-975e-f64561eb7889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="959" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c34762d4-06b6-40cc-88b0-d9b4f7201c62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="958" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5f4662af-3428-4c29-93da-334c2108dd27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="957" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-36f57c7f-38a2-46d7-8d39-8b7b0f38fc4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="956" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f57c471f-4a5f-4e42-9e2e-fc5c08c57f3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="955" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b57b60e4-6d02-4951-9ce1-ad0ad76880ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="954" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0bb35bf2-1ded-49d1-8c54-eb5c7549c94e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="953" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f9cdcaab-4302-4423-a77e-37a1e278b27a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="952" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2328c933-ebca-4c42-8894-3c70f57bb97f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="951" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cf816bef-4c5b-4960-b6aa-04ddb001aa13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="950" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4351ae75-4790-48b5-9641-edae6a861326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="949" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60ab61ad-dabd-43de-a655-61e90a61ac67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="948" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8c8aae1c-b636-4df6-9de9-a41a718580c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1033' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="947" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d7ed9e1-91af-4685-bd53-0c1d80f46f9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="946" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d6010104-f8e3-4aba-8976-2fe735b5ae78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="945" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9dcdfd74-c99f-44ad-95bd-b9053de6b964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41009']" priority="944" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41009'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41009' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41009'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-46c5747a-4e3e-413f-95e7-1196cc468775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="943" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1009' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5103805d-7d04-4fbe-a0a7-ab4dad8ab91e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="942" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0525_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0525_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0525_HL7 W0525 Lijntrekken - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Lijntrekken_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0525_HL7 W0525 Lijntrekken - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51a7c6c7-0c0f-415f-a51a-83c425bd7426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="940" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7c6ecac5-73ea-4aee-acf3-3647a9aea103-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="939" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-080fdedc-7b74-4f07-98fb-633531da6ff2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="938" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e5d4fc1e-0d69-4fd3-82b9-c4f00eae8294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="937" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2cab7a94-ce10-40b1-9b1f-01ba74450d38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="936" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f14b4d4a-96a0-4cb0-a00e-40eba5fab3fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="935" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-137bb94a-19ad-4915-be21-7bc446716539-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="934" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df2c9e0c-bd4c-4111-8eaf-fc3d20ad45ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="933" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d19587f9-19b8-4cfc-ad72-165157f30d41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="932" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-112b55af-eb50-4ea5-8488-bbd48c2bc7fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="931" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-067d5bf2-d710-43f1-9e94-742020a5c099-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="929" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ddb25c86-869b-475b-8631-72c5c32c1c69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="928" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e6ed103e-870a-42e5-8faa-8d529e09b910-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="927" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dec9d09c-1b88-4514-8c2c-86f9d53f3c2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="926" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-77a2086f-6d2c-4a3a-abe5-7ebc23dd189b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="925" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a8b8f4aa-5a2c-4e2f-9efb-729069693809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="924" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-54b2f30c-f3bf-40cc-9b56-8ada4c348de0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="923" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-34ada45a-4698-488c-b319-13d6551ac1b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="922" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-470c98e0-eca7-4136-8371-0affe0a415c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="921" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5ec1d59a-e573-4297-b63f-37f5fdb5fc8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="920" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c87f36e6-68f7-4679-8065-4d5153302315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="919" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c8533d6-2957-4520-bd30-2e032872bab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="918" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-83011266-54e4-4c39-9533-87f3a321c7c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="917" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fc626ad0-c5f8-41c1-908c-86e664b74c24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="916" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3a4e6b6d-91a1-42c0-bb1d-83e7ee53c9ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="915" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-65303d88-b200-4d21-be6a-93ddd993b15e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="914" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dd92463f-96d9-4073-8239-85c2c6c44520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="913" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d209dbd0-e5f5-4353-8d08-484b35e35b7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="912" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a2dece4d-203c-4564-aa02-bb6699cc7842-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="911" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63520f57-030d-46b5-b7b0-bc18001bc3c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="910" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5992da8e-0418-4a32-a7af-4ba095c5555a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="909" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5433e247-d023-452e-bda1-b48ae2cf85e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="908" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-87cc8bed-2282-4a1f-ab76-0cd39438a05f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="907" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6d043c6e-f5ef-4c3b-ae30-b9bb0c19d63c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="906" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-43bd92ab-afb6-44b7-9019-f34595349050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="905" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c50fef5d-419e-49f5-9f41-2cd01ce407c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="904" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-90213637-ac91-47a4-97ab-0de0813a7b6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="903" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0345ccf5-7559-49d4-9c18-3ddd964a7686-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="902" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3bc8be2-4edc-4340-a2a4-dabedadc85f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="901" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa9667b0-1c1b-423f-a2d5-6c6451037605-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1009' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="900" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-45b5df65-d83c-4ca9-82e3-fece75aaadb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="899" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1cc55572-8e34-440b-bd64-b6b16ca0b6dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="898" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e1eff0c-b1a0-444d-ad34-5e26563f61d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41011']" priority="897" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41011'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41011' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41011'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a11af1fb-c742-4b31-9044-04a484a265a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="896" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1011' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6ce16ef0-9f85-4c6a-92c7-d06e097c9270-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="895" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0527_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0527_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0527_HL7 W0527 Pengreep - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Pengreep_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0527_HL7 W0527 Pengreep - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a4a900ef-b20f-4313-87b3-de4dabf0e42f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="893" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7837ab27-cdd8-462a-a86a-7615cf0f58ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="892" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ebd7cc37-c6a3-4ce9-b042-e4563099e020-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="891" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-12568f88-c19b-4ef1-b98e-8e50087de07f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="890" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5019b632-ba44-45e2-84cb-a088b69b41f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="889" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a1494ed9-0265-4959-a13c-c9e73288919b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="888" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8868fd7c-891b-46bd-9f08-2d218eda51c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="887" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cd6a1fa8-f132-408e-a35a-b1e93324f787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="886" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f419abd5-b7b4-42cc-b1e2-00e58e83e308-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="885" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-24c73bba-f541-49a7-a432-6cc948f0750b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="884" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-66c17d82-24ff-40ff-a557-c9d6b5069e4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="882" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d3a31328-e450-4a52-80ce-cc1053c9b98e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="881" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c292f875-2a8d-42d3-89a8-17df1b77077c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="880" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d639424f-0c30-4e2b-ab4c-a35296ca6c19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="879" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b5bca710-b105-4908-8460-4d78a314f79a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="878" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f92ce034-150a-4bb5-a6b0-647256c355d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="877" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35666c86-01ff-46a8-9500-c4bdd8f94b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="876" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e2b597b-ae1f-4eb2-9171-5c66ad6a47bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="875" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0af4ecb3-a3f0-4a0b-9f35-c2b78376652b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="874" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a940039-1750-4d24-93c1-3d0ba5287798-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="873" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-42211c69-196d-4195-b7c4-22bc80b80a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="872" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-08ce376c-3bf4-479a-abe4-926d6a8ce628-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="871" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2dacc55a-0076-428d-86c5-3291fafda290-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="870" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e17a9275-744a-44da-a165-ffec62298741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="869" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcc66f2c-be09-492e-8bc6-e4e261942b67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="868" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a96239e-ff00-46b6-9b23-68b03a660dfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="867" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-be3ff308-5d4b-419c-9fdb-088360db9388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="866" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-39749bf4-a8cc-404c-8a2a-abfaaaad5e44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="865" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b429b413-4436-4d3d-933f-dc0258738463-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="864" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-32cd05c2-408b-4f34-83ac-70c0b5429dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="863" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1844dea-e18d-438e-9d05-daef31c3f96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="862" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2bad734c-5d73-4633-b46b-82405e558e1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="861" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8a0471e-7084-4bf4-9a66-1b67bfabc1ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="860" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c804c9d2-9bf3-46e8-add2-63a5d321ff4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="859" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eee9929d-7c75-4aaa-adf4-10facb48193b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="858" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e60c3b81-724d-454e-8114-ccbc31dfec89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="857" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1433fb7c-9429-40a8-88c2-bfaba99e16b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="856" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eec0d21e-4386-4261-b30e-bf58850ad4b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="855" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9c52924-9c2d-4675-b079-8b4d9b7159fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="854" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-253251c5-401e-4a77-8650-9b9c6c4c9eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1011' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="853" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7e6aced9-fce2-463b-abf2-e75de6faae51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="852" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-76659da4-e868-4f5f-a8e6-1261d1019e70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="851" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-37edf247-f8d7-4395-a552-743926480986-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41014']" priority="850" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41014'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41014' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41014'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c8abf1d-aefd-4af9-8427-d03b4193d02e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="849" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1014' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3fa8aceb-3302-419e-ad87-91bf019216a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="848" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0530_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0530_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0530_HL7 W0530 Vinger-duim oppositie - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Vinger-duim_oppositie_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0530_HL7 W0530 Vinger-duim oppositie - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-36a0605f-421f-451d-a157-421388dc254f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="846" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1f165a90-98ed-458c-ad13-5d2b43def4bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="845" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e1d76c2-fd2b-4581-9092-08748d80a026-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="844" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e6ff9695-d7a8-449f-b5dc-544aa98fc2aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="843" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4848307-b7dc-45d8-8a1f-34e7611d17db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="842" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0cf92787-0115-43d3-a2fc-ba1b8ddd6c2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="841" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0bbbf498-ad59-4d4d-942a-8a96e815d2a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="840" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b71ba39-2f4e-4ede-bb6f-b163df9740f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="839" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-894617c1-592b-4c83-834a-7ccfcf2051df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="838" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-451e431c-2ead-4bde-82b6-9a3cdb56dd2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="837" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f01cd83d-bfb8-4be7-9268-9748b03b4b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="835" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a666e52a-3427-4080-8e05-a12636478e4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="834" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3932a67d-a132-42d9-844c-51d14ff348c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="833" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b9d7a72c-15c3-4d55-8b63-c9df33a0f91e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="832" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e2b0502e-dc6c-406e-8859-bc1679dfc20c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="831" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ed1fefa-313d-408d-b3d2-83d56250df44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="830" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2cc72786-341f-4415-8ab5-a2b90d2df407-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="829" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8c206f89-7205-409b-ac6d-ea99303c34db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="828" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8e264733-82fc-48d5-9720-a007c9a04b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="827" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-218cedd9-f09d-4221-b36d-eae155effc9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="826" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ec66a2a2-42b0-40e2-9336-1f00cb6c5063-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="825" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cac85f10-e86b-4f2b-a005-e2ea4c4752e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="824" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8da04a72-74d8-44ce-a64d-833cbd6c1c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="823" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9fcc33fe-b193-48e8-8a4f-0979844c2fc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="822" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a4ef5d1-e639-4bdc-a605-115c263892ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="821" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a48d79b2-445b-4530-91ea-be7d6fd335c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="820" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-118e8f00-c629-4fc4-aac8-0875f20a597b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="819" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35335c0d-0a66-430c-a40a-5ef0ca704829-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="818" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9bcc7b4f-9195-4ad8-88b2-12b013b263a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="817" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c673fdbd-f9fb-4388-8462-26d37c36e599-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="816" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-417a8f19-4a0f-46c7-aa21-f6ad0db00c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="815" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b63eaf1-9833-44ab-ba31-8c3193f822b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="814" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-57645c77-c6cb-45fd-a44a-3fb38d27c43e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="813" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e5a84e2f-6c62-4e9c-a3d0-ebbe9973d41c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="812" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fed22de4-610c-4cf0-aee5-28b39223b13c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="811" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bd3839ed-bf7e-4c79-833a-2e111e1a1043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="810" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13903985-fd7c-47ff-bb9e-661fd7992777-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="809" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7a28be03-109b-4e06-b22f-f56ab5040827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="808" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b208e08c-0f42-437b-b990-7afc5b06f14a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="807" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1e7d90b2-03ac-41d7-a50e-4addf5bf2966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1014' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="806" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ce31d26b-b8c5-4a37-9c34-0f3114ca9bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="805" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed455d13-dbdf-40e4-97b6-14e50489f74d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="804" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aecf5824-ae2e-4f90-aa43-899902acec29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41016']" priority="803" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41016'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41016' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41016'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4c3c9cf8-6d45-4fb2-86d0-71ea05090315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="802" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1016' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d45f10cf-e8e2-4e63-ad6a-89c191fe3a80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="801" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0532_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0532_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0532_HL7 W0532 Oogbewegingen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Oogbewegingen_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0532_HL7 W0532 Oogbewegingen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9295c6ed-a891-4e63-ba6a-49ce4467f96c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="799" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60132746-4f64-484b-9eac-9031ba270e82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="798" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c057c124-3cc3-47f6-baf7-e28078d6db11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="797" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5f962e39-42f0-47e3-88e7-0aa8ff270f67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="796" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-491cd25a-0a13-4346-9edd-005b5dc95bc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="795" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b315487f-fa28-42a1-86d0-2381f2557bcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="794" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cc401721-9317-41e7-97e8-5969200394db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="793" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2bd83160-eedd-436f-a86f-d32dfd7810a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="792" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a001819-989a-4ed5-91df-d5980b0b3787-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="791" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8185391a-6182-40f5-8aff-4b7d4369270e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="790" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63c643da-8aa1-4258-aa4a-82038898107e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="788" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-da2a390f-1005-4956-8244-1b4876c3d3cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="787" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1ca6222-59e5-4b78-857a-4ce34961b59e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="786" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a4f3c03f-ab6e-4132-92ec-b6100af19a94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="785" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-091aa816-a9bc-45c5-947b-69465abe2526-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="784" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51f885e0-d3ea-410f-8fc9-dba2026e521b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="783" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-732157b4-9f39-455b-8ae5-f61a4985f28a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="782" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-47b5c4e9-3892-4610-be84-4193ed589874-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="781" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-32c22238-d90b-4cd7-bc7e-628a544b34cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="780" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a732d8fa-aef3-48c6-812b-7597f2bdeaac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="779" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0303bd7-f0bc-4fc8-ac01-8f5048d658d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="778" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-36b2d6e7-b047-4382-b3db-11a2eca51c3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="777" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1933e755-369d-4b3a-8dcd-0cdcfacfb8b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="776" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eca0fd33-a062-428a-a691-6a0cc052d693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="775" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4feb9e7d-a1dc-4e87-a1dd-e66032e93092-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="774" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6ae7c5f4-d738-4bbf-af97-8e54aedcb440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="773" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fd3452d3-672e-4901-842d-f5b4c2380ed3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="772" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7eaedaa5-5888-47b6-8cb4-36a55acc4c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="771" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab5b9880-2c65-49e6-8ec7-99967e9151a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="770" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a1d836b0-3b57-4c51-9cc0-c64533a63873-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="769" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-90375791-0da6-47f5-bd19-d2c1224f9f29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="768" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5050a123-baef-4d31-a9e5-190b9da6118f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="767" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4fcc3bd-d740-4de9-8924-e4ad6b92af25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="766" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a89489e0-ccfb-4b13-8fbd-0ae2b5ec36d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="765" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f143b1fd-e0b0-40c3-8fa6-2dae08e81a30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="764" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-19e0c154-04a6-472a-9656-de2852d2cf96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="763" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ada5522d-52b6-438a-8b8e-1e9c4e0dc0b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="762" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-112316a6-ce49-4943-96be-308bf4f6d5b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="761" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8eafb6a0-2413-452a-b109-6f48a2e4402e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="760" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e2a84d38-45d8-4bb5-a322-0a60529524bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1016' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="759" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-db23b65e-7c24-4cbe-92f3-6eafdb1172ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="758" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-15b1f594-b667-4317-9d8a-976bb37b18f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="757" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f690d7c-2856-46af-aae2-bcbf3bd66d90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41021']" priority="756" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41021'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41021' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41021'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad69d859-1d09-479d-bec6-15b6a80c02de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="755" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1021' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b31bf153-3818-4a1e-ac69-b55a3f18540d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="754" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0537_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0537_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0537_HL7 W0537 Diadochokinese - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Diadochokinese_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0537_HL7 W0537 Diadochokinese - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3a3822c-b161-4d25-af15-aa2785f9aabd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="752" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e2f6336-b7f4-4b0d-a4f0-77639032be34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="751" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e2c8d0a5-54ce-43a9-bd04-1207a6da5652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="750" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ac6cec2d-8703-4dcb-aab2-23d180edf620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="749" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3be96fff-5aa3-4f2c-9f48-a84ba4af4625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="748" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3024db6e-c7d1-44b3-a9cd-10f73706ed7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="747" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-957f9a35-84b2-4f1c-9ec4-a8cd4dc0e9fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="746" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-41e4b812-af44-4449-9175-36a14caf002a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="745" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9095e163-575e-4508-9f12-2608f2cbb0b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="744" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1dc72ec-9061-4d22-9b6c-3e21e53006e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="743" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a12853d-9cf1-45ba-99af-745aae8b587a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="741" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea3196b7-299b-47ed-b50c-39f504f8a1c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="740" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cc1342d3-fa02-48d0-897f-f3374a20e895-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="739" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-324ffd63-8e2f-4551-b068-9a7480c21458-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="738" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5aeb5013-8d08-4ca6-aeff-11ca35c3cc57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="737" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13503360-5012-4da3-a33f-43dc545e098e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="736" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cf4647d9-0638-418e-b36d-a97cf448d54a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="735" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a66f6e39-ae42-4b95-ba4e-4091487b43ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="734" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-402bdcda-e141-4576-9f24-913b8fffcf0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="733" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f71c5f4-a710-4fdb-9fc1-611e24f4b147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="732" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1b4d1501-72ac-4dfa-9157-07a72e7270e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="731" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-110bf32c-d944-4f10-aaba-9a59b7cd89d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="730" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c2ae3c3-5b33-436b-ba44-5ee212acc019-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="729" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-baa4ff7e-0b41-4e3b-beb3-fa0f3d0c3a64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="728" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aabe0217-b7ba-499c-8552-28c5aa88a34b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="727" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2eb6da11-b549-4fa7-8bab-5fa18f0904d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="726" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7c1dcb35-34a6-49a9-8dfa-1dbd66e4d480-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="725" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cf3a3f51-dd49-477f-9018-781c675bfdbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="724" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cd33d00-6390-4694-a416-c63b3b17a086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="723" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c2d86e9-9d6d-4bab-8cd7-67d54afadadf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="722" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9e51ac06-53e5-43c2-9318-41a445ead645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="721" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-20b65f6c-3146-4c34-b98b-1e4021451849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="720" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e38a8c5d-371d-4f15-ae2c-78898a80d847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="719" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9b658b42-9a6c-4d90-9d8b-5f71c4534395-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="718" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a6fe337-cad2-4608-97eb-f475b0572fc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="717" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-56b63768-b9a0-4136-a424-d5b50ef21861-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="716" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e6ce8a2e-1610-41a2-87bb-d0d5418602bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="715" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab217d53-3b9b-4c14-9688-e7cd527ca280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="714" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-961c94f4-a533-4658-a7d6-e38fd67dea01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="713" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5a396f6-f1c8-496b-810e-e1b29764f62b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1021' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="712" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5ff3383b-491f-4374-80d4-7318561e49a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="711" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa2d3650-001e-42ad-9987-235dd2258404-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="710" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96bd2575-5dca-4ba6-8fba-4ff0ecfb2cd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41025']" priority="709" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41025'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41025' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41025'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c43da9e1-fef1-43a5-980a-a9699e2f9c3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="708" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1025' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5d2998aa-3b29-4649-b340-6ecdb54bdba6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="707" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0541_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0541_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0541_HL7 W0541 Eén been staan - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Een_been_staan_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0541_HL7 W0541 Eén been staan - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0ceb8c8b-5cfe-45d4-8c49-567f9601308e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="705" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-abb16f74-f008-4715-b4a5-bd3c034749c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="704" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e283058d-fef1-46e6-815e-678e1fe3ca58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="703" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a4bc2aaf-aac4-4f0c-95c3-f064736baa4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="702" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fdf22465-04ec-4785-98d2-015ce95fa7a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="701" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-73842390-b8bf-47c5-ab5a-4518e245f6da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="700" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e645d6ff-04bc-4fef-9a73-ebe0e88594a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="699" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-869756d1-53b5-4b48-ab62-319e378f8eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="698" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-872fb219-6c27-4d74-a3b3-e79b9e0b30ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="697" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b0bd28bf-5656-4c83-9724-3b67dd53cffb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="696" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6fa6706d-ebe5-4bdd-a42a-e6c9706d9d99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="694" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b1bc5b08-96bb-47f3-8676-cb95dce4a833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="693" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2985a676-e410-4cff-b3ee-da92d66286fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="692" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-16ef302c-8d6a-4645-9bbd-8b8e2dad8429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="691" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ca4ec728-203b-4df3-812b-af1fef26d66a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="690" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ade9f9b4-77d6-4e88-b29e-39279bbbff10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="689" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fac8886a-2795-49d3-8ace-f3f2e2b69992-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="688" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-016c967d-f23e-459e-99d1-3ae33298a939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="687" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1028f93e-a7a1-40a8-8083-af59b2e4a016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ef060188-2186-4631-a62d-11dc5683f387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d90c51f2-ea02-4c39-83a9-d2393edc3952-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-788bebfd-bdcd-454f-9fd1-fb270ea784a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b4cd351-fcef-438e-9e18-db100ba94e5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-742aed93-5282-44d2-8839-1824e5f8c2aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8681a1b-bec2-4c50-9f2e-b76bb0b9e6db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="680" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-09c6a5e4-cf41-4db9-8ecb-fe1313708f3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="679" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f47bade-fcb2-4b20-a6e3-890eee780548-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="678" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d8282bd-22a9-46fb-9b04-68b9303a891b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="677" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-531378bf-78d9-4f37-aa61-cd689a8ed3c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="676" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7c44c52c-35ec-4878-a22f-ae7b73cff658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="675" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-532b2640-4076-40dd-8735-69946faee1a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="674" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c87ec970-654a-4404-811d-915a6eb09752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="673" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa066b56-20fe-4d80-b85c-f1e35b3dab71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="672" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1fb6b0f9-36d9-484d-88c8-1448f7063337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="671" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d27a2828-b5e8-490a-8a77-ce309352d181-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="670" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d87d567-fd63-4263-a57f-c9c3ffff731e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="669" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab482946-1fca-4d63-9a17-b35ed23bd6e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="668" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9bf61c61-d0b2-41cc-bc06-5891d70e9924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="667" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b4edfade-e4e5-4b57-8acc-2a546cb6bea5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="666" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35d4f709-2abf-4dd5-a798-dee68141b287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1025' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="665" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-95366ba7-14a6-4bf0-9bb2-09874f6e833d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="664" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-15b61a8d-5746-416c-a7f6-fd5047de0ccf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="663" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4ae53f4e-52a7-421a-9d88-87b2c8c2e422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41027']" priority="662" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41027'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41027' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41027'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bf07b477-d1ac-41a5-b5fb-a1169d0128c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="661" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1027' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a657efc5-ed0a-46b1-9473-72287b037546-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="660" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0543_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0543_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0543_HL7 W0543 Hielen lopen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Hielen_lopen_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0543_HL7 W0543 Hielen lopen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ce6b5947-a7c9-4a03-ad17-1f8cbe83a8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="658" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fe020319-ba6c-49ce-9c08-41b76cfcc73e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="657" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3a7b626-2b19-4120-865f-8ac22b393dd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="656" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9dcb7765-a9c9-46b3-8cb4-460d06ffe3da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="655" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b7d974d-1331-49d6-a656-92d6a898e920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="654" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5fa69596-b10d-4edf-8c4e-04a6cf74c1e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="653" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f4cf9e79-0564-42d6-8cca-9d4d734be744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="652" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b849e282-e9cc-4c52-abb8-109d9db61f6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="651" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96b52fd0-7c18-4859-9e0a-5e59c8864bf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="650" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cea04167-62b4-4360-88a6-72b7b69917fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="649" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4c98414d-4c27-401e-8cbe-19f16bf91538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="647" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-767d0803-9947-43b4-beda-37a2411c27ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="646" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-22347147-7f98-4c36-a4d1-e5a4b75aed2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="645" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-67c4ef48-6fe5-4640-9b7f-1e1939d4efaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="644" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-425f4ba5-8c4c-4352-990d-41a49cf329c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="643" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d1ca9c03-ffa0-47cc-841a-ae9275a4b080-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="642" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-163c7cbe-f896-4ecf-b8c1-63eeb882feb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="641" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e39e4a2-88e6-47a2-91d5-5228cfc15a3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="640" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a819e0c2-8698-478a-9158-8be1eb3709f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c85b707f-c5e0-4653-9faf-389f3770424f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c7ae2732-ef58-47e8-92f7-c89a619e383e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48f3b6c6-cd9c-4515-9197-751c1a2ab0ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-91f74169-216e-43da-81c1-72859eab4ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96dd224b-3730-4c38-9583-2653270ec653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aec8d1f6-4153-4cad-971c-b798bd38929d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7fc6244e-4511-43ac-ada6-330252a179f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b87c776a-3132-4c20-835f-f0afb7c0be2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="631" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2f2e26a4-79b9-4dbd-94ad-f1f235647cee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="630" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-417a8b59-18e0-402b-830a-f53063eae625-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="629" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c70a1b73-a088-4450-80f5-51c8376a5260-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="628" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad5d294d-03c0-45b0-b379-656000e87016-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="627" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5851aad5-ea0b-4600-9e16-0438bd592d8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="626" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d89410c8-d621-4347-a333-b5b7f9a9a48f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="625" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7d51f3e2-84db-48ad-b65d-ad06326742e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="624" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-99d4d6a7-2e8b-4c07-ac19-0ae7ff37e7e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="623" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-74f8eb7b-d101-4efc-ba0d-1dda897fba6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="622" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8a6a0cad-268c-41d8-8e65-aa622568a076-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="621" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-97ef9ad3-7ea9-4ca3-84fb-ee6229d88a20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="620" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f45c4abc-7b41-439f-b032-826f5fd9b840-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="619" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-31761ae3-dd5c-4557-8dc3-19248fac8da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1027' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="618" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b601b458-93dd-46c1-a736-f9c717e23f85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="617" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bd7e6428-4ed9-4b79-aac2-335b1cfa261c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="616" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ffa7008d-f97b-47fc-bae6-c67b483cb0b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41029']" priority="615" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41029'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41029' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41029'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ef8bc6c1-0430-4433-acdd-dcd40c097c10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="614" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1029' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-beaa7d15-75e2-4c31-8e62-e4791773815d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="613" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0545_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0545_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0545_HL7 W0545 Streeplopen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Streeplopen_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0545_HL7 W0545 Streeplopen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-949f7404-b026-4b29-af05-5f0c47a2e747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="611" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2eaadebc-0603-477b-ac92-776aa0a260eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="610" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cef47fa5-9d04-4273-880d-6b32fdfeb2c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="609" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-011cc344-31cb-4f10-a44c-e9b844c2719d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="608" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ddc6e131-fea4-4839-aabf-2a262ef03ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="607" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b01caab2-1b75-4e2e-b02e-692913b7cf64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="606" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-defcd072-2ca1-4083-99b5-f45badc267ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="605" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-398d6deb-0a5f-479a-be06-29d519af7926-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="604" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-91d07b5a-c8c7-4f60-aac8-f42a43410a64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="603" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6cdbaf75-dc6b-4182-9994-6be3a7b33f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="602" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b3738e99-84da-405d-b07a-7f3214108c7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="600" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d121ed8c-b921-4be8-8f71-b5fe1f4d44ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="599" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-30dfc720-d737-4719-8ae8-f406d3a19cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="598" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9cdfd8f0-952d-4aa3-a90c-756588564e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="597" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-15c633ea-19a3-4436-854e-c247361ad3db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="596" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-54d729eb-98b1-40bd-a11d-fe1c3bbb74da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="595" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e64ce25f-0743-43d4-9cf5-c423584ff1a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="594" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5ac48ed7-ca5a-4ec4-8497-afd0c45076c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="593" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-845ffd8b-6c03-457b-94ed-4d2d3d71f263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="592" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e161aa2e-68f7-47d8-8f4d-ca7677e73a56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="591" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d75bfb6-1037-452a-99d0-ba54631e8ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7aad2107-2c54-402e-85b9-cea0dacb99ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-77f26904-05f5-489f-899a-75b8134f4525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-392b28da-4cbd-4553-97a9-9f8b8de1c682-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b614a32c-7b98-4447-b183-522a7441e8d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-180b6239-8a9c-4380-a786-b703765c914b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bf0e89d7-4acc-49ce-a06b-5988cedf4e9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="584" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-03e48f5b-87e5-4a42-94f3-074709329c52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="583" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3b43276e-1bd6-4370-812b-a6fb3c0ca5d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="582" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df0a8558-b5d4-4ac4-a2ab-d5b8a3c53da4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="581" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-640cf22d-8113-478a-a763-69d4ea22b947-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="580" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d0be79f3-943f-466b-90b4-18ccf9545dac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="579" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2bdb9d35-6e5d-4e1f-9218-c7c0ca3dafac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="578" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2e176f5d-4631-4532-9309-1ea3739426a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="577" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bf4c1399-36ba-4a6f-a954-540f02b4e058-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="576" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d8419f5d-18c0-4106-9fb3-7babc7e730a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="575" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bd1726ca-f6ae-456b-9a6a-d474c2c59a57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="574" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-73f70fb1-25ff-44a8-99dd-2842e74e8e44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="573" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-562067ba-b7a4-42b6-a614-b4e1d82a77d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="572" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-789f48fe-d576-4da0-bfa0-8dfd4e1448d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1029' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="571" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-66c034e8-2e7c-4ae1-8751-36a27f1079e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="570" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d227adce-f40d-477b-8faa-f92915ace609-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="569" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e3a56f2b-0815-453f-a9b0-ae9cad8d3e9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41032']" priority="568" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41032'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41032' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41032'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96424985-b07d-47e5-9a32-5a4ca86513d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="567" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1032' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ebc12a79-6f27-44c8-9e98-9f601f4aba5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="566" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0548_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0548_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0548_HL7 W0548 Hinkelen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Hinkelen_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0548_HL7 W0548 Hinkelen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-249b74ab-1f92-407f-a30c-267a9301af4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="564" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-11a25488-4b01-46f2-bbe0-3f3d4b509c11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="563" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f5be4b05-0184-4686-8e9d-60308160c883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="562" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28ef612d-ee45-454f-9890-675b8ef646bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="561" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ba8695ce-e6b0-407e-98e1-7145e6ebb1cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="560" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-65be2636-72f3-4f5f-b9e0-0c495b62c42b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="559" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4ca329d6-f06b-49dc-b163-79bcaee7777b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="558" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2ea002fd-c6f7-4d0f-99cb-112aaa7e6257-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="557" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-86ff462f-0d1e-4afc-acda-c3cf8f60024e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="556" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5794460f-2fad-4de2-8773-1d52c1ae24b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="555" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c46bd865-d8ca-42fa-a4d9-7a72e6538f3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="553" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fdef349a-42a9-44e0-aca7-e714fdd9f474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="552" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8e14c100-584e-4b99-8b54-ff022bc783d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="551" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9af7d7c2-11ff-48d9-88ce-292ca9512a49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="550" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-78e17cfa-f54e-4b93-8254-b005922f01f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="549" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a6e7077-056b-42c7-a2c9-f24365851d6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="548" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f2902813-c17d-4869-a89d-fff5dfa29c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="547" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c564c882-0661-4f17-b1f9-f9fb035d4644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="546" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b04cb1b7-2852-46d5-8a18-388098386045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1015573f-accb-497c-8f5b-10b2df1f41e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5e0aaf8-8fbe-472e-8125-9c9caa94092b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5da0eabd-e5ac-4f25-bbc8-ba8130a428bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1187abb4-88c5-469f-b2c3-d09a4327a81d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="541" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c78f704-9602-45fa-bbdd-8b12fb514344-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="540" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8155a4e7-400d-4f38-ac3e-d3d6f2a1dc51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="539" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6a6daa17-4460-491e-897b-366bcd3c088e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="538" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4fb2dae8-5ad1-4fc2-a1fd-09cd920ccdbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="537" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-03e61f09-7810-411d-96d5-e8faf84e8f79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="536" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6879dfc2-9b80-42a9-8641-b88b70ee6ba7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="535" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-09987efe-da2e-4fa5-aca7-2480d8142522-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="534" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c36a7c4-9d67-4c94-aabc-d828f425819b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="533" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e44b53a6-2911-4485-ab0b-f9f742ee4bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="532" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5f7c67ff-3385-49b7-8e75-87f12dd45fca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="531" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dc3183bb-22d6-412c-9ae0-2bfa60f464d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="530" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8fcef972-68bb-4905-ab94-3181524fce3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="529" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f064c9d5-dee6-4efb-9a95-98ca70746231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="528" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3b075989-469f-4852-ad54-9d81a54a3fe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="527" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1f4c805b-d56f-47f7-b039-b37eb2be3f69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="526" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a8f55821-729e-4578-9fe5-989bea28fb6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="525" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-077a1cf9-6fd8-4294-bb6c-d89b14a169e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1032' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="524" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7e1a6a3a-e974-4d9c-a95f-05cc94c9218f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-92ea7b96-3b10-4747-8b31-7ca2ebefc45b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6767e1ed-6cc7-4d0f-8fa9-9da0e4bafb9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41034']" priority="521" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41034'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41034' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41034'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0366e11c-a173-4952-86a0-c72047687139-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): de waarde van @code/@codeSystem MOET ''1034' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cd54b0f-f229-4787-946f-58a764f482d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0550_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0550_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0550_HL7 W0550 Springen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Springen_-_kwaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0550_HL7 W0550 Springen - kwaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5c8e7fa3-ae1c-4b74-90a7-4926307b430a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="517" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13b0909e-1b62-407d-a3f9-339db5bfd1aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="516" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f442e44f-3703-401e-872b-0b84791e6f1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="515" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51b759ad-8319-4d81-9732-62390c76157e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="514" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2c51d990-4489-4204-99d7-3278f055d803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="513" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1b56cb46-76ab-4a4f-b4ff-9ff0da607a1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="512" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-547ec960-6fb9-4f8c-88e7-85fe90ff6607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="511" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35e2b330-c07b-4139-9138-65ad430fcb1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="510" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b54c20aa-3135-4470-8d7b-ab703780357f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="509" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-091047ce-e6dc-42c8-a742-ad4f592ce655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="508" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5697c0cc-e394-4cf6-9abf-a91845f5eb99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="506" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-512e651b-6be9-41cc-a053-94f553eee369-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="505" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51baabb5-15f3-4f32-a826-53978274f102-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="504" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ee3c25f9-0954-4a4a-a8c5-6ff6c61d9187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="503" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2a9ce40e-4cbb-4225-a0ef-dc1e025810f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="502" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0f144f9-46fd-4c97-990e-a34ab0d49d7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="501" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-336306f6-43e9-4089-9833-2c4aac1d8f39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="500" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ef32fd34-0576-4573-84ae-f05b90c42505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="499" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3004bc8e-d4a0-4142-9c94-dbe7e655ebc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b986fed-d5df-4112-ba6b-40dec663a6dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1d769595-b764-480b-aa88-6db9b41f3150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0b22ec8-6f92-471d-aab6-cf1093c140f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-79b1bdd0-c1cc-40cb-b53e-844d26d850bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b5e28798-8a5a-4aa6-8d5f-cc1893cd1ee8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d8929ec3-f265-4e34-b7c4-eb83172703a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1cd1b07-504b-452f-80a1-3194c8ebd96d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-345f0d83-fc23-41e2-a548-01043b7effb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="490" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a2102e01-37c0-4317-b7dd-53787bd7df58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="489" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-71493cf5-0a07-4339-aaec-7421e2831383-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="488" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2bae6e74-d3ba-4c3b-a9b3-7f479d06a7f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="487" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ccb9502-6b47-4b3c-af51-60330ef4a55e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="486" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ed98fd7-2d7f-4e55-a1fd-beeb7b031c8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="485" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-53aacfbb-835e-4d7c-8ebf-4a270468d209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="484" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-11acdd53-548e-451a-875c-5889a9299dae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="483" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b794fcec-437a-4ed2-8e87-18a88dc397cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="482" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ff72476a-6378-47fb-b47a-c083b4f57482-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="481" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a8f16683-eb3c-4574-8ca1-a0426e4eab2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="480" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-626925a6-fe66-40fa-a97a-fca6ebeebdd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="479" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b5d1a338-25f3-46c1-9ff8-a639db047a3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="478" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cfbbd51b-7f66-46c0-aa8f-708258e4ccca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1034' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="477" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8f139d7-7b15-4354-9eca-4d2c3447038b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-693d1232-a6f4-45b7-a5d5-6ea8e05aa146-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-12ee7d44-e8db-4ae5-a0c1-8c5375bd97bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41035']" priority="474" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41035'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41035' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41035'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-988ceb0b-8e49-4a64-88db-034583709f38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_fysieke_belemmeringen): de waarde van @code/@codeSystem MOET ''1035' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-36a4dfaf-0500-464b-abda-b5fa268be971-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51813e37-d606-4782-92ee-5f59fabe1a49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a744ee9c-6f3d-4256-a5dc-f7e5121f33d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b590734d-9cbf-4f91-b88a-72d8f0759e11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2981928e-a004-4955-a83d-4a6d27c61ecd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8803d860-dbd7-4828-a62e-7cfff8f1a96e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2de845cb-4073-4819-a293-067693da0965-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-46cb8ea5-e578-4b8d-bd82-d42e40f669ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-293194c4-e6fd-490a-a07e-2f44dd52d6d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fa2329a3-9540-4705-9317-1f2e189000ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-03cb0d90-b801-4426-9542-f10022c86cb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5708b0e5-e1ec-4687-9f9e-57d83d02264b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-32846651-8880-4cb3-80f1-bb9e5eaa74fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8f1c0022-9dba-4c11-b723-3ece91e70ffd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4198e698-6edc-4d70-ae88-86f5b4e2fb6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d231bba7-929b-4341-bffc-171e1a57b8f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-209a814e-98cc-4872-bf43-2b57d8d38eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c2022d6f-8269-4e18-8755-da9bf43e941b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5d27cd70-9da7-425b-b297-2fc180255101-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d966a696-67d0-4194-9645-0ea4c16d8525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fceced77-b3ca-4aa3-94f5-5ab7d1cd28d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-938b7507-50ee-495a-9f4c-689ff6e0ac94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9c257277-50d7-41bb-b733-d777c5c9a01a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f44fded4-69dc-4eb3-8d7e-ab74618e3338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8617d084-659a-4238-836c-3cfb2f949de3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4dd0c3f3-2720-467b-a383-e1ecbccff2e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-72942f94-6464-46e3-bc17-df93c7da012b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-80298dff-67dc-4efd-8996-3e1c77a51b7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d2f9a0b9-9f71-4e93-beb0-1b8d52614812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-63df43ed-0632-4c91-ac66-9426a0b2896b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8488775b-c4c2-4fb7-b7d3-36cd5b46f1af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d620b2ae-b545-460f-a6cd-7bc48b704eb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad22417f-e35f-40e2-be55-a1cce8c17fc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f0760119-46a8-4c75-84d6-89efdb69c83d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f0c6e21d-977f-43bb-b665-9b04c0ca487a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7f4c64ce-e606-426f-8196-531e54b64774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3d74673f-50d6-4228-8796-96c72f35cdde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-086adb1e-8b91-4a54-ad91-29b72837d58f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e41bb11-b907-44c2-97e0-14ee7f7cea1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0e777b65-db4f-4916-8219-3000e672dbb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c13ffed2-7d71-49f3-b155-63ffa3712ba7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1035' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2fca67bc-c744-4430-9a28-3955196ab2a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e36fd537-af77-44ec-92f3-58bdb940f227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b8e62bb-51e2-44df-a879-1a4f66b9a2e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41036']" priority="427" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41036'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41036' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41036'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48bf2c24-9423-48e2-8b49-a9f126d2ec4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_fysieke_belemmeringen): de waarde van @code/@codeSystem MOET ''1036' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-197f3acc-cccd-40ca-8ce9-77050521c0cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01f3a24d-3d57-4f30-aea3-93bcbc4811ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0ae56809-27a9-4a69-b818-cacdbe7163f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4c27d387-3e8d-49b1-bb62-e4e552d0ff0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9499cd10-e6f8-40cd-95d5-16f7ef68357d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-562159e3-ed4b-4aee-8c1c-1ff19538abe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4a722308-d0d6-4c17-8bfa-bfef58d2f929-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1fb8510f-1e76-477a-a028-35b3d69d92d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df52b4f3-950e-4bbc-9848-2ebb4ea79443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49ea7691-7445-4cb7-8400-1dd1cc396f38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2787930a-b46b-4aeb-8f91-f306d7ec48e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e996ef8-9eb4-4c0b-ac79-d87065fb72d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-30ccebff-5826-45e7-beea-32a18afebf65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8d4637a8-5f89-454d-8a67-0a54f3d90264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6590ef5c-c4b2-499b-8e45-505f29eb2de8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa661895-65dc-4764-9d12-465b2c3761b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f57c9e58-3130-489e-9ae2-de60093e14e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51185a69-0f3f-45c9-a50f-298ec446faad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9d4ccb10-ae43-47da-96d0-865a3d0ab320-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dc653087-aa29-403a-952a-3496a6298281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2afa6dc3-a8a5-4525-bf89-60cf4042b281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d72d9554-07d3-41aa-a8b2-a959b9ae2b57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5be1c5b-d9b6-422a-ba99-d25f217d0fe4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6169489c-f7b8-4029-b965-ec02584bb731-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f24fff77-a5a4-4206-bc31-1c964859a13d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1c94ddd-ca17-4828-9fee-c691a83f9c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bcc11b34-7eb2-47e1-a546-1704fadc0a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3fafb4e5-758b-4cad-9b1d-6a599c10dc40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e682f994-242b-46d4-bdec-211b1ae87db8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9f599936-b37f-4022-9552-6cc8b486b943-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-51e252cb-e83d-4eb8-8835-166a0e36baf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-640e7b18-db7f-4b01-9f76-0f77e05abce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b5b93192-1b86-4cc2-945e-f75379c3e7aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-426b81d8-4458-4cf3-aa9d-882122c67065-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ad8e7841-7ebe-49e4-90d1-7fa5a359c4ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9f152295-0309-49e7-859e-b99c791302ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-433652d7-71ea-4bb9-a411-a3622a53403b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-04a81989-1ddd-4890-b42c-2544b3364bcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0263b209-f3be-4b89-9922-a8c3903617a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-59751d33-8c75-4d30-be16-ca1438bdf91d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cc431074-a01e-4fd9-8876-2e237c4a0db4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1036' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d987ed4e-6102-4ec6-aeee-b075a95546d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-82a7d48c-53b9-47be-ac97-01230bb46ca4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dc489429-cd11-4016-9d4a-1dbd07cfe6e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41037']" priority="380" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41037'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41037' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41037'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9954cdcd-0f9c-4957-88fa-dcaaffe9cab4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_kindfactoren): de waarde van @code/@codeSystem MOET ''1037' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a2442759-e1f8-4307-a848-df6b1c0b643a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f104af3e-0199-4257-ba6e-f315e6daf472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3a366c2-7256-4c17-84c8-db1c626900da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cb5b2c41-ca62-46dd-9941-6c6e4937d17a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e02694f5-e4fa-436c-ae04-fda891e3b634-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bdd55d88-70a4-4b22-885e-6fa6e356f61b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-108b126e-2485-471b-a7c2-d94ec833ee55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0a89e33-d3a5-40a0-aaa5-d710ac05fe88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-646ac015-f047-4fde-a3bb-4ae64c2f4cda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0abd90b3-54b1-4b73-af08-5985b3499468-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2e65caed-4b89-4512-a88d-582ae053475c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5bf2daf7-0cde-4280-a086-03b904afeac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-79394110-ebed-49ca-b500-567b4d773661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0a3c79b-4e57-4f17-b56d-21523997b6cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-acf25377-ad4c-49b0-b406-4fc518cbaa8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9ca88237-9d1d-4f9b-9e89-304257793865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3a52d3d-4e26-469a-9d2c-70bd40cbe7f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-faa21da5-6f76-4d57-babe-ee1d07893d87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-137cc70a-ac0b-4a80-ad73-0bb4fd85d53a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d9119c88-b408-4231-a944-d9d119acf915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4eba7862-602b-49f5-9ae5-75c7bafbf1c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c5da222d-2dd2-44a8-baec-4c6fc9ea2ad0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3402be87-f37b-42cf-887f-c8b47347f71c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fa7fc065-46a1-4e6d-b80a-d8b52b443b11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d45485d8-7cde-4b11-ab90-47e8358e48db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e95d5e36-0ce8-41d0-942b-b11a181c413b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-abe95c75-9358-4ef9-aa31-3381aea4a1a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c3d5cd35-acff-4a39-8a01-33a195ef15a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9a752d0e-9e9a-4307-811c-e518e561038b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a06d6ec2-cd74-4462-8f23-7899d6fa7923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f88690a8-a00e-4205-9556-ca05b79e95f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5b639bcb-2def-4fb6-8e6b-c4aae8798734-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ab46ba04-0758-4677-adf9-c540958387db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7c6b35b2-702c-4fb1-940c-a11ab4d7daa3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e4af193-ffec-40ea-9159-0badd3f25716-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c2f1a03a-f0f9-44ce-8f1f-e19827a82ea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c6bd2a1c-1d83-4a14-a1dc-4d0fecd66205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b20e063-c5c0-4c14-84ad-dcd4713cf7b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c0b354ef-e6ce-405c-9f75-f9a19bf6e596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-05133ddc-f0cc-4a10-8e64-03427a55034c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-034c86b5-ca54-4f47-bba3-33edca1f600f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1037' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-994d525a-4bca-43d0-950e-2c0a328d604b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1581d840-658b-4e3a-93c9-214a52dbe4cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9d19555-a170-4d33-8823-b405b88ed30c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41038']" priority="333" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41038'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41038' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41038'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7cba8830-6c06-487b-a365-db27d8c46610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_kindfactoren): de waarde van @code/@codeSystem MOET ''1038' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d9c95ca5-551f-470f-adfc-ae069764464d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-072e4318-f6c2-4eb7-a6dd-31fd830d1f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-34c75a4a-1055-417d-bd22-6be6917b4e2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1783ebb-e967-4151-8fe8-a6339a0f20de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e80ed66d-3a00-45e1-9b16-017f6ceb3bf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1522213e-aea0-400b-a808-b876612d4996-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c994d3e0-bcab-4950-932e-c38d04b30430-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-166a6208-3eb9-4071-ac23-d279faf69c4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-49d375a8-abf9-4b8a-b151-e9edbb628872-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e0e17767-6198-4280-9ac9-0152cbfe3a5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7e865c8d-4bcb-46e1-927b-56870f07edf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-21e4061e-c75a-4a18-a2c2-0bcd4e7a4445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-054c5cc3-303b-48f5-96df-5caf02c06ab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b8a5b717-bc04-4ce5-b991-4a790049a454-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4fde0469-2370-4a1d-9650-5cbafaa977b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-31804494-a960-44f0-a2c2-87aaac2252b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-207a0f72-8010-4794-8322-01127107d581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a026bd45-6b7f-48d6-b6f6-771398dde60d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0969158c-e206-4a50-95ee-502cf4806430-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-132102d5-b769-4a92-8e11-79d76c719005-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a336d830-4881-4928-92d5-b432d4eef6da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1c440b42-9d42-4940-84bf-e88d767ebd72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c9dd4f29-0ad0-4cd5-847b-362857549937-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a91a8b1b-eb45-4298-b39d-c292f8ac5703-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-97d13e90-36af-4de1-b89f-8f2935d68dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-fdad9fe6-5c88-4c7e-8048-b232e32c6f64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-57b9d73e-cdb9-432a-bda8-2885b8e5f995-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-201eb293-4553-4b28-b40c-46d80b77842e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-41ff9d34-7287-4ae4-af2c-4cdb954b2ce6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-545a9f5f-c767-483d-8b1d-aa33f05d0bf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cc60994b-12a7-4e36-98ad-aae9021975e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4f0ce0a1-79f5-4bf4-a665-cd9350313bb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ee217489-98e0-4038-aea7-33b672be7218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-95e9b4cd-1008-408e-8aaf-b748110935ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-742b47cc-7eb5-4cfe-b96c-fd79d1b053e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a46a8064-312d-4f4c-b936-6c7c0161a64f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7d7c9509-4aef-4f2f-8938-fa4ce7277226-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b7db463-a4f6-462a-a855-81b86c1cc0cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d7796cbb-1638-427b-8b7a-801fbb93661c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2fb2cac1-aa6a-4820-85cd-203feca0cea4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-343f667a-6b6b-426c-ae9e-f18b14a51574-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1038' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f82e48d6-ca7b-4d0e-95a4-cc9f18c0fbb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-84013495-9f2d-4936-a34a-2676d7b81eb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3af92986-bac9-404d-9a87-1fdb1e3d7ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41039']" priority="286" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41039'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41039' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41039'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7157b0ae-4a10-454f-9394-6278405d1d40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Is_er_sprake_van_negatieve_omgevingsfactoren): de waarde van @code/@codeSystem MOET ''1039' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-047f5241-dd80-4aba-be5a-0d5ab8f19bb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed1b5f02-3c13-4b57-8875-0f4b7abd72f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-476d4ba4-b15b-4311-9dd1-5880ae56f6ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-aa4434fa-876d-4dfa-8c69-bc4ff43fc724-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35d06fa1-df8c-4902-8bad-c7b26ca025b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0faa7d3e-9e7c-43e1-892f-f9269e6a7a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a0dc0073-20d6-4415-9dd0-4be177d90ed4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e38ce89a-89fb-4d2e-98d0-8a165a18341e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-982d69cf-a7dd-4960-958a-96965577a46c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-14cce941-49fa-4673-92b9-525748ea4ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7edad7a7-c978-4e65-96c3-a7cacf2287b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-43249cb1-c62d-4b02-838b-e5bebc977b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2660514a-ffa9-45b5-a58e-bae1215bf8aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-759af0b5-9434-4567-b7cb-8140f27e38ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-35876731-4109-4e08-a4c2-105e8242d61a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1721c27b-671b-4ba6-8a3e-c541976a0c89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75abddca-9806-463f-af71-6f779978efbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9e0d85f9-767e-4142-b475-971169e10050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d50ace4d-8465-4e03-9f71-5740e5d42b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e38373d2-f16a-452f-9ad4-bdd263e649d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c8795320-149e-49fc-8bfe-3ee795f8c27f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e6f07f7-c558-4ccf-bb45-cde96f1f3b7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-165fd335-eed2-4bf3-aa3c-9dd60da2ae93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13c65e2c-d24c-47aa-9dfc-e5837d205982-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-01cedf02-0ddd-4c02-abdf-dc73c3f868aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a75ff283-2083-4b90-83f5-3719ba0558a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-522e4737-2808-415b-a743-2b4305b663ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-76db9e83-0371-4eb4-9971-787b8ded33c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-519a6aca-a0b8-4c6b-8bc2-f1e1b13ab12f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d8534f8e-5ac8-42e9-abb6-982a05a9007f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3846678d-90ac-4788-83a7-eae74bf78aaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0ec10c69-a56d-4432-b6b9-2f6f45a7b1c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c1cae83-5365-4fff-a34d-efb2320fbf3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c6d53667-ed55-4fcb-9a89-7d3cf0181e49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eddafc67-23ef-4654-8fca-14f48b2cbbbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8c26fcc-3767-44a5-b7c7-db1ff9da23f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4e8dd65d-89d2-479a-9724-ab7495b03ea8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a321aa28-2601-4a8a-b6ef-d17b7914acda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b15c2239-768c-45fa-8796-9deb087e1456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3fd1f219-574b-4957-a9ee-ebc1ad36d6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-7a26d5bf-ae48-4c83-9bc8-913d9364d9bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1039' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5b45059-3bfe-4eb4-bf73-949c0a0a4ec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-28d1315a-18e9-4108-b94e-7ed7c6642907-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5d092953-77b4-4fe6-ae14-a1209be5e084-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41040']" priority="239" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41040'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41040' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41040'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b02b8835-a271-42d4-9f52-ffbef0463688-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_negatieve_omgevingsfactoren): de waarde van @code/@codeSystem MOET ''1040' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-96bda999-c778-4a72-a0a7-ffc5c1be48ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-29a5173f-f5ea-4ec9-bde6-149923a4ff86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-536bfae5-d504-44b5-828b-01d308b6d90e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-426074ed-aa23-43e8-9f84-9fb010b7f707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-412d42a8-bedc-4db8-8f0f-436e6c5cdc45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a3ae0188-ffa6-4275-ba45-3ad7ecea8154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-04763ded-7a11-40a3-874c-82af53e84c0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e4c92342-e0de-497f-a4b8-852cf8ce52af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eb85899e-3540-4e80-a9b6-c962f8498d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-dd0cd1c1-37ef-467f-9cb1-8a6c8b54c4bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cb8688d4-786b-48cd-8f6f-05870bdc78e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-94027bb5-4408-4a92-8933-a708ca161e94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ae00a9dc-4dac-4718-b145-eba72197ebf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a031fe76-cafc-40b0-bf9a-a8e9304bf207-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ccd6332c-0171-448c-9fd8-5f096fb56acf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-13f80cf2-49d5-489c-ab8c-9eddf04773dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-71c80704-7afc-432e-84cf-da9f6e8a98b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-02e24b91-34d4-4235-b866-866aba0b0830-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-25df6673-52b2-4197-ab22-f8f6356269ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-07aa1cd4-7941-4e10-b3fe-a762f78df085-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2b273258-94ac-4381-84c8-5ce5f1ef24cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1fb1b946-94a4-4512-a78e-0e93733b23f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-977415e0-30d9-48e4-9381-e3ad32fd5066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df5477fd-979e-4f77-87a1-9ec0422bf62d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0cbe7573-c2ec-4bcf-a25d-9924f5d058f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c470cff3-76af-440f-87c4-f86c87526aa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0f645d7c-6818-479b-b7bc-33a9feb5a6b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ac30f971-2546-4f8a-a100-72ce64252b0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2d241e33-0dac-4a6d-875a-a0b310e374aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bbb62391-f63b-4366-8a53-15fea16705bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ee91baa3-9f28-4b18-8fae-384a21c561db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4d111bf0-141e-4375-989b-9002395026e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-eb0a0d6e-33ff-4bd9-a422-43dae16a7eff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ebd5255a-17af-4ceb-993c-f257b72edbe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6fa3d880-3cc8-4b19-b4b0-9babadda954c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75232e7b-d87f-47ba-8d37-09d4eb78961f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-145e86b7-62b8-4b20-9248-6d073d5b9b1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a58e6f33-e10e-463f-b5db-ac060ecdb071-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-115df338-2d02-447f-804d-9e3928aaaf4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea0b22fb-8433-4942-85e2-b1d846033def-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-219d309b-3957-4a18-b5e6-ee6afaa52d6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1040' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2359ce77-5c4b-4c65-b8bc-3966bee211ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-16893598-c69a-4e11-8867-d4db35a94b95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-26528307-45cc-458b-b0e1-d1c0eb066e60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41042']" priority="192" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41042'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41042' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41042'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f9dab2a-1078-4761-bbcd-ffca60389d36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): de waarde van @code/@codeSystem MOET ''1042' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3b7503d7-2d68-4da7-ab1e-48b6d7d36963-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0555_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0555_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): de waarde van @code MOET worden gekozen uit waardenlijst W0555_HL7 W0555 Percentiel (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Percentiel): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0555_HL7 W0555 Percentiel (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a7a7856a-8568-4747-ac91-efcfc2dfc63b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-25901ae1-46df-4c0f-9b2a-cc99147038ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f4f05992-d070-4972-b7b9-3fd88bde75f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-809445af-65d2-4932-bc6b-96ee39130517-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ca91e863-2117-41ab-8a92-3cd9da8c2966-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1efc970-ef9a-4a9f-9a83-ea239dd910da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a83f987c-a29b-4c8b-ba49-f8dc1d1ebe4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-570a527d-5a5d-4c35-9ff9-b26d77550ccd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-84072c48-8766-4f15-9dfe-5268a48815d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-48aa9568-f0f1-4cd3-b3c1-58e68be43920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a8c15ab2-8e10-4299-baf1-2a9301a70e0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b2eda0b7-d440-49f5-b8b9-70af3efcf379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5a1f2326-64a0-42a6-86e5-f837a5827e88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4541fe93-c08d-4166-9150-5c3df83d790e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-758f5f06-a11f-4943-9484-c8897fef7552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9b59cd30-5b7a-420c-bba4-6221d23c2f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-548602e4-7b70-4c94-a0a6-d200a1e9890e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9d0b979f-b230-497a-a0b9-c62ecba4b17c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-60bc77f0-7784-4fab-8964-d0012e56cde1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cea98cc-090e-4817-908e-c07ec0849248-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-07506bcf-9b07-4ef2-ad15-6136654235e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-65097359-169b-40f5-a2e5-4fa1f4a12917-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ed9f9ac5-b522-4bb3-9678-19dacb4c1712-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e1fae4b5-6453-433f-b074-d1bf953beb9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e0ac24c-071f-46e0-b051-89ba59f71a66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e534b6e7-b00b-4403-a248-048d5e64fa89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e26cb68-91ab-4bd5-98a8-6dec553d651f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-336049e4-a95e-498c-a8b5-ea0974fb3e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-b3fb8ba0-6cc5-45ad-9472-1f5c065c67ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5c14f05f-6c97-4368-abe1-e295abfa75e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3c7e3d87-18b7-4c46-a11e-a22919d349c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1836956b-c5ca-4e47-945f-0fa377aa9f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f028692-1107-4398-9fd3-9f564b0508ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-39127b61-2a6d-4798-b2aa-6364d21eac26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-5e9394fa-5615-494f-af2f-4a8abd78e897-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-160145b7-e078-42cd-8ac7-b82bd7f26e64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e44c6ff-0cdc-403c-8fd0-6a2f388dafde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-9e96f3c5-e6f8-4b3f-b5c9-ec57e691122c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cca9476-031c-42cb-beba-7fbe6da88227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-79baf62e-5900-4e34-b8fd-b8b8b959d7c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1042' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-424464d6-042d-4a10-805c-3aaafdbb4763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f1d29d9d-c561-405e-a282-39afeeb218d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3396a33-cda0-4d5d-b461-52b87fdc12bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41045']" priority="145" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41045'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41045' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41045'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3e3f37db-3391-46a6-ab54-018dc56615ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_BFMT): de waarde van @code/@codeSystem MOET ''1045' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b13f37b-b468-4051-9ba2-55e3d32fffb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d0954b50-3066-4241-b14e-a32c0f18a4bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-f3fa1959-d00d-4314-b8da-383c5cc0f57d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6a19b579-1c40-4fca-9059-dab0e8017950-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d4f55afc-2d3a-4388-a99f-a7df2f0293c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1ba25101-4040-43e2-910f-51a416a16b59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-0c3a50c3-c450-4789-b848-6375e11be049-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6e031923-6c52-4c25-8791-e1e795ee9c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4a490309-4cf2-4595-b872-ccb58471e47e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6b2953b1-91f2-49f3-a668-08a3d3d4552e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3c617638-ea06-4e00-9b93-b010ef891312-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-80bf206d-15f5-450c-b24a-9566272ecfd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-75e9f424-3d0e-408f-9d93-19afb54a39e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4b5d45c8-e130-44c1-b485-358967901a41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-931727f1-38a4-411a-bf75-7a9dccd0332b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-978322d1-3ce8-4d12-b128-a89c00a723b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-97a23b53-77bd-4fc4-aff6-dd72fe231bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-24b89274-a3dd-47df-ab53-4bfb2c2d903d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4061d53f-f75d-42c9-8bfa-c0d38825e8f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea8a8d73-9a06-4448-93f2-7edfaa31f4f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-cb8cb8da-5f0b-49dd-b460-a8e945ffaadd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-38b0516e-2542-4653-8c3e-ccf9abbc546f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-df9ed602-6d2d-4998-a7a4-c5bb3c4b9fcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-a5e3f598-61bf-4ce1-ad67-3e4585b22d21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e20e5f10-3ee4-4dee-8db9-35b192dc5397-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8195caee-2ed7-413b-aaa8-c07bbc8a33e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-3ae0c7ed-93ae-4982-8b43-15fc4f5ac878-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-2dcba0f9-fe23-4ecd-9ce5-b087d8a904ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-e8d42869-2c55-48c1-98c3-271bdc05b0af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-17d5dfa7-cdcb-4706-a72d-41430bc3ed5b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M84">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4148a5bf-81be-447c-a733-f033c730d812-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-6f76df96-ec2f-4f9d-8fe6-127cc4030cf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-d51c7e52-325c-47b7-a8f6-46f1469146e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-c639cbd2-9a55-49fa-8222-9235ca1be1f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-8cfa8d95-0ac7-46c6-b5c1-7bc95bf0b556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-1770c0db-9261-4246-bab5-d1335fa01005-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-69610f3c-cf37-49b8-8081-d5076640f821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-bac955a7-f51a-4ab9-b379-748953cd0f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-4698a0ae-d8e7-4ed0-95ab-11feeca7f2f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M84">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-19001b6b-a904-4392-9a0f-f8f7aa21a3cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M84">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11043.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>

	<!--RULE tmp-ea9705c3-f5e9-418c-b094-b6b60bb91d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11043']/hl7:component[hl7:observation[hl7:code[@code='1045' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M84">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M84"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M84"/>
   <axsl:template match="@*|node()" priority="-2" mode="M84">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M84"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M84"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11045Rubriek 45 SDQ 7-12-->


	<!--RULE tmp-24322402-7bee-47e5-bc49-db634c27ddac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']" priority="2030" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): element hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3cdde51d-5260-4874-b93d-030bbceab8e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']" priority="2029" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11045'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11045' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11045'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6b962689-f8ce-4977-b31a-37235a0a3d93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:code" priority="2028" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R045' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster45): de waarde van @code/@codeSystem MOET ''R045' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R045' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cdbef33-284a-4dc1-a564-5c913b46622f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2027" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-990f43cc-0eb4-4d7b-9094-1031884ceba1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="2026" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-57617440-3e36-4e4c-b615-dccbf786b672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41078']" priority="2025" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41078'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41078' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41078'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c289e742-27ed-42a3-bfb3-25c67d0d5148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="2024" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): de waarde van @code/@codeSystem MOET ''1078' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cb3a3da0-b31a-4789-8e0c-73329493faf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="2023" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Houdt_rekening_met_gevoelens_van_anderen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5dcaea5-9f1c-40a1-9765-434f19563ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="2021" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4fd247d3-6928-47ba-8747-d8bfa78072a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="2020" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4b366e67-f361-445e-8e23-1155b85001a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="2019" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-828fd1b7-179e-4ada-8d12-c5a5d4c044f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="2018" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd7ee81a-879e-4e90-8ad0-5b6204cf579a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="2017" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6f13be24-fd3e-488c-8e63-f8d35031fa12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="2016" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e041de66-96d2-48e6-9bb7-78a702ef0230-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="2015" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-df22154d-c7b7-4381-b91b-1e0177b48e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="2014" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-88dd3f30-5089-4a0b-a837-241d109d5416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="2013" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e3c4843b-9458-49a0-bf38-c37f68b62109-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="2012" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0294ddec-3097-4d0c-81f3-f1a908a18cd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="2010" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d3932bfc-cbc5-4de1-baa0-409f5912f95f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="2009" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2d14da33-01bf-47f5-9557-6f124e1f91c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="2008" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-577f8190-9d12-4249-9104-d31268de12c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="2007" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f36250c-8837-4617-afb0-82d3efcce543-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="2006" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0d0fee8b-fe2c-4e8c-aa50-213d5ace60ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="2005" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1f7a71ca-248b-43be-9756-7c284ed625ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="2004" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4f3dd841-a2be-4981-a34f-ed2a7d1e54ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="2003" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d4d2524d-f668-4a0c-800f-bea4300941e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2002" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7051ae27-7535-4aa8-95d0-9f2445895301-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="2001" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d363949f-0051-4015-b4f1-40f7d702daf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="2000" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e3e9b89f-39cc-44ca-91fd-5ff8a03c0a8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1999" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d381c9bb-1b20-45d3-9760-936a2c743e86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1998" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4c38dc65-82b7-49ce-8266-b138dfea11a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1997" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d5e991f4-f057-4e5d-8048-81d538f43c75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1996" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6032f8c4-5ae9-4edf-bf92-c50e4d41dbbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1995" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9021ccab-a100-46f0-b09b-df80cb21efda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1994" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1dcf65a2-11a7-460f-a586-4eb9fb6bcc78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1993" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f4795ab-60a3-4e50-959d-0d19c877ff07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1992" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-323cb9ac-48b5-4cde-8972-a6752d4259ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1991" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-024b9eba-6a77-4eb1-ad5f-03ebdde047bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1990" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b95e4e85-ef1d-40c7-97c7-5f04b0f25104-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1989" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a6caaeb3-cef2-4bc4-8912-b08468d63a99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1988" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-990e6691-db32-4914-92d7-d95ec23bcb10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1987" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6806d861-b2e0-47da-b6e4-913b54576c51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1986" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73def354-ea85-4c63-8c72-9282713f79d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1985" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4717a75e-1c95-4a4c-9abb-256b5a8fc342-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1984" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7cb237ad-a02a-4cc3-83cc-c0949aed1139-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1983" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-205f71fe-cbf5-4e55-ba23-75d4fbce3ce4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1982" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6afc32f5-ef6c-447e-b5d8-a735a29b9bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1078' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1981" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e1cc4969-98f6-4afb-af90-ac9c1e89623f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1980" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4aa98d85-3dcf-482b-b2f2-7a6067f8132e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1979" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a3d57a0-98ea-421f-b6c7-3118998c3867-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41079']" priority="1978" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41079'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41079' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41079'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-de26561f-5980-4e98-a49a-92f48fabeb44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1977" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): de waarde van @code/@codeSystem MOET ''1079' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aa5d108e-267e-4a58-b319-215d93c26c3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1976" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Is_rusteloos): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ed3df71-4393-4e16-828e-03094e63982d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1974" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f132a33-4bc3-4451-8583-378bf776456e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1973" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3954087a-e3d1-4baa-a6e7-6e818f140500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1972" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee7eb179-e073-4f46-b9ee-6a675cb8f005-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1971" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-210189ef-da28-43d6-ac28-1827e45b0b27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1970" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69a64d69-457a-45d0-a7f5-72075782df3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1969" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6d487d1c-f864-4cc1-a96c-57389bad4c09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1968" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eaa82484-1848-4468-a04b-a1f959643540-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1967" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c8f6f22-13d6-4a21-a58f-50fdd109e29b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1966" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-67886f1c-633b-49dd-acca-313c1613e26f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1965" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0bcfd68d-49a9-4014-b7cc-05b591e6e16f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1963" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-07b78b3d-ed50-4f7a-bfc3-44b81176018e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1962" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b97a2567-1bb2-4887-adfa-f107c85a3426-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1961" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c73a99f3-2991-4ad1-b881-69b1b61f2349-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1960" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c3723d9-6c51-48c7-b8f3-bedfeae8954c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1959" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-95bdb9ff-7bb3-4548-a502-d53de72fd3ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1958" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4b81b18-58c3-43e0-82aa-17538e72c772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1957" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9361d0e3-782f-43a8-baa1-718aa64add87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1956" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3004f8fe-df0d-4dca-8ff7-65359a75c14d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1955" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd300163-2d84-493c-9ce6-11f33a2939d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1954" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cf9c80c-3933-4075-8856-f8b1630ce740-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1953" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9327868e-64ed-4c85-8fa5-c105570a0696-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1952" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66387acd-397e-4809-90ef-380856575857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1951" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-26f914bf-4571-4f71-9527-5a98005c2ab8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1950" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f1155ffd-104b-4943-bec2-19175b608b93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1949" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-85b9c33d-2635-47c0-8113-02e8abaf9698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1948" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8cb339f5-a3b1-4df8-9655-3fa31f5dc08a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1947" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e745643e-8f33-4458-bd07-410b3b919135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1946" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-99a0df1c-492e-462f-aa1c-dba2c12e4a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1945" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ada7c242-c77d-4992-8104-2d646095776d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1944" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1d1c6cd6-24b8-4a31-bbeb-629810da94a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1943" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5bcf9a4a-0b4f-46cd-a1bf-998c5701d363-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1942" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fe7d65f3-068a-451b-af63-a84da22287b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1941" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5994cb83-f0d3-41a2-bda4-6c70bc2f6804-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1940" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ad4694b2-aabe-457f-9539-655ea0f18fc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1939" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f602dfa4-508c-4c52-a5a0-bda06eaf726d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1938" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c148ef8c-ba39-48d4-b94f-2b8fcc639c29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1937" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-733bdb58-5e85-47dc-9668-d1383eb17fc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1936" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b0c48be6-1493-4425-a5a2-4599cc50c88a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1935" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a91cf20d-54b7-45af-a4c6-549863484890-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1079' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1934" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc561855-6493-4cf3-bc18-f2963e6b2e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1933" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f5fcc11-a588-4696-8a97-b0402de7fa03-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1932" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b5c04431-b01d-4f92-8b75-70e0b4988630-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41080']" priority="1931" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41080'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41080' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41080'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2764fc79-3631-4176-81a2-654c33c08832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1930" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): de waarde van @code/@codeSystem MOET ''1080' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eb6bd396-0391-4bf6-ad77-30a4c66c1394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1929" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Klaagt_vaak_over_hoofdpijn): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fe4ccb09-1424-4e52-9a56-ad889f8c998b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1927" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c433cf74-4973-4bd7-a6ea-c3cbe6b7c2b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1926" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d26a6baf-d5ba-4679-93c8-d854074b90eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1925" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5e9d4767-2151-40a2-a4dd-59226367649b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1924" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-68e1666a-7570-48a2-b174-93f6652277ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1923" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6f904a9b-a073-47e6-a956-3ab50c75346c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1922" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8256e27f-ac74-483a-9207-5d67739faf84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1921" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-79d57a02-571f-4ccb-b60f-fd0362f2a303-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1920" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8966dd48-8a21-482c-a587-dbf2b9edc629-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1919" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65ff8c2f-6aa4-4290-9e14-67fc24a9859a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1918" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b137e3aa-115b-43ce-bea6-8fa29788d726-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1916" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a14ecb73-2875-479f-8256-b7336a6c2b97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1915" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29fc210c-bdeb-40f4-8ed9-f257722eab49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1914" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd0a6db9-4496-4064-8e68-9a0658190690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1913" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-acce913d-4f7c-4839-90d0-2e50eb647db4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1912" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd261b04-f21c-4b1e-a66c-804558a00644-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1911" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04335711-b3a4-4f1c-8875-f67d26ea6486-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1910" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a86dec21-5e1d-492f-a632-fa9168e8a4b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1909" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1c002d1d-aac9-45d4-8939-5c3efcfc9a2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1908" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3e2e81b-5f0a-4632-aca4-ae35fbc84d9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1907" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-628b4e8a-7abd-4b2d-b3d0-f66f2fb302cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1906" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a42864d1-0e6a-4c8a-84c2-b77a146a888f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1905" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-179b4b92-ecb0-4669-bc32-00cd974d3753-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1904" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c108493e-7dc0-4348-bf97-0936b6c8b5e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1903" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea11b401-5753-423b-8e8c-dddaab8e4f91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1902" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04fd65c2-292f-451b-a5af-e9be4a9d0bad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1901" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7aeb57a4-80d6-4d0b-8c16-f957c2071a9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1900" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd485270-5682-4b50-935a-19e624a92364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1899" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f4c96c87-aabe-4a1b-bbb1-c4738ba07dba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1898" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c6b3c409-0029-4e03-9062-b951c1d1deb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1897" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eb2d385f-6770-4ec1-8975-073bf70063fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1896" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1af326cc-6e34-4520-8a9f-9c894043df3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1895" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8eb57f41-d6f8-4e80-b10d-ebbadeec9d99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1894" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-82b11e55-eff5-433f-998c-287a54177b51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1893" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-255a9cac-1a58-4daa-b722-1bd9358ed27f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1892" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1e4608aa-3106-4fcb-87cc-b30d3cbb0db9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1891" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-289b41b1-7814-4339-82ff-5280303e2cf7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1890" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c92cf2a4-9cb9-40f1-80ce-25fd39e1a9c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1889" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74e8ad06-44d1-4092-bf8b-94acf0bf0666-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1888" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd2f7952-5e14-4e00-9f2a-6bffc62c95e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1080' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1887" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2e1db254-02db-4ca0-bbb8-ee6ec7ef1f96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1886" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fc3ef8ac-54b3-4277-88ae-7a5af99ccdf8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1885" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-44aac9f4-efee-4551-af6a-74f21a479683-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41081']" priority="1884" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41081'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41081' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41081'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a8fca67-943b-40ad-a432-cf8e3eaa2861-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1883" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): de waarde van @code/@codeSystem MOET ''1081' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-849b2c32-8cb5-411c-90ab-6ec4cb19fcb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1882" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_4_Deelt_makkelijk_met_andere_kinderen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6a1263c8-7439-4fb9-8769-c8302cad6fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1880" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dcfbfeb6-98a9-4ade-ab2f-9aedb114f1fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1879" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45893b42-5884-43f3-90c4-a694af40f908-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1878" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-662a600c-46e2-4b7b-ae78-355ddd6d8dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1877" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ad3c284-e51f-4b62-a6a7-fdc86bd4aa04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1876" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a316c3ee-59e8-4175-a289-4937891b3765-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1875" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-90f6a426-b36e-43ff-8fb5-de9ea8948fa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1874" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-96f29b12-a408-4fdf-b3ed-5e7bf3031aeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1873" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1ca138ee-dc2f-40cb-8c33-cd81a0d3079f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1872" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bcaf4342-00c1-4005-9b23-5dbfe3fd8ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1871" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e7405ee-54fa-460d-8773-3177af6df2c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1869" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fa9cd9bc-9a45-475f-a4c7-4ffe03b97a3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1868" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-57209c81-1322-491d-92b8-403b04b76456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1867" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-330701b8-a7b7-490e-8ecf-a8096e8c7b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1866" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5b0088fc-8e9f-4128-b307-9716a5ece8f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1865" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-23ecbc00-d6bd-4701-bd11-4937b8433a79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1864" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6cefcd2c-1797-4ea3-ba34-b0c5bb629442-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1863" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9531067e-a2e9-4660-b844-79acbc807f8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1862" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3bc4251-efa8-426f-9deb-928daf9fefa6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1861" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d367dc2d-b896-49ff-b745-e7a8816bdb8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1860" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87e95eb1-c6de-4b0d-bce3-81c4198cee72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1859" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c67dfed-cba9-46fe-818d-6f134551b97c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1858" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d7025a43-333a-4e11-a586-942371a9880b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1857" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-16d878c4-701f-4803-9435-1f1b7a5e9835-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1856" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70c2ac7d-2a7d-407d-9491-aab2be424c37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1855" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3d9b4bd1-e338-4698-b1c3-000416da30b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1854" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-58b20f06-8040-482e-96e7-e1c41fb213d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1853" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-783d5d43-ae8a-4bde-8b71-79bd51e8b110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1852" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3fa76a04-39ab-4eb4-a229-d8221bbc2b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1851" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-834e36c1-c12b-40b7-a7a6-280560b2ee45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1850" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2f39c148-cb6c-456b-a1dc-44b933dd8822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1849" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cee17245-c2cf-4ba8-a920-18fcd7aef484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1848" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-761ef13a-1343-4dec-926a-9ffdb55bdb82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1847" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-32d1b73b-1e83-43ea-9536-95e06ac6dda3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1846" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c461339e-eb71-4077-8677-e70bb483a5e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1845" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-611c3aaa-d1a4-49ce-b8f4-bf3e029fd6c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1844" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a886de1b-5028-4ea4-9fe6-869dc85540ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1843" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-96ad6b8c-3273-478c-884c-cc92c7b1bbb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1842" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-43b09d23-610a-4277-ac25-d0bdbbc236b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1841" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-070ff05f-7db0-4f5e-a51f-fa471e4ecf08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1081' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1840" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1cc40f9b-4451-4e9f-adeb-a7e34010dda5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1839" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8a0e723f-e0c0-49fd-a3f0-6557223d3884-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1838" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3e29589b-d2f3-40d5-8ce4-a59d94c7095e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41082']" priority="1837" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41082'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41082' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41082'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-92d3faed-9f2f-4182-8335-78071a3dcc8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1836" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): de waarde van @code/@codeSystem MOET ''1082' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-181214cf-91c4-4df8-a346-afdb0ce68de7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1835" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Heeft_vaak_driftbuien_of_woede-uitbarstingen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73d90d42-bceb-4986-b061-ec950fde64c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1833" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3eb023cd-efbf-4770-a063-570df5e944d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1832" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7b95a949-7e5d-4624-bb40-fe3f7de19401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1831" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6fa18a6d-e53e-41be-9476-5ea33615468f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1830" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-723d5f0d-54ae-4820-b4c1-241ad97d6d8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1829" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ac3eb33d-b564-4e94-b211-b0d71d7924c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1828" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5825214-d28f-4d90-b736-6bd9ad9ae220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1827" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8a171fe5-a47d-43fb-9b5c-86de3e3b8a65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1826" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5951eb7b-a7fe-4657-9ed5-5be9722e3c42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1825" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-24da68d8-e7d2-4ab2-a12c-02b76bade73d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1824" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-58efdf0d-ecbd-4b52-bfff-c1d91779b519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1822" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c6df1d3-3f34-4fd1-8733-3bf4ed50e47e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1821" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-99efcc9d-882f-4f4f-9ba8-99cd85620d91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1820" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-520b1aed-148a-4840-8f36-963e77cbe584-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1819" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a6126ce-359c-4ae4-b912-deb5efc16452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1818" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ef984c3e-027f-48ba-a5a4-6f57f597f5c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1817" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-60837a24-56b4-4831-ad1f-70ff7edd270e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1816" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e52b9729-285a-4aa1-9d7b-893f736ef225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1815" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f8e42908-bf71-4fc4-83fa-0fa2fd1b40f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1814" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fd3abbcf-37f1-4ce5-be97-3fab15e0cecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1813" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a8921cf0-2701-4217-a82e-9898c5a6b11e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1812" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b9650e00-7f01-4f29-b64e-0ffd259abb08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1811" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6fcd152e-fbe1-433a-a67d-7e0f55b1b983-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1810" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-199bf3c0-c246-451d-bd70-cff360953a2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1809" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7b9fdd69-2569-429f-a069-85621191542e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1808" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-01d8dbaa-ffaa-48e7-88ca-68879d33a1ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1807" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-de1de3be-2147-4e67-882d-89eb58a4d921-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1806" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-230efcda-c254-4a49-90fe-87b28a55fecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1805" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-db26d4ad-1add-4fb2-aa74-005e3fcf22f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1804" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0fc1428d-8dd4-4965-8267-b353dc49f9c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1803" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8f22d016-ddbd-4ba9-b8bd-8dddf79b1684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1802" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7c9d34c7-b6b2-4664-8752-e00af56433db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1801" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27d6faf2-03ad-4e80-9971-bd8541a311d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1800" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27047b86-a026-40ba-82a7-6c981be7b976-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1799" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-286eb405-b1e2-4e36-ac82-6084fa4d5b61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1798" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-53d3f1b1-2b54-4982-a297-e53b78f18fde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1797" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47c8baad-c8aa-4da4-8a5f-3d49ae98cae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1796" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aa4add77-09da-4d44-a903-9e5f9554c610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1795" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ec893a9a-4bfc-48f0-839f-0fee223f61f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1794" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-25463e1e-fd6f-429d-966e-335e36ac4a64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1082' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1793" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9d493292-ef2d-455c-81cd-80829489c84b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1792" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39928db0-6e2c-4cac-a8ce-3db0138fa16e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1791" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2926784b-f0a7-48e0-b54e-7fe2f814c96a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41083']" priority="1790" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41083'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41083' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41083'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6917dfe9-53d2-430f-a411-e65fd46fc0f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1789" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): de waarde van @code/@codeSystem MOET ''1083' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47da98f9-232f-4822-a115-745fb7ce3772-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1788" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Is_nogal_op_zichzelf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bee10253-ed83-4b76-9193-5808d889482e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1786" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1e36ba82-45c5-43cd-8489-969bab1521ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1785" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-236f0a22-705f-4028-823f-d5bc8cd8187b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1784" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04357ae5-825c-42e3-8555-a515950b432c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1783" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2274d1e1-6cfb-4a78-8189-959cb6fb21d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1782" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0a4afad9-ed9b-407b-8dda-645dabfd036a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1781" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9b4ae034-bc32-44f5-bc46-a3b5a8defd59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1780" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e785bd49-7f83-4a81-a067-0ed3fa6ab1b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1779" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1209df16-30db-4677-adea-fb651c4b0fa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1778" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-575306b6-1409-4437-a256-7d9233891474-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1777" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1e067c13-cef2-4f30-bb3e-045a8699bdf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1775" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d7b6733b-d93e-4cb6-9c2c-61fc0147f89e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1774" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1cf67667-1751-4f30-b435-b44f49f64f01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1773" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7d652dbc-98a5-408f-8d58-5ba733444198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1772" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-737cceae-64e6-4212-8fc8-b84046351721-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1771" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d0c39e67-3abb-48aa-9f78-86894fcf077e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1770" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc8024b5-c3f4-4f7e-84a8-776cc6b94a45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1769" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1636f1cc-1c51-4adf-a4c8-79ac46f9460b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1768" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b81a66f3-f2fc-4e3d-9669-f6f9833900bc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1767" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-757ce354-8d6a-4943-87f0-44772583b23b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1766" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e39365d2-74ea-447a-9cd9-1ac001604917-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1765" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-38895a92-861c-423d-b41f-820fc5da6e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1764" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-07e7bb9f-c5ec-42c3-a1a7-6874cbcc0d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1763" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4384d9fc-ddca-493c-bd84-2d554ea8e58c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1762" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2a7934fd-16c9-4b89-afc1-97997dc0b658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1761" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ac1d941a-d120-4620-a9e4-1e3055760bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1760" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7ff2e8d2-e8b7-44d8-8be3-f9f661d01aa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1759" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ee0d21e-ab2a-4117-9f01-147ac9b27e7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1758" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-300efe0e-a7ad-43a9-b268-48ffef606079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1757" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b2d16d88-92f4-41c3-9596-ef32902cb203-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1756" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a1576a1c-bb6e-4fac-abdf-6cba6ba70935-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1755" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-670bb610-07f9-4612-8ce2-db88d78a1e38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1754" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66837ce6-9f4b-4573-a0a2-d35abf1890ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1753" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f5a1310-d5fb-4e49-830e-7d31a8a59e8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1752" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd93c200-fbb4-45cd-9928-8a9eba564944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1751" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-900eb029-ba15-4c7f-ba1a-6960bc27984c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1750" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e008c136-e320-43c8-b4ba-f00fdd145c91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1749" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4c5d5f58-33af-4b26-96ad-60816209da5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1748" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59bf9217-c216-4aa1-942e-4834ff4d180c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1747" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77ae606a-9768-41f3-a7da-ee574b50f331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1083' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1746" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cc9e2d9-c70a-4ceb-aaf4-9954897ac131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1745" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-254ca05b-2f66-4e4c-b674-bd02bcd69803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1744" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd3b7f6f-98cb-476c-9126-6ec84e8e4e2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41084']" priority="1743" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41084'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41084' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41084'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-685b21a5-c348-48f3-b458-f27bb2bc9758-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1742" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): de waarde van @code/@codeSystem MOET ''1084' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-99e8ad13-0d1b-4fe5-9833-35e0038f4db9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1741" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Is_doorgaans_gehoorzaam): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-63774dfd-9bdd-40b9-8fcd-315285541e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1739" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22f6514e-d73e-497b-8604-742e6816fb34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1738" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-31cc78df-00ab-47ec-b65f-38d86eb4050f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1737" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ed1b1713-8a1e-4e30-8a8c-7658a00cb318-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1736" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9f1173ad-2d04-439f-a896-b4dc3405d8f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1735" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d421f5df-8951-4090-bfba-4acc6f0a40af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1734" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4151bf08-36d3-414e-9f69-cb0e110e0dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1733" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65e9301b-a273-480a-8fa4-c9f746f11821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1732" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aba1dba1-7b5e-4649-9ed9-9ee4996fd391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1731" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3cc02d57-740d-4b01-9ea8-a23bec128c28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1730" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bde7aae1-dddb-448a-9e7e-d1bc0bd77c26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1728" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3dff880-5934-484c-b001-e03a7d2764fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1727" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-235f0f73-0ccd-4326-8777-553d8ab285d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1726" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1df5471e-a6d6-44d2-ad15-587911b17d1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1725" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-68759f65-9852-490a-bc4e-1a03a03f6ac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1724" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d9fa3b5-991a-434b-9c16-2727c7aa2599-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1723" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6969dee4-45bf-4725-8e34-a3f02e889cc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1722" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1376e2c1-e872-4bbc-a9e1-ee52b7fd039a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1721" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c6af5d92-e63a-473c-abae-8fb24b6347a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1720" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e816561e-7f0e-44db-83a5-a548d0728aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1719" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e27fd30d-a68d-4f32-a8fe-e8b1c370d082-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1718" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77530c50-0ecf-4af1-bcab-d69bf7588d91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1717" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cec69b36-0a21-433e-9fa3-1fc4fbe9c4c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1716" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cb187829-7b2c-4581-bf00-4e5506302c64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1715" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d82538a1-d0b7-47e1-b2d0-583f6cf49849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1714" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a969385c-0d04-4e8f-8031-96266820704f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1713" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2dd92d09-f10a-4c5e-8ec3-2d09c5abf7a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1712" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eeeaa270-f5ee-4220-9616-58f375e27655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1711" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f446dc8a-113a-47bb-9b11-3bb99a4fe875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1710" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd7422f3-1167-4527-8b61-98310aa5b92c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1709" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f5dc20b2-afe7-4229-8fcb-0f0ccc989cbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1708" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-00184ee1-9af3-496d-a6e2-95c27994c2c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1707" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d1a618c3-7a4a-40c4-a1b7-bd5308f2d0b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1706" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50f7f5b3-2d01-495b-924c-2b780d65e9fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1705" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2c33610b-0781-4b6b-8721-6f6f268cda31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1704" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fe3c7ba2-2266-4f60-8817-44e3e9f5efad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1703" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-35c7c2cb-0e20-44af-83f4-ae50ab0d8470-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1702" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c6a12573-7a49-4633-b1f8-094a3aed5ac3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1701" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e501a28-fcc2-4acc-800d-d60264df9fa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1700" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff230cb8-9270-4554-ac9c-ac65fc56727c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1084' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1699" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-14133fa4-111b-466c-a112-cf2dd33acdd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1698" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd88abb4-b087-4893-bb17-7d676b23f5b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1697" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1187bdd4-c856-4308-bf4f-65fd66815715-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41085']" priority="1696" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41085'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41085' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41085'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-32dbd749-3991-4318-ba23-852772a004bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1695" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): de waarde van @code/@codeSystem MOET ''1085' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-354e4821-1183-4e2b-a835-0d5a314aedb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1694" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Heeft_veel_zorgen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7cfb57d2-f2c6-4293-a0f3-89e6468dcaff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1692" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c50c2bd-733c-4e65-903b-ced805e4eae0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1691" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5ffb7512-4d5a-4ba3-a3a5-6a08e1df5a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1690" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9248ddef-a01f-45fa-a2f0-28d92b7dfd1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1689" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d2f5a05c-f724-41cf-b085-bde47f1de9ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1688" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f6fa038-e1c6-43a7-9e4e-dd3ac54cfc5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1687" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd5c3857-90e3-4797-a8b1-7418d036a9b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1686" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-daf8b8b5-6d8d-47e7-8ea9-ef5a0a903f67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1685" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2e370b42-aeee-44d7-b3b0-0dae98dbbd53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1684" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-79ef09e2-e8d7-4251-886e-254392c3eef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1683" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6f2ac8c7-19c4-4ac2-814d-68ccc6b7e845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1681" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fe186313-e4f2-45aa-b19f-1a2720a50d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1680" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3e475e44-79c6-4a2b-9d5f-c58c9d415b97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1679" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c15977b1-6359-4607-b8f6-d588ae20b453-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1678" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2610079f-4975-4a9a-ac2e-23a774b263ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1677" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0e36825e-417a-4865-bc54-975aace544a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1676" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-83d5df11-06d8-4a25-99eb-a71db6b892d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1675" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b8d112e2-42be-4598-8046-b18ab6697640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1674" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2f9c7ff3-30d4-4caf-942b-9ef78800b5be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1673" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee02a6f1-6317-41d2-b040-cff620308827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1672" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fe20aacc-ae60-478d-9c46-91e8aaf8aa76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1671" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ad960777-1cdc-4583-ada1-70ce4b65b67e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1670" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b9942eaf-f619-46a7-a978-1187eff25ed8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1669" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c95959f6-372f-4589-8feb-68b0e6aa44b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1668" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4fe49e54-ef62-4a0b-a6de-8921a12a30cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1667" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c0373a9d-39e3-467a-8ad6-c45d43553bc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1666" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-db36eec7-0dbc-4346-84d8-2913bab06c2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1665" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a08bb00f-3ca2-482c-b152-569375611119-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1664" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c8accb9-5f8a-46e7-8d8f-a3a820f0366a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1663" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-458708ca-710b-4f6c-a659-b737f3d9d79c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1662" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-19a93340-3edc-4134-88e7-5405723253c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1661" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8605dea6-43b5-4655-bec9-03cf92d2442c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1660" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0d563dfa-3daa-438d-89cd-19b90256ea5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1659" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-94d14189-b3c7-4340-a792-c73f5183f5da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1658" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b17f6416-f286-4a70-9957-07de6a113d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1657" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-05d4c090-f432-4db1-8e4f-0f9d8f0add44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1656" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c1552d4-238f-4ed3-b6e9-fb2c6e0f9f91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1655" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cd37645-3567-4040-91db-5fa7dd5b6af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1654" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d13831f5-21c1-4ee7-861c-81d8000d81f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1653" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7faba661-dc1c-46b5-9148-efafaf951ff7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1085' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1652" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d525167b-1a88-4ca6-a884-1ddc91e3d845-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1651" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9d7b788-f9b8-46a8-a5b8-c1cb66374466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1650" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e7fa0792-624c-4a65-9500-4e651ecf21de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41086']" priority="1649" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41086'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41086' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41086'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f24ab44-2569-4841-a1b5-b49337c9a981-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1648" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): de waarde van @code/@codeSystem MOET ''1086' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-56f8f2c3-9ea5-43e4-a5d1-8fbce0599708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1647" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Is_behulpzaam_als_iemand_zich_heeft_bezeerd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c090189-d3b3-4d0b-9204-75b44133975d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1645" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ffa2ea14-5db9-4b57-a681-7728ef040056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1644" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65b28363-3ca0-44d0-a586-48f930c0ea37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1643" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee2a74d3-1535-47db-ab15-62c242354292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1642" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-688bbc19-0869-4c88-8d6f-b109e2094d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1641" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a8271d8-d1b1-4703-a399-ba2f87a0da4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1640" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0115bc01-430b-4b0f-948c-9d6318a78daa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1639" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bb20af36-a89d-4c8b-a9e1-67f5b05a1be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1638" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-52b424a2-5330-48c9-800f-5ef212ca6a1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1637" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dcc21b2c-caf5-4586-aa75-3d22e367066d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1636" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9f36403-04dd-4e8f-8ecb-72e6b3c3df83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1634" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-137f52b2-a6b1-44cf-b9dd-d55f926853ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1633" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f72b83a-c005-4ccc-a71c-8fd44acfdb6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1632" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8254a1b0-49f0-4461-ac94-85ffb0c4dd22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1631" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a469f1e7-9eff-4c54-8ace-3682447810d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1630" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-32fc95a7-5a69-4a1a-bad0-dd3d335b5b74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1629" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b7a4d6a5-68cd-4e5e-808f-8af65402a40a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1628" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a0bd6ec-30ab-479b-9476-df7d07a13da5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1627" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ded4b6fe-de44-4436-b231-5c1593ef291b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1626" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-48a785c0-6bf1-43ac-a6c7-7b30fc61f2a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1625" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-902682ec-51cd-48b7-8491-583702626e28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1624" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4ea511e1-08b3-45d0-9ef9-a98900a7abcb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1623" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9f60443a-fdd5-4df6-a2ee-462d237e1b47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1622" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04983feb-3281-44bd-bd91-30d05dde77c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1621" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5ecdd9e0-cf2f-420d-acba-82ee340d33c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1620" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea9278bb-ad32-4f87-833e-8676fad2b793-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1619" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ebf165f2-267f-4bea-bf28-78a7f7320062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1618" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b27f876-5728-4a80-889a-93586cf35df7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1617" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6eae5fca-bebb-4391-9e65-e183301ddb13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1616" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ddd7390-0281-49bd-a5d7-35d8ed5ac3a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1615" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7a0ff60c-8e3d-48a9-b760-245ca6476fb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1614" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-805ce861-d365-4359-b3a0-8610f8878d41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1613" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8902e22b-3510-403c-b067-3b2ebbfb96eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1612" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6ff7a252-5aad-4fc9-b874-02760ad8c47a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1611" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-db71531a-db53-4c62-b94b-328f96ffc2f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1610" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b8ad6867-49ce-40e6-b33a-d682dd8db9e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1609" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-141683a6-3e72-4bce-917f-e0192fafd485-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1608" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff3f492f-5707-4b88-8a18-f6cee7fc9665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1607" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-34ad1b80-04d8-44a7-9f80-eadbfe47ab88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1606" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc0a5e54-94c3-4fa9-a031-7657840b999b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1086' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1605" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b30f0c91-921a-43c4-b6f6-ba67025f2ce8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1604" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c8d1adf9-1746-4136-9c51-40e296cfe74c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1603" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3370b2d8-31de-4dce-a77e-ff408bb6f747-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41087']" priority="1602" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41087'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41087' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41087'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a33f9c61-416b-4dc5-80dc-add40ac9691d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1601" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): de waarde van @code/@codeSystem MOET ''1087' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-313ddf7a-af76-47fc-b5e9-eab55bf5d804-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1600" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_10_Is_constant_aan_het_wiebelen_of_wriemelen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8fef27d8-cb9a-4447-ab36-11f090048e86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1598" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ef70fcd-e89d-4840-bc08-84ae8ff574e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1597" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-106027b2-4f28-492c-9e24-bdb966dfd783-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1596" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aab0fed2-efb2-4a3e-bd26-095e77dd555e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1595" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ed1adbc0-8e6e-4319-bcd0-7b8fdbb06f18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1594" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f1e5673f-b7b5-4a96-9f3e-f44eef7b5684-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1593" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66a9b6e9-08ed-476f-b0e8-4113c470a92f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1592" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e44cf3ae-c141-4b92-911d-1a38ac92d6b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1591" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b3ba6d6-fe64-4dde-b81b-c4c22afc3d86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1590" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-076ab8a9-7ce7-4b15-b534-5d2726cbccd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1589" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-99b9d481-8ac3-4e72-afd8-a022010282f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1587" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-605376e9-b851-48ce-96b1-4b94193e1eb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1586" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-875c7d8d-83cc-467e-a7e9-23d8196065a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1585" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4948bfb-e75a-46a2-b391-b58aaf6e7652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1584" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27fbd6c8-94b7-4d46-92c6-6013f2e88108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1583" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9df6b476-27a6-47fb-8c01-846f50bd8d83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1582" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e6736b4-3434-4f32-ace2-022e350fec99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1581" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc4c60cc-fe93-4488-86a9-a334146b5ae1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1580" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6da59691-b6b2-497f-8157-1a3b88174477-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1579" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9538936a-c5e9-4ad5-b3b9-fcd73d6c79d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1578" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d5b2a3b-d97a-4e5e-b1b5-d35244f204b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1577" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-924b26ec-cabe-4c28-b921-581a4820588e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1576" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-099fb064-0905-4098-905d-293a8bff06ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1575" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd9f1f61-045d-4cd1-9b8d-349afd92d93e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1574" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a521930-405d-417b-9f97-31cef6da449c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1573" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-46ed880d-3ee6-4816-bbac-20abbcfcee6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1572" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f6764097-58a6-4c94-a755-f266c8e1e6e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1571" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c873e08c-ac8a-48ce-b702-1d953c2349e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1570" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-779b9dc2-7a3f-4a24-b6a2-dfea0fece23f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1569" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-94cf3e1c-4f4a-42bc-aadb-7556320a93f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1568" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-184286d2-212b-4245-80bd-6efb7daa77da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1567" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7c868ff8-3eb1-404e-a086-360b846a0059-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1566" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a333f672-1d1d-490e-8bfd-082708467a87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1565" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f7a49d4a-2f99-4b63-8ea0-96ab87f2e797-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1564" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0b4a9e5a-8ab9-452e-ad82-450df3be8aed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1563" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c1b5865f-6495-4375-a581-31af7e467824-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1562" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17c15651-035b-47b5-a485-2623fe415a27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1561" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae4b247f-ea4a-435f-9ba5-a4f093858c1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1560" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-be5b6cd8-4330-485e-92e5-5f06282e0cbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1559" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae93d858-0f8a-4365-bcc5-a7f7eab0bc2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1087' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1558" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e3fe234-5fdc-4a51-8774-3058e8d0ba0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1557" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87b32740-3a3f-4080-894f-24e505dcbe9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1556" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69337fdf-a764-42ff-a10d-dc1e5b1d5921-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41088']" priority="1555" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41088'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41088' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41088'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5b864180-89e3-4a25-ba5f-ceeb12c3ab94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1554" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): de waarde van @code/@codeSystem MOET ''1088' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f832d2a-6b68-4cc0-89fd-d106a1b223bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1553" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_11_Heeft_minstens_een_goede_vriend_of_vriendin): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-34b6eae8-7750-4426-950e-af97b226ef76-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1551" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bb9de634-a4c8-4e22-ae8e-0a30341823d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1550" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77da96f3-a782-4ba1-9671-d78ee8f6a7ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1549" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2c123cd-63f3-486f-a5b5-b8ca2f7267d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1548" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b334bd6b-31b0-4b0d-89a6-64866013b8ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1547" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b798afca-f740-43c1-85fa-aa5dd585e440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1546" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-361211c5-de83-4112-8047-dc874e01e6cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1545" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae1f5e3f-f1d9-48ad-ac7c-7c2e82116b64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1544" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3c83eeb-34df-4fb4-8899-0c589f1f5b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1543" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d3be514a-8b65-447d-b6ef-706658a8bd0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1542" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dc606dda-7922-41bc-95b5-3eb73524b660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1540" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0d96bd28-6d46-4b23-9b87-367ccb68474c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1539" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-842922aa-29e0-4dda-bc66-dca87d2b1e80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1538" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aa168195-3a0f-4e7d-be89-aa5b1d2aa153-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1537" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e010d4d8-82c3-498f-ab24-c6173b42aa62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1536" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-767e55ea-32f4-40e2-b5bb-71985160fe51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1535" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39aca872-218b-46b4-b05b-5083dcb78d2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1534" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-84b0edd3-f378-464b-aed8-0519c7c13852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1533" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-02845447-2bab-48a2-a00e-cf3767d0043e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1532" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2787364a-522a-4c6b-9f45-55ddd4b9d37a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1531" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2cf2cd55-5cea-4b28-81be-4f54e04c1701-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1530" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4ff1ac93-9941-4824-b43f-10ebd9998ce4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1529" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1e7e512-4c0c-4b91-b80a-d36d38c1ed28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1528" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89fe7ae3-32b3-4315-91e9-cd24637e261a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1527" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aad29c96-c66f-4c73-9e21-e45f6d5088c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1526" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d119fcff-5004-41c4-a138-9ab647010d3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1525" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-663f08d5-d702-4212-934f-5b124731d310-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1524" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6bb004ad-fca9-4ce1-878a-9d5217349b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1523" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e415c759-9388-447b-a5aa-7307071c45cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1522" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e4e01bf6-79a9-40fc-b874-cf92293a062b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1521" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd24e8cf-cf0d-46b1-9f08-221198b00abb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1520" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-573736f3-e953-4d9c-b8b5-bd5804355f24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1519" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6cee4966-e7a9-488d-9a6e-e2d7440315b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1518" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-75542741-ea16-488a-941c-43a3ee0ba315-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1517" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a6309d0b-c3ce-4981-8f8b-626e348fb000-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1516" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f4478fea-f6f2-493f-860f-8b825b1b3bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1515" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fd11b0f6-d691-4ea7-93b6-6a468bf5bf2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1514" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2cad2cd6-bac8-4c45-bb6f-a94b71d99c1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1513" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-659042e6-0959-4db2-bfd9-a620c02eaf51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1512" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-76829943-07ce-4067-96e6-fa8c2dc8fb39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1088' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1511" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6b22203f-e410-48aa-aa85-3648ceb76fd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1510" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5adc7288-92a7-44e2-8b10-3584d3601c75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1509" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d2b38a52-ac60-4ed9-ab0b-e327317c0d10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41089']" priority="1508" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41089'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41089' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41089'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2a816cdc-f4d3-41de-ba33-7d54ec27c743-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1507" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): de waarde van @code/@codeSystem MOET ''1089' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff790930-8cd8-43fa-a651-0dcccc0b46a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1506" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_12_Vecht_vaak_met_andere_kinderen_of_pest_ze): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22de6c45-e86a-4c4a-87b9-d4e6e082b827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1504" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7096f6da-9b17-451d-8d9a-60382cfcaa9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1503" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5170bd5-e685-421f-8a32-56c8fce41f69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1502" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ef82f9a2-69c7-4118-9a89-992631c750cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1501" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-391cc646-29bf-40ca-b26f-7a012f626bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1500" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-86c4f3d2-a41d-4291-af45-667791ca9f4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1499" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-030119bd-8e27-4675-aba8-6ab5e7c973ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1498" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eaaf920b-9fc1-4e9b-af18-6b32bf93e752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1497" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c852dca-dc6a-4fd2-b8d8-fdc1a3cce93d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1496" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1458ab9-6709-47c4-806b-683045e9a704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1495" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-03ca4340-8c09-41bf-a967-ed14c3eb7785-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1493" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c32d9b8-bbc1-480c-b5d3-9faa95b7ae3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1492" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a07e534f-0c25-4707-876e-595d398df84c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1491" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77fd64ba-74f9-45b7-b8e8-509dd3f9105c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1490" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-049f5e02-836c-444b-932e-32a5c3ca1024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1489" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3b204309-8176-4b8e-8b49-946bcae2c80b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1488" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8a0cb440-6d1c-4b7b-8cbc-d50e298f54ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1487" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0daefc54-9646-4917-8876-d2f4ff14bef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1486" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f8221e5-18fb-4eb2-8b2c-bc40d33dd3cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1485" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2af6b341-639c-4c61-81c0-5e85742057c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1484" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-31b4c871-ec99-4ed4-8074-1d7d9b518c2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1483" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-67f17e09-9399-4524-9bd5-767e548b7d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1482" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c1279d6f-26c8-48b9-815e-0a808a564822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1481" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87ddbbf3-6376-4b98-a138-d3139d021b69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1480" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1d1a4769-2501-429a-bab7-b6c7a4b264bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1479" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4753b2f-1922-43bf-8946-3cdbde64141b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1478" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1b4f77a2-90ed-4bd1-9301-4f73d93039f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1477" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e7997b22-0390-43e2-8717-8248eaf41062-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1476" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-76e65cf0-addd-4213-8839-446bd450c620-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1475" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69fe8d7e-32b1-42af-9fa0-da9a51cf0500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1474" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74491942-0171-4a13-a6d2-3ee80896c22c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1473" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d0e98800-dc2a-4e40-b432-9e02a86a0e59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1472" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ca3c7d43-f623-42eb-8148-1584f71c9aa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1471" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-49de5657-6133-4be1-85e5-40cd59d20604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1470" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e6a31788-7893-4ffe-ad2f-6196a9ba5215-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1469" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ff5d01e-8709-4ae4-9dff-9d3a1279c600-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1468" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9bf79f2e-c171-43eb-9d4c-859ef05b2eda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1467" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-021445d8-9385-45ee-90da-5b4c38453034-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1466" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29e4cc1c-3c4e-4c2e-ae4b-8d0417d68328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1465" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d115deba-aedc-4834-a395-0a468127cb09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1089' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1464" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3bf76e83-5a78-4602-95ac-b560f4bbfd5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1463" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-79caa0fc-3bef-45f0-952e-a37648042645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1462" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f117c805-23ac-493d-a818-2fc41c56c280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41090']" priority="1461" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41090'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41090' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41090'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69f05c02-22f0-4185-80e7-a7abffe8ee4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1460" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): de waarde van @code/@codeSystem MOET ''1090' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e4805c8c-edd0-456e-ac59-c096e036b2ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1459" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_13_Is_vaak_ongelukkig): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1aac6c70-d96a-4ff8-9cd1-87ef54205675-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1457" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0e1d6385-f12d-48ce-a500-6235a0345220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1456" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-001bb335-43cc-4c03-981d-8c5b1e0353ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1455" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89ba0af8-bed8-4a5b-ac32-4d60ec388ff5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1454" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e3f48dc9-e050-43e1-8e96-19db27400ffd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1453" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-13024264-b9d0-435a-bc20-38b9a042c74c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1452" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39ac3cee-608f-47d9-a269-542e23f8273b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1451" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1b24af76-21ca-431f-b77a-d61fc9afe5cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1450" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f6349923-7e14-4e6f-8254-0e7c7c0a386c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1449" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3cbad52f-8b56-409d-81b5-53e82a5212be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1448" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2f5cfc44-2cb7-4017-9867-7afecb17c08c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1446" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-28b4ad94-e640-4598-91fc-328e7f4df4f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1445" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-83dd0fd1-9661-4fdf-b04d-f73af8e9eb68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1444" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-422d2e2b-c4f6-4734-a1ac-b6c4f8e16f13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1443" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1fc182c2-9f5d-4341-af83-647fcabc3ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1442" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4efaac95-c067-4cc2-961c-e93709b3485e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1441" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-238c2391-163c-44e7-a092-a9a228c6b9c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1440" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-077d19ba-b57b-49c9-844e-1c1dc4f8afe7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1439" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2c1785a-2482-4c5c-9aab-2501c77cb75a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1438" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c8007182-3b4a-4b5e-89e1-01033d680ddf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1437" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5aef8f7c-0c2a-4cb3-ab53-d5af068fc250-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1436" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fc3d9cb5-5f42-4b2c-a782-a782e1813bde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1435" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e8f8aa36-af4d-4d48-85fe-46973d6cea98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1434" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bb865eb4-f2b3-4c9a-aa8d-5449df9bd8a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1433" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-152bafed-081b-4ed8-9f0f-a051307e734f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1432" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c987550-52e2-4c26-a9d5-f2dc877968e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1431" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22f4686a-7a41-4675-b6e6-946dbebb8767-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1430" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b2c48750-41de-4121-a2b4-0653d9ca09e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1429" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d338e3ff-a40e-41e1-9518-5efdeaf7a959-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1428" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f182ce01-e056-417b-a04f-0a09f2c33be3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1427" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff306d12-9b08-4b9f-b601-0129bde724ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1426" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59697fe8-df5c-47f6-9a0b-c7614ae9153d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1425" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87912785-ca99-4a3f-bf1e-a69df2145afd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1424" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c97e49d5-f1db-43dc-bf45-3dc59e958d60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1423" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-06473ae3-019f-43e4-b67f-77699c934cc9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1422" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eec0993a-e1ad-42f4-bf02-5608dbfb5dfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1421" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d86e122e-0fee-4d68-83e4-3d0160e10b92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1420" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bbc1f9c3-b8e4-4dc6-8b02-b48ca6b14466-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1419" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-05471272-4403-4d45-a349-dc2531270e74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1418" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7d8a0a99-ee62-4751-888f-b7dac49e8026-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1090' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1417" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3aaca76-4784-4865-849b-2b4a500add0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1416" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0889c02a-4a77-4067-a195-b05b30243e1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1415" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ad97caf-84bb-465f-8bfd-55a57dd376b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41091']" priority="1414" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41091'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41091' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41091'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5816d581-221e-48c4-bfe5-33e6957529d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1413" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): de waarde van @code/@codeSystem MOET ''1091' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a7aa1c5-64a5-413f-a64d-fc43680f4fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1412" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_14_Wordt_over_het_algemeen_aardig_gevonden_doo): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69b51b9a-c89a-4e58-9675-be76d417c674-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1410" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ab4ad1d-fe4e-405f-9c3a-2b42542381f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1409" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5405183a-0f6a-470c-bbbb-cf76aa0dc530-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1408" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5aad909-52aa-42f7-adf8-577d0d28e835-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1407" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ad8806b-328c-4190-96a2-921119c9bbb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1406" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-86fe73d4-70d5-48ce-8241-94dc95b4c1af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1405" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf60eaf3-4026-4cb0-9729-d696bb0cece7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1404" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-23631b66-8c29-449a-9361-60e095aae135-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1403" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b4bc46be-bf4f-4810-b201-a7d7da7e1cc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1402" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a0ba6ce9-1368-4e0b-a204-fd96731b6359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1401" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-595221fb-6fb6-4160-ae54-f48adb1faf86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1399" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a7095e6d-4cac-4d3e-9b27-099eb3b0e417-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1398" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9f28340f-7b82-43af-825c-472d03aab9b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1397" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4731b2d1-a2ec-41e3-b514-ccd27fa6d12d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1396" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c05d8463-d5d8-498d-9cf0-e9f82c790d4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1395" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-647e94bc-91c5-4e86-a869-3065f3b95281-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1394" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-770f611d-2b5f-4656-bde0-52344ccce832-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1393" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b695c9fe-3cc8-4cfb-9731-9fd16d66ea91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1392" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6ec14b5b-a4ec-41a7-9a8d-0b27a9f78588-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1391" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a7982aa-b060-418c-a1f3-142499311db1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1390" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0b5cc0c6-8ad2-47b0-9d8a-0ff6d79515a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1389" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-00c03bae-1aa3-4c8a-8f90-27061986d004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1388" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bac0fffc-6331-429b-8660-a89f23e5829e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1387" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9773705-5f44-421a-a0b2-5df751ae86ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1386" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2a1a580-01dd-45d4-9e39-2b5666c0cc6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1385" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47cde32e-0c91-462f-a8b7-18d858634a20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1384" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c4341a91-44dc-4d2d-bc5a-879049a61205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1383" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8400bc45-5d93-4868-b25e-8116ce9a9bb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1382" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7e021758-1d7d-401b-a4a4-65b93cc53355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1381" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f0e2fd4a-eb3b-414c-98ce-8486af815f58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1380" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c1933553-b1d1-41a1-8dff-9bed715639ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1379" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a16e3c8-105e-44ef-8227-6b312dc54802-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1378" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ad8ddf2-c1f8-40dd-9d5c-23484bd9b48c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1377" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9372c570-037b-4320-8adc-440949f9d8aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1376" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7fc463ea-cf77-4405-b0f0-a1c15533d354-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1375" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2d5395d4-0b59-4866-b3fc-305704bbdf80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1374" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0a2bd474-89d4-4764-b105-d6e76f0ea6ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1373" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e1664878-d439-422e-b223-57f95c88a204-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1372" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c64a8a71-3bc4-487c-a039-ea91becb0b5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1371" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3eeaab2b-217a-4127-81a0-214f580115c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1091' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1370" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e78dff0b-5a58-4e56-a21c-26a4ef206157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1369" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7872e580-a986-47e3-b116-d4381fb27698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1368" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9ab9a1f-eb0c-49b6-8c24-aa1eb050e9a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41092']" priority="1367" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41092'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41092' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41092'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1da14536-1d1b-4709-b07d-4e2103bf1d86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1366" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): de waarde van @code/@codeSystem MOET ''1092' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5726cd6e-d9bf-45fd-84b1-1c6123da9e26-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1365" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_15_Is_gemakkelijk_afgeleid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e249121c-3df3-4887-9c2d-231d3e78a3db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1363" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-305afa9e-6962-48ef-939b-76c739ed6295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1362" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-71e848ff-2bc9-4ba4-b7b7-9ad71c97877f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1361" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-53eb70fa-4ad1-4ba7-9342-435efd2befee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1360" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2eb7e46f-8047-4fab-8d36-d9137fc61b09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1359" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bb925b4f-231a-4511-ac95-049a8bb4a7f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1358" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e85ac9c6-5318-41fe-ac47-e591fe6480c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1357" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-429ff156-9e5e-4117-8212-e39d1c5d8ce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1356" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-24794764-67f3-4cfd-ae3c-bbad7f856feb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1355" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-263255e0-ad0e-4226-b574-7ded8377269f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1354" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b7a8421a-cd38-4784-8068-7a53efbf99da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1352" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-75e476d8-7117-4adf-b34a-7eb03b417d2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1351" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6c023e21-d80b-480c-88fc-93cbde4153cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1350" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6077adb8-8ba6-422d-a166-2197539d832e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1349" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3d559974-1cc4-4cc9-bd1b-382c5a70f154-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1348" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93dea84e-c833-4529-9cb0-7c628815e8a1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1347" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6543ff23-cc27-46b1-b852-e8fd62ee30c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1346" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a8f901f1-0e20-48f6-a8ca-5c4771714f62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1345" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-92cb14c6-fd0f-4778-b2c5-49e8d59efbf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1344" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-568ef4dc-9b8c-4dde-bbc4-83a9c1a85e93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1343" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9658d26-7de8-4273-bceb-15f7d5002e09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1342" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-869fed31-0202-4f6f-ac73-5757ff81119c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1341" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-efca37ec-6acd-4389-baca-c67fe8247d09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1340" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dceb6c28-1997-426f-85a5-ad9baffca219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1339" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f0cf44c7-e962-4348-b0ad-0d75f0738d57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1338" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-064455da-859e-4e5a-9678-82560cc0e00d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1337" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-80fac58d-ca34-4f03-808d-80f977ad2964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1336" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9ce51b6c-9b37-45f1-a4ee-b8dbaf99f291-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1335" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bac30c5b-63d2-4d5a-98ee-fb7ee1337e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1334" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7a50e7be-f3dc-4489-91ab-0b09d07a9478-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1333" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd6096a8-38bb-48e8-bae4-36540e75735c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1332" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba15be83-7559-4be8-9398-fe812047ab20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1331" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-21063de5-829e-4db1-acd8-4f048b934b87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1330" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70602ad5-9b80-470b-a9d1-5c99e3abe9b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1329" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fdfb65f7-c1d4-44cc-8e34-361746975acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1328" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fd57a6ba-8750-4d35-a9f5-527170c01dbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1327" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-34723de6-0368-4072-88b0-3db816f2a803-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1326" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-94aab3cd-279f-45ba-a99b-52256983e58f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1325" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2346febd-473a-47c1-a718-aa6b28896723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1324" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bca3d0aa-b5a3-40ba-adcd-e8161e31e406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1092' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1323" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bcd6fe44-7222-4e74-b1e4-3dd5de762c82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1322" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1569fc08-a72c-4fda-bb70-1d08ec6ff84e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1321" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-78d184a8-fd9b-4c86-9728-dd21af5dcc68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41093']" priority="1320" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41093'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41093' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41093'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b90324b6-f3fb-4afc-b8c9-dc305e76c178-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1319" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): de waarde van @code/@codeSystem MOET ''1093' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7bf370dc-f55a-49e6-b54e-f2a04676b148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1318" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_16_Is_zenuwachtig_of_zich_vastklampend_in_nieu): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-54a6a45e-6434-4588-9ee0-0e79965e0d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1316" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6bdd5f1f-88aa-4003-951f-b55f39a18eb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1315" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c34c27d-59e7-461f-a9cc-dcfe5951f961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1314" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8428d60e-0f5d-40e5-a1e3-ee058761b9f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1313" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4921e31c-8b3c-4cfc-a3d9-7fe81b880288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1312" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87d6f871-bce2-4ee8-a38b-a5d83c23f607-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1311" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5695a204-aa0f-45b3-aaef-7c5f99c5c5cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1310" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-80616e0e-b1d6-4113-ab56-ce4de5a80bec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1309" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5598002-d1cc-414d-b854-a57e33b37052-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1308" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d571d2c5-bbbe-43b3-b10e-b15f6f91814f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1307" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-710c4a57-7425-4f87-ad6f-8156c0bb8cce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1305" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-30b83864-7fe4-4c53-a424-d08db5773e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1304" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1825e240-782c-4dac-b100-82448469db9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1303" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5ce2ad80-dbb7-4965-bccf-6da2074055cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1302" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d58baaba-974c-4484-b4f9-d5bde066ee93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1301" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-339b14be-755e-4290-8f9b-ad9f2cae20e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1300" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b55f3bc5-b981-4a34-9537-b70b2bfde160-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1299" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-23cda936-55e4-4424-8d9c-84f55fc03558-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1298" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-34e545b7-a789-4824-8471-85cb330c9b8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1297" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-41c8997a-8949-4d0d-b3cf-42ee9ee46bfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1296" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6c1a1d21-4b68-46e8-9950-539bc30a334d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1295" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8d7700dc-ef7d-4950-ae4e-381dd1e02fd0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1294" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0060236d-e497-404a-9f5b-887602bb070f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1293" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ccfd2a2-5648-4641-9ead-8cd481d0ab9e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1292" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fde89403-f323-48d5-a30e-5db2e571d6ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1291" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee4088ce-a374-45ea-bb97-b0ef106ec774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1290" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8be5c689-c03f-4fae-ab4f-808230b36c41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1289" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-172ed677-d43d-4640-822c-46b567ab153b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1288" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c150d11-5abe-46b0-948c-c94fad80ab31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1287" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-628398bb-2bc3-4fed-b3e8-1ac6f9ceff54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1286" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2cd7a32d-5c80-48c6-ac34-be3eb1742cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1285" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-139241c0-9559-4a31-9ed7-ddea06fbd2b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1284" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4ed6723d-bccb-48da-8603-6db825cf5ad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1283" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-035ad8ce-65db-4b5d-a529-be6050fcff96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1282" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5684e73-2527-42e6-9589-6dfb21d4b198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1281" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-34339176-9eab-411b-8c11-2033996a91aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1280" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8971d86e-0731-45ae-a8b2-e4d6b88a769c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1279" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c8ce3ee-e46c-46ce-9bd2-7b8d105551ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1278" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6af39beb-443b-4142-84df-eac9293803eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1277" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ad18edf-0a29-4b3e-95d8-38102e282cd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1093' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1276" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb5356a2-10d5-4720-9506-0257e1b2aef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1275" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d401c66e-227a-4042-838e-952b7db547a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1274" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b20f4d51-a3fd-432f-80b1-1a4d15aa0d78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41094']" priority="1273" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41094'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41094' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41094'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dac5feb8-361d-41e5-a75d-c251b6c94b04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1272" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): de waarde van @code/@codeSystem MOET ''1094' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7671f914-9932-4e90-9443-968398ac3ad7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1271" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_17_Is_aardig_tegen_jongere_kinderen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b2821b0c-2d5e-4a62-85cb-9ead6cec1f83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1269" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1cb502f7-c1af-49f8-895e-2993af86a552-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1268" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b736763d-ef16-4453-a124-c35f57745e1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1267" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f5a59583-034c-46c7-865f-ac3823341c55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1266" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ffcc214d-8db3-4b62-9298-61efc65ac4d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1265" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-caa45ebd-5b8e-4c9b-beff-4b1f7cec3d54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1264" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a5764c4-e69b-491d-8cdf-b89c2196d6c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1263" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-688553f0-3d5b-47bf-a696-a75fafab5dad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1262" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-62e82465-f77c-4864-a748-fa8710686fa7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1261" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-612b28e7-fc0c-4948-8672-103158313829-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1260" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17cdcdab-aa76-4838-811a-29560d71229c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1258" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89939d26-2c72-4552-8f51-f40e4f3fe22e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1257" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4dac2c1a-21a3-41e7-853f-2b242d55fc7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1256" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ef4606fd-1a8b-4998-bb8e-8579c4e1cea7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1255" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea0a9838-1da4-44b1-a425-a6264ed895a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1254" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c14296db-f920-43cc-aa7e-1a677cfa9bf1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1253" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-46b23cd0-bf96-40af-838c-4bcabbd55a4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1252" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-23ce8912-92c6-4a5b-89e3-206deabb2fe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1251" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f44d23c-788b-4074-a87c-fcf690dc3f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1250" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d600869a-c089-47d7-b669-d63ec06aae27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1249" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1fb1d30a-9cc0-42c8-91fd-5c5439161b5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1248" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-948df974-6d83-498c-9d83-65c13ba79ff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1247" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f7fc6a90-bd92-4503-953c-008b3d8d3b2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1246" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a143f20-025c-4815-934e-a77912ec06dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1245" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf116c00-fa63-4954-a89d-3761a7a6f2f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1244" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-02f2dc3e-c093-4b55-a1b3-8b0a9ff759d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1243" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-afce58ec-590b-41f2-bede-748ac67bed0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1242" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc3e7bda-1ed8-4f4d-b6b2-0f1fe262f47c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1241" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4336eba2-ebd6-4b0c-b3b8-35ec85c3d881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1240" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4dd79a81-6ea1-4a89-a284-3a767f8a41e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1239" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-828e2936-0b90-4498-8f95-9efb421c8a22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1238" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f5f4e4a4-5e7e-4941-be2f-51c5a6cfea83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1237" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-97a91264-d829-4156-8fb5-e8febf4a7852-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1236" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4f284edf-6645-4b31-bd71-1cdd4ae79cdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1235" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dff685b5-0d0b-40c8-9cfd-fb937d2f89eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1234" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e82bc156-ab1b-48c6-b971-e8174d05e4f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1233" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b65584f0-eb39-4625-ae27-33957fa0ed1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1232" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-184cdbd1-5b5c-45ba-953e-540ea5c497f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1231" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2bf5df2-4220-4a6b-afc5-ceed7c37e79b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1230" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2de67dc0-8ae7-4953-8dbe-f0c12b080569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1094' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1229" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e34a9035-47a3-43e2-a6c9-f0b119249117-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1228" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a60d2baa-0535-4f39-8805-4a395bc2f1d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1227" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17048edc-8dcd-4b4b-ae68-e95da7dd301a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41095']" priority="1226" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41095'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41095' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41095'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e2eb74d0-444f-4d0b-8949-32f6cfad406a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1225" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): de waarde van @code/@codeSystem MOET ''1095' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ccef537e-6e3b-40e1-aa39-7845b0898251-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1224" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_18_Liegt_of_bedriegt_vaak): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-42289bfa-5344-4833-aa18-e4f72c3474bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1222" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7303d15d-2ba0-44d4-8ff1-142f3649d5d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1221" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5af50147-e6a5-46d6-bfd2-bc80be7be31a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1220" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-511edcc7-fab4-4cef-ba57-66594a797374-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1219" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2552e28b-ed52-4714-be7e-38436cfa9dbd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1218" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-02483ba7-6d65-45af-bc82-2112404da157-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1217" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-009d3ceb-b1ee-45c9-8905-d1c398aafb94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1216" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-49f05790-04a3-4e9f-b6eb-aad321a8f60d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1215" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6624e501-1c35-4d0d-a2a0-7a7e3e1aa61f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1214" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dca309dc-e340-4649-9815-4f944a3a1484-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1213" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc802f00-df65-4041-8aa3-6e6e99e1824a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1211" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2c5031fa-05be-4983-8b19-9b4f3cae7d66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1210" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f69ccf9e-7612-4025-b578-f63dc2725d17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1209" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29df6086-5353-45a0-8206-99954ce42b91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1208" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65cdd5c1-ebf1-487f-b231-6db03463bc90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1207" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a2653f7a-4afd-471f-b648-92a1400f1a7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1206" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd758b81-b709-4503-ac42-494b3a6c50c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1205" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-58b5b421-e97d-4427-98e2-3e234037c228-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1204" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-85bac7e0-e859-4c67-97e4-ad011ac44ef5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1203" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-00ec53de-f1fc-4cee-967e-2b5afa94512a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1202" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8fc8b100-7031-4b8b-aeb4-2c27601ec33b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1201" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69a5f442-1bb3-4bfe-bb92-d18cd934efd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1200" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-444b1122-9dcc-4439-94f6-984826c803f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1199" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b30bc1ee-24c9-4040-86d8-fedbaf8bca2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1198" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-95274769-99e3-4b5c-9351-9d3a2e49204a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1197" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-afbb9c99-e8e5-4dca-a2db-437f3c43fc38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1196" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6f6e1b91-d137-40ba-86ed-7a6921942e6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1195" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-51ba0fba-93b0-46df-a712-720b6ce9d422-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1194" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ec848b2c-6a09-4af0-a870-ac97233ff3d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1193" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc2556c8-b097-41e5-bf7c-6164a5e6b173-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1192" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-142b089f-cdc6-4a50-b535-237dc8fff74f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1191" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c42c1e3b-23dc-4084-b173-3ce070d56c5e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1190" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c22b105c-afd2-45e0-9e94-86ba6e3195c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1189" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d651dbc9-b0b0-4e23-ae12-00d6e51390f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1188" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-659aee3b-4586-47a7-9395-46d7d3fb2e3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1187" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-46319aa5-ae89-4b50-a830-5f9ae6d47932-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1186" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a0de1fcc-a0c6-4964-85a3-baff19dae423-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1185" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b2151ecb-a7a3-4850-a578-704e9d113e7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1184" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5b0d02dc-87f9-4765-8ffa-933e47ab2c30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1183" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f377f1d0-6b8d-4938-88b9-cbdf65910f27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1095' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1182" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-36871b1b-4564-4979-8698-1448bfd401bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1181" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c727ceb5-e18c-403d-a6b5-2edaa57e1889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1180" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4cb540c6-1054-48aa-add2-8149186a8380-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41096']" priority="1179" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41096'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41096' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41096'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d4dedaf-060c-4bc4-8de9-1b56f4aad9c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1178" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): de waarde van @code/@codeSystem MOET ''1096' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f572c1b7-c9a3-47c4-8bbd-9a08189f8651-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1177" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_19_Wordt_getreiterd_of_gepest_door_andere_kind): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba4e2d12-7f31-46d9-a199-9a9172ae16ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1175" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-472424cc-98f7-4b48-8b3c-32e4503aafb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1174" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-567684c5-7e0b-4a84-b719-cc4591cf2364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1173" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-21805069-fe5b-435a-8f2c-cae195ac371c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1172" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-38789c9a-4cd4-458e-a0e2-2720516b0f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1171" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-548e6352-3e48-4429-bd48-c6c4cff11259-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1170" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b8de803-a0ff-48e8-87db-e83b3014fd74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1169" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-193e8214-83a4-4eeb-9f80-6e8adbeb50e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1168" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a9b86e0-b36c-4d13-a43d-7038a0f5eb04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1167" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9e79e252-8b19-496b-b0d5-77175a9a0e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1166" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1352a8d6-bbf6-4368-b342-f84f601be9fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1164" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fce7dc73-14f8-4d5b-892c-704409974960-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1163" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-86bc04a8-c662-4183-b991-c83dd60bcd98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1162" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8017df24-5f14-4db2-8f97-102074d190d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1161" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d02e7e78-d2a4-4531-ab7d-60e44a0c5749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1160" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5f7630c-cd47-4a16-b3d0-718d5a591693-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1159" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b85f5045-e604-485c-bd8a-f47018219cc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1158" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-09f949de-edbf-426d-b0f9-805e170cd74e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1157" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-71f94270-30b1-4cc2-82f9-12e59839fb8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1156" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ac4096e-2ab2-4a73-953d-1aea1e0e6b54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1155" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4827e0ea-4386-4c85-9aab-76c9a94aa107-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1154" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e6a595f-f863-49b1-9ac3-0df88bad191d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1153" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8d2dad14-62ac-43b9-8e6a-fd58c4725068-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1152" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3d56516d-44ea-4e7f-8007-15e8f5c61ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1151" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a546d876-850a-4ef8-a233-a18270fa832f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1150" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04629d3a-33de-4b54-8bae-29050aa1c227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1149" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-573da2b9-9729-4c8c-9e26-130c0d84b0db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1148" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5dad362c-771e-481e-b3c5-6e4d015e67bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1147" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-abe4f4c6-33df-4f47-a503-2f3c23ead40a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1146" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f341266d-94b2-44d8-92d0-0b32cfce09c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1145" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45d0247b-6993-4f54-85a1-7650eefc26c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1144" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c989ca57-f758-4d5d-9ac2-4856c0d44ed9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1143" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5375e8e0-d894-409f-892b-687779a053c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1142" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5b4c24ee-2397-430c-8995-0e2ee3031a7e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1141" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ef55a43-cda8-4a3f-9988-9a01439b2f57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1140" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dceecc41-f889-4cfa-8c64-98742fbf8066-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1139" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-284eac4c-31fc-409e-9d75-078a31833e2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1138" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd7daac6-72d2-4bcf-9d60-e9da8e1c5a5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1137" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-275f1281-eb5c-4d74-9585-f188d4656198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1136" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5b9fc11-f920-4524-b124-e0066f2f974c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1096' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1135" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ed800db-c0ca-4753-b644-128f7b92a122-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1134" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9be9d31-831a-4c25-b73e-0e9f49edc68d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1133" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b0dd8ece-754d-4b5e-a88a-fd1b0c88df3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41097']" priority="1132" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41097'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41097' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41097'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d887d51b-4141-436d-b5b1-e9c306506b60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1131" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): de waarde van @code/@codeSystem MOET ''1097' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-210f44a9-bcde-48b3-bd41-1d6683627266-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1130" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_20_Biedt_vaak_vrijwillig_hulp_aan_anderen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8af7d08b-3fd3-48ee-acef-c6717e0e00b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1128" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cccae9e-7380-4cd1-a6d4-86cdb93a85c0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1127" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d21d83fb-e38c-4558-9545-97f807cba875-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1126" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c75d002c-82ee-4bd8-9ad1-220e05162fee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1125" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2363c3f-089a-4c26-892f-ac96b2e688fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1124" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1f1310d2-39a9-4880-8379-c18fba4547d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1123" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d3b08cd1-3ca1-4366-b69c-903d9f6364ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1122" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a68f4099-5900-41b3-bb2e-0c97ecdd3b83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1121" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3fb4fb58-11c2-45c7-999c-0acbba5f8911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1120" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-673d223b-75bb-4763-a7a1-d3307b6d5a85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1119" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-185c86a8-0b96-49c9-aaf9-59589bc49ad5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1117" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d5d4341f-57ec-4535-99ac-f448463d9826-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1116" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-05f61ed9-acaf-483e-9efa-87822f75640e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1115" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29414656-555b-4d2b-97e3-c378fd24d885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1114" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4669d977-4bd8-498d-b6f3-ab0073b234a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1113" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-afdb3f23-c061-4e37-8005-d23830c0d1ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1112" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4343c46b-7b27-4148-bf39-655a3ade5ac2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1111" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d121951b-a760-4e81-99a0-0d4300e2ccce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1110" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4d852e90-9ad6-4ef5-81ad-23981e54d500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1109" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dea37366-6ce2-47ba-82bf-fc5918c622de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1108" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6711267f-5f4f-4827-82a8-72927009414a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1107" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c5dad74-af0e-4207-9bf8-e5d5992026b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1106" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a8aacb8c-ea6d-4ed7-aa90-6a3f0cf6d4ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1105" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7e47d8b6-6780-464f-bbc1-fc83fa18a0c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1104" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-890379f1-cbdd-4f65-8b73-e97b27fbb9df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1103" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-583e51f1-416a-45ee-9087-116c155528d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1102" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-56217e28-a1b1-4149-92ed-e4bf59a2e78a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1101" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ae0b0f5-05f0-4269-a0e1-1c3c914039d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1100" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4a39f9dd-1dcb-41aa-a320-af394fa52f7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1099" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cbb94e05-d6d6-4963-a8da-752f201ed408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1098" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45b0bed2-9b56-4450-8755-0fb2bc2ad171-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1097" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47951e15-0850-4e85-8b1c-c34487470c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1096" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2de1ff90-9c06-4381-8e60-75e6c7f5f239-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1095" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c4bbbae4-88d2-4725-ae7b-0c5c824c535c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1094" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba08ceca-b1b1-4643-b54b-ae1e330bc37f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1093" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fc13523e-e4f6-4279-94b2-13461974de45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1092" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3e526a83-5106-4a15-837f-41f07a264b46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1091" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4bb33590-1b7a-482f-83f4-f52d0edb6294-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1090" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1cdbbed9-ed68-4b8e-abb9-99038e67a34f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1089" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c042a5a9-25bb-4b39-8701-0ed5b0b01fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1097' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1088" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-86737c1d-064c-48d9-a75c-5bd20dede150-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1087" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5da1414-e157-465b-be65-3d547dd0a126-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1086" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2cbc9713-fa6a-416e-8d1a-b69bb7ff1c0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41098']" priority="1085" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41098'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41098' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41098'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-887319d2-aca1-4976-9547-3af0a6c10dd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1084" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): de waarde van @code/@codeSystem MOET ''1098' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-43f42b77-08a5-4a51-b195-05884ca96508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1083" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_21_Denkt_na_voor_iets_te_doen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bff01671-307d-431e-add5-72e103198aa1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1081" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c1c1384e-7ec7-441d-821f-e2a37ea8e2d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1080" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1eb9e08c-165c-43a8-a92b-ad961becb446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1079" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-01aaf8f5-69ad-4dd6-8323-eb990a206bcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1078" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf0aef65-d355-4d87-b0ec-6e242714a0ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1077" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-156ff4e8-2238-4e33-90f3-04f227748d6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1076" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ed6c1e9-f5ea-4234-8bb5-0938f932f655-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1075" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a850217-47e0-4bc6-9ffa-e94ba6c961a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1074" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c4690fb3-7d7d-4eb2-ab3b-96fb293a94fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1073" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f8df2e50-578c-4ca9-8bb2-1eed0851ddb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1072" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ee924c0-2d30-4cf4-a45d-16d66de52e25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1070" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-030c46b1-7792-400d-b2c3-7a088ef701c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1069" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c579c02-d1df-44b2-b430-f1a716ad4880-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1068" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-44a1dcf9-79e3-43a4-8e85-e0bceaeb7cdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1067" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f87cfed-9a49-432e-b5c1-b906e65025f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1066" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-988655e7-6f96-491c-a3d0-de19230d0e8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1065" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a51a691b-0359-411e-a392-e3e77b4a62ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1064" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e764e115-e6e3-4ef3-9c1e-ec6550eb2f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1063" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ed618749-665a-415d-9e1b-cf4b5836e6df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1062" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-424de27b-76a0-4d60-b0e9-0d1097e3e33f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1061" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ab7d9d46-8e69-4bc4-85a2-8de553b4dfc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1060" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8365495f-28a0-4ec7-b429-c37a1922a704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1059" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b6318b3e-76a2-47d6-8498-326acdcc98a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1058" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4d581271-bce6-4089-9627-b81478efcd8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1057" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d57cfb43-e036-498f-a58f-425c6da0d8d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1056" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7fd1bbe3-436a-43d5-8b35-6f582868787e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1055" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66f19bd3-0553-433d-9d78-de4e62efa5d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1054" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-efd409dc-9392-4775-aa3e-272cc262a811-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1053" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-97151cbb-19a6-4e75-9626-bbcdb5439dd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1052" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f821ce4-9786-4cc0-b529-463b36e6a2bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1051" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59670c00-030c-4aa6-bb13-9aaf46eb3601-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1050" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dd489a22-02a0-47d2-bef4-a4f808709256-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1049" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-42018a48-9823-43db-ad2b-19d482f08469-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1048" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2dd5bb28-f54b-4811-a0d3-e1c63f661813-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1047" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-acc38153-9c2d-40dc-9af5-5bd36d5dbc35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="1046" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2ac2a52-7680-4955-89f1-8dc0566c5190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="1045" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-58a5dca3-84bc-4dda-bdc8-b82823db77fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="1044" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-09efadd7-8089-43a7-9fc0-fe6fe516654a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="1043" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc105253-a63f-4c36-bef0-3560839ffe22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="1042" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1ff5b523-d9c3-4ad7-ade1-648f245ac725-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1098' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="1041" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9d47c2b2-f170-4976-9569-bb258fb7876a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1040" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aa734704-a06f-4216-a0b7-84334638c904-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="1039" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-37bcb034-6e93-4414-bfc6-ef8f3182a9e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41099']" priority="1038" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41099'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41099' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41099'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d8924ed8-8c9a-4ba3-baa1-da1dc1e99e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="1037" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): de waarde van @code/@codeSystem MOET ''1099' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a211df77-563b-4682-8fc0-6e6f839b0496-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="1036" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_22_Pikt_dingen_thuis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4db912d6-d889-4e2d-ad08-65c87bbd981a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="1034" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7037fdae-1049-4e96-8989-86db06ed5741-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="1033" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a374ca81-8c58-4f2e-8bc1-a6a4d5210776-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="1032" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf14b2b9-618e-4403-ae08-0ff7ceafc429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="1031" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17a5ceff-b019-4fec-a025-727cee65a145-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="1030" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8061681e-23e7-4e32-9729-c73abc3088d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="1029" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae812d22-da7e-4ed1-9b7e-e1b286077df8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="1028" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-62f69145-93f5-4f46-8566-98f8bba5ca13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="1027" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-deda4698-d52e-481b-90de-bb23495fdb4d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="1026" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-598d1bb7-4a9b-481d-b6e1-a420416e31f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="1025" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eda09edb-2449-4676-84b5-109aa653a0f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="1023" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cdb574e0-0ed2-405c-945e-7f27d1ebc687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="1022" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a8d31ae4-3ff9-4b03-8414-c4088e1d9e6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="1021" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc939109-bcf0-49df-ae14-353d402de99a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="1020" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f6bdf790-d310-47f3-95d6-168cac50bbcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="1019" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f5e652b-f2f2-44ff-b9c9-55e169217c7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="1018" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-daefa649-94e7-43cb-95a0-833993e78a41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="1017" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ab4eba80-b46e-47c9-b1a6-aee0eb8a46c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="1016" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-793f83fc-5343-4e5b-9684-b4f301322e68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1015" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-38322ed0-7d65-42da-9295-54c740344519-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1014" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-80820994-2ee9-4466-8dd0-1fb91ffaf67d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1013" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3e0352f3-ee3e-4751-962d-6854b2dff393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1012" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-932fb8e9-06f0-4e48-ba1d-a5a664123672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1011" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-40640959-6564-43c0-892a-b06421ce9130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1010" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0a7c525f-9945-46e5-9884-4f99f7c9d632-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="1009" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bf6bd7b9-3c6a-4517-b971-ff9e11b92610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="1008" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-200af410-20d3-411a-a9c4-8ac2f7b8bb6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="1007" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2046be96-e115-4959-b3ae-8e71a36d3d07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="1006" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b6da39a9-73af-4339-aba1-90f810d5c276-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="1005" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65e015ac-c14c-4aaf-88b2-c645129002e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="1004" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4dc3bda6-0859-473a-b633-aa992b18fc87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="1003" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77dab7b6-9e6e-4be8-95f3-a2a24e0f6382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="1002" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3afff64-3b5c-43df-b09e-f056ec944d8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="1001" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-db67793f-d9d6-47b6-8192-dcfd939a7df4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="1000" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5b849db6-4c68-40ca-a2fa-07097126d7a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="999" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2d5a5c0-4de3-424f-b995-2206f8c0f105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="998" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e3c359d-4b4d-4f95-8d95-de51b8fc88a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="997" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4862b44e-4d2d-4d82-90a2-071e6c939382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="996" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a9b4f4e0-5cdf-47c6-b11f-bb4a5678a785-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="995" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-21294ce0-3638-4aa5-bdd6-a33cdf3ed48d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1099' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="994" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-541719d0-8486-4ac0-8b1b-d42764bf5b7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="993" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f4b8b79-0c24-4173-9cca-7c872a174925-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="992" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7e9d583b-ff39-42d6-aec6-f1700e019657-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41100']" priority="991" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41100'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41100' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41100'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9a52550-2981-4f2e-9013-d31e2e1b0857-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="990" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): de waarde van @code/@codeSystem MOET ''1100' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ade60b84-7fdb-42bb-bc7a-c0fdea5d7b54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="989" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_23_Kan_beter_opschieten_met_volwassenen_dan_me): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-db31bd38-2f82-4c37-9d5f-fc4fd87bb5c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="987" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2e9a2c80-53eb-4f44-bffd-cdf346bcd2e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="986" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2330a19-6999-445e-b9d2-b3ee8026c3f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="985" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50c6b888-8ee7-4a8e-b79d-463bb757f27f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="984" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6fd34951-67ed-41ce-9110-ce5181e47766-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="983" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a0fe9cfe-1c5a-4906-a026-63baac5fb0fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="982" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cb18fe90-1a52-48b5-b06b-dc935e89892f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="981" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a293383-0c08-477d-9b7b-c46dc472633a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="980" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-31118ffc-12d3-408d-a27c-6077eccac67b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="979" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c4875ea8-adb6-4d85-9496-51760d547aef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="978" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-127b72fb-d963-4719-8fb0-92a2c168648b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="976" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27ca8856-29d3-4381-bf7d-7353b87094a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="975" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c17d5ad0-ca4b-4eb4-98e9-5dcc11803a1c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="974" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-382a4fde-6e26-4645-aac7-ebc2620db293-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="973" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc4e3b33-50aa-4633-939b-f9c36372656c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="972" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a421fcf-143b-48df-978f-13aa60217865-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="971" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf3bc568-f154-4e89-b6c8-d865bf9353ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="970" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4a27694d-29dd-4e30-b6c2-2d9cd30b40ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="969" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ddb93b9-0544-44b9-a98d-cc97078d5b70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="968" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0bdc441c-abd7-4015-81c1-8214b19046ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="967" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4af942cc-7d0f-4b46-aff8-32a04a2fd8f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="966" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c8f7633f-a8d2-4ee3-ae47-2b1622a9d95b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="965" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f1a70c39-d9d9-4076-9259-ea90b8a9d158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="964" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74efd7f0-80dd-4cf2-bb89-48dc50259db7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="963" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bfa8addf-d047-4aa6-b86e-37b6950f15d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="962" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-31b2ddaa-190d-4a0e-b13c-081ca4aae01e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="961" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c6954493-364e-443c-b748-b90ac0827ea0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="960" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eb3d0803-1a7f-4821-97c5-cb32a9e8bb82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="959" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eec374c3-e22d-430c-8ed4-c796d600f5cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="958" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-996d6797-ca14-45c3-8363-3892c076dde1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="957" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77af6b97-b405-4896-8b0a-bf482ae81a7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="956" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-51f8d7e4-ee87-46f7-92ff-26461190b4bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="955" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2409680c-bc39-44a7-94fe-59a456faf643-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="954" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7058266a-72ed-4085-b250-3e9468ffc8b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="953" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-430a1831-74be-4c3d-86a6-8f5d65e9f219-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="952" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2269b3e6-d712-4940-833c-5a8bc653e5fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="951" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39257199-5d0e-498e-95f0-5c78ffdce406-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="950" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd6c8e36-ca25-41b0-9c30-82f4b38ed8f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="949" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b56bfa69-bb4a-423c-9ba8-f0c5e0fdcd55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="948" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9838e805-ba7e-4b6c-9fc4-c0bb81686bc5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="947" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ca02fe7-a0c7-47de-acf3-ffc34b5cb512-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="946" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-01ff0020-4c34-4ada-9ef9-f928858d7d9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="945" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73c36946-ab58-4b62-8d2e-b56873eabff5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41101']" priority="944" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41101'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41101' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41101'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4940d677-a8ef-4521-ab92-91fc7738cc18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="943" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): de waarde van @code/@codeSystem MOET ''1101' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7641f573-5b23-4da1-a80d-a1b1a1ecd745-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="942" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_24_Is_voor_heel_veel_bang): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3b647540-0255-48c2-8802-586a1087c8b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="940" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a77e8cbd-e0d5-43bb-9e60-032a51326b3f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="939" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2c0649c8-d90d-4753-9901-bff2640d0560-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="938" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-91127fb8-bb60-4543-97cb-e8f10abca328-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="937" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f36f9ae-d466-4ec4-a545-099bda7818df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="936" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-519729c0-c6e1-4928-b40e-a87ab35caa49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="935" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bba4e0e3-9294-46e8-aedd-ae580cc3b662-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="934" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0813d980-caa7-41a1-bab4-6f1aec647809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="933" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-df15d5bb-9377-4c0a-a04e-ae1777f585e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="932" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-592715c2-1cc9-4a0c-9338-ffbf6782ae04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="931" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7a5512fa-d2d4-450c-b356-224f36e62387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="929" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1c7ca193-857e-45a4-a2f1-970d30574b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="928" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-727a95e6-b954-4529-89aa-2f605c3bc44f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="927" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a5ccfef-1c13-498e-ad56-4c9ab31a2eae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="926" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f1661ad5-eb73-4d27-bc92-5bf478ecb1d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="925" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-68b72501-3b3d-40e1-992f-5230a397843d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="924" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd5e29ac-b400-4ec1-8a0c-17508a5e9a8f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="923" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-da7f5d93-f381-4a3a-bfbd-ee0c71de445e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="922" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f09ff376-8de9-4064-ab6e-ceb15c854cbc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="921" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-06c5a9a1-5667-4aa6-83ec-2e1d057fd125-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="920" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a9a69c2-ee9c-4812-9c99-93bca30b89e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="919" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-86d6c4f1-6bc3-47a8-a6dd-44d7532018b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="918" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93089dd1-b38c-42fe-8e61-7cd40ebc9430-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="917" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c39cefba-6729-46e7-9188-a492d37d699e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="916" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e2ee0dbb-444c-441a-8cc0-8201571d37ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="915" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e00cbc4c-aa18-4ab4-b8da-b84a7b5b1a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="914" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-781918bd-2900-41f3-8301-e547e54afc3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="913" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5aeef96-f338-4ec6-a6f9-742d885b7c8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="912" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a8b169a5-1e94-44c8-b3ca-806b84c2357f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="911" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-909edd31-9c8c-4495-8fb7-c630db1486c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="910" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89fa3d72-d724-4691-aec3-60422c1e6bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="909" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-409961f2-3233-498c-ad61-85f6cc71c64e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="908" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8844cef2-cba1-419b-8859-2bd7152b836d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="907" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae7fb2f0-5071-416c-a7d0-e7e5264314be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="906" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e92b58e9-8ee3-4c06-97cd-edbb25cb05d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="905" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-003caa1e-6f24-46b7-913d-67b5b6f8335b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="904" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0b7bb777-9f69-4059-bda3-597e22f62bbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="903" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1c9b91cd-2e9d-461a-a388-45c5ef2c5e57-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="902" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-875f4eb6-c231-4587-93ff-e434bbd33901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="901" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7bf1ca3b-1134-4f72-bfdf-954c50c9d8ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1101' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="900" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bfd5203a-c7b0-43a9-8ae9-92bca9321b28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="899" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cbf4c4a5-2618-4926-8041-c7389f08b8e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="898" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8417b4f5-9a71-44b9-9f58-4b520ba94a53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41102']" priority="897" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41102'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41102' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41102'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17b9ea49-4d5f-4e48-9681-4f4087aa2eda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="896" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): de waarde van @code/@codeSystem MOET ''1102' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a0cc4514-009c-4008-b839-0e84ce8e659c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="895" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0368_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): de waarde van @code MOET worden gekozen uit waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_25_Maakt_opdrachten_af): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0368_HL7 W0368 Geruis timing (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9021c705-670e-4b6f-af4d-3f42f8bdece9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="893" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d68876fc-8bcf-46f5-b659-53d66b009133-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="892" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ed521c0f-054e-43b5-86a4-56845a6b9da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="891" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb3fd8d5-460d-43a9-b328-10fd2d978d77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="890" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-835c7648-a03c-4241-beb5-f6edb7a3f6bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="889" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd0c26c9-74b6-45c5-9055-15c457df8093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="888" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9eeb59b8-cea7-4b78-8178-9fb8d620a1c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="887" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8177b094-d7ee-4ca9-a9fd-6c1e7aa7b9af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="886" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d0e05b91-be21-4021-9069-84c2b3319bf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="885" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e695cc42-ecfd-4d0b-bc50-1f57c69a42e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="884" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fdaf6134-5c98-4ab4-b290-29e99cbf3c5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="882" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-25c363c1-6c13-458d-adbf-0e24c4cd1440-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="881" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c1446ec-fa1f-447f-9b0f-b15b349377e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="880" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3d2cf3a8-b73e-4c10-8e7c-1aa9c410b69d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="879" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd0cbfe2-cb1b-4d68-b100-5a39f31bfbed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="878" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-84b09b6c-018d-43db-a5a6-539ecbbb9d04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="877" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-52c9dc06-e83c-49de-a3a3-00e55ac14d6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="876" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1b802f69-67cd-46b7-9178-5154990df095-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="875" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-20ba0269-ede4-4ec4-9698-a714fda69050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="874" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4f443533-04f6-4ab2-a5a9-10c161e6749a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="873" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-040a6a4d-c8dd-4f49-8cb9-d6fec563d003-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="872" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-88edbbb2-aed4-42b3-86d4-eecf5144033f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="871" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d63b526c-3aab-418f-93ad-67665f0577d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="870" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2650bd98-3634-45b2-855b-d7e45a389d69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="869" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59a1afa3-7969-4d6c-8c47-22d54d9f8fda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="868" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e7e600b4-3016-4096-8c72-d20e8475b205-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="867" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6bc7c1cd-2904-4244-81c8-efde834d0709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="866" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2df57bdd-b4ea-4f77-877e-687f464db2a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="865" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-903dfc4a-957e-442b-b1f8-c292fff2ccbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="864" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-656aa667-e06f-4e9d-8be9-b6beed26faae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="863" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-72a8b94d-2c1a-4a93-91a9-4007ddd8fb6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="862" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c513615-5cc6-4ccb-8905-fc611d2af98b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="861" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dfb1d6fc-86d9-48c6-b556-d9a210ea7878-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="860" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cceb163a-8773-4f48-8a94-605f2697ad9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="859" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-95829c65-c1dd-4ad9-94d7-b3b27ef625de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="858" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f4ef1c1b-60e6-4bb3-bbdd-3d70f88672b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="857" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c52b2364-d42e-4e30-8b82-94dcb4a47fc8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="856" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc3ab53b-1dbb-4076-94f3-8fa6ecf5fbe4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="855" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-403ecb55-b079-4011-99a2-d50483bb219d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="854" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73aa2a07-b397-4d7b-97d9-b212c6b251af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1102' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="853" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dedb7f78-1800-4374-9d46-62f9e27ed7ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="852" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-36833b0c-80f5-45f7-84eb-088ed47b2f37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="851" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8486b912-cea3-463e-a3ca-1121ba3caba3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41103']" priority="850" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41103'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41103' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41103'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-af16ee8d-4714-4f25-8a07-14b0f801b471-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="849" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): de waarde van @code/@codeSystem MOET ''1103' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-54a35689-8c4c-475c-b053-29125dede3e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="848" mode="M85">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Heeft_u_opmerkingen): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-404b1dd3-fa02-4d26-bd2a-d4f0eff4316a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="846" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-64f992c8-8b1c-4e43-a149-ed309b4e839e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="845" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59c05ec0-01de-466e-b90c-03b92eae7292-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="844" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8ad38626-2c2a-4b73-99bd-3f6ce723f445-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="843" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4f147d63-e918-4743-96ed-5e01989d1e67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="842" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5b9d79a-5616-4008-842c-16b8e49c2d00-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="841" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9ccc514a-e169-46cf-82d8-2dc73373c64f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="840" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1d2455db-4b7e-4fcf-80c5-1f17a3ad8ab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="839" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7a6e16c1-e234-412d-857b-9e4c246e33aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="838" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f17a89da-a070-432c-bce3-2815d23503c1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="837" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bdd0168a-6ac0-4a49-adee-75b04e39837b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="835" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4fe5a559-234b-4e0d-ba7b-da4ce63a83d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="834" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-14e0a1e0-6fa1-42d4-8d07-00e2e8074640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="833" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1d3011a4-7fb3-44f7-863a-91a7f4062cde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="832" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-716b9354-5921-4727-8ad2-aefa5b357725-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="831" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fdd1157e-a7f6-4d6d-bcee-4b6d7523e74f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="830" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f3b6c13c-0677-434a-a899-85cb814597d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="829" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-199d2902-15f7-4e3d-b331-75048dc89b53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="828" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ad7fb5a6-ff45-4287-bd3e-2df23425fc0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="827" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-752e2fc4-cb51-4430-b10b-efcb13280024-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="826" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-247c02e3-d094-44a2-b26f-3b9a051d2fb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="825" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2448231-29e3-4716-9d18-acc80b7a3a4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="824" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2a0dceb4-94df-4810-bc75-e448c277240b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="823" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b0e311c-774f-49eb-bd86-c66a1c91a84f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="822" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3308d009-73ef-4fd9-9399-98bb6d51462c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="821" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3256764d-aaab-452b-ba9d-31cceb944833-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="820" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17f38ce7-f5d1-445b-b306-74c26e34e28e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="819" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eb687f1b-2c34-49f3-b3a1-22684f1bd635-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="818" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3eb9d1ab-7d2f-4abb-a687-b4761db61bb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="817" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dca611ce-5b9d-4dfb-8b0f-85710912c9c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="816" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-af0eb63e-9511-40ea-bbec-66c3e2b16adc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="815" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17c3191b-3942-4e94-abec-d6e0d22206f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="814" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27684e9a-430a-4821-beab-e689ad27994c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="813" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2fe33222-8dbe-41a3-a6c1-e28d8159bbdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="812" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f12c3774-577a-4231-86e8-9df931f740ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="811" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b231c1df-65f1-41b8-a3c2-c3a04c8cc07b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="810" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-240f59aa-133e-4106-ae62-c548fb32a2af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="809" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29f70e7b-c176-4451-ad00-090fa48723ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="808" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb7f83f7-55ff-443a-b419-9386d25d11b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="807" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cb6eec25-f570-454f-920a-7d7ace7d2769-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1103' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="806" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf619952-f64b-4648-8125-8ff1f82131bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="805" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c0f34d2-4572-4d6a-aa94-669df14ee409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="804" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e5f1cc8-97c7-4385-be29-bb8e695a416b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41104']" priority="803" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41104'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41104' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41104'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-979fca69-9f0a-4bc0-8bea-fc2eedd5ee72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="802" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): de waarde van @code/@codeSystem MOET ''1104' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4eced3a0-8fba-4655-8c16-5e95905a070c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="801" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0597_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0597_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): de waarde van @code MOET worden gekozen uit waardenlijst W0597_HL7 W0597 Moeilijkheden (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Denkt_u_over_het_geheel_genomen_dat_uw_kind_mo): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0597_HL7 W0597 Moeilijkheden (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-284b4417-6729-4c6f-a27b-d326c004a72f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="799" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a9f73ac-7c53-4a66-a5a9-78d2d8efa8b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="798" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77497b9d-d814-4760-bbb1-b5f454da2371-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="797" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b2133603-36dc-4bf2-91ab-99c1aeb2e939-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="796" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-57a583a6-557b-4158-bfb7-059ff19a4f2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="795" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fea394f2-61fe-4c29-a4d0-2170049c72eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="794" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8cc76a75-1f47-4cda-8935-48fa283fbe9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="793" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c65b0fa8-9146-4406-9b5e-54b8bc4fdde2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="792" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-290543d2-e41c-4cff-aa18-727fa0b74d3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="791" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d1887ebc-30cb-474e-a2fc-8e0afa7cbb10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="790" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7e8783b9-42ef-49fc-b858-8ead0b57a75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="788" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-981ee996-8a22-4e6a-80e3-bad3c85c7124-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="787" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e29b37cd-273e-4af1-9d09-bb6abe818fbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="786" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bea49db4-596d-4dfc-87a5-f68561332c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="785" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d70bfdf2-98f1-4d31-bbab-35ffad467e96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="784" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c761ad1a-05a5-4127-ae3e-534642ca129e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="783" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-43b1d472-2651-4ffc-b543-79d5c88a09fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="782" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f580cae-377b-4535-ba46-6ae935fb0da6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="781" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-97a3757f-6255-4df4-8413-0b5e3534d1af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="780" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47aab557-7963-46a4-92f3-229f3fde75cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="779" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f97e70cb-6037-455f-b514-adc56f4c9525-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="778" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ca311fd2-399e-4542-9b18-115f6b66fe37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="777" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-62c27879-7595-4cad-a5de-3eb5c82c8707-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="776" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8296b38f-878f-467e-8e81-38754e4bf382-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="775" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f8ea8884-cd90-4ce2-9308-ae550a05df2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="774" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74922d17-3e5e-4ec2-8be0-eee3b188d7e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="773" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8646c844-6c77-4e0c-a417-4643768edbb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="772" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50957b19-8299-49f7-b38d-6d2f4fd904f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="771" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e029a46a-42a0-4777-8604-347aa3d94a58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="770" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-174ebf1d-aa36-47f4-ad05-5a4a542fd14f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="769" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fd753df7-b4e2-4030-b266-a88b573d6825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="768" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee50f88d-47a0-4b75-af68-ae455cf4e03c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="767" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-465a5193-75a6-483d-8730-f6bc54fb25ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="766" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1490c53a-f02c-45b0-8288-c8cede476ca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="765" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-71be10a7-f113-479e-8bf3-99ff50c52bcd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="764" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d7f82484-890c-418d-a95e-cb354383d770-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="763" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6fd551b4-d04c-4668-b64d-c2d5967aa21d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="762" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6ef86843-328c-45e7-9963-56738f0cb821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="761" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f05c182a-d835-4a8d-bb1c-90a85f23fde3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="760" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-75bba6de-c099-4c48-b567-74cd2776b749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1104' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="759" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9535bab7-4f77-4459-9ef3-7bc7aafb5429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="758" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bcb23ec8-6bb8-4d5e-a604-b5c5f0bb7f4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="757" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a2c5e8b5-396c-490b-acf6-bf9a996d8f7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41105']" priority="756" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41105'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41105' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41105'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff72494a-ffbc-451a-8e4c-9bbfe34f8d80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="755" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): de waarde van @code/@codeSystem MOET ''1105' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-31700c01-16c4-45b0-b54c-dad7fa7eedd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="754" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0598_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0598_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): de waarde van @code MOET worden gekozen uit waardenlijst W0598_HL7 W0598 Moeilijkheden duur (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Hoe_lang_bestaan_deze_moeilijkheden): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0598_HL7 W0598 Moeilijkheden duur (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1c1095eb-cee2-460b-996e-a952bec5d047-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="752" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7daee2ab-fa18-4120-b1ea-c884edd9b709-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="751" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b253a7f9-5c8b-4560-9813-e6ff09b0876c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="750" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bceb34b5-b79d-4184-a272-d42a42638f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="749" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-81c213c8-a46b-4292-86b3-651fc7a31618-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="748" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-03d0e758-0f04-4ba6-b205-d7d63db7f3ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="747" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9c896deb-4ff8-491a-aac7-c7f67214cffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="746" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3988724-9b26-4a2d-9ffe-f462c875447c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="745" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a9e7a46-5662-4717-96c4-cf32295220a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="744" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5398adc0-a807-42c4-973f-ec15c2cfc827-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="743" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a1498bed-3b3b-47de-ade5-9d351534071e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="741" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c6d51484-334e-4ba0-91ac-b1950691aeba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="740" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1eda3188-62ef-41b8-9ef2-5c1200530ac1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="739" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4472a9e-b568-497d-9d01-ff39016a67f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="738" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-deae04f8-ada3-4af6-b753-68d6e257bfc2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="737" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4c9c77a2-80db-4e6a-86cf-92c1d4b0e456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="736" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f9217a80-68f0-4521-9557-ba600b0e3c47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="735" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fa34735c-4494-490d-b49f-451c8ce119db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="734" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9de61b5d-c301-4c1f-8aaf-d61e90c85289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="733" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e2951f1c-f94c-4948-bf8f-81cdc4cfcab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="732" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba208556-eb94-4d6e-9d4e-1c71937eec13-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="731" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1c076c4b-0a57-4cc7-ab3f-a47f1e178a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="730" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4812a1f3-7921-4e3f-ae1a-1d4917e609ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="729" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9a30487e-137a-4fa9-9684-5969d1533a16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="728" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff17f199-00c3-40b8-8825-e9010629b55d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="727" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c9f8274-818e-485b-8238-9b969a5601b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="726" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a418c87a-cc6c-429f-8c22-c3ef024a581b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="725" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7046a13e-7623-49c2-b12f-4a5b378d8ea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="724" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d5d764b0-f0ed-4f86-8df4-b1c8bc7363fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="723" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd8ae555-34eb-415a-85e9-906e1825e70e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="722" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2b706a57-f760-4260-b5bd-f6725abe2af7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="721" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-650e5085-a237-4efe-9a71-ed8946ac00aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="720" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50c63bac-5a93-450d-ad90-e81b326c02b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="719" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc40ca21-41d5-49ec-989d-9cb7e2012d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="718" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b458642b-cf5f-4c45-a5f3-6c555d47f147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="717" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cadb0174-d141-4fe7-abc1-d23fe6126c1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="716" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f5067687-077b-45d3-a0c6-b198cf4e1573-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="715" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1cb863c2-d206-431d-8fcd-2c71306db893-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="714" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d19e6642-22bb-4501-8a3f-145a8d35da0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="713" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3d3fcc05-9b79-4270-aa77-72fb64294fa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="712" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-392c122f-faae-4edb-a4d0-e2b76c9e4608-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="711" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e895eba-e4c2-4b22-afd3-0644b4cf49f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="710" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c87426b3-e342-43bb-ab8b-227c7c43dccb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41106']" priority="709" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41106'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41106' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41106'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-704ce822-89a0-4754-925b-ece0698edd38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="708" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): de waarde van @code/@codeSystem MOET ''1106' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-503279c3-fd8c-4d9a-9f12-f8deda16acdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="707" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Maken_de_moeilijkheden_uw_kind_overstuur_of_va): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff4c0ec9-8b64-492b-a1f4-e050c9394ab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="705" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-209562e1-a014-4e28-862e-532738cf8af6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="704" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c837923f-bfb1-42de-a9f4-da59add71105-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="703" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4353b146-2912-4562-a659-76825571270f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="702" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8d9aa41c-1d35-46ed-b1a8-d0170fe11bd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="701" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e039241e-9a52-42da-812b-37f024a8b7d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="700" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-374fb47c-fc92-4985-81cb-78a0b9231a92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="699" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b0755f73-c8fb-4278-a987-a9901f28ecf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="698" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9faa79c9-eb2a-4b3d-82ab-e993e2b0161b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="697" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-afec88a5-d732-40f1-b7d3-a7814957b23b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="696" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77d27891-ef5b-446a-a1be-58051c3569d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="694" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-178e3476-65ab-474c-82dc-54e2c824bd0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="693" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c02125f7-7bc6-4b39-9cd3-ae1b887685a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="692" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f105c088-d19c-4a6b-837d-5b7d3ad38027-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="691" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dffd0677-9d2c-4c3e-8b4b-234b3a9c0012-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="690" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b0216020-bef7-4838-bdd3-85effbe8a356-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="689" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4557636d-a67a-46f4-bd18-2c79a375756e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="688" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e295d543-9d4f-4baa-99e0-2d4137c88619-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="687" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-251e2bcf-6a04-4c6b-856e-68d3ba3380dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="686" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2847053-6341-4cd6-abfa-49a1c9f3997b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="685" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bae956dc-13ef-4520-b885-75dbd0b9f04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="684" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-94133222-bc60-462c-8238-14230fda97a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="683" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-272e6f5b-1880-4259-a33f-ea8114889521-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="682" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e99cdbba-c241-4efe-a7d6-d0a4edbfe8b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="681" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-768cf0a9-aa21-48a0-9d1a-fe92e5b96508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="680" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-deded1b2-f03f-4204-bd7f-2b5df92e3341-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="679" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50aa750e-1216-40b8-ad26-0a2d03820224-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="678" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f71f647d-7cd6-4b9b-b587-18804026432f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="677" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-765ead4e-b4a3-4dc1-9437-885876cb8c1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="676" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-78d6b136-50c0-4a40-8c52-5002f6511acb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="675" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-430cc8d0-b67f-471f-86f9-3e11a629db8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="674" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-26afb4e6-f4c9-49e2-a0c5-f0f37d949524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="673" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-78476981-893f-484e-9c9c-b15401455980-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="672" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c935037f-3e1d-4fc8-8927-888d0ec014e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="671" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b42f844a-d0fd-44a6-84eb-1d2c1715213b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="670" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-afa78ddf-f8cb-427f-9236-3b8ce9440c80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="669" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b15c7383-8364-4021-9b19-1ebb1b6d59ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="668" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7d22d079-cfde-4f1c-b000-56b9021c61a3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="667" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3f1ac806-be4b-43bd-806e-c93481bbe5a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="666" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b4a17316-1ec1-49eb-ade4-c1e4e2c2834d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="665" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-de2e4901-50b4-4405-a881-2abfc3a6fc60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="664" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cb4913a7-18a2-46eb-aa3e-6f2142244556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="663" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2055ce2d-0d72-4e90-9f7b-28d4ca89b3ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41107']" priority="662" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41107'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41107' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41107'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65ebf1b6-0e23-4e14-9e7e-5c7f61d2097f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="661" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): de waarde van @code/@codeSystem MOET ''1107' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-07a74e49-b4c7-4821-b5b5-aeeccda1f366-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="660" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_thuis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-870d26f7-95ef-4163-ad95-d1b9fb197d93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="658" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1e1952d-5838-4f18-ba51-b04f2805a62a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="657" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3ab57b9-c435-4c54-aa44-01c0d553ff1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="656" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-098a22cd-df5e-4d4f-8e07-948654f6c7a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="655" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a78eeec4-1d41-4c35-99a5-1aa8fe127e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="654" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50a764d5-c597-4de0-b81e-3d1da4f89d62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="653" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-96d73e29-4b40-4b94-a372-31e6442b57ee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="652" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3076ab99-0f60-412f-9f7c-40e9da71d771-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="651" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-01d69fd5-e9ea-4307-9375-b95972ca3bf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="650" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-08dd821d-33c0-4750-9454-905bf0f91a0b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="649" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93c4ac4b-ed3c-44d8-bd32-b11608c19d67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="647" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2d459710-841b-406d-875b-793996a3e9ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="646" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea4e2586-32ef-4cc7-9d91-ed46affee6dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="645" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-11711e65-5bca-44e6-8827-71adf1dcab6b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="644" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-659eeceb-a133-43cb-a0f5-7792944475a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="643" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65d37770-2dda-4309-9cf7-b84288993cbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="642" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ce002a2-d866-4f0a-8a18-e12d028a1432-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="641" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0cbfca04-8aac-43d7-ba53-918b53ea0ee6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="640" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4ca23a8d-b0ad-4239-8de4-6164cf94af2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="639" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-572a3b1a-a9a8-48f1-9070-21e120112723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="638" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d955c427-2be6-4251-ad54-019c1146ba5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="637" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-569d8f30-80a7-434f-bcc5-f51c84321fec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="636" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2914bc1-4d1b-494a-9c32-e4300619ea7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="635" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1660469d-d9e6-4db5-8b90-009c0162073e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="634" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ee14001f-1596-4109-9cf8-daf61f84bce0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="633" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fbb5fa2f-4a34-4c1c-85d5-5394df38b5b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="632" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-beb2cd9c-1fd4-4517-b16d-929851d84bff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="631" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae63544a-8120-4436-812a-3cc116faa429-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="630" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f54c9fe6-2cc0-4da4-9223-1b72b93ff39e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="629" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-41ff2f15-cce4-4801-aa67-4b13c13773fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="628" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-332a0e5d-8faa-4df4-8a01-bd093367d46f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="627" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aed5aefc-3e0d-4a57-a0c2-8324641f8f77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="626" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70fd6882-8696-4e5c-8bf2-5b323420090a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="625" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e4965c6-bfed-45b6-bd4f-1c9e757e62fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="624" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1d9920e7-22b7-455a-b630-249c78d2945f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="623" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3536c65-4ce8-42f2-98a0-3243572e62f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="622" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-722f9c04-5310-467f-ab61-7ff61e8ad654-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="621" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-24a4555b-e7f8-4e87-928a-ea8682239f5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="620" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9d6cc9a1-319d-46f6-bde6-d23693da2f5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="619" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-51d38531-b44a-4004-abac-bbf44163d360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="618" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74ed1234-4a56-4aa8-8172-f603cd3c4e6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="617" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2aa1e56d-123e-4ac5-9939-6c998c84eb91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="616" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf0a3b97-d1e1-468f-8e5b-0e56f5899bfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41108']" priority="615" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41108'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41108' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41108'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-95483668-f1e4-42d9-8d10-7007f1d41359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="614" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): de waarde van @code/@codeSystem MOET ''1108' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74effa9f-4b0c-43d5-9b49-d66bacda4e02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="613" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_vriendschappen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-07ca4318-bc69-4358-89df-bd8eab3a79eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="611" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1a80507-8619-4e34-8778-28da7c123df4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="610" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eab04d32-b254-4baf-a74a-eed768ea3fa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="609" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ed1db67a-d4e5-461f-9db0-18456e5cf621-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="608" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ccdb565d-4711-46cb-93d5-6319c0c10595-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="607" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e968c866-2d68-4a72-b31e-1d820924c0ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="606" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-36b2d77f-58c4-4b45-a440-3140abd8c231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="605" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f920da5-9a23-4346-81c3-6b43d05e96cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="604" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5bc2d1cb-3f27-4253-a73e-fc2796c33e1d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="603" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-221de207-b637-44ff-b7ec-c8bc99ae78af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="602" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c9e5491-bcf9-4c1f-be2f-656c4958440e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="600" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-82dc8348-c481-4de4-b9ec-93b148365abd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="599" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-757ae051-5caa-46aa-8cc5-fc44f0a1bbd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="598" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0e554446-cb14-4ca2-8f75-28ea35c69ffa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="597" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e51245e-e795-432f-a270-51383e14a187-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="596" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50d45222-8db2-40a7-adc8-b002c84aa1b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="595" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2d65cdb5-e597-4879-95a7-29df9065dd9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="594" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ac729c34-98b2-4f56-8442-c5ab152caf79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="593" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d77daef3-0035-4db7-8845-ac6ff81c21df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="592" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-90f5cde5-33bf-438b-bbf9-91197111e7e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="591" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45f9dd22-9bfb-40c7-9738-9ba004da835f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="590" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2b5d1ad8-bf70-43c0-b1cc-0c5a51729d95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="589" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-232185ce-f53c-4970-af25-a24dd5c4af30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="588" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-55796187-7c68-4f56-8e43-68c21cdb3080-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="587" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-37b41f3a-8eee-4b3d-b66f-9ebafbbe4e3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="586" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-41745f4a-36c5-4e76-bd29-64cbc09b030d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="585" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70a1dd02-cb22-4ac0-b770-cf39d96890de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="584" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b7302e6a-1faf-4fcd-ba96-81ba7121172b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="583" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a015eafe-8436-4aee-9f84-c2a7f5820a21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="582" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4cca73e-6498-42e2-91af-b84197990412-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="581" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eac408b9-99dc-41c9-a902-55ee78cd1d23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="580" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f1a402e8-89e7-4e72-af07-20ea7c57d50d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="579" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6238dbf4-4879-4b3e-92da-3d19656f7c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="578" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-50fac84b-a953-41cc-9879-b2ce95b0328c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="577" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93c5632e-1fe5-4d30-a18b-6c44c58e8b17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="576" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a578d508-1077-41b7-83b6-e434e2e99f56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="575" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6288e7ec-3c84-4dc1-b1ac-b31c553c8667-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="574" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e0caf720-d285-4e0a-bb4b-3793a050ccd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="573" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-463f5224-3982-4f7a-972b-dd2da6cc93b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="572" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f0ddc466-a705-4150-82c5-b19185d08218-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="571" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5750a7ce-583a-4ae8-89bc-e9db65cfacfc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="570" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-355c73e9-9929-4014-a530-1f6290ccbe07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="569" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-36daada1-7223-4007-9b0e-c2888aabb723-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41109']" priority="568" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41109'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41109' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41109'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f738f25-96c8-4a8c-8eea-b59202f038ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="567" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): de waarde van @code/@codeSystem MOET ''1109' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9deb054c-4329-407f-86c6-c8d0f3122283-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="566" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_leren_in_de_klas): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-05e3b4ec-71e1-4b61-b149-2c66450ae084-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="564" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-401be811-f400-48bf-9c22-e32537a09822-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="563" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f0d93961-686c-40b4-96d9-4b3401de9d32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="562" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c788cb16-9a65-4e6c-8419-33bcce4c684f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="561" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5e9877d0-2dce-4b99-bdc3-535beeb91c04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="560" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8569b2d1-6b23-4781-8e09-5efdfecc5785-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="559" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5c30376b-0c5a-4089-8a46-2e88ed8ff991-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="558" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-da5bbf38-01a3-4be1-a995-ad1c1e42a029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="557" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0593e7cc-5d7a-4650-be41-5054d9d21889-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="556" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73e5af84-899d-4e6c-8496-48d62996e57d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="555" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8d7e1d04-918f-437f-87b5-0b9757bf3b79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="553" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5a88e77-eaee-4697-ac73-61641144baf3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="552" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-20973289-e07e-461b-90ff-61f933f1e9ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="551" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d7ec10ca-65c2-4aa7-ad01-e360894377be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="550" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb309411-1d50-4d3b-94d4-a94486f0228e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="549" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45fcbbf8-719e-495d-a39a-e5641eb087e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="548" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-146ef9c5-2215-490d-bd17-5177ee65ecb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="547" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-711455e8-802e-47f5-beb7-09a598326f05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="546" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8969563a-31d5-44f9-842c-8fc640138d5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c75a8354-a059-4f3a-b6f4-ac6a51d592ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9b71cc6c-3da4-46f6-a214-69feb348df04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-55647b8e-eadc-4855-b97b-197a9b4b988d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1a3e9459-48ce-46cc-af1b-33ac2eb1e391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="541" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8722c186-fe88-4a4f-acd0-fe420e27913a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="540" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3de5642-91b6-4b5d-8e69-7e5d8d4faa95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="539" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d2fa9c11-adcd-4349-a490-b6d288c247cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="538" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fa8bf048-fe7c-40f2-9220-b5c063f2a909-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="537" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0185a545-29fc-4be9-bec0-40c445f97542-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="536" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6f99af21-8650-4378-8eab-b52b2a3fe640-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="535" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bf1a323e-3aca-4d08-bebb-514447cd0dd6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="534" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-03f65c98-1baa-445f-ad2a-743322504c79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="533" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-072a903a-d9c6-4acb-bb6e-d7b8ea391de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="532" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-51cc8cd3-eec5-454b-9b8b-28cf3ec84967-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="531" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-53c3b372-c800-400b-8952-f37ce1cd8da1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="530" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c42361bf-4c71-4881-bc7d-f0b222a4c5be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="529" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0d3c99fc-4abb-4edc-8043-c4b3c6569791-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="528" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d1799e84-8527-468c-b7e1-cf55cdc76fd2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="527" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e2048bd6-3d2b-4cb6-8dad-c3482912e6e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="526" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f2289288-8e40-4180-b1ed-6c34a280097f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="525" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27aec28b-1a8e-4164-8471-b829e59d0c28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="524" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9e722647-0e96-4cad-9170-68753bbcdfdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22d41f03-520b-445f-b4db-f8873341adec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9df11947-7821-47ee-9183-68ff04497be9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41110']" priority="521" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41110'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41110' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41110'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a21798e-23d7-4d02-9bf4-837cce20efe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): de waarde van @code/@codeSystem MOET ''1110' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2c7f0765-fd83-443d-93c0-989c5337a148-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belemmering_activiteiten_in_de_vrije_tijd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eeb6f515-68bc-413c-8a45-05d95350854a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="517" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ab15528e-1b23-46c9-ad0a-2d3a76643e58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="516" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-da200888-b770-40d4-bff0-b358ed8cb15f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="515" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9bda7dc-392b-450d-8729-36aa7709fd58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="514" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3a5effb-a0f5-4b7f-a363-f9082d8b786e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="513" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5151be0f-48c2-417b-8aa0-8ebcf302143b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="512" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8d5559fb-0fc0-41ef-8d94-3c7e8c221814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="511" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c4209006-11a3-471e-88c9-514fe3d3df63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="510" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-65c5849f-851b-4ac6-966f-e4874edbbd2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="509" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9d1c322-9bb5-4531-bd1c-077de0266f63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="508" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cfd70c2c-ccf0-4b38-9c31-cfff7959f2dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="506" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0a42ad7e-405f-49e5-84a3-df980cacf0b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="505" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-60f69a3b-2c8c-417e-86f2-aa987d73f7f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="504" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae4de704-20ab-4a5d-9b7b-f064553ada7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="503" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dae1251c-ba37-4ce3-94d2-d23335ec445b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="502" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7cd3a4ad-23b9-4e02-bf09-456390357dad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="501" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1adb603c-e850-4971-a3c9-559d0e50ae64-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="500" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-192848f0-3494-4dfc-bf1f-a921f7afd75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="499" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f81b5af3-0a47-4cc8-9062-70c7d5d5aceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c1120a8-574f-423a-86f8-aad41cf7ff82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-00d22731-cbfc-432f-860c-7fee2229a04d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70f229bf-2c60-402a-9c59-17d0f6535eaa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-15fb751a-93c2-42ef-90b9-ba3affc134f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-61153113-9811-40a8-8d74-348797a7ef86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74a3fbf4-2984-466f-bba2-53c4bb112af0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7b53f76d-1d25-42a2-80b1-c2b4f7cdc958-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7ad178db-e528-4e69-9478-62945f559111-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="490" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0bc7cf07-e30c-4005-9989-e0a9d6406389-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="489" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c4486c4-fd2a-48bb-9e0b-c2c442e7eb6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="488" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4446123e-4322-4b2d-858e-471b8c31a08d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="487" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22aa0bde-71c2-45ca-b741-013bb4aaaff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="486" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4b2d2449-ef1e-43eb-a685-2247c50a70d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="485" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-84ce4b6c-8c86-4482-b63b-96a48c6cf2ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="484" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0cace5e1-651c-4316-9dfd-87e990ece7ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="483" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ca03d653-88d8-4999-91a3-717c47808a25-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="482" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-454f799a-14b1-4e7e-b378-78d4a7ec3166-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="481" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aa26b937-2906-4939-9c03-b883c85b599d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="480" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c0919c6-3572-480a-893d-761dea2334c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="479" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2449d352-0bac-42a4-9b52-49763d5aa901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="478" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8e1ce72f-d51c-4f35-ac30-baa0790d039e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1110' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="477" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5e28cb98-2d40-44c6-bed3-b4777a59e6a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a4332cf1-5232-4dd1-b8b0-e502b8cb75d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c9251064-c43c-47d9-8e08-c305b288b27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41111']" priority="474" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41111'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41111' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41111'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8e9cf37f-0e83-430a-a3fe-dfc3c388cd41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): de waarde van @code/@codeSystem MOET ''1111' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a603f042-f953-4f0c-b502-2c697809d54c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0599_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): de waarde van @code MOET worden gekozen uit waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Belasten_de_moeilijkheden_u_of_het_gezin_als_g): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0599_HL7 W0599 Moeilijkheden belasting (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9daa4dec-b0c2-4d3e-8f34-ebe9c1b7975e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-636531ab-218e-4019-860b-eacc9d2317a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-582bbf19-7170-4684-b1c3-5ac50ceb274c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b9c6ade7-7e8b-4f33-bb4b-131bb93c591d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b5d55628-f90c-4a32-9313-06ef2725ba4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8e7b1e6f-e3cc-4cc2-be1a-7f33514e1839-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-115bdb74-2d82-45d3-b236-0d821c450172-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ffe7937-1636-46b5-8fc4-29595171bd04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e35fccb-01b4-4d67-8e1d-ef5889ab1a0e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb215936-ef55-46b3-986b-dbb88b424fa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a6d497cc-6d37-4f8a-b096-3b61e74df98c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4f8a6ac0-acae-4b7a-81e6-066922bdf295-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-216de1bd-d213-413c-a946-8d6a9dbde7d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ff44749d-e95c-488f-aedd-219824f0467e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-23e7f86b-2d8b-4b47-bb3b-b371fa80ab9b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-403919e6-0864-43ae-8539-0e994eee99b6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-beae6d65-0192-4d62-a272-7252dba8b1f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc618580-d343-4fcf-a3c9-0ddd89f177e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-36fb8618-c4bf-4bef-b370-20b1b82963aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5ca68575-4bf2-4eff-ad52-bd5aa043ce60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae33583e-8736-4a7c-933b-4f351b4bc191-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5177d360-1601-4024-bf43-046460cad7ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6a52979d-cc7b-40b5-81b5-0c58bbc7b44a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d71b548c-662f-44c2-9f76-b2b80198f170-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6436d74f-9322-4a13-a7b5-44bee2342b6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-08e96d0c-e156-42bc-ad72-6f415e9b2035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a65c5229-b3b9-4d12-bb38-9497297e5329-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e8bb1d23-e747-4d82-adb8-82ef2937c7af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-87006b35-4e19-430c-846e-82b22ff08acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59f2bf1a-34e2-4cdd-84c8-4b21cd1a47b5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-df503552-abd6-4174-904f-e347cb752b75-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-158e0dbd-24be-4271-b1dd-7a0da5a71b1e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-daac996a-12e5-4bf7-83ad-626035d94a8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-85df500f-4a96-4bba-897b-6610fa20415f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-946fdb74-2c9e-4dbd-94ae-b70e2ffff6b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ebd5456f-1105-4faa-b648-bbee2b8587e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f505b68-397b-4741-9c35-c82af7a0e9fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e43b7276-dbfa-4eee-b1e1-074b986b9ef2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-edb231f6-d7a0-4b28-a720-e950ba8514cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0bf2a519-3b1e-40fb-8fea-982ff40d4029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0fbdf3c6-72b6-47ae-96a4-45cec32c9b32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ae03b4a3-2302-49e0-8eb2-2a273d87c586-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89c435b3-7a94-4423-9fd3-f3a46e5851a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41112']" priority="427" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41112'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41112' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41112'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1fea716d-b1ab-4c42-ad10-60560c5f6eb0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): de waarde van @code/@codeSystem MOET ''1112' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ad87e007-b2a0-48b2-997e-b78444cbad3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_emotionele_problemen): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4d7a9cbd-7ba3-4b87-9b50-0a217d051d2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9c0ab99-6168-42cd-a069-148a7f77ffee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fa1fa9a1-646e-4727-9439-0fd28e3e42fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0b67ac49-f548-47c2-9fad-534d47dcd152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0ea49a8d-a138-46db-8c2f-a45644f51099-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6ca235a0-b7a1-4776-b494-78e041fa855d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f6af93ba-c71f-474f-bda9-2564c3303fa2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f56c0172-16b5-40fb-996c-996deb8909b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-da3f4e6f-78d5-4dae-a9fe-06946ad16489-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a92876cd-037c-41b7-bf7b-6f629b7fdfd8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc072140-f6b8-4254-b02c-59f238cd8b8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-06990abd-b141-4e39-bd4a-c581b4b103ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-33549eb0-fb6f-4988-a13b-a87097e389e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bdba24b7-d04b-4973-b89b-4de834a21388-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-16948a58-0eaf-4e33-aa33-9a181cbac4a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f625aac8-b241-4c54-a109-b2cf10b4f043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5d40f9c-0449-4995-a23b-7a88e7e7cf7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-159dc8a1-72b3-44d6-9b8d-21f584e62d2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5cc4df31-3782-4159-a412-860f01928c2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-73c733ab-2078-4807-8544-1415421db190-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea12ad7e-172e-44e5-ab41-ce521411bc8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-04fb8dfd-a361-428c-aead-36a2d02fbd7a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5764c96e-9f81-4d25-aa8d-b6a9b414f714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d909528-42c0-4a8e-96a3-6f61cf27fb7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f4dc1b05-cb4c-4cf3-a885-3b7ca83bc12f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2446286e-0beb-49f1-ba3e-c53ce4d426bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5636d321-fff3-46f6-ac09-d6b0b7472ef1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77d35351-6a8a-47c0-8115-a6433e2eb1d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-69fe564c-4ae7-4e0a-bd3d-d535459e5c3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0228e708-bcce-4781-a15a-cc97fbdfa01d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3363199b-cbd3-44ff-9bad-33e04f2bc500-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b8dcc69d-1964-4af3-89b6-e72e10ab8523-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0506ad7e-d92d-4fb3-b6ad-dda4df8861d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-07a26c75-2357-44e2-b651-d1f73c9c5056-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-47268af3-b20e-4860-ab38-728949ea043d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-13642d06-d242-46a4-9ba7-ecc1928d0851-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f312a78c-014c-4f0e-9bd3-7f47636db6c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-83e58c6a-2245-4355-880e-dd4fa8b63227-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66be5091-197c-46ca-9840-354a1b133089-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f9352e3-a304-4b04-95f9-b3d8393d8fe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-adf3850b-5b0c-4b14-8a7c-e1ffa2e35613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bbd02c91-ac9b-4ef9-b7c6-a77dfa7a845e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-125c0c26-11d1-4157-82a5-1164b6eceb63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41113']" priority="380" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41113'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41113' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41113'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2e8771cd-8b09-491c-bbcf-5e0f1ffba7b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): de waarde van @code/@codeSystem MOET ''1113' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9b160cfa-9715-45a1-86fc-f94ac434aaa0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_gedragsproblemen): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3aed717e-d7a1-4799-9465-994e38b2dfc6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-92a6fe54-d521-4560-8b5c-469f5f19d7fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3af436e8-233c-47b4-ab95-305a2ba60901-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-06f2c65a-0c92-4f8c-b4db-49f9efa25585-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-53a109bf-c551-4333-9020-6e6cae4d6659-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6226997b-bab9-47fb-81f5-7c385f1a552a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4abcb002-f820-405d-a112-52ec87e94780-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1693ec8-db48-4fa4-bd7a-c97666fbf4ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-59db67ac-f558-40f3-9e65-9d562f941fef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-259fb331-2e2f-463b-9e64-c4feaf7fefe1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cbc15918-e9cd-46bd-9874-3eac03edd364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7772a275-96a7-418f-95bf-08fe548ae987-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-99ba55da-8c71-4b4f-92a3-ba30993bc2c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39b5de83-ee1b-428c-9f6d-b36c20d4c5e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b0ac984-bc5a-482d-83d6-e8fbf16b289e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-72e72b81-a8c4-4b3c-bacf-64ee6dcad17d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6319592c-b34b-4da6-b3e5-3e99bb8abdef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-20d3012a-44ae-40b0-9569-bdf356b4590c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-860975a2-31a7-4141-920b-c251666f7ce2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2ea42094-137f-45cd-bc21-8d95870a1877-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-25a911ba-0014-49f4-a75c-2a91703762c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cdadefe1-0183-4eb5-8be6-cf766de6137b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f98fdd76-7af5-42ad-9764-cde4fbde498a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-101d250e-f615-4f6f-9129-40df9485cf15-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1e316f57-a6de-45fb-a5e3-ebfa01485bca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0abe3492-2627-496f-9328-5bc0448f9e28-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2774e684-113a-4844-b121-d309900cd172-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3ab5eb0d-5ee3-496e-93d2-0a4a45e43359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-43ca471c-2c2a-4481-9aea-105f017cf43a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-44218dc4-bada-4b5c-ba81-feecffd7c13a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b59ea86d-765e-4634-8cca-6333221af914-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70e68081-2816-48d7-bb74-8611b2c3e3e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-564ba6eb-5da9-4358-bb44-db9a115379c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ad220558-5af5-4ec9-ab0b-40622d13e5db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eacc3ab5-60c7-4a4a-bf5b-8891d0fd2cb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fede7b49-fb77-43b0-8f45-a6e9e72b7ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7eaf86e9-a495-4fbc-ad5b-ad449ac1bff6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2a82dc99-e230-4241-91b0-2c1167ac054d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-770fc046-7302-4a98-b498-d551919d3278-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9d7a7974-2d33-4314-9ebf-9a33f6db9992-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c8d484d0-dfe6-4830-9348-c29059d2fbc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f17979fa-b80a-49f3-ad93-305470d178c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dd51e9a7-db49-4c1c-a877-485529793dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41114']" priority="333" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41114'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41114' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41114'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fff26add-d255-4c6a-ae42-cd881591968a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): de waarde van @code/@codeSystem MOET ''1114' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-54572aad-ee08-4ebb-861e-2b6ac6da9849-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_problemen_leeftijdsgenoten): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eb98f81e-b617-43ed-96f3-faf2533cac5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b9db5df8-1cce-4aa1-9a7c-b70c027b151b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5d520b9-50cb-4f4c-879c-63ab5a54e036-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-760b8a5d-ba96-4412-9835-353f46cded06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-17bfa2d7-bbf9-4b05-b612-faee7599adcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e566cb21-0544-4839-a48b-bff8124292ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3dbedf37-9b76-444d-a38a-566f9ff7114a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-39fe6c53-44ff-4b32-a96d-da9561a27a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-66592996-1b16-4686-967a-3bfa03ca6163-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b0a3ebc7-d95d-40f1-b288-b426a469f632-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fb0f594f-a974-42ce-b290-b0b70b77ec61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d06c87ce-81cc-440d-b34b-f0cd154b7004-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c231beec-0fdc-4264-8e83-affa51529622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6b528810-2559-417c-941d-73acc1d18e98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c8f9f0c4-2ac9-442f-b036-3c0ddef18602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fec77993-5db7-4bf2-9dbe-c765c490767d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f14d367-753d-44a0-aee7-aebb826120f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-264f690b-9ddd-4afb-b47a-31459101ee09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5902475a-6aa5-4c7e-9189-771ef4865738-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6e0574bc-03ba-447e-a988-fd30d0a7f263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc69193c-c50e-48c9-9ad5-2d49f9a0508a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b374c800-0bd2-4680-8984-590adf9b3ee1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f6467b7a-722c-46c0-8400-bf54abf155b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-de1a51ce-69ea-4e3b-94b1-e0c3f792535a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a92e7441-a9a1-4130-a6cc-315c957ae35a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1344f30a-0e55-41d2-9375-42f031ec88ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-027f8a56-2b07-441a-89b6-88b17345b464-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f1f538e-b3d4-4392-8867-0b6927e75bd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2b6d436-af0d-4ba4-822d-cc5f2d7dd080-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e320216a-7c48-4f04-8601-25a45b2abdbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba95b8a6-0976-4cfc-9d98-6ced8a9084dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-605b7c3d-3c33-4c4f-8ae5-73a782f655fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d17f6d69-4bc2-449c-a31b-317b695fd3e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d984ff6-7eed-44e8-a2be-7bea4e6002a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-771fba42-88ed-40f2-9e25-8a3d6cb93c58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5146b141-f948-4e72-a5ba-4fbf96ad7b24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e2e86213-cc03-4206-b162-6a3e02734ea1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2fcdaedb-b6dd-4f70-85c4-b4373499b0ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f449d1ea-fb74-4076-86a8-fa7d8205a8e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f5fbcf85-f408-44c2-90ea-99451b7d14b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e13e4c6d-c5b2-45c8-8bed-c10bbe028b2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-faf504f7-fcf1-4521-b281-1fef4f061af5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93bb8af7-173d-4878-b861-1a6d44b4eb80-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41115']" priority="286" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41115'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41115' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41115'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f3ec2201-b62d-4eda-a872-78ecee9aaf6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): de waarde van @code/@codeSystem MOET ''1115' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-baf1dd34-4ed0-445a-a908-7477e35610cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_hyperactiviteit): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-71cdc100-dad4-4b90-b0dd-ceb48020ecb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-edf4b91e-7ad4-4842-9fb4-c4ec96ad0b9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-45a0d328-155c-4406-992f-e50e8dafab06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c19c4657-abb9-4b85-a353-e48902f67e0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7d661fa9-e2db-402b-8625-f13eced69240-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3bf298c3-d183-4f88-b167-2e703a081362-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-55e30337-2677-496e-aa21-3a3bc30077e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-44429aa9-4e30-4e02-b868-a1455405f346-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bb7d8023-1133-4702-8028-f0c36784e446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ba3ef4ba-4964-43b6-8993-f989bbeba045-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d77bf7b2-1b3f-4bcf-a4ae-df4ec5fbd653-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-56b28d02-f38b-4ff5-9b85-94ecd1b44e56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-93f7cd07-55eb-484c-9d55-8c1c3f6c62e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-03ee9b2b-fc47-4c7f-9cdf-e9e67c50aead-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-584e857b-c95a-4dc7-98d9-888fc50942f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0742661d-c738-4794-bef4-1f6afa1e9286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0762e00e-6dc5-4314-b1a5-c486f7a226f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-1823abc8-3a7c-4903-a7e3-cafa7b9f797c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-49441006-702e-4fc8-8110-1785c72ea14e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-22d192a3-911f-463c-b29b-70c09d720ca6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6bc784da-383a-4168-a4d7-c9f910269bc4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cf870cff-d4c1-426e-9e99-71375917d83f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-89767a13-9bef-4647-ac05-9fa830c7dfa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-77528531-935a-4ca6-a25e-480088dcdab1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-da29b75a-58fb-4a4a-8e49-ef2024aafc5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5ac98b38-d753-4b3a-8d52-66be208768f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fc349489-71ff-4219-bc85-4bff3b8e5394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c2b9edb0-d60e-493c-a26e-14456bf6fbfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2fd46320-0bc0-4c4e-8d9b-43cf6561dbd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5508062b-39c5-47af-b614-4571d438a6ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f38b3765-e2a5-4d1a-8c5a-d3974d40c36b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-85ad72d3-0abd-470d-9dc1-79601c907749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d11622ec-4373-4f39-8404-f3434b484ce4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e7f18cf5-650a-449f-ab5f-ef5a5e0141f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-d4c223c8-6074-45a7-b1ee-f81b4935c184-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ef3b76a5-5d84-4438-aa73-803d17885d77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ea98b290-e432-439d-aef7-a218ce55b5f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-94fa4b37-001e-4491-bf79-508e761cb11b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3b3c5e3b-8d52-4048-beb9-9658885b52cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-641a7b2c-3398-40ff-a9db-24d19b6ad85e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-931aa16d-4c63-4733-99bf-f1c2b1bb3ae7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9bde7693-09b2-4c16-8399-ea7be3433a72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fefe7d7c-1f25-436a-8cc2-b15dddee165f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41117']" priority="239" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41117'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41117' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41117'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6234836a-e3f1-4aa2-8ca5-b3abc4765614-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): de waarde van @code/@codeSystem MOET ''1117' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-70b8fc4b-e46c-4094-863d-68c8751b0d59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Score_pro-sociaal_gedrag): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-672bf401-c959-433a-9189-fca75c4e5044-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-df514d94-3378-4a61-872e-74a8a8aecff1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8c237bcf-1214-4147-9b4c-349d324c0886-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-665ed1f0-ae7c-4ad6-ae04-1b6f5785c9d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5fb09139-02b1-449b-a41b-3a438564d993-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-81a47e27-93c1-4c9f-a0be-fcb87c972fd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bee32148-f237-426b-8560-52aeee51b2e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-262e83aa-3368-4938-9a46-07a8f57d8198-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eefce41d-8ea3-461c-b96c-4625bf193416-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e3642f06-b0d5-43bd-a1cb-ccd917640e8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9b936fff-4de3-4aa2-b88a-eb90f3b69d52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0579ab33-4058-4ff2-96bf-8ac77064d214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-157c6321-9b05-49ff-bc31-31532a83197e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0059b9da-d01f-4893-927b-b0df1a5a8263-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5548a30-26a9-4eed-80f2-53fad727ec97-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b54565f2-d25f-4fd5-99d9-94c5a1396d6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5746fd3c-dde6-497d-ac7e-0d49e3d720df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e384fa37-dc54-41b1-bea2-4784f0c73043-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6ea9a19e-8655-4ae7-92d1-d1115e176f89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a64d13eb-7ada-4f15-a377-2dd8fd89d518-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a41433b7-3d07-49d3-8a66-602c5e8149cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-abe17166-cef0-45dc-8414-598208d921a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c98294b6-c005-4fe3-9f73-f55639985ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2b6541de-0ea6-4e71-9ab1-dd98752ee42f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-67841bd4-db46-45d1-9b1a-a3abbe19ae89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b6305442-aeca-4f6e-a086-e8dcb99d338c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-95f2f294-8576-4109-a84b-9a485aedf088-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6dcbbaa6-37a8-4903-ae8c-1168f700b201-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f586905-8cdb-4988-8afd-f765b713f2b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-507cb904-cb3a-4b8e-92e5-f1953deb5ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5a50e39d-98e6-4184-b2ca-a9f02a4b7ae9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-71861978-79fb-4622-ac78-fad1cf8c7844-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2eaf2155-85b6-40af-9247-ba45d38093a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-206e2294-e51d-41e1-9dd1-037463f221a2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a7908445-a30e-4f06-9366-c57022e0e568-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cd534a79-ebb6-449d-96d5-e05a9931e361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3d584bb-cdd3-4cef-b74a-a9eb606b3d87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2af12d9b-d5bf-4f2d-91fd-adb338ddc613-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e14b9047-8c10-4e0b-99ee-788f087318da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a47884d-604c-4d74-b026-fef63513c03d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1117' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-525ccefd-c140-4b05-90cd-ff0d772cd3a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-68fbc5b3-81a2-4dfd-b82e-252e25067f8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b1a879e5-9b67-4bab-b316-3f84053bd48e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41447']" priority="192" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41447'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41447' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41447'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dd19ae99-4277-4cc8-b07c-6c3e5d805d17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): de waarde van @code/@codeSystem MOET ''1447' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-27f980de-55a2-4377-82a3-cdcc3c46f5d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_impactscore): value MOET in bereik [0..10] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5d7baf6d-a5a0-4175-b4a5-1fb66b383c81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0c704297-921b-4f95-8e4b-990aed065495-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-de787a15-bcea-4ff6-85fa-f32bf3db6f3b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-681857dc-aecf-414f-8f0b-3d1a0f5dbc1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7f2b30db-b8fe-4095-9645-37439dea4d0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4e792d0a-62c1-438e-b660-66ba546ff3f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-367a3d5f-3505-4921-ac1f-7520faaa76a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9985b150-6e98-4e82-be9e-527193f3ae32-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a2068a5a-57fe-4829-bd2b-e7eccb2587d4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e8a278ae-adc4-46f0-91de-fb733b407863-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fd124138-efd6-4d6d-9032-c51ac6b53ea6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3c4c9aa9-d7b7-45c0-a9f9-fb966ab1d094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e7e289ca-ebd9-41cb-9ac6-96e956568713-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc646a9e-d4b3-4b3d-aa62-45fcb936afb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-53c6fc69-2730-4c15-8dd6-f940abc4ebfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-37b918cf-3bd3-4e37-beb5-dbb7b4844708-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-74aea9fd-2b46-4daf-8f6d-71c5a57b5ba4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6880d379-3e32-4e6b-abe0-544a0bf1220b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e8c2e03e-3c03-4f1b-afd6-4ace7cdfbe88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-52ffa24b-2957-4670-86d1-a8c0552168b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8f71eb2a-6b91-4abd-bf8c-c0db3b2e1280-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-83a2e3d6-7f3f-40c3-8f6a-eb00cd73fe5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-79422bd0-a1ab-48ab-9b1b-76c817948e7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7918328f-dfe9-4750-a55d-e107a1c3df34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3fc754ac-c49e-44ec-a9b2-308863dff781-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-404e1a81-439c-4bd4-bbcc-4670ef8ac505-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9221db28-44ba-42b4-bcf0-bb665093d34b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e18661a2-9d53-497b-93bd-e042bc316be2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-29e496ab-c8b0-4540-abf3-f6cdc5a15129-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-192e151d-6725-4d69-96cb-ee2690065f91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e10d97f8-8354-4b8d-9f1d-5eefd2096309-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-f17ebde8-7c87-4cde-9223-e85ffda498f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-15072927-b6b8-4d0e-ba8c-6dd0bd8ded7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a65ed697-eb3b-447e-89c7-9220f1cbdca5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-24ed1038-986d-4576-b597-ab3876694239-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-7abc0c36-8d28-46c1-96c6-d6ea07a0d9f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dad7b13f-7210-42c2-ad46-fc193a1308e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8def09e7-292d-45e0-9a76-785b9c206142-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e0c6b8ec-4f50-4b73-8763-fb2d356fc438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-b7e9c1d7-b089-4b70-8f5b-7a2237b16183-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1447' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-90286f6f-89de-4eb4-bdfa-4a0523ed5c93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-5f4f2455-2893-4731-acfc-e6576531f6ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e5f0b9b3-c2bb-43b6-800e-95fb4147bae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41116']" priority="145" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41116'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41116' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41116'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2f11b8ec-5ffe-4178-9561-c41dc02d4342-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): de waarde van @code/@codeSystem MOET ''1116' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-3a26e303-268a-4a91-9e3b-6ed6495c3ada-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=40))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_SDQ_totaal_score): value MOET in bereik [0..40] liggen <axsl:text> (</axsl:text>(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=40))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-90d9c781-8d3f-42b3-85e0-ca2e85b9d282-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-aab81deb-148b-448b-b223-a69fa2b5f4b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2af6bc8a-8672-45a4-936c-c1b4b269a80a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8a614d48-8e49-4fc6-b7bf-21b59efe43be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-826bc1e9-9ec7-45af-a977-521629800b6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2b0019d0-5080-4865-b529-87f10160a97f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ead7c113-b2b6-4f55-a50a-d60db0bba46a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c52a43ea-2462-4c68-b301-795699b50e0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0f96e7ad-8e32-4e08-9cca-4f087e2a42fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-055dfda0-5fa8-4ed7-80fc-bc8e35e61ff8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-26deb1e4-fce2-445f-9513-8c8f0f270539-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-0b48df4c-8439-4d2c-b434-2b7fd111c705-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-032e5386-6810-4809-ae7f-b2a38cfb36d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-46a04074-81fa-4fd5-878b-64b7034ceb0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c5bdb909-4405-4850-89f5-8a278bb58d2f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a3d1a042-3ccf-4471-a09d-33afb2dd1a81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-254927bf-8e2e-462b-8ecb-9877399b571f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fdbcc67d-75b8-4138-b57a-92eb18000c48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-fa1a355a-e2e4-4c4f-bf0d-53ce6ac4affc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eedca59d-557b-43ee-8eaf-2718d312694d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-55437984-58d0-429b-aebf-b2aecf350f22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-8b0b7527-9eee-42e9-9ece-2604b9fb7499-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c1a58cf5-32dd-4551-b7fc-d5c2d7d0d8c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e1bc6010-849a-4bc2-871d-22df5f9e58af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-9be821cc-ae6d-4df6-a355-d4d7fa11b355-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-2e6ef9e9-3a42-4ff4-949b-d4468a3283f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-279b2d22-6b68-4a3f-ac2e-b95c8b19c4bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bc4be732-3d06-423a-90c4-d69a94748d17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-4430e4ab-e1cb-4c62-8320-efd547d8d2de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M85">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-ef645794-b11e-41a3-9981-dc9ad23481ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bd3099c7-d2d8-4ddb-9d82-5ef2a5323ac6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-cc1a8983-90ad-40a4-b1b5-14347e907d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-570c4643-0081-4042-bbfd-3de098caac22-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-a5a0ef7a-2761-4070-bb80-affb9f81b9ce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-bfe66075-9152-45c3-9e19-20997684dbae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-dfdb7191-dcf9-48cc-b276-3e0e032e41b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-eaea31d5-db4f-42d1-aaf3-003627ce1749-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-6bd73d17-c13f-454a-99aa-ce940bb59524-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M85">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-c3cab1ac-11a4-4246-99b4-c61c21f5e29d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M85">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11045.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>

	<!--RULE tmp-e9655d45-b6ae-494d-9da0-99cace0e9ffe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11045']/hl7:component[hl7:observation[hl7:code[@code='1116' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M85">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M85"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M85"/>
   <axsl:template match="@*|node()" priority="-2" mode="M85">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M85"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M85"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11049Rubriek 49 Screening logopedie-->


	<!--RULE tmp-0727fb05-5f6d-4407-ad3a-8c1a77d85e74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']" priority="573" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): element hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-037782bd-d520-497f-a2dc-f869a3afdaf0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']" priority="572" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11049'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11049' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11049'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3e7c4652-4c86-4272-bb0d-f1ce31d89c5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:code" priority="571" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R049' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster49): de waarde van @code/@codeSystem MOET ''R049' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R049' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ea0e0ee8-b8a7-4463-b5db-5c5e74b8fe88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="570" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-61b62f98-6719-4e49-8519-2f3275511c0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="569" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8e2ce9df-9c4f-421d-a877-c491e41c5f55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41173']" priority="568" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41173'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41173' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41173'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-283f8239-c9d6-41a7-9726-c26891634a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="567" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_0_Stoornis): de waarde van @code/@codeSystem MOET ''1173' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8c994e13-29ba-4023-8126-4dc1383452b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="566" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-253d7fad-2344-4633-a9db-260fba4a38a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="564" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ae741734-4b43-4fae-a21b-1dea1d431602-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="563" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8e0c3317-2648-4bdc-ad28-036518aacaee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="562" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-376ac7dc-0ef0-47b1-a450-371919943264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="561" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-65cd4d3c-bbb4-4839-969e-a62a0888be51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="560" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0e3dceaa-c23c-4f56-a632-08329bb5d911-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="559" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cef6cd87-98d1-460b-aee6-bbd484c02b02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="558" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-283f2cbf-97ce-40ae-b7a3-754886d21ef9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="557" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-417fe482-6478-48af-b3b8-17a31d3b4427-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="556" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-11cb7fb9-5c67-42dc-aa70-f47e418fe379-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="555" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-20a76c1a-5e19-4565-bd5b-4eba5a6f2b98-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="553" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5ef16f6c-6d58-48ec-9ce1-c66af611a5ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="552" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7f874140-14c7-4491-a6e8-a3a48492b17f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="551" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ede263cf-1ebe-4ba8-86ae-f5a1178e0ae2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="550" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fa7f594b-03c3-42b3-ba65-3aba5fcb2656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="549" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b7b77ef-7f43-43d5-af44-3a135cc9389c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="548" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-701aeae7-90fc-45fa-b902-e23f05bf9e53-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="547" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-93db2035-0b5b-448c-ba3a-291abfce7edb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="546" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a3e2ebf8-0c57-4346-8beb-5128cff3c94b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="545" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1c7742d8-254d-4f66-a551-f9104be6cd55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="544" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-993ad56f-cfe0-435b-88b9-62cff3d41b52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="543" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7e707291-49a8-42e5-9e5a-5f78e1783486-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="542" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e060a2cf-7a0b-451f-89bb-2197690bde66-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="541" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e4be2882-68f9-48d2-9898-14bafb270714-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="540" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-57e5e6ce-85d6-4aac-9000-730394a28e38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="539" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0afc7ef7-6de4-43e3-b193-171d97879834-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="538" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4a90afeb-e281-4257-9e67-5678d901afa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="537" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-085b55f4-4021-4f6a-abd3-c1be0176bd74-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="536" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-42bfc230-a0d3-4db4-8f09-189b4e31cf9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="535" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-36ffbb1b-b875-41fe-b05a-190a2e57b287-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="534" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e70459ef-be43-4477-8eda-879811e354d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="533" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-49a3d773-14b9-4fe8-af1e-5461a3acb22f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="532" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-49cccb98-253a-46ef-985d-0d1b0b3ee138-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="531" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8c5f53f3-e9a0-49f6-a2d6-d425f69e64c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="530" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-774681a4-3657-46e8-9033-b1aae75e9599-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="529" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5d65f94c-8220-4ec1-bcd1-fd633c08e130-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="528" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3b7ee8af-c8c0-4226-9d8f-d46ba3d554fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="527" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2742a4c8-5204-4ac3-ade9-f58bf4198a09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="526" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-83d89770-7dcf-4328-9e1a-f2cd9deb704f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="525" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4c733fa2-4b5c-4205-bd3d-d9124f9a9bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1173' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="524" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6e492ce2-b38f-4830-8a70-b47606724682-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="523" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4f420d4b-960b-44ad-9571-c91ffc77ee8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="522" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-96921d95-ecad-4abe-829d-6d1aef659e7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41174']" priority="521" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41174'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41174' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41174'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-63f54f06-c1c1-4d86-8702-0a8d34c4d093-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="520" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): de waarde van @code/@codeSystem MOET ''1174' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ed57ea11-0eb5-4c08-92d0-c63bb412de52-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="519" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0630_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0630_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): de waarde van @code MOET worden gekozen uit waardenlijst W0630_HL7 W0630 Hoorstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_1_Hoorstoornis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0630_HL7 W0630 Hoorstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-102cc070-6702-404c-afff-08d68ef4d5a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="517" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5f7b39a2-f48f-424a-a9ca-c86ee6a41881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="516" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ab4e3ca3-0164-4f18-b416-a435ffda23c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="515" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c00d0e76-bc58-4afa-966f-e3098fe91bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="514" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-972c1dce-6224-4a23-b431-e8012e20ba77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="513" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5633b9ad-7688-4506-be4f-4e9958e836f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="512" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-39651219-cd07-439c-99c7-675891d98ef0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="511" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b7f1ad8-721d-48f1-ac03-a34c4942e137-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="510" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ded1f198-eb14-4e27-9382-28d8716c8147-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="509" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-94eabd53-c6f0-4e01-8759-8043c922cbd4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="508" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f066ae51-642a-45b1-a9eb-e3844b7794f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="506" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-63253198-a912-467b-8f32-737f2802a7bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="505" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9ef4e110-9a51-450b-a63f-51f7ea9b3123-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="504" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-19d4a789-98c2-4214-b9cf-363fa87bc92a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="503" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-32042763-6ebc-4fd8-96ed-3716c0e41970-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="502" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9481cf51-adf3-4518-9592-a790cb7f9b46-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="501" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f2243eea-af8e-46c5-a535-0d1da5ed41fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="500" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-704a9cec-ccf2-4c38-a6da-783269c437e7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="499" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4e502bb0-64c8-47e7-adcc-47977e09cf10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="498" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e94fdba4-bf10-4eb9-b744-dd96e693b22f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="497" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-10a87ca0-d43e-4bac-9ca7-1b6f2260fc43-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="496" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-abcc770b-3a43-4007-ab6f-fdeeec0bc6c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="495" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7c04d8b9-0ff3-4901-b83e-5a0ca468fe0d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="494" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-85a24b86-ba66-429f-91ee-4764b7a52ee4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="493" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7cda91b1-6df2-4056-9681-e424bc2d0b8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="492" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-02ece5f1-af27-40eb-b668-ac8e5e181d41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="491" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0fbbbdf7-e378-4449-99d3-775cfdb385c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="490" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6097aa8b-6eb3-4b31-b20f-b1fd8a72ac3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="489" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cbba6435-4b6a-4f94-bbb6-5f88c12c5948-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="488" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-96028185-38e9-400c-ab82-4ee41862c88c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="487" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-54d4baa5-4a13-4d7d-af08-a9f8e338143e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="486" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-73696c27-9784-4fa6-92f1-f3d43bfbf3f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="485" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-588dd11c-24a4-4365-a09b-73b80322be2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="484" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-242dbb76-b046-4ddc-83e4-8266449bb443-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="483" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b8aa4138-e695-44cc-b9ec-07cb329fb82f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="482" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d372021d-32ef-49d2-a9d7-8949963f0571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="481" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-78437437-947b-475a-b94e-7185fa66c03a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="480" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-585d4e82-b85a-4dad-a67e-9236a6570680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="479" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-799856f9-0708-4aee-8c7f-7d4bd7960b59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="478" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-657f66a9-9a75-4892-b8ba-90f319fbcf3a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1174' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="477" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1ea3ee61-22db-41ca-98b7-09fe33b84582-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="476" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c4682027-78e0-46a6-b5d9-a4120db29e4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="475" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-568eb923-982c-498d-96da-abf8e4945fad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41175']" priority="474" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41175'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41175' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41175'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3b7b14f3-25bf-4a3d-aaab-e395a49dc99e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="473" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): de waarde van @code/@codeSystem MOET ''1175' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4bf4acea-f44b-4b75-bbea-f1e9e2982c14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="472" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0631_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0631_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): de waarde van @code MOET worden gekozen uit waardenlijst W0631_HL7 W0631 Stemstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_2_Stemstoornis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0631_HL7 W0631 Stemstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-34b1b032-1998-42e4-b025-576992fa23e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="470" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fee21960-7c04-4873-8e9e-a7680c7b31ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="469" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fce7df56-af38-4b12-8abc-fd0a16efe2d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="468" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4c476cb9-d04c-40ea-be9b-996f6a426748-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="467" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2a996eab-a171-4a21-b433-51708db30506-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="466" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-931d52a9-dc57-4f27-8f31-3ae232d64ba9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="465" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-db3312b7-9cbd-4c17-95ed-6a955ed23472-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="464" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c5ef15fe-4de0-44f0-be20-0f278908e89b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="463" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5e1e7464-7548-40ac-aa58-3526e6654c72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="462" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a596b801-2680-4b4c-a948-1f954db66331-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="461" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-783a31d0-6dcb-4ff4-a3b9-6257d7ee32e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="459" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6464a2d1-9ba7-4f8b-b572-d140a9276bbe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="458" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-828437c3-316d-422a-ba0b-d5f977cda937-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="457" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4a70e414-ef82-4bc9-9020-075307aa3658-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="456" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a6bc73a7-ded3-4382-b498-287bde3bc179-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="455" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-390801a3-19b7-46ae-a58a-1b458fc801f4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="454" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4f2adca5-a302-4074-bc5b-b51ca72516fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="453" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-79068e1e-9f38-4269-a5e0-eecd988c116a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="452" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b87f8f95-1c40-4284-b6bc-4a5f44e17b40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="451" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b6005af-2dd9-4039-a623-36ba54c24e5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="450" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7e946c9e-afac-4dd1-903d-88573b35d2ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="449" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c66c10df-5fba-47d9-bf3d-f7c07725799e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="448" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e92e1b1d-857d-4854-82aa-8257a603c91f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="447" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b9037ae7-5ecb-4ed4-a54c-badd5da35c39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="446" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b1170fde-94f3-46c8-840d-36ddc5d06752-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="445" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f45f9ec0-d13b-4474-83e9-21c925220e45-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="444" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bb285c86-0e45-4eea-8bb2-66adff903ed1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="443" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-07216ee7-d24c-4bae-8b8f-8810a366dd70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="442" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-209e8d49-05d0-4d05-9962-6182bcd57e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="441" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1a743f4a-dbc3-4176-95be-411a2fdd247f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="440" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-422318a8-864f-4972-8cc2-6f5afe075972-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="439" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c3019d2d-cae8-47fa-b7cf-97ae65702988-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="438" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a5e684b0-974f-410b-baab-c55a31762b72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="437" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fbee2074-0c39-4166-bacc-9ab448effb78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="436" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cd8d9091-1684-409a-8e1b-800d3d08edca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="435" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6c88eeaf-bc35-4bcc-924c-54188b9bc768-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="434" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9320a894-057c-492f-a2f1-5ec1966d46dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="433" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fdfe5b67-9695-48c5-833c-3632701329b3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="432" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-16824046-6f88-4c8d-9e9b-9dec606b9809-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="431" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8a85710d-416a-4ddd-80e2-c320bd49710c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1175' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="430" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-746938f9-7b64-4707-98ef-85f1c0329127-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="429" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4943c7ca-1595-4478-a598-8768baae3fb5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="428" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a4c80bc7-437d-4f71-8c3b-f07d9d3b995e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41176']" priority="427" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41176'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41176' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41176'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-64e6c99c-888c-46f7-9525-1cee92d9e538-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="426" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): de waarde van @code/@codeSystem MOET ''1176' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ad79da8d-d427-417d-949b-fd1b3a134c4a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="425" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0632_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0632_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): de waarde van @code MOET worden gekozen uit waardenlijst W0632_HL7 W0632 Taalstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_3_Taalstoornis): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0632_HL7 W0632 Taalstoornis (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9ac9a6d5-e7d4-4ecb-bd70-0a5b64d4457c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="423" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0826fdd5-da43-426e-9752-b27d7f324e65-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="422" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e552d2c4-abbe-4ce7-bea0-5da06cad57e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="421" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-460e6851-5226-4c0e-8041-1ca8fc3afe23-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="420" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-67231cab-9e41-4db5-80c1-6e630597f401-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="419" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b7c8cd93-d592-4164-a865-0a361522d170-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="418" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e5e616c2-2753-4dae-bff0-dc81d1633494-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="417" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-58a9ea5a-d488-4628-8350-d069a35a4d47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="416" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e0f822be-fa93-4720-b2bb-3d4877613e3e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="415" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6a68f324-a137-47bf-ac5d-183cc561af38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="414" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-efa28173-e1eb-4109-a351-0a5f02b317e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="412" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-07bc1ae8-8a52-49b3-b3ae-9e86685638bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="411" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a9e9e236-584d-4e3d-a45e-f47bc4de8cc1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="410" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-834b0f8c-4f3c-49aa-8753-b31534e792a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="409" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-426e9e17-e8a8-462c-b316-447b9accbbfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="408" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c7db1f66-4ced-4c49-b392-021a159a1578-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="407" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d2959e88-df0a-4494-9b7f-9b2d8627fb77-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="406" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f6c00c2f-304d-426a-8336-42b935457a06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="405" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2ffa13e4-3ba7-4954-9b23-ab194f2e4eed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="404" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f0a9fe3e-454b-4eb9-a1f5-9d909fd5ffb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="403" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ca7ab90e-fbc8-4b8c-8b5e-06e3831fb8d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="402" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a357f85f-fcc6-434d-b95a-b22af3d057cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="401" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8903d71e-6e9f-408d-9aa6-85e52c17b652-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="400" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-79c1ed7c-ba96-4423-a183-dd1a557a5e55-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="399" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9de95b6a-5d0a-47f7-a735-c132ac40a508-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="398" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f39ffb16-f64b-4d22-b1b9-a9c8ecd869c8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="397" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-678dbaf3-0c46-455c-8924-94ea664ef7b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="396" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-882ef11c-6b59-4c37-a405-f4a35a8d6801-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="395" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4a59d4e8-dde4-476e-bd27-e9e812a057d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="394" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-df6a4993-5982-4d95-971f-32cd5bec69d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="393" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-85720766-612f-4efd-a936-1ed55d2ce4fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="392" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-76e21bc7-a4d8-4a32-be88-426f9eedc9fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="391" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b6b7eedd-c2bc-496f-91ac-52c9b94b2d81-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="390" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e2326499-5afb-47dc-837a-462a54a19370-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="389" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1b655bb5-a3d5-47b9-9182-f57b63ba6fce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="388" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2afde226-2a30-48a1-94ae-ea3fd043f8b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="387" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-329503ed-fc10-46e6-9f8d-da1031a240f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="386" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2a235033-4bdb-4786-9ae7-9f099a4e442e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="385" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-93c810ff-3b1f-47dd-8f26-486dac4cb612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="384" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d0ab994f-d83d-4b49-b65e-5e9f938b9038-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1176' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="383" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2c2251b9-e13f-4eb3-aa5d-efcf35cb2f5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="382" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f3f2342e-f238-4dbd-8806-28124459c51c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="381" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b50cef26-0950-405b-9490-95263229a5ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41177']" priority="380" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41177'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41177' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41177'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-65640144-a048-4f65-a8ff-5e2e71b487c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="379" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): de waarde van @code/@codeSystem MOET ''1177' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-222fe03b-c355-4277-89da-f01c619e7656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="378" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0633_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0633_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): de waarde van @code MOET worden gekozen uit waardenlijst W0633_HL7 W0633 Articulatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_5_Articulatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0633_HL7 W0633 Articulatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2aa823fe-c938-457e-8fe9-d017aca094b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="376" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-55ab7f62-5bb0-48e8-95f9-2fdd9a0ab8e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="375" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4175f449-cfb1-4e67-8433-e0509ec803fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="374" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5587844d-8ec4-407a-82d1-654aeb058a54-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="373" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e61540ed-3835-439c-ab18-fe33dceccf1b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="372" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-24ce82f8-b77c-4be9-beb0-e0a812dcde2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="371" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-45d5feee-b01e-4385-8c6f-e421589172ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="370" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-30be6eb3-c248-4397-9fc7-3924c116436c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="369" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-67181808-ac10-4a5c-873b-a155436dcff6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="368" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-eaf0c3d5-1fcb-4267-9639-2cc12514a55d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="367" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-356c0e7e-b3e9-4694-8f0d-4c9899d4a6dd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="365" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b96cabb7-7f52-4489-8beb-a277899210f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="364" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6f603e76-1735-4e79-831b-0091d6e887d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="363" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bf282447-fac0-43f8-8b6d-3355e8bb3858-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="362" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-41cba2b6-b4dd-4076-8d6e-271fb4789c40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="361" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b63c6923-d644-4465-95d1-ccc8d72ceb0c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="360" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-6e4372d5-7183-4b71-8437-f09ecf3e1022-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="359" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a322d6a1-643b-4b61-84f2-9b98d5f9a680-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="358" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-117f0609-62da-409f-bbb1-2cc5f9bb7bf2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="357" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bc6f6d61-693a-4d52-b79b-17f9125cb612-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="356" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-be3f2650-416d-4022-83cf-e443e8d45e12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="355" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-84330807-7306-4628-afdc-c672c71fc3fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="354" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-86056271-c47f-4b60-b853-c5f9a10bf8f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="353" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-35901faa-b5a7-43be-a0dc-f70dd81e7221-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="352" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9701c9ef-3e07-4941-8d5e-6c693cbae2ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="351" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f646e95c-ad19-4bf3-9d8f-e605d954df91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="350" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5becfecf-9820-4263-9582-cb48c332c848-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="349" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2e901d38-172a-4d04-b7a3-0eb40e2df64d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="348" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-29b4fce4-03d0-4f08-9b6e-cd1bfed3d110-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="347" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-14c00335-688b-4246-8a46-d5c28a65bb24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="346" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b65c6abe-2d6e-45f2-9f1e-fe3c1d258d9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="345" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4c95d8c8-b8bb-464c-a3aa-1e981fa10c9d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="344" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-029fecd6-aee7-4d3d-ab30-0a4002d1381c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="343" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-588dca2d-5e00-4db4-98a3-9a70610486bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="342" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-909eedc8-c0c3-473e-8b16-df63d7b37481-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="341" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-21a5aef7-a8ba-48ba-ad65-8f1a72de1c34-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="340" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1f139d55-c4a8-4d56-a7cb-a81cb8ea2b85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="339" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b55dc7c0-cf4b-44cd-afd1-4edfa2f4a43e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="338" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b7aa450-02ac-4547-a90e-d050090cf0db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="337" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5a1860f4-bef4-43f0-89fb-30562340ec1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1177' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="336" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-be975d6b-d593-4e80-8b19-308855676d05-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="335" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9d50fa55-863c-45f3-8d3e-20667e5e6a48-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="334" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8478a369-fafb-4485-ab9a-5bbc99898645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41178']" priority="333" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41178'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41178' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41178'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-71b9bf0c-9656-4fc6-abb3-2edec8c4233b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="332" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): de waarde van @code/@codeSystem MOET ''1178' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7cb5308d-65dc-48eb-9d32-23e2909aafea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="331" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0634_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0634_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): de waarde van @code MOET worden gekozen uit waardenlijst W0634_HL7 W0634 Nasaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_6_Nasaliteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0634_HL7 W0634 Nasaliteit (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f38a9cd4-03f4-4f72-a00d-fcb9d1f06e78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="329" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f9210bee-3efa-409d-9abd-2417350c5994-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="328" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5d8b273f-e6b0-4b83-8054-117005955dc7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="327" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-def26d8c-abc1-467b-822c-b82e5242510a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="326" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ed21729d-e6f0-48ac-a76b-20a1f13917ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="325" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-36cc967f-4709-42df-969f-b5eabbec15e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="324" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-41e5d1e0-4f88-45c2-86d4-378c198e81d1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="323" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b95855d9-5295-4452-9a41-b0cedc002bdc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="322" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-592f36af-42f7-4da0-97b4-33852c96a989-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="321" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0d926ecb-41a9-4d95-81ed-3fcd550aaccc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="320" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e98ada84-7625-471a-b34a-dc65c1a6c42e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="318" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2c70948b-bc88-482e-a7b8-1b17862812bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="317" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7e4a7f42-5009-4645-b137-196540eeea4b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="316" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bb304c9f-fba8-492a-a256-9dffa2147222-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="315" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9e37df20-70ec-482c-bca6-4834e231f964-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="314" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ee98623c-22cb-485f-a2cf-19711f5f80fe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="313" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-50b319e9-f883-4e6f-b2ac-799fb458b9de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="312" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5c47e344-33f2-4be8-b3a1-04adca66452e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="311" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ba392478-e06a-4a73-80ba-2b5adff86556-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="310" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-36bb944c-87bc-4afe-a884-7433f61fdfe5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="309" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-815b9739-7dc3-4d7f-b98a-a957c9548356-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="308" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a4795f82-9a8c-4d99-8fe1-4659e7a81bf6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="307" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-631f97b3-a51a-4605-bcd0-0bf91ee04977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="306" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3c93fcdf-e58d-4946-b94f-2ac6f534e09d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="305" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ea9caf24-31fc-462b-91a1-839523459327-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="304" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0a5838f7-28e3-47d3-9a1f-dfec6981df1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="303" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3baad646-2278-4442-a462-b75f2092407b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="302" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2ca5a092-d9f4-4bd5-a0b9-3313d8079152-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="301" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-db642c32-4ef0-4974-b3fa-dcb480fbf209-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="300" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5d6b7e0c-fe59-4b0d-b583-8bcfbe3e894c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="299" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d93942e8-1ac0-492f-8735-18896bf8de89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="298" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-517c5c55-b999-4fbf-9bd8-4306ea69014a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="297" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a9fe227a-0cb7-4637-902e-dd1f1b102367-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="296" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a5d9f297-7229-4734-becb-57f16bca948f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="295" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-df2c9a02-f30b-4df3-bb22-6891fa8f8daa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="294" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8bc5858a-ea3e-4f75-a91d-a7125d7ac326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="293" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5880ea18-a83d-44a9-9d9f-3a44dbdc699e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="292" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cbf447b8-011e-4145-9729-e9a73a830bcc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="291" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5cf5e5f4-f0a5-44da-9d6e-7ef3c9b1c313-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="290" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e23ae2bc-395b-41cd-a3a9-228cf6b9d402-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1178' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="289" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f23799de-eec4-46f3-8a86-4485a0321645-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="288" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e4065350-12df-461f-81eb-6b7c7f86bc9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="287" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-328bf543-495d-4d19-961b-5c69138e279b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41179']" priority="286" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41179'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41179' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41179'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7b919588-2826-4d04-a65c-bd1f8517d079-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="285" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): de waarde van @code/@codeSystem MOET ''1179' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e2760243-83ea-4c09-a943-30e6c2a9f2ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="284" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0635_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0635_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): de waarde van @code MOET worden gekozen uit waardenlijst W0635_HL7 W0635 Stoornis in vloeiendheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_7_Stoornis_in_vloeiendheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0635_HL7 W0635 Stoornis in vloeiendheid (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b455416f-8849-4e2b-85b7-4ce0eb24ab30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="282" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-59d744a7-5187-443a-bfe3-5e6735b3882c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="281" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0fa80a55-7f5b-4221-9c34-48bbc9700973-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="280" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-69647f88-aec5-435b-9108-7a1b6fcbfba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="279" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e7fb40f9-9cb8-423c-a1a1-f2134e2da399-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="278" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e9a80320-8bf6-4bd7-b49b-9fb9044388ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="277" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a60367cd-577e-410c-9514-f62279e4199f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="276" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c012d8a1-3785-48b1-b85f-b8838341fb19-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="275" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-dfdb9f93-a013-4814-99f1-cd8c9b508ee5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="274" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5d868161-696c-4a48-bcb5-8bd14a3a3726-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="273" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-449ffd51-44de-4061-ae07-893b2a34b471-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="271" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-681bd5ce-c6df-4761-9d51-bc174a87d7e1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="270" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-21516e57-33f2-4477-8613-47cecfab5f73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="269" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2fd9340f-4318-410a-be11-a31d776f6d90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="268" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8fc180a4-303e-4774-b4c2-0dd82527a9ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="267" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-af70cb0e-b6bc-4fb8-8fd9-6026c881e665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="266" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-db249528-78a8-4a6c-85c6-c5030ff19ede-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="265" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-15a34a69-be6a-40bd-b2be-f68c90b46665-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="264" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-524fe50b-ea3c-4585-b6e6-f2ed0a096f6e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7b404c47-93bf-4318-a359-4378509f8541-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-55af3a33-7bf3-4559-aa96-f259402cbaa5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-be9c2122-2a2e-4480-ba1b-8d3beb3a0a5a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e76d4411-6b4a-46cb-a555-53418c3fa81e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="259" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cfea80c6-f2d0-492c-8caa-d0ccbdda5cb3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="258" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-707d5607-d199-4d52-8b52-53b9cb15a14a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="257" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cf8129b2-4fb0-44f3-95e3-539e181f72ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="256" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fd94966f-7b13-4d79-ae39-7773985f7ab7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="255" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b6ed2d2-1c8a-4b2d-b505-9fc8e224c214-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="254" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e1c433ef-bf28-417a-b00c-f80913b30520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="253" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3a16a3e1-8f2f-41e1-b5e6-7bd7daa39c08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="252" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3e8becf4-fcb2-476e-8f68-07306f019032-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="251" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0abd708d-4f1c-433a-a8e4-c2e3ca4c8eb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="250" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-65222678-599e-470b-8849-c2528d72ddfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="249" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5ad77942-7525-494a-8165-33d544f46ce7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="248" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e4dca11f-985c-495a-badd-f6f7dcac8c99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="247" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3d2692a7-580d-40ca-9a2d-697738dce1be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="246" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f390dff3-0937-43af-b808-a129c8379f11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="245" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bd8b8128-f8a0-4acb-b6f3-817b37d989c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="244" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-644a9569-f049-4e1b-a549-7918a6870343-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="243" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2c3cc62f-c13c-4324-a9fe-12c75f981dde-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1179' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="242" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fd559d16-a2cf-4b6a-811e-04c0f996b554-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="241" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-02c1629a-3bb6-4c9a-a088-ee2c2ad33513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="240" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a8923fc3-dfbb-4f78-a53f-8fb6c67a1ee0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41180']" priority="239" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41180'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41180' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41180'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8d2132dd-7a10-443c-9d3b-6fe29a877df6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="238" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): de waarde van @code/@codeSystem MOET ''1180' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d24b230b-2248-4183-9fea-7f1f82607561-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="237" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0636_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0636_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): de waarde van @code MOET worden gekozen uit waardenlijst W0636_HL7 W0636 Afwijkend mondgedrag (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_8_Afwijkend_mondgedrag): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0636_HL7 W0636 Afwijkend mondgedrag (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5a27c5e1-a23d-4555-a185-041446b7e7f8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="235" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fdee1344-f897-4000-a364-0b5b3b01b93b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="234" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-73b86f57-979f-460a-9452-7d079a48d915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="233" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-482315a9-87c2-472c-8c12-54bfdf99b7be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="232" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-831f8d65-fbde-4e16-a8a2-bb59d9d0c437-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="231" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ed401c33-c207-43a0-b618-9ab949f7cfb6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="230" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-adf2a618-86aa-4837-a89b-292a1ddd5db7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="229" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4471665c-2365-46df-a659-302c94fe25a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="228" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3c9f4933-fd81-49c3-b848-6c78e9b1ad69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="227" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-48ed9031-4274-426b-9a0c-5d3ebb19c2f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="226" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2b19537c-e9a4-460a-8cdb-951ed89965ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="224" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8b8dac05-ffca-4d49-a96c-b4a052011040-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="223" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d9fb19b9-9878-4595-89a1-3967271e3700-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="222" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ed5aedf9-7e3e-4058-885f-5621dd203247-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="221" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-76782499-6c9e-4381-9c5d-e1d9cf707553-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="220" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4903b3e4-8625-472b-8c35-17dde0362f8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="219" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-304bc0a7-cd0d-44ec-966a-4e312f4e7338-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="218" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5e6a2276-af80-4232-897a-26d1040c0ec4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="217" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2e6626d4-19b7-483d-9e47-92fd760e930e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="216" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cb5a8660-60f0-4369-80b6-9b84e1832b49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="215" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-505fc4b9-8006-498d-b7ad-645494ca2f69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="214" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-dbb03b3d-97d0-4910-a18b-20cd6f20a75f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="213" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7561454e-b0db-45b5-8d70-98f51ac6ce9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="212" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-409f13e7-f073-4016-9704-5dc0e95a402f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="211" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7edfb1f5-a2bb-457d-9ee5-9e27b2072fe4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="210" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-84472beb-93c4-4409-ab93-67ec5bce609b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="209" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-78d324fc-7990-45ee-a01b-bf7366afd529-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="208" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c2bd9634-482c-4c70-9f5e-50d4ba64cdb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="207" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4e8b4494-7275-489d-946e-f88a11b902de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="206" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-748e7fc8-eb7f-47ba-9cc1-c1b8d540f6f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="205" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-36c4b397-3b49-4607-b70f-7471809d2ecf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="204" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-60f0e75f-2d24-4445-b31f-c8bda234fb93-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="203" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-cdc35701-d344-4843-8710-33c3f7c23212-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="202" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c2cecda1-4396-4c6e-8aa3-0c7525cd82b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="201" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-91e6a4c0-19e6-415b-a11c-0fd7ccbd64cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="200" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5c9fd39a-32ec-4871-97cd-9239e04dff01-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="199" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b601231c-ce77-44bd-93a6-0e773c02567a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="198" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-47526327-63cd-46b1-8395-b42c352b9185-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="197" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0e47a94d-51d1-4604-a4b0-b2e447fd6d61-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="196" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-efe9de3e-0d4a-4210-8bb0-72498c4b993e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1180' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="195" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8ebe3389-fc2f-4f4c-a054-b47246fc1f86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="194" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-88976579-c4f0-42ed-857b-96ec7bee370f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="193" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-87ed2b9b-3a3a-4e05-b213-edc655c2eb96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41181']" priority="192" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41181'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41181' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41181'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-430de74f-d16d-48a2-8e23-0d169bf9f1c3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="191" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): de waarde van @code/@codeSystem MOET ''1181' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5679ba9b-a6aa-40c5-8b52-26bb136386ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="190" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0637_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0637_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): de waarde van @code MOET worden gekozen uit waardenlijst W0637_HL7 W0637 Overig logopedie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_9_Overig): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0637_HL7 W0637 Overig logopedie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-222544f0-708e-452c-8c3e-b7fe0d03517f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-45b85db0-84cf-4a0b-a76d-2667043ff1a4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="187" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bf34017c-6722-429a-b2e3-fc4d8c4b2fb4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7d6828aa-c91e-4abf-b2bb-f0ba9644f1d6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-891e85f8-3dd1-4517-a3d5-af4248c8bc3d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="184" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-89459a0a-246b-4698-b157-eb4747685687-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="183" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7dda3c67-4be8-4d63-8c71-37a66431b1bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="182" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-e11b2e7d-2cd1-4d20-b767-cea0c9c7ead1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3aa1623f-7d9e-49f1-a14c-5e997ad02286-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="180" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-435d1e37-8987-4b20-aaf9-f5cc9c511306-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-aa4d0a11-0d29-4dc6-82e5-5b033781c8b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bb8263cb-3ccc-4e5f-9303-97316963fb1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-79d3b547-fc0a-416d-b81d-b29700efab40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-988db0a4-9dc1-45d5-9f91-36fd14e86e09-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-eb93ebbd-3d21-44e6-853b-eb2c8d39f20f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-19f0aa0c-f8c6-4b44-bf20-ef7732161664-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3ca96b1d-ae67-4edc-b423-98de1562649b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8e20033b-6cdc-4390-b97c-cc843255fbda-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7086fe58-b80b-47f4-ad33-63c2b50d1580-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9456c8bb-baba-4281-b299-0db91c19900c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1e3da753-7520-4d54-bfaf-475a5d7af5c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8c6a9bcf-f3ee-4b0f-a915-bdcdc8b8f0fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-29e37aba-4e40-4e68-a1cf-48a18ca21180-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-12963d60-4793-45f8-a1c5-35ea259529b9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-64e5c95d-8ca5-4e94-9f18-b2bef67391d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5c023aac-bc22-4f60-98fb-92d065707368-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4cef060d-b9a0-4623-97c0-f9689ac30e68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-eab745a0-db75-42af-b4fc-7f91e9752323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7d474167-6a40-4a8b-8cd5-045504ca696c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2e078835-39a3-49fc-b1eb-d8fb9f2bc990-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-3b5d8cd4-5229-413e-a67d-ca9510486571-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1c3288fa-4e18-475a-a133-d1bbf26bad44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4b34ec45-02bf-457b-8a71-cf9b4fc2feac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b6f16870-e899-4ccc-8337-c91dabdde763-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1053c198-64b1-4810-9adb-c2cb2adf2f94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-a30ef107-d808-4ff4-a92c-6da8866131ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f4e2ef0b-d1c2-4b5a-87b6-612f103370ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-1ea0fdc8-36d0-4f7f-a0e0-7a0807293797-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2515433f-d70a-4901-ae30-6fc9f31a541e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-dcfd8400-ef36-454a-97be-de3db245717a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1181' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7086b320-709b-458c-98a6-92399755295f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4acea87a-e296-4dfa-857b-3c915013a705-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ba255c3a-ffea-4303-838d-aa8b36a6351c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41182']" priority="145" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41182'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41182' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41182'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2e624dfe-06e2-4fbd-8f28-b19a68f5649c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Toelichting_aard_bijzonderheden_screening_logo): de waarde van @code/@codeSystem MOET ''1182' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-52ad7b30-0f6c-4eb3-9773-2721166bf5f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-72115236-23e9-4b98-9e82-beb1902dd3db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f2113b0b-a5e8-48fa-8a11-4e6213410944-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-140490bc-1efe-4be2-b213-3f8d964492ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c1a03c0a-16f4-42f9-961d-29d0c4aafc82-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-10bf8545-31a4-4301-aac1-151db5cc7ed2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8fa0a6ff-ca01-458c-b004-9467f7e62596-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-5164a6f8-2017-49cf-b83b-d37b814f4791-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-b959f352-d6c7-4bd6-a222-cd60860ef9ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-00bea09b-957d-4046-a5c1-4a1f4b5336f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-8259e589-a11c-443d-b6ea-57958da7d391-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c766f81c-444d-4b53-8d50-78ec9aa45cf5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7022ad26-2c80-44b3-b58d-7a5caa1d6a92-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-d99bd792-c27a-4eca-af62-53e8449497af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-0d2c7c1b-3efd-4876-9120-86a24edef931-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-7eca60be-85f6-4b86-a8cb-301d1a2d8014-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-357723f3-9b8b-484e-a63b-990929a8d924-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-14ec84b4-b075-4c48-a9d1-da0e7c5a9fe9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-04003e8c-e4cd-436f-b8a9-af21b8509446-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-864b943c-900b-4cfc-b741-bf47c393a756-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-30d57c7f-ad7a-46d5-a7a0-210645b62945-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-28f56934-fd96-45d9-8e5c-39cccbeddf84-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c14dd18a-9785-4d71-a0f0-da2734bc5d58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-87845aa4-5c83-445c-ab1c-e5ae17a5d050-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-fbb4fd7d-af18-423c-8573-a0c0600ac994-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-bc252906-c5d0-4e2d-94fb-fa0fcec605ba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2bc31b0b-eca8-4689-b4bc-f74d95aae337-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-9aaf80d4-4201-407b-adee-7e0e49d210d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-facd90c1-77bc-4a00-82e5-d04eb154bf31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-38833292-22e4-4d3c-ace8-b762bcfe33dc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M86">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-2046ed45-f019-4511-9ae4-1cf5337eac89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-125d9c1b-cc9b-4da2-b3b1-99895a31b52e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ce3eebd6-de00-4881-a506-25f77273324b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-f73ba5c3-f7d4-4434-8261-981d2c0a3f4e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-80955daa-0a7e-45fb-85cd-a6fe3dd53b04-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-426cff1e-3d9e-4550-a12b-c2e9e12aad4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-ab0ba692-fd48-462e-84e3-2d6737abf912-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-4b2a8fc0-b2fc-4151-b69d-8e1fa0b8d6ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-605f3444-9b92-4361-aa57-84ab8530dd8e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M86">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-c6beace8-bfcd-4a84-bdcb-1caed2b46fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M86">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11049.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>

	<!--RULE tmp-31add4fe-cc92-4a02-b2f2-b997c3a91d7d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11049']/hl7:component[hl7:observation[hl7:code[@code='1182' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M86">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M86"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M86"/>
   <axsl:template match="@*|node()" priority="-2" mode="M86">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M86"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M86"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11052Rubriek 52 Meldingen-->


	<!--RULE tmp-0dd992a2-8406-4d94-9e86-ce5626f3cff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']" priority="541" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a94195e1-445f-4d75-a5d9-83922329032f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']" priority="540" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11052'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11052' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11052'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7e97b7d1-c84e-430e-b405-ee01ea5d8f35-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:code" priority="539" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R013' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @code/@codeSystem MOET ''R013' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R013' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-28541e69-dcb7-4a8a-9cf9-ec7572439cce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="538" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-28a09a16-2d28-4f03-a919-6a06a89376bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="537" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-08beec79-f06f-4211-9839-07819fdd91ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="536" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @code/@codeSystem MOET ''G074' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-76753406-e41b-4919-b82c-b1e531eb1a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="535" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b6b9a4c4-8beb-49c3-82d1-1da983e67c8d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="534" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:effectiveTime is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:performer is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c9410013-a3bd-4d7e-b02a-7cb05c771cb9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41195']" priority="533" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41195'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41195' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41195'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-fcfbd915-7af6-4f6c-9602-bd3d1b5d81f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="532" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): de waarde van @code/@codeSystem MOET ''1195' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-21479035-ba4b-4db8-97cd-e39dddefde36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime" priority="531" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): element hl7:low is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:low)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): element hl7:low komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:low)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:high)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): element hl7:high komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:high)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:width)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): element hl7:width MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:width)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:center)=0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): element hl7:center MAG NIET voorkomen.<axsl:text> (</axsl:text>count(hl7:center)=0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f704ef93-1364-4ef7-926f-99671b2c6dbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime/hl7:low" priority="530" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7aab27b6-4cf0-45b4-b6ea-4b045242a85a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime/hl7:high" priority="529" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='UNK' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(Periode-M-Start-M-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.<axsl:text> (</axsl:text>@nullFlavor='UNK' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-08612212-a7ba-4ab1-ba09-87dd5e6b5b14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="528" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value='true'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): de waarde van @value MOET 'true' zijn.<axsl:text> (</axsl:text>@value='true'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theAttValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5de2adae-1458-4c41-9892-eaec76d14f6d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer" priority="527" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bea9cc5d-b2d9-4d2d-bc3c-19f92d093cce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity" priority="526" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_VIR): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ad2678c9-d303-4beb-861d-59b72d426bed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:id" priority="525" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-016a1e94-1365-49d3-a153-ad42d55e1017-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="524" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-85464846-55eb-4daa-9032-267e19445073-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="523" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f720a489-7e3e-4d4e-92b7-10ddf2c972d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="522" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-dcea6b8d-c3a3-47cd-abb0-e990d5f7c248-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="520" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4d2a4d8c-0af2-403c-a208-ec03cc70afee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="519" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ff2dec84-3f34-4d52-bb6a-660696610f2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="518" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9bc090c5-9552-4f56-917b-946efb659af4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="517" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8253e565-a643-4431-aae3-96e2ebc6221e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="513" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-74ee0713-db7d-4b3b-b988-7fda5983edba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="512" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a9365f1c-0454-45ef-ae6d-52395c5413ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="511" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7ecf23a3-0c99-4823-987d-d6829a5d87da-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="509" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-daf2a221-5fcc-453f-a3c9-60ec937e6f9f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="508" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1cc14fdd-7e10-485b-8b77-80f024785364-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="507" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-48cc4b68-1355-44ac-8ff7-d650e7787a2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="506" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e3424fa1-56e6-4e02-b60a-ac25d9678a16-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="505" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3d21878b-1334-47bf-bb0b-9c1f110ab825-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="504" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c0787165-d8ff-4edd-9d04-5974476464e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="503" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bb2545d0-1bb3-4edc-b961-da53c20e2a60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="502" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ec830244-5e5f-4b2a-ba9d-914909db691b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="501" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-db6faf58-f4cb-42ca-989f-c863ee618e06-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="500" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ea86be25-2382-48ab-b233-178736f42736-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="499" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8b54f07c-fb69-4405-a4bc-3ee8ce3b8f29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="498" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-daa88da9-1f1c-4527-bc77-0179487b031c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="497" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9e74b331-cef3-4f33-94e6-493d42186f2b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="496" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-702dea11-7365-46c9-ab78-67fd75aafbf9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="495" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2d6e3a80-eb74-483f-8128-fd56f64903fa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="494" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-73f9a62a-41c9-4ab9-bf40-fa86e25dbc4c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="493" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6afce1a7-7bbf-417c-93f3-729227b59a7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="492" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f6b8392d-c87d-4322-9e80-32c22bab8b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="491" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-12fa94fb-7ee1-48cf-b7a0-82c851c99cec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="490" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1d5d1734-5508-43a4-b89e-4a80939c695e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="489" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e9f476c6-bcfc-4758-b283-804ac7af68d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="488" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-db391ba8-af6c-434a-a3a0-4310c1329be8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="487" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a576be51-7a73-4284-882c-72d970d0d0f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="486" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e574b2f9-7b5f-4508-8920-6d0d45fad5a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="485" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e686dbeb-0619-45fc-bfbe-dd6ab7f017f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="484" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-57d7896e-60ad-49a4-a262-130b5f1993d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="483" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4d937a87-0875-4cdb-9c23-58930f3e35cb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="482" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-95ac5462-6fa9-47e7-b88a-468415947b5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="481" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-726564cd-3c80-458b-95b7-4a9e5b9ef68a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1195' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="480" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-edbed4f2-4434-4644-bd80-bc9746a9e492-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="479" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d8a4bbb1-7174-403f-8d85-00f31a4173ea-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="478" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f18817b3-15ec-4195-9f66-0055ca0dd326-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41408']" priority="477" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41408'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41408' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41408'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4e335311-5c18-4c2c-b4b0-c95af3092127-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="476" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_VIR): de waarde van @code/@codeSystem MOET ''1408' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-04b9281b-9262-4c33-b516-2774aa3ed64f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="475" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-57d97f21-9793-46a8-be49-75f0611bf249-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="473" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f92d2e56-3cd1-4841-8b7e-d8c0cfd4ec07-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="472" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-61f94270-a810-47f0-9a25-d359c62e53c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="471" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f7e7c7b2-2d69-4a8a-8150-f12eb72063d8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="470" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b906f1fa-382e-49c2-9947-1dcc1f7b733a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="469" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-da3114d2-e1cd-4703-951b-79c1becfbe37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="468" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8a095c55-52e7-47e2-936e-0a0cea1f97df-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="467" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-40483a9e-a672-4c77-9ce2-7a8daf87711a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="466" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-63605bcb-ef66-4d20-bb70-191930000fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="465" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9901c6ea-a84a-4e5b-8767-dc14afed2f88-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="464" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b76b0cfe-d5a1-42d8-a0db-9313c63951a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="462" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d30ba237-a9f5-4323-bea5-2b4de4c42077-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="461" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-da4e4127-2301-40e4-b5f1-463f1fa9a262-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="460" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-31595e6e-47d6-4408-b40c-bee8c7f53b99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="459" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f29c9d1f-f0be-41a4-aaa6-f4eca5ac7f9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="458" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7abda43f-0322-4196-a12b-e64132b59bbb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="457" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7b56459e-6a41-42c7-8bce-00712f6b684d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="456" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-883090e9-afbb-4593-a675-aeef5bcf5bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="455" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7a45d757-e4ea-4c31-9621-3db7c670b4a7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="454" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-dec32ca6-b56e-411a-a634-a5acba40a0a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="453" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a285b638-5a26-44c1-ab47-ded7e3f17ce3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="452" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-22253e80-00a2-4c0c-ba16-e4b9f185a7f1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="451" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-fae2c0fc-e95a-4cd7-a405-2df5751f1b63-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="450" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-88fe5bea-d100-45bc-bf96-b771edf0dc83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="449" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e35420b7-6848-4815-84eb-217efd4fde2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="448" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d6b51593-cbc2-4323-8d89-0fb12cc6a581-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="447" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-fa1e089d-a106-456b-aeff-f19f517b9c7c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="446" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0f45b7fc-25c2-43f3-91ac-c1551da9d2bb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="445" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2ac1b98a-5f77-4fae-a65f-3da2c95be7b7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="444" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-01886d6e-276b-403c-b13a-0e8437d5eff3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="443" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ebc1cb42-9ec1-44fc-868c-d50bdf61755b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="442" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f6c28bcc-2a6d-4932-a25b-77a6da6484bf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="441" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f9b0152b-f62f-4d4b-8743-b0181480728a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="440" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e8c06355-c670-42a2-941c-5630e0012750-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="439" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ca0f63d3-defc-4120-8135-b9b19f60d123-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="438" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d8df0f77-b7fe-4e27-8cdf-0de6765b11f0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="437" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c0baf54c-c3d0-481e-9626-b63a3ca58bd3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="436" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6bfc1bee-9a8f-4f52-992e-94badf85de1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="435" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-394f9374-4201-4c25-b055-961a4b445359-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="434" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c55c96d0-554c-4257-9330-f6c1d6c65fa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1408' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="433" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b7575434-4d41-46a0-bf5d-8b4c14c9034a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="431" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ed4a1382-02fd-4b99-b64a-4e07b44af569-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="430" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-69c8f2e8-1881-4995-a912-779835777591-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="429" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2ea2d531-8b15-4f43-8f6c-b5db50e85867-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="428" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b36aa4de-5ded-468c-ad16-f1e345497ac0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="427" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-69ecde97-2bcb-4e43-830e-42437ebceef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="426" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4fa4f137-2e0c-4a75-88b6-98a457d7eb1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="425" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d66c6226-1e85-46ce-8719-aa6d29648958-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="424" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3b69e615-f7fe-4d9d-972e-acfa046c70c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="423" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0a09bcaa-89a9-4660-925a-4f550d7ae4c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="422" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7b0624c3-cb4d-478d-a5c8-e6292a76412d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="420" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-52d94275-038f-447d-a822-e634f57e105b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="419" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6f3fd221-8c59-41aa-9055-7ba0c9f8d6eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="418" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-aedf9aeb-2d43-416f-90be-726e9d0c19ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="417" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8e52071c-5595-410e-948a-db5190a10d6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="416" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-aca9577c-e893-4026-adb3-ca48bf384aa4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="415" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-510c936a-9451-49c7-a0c6-57693914de7b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="414" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-05ca2c8c-a6c8-4cf9-a368-72030ab9e0c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="413" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-507603c9-05ae-4d4a-9a34-4ddf6cb6ddb8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="412" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-59d7d6a9-ec37-4190-8850-e2a29d7ae360-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="411" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eea35fba-1b8a-4cb8-8798-069c96f86992-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="410" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-44aeb5ac-6758-42c2-8ae0-cf5389dab690-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="409" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-66ac43bc-6449-4d8f-bc85-47dc8f6d58be-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="408" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5c63feca-f61c-483d-a2cf-f16084882afa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="407" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-39e35231-2320-40a4-b233-d57320dd3f2e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="406" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f90a0fe6-0904-4683-a146-87611013032b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="405" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-16fc21c3-da61-4b46-8c46-725cf956bf7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="404" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9465a954-8d3f-4cbb-a575-45e597433fd1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="403" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-86cc9117-c5b6-4d23-aee5-f5d0206b7cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="402" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-52bef42d-2cc3-494f-9004-965a8f43b75b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="401" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f6d4899e-babe-43d0-9b99-41e34cd11b59-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="400" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0952c379-9df1-4f17-a24e-32a81629568a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="399" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9dcbd148-080d-4b7e-9a93-2427fd3a893d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="398" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1c39a522-b9e6-43ab-9c86-cf5fb70ab1a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="397" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-56a35c3f-ea3e-455f-9ef0-d4d3fc39573e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="396" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0534ebde-2485-4294-9908-85d83a9c9660-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="395" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cb862214-a03f-4443-bc83-69276b5420b2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="394" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bb9f19b5-153e-4bc6-aa4b-18d899420211-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="393" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-37a1c7dd-5458-498c-bd76-299775ae1db1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="392" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-601ff2c9-5439-49d3-92c6-46e5d0803029-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G074' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="391" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bf6beaf4-6ce7-47ab-acc3-0eb7d70d0727-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="390" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-72bf3508-e431-4d69-87b0-35b28a0bda1f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="389" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ddaf99d6-a071-4dec-a6c1-b06b32e5638c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="388" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @code/@codeSystem MOET ''G075' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e131476f-cc01-4848-8b9b-e34141ef3dce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="387" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-255d8997-7c2e-48ab-b108-754d8c280fdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="386" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:performer is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-157bcb69-1299-4bf9-a343-304dccbd83ff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41326']" priority="385" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41326'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41326' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41326'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4eca84b0-9db3-424a-ae33-8d84b5c327e8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="384" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): de waarde van @code/@codeSystem MOET ''1326' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-dbc9a942-a451-4800-9525-0616a731bfd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="383" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ba768bdf-addb-406d-8f41-2f93e694bfb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer" priority="382" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ddf669ed-bc6f-44fa-aad9-d48ccda7849d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity" priority="381" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Melding_AMK): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1737087a-a526-463a-bf25-b3c8c5d57d44-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:id" priority="380" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4eb209e3-812d-461f-99ec-acff391056e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="379" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2f6dc27f-f9e3-411d-b8bc-2c0d46bc5144-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="378" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e5f3eedb-aebd-4a18-be72-0f7b4ee2098a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="377" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1c3458be-73d7-44ad-9c26-08cf3df37dfb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="375" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5f58453f-f987-4a94-a6ee-e7bcbe3de847-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="374" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b8ea087d-4844-4fc8-ad6e-0aabb2cb719c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="373" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f70a7921-8ecd-46d3-b985-4a743a7567e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="372" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d7592232-4fb9-43ad-9d7c-393edec9de91-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="368" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7ba47472-39ed-4834-878b-18cbfb09f299-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="367" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2acab978-8ef4-4727-a2ca-d48347037cbf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="366" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bb560737-a934-4339-84e8-6b9e91bbd47e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="364" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-683b0cc7-7773-4141-8eb8-bd81f4780dc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="363" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3ec1503b-bdf7-44d4-8f38-03f043d6503a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="362" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9aae4c9b-ecbc-4693-b07f-a2a646a65814-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="361" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-539d4078-ee90-4439-8f70-2b521270843b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="360" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3d894392-1fc2-46c8-a20c-fb6c03a20a36-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="359" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a8a5cfaf-0946-40c6-8c90-df0ab6fb7e85-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="358" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f1239a5a-0cf1-46d6-9bc8-89957301c398-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="357" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a1d504a6-28b4-4484-a368-3bbada306672-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="356" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-36d51ab6-f535-40f4-b5fb-37e15cc570af-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="355" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0e9e9b1d-3fed-426c-8b89-7a619978fa42-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="354" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e8091674-3e0f-4336-b338-82f89c722a38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="353" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3ce0ecdc-3666-4c1b-880f-630387b1a09d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="352" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-179668e7-bd1b-4a9f-bde3-b8f44f610456-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="351" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8b22fa37-a246-4ddb-b69a-f1b75fbf1ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="350" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ed704bf6-dfa5-4da2-aff5-163152e75035-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="349" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1f614cd2-4803-4a2a-9f34-db3be491b3d2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="348" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8a8b2f22-b451-4309-abfe-1930177b27e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="347" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7fcde556-ed9c-4ab9-bd52-8fc147e74e8c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="346" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-16af8833-1fda-425a-a62f-8720bc4eef7f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="345" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-14a7ea1a-c9e1-4794-826c-c91abc951fff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="344" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-58eaf51a-0e7c-4d76-bd3b-61fc0a5b807c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="343" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-afa2875a-658a-4a63-ab93-2778c207a23f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="342" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-aed2dbf8-5f60-4f01-984d-2e697a4942c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="341" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f8ffadba-47aa-41d7-9494-5623683296cf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="340" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ab352f87-dc0a-4187-88a2-6cf0a7c69b90-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="339" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-94e189f0-f34e-449e-9cfe-7444dc759a4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="338" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-29ac5f41-5d15-4fbc-b212-952b287d5d24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="337" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9f5f4c57-9ebd-4b80-8ca5-4ce69d76b24c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="336" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-45fefef4-1676-481a-bc8c-44d48b931f72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1326' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="335" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6254372d-3f2d-46f5-9ea2-17011426413d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="334" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2bc059ab-b612-4b0b-8e5a-671a2ab1174b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="333" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4a9b5021-a474-4d4c-8b69-5438e3af5c0a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41380']" priority="332" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41380'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41380' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41380'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a1a152fc-0c23-464b-bbc5-d5617a1ea4c4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="331" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_melding_AMK): de waarde van @code/@codeSystem MOET ''1380' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0595995f-4c62-4758-afcb-3b61fc66ab68-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="330" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c268c483-5bd1-42e8-a73a-6849f9f7ccdb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="328" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5a92e1de-acd5-4b25-a119-ed1857eb6ca2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="327" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-83439c94-3238-4d70-bfb7-4b67168c3520-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="326" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-03e16a8e-2152-4edf-8d81-fe53bbe4a77e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="325" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4b20c839-b302-450c-b838-14b1b918bfd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="324" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8481b893-7d44-4389-910f-aebec7a7c4e5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="323" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b874a945-5e0e-4258-bdb6-1fdae8f94cc0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="322" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-28e9c4ee-7f90-46fb-bbb8-47a8b743d604-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="321" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-73aeac68-2451-4445-b540-e59ef14d04d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="320" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-767fe7af-b713-4351-96ee-e1281074d88c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="319" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eb6bad07-c7e5-458b-800c-409d4c3534d9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="317" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-790d551f-0a19-4ac3-8b22-5b7777acede4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="316" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4b033f9a-5155-4a86-b119-7513de47b624-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="315" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1d559422-0308-4b21-b487-67370ae5db56-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="314" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5c585684-3e50-4f72-8f68-099d27c5eba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="313" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b3192793-50f8-48bb-a4b3-f9d206baf323-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="312" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9b9c7867-2338-4832-9afe-c149b2e0f45f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="311" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7bbb87cd-41b4-4e89-9a08-7f8264bb80a0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="310" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4f2825ed-579c-43a5-b030-b1029af38ba5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="309" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d08a1eeb-8731-4ca0-8627-015677e1b17d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="308" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5c794cd3-4a6f-497a-afbb-9288d4524bcf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="307" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-21b55006-ce2e-433d-ab65-a7e3839ec1f3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="306" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9dff10a4-b2af-4e4e-91c5-16c293056597-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="305" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-93116ced-638f-48f1-9470-4c533006dd08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="304" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-32020a16-baae-4003-8e57-0ff8ce571086-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="303" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-85423b82-4b79-4471-852c-27372517d82c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="302" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f2b9c893-2a2e-4425-8f7e-e5f56cbf2775-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="301" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5e6d538f-3a66-4d98-ad45-b3edd48142b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="300" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f26bbe0d-a165-49cd-b5e4-2189def88a86-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="299" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f0dda8df-0766-4924-9077-698177b7765e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="298" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-de3adab3-291a-4237-8620-3d56dd4a7e71-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="297" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cedf1aaa-6496-4852-9d4e-665decf2f633-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="296" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-211fc246-3f62-4497-bfba-c4a728d0ae5f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="295" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5147a0af-45d6-47bf-88aa-b2717a01c661-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="294" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cc08ca9b-30a2-429e-a166-386c36adbab2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="293" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a4483e58-f09a-47af-95c8-ee30d8eb29e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="292" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-26e8f8b6-7867-46cb-950e-bc307a79662e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="291" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-819cf4cd-d863-4cc9-9549-132f213ac189-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="290" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-08d53919-3af0-47a0-b2ad-b48b3ca2261a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="289" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8c17d0a8-c946-4a0a-8426-609e13cf701d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1380' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="288" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-138682aa-7054-412a-8191-a87d7f5e2f99-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="286" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3ec3ff15-155e-432b-a11a-9d685f9e4ce6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="285" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e73cb028-e930-4e3c-9421-f2b642082e14-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="284" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e48a920c-b369-467a-83ee-360aa8d22b10-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="283" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-dc92bbd2-474e-4c90-b210-79ec44803bdf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="282" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-53cc8496-97d8-467d-87f6-d3cc25e26c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="281" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ec57c9b5-11d1-445f-8468-e75e7dc695f2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="280" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3bc4b3c7-fe49-4b2c-81f0-2a8824249e5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="279" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-de6540e6-f415-4f7d-9945-05e49dcf6001-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="278" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ad7a1f51-bdda-4043-af0f-efe1f34fb968-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="277" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-05ec7532-2776-4083-889e-95c07cb82c95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="275" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e5c7808f-e312-49e1-b50a-6cc71aab58ef-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="274" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5274d83b-bdca-40e3-a94d-67a59b792513-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="273" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5dfdea77-b309-46d8-98fe-b8691e8aa183-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="272" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-61ea6430-ea8e-4420-8d33-e1fd306f6acd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="271" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4f654fc1-c933-4a46-bc28-e4c219815273-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="270" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c3c423a4-f230-492f-9d9f-81a2cfa447bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="269" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a2d52521-f104-414b-ac26-a623f08d24ad-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="268" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-dccca97a-f49e-40d6-a51c-f29c1bea459f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="267" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4a2eec6f-de1b-46fa-aac1-bbe00c265e6f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="266" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-07efa92e-dca8-45bc-8b5c-2f3f39f14622-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="265" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-75e6bfc8-70c1-4283-a7ff-0c8ac02db10a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="264" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2397fcff-9a49-4765-a860-becc48e33627-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="263" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-768472e2-7613-42fe-8fda-1326091d8d6a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="262" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0ec64372-8095-45f8-a3f6-b4238fd9d131-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="261" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3c409198-367c-4843-9142-e0d0a8048704-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="260" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-617804ef-f250-40d6-9f80-acdddf966b89-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="259" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c9c4d031-4f1c-4072-82a3-d660ff9ddd96-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="258" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c06fca73-598c-4e82-b416-75432216cbeb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="257" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bedf0be0-c1df-414b-ae02-a2d75b411656-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="256" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4a1c19ac-d66e-427e-9ffb-ead97d5f8a5d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="255" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8b1c0e25-c5c0-4c3a-b846-535f98dfc961-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="254" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d84e42ed-969c-4124-b431-ee561fbd9be7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="253" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4ac4ccb9-5666-4736-9ad8-55bbdf73a6b4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="252" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-38a3a00f-7566-4f7e-8713-185c074267a9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="251" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ab0aa03f-0ce6-42eb-b20e-a9e8e3b33394-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="250" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d0f7a702-934a-4639-9d6b-30200d7c3f27-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="249" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3baced74-6c3f-49e0-aa6e-3f469f4619d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="248" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5d55642f-c472-4abf-ba19-f0e762722b40-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="247" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f3e7e4ef-063e-448a-ae2d-5a3b03130883-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G075' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="246" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-24d77928-55ce-44a1-9ccc-15f7e8e4a109-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]" priority="245" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&gt;=1 and not(hl7:groupCluster/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:groupCluster)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:groupCluster komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:groupCluster)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6162361d-8366-41d7-a4c3-e9976a2c7dd7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster" priority="244" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): element hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-31073ad4-39a4-49e4-93f8-7707b487b9e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:code" priority="243" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster52): de waarde van @code/@codeSystem MOET ''G084' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-63edf99b-557a-4658-972a-6cd8ab2800b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="242" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-982c4c3d-a63c-4ee3-a483-d7b2d59d3720-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="241" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:performer is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2d1f282b-1b5a-4d6a-a7f1-58cb34e0d39b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41327']" priority="240" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41327'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41327' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41327'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-317a4cfd-0d1a-4a54-a8fd-a6c006e9161e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="239" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): de waarde van @code/@codeSystem MOET ''1327' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6f9b53b2-b76f-4840-bb77-2d6b044b4419-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="238" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-374f1a91-94d7-4d38-bd4a-dfe0e63b8064-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer" priority="237" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5dd0c58d-0c57-4748-b697-9bb988358ef8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity" priority="236" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Consultatie_AMK): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-44df7495-25b2-4678-b78d-0c0cf203d288-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:assignedEntity/hl7:id" priority="235" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d7a88e92-0480-40cd-98eb-5d1bb3ec4aba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="234" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-088afee2-e60f-449b-af6c-79f607f4234b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="233" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cd7f6202-881e-4174-b581-24db913f2195-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="232" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-81f84ae9-6269-447d-ae7d-4f163ac2265b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="230" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-01a8a28c-0fbe-4db7-9578-509e90f2ab83-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="229" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1c11995b-5e0e-4d6e-bfb4-6733b4e98eee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="228" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-be2d9f95-0af8-4af0-82de-2eb6d8e13fb1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="227" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c090b74f-3520-40dc-b74a-f9158e4265e2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="223" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c876c3b1-2b9e-4837-95d7-7cdeb6dde3f5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="222" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-60fde403-e1b8-407b-a759-fa372a462cfa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="221" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-77bc37c7-5840-4e8f-81b0-391f5c1e8ba0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="219" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-93543add-fb77-4d1d-89f1-87234f395c79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="218" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3c478fc2-79b5-4691-a0b4-16c074b239e3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="217" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2458b3c6-c97e-4349-9549-c2d043ae9740-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="216" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0d063dd0-21b7-477a-b79e-7408bb05c5d0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="215" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7c2e02a8-c8a6-475e-ae9d-fb8e46e9b220-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="214" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-92817fb2-631f-4d8f-a04e-33c6f70280a6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="213" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7ffde595-44e2-4779-892a-27e2eca612f7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="212" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cc8cdefc-3678-439f-90f8-3ffc362ca225-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="211" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eff732b8-867a-41c1-aef6-589e4d650c2d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="210" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6139a2bc-9b6e-4484-a84a-374567981091-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="209" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a4a3c86b-b099-4597-b213-c47cf984799c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="208" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-55cedd7a-a131-4295-9bb9-75e823febddb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="207" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2aa2695d-6bf4-4be6-a270-a6b3093dc893-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="206" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5264b5ab-85d9-4c50-9bfe-b0ea37a4f1eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="205" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-56b09814-68b6-4860-a9ef-9ff185e02438-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="204" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-559297d7-c29a-41a2-af74-3dfe1fa340b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="203" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-236f8916-8386-4992-9e60-61447f663997-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="202" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c0b6f12c-b192-4645-81ba-7e8d1a478dec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="201" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-104b4847-79fa-4b96-8f49-282406c049c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="200" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e0e149e0-a08c-4723-bb2e-2f148dc5c108-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="199" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0d88646b-bfea-418b-9c3e-fe92569c4aee-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="198" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-460e962a-27aa-482d-8fc3-245de31510e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="197" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4e144e64-572a-447b-8047-8c84e423d701-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="196" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4f6f9559-f81d-48b4-a6e7-b30bdd3b38e4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="195" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-15281e55-146c-471a-ac23-3b87f3000d11-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="194" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4d853082-2ac8-4a56-a2cf-bc1b6c9d26c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="193" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2ac40608-7d6d-4bd1-85bc-d15370073f78-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="192" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a2c2a212-5a76-45e4-a617-a574282ce915-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="191" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b9238fff-fb2f-4e5d-a842-6bd1cb41c408-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1327' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="190" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4df757b4-0471-4870-8339-eb022b5bab60-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="189" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-45c0d69c-1c7e-4fa2-b26b-04e8b0f1959c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="188" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e7ad0e83-7fdb-48ad-8e59-38fb44893ed9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41328']" priority="187" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41328'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41328' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41328'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c96d4713-1a94-4870-902e-541dd38bdf37-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="186" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_consultatie_AMK): de waarde van @code/@codeSystem MOET ''1328' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0d87c1d8-f989-4bab-90a0-b7b574bbc409-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="185" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-0a82e134-42ff-40e4-b256-3828a000324e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="183" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9406d668-269f-4bbc-8c50-030c1a9a44db-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="182" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-bb8dbea4-52e0-417a-abd0-bb8de225ef51-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="181" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c33188fa-31c7-4049-87c2-ff24a6572b67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="180" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eddb3b54-8bcd-4678-a504-59320a15c923-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="179" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1ffbf09d-1d19-4147-866c-03eac500ff18-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="178" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5b8270cf-f3bf-4429-bd9c-cb031257b1b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="177" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5addec2e-afc5-46f3-aabe-ddcaf5c85069-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="176" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d9e9a784-fe49-4581-b18d-a3284097052c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="175" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4789aaf2-bba2-4c26-9f16-d900c2f2c5b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="174" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-4759e45f-15d1-44ce-a8a4-15d8b1f3cc38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="172" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7ac53946-c635-4073-8dc2-59619e4cda58-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="171" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2fb27bd6-418c-4046-a53a-a0d178e1ceaf-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="170" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2e4cc980-f0cd-4a58-b434-b78c0698e638-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="169" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a775001b-5021-46f9-b4c9-d454f78d98d7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="168" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2531f40d-905e-4af1-96f4-56147cc6e6ed-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="167" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9c1035ea-b667-4e1a-aa1f-eed5a2f3ec30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="166" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-70e8c344-7ab4-44df-82c3-d6366499a1fb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="165" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2b39419c-fcff-4dd7-8e6a-082d48bc9d4f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="164" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b2f63eab-2070-4056-b8ae-4e4c8061f977-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="163" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-07ceba5a-1c0a-4a5d-ae87-d6408add6b47-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="162" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3807cae3-fb70-4558-a3c3-3d8443d645ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="161" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-c9782517-afa5-462b-8eb2-626168d37774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="160" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2e1889b5-05a7-4339-97b6-ab34f361136e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="159" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-585744ca-e3c8-4ba9-adba-5e91c6b03bd9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="158" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-23bd9055-ecce-4c7f-9b21-c688dd527236-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="157" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6211d289-c671-4cfb-9231-aeb4351c3515-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="156" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-afad4b8b-509e-4ff4-b634-91a1ac77484d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="155" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-90edeae5-162d-4b45-bd92-265297c83072-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="154" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-41d828a5-4283-428c-bd32-1a872baa7f2c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="153" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e80723bf-59ac-4453-9f24-34beb906e264-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="152" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7b5ceab3-e064-433e-94bf-b287768f3a29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="151" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-baf2270e-ab70-498b-a07b-ccf6fec250e0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="150" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3c343046-f860-4c46-b5c7-a41edc6d8e9c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="149" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-90822dad-4c48-43ac-a40b-66bee683f5b0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="148" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-8e9842bf-faab-4361-beaf-c835147bd452-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="147" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-ab9330e1-6325-4020-9594-ac9a39fcc1e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="146" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-36a44763-7d55-463f-a1ea-e05927a440ca-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="145" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-076e648b-dfb0-4bb3-a9d9-962d67a7854e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="144" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a941b6bd-2e1e-4de9-9d0a-ad9d054fb38b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:component[hl7:observation[hl7:code[@code='1328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="143" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3f363733-3339-4467-8aca-734e7d81e67d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:statusCode" priority="141" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-10eddfef-7895-4988-b038-3de05a80844c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:methodCode" priority="140" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d6834716-43ec-4909-8b02-166399966d29-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:targetSiteCode" priority="139" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e001bb9d-5f7d-42fe-b372-1458009e89c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subject" priority="138" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-efd8b5b7-bb66-411d-a153-c59f60a5118b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer" priority="137" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1c04c3e8-e14e-4b59-a394-8d1349ca8777-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eead2127-34e1-4e75-a661-5e5dfc747afe-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-406a9902-6097-4a41-a5ca-da9844c692a5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:informant" priority="134" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-078519a2-6c11-4e72-bc2b-46e88a15a881-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:location" priority="133" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d2a34d42-283f-4b9c-8ab1-aaa0661aab24-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-850d618e-312d-4026-89cc-0fe644bcf946-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f3358015-f3ea-4cf8-98f6-31ccce4e073a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-9172207d-91a1-4771-9e2c-ca923853233b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-5203cf1b-c01a-4e20-b1f0-dea28d6ce16a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d405828d-9a8b-4119-a004-e0f482063094-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-edcafd03-a919-4f3f-a1ca-23f91631350c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-3e938759-9096-458b-9894-1cd04bf992eb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b28598d6-5ea2-4438-ab4a-799bd039951c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7a0b171c-78eb-4477-ad8e-73f8ca6dfe70-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e00d01bd-d528-4a91-960e-881fd8fddd8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-29457027-75c2-459e-8f7a-f7da100f3885-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-eae60c34-038b-4519-8d06-ce2f3f8be846-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-12aa2863-8c19-464f-9538-6853634a9a41-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-b315a24d-4cf5-4e15-854c-b9bfb48e96c7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-548210c6-c655-452e-9741-214ea7be2cba-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-a924c45b-ed4f-40c9-8d6f-c5d3b55cbe95-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-fc75d1e5-0a06-4d83-bb45-856f573600e9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f2a849c8-4a0c-4d22-bbba-7704d55ce186-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-6105fd58-e89e-4c4b-a3fc-68fa7d88149a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M87">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-d856be82-204b-4869-b01c-d0b58acc4a62-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-e240c2e3-8c30-4404-94b9-95c1e8a36473-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-f8e27113-5f64-43bf-8a0a-87fb7a6a33de-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-783112a3-1439-4bcb-a04c-f36dd4f4f2cc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-2a241a20-0dbc-40c8-b104-5188f995f1b8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-cb510d60-aeae-4003-ad8a-8df5a9b47761-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-837b04a8-b52e-4c3d-a645-108b48ece6e6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-022bfd53-f0c6-4302-8ada-55cdf8ede289-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2" priority="104" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-1523ae31-0aba-4009-b8c4-c81a57f88fb2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation" priority="103" mode="M87">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-296b5bc6-ecdf-48c6-b190-ab62ee8add1a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M87">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11052.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>

	<!--RULE tmp-7afc4846-7932-47ea-ad15-1f8be489fe2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']/hl7:component[hl7:groupCluster[hl7:code[@code='G084' and @codeSystem='2.16.840.1.113883.2.4.4.40.393']]]/hl7:groupCluster/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M87">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M87"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M87"/>
   <axsl:template match="@*|node()" priority="-2" mode="M87">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M87"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M87"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN call-2.16.840.1.113883.2.4.6.10.100.11054Rubriek 54 Screening psychosociale problemen-->


	<!--RULE tmp-cc8f9ea1-b1de-4214-85c5-157c3a963d20-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']" priority="205" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='CLUSTER' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): de waarde van @classCode MOET 'CLUSTER' zijn.<axsl:text> (</axsl:text>@classCode='CLUSTER' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): element hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-48dbd0a7-3fa5-4482-9002-75bbb65d3b0f-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']" priority="204" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.11054'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11054' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.11054'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-79f5d4c9-2730-4241-8f40-09d139c7281a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:code" priority="203" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='R054' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricCluster54): de waarde van @code/@codeSystem MOET ''R054' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='R054' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-53c7a417-041b-4d67-a590-9e5bbdbee821-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="202" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-3d6b644a-83db-45ea-9b87-5114791b3ea5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="201" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:effectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:effectiveTime komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:effectiveTime)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:methodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:methodCode komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:methodCode)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:location)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:location komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:location)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-ac27d9af-48fb-4df3-8cbd-207ad17cc9a8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41345']" priority="200" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41345'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41345' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41345'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-6fb87c41-a702-41bc-8807-d7b9cccb3158-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="199" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @code/@codeSystem MOET ''1345' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-57e33843-3412-44ab-ab47-403ec8ed8920-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime" priority="198" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-b7cd3799-b10f-4e26-b2e6-56046d6feaf4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="197" mode="M88">
      <axsl:variable name="theValue" select="text()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NI' or not(@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @nullFlavor MOET 'NI' zijn.<axsl:text> (</axsl:text>@nullFlavor='NI' or not(@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-d8e46bea-df50-4b09-ab54-331352b60ffa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="196" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0640_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0640_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @code MOET worden gekozen uit waardenlijst W0640_HL7 W0640 Screeningsinstrument PP (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0640_HL7 W0640 Screeningsinstrument PP (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-d46407f0-a943-4191-81f4-3982fef63bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="195" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-3690dcb3-c269-40a8-a6e3-27884616f30d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="194" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-53e8b55c-79be-476c-a74e-945d4b13e2ac-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="193" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-474ebf53-d93d-488d-9cea-b3f534172ec6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="192" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-0b67543e-d0cd-43e3-8984-101a37a48ceb-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location/hl7:serviceDeliveryLocation" priority="191" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-78fada3a-d985-4355-9d44-903ad2736e31-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location/hl7:serviceDeliveryLocation/hl7:code" priority="190" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0611_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0611_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de waarde van @code MOET worden gekozen uit waardenlijst W0611_HL7 W0611 Wijze van afname (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Bijzonderheden_SPP): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0611_HL7 W0611 Wijze van afname (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-818e5966-1dc6-4349-a72f-a9e2a93ccad8-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="188" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-3f9652c3-7273-4902-ac5a-615d980b267d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="186" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-8e34053b-3760-47a2-afbf-c02b230a6bc3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="185" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-c7a876d8-0f81-410b-8606-02f2e9baaf8a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="181" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-08c4b62e-3c4d-44ba-acd9-9be2ad9efab6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="179" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-d5a05e1d-1703-4bce-8c0a-330acdc6ecfd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="177" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-56cb0dc5-e0cd-443d-87e2-007d46282ef5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="176" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-e99b4be5-71a0-4d87-8a6a-91211e18db5c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="175" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-8de988f5-8bff-437a-8364-1f520232ce72-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="174" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-6afa830d-0f98-4482-a70c-86a662ae4dff-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="173" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-6474288f-770d-4074-9167-c84d3d2c7fce-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="172" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-84be8bbb-9c59-4c5b-b88c-4e7995bffba2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="171" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-346fdeb6-5ad0-46c6-9230-4abcc64d9ba6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="170" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-5c24655c-aa44-4327-9166-b236b0ec7a17-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="169" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-a6be6730-416b-42e5-90e0-03e5b6774d79-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="168" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-ace0158b-23fa-4fa5-b901-5c6d43b98317-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="167" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-706581c1-f9ed-4e96-9cfb-f66dc8e867d5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="166" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-f35b0bca-a159-46ff-af62-aaa9d2187573-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="165" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-35116fba-d11f-4215-b644-d37b63d911c6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="164" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-f237c5a1-d11c-47a9-8215-364439364774-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="163" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-d7d397a8-ade9-43d8-ab59-498a7e58e1c9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="162" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-c210bcff-ea38-464f-b406-bb6cfea83e69-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="161" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-44db1a06-8f92-46e8-9b95-4db32e1b8b08-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="160" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-46341a6a-ebde-451e-a421-6e81496057c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="159" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-f0340db1-7375-413c-a694-6531483fec87-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="158" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-57b93b2e-7075-4216-8470-6f3c9f727eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="157" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-dbfff655-de3c-45ff-9141-5b6fe418b698-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="156" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-57188218-3e0e-43d1-9bcf-2a13ea5132bd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="155" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-4f423e4f-a53f-4c99-b899-ad71f74127f6-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="154" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-2f1a8baa-d091-4cb5-911b-384546c2bab0-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="153" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-b100b09e-764e-4fdf-9749-7608adc97a3c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="152" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-e8478564-ca2d-419c-b304-35e451aa9e2a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="151" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-693089f1-bc0a-450a-8c87-1578a02727c2-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="150" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-dcba57fd-0dfb-495d-8429-5e700e3c6db5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="149" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-1899170c-20ed-4296-8d8f-d1f4d8c8a610-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1345' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="148" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-bd5c5ad5-a0b6-4354-9f58-55183d15b3c5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="147" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:observation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:observation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:observation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-6f0463dc-2367-45cb-9663-bd1f33cccf39-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation" priority="146" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'] is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346']/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'] komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346'])&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:value is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-1f55a625-b3f0-482d-b487-b3213e145bb7-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41346']" priority="145" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.10.100.41346'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41346' hebben.<axsl:text> (</axsl:text>@root='2.16.840.1.113883.2.4.6.10.100.41346'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): @root attribuut MOET een syntactisch correcte UUID of OID zijn.<axsl:text> (</axsl:text>matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-8501ce62-88f8-4d71-8dbc-250d4c43d3ae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code" priority="144" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(obs_Conclusie_SPP): de waarde van @code/@codeSystem MOET ''1346' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-daca161d-0c3f-477a-b867-4c9d5b8e0415-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value" priority="143" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-27ee1540-6c03-4264-aecf-e0189a4ceaa9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode" priority="141" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-2553d22b-9f9e-4423-8b5a-ca65fd5f7488-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode" priority="140" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-e22304ae-235d-4637-814c-46901091cc67-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode" priority="139" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-a9ccb428-7419-4f3c-84bd-ca25e252d89c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject" priority="138" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-9bb81c28-00e0-4cc2-8e19-af53fadd10aa-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer" priority="137" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-5f7f7d0a-0b81-432e-90af-9a4bf8b5a74c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity" priority="136" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:id)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-90b505c7-e2ff-4ddb-a9a1-3652dc7314d3-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id" priority="135" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-6299ebfd-8625-4ec5-b968-dc5cf0ee7231-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant" priority="134" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='INF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.<axsl:text> (</axsl:text>@typeCode='INF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-fb3d6922-773a-40f3-a637-076fa4091a6c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location" priority="133" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='LOC' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.<axsl:text> (</axsl:text>@typeCode='LOC' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-9a401cce-fece-4f07-b3bb-dd7e519584ec-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]" priority="132" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:conclusion)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:conclusion)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-02b09f1a-f034-4f6a-9848-93c1cf7e4b02-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion" priority="130" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-34f5181c-2c48-43e2-8f75-fb03d61997fc-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code" priority="129" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-cd931250-ee5b-45a8-8b88-a7eac62dc719-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text" priority="128" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-fa8e0b93-3b20-4025-871d-0779b8350a73-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component" priority="127" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='COMP' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.<axsl:text> (</axsl:text>@typeCode='COMP' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:indication)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:indication)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-b437d133-3e86-4d29-912f-c7a4acf7e744-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication" priority="126" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].<axsl:text> (</axsl:text>count(hl7:value)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:value)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:reasonOf)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].<axsl:text> (</axsl:text>count(hl7:reasonOf)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-e306c451-a6cb-4ad3-8520-d4528e5b1c21-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code" priority="125" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-19c139e2-1b66-40a7-92ed-100b541af5ab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value" priority="124" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-3316ee43-5fac-4b81-9c8c-1cdca915a16c-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf" priority="123" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RSON' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.<axsl:text> (</axsl:text>@typeCode='RSON' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="elmcount" select="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]<axsl:text> (</axsl:text>$elmcount&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$elmcount&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]<axsl:text> (</axsl:text>$elmcount&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-2f0e39fd-10df-4d47-9da6-9fb41678e3fd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="122" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-157883c1-cca4-487f-8a80-e05c830e2e30-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="121" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.<axsl:text> (</axsl:text>@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-1221d13a-0d15-4dc7-90ba-17b450200fd5-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="120" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='REG' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.<axsl:text> (</axsl:text>@classCode='REG' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-e44de44f-42c4-46a1-aeb8-c93067450a9a-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="119" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-fd174bb6-f15b-4483-8dad-23277756e8f9-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="118" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='OBS' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.<axsl:text> (</axsl:text>@classCode='OBS' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-942ee544-927a-4a56-8fc2-89f77d38260e-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="117" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-a7a75029-d49f-4e7c-a868-e6e072baa393-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]" priority="116" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='PCPR' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.<axsl:text> (</axsl:text>@classCode='PCPR' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='RQO' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.<axsl:text> (</axsl:text>@moodCode='RQO' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:performer)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:performer)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-255cf453-2e62-4e42-97e8-c78b5bb512b1-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code" priority="115" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-58448b12-1b6f-4899-8339-3f0c7e976387-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer" priority="114" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='PRF' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.<axsl:text> (</axsl:text>@typeCode='PRF' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:assignedEntity)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:assignedEntity)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-9d4d6d2d-93bb-4a29-8733-918ec2feabae-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity" priority="113" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ASSIGNED' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.<axsl:text> (</axsl:text>@classCode='ASSIGNED' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-4427e301-0e11-42bf-ac1b-b059cbeecd8b-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code" priority="112" mode="M88">
      <axsl:variable name="theValue" select="@value"/>
      <axsl:variable name="theCode" select="@code"/>
      <axsl:variable name="theCodeSystem" select="@codeSystem"/>
      <axsl:variable name="theNullFlavor" select="@nullFlavor"/>
      <axsl:variable name="displayNamesFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <axsl:variable name="validNullFlavorsFound" select="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <axsl:variable name="explicitExceptions" select="''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length($displayNamesFound)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>@nullFlavor or string-length($displayNamesFound)&gt;0<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.<axsl:text> (</axsl:text>not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-21b7b8c6-8149-452f-80ef-fe9676fc7951-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]" priority="111" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='INT' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.<axsl:text> (</axsl:text>@moodCode='INT' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-b46f224f-2ea2-4776-bbb3-36c6e1c61de4-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code" priority="110" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='OTH'"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.<axsl:text> (</axsl:text>@nullFlavor='OTH'<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:originalText)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:originalText)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-f24bbaf8-da5c-4622-833a-46203bef66cd-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText" priority="109" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-3d4119b2-9b9b-496f-86fb-1dde2d875eab-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf" priority="108" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-72fa8e53-9a83-4597-b027-76ea54c7ad49-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation" priority="107" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@classCode='ACT' or not(@classCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.<axsl:text> (</axsl:text>@classCode='ACT' or not(@classCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@moodCode='EVN' or not(@moodCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.<axsl:text> (</axsl:text>@moodCode='EVN' or not(@moodCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-88279350-32fb-46a4-a563-c5509907b27d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code" priority="106" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-a3057e62-f5e0-4814-b26f-00f12ed8aa12-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text" priority="105" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-1cf439fd-164b-41c9-b052-3614beb0eb38-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2" priority="104" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='SUBJ' or not(@typeCode)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.<axsl:text> (</axsl:text>@typeCode='SUBJ' or not(@typeCode)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:annotation)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:annotation)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-5169a233-d75a-4f64-8679-128e5b6bba94-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation" priority="103" mode="M88">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code is required [min 1x].<axsl:text> (</axsl:text>count(hl7:code)&gt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:code)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:code)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text is mandatory [min 1x].<axsl:text> (</axsl:text>count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:text)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].<axsl:text> (</axsl:text>count(hl7:text)&lt;=1<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-1db2fcf4-6436-4ca4-86c7-9d0fc4b4752d-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code" priority="102" mode="M88">
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text>Error:</axsl:text>(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.<axsl:text> (</axsl:text>@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')<axsl:text> / </axsl:text>error<axsl:text>)</axsl:text>
               <axsl:text> [</axsl:text>assert<axsl:text>]</axsl:text>
               <axsl:text>
URL:http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T083748/tmp-2.16.840.1.113883.2.4.6.10.100.11054.html</axsl:text>
            </axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>

	<!--RULE tmp-fe0bd26b-40e2-4836-8d53-ccd51de37361-->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component7/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11054']/hl7:component[hl7:observation[hl7:code[@code='1346' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text" priority="101" mode="M88">
      <axsl:variable name="theValue" select="text()"/>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M88"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M88"/>
   <axsl:template match="@*|node()" priority="-2" mode="M88">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M88"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M88"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>
</axsl:stylesheet>